<?php


use Elementor\Element_Column;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Elementor column element.
 *
 * Elementor column handler class is responsible for initializing the column
 * element.
 *
 * @since 1.0.0
 */
class blackdsnColumn extends Element_Column {


	/**
	 * Render column output in the editor.
	 *
	 * Used to generate the live preview, using a Backbone JavaScript template.
	 *
	 * @since 2.9.0
	 * @access protected
	 */
	protected function content_template() {


		?>
        <#
        view.addRenderAttribute( 'dsnWidgetWrap', {'class' : ['hdev-element-wrap']});


        if(settings.data_animation_section){
        view.addRenderAttribute( 'dsnWidgetWrap','class', 'has-animate-text');
        view.addRenderAttribute( 'dsnWidgetWrap','data-dsn-animate', 'section');
        view.addRenderAttribute( 'dsnWidgetWrap','data-dsn-triggerhook-section', settings.triggerhook_section);
        }

        #>

        <div {{{ view.getRenderAttributeString('dsnWidgetWrap' ) }}} ></div>
		<?php
		parent::content_template(); // TODO: Change the autogenerated stub
	}


}
