/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-06-08 12:40:40 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_actionscheduler_actions` (
  `action_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `scheduled_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `schedule` longtext COLLATE utf8mb4_unicode_520_ci,
  `group_id` bigint unsigned NOT NULL DEFAULT '0',
  `attempts` int NOT NULL DEFAULT '0',
  `last_attempt_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint unsigned NOT NULL DEFAULT '0',
  `extended_args` varchar(8000) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id_status_scheduled_date_gmt` (`claim_id`,`status`,`scheduled_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=11492 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_actionscheduler_claims` (
  `claim_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=2756 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_actionscheduler_groups` (
  `group_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_actionscheduler_logs` (
  `log_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `log_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=83 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint unsigned NOT NULL DEFAULT '0',
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10)),
  KEY `woo_idx_comment_type` (`comment_type`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_defender_audit_log` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` int NOT NULL,
  `event_type` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `action_type` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `site_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_id` int NOT NULL,
  `context` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `msg` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `blog_id` int NOT NULL,
  `synced` int NOT NULL,
  `ttl` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `event_type` (`event_type`(250)),
  KEY `action_type` (`action_type`(250)),
  KEY `user_id` (`user_id`),
  KEY `context` (`context`(250)),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_defender_email_log` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` int NOT NULL,
  `source` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `to` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `source` (`source`(250))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_defender_lockout` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `status` varchar(16) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `lockout_message` text COLLATE utf8mb4_unicode_520_ci,
  `release_time` int DEFAULT NULL,
  `lock_time` int DEFAULT NULL,
  `lock_time_404` int DEFAULT NULL,
  `attempt` int DEFAULT NULL,
  `attempt_404` int DEFAULT NULL,
  `meta` text COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`id`),
  KEY `ip` (`ip`),
  KEY `status` (`status`),
  KEY `attempt` (`attempt`),
  KEY `attempt_404` (`attempt_404`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_defender_lockout_log` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `log` text COLLATE utf8mb4_unicode_520_ci,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `date` int DEFAULT NULL,
  `type` varchar(16) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `user_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `blog_id` int DEFAULT NULL,
  `tried` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `country_iso_code` char(2) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ip` (`ip`),
  KEY `type` (`type`),
  KEY `tried` (`tried`(250)),
  KEY `country_iso_code` (`country_iso_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_defender_scan` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `percent` float NOT NULL,
  `total_tasks` tinyint NOT NULL,
  `task_checkpoint` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `date_start` datetime NOT NULL,
  `date_end` datetime NOT NULL,
  `is_automation` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_defender_scan_item` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `raw_data` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`(250)),
  KEY `status` (`status`(250))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE `wp_e_events` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `event_data` text COLLATE utf8mb4_unicode_520_ci,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created_at_index` (`created_at`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_frmt_form_entry` (
  `entry_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `entry_type` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `draft_id` varchar(12) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `form_id` bigint unsigned NOT NULL,
  `is_spam` tinyint(1) NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`entry_id`),
  KEY `entry_is_spam` (`is_spam`),
  KEY `entry_type` (`entry_type`),
  KEY `entry_form_id` (`form_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_frmt_form_entry_meta` (
  `meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `entry_id` bigint unsigned NOT NULL,
  `meta_key` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`meta_id`),
  KEY `meta_key` (`meta_key`),
  KEY `meta_entry_id` (`entry_id`),
  KEY `meta_key_object` (`entry_id`,`meta_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_frmt_form_reports` (
  `report_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `report_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`report_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_frmt_form_views` (
  `view_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `form_id` bigint unsigned NOT NULL,
  `page_id` bigint unsigned NOT NULL,
  `ip` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `count` mediumint unsigned NOT NULL DEFAULT '1',
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`view_id`),
  KEY `view_form_id` (`form_id`),
  KEY `view_ip` (`ip`),
  KEY `view_form_object` (`form_id`,`view_id`),
  KEY `view_form_object_ip` (`form_id`,`view_id`,`ip`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint unsigned NOT NULL DEFAULT '1',
  `link_rating` int NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=MyISAM AUTO_INCREMENT=7357 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=15286 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=MyISAM AUTO_INCREMENT=13073 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint unsigned NOT NULL DEFAULT '0',
  `term_order` int NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint unsigned NOT NULL DEFAULT '0',
  `count` bigint NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=50 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=50 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_tm_taskmeta` (
  `meta_id` bigint NOT NULL AUTO_INCREMENT,
  `task_id` bigint NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `meta_key` (`meta_key`(191)),
  KEY `task_id` (`task_id`)
) ENGINE=MyISAM AUTO_INCREMENT=509 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_tm_tasks` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` bigint NOT NULL,
  `type` varchar(300) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `class_identifier` varchar(300) COLLATE utf8mb4_unicode_520_ci DEFAULT '0',
  `attempts` int DEFAULT '0',
  `description` varchar(300) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `time_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `last_locked_at` bigint DEFAULT '0',
  `status` varchar(300) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=509 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_w3tc_cdn_pathmap` (
  `path` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `path_hash` varchar(32) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `remote_id` varchar(200) CHARACTER SET ascii COLLATE ascii_general_ci DEFAULT NULL,
  PRIMARY KEY (`path_hash`),
  KEY `remote_id` (`remote_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_w3tc_cdn_queue` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `local_path` varchar(500) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `remote_path` varchar(500) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `command` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '1 - Upload, 2 - Delete, 3 - Purge',
  `last_error` varchar(150) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=2584 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_admin_note_actions` (
  `action_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `note_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `label` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `query` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `actioned_text` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `nonce_action` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `nonce_name` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `note_id` (`note_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2096 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_admin_notes` (
  `note_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `locale` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `title` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `content_data` longtext COLLATE utf8mb4_unicode_520_ci,
  `status` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `source` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_reminder` datetime DEFAULT NULL,
  `is_snoozable` tinyint(1) NOT NULL DEFAULT '0',
  `layout` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `image` varchar(200) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `is_read` tinyint(1) NOT NULL DEFAULT '0',
  `icon` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'info',
  PRIMARY KEY (`note_id`)
) ENGINE=MyISAM AUTO_INCREMENT=75 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_category_lookup` (
  `category_tree_id` bigint unsigned NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`category_tree_id`,`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_customer_lookup` (
  `customer_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `first_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `last_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `email` varchar(100) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `date_last_active` timestamp NULL DEFAULT NULL,
  `date_registered` timestamp NULL DEFAULT NULL,
  `country` char(2) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `postcode` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `city` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `state` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`customer_id`),
  UNIQUE KEY `user_id` (`user_id`),
  KEY `email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_download_log` (
  `download_log_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` datetime NOT NULL,
  `permission_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `user_ip_address` varchar(100) COLLATE utf8mb4_unicode_520_ci DEFAULT '',
  PRIMARY KEY (`download_log_id`),
  KEY `permission_id` (`permission_id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_order_coupon_lookup` (
  `order_id` bigint unsigned NOT NULL,
  `coupon_id` bigint NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `discount_amount` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`order_id`,`coupon_id`),
  KEY `coupon_id` (`coupon_id`),
  KEY `date_created` (`date_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_order_product_lookup` (
  `order_item_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `variation_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned DEFAULT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `product_qty` int NOT NULL,
  `product_net_revenue` double NOT NULL DEFAULT '0',
  `product_gross_revenue` double NOT NULL DEFAULT '0',
  `coupon_amount` double NOT NULL DEFAULT '0',
  `tax_amount` double NOT NULL DEFAULT '0',
  `shipping_amount` double NOT NULL DEFAULT '0',
  `shipping_tax_amount` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`order_item_id`),
  KEY `order_id` (`order_id`),
  KEY `product_id` (`product_id`),
  KEY `customer_id` (`customer_id`),
  KEY `date_created` (`date_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_order_stats` (
  `order_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_paid` datetime DEFAULT '0000-00-00 00:00:00',
  `date_completed` datetime DEFAULT '0000-00-00 00:00:00',
  `num_items_sold` int NOT NULL DEFAULT '0',
  `total_sales` double NOT NULL DEFAULT '0',
  `tax_total` double NOT NULL DEFAULT '0',
  `shipping_total` double NOT NULL DEFAULT '0',
  `net_total` double NOT NULL DEFAULT '0',
  `returning_customer` tinyint(1) DEFAULT NULL,
  `status` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`order_id`),
  KEY `date_created` (`date_created`),
  KEY `customer_id` (`customer_id`),
  KEY `status` (`status`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_order_tax_lookup` (
  `order_id` bigint unsigned NOT NULL,
  `tax_rate_id` bigint unsigned NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `shipping_tax` double NOT NULL DEFAULT '0',
  `order_tax` double NOT NULL DEFAULT '0',
  `total_tax` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`order_id`,`tax_rate_id`),
  KEY `tax_rate_id` (`tax_rate_id`),
  KEY `date_created` (`date_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_product_attributes_lookup` (
  `product_id` bigint NOT NULL,
  `product_or_parent_id` bigint NOT NULL,
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `term_id` bigint NOT NULL,
  `is_variation_attribute` tinyint(1) NOT NULL,
  `in_stock` tinyint(1) NOT NULL,
  PRIMARY KEY (`product_or_parent_id`,`term_id`,`product_id`,`taxonomy`),
  KEY `is_variation_attribute_term_id` (`is_variation_attribute`,`term_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_product_download_directories` (
  `url_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(256) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`url_id`),
  KEY `url` (`url`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_product_meta_lookup` (
  `product_id` bigint NOT NULL,
  `sku` varchar(100) COLLATE utf8mb4_unicode_520_ci DEFAULT '',
  `virtual` tinyint(1) DEFAULT '0',
  `downloadable` tinyint(1) DEFAULT '0',
  `min_price` decimal(19,4) DEFAULT NULL,
  `max_price` decimal(19,4) DEFAULT NULL,
  `onsale` tinyint(1) DEFAULT '0',
  `stock_quantity` double DEFAULT NULL,
  `stock_status` varchar(100) COLLATE utf8mb4_unicode_520_ci DEFAULT 'instock',
  `rating_count` bigint DEFAULT '0',
  `average_rating` decimal(3,2) DEFAULT '0.00',
  `total_sales` bigint DEFAULT '0',
  `tax_status` varchar(100) COLLATE utf8mb4_unicode_520_ci DEFAULT 'taxable',
  `tax_class` varchar(100) COLLATE utf8mb4_unicode_520_ci DEFAULT '',
  PRIMARY KEY (`product_id`),
  KEY `virtual` (`virtual`),
  KEY `downloadable` (`downloadable`),
  KEY `stock_status` (`stock_status`),
  KEY `stock_quantity` (`stock_quantity`),
  KEY `onsale` (`onsale`),
  KEY `min_max_price` (`min_price`,`max_price`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_rate_limits` (
  `rate_limit_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `rate_limit_key` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `rate_limit_expiry` bigint unsigned NOT NULL,
  `rate_limit_remaining` smallint NOT NULL DEFAULT '0',
  PRIMARY KEY (`rate_limit_id`),
  UNIQUE KEY `rate_limit_key` (`rate_limit_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_reserved_stock` (
  `order_id` bigint NOT NULL,
  `product_id` bigint NOT NULL,
  `stock_quantity` double NOT NULL DEFAULT '0',
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `expires` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`order_id`,`product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_tax_rate_classes` (
  `tax_rate_class_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`tax_rate_class_id`),
  UNIQUE KEY `slug` (`slug`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wc_webhooks` (
  `webhook_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `status` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `name` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_id` bigint unsigned NOT NULL,
  `delivery_url` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `secret` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `topic` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `date_created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `api_version` smallint NOT NULL,
  `failure_count` smallint NOT NULL DEFAULT '0',
  `pending_delivery` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`webhook_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_api_keys` (
  `key_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `description` varchar(200) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `permissions` varchar(10) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `consumer_key` char(64) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `consumer_secret` char(43) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `nonces` longtext COLLATE utf8mb4_unicode_520_ci,
  `truncated_key` char(7) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `last_access` datetime DEFAULT NULL,
  PRIMARY KEY (`key_id`),
  KEY `consumer_key` (`consumer_key`),
  KEY `consumer_secret` (`consumer_secret`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_attribute_taxonomies` (
  `attribute_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `attribute_label` varchar(200) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `attribute_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `attribute_orderby` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `attribute_public` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`attribute_id`),
  KEY `attribute_name` (`attribute_name`(20))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_downloadable_product_permissions` (
  `permission_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `download_id` varchar(36) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL DEFAULT '0',
  `order_key` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_email` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `downloads_remaining` varchar(9) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `access_granted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access_expires` datetime DEFAULT NULL,
  `download_count` bigint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`permission_id`),
  KEY `download_order_key_product` (`product_id`,`order_id`,`order_key`(16),`download_id`),
  KEY `download_order_product` (`download_id`,`order_id`,`product_id`),
  KEY `order_id` (`order_id`),
  KEY `user_order_remaining_expires` (`user_id`,`order_id`,`downloads_remaining`,`access_expires`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_log` (
  `log_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` datetime NOT NULL,
  `level` smallint NOT NULL,
  `source` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `message` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `context` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`log_id`),
  KEY `level` (`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_order_itemmeta` (
  `meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_item_id` bigint unsigned NOT NULL,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `order_item_id` (`order_item_id`),
  KEY `meta_key` (`meta_key`(32))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_order_items` (
  `order_item_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_item_name` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `order_item_type` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `order_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`order_item_id`),
  KEY `order_id` (`order_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_payment_tokenmeta` (
  `meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `payment_token_id` bigint unsigned NOT NULL,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `payment_token_id` (`payment_token_id`),
  KEY `meta_key` (`meta_key`(32))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_payment_tokens` (
  `token_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `gateway_id` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `token` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `type` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`token_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_sessions` (
  `session_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `session_key` char(32) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `session_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `session_expiry` bigint unsigned NOT NULL,
  PRIMARY KEY (`session_id`),
  UNIQUE KEY `session_key` (`session_key`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_shipping_zone_locations` (
  `location_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `zone_id` bigint unsigned NOT NULL,
  `location_code` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `location_type` varchar(40) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`location_id`),
  KEY `location_id` (`location_id`),
  KEY `location_type_code` (`location_type`(10),`location_code`(20))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_shipping_zone_methods` (
  `zone_id` bigint unsigned NOT NULL,
  `instance_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `method_id` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `method_order` bigint unsigned NOT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`instance_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_shipping_zones` (
  `zone_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `zone_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `zone_order` bigint unsigned NOT NULL,
  PRIMARY KEY (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_tax_rate_locations` (
  `location_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `location_code` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `tax_rate_id` bigint unsigned NOT NULL,
  `location_type` varchar(40) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`location_id`),
  KEY `tax_rate_id` (`tax_rate_id`),
  KEY `location_type_code` (`location_type`(10),`location_code`(20))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_woocommerce_tax_rates` (
  `tax_rate_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_rate_country` varchar(2) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `tax_rate_state` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `tax_rate` varchar(8) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `tax_rate_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `tax_rate_priority` bigint unsigned NOT NULL,
  `tax_rate_compound` int NOT NULL DEFAULT '0',
  `tax_rate_shipping` int NOT NULL DEFAULT '1',
  `tax_rate_order` bigint unsigned NOT NULL,
  `tax_rate_class` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`tax_rate_id`),
  KEY `tax_rate_country` (`tax_rate_country`),
  KEY `tax_rate_state` (`tax_rate_state`(2)),
  KEY `tax_rate_class` (`tax_rate_class`(10)),
  KEY `tax_rate_priority` (`tax_rate_priority`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_yoast_indexable` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `permalink` longtext COLLATE utf8mb4_unicode_520_ci,
  `permalink_hash` varchar(40) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `object_id` bigint DEFAULT NULL,
  `object_type` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `object_sub_type` varchar(32) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `author_id` bigint DEFAULT NULL,
  `post_parent` bigint DEFAULT NULL,
  `title` text COLLATE utf8mb4_unicode_520_ci,
  `description` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `breadcrumb_title` text COLLATE utf8mb4_unicode_520_ci,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `is_protected` tinyint(1) DEFAULT '0',
  `has_public_posts` tinyint(1) DEFAULT NULL,
  `number_of_pages` int unsigned DEFAULT NULL,
  `canonical` longtext COLLATE utf8mb4_unicode_520_ci,
  `primary_focus_keyword` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `primary_focus_keyword_score` int DEFAULT NULL,
  `readability_score` int DEFAULT NULL,
  `is_cornerstone` tinyint(1) DEFAULT '0',
  `is_robots_noindex` tinyint(1) DEFAULT '0',
  `is_robots_nofollow` tinyint(1) DEFAULT '0',
  `is_robots_noarchive` tinyint(1) DEFAULT '0',
  `is_robots_noimageindex` tinyint(1) DEFAULT '0',
  `is_robots_nosnippet` tinyint(1) DEFAULT '0',
  `twitter_title` text COLLATE utf8mb4_unicode_520_ci,
  `twitter_image` longtext COLLATE utf8mb4_unicode_520_ci,
  `twitter_description` longtext COLLATE utf8mb4_unicode_520_ci,
  `twitter_image_id` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `twitter_image_source` text COLLATE utf8mb4_unicode_520_ci,
  `open_graph_title` text COLLATE utf8mb4_unicode_520_ci,
  `open_graph_description` longtext COLLATE utf8mb4_unicode_520_ci,
  `open_graph_image` longtext COLLATE utf8mb4_unicode_520_ci,
  `open_graph_image_id` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `open_graph_image_source` text COLLATE utf8mb4_unicode_520_ci,
  `open_graph_image_meta` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `link_count` int DEFAULT NULL,
  `incoming_link_count` int DEFAULT NULL,
  `prominent_words_version` int unsigned DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `blog_id` bigint NOT NULL DEFAULT '1',
  `language` varchar(32) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `region` varchar(32) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `schema_page_type` varchar(64) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `schema_article_type` varchar(64) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `has_ancestors` tinyint(1) DEFAULT '0',
  `estimated_reading_time_minutes` int DEFAULT NULL,
  `version` int DEFAULT '1',
  `object_last_modified` datetime DEFAULT NULL,
  `object_published_at` datetime DEFAULT NULL,
  `inclusive_language_score` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `object_type_and_sub_type` (`object_type`,`object_sub_type`),
  KEY `object_id_and_type` (`object_id`,`object_type`),
  KEY `permalink_hash_and_object_type` (`permalink_hash`,`object_type`),
  KEY `subpages` (`post_parent`,`object_type`,`post_status`,`object_id`),
  KEY `prominent_words` (`prominent_words_version`,`object_type`,`object_sub_type`,`post_status`),
  KEY `published_sitemap_index` (`object_published_at`,`is_robots_noindex`,`object_type`,`object_sub_type`)
) ENGINE=MyISAM AUTO_INCREMENT=212 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_yoast_indexable_hierarchy` (
  `indexable_id` int unsigned NOT NULL,
  `ancestor_id` int unsigned NOT NULL,
  `depth` int unsigned DEFAULT NULL,
  `blog_id` bigint NOT NULL DEFAULT '1',
  PRIMARY KEY (`indexable_id`,`ancestor_id`),
  KEY `indexable_id` (`indexable_id`),
  KEY `ancestor_id` (`ancestor_id`),
  KEY `depth` (`depth`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_yoast_migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `version` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `wp_yoast_migrations_version` (`version`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_yoast_primary_term` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint DEFAULT NULL,
  `term_id` bigint DEFAULT NULL,
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `blog_id` bigint NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `post_taxonomy` (`post_id`,`taxonomy`),
  KEY `post_term` (`post_id`,`term_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_yoast_seo_links` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) DEFAULT NULL,
  `post_id` bigint unsigned DEFAULT NULL,
  `target_post_id` bigint unsigned DEFAULT NULL,
  `type` varchar(8) DEFAULT NULL,
  `indexable_id` int unsigned DEFAULT NULL,
  `target_indexable_id` int unsigned DEFAULT NULL,
  `height` int unsigned DEFAULT NULL,
  `width` int unsigned DEFAULT NULL,
  `size` int unsigned DEFAULT NULL,
  `language` varchar(32) DEFAULT NULL,
  `region` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `link_direction` (`post_id`,`type`),
  KEY `indexable_link_direction` (`indexable_id`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=699 DEFAULT CHARSET=utf8mb3;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_actionscheduler_actions */
INSERT INTO `wp_actionscheduler_actions` VALUES("11464", "action_scheduler/migration_hook", "complete", "2023-05-30 08:25:37", "2023-05-30 10:25:37", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685435137;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685435137;}", "1", "1", "2023-05-30 08:26:25", "2023-05-30 10:26:25", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11465", "woocommerce_cleanup_draft_orders", "complete", "2023-05-30 08:24:38", "2023-05-30 10:24:38", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1685435078;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1685435078;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-05-30 08:24:40", "2023-05-30 10:24:40", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11466", "woocommerce_cleanup_draft_orders", "complete", "2023-05-31 08:24:40", "2023-05-31 10:24:40", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1685521480;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1685521480;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-05-31 08:24:48", "2023-05-31 10:24:48", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11467", "action_scheduler/migration_hook", "failed", "2023-05-30 08:27:26", "2023-05-30 10:27:26", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685435246;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685435246;}", "1", "1", "2023-05-30 08:28:01", "2023-05-30 10:28:01", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11468", "action_scheduler/migration_hook", "complete", "2023-05-30 08:29:09", "2023-05-30 10:29:09", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685435349;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685435349;}", "1", "1", "2023-05-30 08:29:11", "2023-05-30 10:29:11", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11469", "woocommerce_admin/stored_state_setup_for_products/async/run_remote_notifications", "failed", "2023-05-30 08:38:50", "2023-05-30 08:38:50", "[]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "0", "1", "2023-05-30 08:39:11", "2023-05-30 10:39:11", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11470", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-05-30 15:02:30", "2023-05-30 17:02:30", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685458950;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685458950;}", "2", "1", "2023-05-30 15:02:30", "2023-05-30 17:02:30", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11471", "woocommerce_run_on_woocommerce_admin_updated", "failed", "2023-05-30 15:02:29", "2023-05-30 17:02:29", "[\"Automattic\\\\WooCommerce\\\\Admin\\\\RemoteInboxNotifications\\\\RemoteInboxNotificationsEngine\",\"run_on_woocommerce_admin_updated\"]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685458949;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685458949;}", "3", "1", "2023-05-30 15:02:30", "2023-05-30 17:02:30", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11473", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-05-30 15:03:03", "2023-05-30 17:03:03", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685458983;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685458983;}", "2", "1", "2023-05-31 07:06:48", "2023-05-31 09:06:48", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11472", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-05-30 15:02:31", "2023-05-30 17:02:31", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685458951;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685458951;}", "2", "1", "2023-05-30 15:03:02", "2023-05-30 17:03:02", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11474", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-05-31 07:06:49", "2023-05-31 09:06:49", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685516809;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685516809;}", "2", "1", "2023-05-31 07:07:26", "2023-05-31 09:07:26", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11475", "woocommerce_cleanup_draft_orders", "complete", "2023-06-01 08:24:48", "2023-06-01 10:24:48", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1685607888;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1685607888;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-06-01 08:25:01", "2023-06-01 10:25:01", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11476", "woocommerce_cleanup_draft_orders", "complete", "2023-06-02 08:25:01", "2023-06-02 10:25:01", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1685694301;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1685694301;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-06-02 08:25:59", "2023-06-02 10:25:59", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11477", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-06-01 13:42:32", "2023-06-01 15:42:32", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685626952;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685626952;}", "2", "1", "2023-06-01 13:42:39", "2023-06-01 15:42:39", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11478", "woocommerce_run_on_woocommerce_admin_updated", "failed", "2023-06-01 13:42:31", "2023-06-01 15:42:31", "[\"Automattic\\\\WooCommerce\\\\Admin\\\\RemoteInboxNotifications\\\\RemoteInboxNotificationsEngine\",\"run_on_woocommerce_admin_updated\"]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685626951;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685626951;}", "3", "1", "2023-06-01 13:42:37", "2023-06-01 15:42:37", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11480", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-06-01 13:43:03", "2023-06-01 15:43:03", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685626983;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685626983;}", "2", "1", "2023-06-01 13:43:30", "2023-06-01 15:43:30", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11479", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-06-01 13:42:40", "2023-06-01 15:42:40", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685626960;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685626960;}", "2", "1", "2023-06-01 13:43:02", "2023-06-01 15:43:02", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11481", "woocommerce_run_product_attribute_lookup_regeneration_callback", "complete", "2023-06-01 13:43:31", "2023-06-01 15:43:31", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1685627011;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1685627011;}", "2", "1", "2023-06-01 13:43:42", "2023-06-01 15:43:42", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11482", "woocommerce_cleanup_draft_orders", "complete", "2023-06-03 08:25:59", "2023-06-03 10:25:59", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1685780759;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1685780759;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-06-05 07:12:30", "2023-06-05 09:12:30", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11483", "defender/async_scan", "complete", "2023-06-02 12:32:20", "2023-06-02 12:32:20", "{\"type\":\"install\"}", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "4", "1", "2023-06-02 12:33:27", "2023-06-02 14:33:27", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11484", "woocommerce_cleanup_draft_orders", "complete", "2023-06-06 07:12:30", "2023-06-06 09:12:30", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1686035550;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1686035550;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-06-06 07:13:12", "2023-06-06 09:13:12", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11485", "woocommerce_cleanup_draft_orders", "complete", "2023-06-07 07:13:12", "2023-06-07 09:13:12", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1686121992;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1686121992;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-06-07 07:16:21", "2023-06-07 09:16:21", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11486", "woocommerce_cleanup_draft_orders", "complete", "2023-06-08 07:16:21", "2023-06-08 09:16:21", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1686208581;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1686208581;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "1", "2023-06-08 07:17:13", "2023-06-08 09:17:13", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11487", "defender/async_scan", "complete", "2023-06-07 14:25:50", "2023-06-07 14:25:50", "{\"type\":\"scan\"}", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "4", "1", "2023-06-07 14:26:25", "2023-06-07 16:26:25", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11488", "defender/async_scan", "complete", "2023-06-07 14:27:16", "2023-06-07 14:27:16", "{\"type\":\"scan\"}", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "4", "1", "2023-06-07 14:27:52", "2023-06-07 16:27:52", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11489", "woocommerce_cleanup_draft_orders", "pending", "2023-06-09 07:17:13", "2023-06-09 09:17:13", "[]", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1686295033;s:18:\"\0*\0first_timestamp\";i:1685435078;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1686295033;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "0", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11490", "action_scheduler/migration_hook", "complete", "2023-06-08 11:28:15", "2023-06-08 13:28:15", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1686223695;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1686223695;}", "1", "1", "2023-06-08 11:28:23", "2023-06-08 13:28:23", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("11491", "action_scheduler/migration_hook", "failed", "2023-06-08 11:29:24", "2023-06-08 13:29:24", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1686223764;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1686223764;}", "1", "1", "2023-06-08 11:29:26", "2023-06-08 13:29:26", "0", NULL);

/* INSERT TABLE DATA: wp_actionscheduler_groups */
INSERT INTO `wp_actionscheduler_groups` VALUES("1", "action-scheduler-migration");
INSERT INTO `wp_actionscheduler_groups` VALUES("2", "woocommerce-db-updates");
INSERT INTO `wp_actionscheduler_groups` VALUES("3", "woocommerce-remote-inbox-engine");
INSERT INTO `wp_actionscheduler_groups` VALUES("4", "defender");

/* INSERT TABLE DATA: wp_actionscheduler_logs */
INSERT INTO `wp_actionscheduler_logs` VALUES("1", "11464", "action créée", "2023-05-30 08:24:37", "2023-05-30 10:24:37");
INSERT INTO `wp_actionscheduler_logs` VALUES("2", "11465", "action créée", "2023-05-30 08:24:38", "2023-05-30 10:24:38");
INSERT INTO `wp_actionscheduler_logs` VALUES("3", "11465", "action lancée via WP Cron", "2023-05-30 08:24:40", "2023-05-30 10:24:40");
INSERT INTO `wp_actionscheduler_logs` VALUES("4", "11465", "action terminée via WP Cron", "2023-05-30 08:24:40", "2023-05-30 10:24:40");
INSERT INTO `wp_actionscheduler_logs` VALUES("5", "11466", "action créée", "2023-05-30 08:24:40", "2023-05-30 10:24:40");
INSERT INTO `wp_actionscheduler_logs` VALUES("6", "11464", "action lancée via WP Cron", "2023-05-30 08:26:25", "2023-05-30 10:26:25");
INSERT INTO `wp_actionscheduler_logs` VALUES("7", "11464", "action terminée via WP Cron", "2023-05-30 08:26:25", "2023-05-30 10:26:25");
INSERT INTO `wp_actionscheduler_logs` VALUES("8", "11467", "action créée", "2023-05-30 08:26:26", "2023-05-30 10:26:26");
INSERT INTO `wp_actionscheduler_logs` VALUES("9", "11467", "action lancée via WP Cron", "2023-05-30 08:28:01", "2023-05-30 10:28:01");
INSERT INTO `wp_actionscheduler_logs` VALUES("10", "11467", "échec de l’action via WP Cron : L’action planifiée pour action_scheduler/migration_hook ne sera pas exécutée car aucun rappel n’est enregistré.", "2023-05-30 08:28:01", "2023-05-30 10:28:01");
INSERT INTO `wp_actionscheduler_logs` VALUES("11", "11468", "action créée", "2023-05-30 08:28:09", "2023-05-30 10:28:09");
INSERT INTO `wp_actionscheduler_logs` VALUES("12", "11468", "action lancée via WP Cron", "2023-05-30 08:29:11", "2023-05-30 10:29:11");
INSERT INTO `wp_actionscheduler_logs` VALUES("13", "11468", "action terminée via WP Cron", "2023-05-30 08:29:11", "2023-05-30 10:29:11");
INSERT INTO `wp_actionscheduler_logs` VALUES("14", "11469", "action créée", "2023-05-30 08:38:50", "2023-05-30 10:38:50");
INSERT INTO `wp_actionscheduler_logs` VALUES("15", "11469", "action lancée via WP Cron", "2023-05-30 08:39:11", "2023-05-30 10:39:11");
INSERT INTO `wp_actionscheduler_logs` VALUES("16", "11469", "échec de l’action via WP Cron : L’action planifiée pour woocommerce_admin/stored_state_setup_for_products/async/run_remote_notifications ne sera pas exécutée car aucun rappel n’est enregistré.", "2023-05-30 08:39:11", "2023-05-30 10:39:11");
INSERT INTO `wp_actionscheduler_logs` VALUES("17", "11470", "action créée", "2023-05-30 15:02:29", "2023-05-30 17:02:29");
INSERT INTO `wp_actionscheduler_logs` VALUES("18", "11471", "action créée", "2023-05-30 15:02:29", "2023-05-30 17:02:29");
INSERT INTO `wp_actionscheduler_logs` VALUES("19", "11471", "action lancée via WP Cron", "2023-05-30 15:02:30", "2023-05-30 17:02:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("20", "11471", "échec de l’action via WP Cron : L’action planifiée pour woocommerce_run_on_woocommerce_admin_updated ne sera pas exécutée car aucun rappel n’est enregistré.", "2023-05-30 15:02:30", "2023-05-30 17:02:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("21", "11470", "action lancée via WP Cron", "2023-05-30 15:02:30", "2023-05-30 17:02:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("22", "11472", "action créée", "2023-05-30 15:02:30", "2023-05-30 17:02:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("23", "11470", "action terminée via WP Cron", "2023-05-30 15:02:30", "2023-05-30 17:02:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("24", "11472", "action lancée via WP Cron", "2023-05-30 15:03:02", "2023-05-30 17:03:02");
INSERT INTO `wp_actionscheduler_logs` VALUES("25", "11473", "action créée", "2023-05-30 15:03:02", "2023-05-30 17:03:02");
INSERT INTO `wp_actionscheduler_logs` VALUES("26", "11472", "action terminée via WP Cron", "2023-05-30 15:03:02", "2023-05-30 17:03:02");
INSERT INTO `wp_actionscheduler_logs` VALUES("27", "11473", "action lancée via WP Cron", "2023-05-31 07:06:48", "2023-05-31 09:06:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("28", "11474", "action créée", "2023-05-31 07:06:48", "2023-05-31 09:06:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("29", "11473", "action terminée via WP Cron", "2023-05-31 07:06:48", "2023-05-31 09:06:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("30", "11474", "action lancée via WP Cron", "2023-05-31 07:07:26", "2023-05-31 09:07:26");
INSERT INTO `wp_actionscheduler_logs` VALUES("31", "11474", "action terminée via WP Cron", "2023-05-31 07:07:26", "2023-05-31 09:07:26");
INSERT INTO `wp_actionscheduler_logs` VALUES("32", "11466", "action lancée via Async Request", "2023-05-31 08:24:48", "2023-05-31 10:24:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("33", "11466", "action terminée via Async Request", "2023-05-31 08:24:48", "2023-05-31 10:24:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("34", "11475", "action créée", "2023-05-31 08:24:48", "2023-05-31 10:24:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("35", "11475", "action lancée via Async Request", "2023-06-01 08:25:01", "2023-06-01 10:25:01");
INSERT INTO `wp_actionscheduler_logs` VALUES("36", "11475", "action terminée via Async Request", "2023-06-01 08:25:01", "2023-06-01 10:25:01");
INSERT INTO `wp_actionscheduler_logs` VALUES("37", "11476", "action créée", "2023-06-01 08:25:01", "2023-06-01 10:25:01");
INSERT INTO `wp_actionscheduler_logs` VALUES("38", "11477", "action créée", "2023-06-01 13:42:31", "2023-06-01 15:42:31");
INSERT INTO `wp_actionscheduler_logs` VALUES("39", "11478", "action créée", "2023-06-01 13:42:31", "2023-06-01 15:42:31");
INSERT INTO `wp_actionscheduler_logs` VALUES("40", "11478", "action lancée via WP Cron", "2023-06-01 13:42:37", "2023-06-01 15:42:37");
INSERT INTO `wp_actionscheduler_logs` VALUES("41", "11478", "échec de l’action via WP Cron : L’action planifiée pour woocommerce_run_on_woocommerce_admin_updated ne sera pas exécutée car aucun rappel n’est enregistré.", "2023-06-01 13:42:37", "2023-06-01 15:42:37");
INSERT INTO `wp_actionscheduler_logs` VALUES("42", "11477", "action lancée via WP Cron", "2023-06-01 13:42:37", "2023-06-01 15:42:37");
INSERT INTO `wp_actionscheduler_logs` VALUES("43", "11479", "action créée", "2023-06-01 13:42:39", "2023-06-01 15:42:39");
INSERT INTO `wp_actionscheduler_logs` VALUES("44", "11477", "action terminée via WP Cron", "2023-06-01 13:42:39", "2023-06-01 15:42:39");
INSERT INTO `wp_actionscheduler_logs` VALUES("45", "11479", "action lancée via Async Request", "2023-06-01 13:43:01", "2023-06-01 15:43:01");
INSERT INTO `wp_actionscheduler_logs` VALUES("46", "11480", "action créée", "2023-06-01 13:43:02", "2023-06-01 15:43:02");
INSERT INTO `wp_actionscheduler_logs` VALUES("47", "11479", "action terminée via Async Request", "2023-06-01 13:43:02", "2023-06-01 15:43:02");
INSERT INTO `wp_actionscheduler_logs` VALUES("48", "11480", "action lancée via Async Request", "2023-06-01 13:43:27", "2023-06-01 15:43:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("49", "11481", "action créée", "2023-06-01 13:43:30", "2023-06-01 15:43:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("50", "11480", "action terminée via Async Request", "2023-06-01 13:43:30", "2023-06-01 15:43:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("51", "11481", "action lancée via Async Request", "2023-06-01 13:43:41", "2023-06-01 15:43:41");
INSERT INTO `wp_actionscheduler_logs` VALUES("52", "11481", "action terminée via Async Request", "2023-06-01 13:43:42", "2023-06-01 15:43:42");
INSERT INTO `wp_actionscheduler_logs` VALUES("53", "11476", "action lancée via WP Cron", "2023-06-02 08:25:59", "2023-06-02 10:25:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("54", "11476", "action terminée via WP Cron", "2023-06-02 08:25:59", "2023-06-02 10:25:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("55", "11482", "action créée", "2023-06-02 08:25:59", "2023-06-02 10:25:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("56", "11483", "action créée", "2023-06-02 12:32:20", "2023-06-02 14:32:20");
INSERT INTO `wp_actionscheduler_logs` VALUES("57", "11483", "action lancée via Async Request", "2023-06-02 12:32:52", "2023-06-02 14:32:52");
INSERT INTO `wp_actionscheduler_logs` VALUES("58", "11483", "action terminée via Async Request", "2023-06-02 12:33:27", "2023-06-02 14:33:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("59", "11482", "action lancée via WP Cron", "2023-06-05 07:12:30", "2023-06-05 09:12:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("60", "11482", "action terminée via WP Cron", "2023-06-05 07:12:30", "2023-06-05 09:12:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("61", "11484", "action créée", "2023-06-05 07:12:30", "2023-06-05 09:12:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("62", "11484", "action lancée via WP Cron", "2023-06-06 07:13:12", "2023-06-06 09:13:12");
INSERT INTO `wp_actionscheduler_logs` VALUES("63", "11484", "action terminée via WP Cron", "2023-06-06 07:13:12", "2023-06-06 09:13:12");
INSERT INTO `wp_actionscheduler_logs` VALUES("64", "11485", "action créée", "2023-06-06 07:13:12", "2023-06-06 09:13:12");
INSERT INTO `wp_actionscheduler_logs` VALUES("65", "11485", "action lancée via WP Cron", "2023-06-07 07:16:21", "2023-06-07 09:16:21");
INSERT INTO `wp_actionscheduler_logs` VALUES("66", "11485", "action terminée via WP Cron", "2023-06-07 07:16:21", "2023-06-07 09:16:21");
INSERT INTO `wp_actionscheduler_logs` VALUES("67", "11486", "action créée", "2023-06-07 07:16:21", "2023-06-07 09:16:21");
INSERT INTO `wp_actionscheduler_logs` VALUES("68", "11487", "action créée", "2023-06-07 14:25:50", "2023-06-07 16:25:50");
INSERT INTO `wp_actionscheduler_logs` VALUES("69", "11487", "action lancée via WP Cron", "2023-06-07 14:26:05", "2023-06-07 16:26:05");
INSERT INTO `wp_actionscheduler_logs` VALUES("70", "11487", "action terminée via WP Cron", "2023-06-07 14:26:25", "2023-06-07 16:26:25");
INSERT INTO `wp_actionscheduler_logs` VALUES("71", "11488", "action créée", "2023-06-07 14:27:16", "2023-06-07 16:27:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("72", "11488", "action lancée via WP Cron", "2023-06-07 14:27:35", "2023-06-07 16:27:35");
INSERT INTO `wp_actionscheduler_logs` VALUES("73", "11488", "action terminée via WP Cron", "2023-06-07 14:27:52", "2023-06-07 16:27:52");
INSERT INTO `wp_actionscheduler_logs` VALUES("74", "11486", "action lancée via Async Request", "2023-06-08 07:17:13", "2023-06-08 09:17:13");
INSERT INTO `wp_actionscheduler_logs` VALUES("75", "11486", "action terminée via Async Request", "2023-06-08 07:17:13", "2023-06-08 09:17:13");
INSERT INTO `wp_actionscheduler_logs` VALUES("76", "11489", "action créée", "2023-06-08 07:17:13", "2023-06-08 09:17:13");
INSERT INTO `wp_actionscheduler_logs` VALUES("77", "11490", "action créée", "2023-06-08 11:27:15", "2023-06-08 13:27:15");
INSERT INTO `wp_actionscheduler_logs` VALUES("78", "11490", "action lancée via WP Cron", "2023-06-08 11:28:23", "2023-06-08 13:28:23");
INSERT INTO `wp_actionscheduler_logs` VALUES("79", "11490", "action terminée via WP Cron", "2023-06-08 11:28:23", "2023-06-08 13:28:23");
INSERT INTO `wp_actionscheduler_logs` VALUES("80", "11491", "action créée", "2023-06-08 11:28:24", "2023-06-08 13:28:24");
INSERT INTO `wp_actionscheduler_logs` VALUES("81", "11491", "action lancée via Async Request", "2023-06-08 11:29:26", "2023-06-08 13:29:26");
INSERT INTO `wp_actionscheduler_logs` VALUES("82", "11491", "échec de l’action via Async Request : L’action planifiée pour action_scheduler/migration_hook ne sera pas exécutée car aucun rappel n’est enregistré.", "2023-06-08 11:29:26", "2023-06-08 13:29:26");

/* INSERT TABLE DATA: wp_defender_lockout */
INSERT INTO `wp_defender_lockout` VALUES("2", "::1", "normal", "", "0", "1685709108", "0", "0", "0", "[]");

/* INSERT TABLE DATA: wp_defender_scan */
INSERT INTO `wp_defender_scan` VALUES("3", "99.98", "2", "", "finish", "2023-06-07 14:27:16", "2023-06-07 14:27:40", "0");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("4", "KOOKAgency_08062023", "a640deb2369248547168_20230608123627", "22", "2023-06-08 12:40:39", "Kilian", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-08 12:36:27\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"8.0.31\";s:10:\"VersionPHP\";s:6:\"8.0.26\";s:9:\"VersionOS\";s:5:\"WINNT\";s:2:\"ID\";i:4;s:4:\"Name\";s:19:\"KOOKAgency_08062023\";s:4:\"Hash\";s:35:\"a640deb2369248547168_20230608123627\";s:8:\"NameHash\";s:55:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:65:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.8\";s:6:\"WPUser\";s:6:\"Kilian\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:243:\"C:/wamp64/www/KOOKAgency/wp-content/uploads;C:/wamp64/www/KOOKAgency/wp-content/uploads/2022/08;C:/wamp64/www/KOOKAgency/wp-content/uploads/2023/05;C:/wamp64/www/KOOKAgency/wp-content/uploads/2023/06;C:/wamp64/www/KOOKAgency/wp-content/wflogs;\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:1;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:67:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:24:\"C:/wamp64/www/KOOKAgency\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:4924;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:21461;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-08 12:36:27\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"8.0.31\";s:10:\"VersionPHP\";s:6:\"8.0.26\";s:9:\"VersionOS\";s:5:\"WINNT\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"KOOKAgency_08062023\";s:4:\"Hash\";s:35:\"a640deb2369248547168_20230608123627\";s:8:\"NameHash\";s:55:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:73:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:9:\"localhost\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:10:\"kookagency\";s:10:\"OptsDBUser\";s:4:\"root\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:38:\"C:/wamp64/www/KOOKAgency/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:68:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server - GPL\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:1;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:125:\"C:/wamp64/www/KOOKAgency/wp-content/backups-dup-lite/tmp/KOOKAgency_08062023_a640deb2369248547168_20230608123627_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:33:\"C:/wamp64/www/KOOKAgency/wp-admin\";i:1;s:36:\"C:/wamp64/www/KOOKAgency/wp-includes\";i:2;s:45:\"C:/wamp64/www/KOOKAgency/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:24:\"C:/wamp64/www/KOOKAgency\";i:1;s:24:\"C:/wamp64/www/KOOKAgency\";i:2;s:35:\"C:/wamp64/www/KOOKAgency/wp-content\";i:3;s:43:\"C:/wamp64/www/KOOKAgency/wp-content/uploads\";i:4;s:43:\"C:/wamp64/www/KOOKAgency/wp-content/plugins\";i:5;s:46:\"C:/wamp64/www/KOOKAgency/wp-content/mu-plugins\";i:6;s:42:\"C:/wamp64/www/KOOKAgency/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:56:\"C:/wamp64/www/KOOKAgency/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_frmt_form_reports */
INSERT INTO `wp_frmt_form_reports` VALUES("1", "a:5:{s:7:\"exclude\";a:1:{i:0;i:1;}s:8:\"settings\";a:3:{s:5:\"label\";s:12:\"Form reports\";s:6:\"module\";s:5:\"forms\";s:10:\"forms_type\";s:3:\"all\";}s:8:\"schedule\";a:3:{s:9:\"frequency\";s:7:\"monthly\";s:8:\"monthDay\";s:1:\"4\";s:9:\"monthTime\";s:8:\"04:00 AM\";}s:13:\"report_status\";s:8:\"inactive\";s:10:\"recipients\";a:1:{i:0;a:5:{s:2:\"id\";i:1;s:4:\"name\";s:6:\"Kilian\";s:5:\"email\";s:26:\"kiliankookagency@gmail.com\";s:4:\"role\";s:13:\"Administrator\";s:6:\"avatar\";s:75:\"http://2.gravatar.com/avatar/2698ee5960985def0f991c1b2b842de6?s=96&d=mm&r=g\";}}}", "inactive", "2023-05-30 10:24:25", "2023-05-30 10:24:25");

/* INSERT TABLE DATA: wp_frmt_form_views */
INSERT INTO `wp_frmt_form_views` VALUES("1", "12081", "3857", NULL, "2", "2023-05-30 15:16:54", "2023-05-30 15:40:41");
INSERT INTO `wp_frmt_form_views` VALUES("2", "12081", "3857", NULL, "1", "2023-05-31 16:36:51", "0000-00-00 00:00:00");
INSERT INTO `wp_frmt_form_views` VALUES("3", "12081", "3857", NULL, "78", "2023-06-01 09:47:55", "2023-06-01 15:28:00");
INSERT INTO `wp_frmt_form_views` VALUES("4", "12081", "3857", NULL, "10", "2023-06-02 09:13:16", "2023-06-02 15:01:42");
INSERT INTO `wp_frmt_form_views` VALUES("5", "12081", "3857", NULL, "38", "2023-06-05 10:40:33", "2023-06-05 16:50:32");
INSERT INTO `wp_frmt_form_views` VALUES("6", "12081", "3857", NULL, "39", "2023-06-06 09:28:33", "2023-06-06 16:50:09");
INSERT INTO `wp_frmt_form_views` VALUES("7", "12081", "3857", NULL, "64", "2023-06-07 09:20:49", "2023-06-07 16:03:55");
INSERT INTO `wp_frmt_form_views` VALUES("8", "12081", "3857", NULL, "3", "2023-06-08 10:35:06", "2023-06-08 14:40:28");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://kookagency", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://kookagency", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Kook Agency", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "L&#039;agence de communication des restaurateurs", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kiliankookagency@gmail.com", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "closed", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "j F Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "G\\hi", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "d F Y G\\hi", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:212:{s:24:\"^wc-auth/v([1]{1})/(.*)?\";s:63:\"index.php?wc-auth-version=$matches[1]&wc-auth-route=$matches[2]\";s:22:\"^wc-api/v([1-3]{1})/?$\";s:51:\"index.php?wc-api-version=$matches[1]&wc-api-route=/\";s:24:\"^wc-api/v([1-3]{1})(.*)?\";s:61:\"index.php?wc-api-version=$matches[1]&wc-api-route=$matches[2]\";s:19:\"sitemap_index\\.xml$\";s:19:\"index.php?sitemap=1\";s:31:\"([^/]+?)-sitemap([0-9]+)?\\.xml$\";s:51:\"index.php?sitemap=$matches[1]&sitemap_n=$matches[2]\";s:24:\"([a-z]+)?-?sitemap\\.xsl$\";s:39:\"index.php?yoast-sitemap-xsl=$matches[1]\";s:7:\"shop/?$\";s:27:\"index.php?post_type=product\";s:37:\"shop/feed/(feed|rdf|rss|rss2|atom)/?$\";s:44:\"index.php?post_type=product&feed=$matches[1]\";s:32:\"shop/(feed|rdf|rss|rss2|atom)/?$\";s:44:\"index.php?post_type=product&feed=$matches[1]\";s:24:\"shop/page/([0-9]{1,})/?$\";s:45:\"index.php?post_type=product&paged=$matches[1]\";s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:18:\"^entries/([^/]+)/?\";s:29:\"index.php?entries=$matches[1]\";s:42:\"archives/(\\d+)(?:/(\\d+))?/entries/(\\d+)/?$\";s:60:\"index.php?p=$matches[1]&page=$matches[2]&entries=$matches[3]\";s:38:\"(.?.+?)(?:/([0-9]+))?/entries/(\\d+)/?$\";s:67:\"index.php?pagename=$matches[1]&page=$matches[2]&entries=$matches[3]\";s:62:\"([0-9]{4})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/entries/(\\d+)/?$\";s:101:\"index.php?year=$matches[1]&monthnum=$matches[2]&name=$matches[3]&page=$matches[4]&entries=$matches[5]\";s:75:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/entries/(\\d+)/?$\";s:117:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]&entries=$matches[6]\";s:26:\"(.?.+?)/entries(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&entries=$matches[3]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:32:\"category/(.+?)/wc-api(/(.*))?/?$\";s:54:\"index.php?category_name=$matches[1]&wc-api=$matches[3]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:29:\"tag/([^/]+)/wc-api(/(.*))?/?$\";s:44:\"index.php?tag=$matches[1]&wc-api=$matches[3]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:42:\"e-landing-page/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:52:\"e-landing-page/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:72:\"e-landing-page/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:48:\"e-landing-page/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:31:\"e-landing-page/([^/]+)/embed/?$\";s:47:\"index.php?e-landing-page=$matches[1]&embed=true\";s:35:\"e-landing-page/([^/]+)/trackback/?$\";s:41:\"index.php?e-landing-page=$matches[1]&tb=1\";s:43:\"e-landing-page/([^/]+)/page/?([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&paged=$matches[2]\";s:50:\"e-landing-page/([^/]+)/comment-page-([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&cpage=$matches[2]\";s:40:\"e-landing-page/([^/]+)/wc-api(/(.*))?/?$\";s:55:\"index.php?e-landing-page=$matches[1]&wc-api=$matches[3]\";s:46:\"e-landing-page/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:57:\"e-landing-page/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:39:\"e-landing-page/([^/]+)(?:/([0-9]+))?/?$\";s:53:\"index.php?e-landing-page=$matches[1]&page=$matches[2]\";s:31:\"e-landing-page/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\"e-landing-page/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\"e-landing-page/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\"e-landing-page/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:56:\"categorie-produit/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_cat=$matches[1]&feed=$matches[2]\";s:51:\"categorie-produit/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_cat=$matches[1]&feed=$matches[2]\";s:32:\"categorie-produit/(.+?)/embed/?$\";s:44:\"index.php?product_cat=$matches[1]&embed=true\";s:44:\"categorie-produit/(.+?)/page/?([0-9]{1,})/?$\";s:51:\"index.php?product_cat=$matches[1]&paged=$matches[2]\";s:26:\"categorie-produit/(.+?)/?$\";s:33:\"index.php?product_cat=$matches[1]\";s:58:\"etiquette-produit/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_tag=$matches[1]&feed=$matches[2]\";s:53:\"etiquette-produit/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?product_tag=$matches[1]&feed=$matches[2]\";s:34:\"etiquette-produit/([^/]+)/embed/?$\";s:44:\"index.php?product_tag=$matches[1]&embed=true\";s:46:\"etiquette-produit/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?product_tag=$matches[1]&paged=$matches[2]\";s:28:\"etiquette-produit/([^/]+)/?$\";s:33:\"index.php?product_tag=$matches[1]\";s:35:\"produit/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"produit/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"produit/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"produit/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"produit/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"produit/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:24:\"produit/([^/]+)/embed/?$\";s:40:\"index.php?product=$matches[1]&embed=true\";s:28:\"produit/([^/]+)/trackback/?$\";s:34:\"index.php?product=$matches[1]&tb=1\";s:48:\"produit/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?product=$matches[1]&feed=$matches[2]\";s:43:\"produit/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?product=$matches[1]&feed=$matches[2]\";s:36:\"produit/([^/]+)/page/?([0-9]{1,})/?$\";s:47:\"index.php?product=$matches[1]&paged=$matches[2]\";s:43:\"produit/([^/]+)/comment-page-([0-9]{1,})/?$\";s:47:\"index.php?product=$matches[1]&cpage=$matches[2]\";s:33:\"produit/([^/]+)/wc-api(/(.*))?/?$\";s:48:\"index.php?product=$matches[1]&wc-api=$matches[3]\";s:39:\"produit/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:50:\"produit/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:32:\"produit/([^/]+)(?:/([0-9]+))?/?$\";s:46:\"index.php?product=$matches[1]&page=$matches[2]\";s:24:\"produit/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:34:\"produit/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:54:\"produit/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"produit/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"produit/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"produit/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:37:\"nos-clients/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"nos-clients/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"nos-clients/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"nos-clients/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"nos-clients/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:43:\"nos-clients/.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:26:\"nos-clients/(.+?)/embed/?$\";s:51:\"index.php?blackdsn-portfolio=$matches[1]&embed=true\";s:30:\"nos-clients/(.+?)/trackback/?$\";s:45:\"index.php?blackdsn-portfolio=$matches[1]&tb=1\";s:38:\"nos-clients/(.+?)/page/?([0-9]{1,})/?$\";s:58:\"index.php?blackdsn-portfolio=$matches[1]&paged=$matches[2]\";s:45:\"nos-clients/(.+?)/comment-page-([0-9]{1,})/?$\";s:58:\"index.php?blackdsn-portfolio=$matches[1]&cpage=$matches[2]\";s:35:\"nos-clients/(.+?)/wc-api(/(.*))?/?$\";s:59:\"index.php?blackdsn-portfolio=$matches[1]&wc-api=$matches[3]\";s:41:\"nos-clients/.+?/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:52:\"nos-clients/.+?/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:34:\"nos-clients/(.+?)(?:/([0-9]+))?/?$\";s:57:\"index.php?blackdsn-portfolio=$matches[1]&page=$matches[2]\";s:64:\"dsn-blackdsn-categories/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:62:\"index.php?dsn-blackdsn-categories=$matches[1]&feed=$matches[2]\";s:59:\"dsn-blackdsn-categories/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:62:\"index.php?dsn-blackdsn-categories=$matches[1]&feed=$matches[2]\";s:40:\"dsn-blackdsn-categories/([^/]+)/embed/?$\";s:56:\"index.php?dsn-blackdsn-categories=$matches[1]&embed=true\";s:52:\"dsn-blackdsn-categories/([^/]+)/page/?([0-9]{1,})/?$\";s:63:\"index.php?dsn-blackdsn-categories=$matches[1]&paged=$matches[2]\";s:34:\"dsn-blackdsn-categories/([^/]+)/?$\";s:45:\"index.php?dsn-blackdsn-categories=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:13:\"favicon\\.ico$\";s:19:\"index.php?favicon=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:42:\"index.php?&page_id=10485&cpage=$matches[1]\";s:17:\"wc-api(/(.*))?/?$\";s:29:\"index.php?&wc-api=$matches[2]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:26:\"comments/wc-api(/(.*))?/?$\";s:29:\"index.php?&wc-api=$matches[2]\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:29:\"search/(.+)/wc-api(/(.*))?/?$\";s:42:\"index.php?s=$matches[1]&wc-api=$matches[3]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:32:\"author/([^/]+)/wc-api(/(.*))?/?$\";s:52:\"index.php?author_name=$matches[1]&wc-api=$matches[3]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:54:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/wc-api(/(.*))?/?$\";s:82:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&wc-api=$matches[5]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:41:\"([0-9]{4})/([0-9]{1,2})/wc-api(/(.*))?/?$\";s:66:\"index.php?year=$matches[1]&monthnum=$matches[2]&wc-api=$matches[4]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:28:\"([0-9]{4})/wc-api(/(.*))?/?$\";s:45:\"index.php?year=$matches[1]&wc-api=$matches[3]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:62:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/wc-api(/(.*))?/?$\";s:99:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&wc-api=$matches[6]\";s:62:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:73:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:25:\"(.?.+?)/wc-api(/(.*))?/?$\";s:49:\"index.php?pagename=$matches[1]&wc-api=$matches[3]\";s:28:\"(.?.+?)/order-pay(/(.*))?/?$\";s:52:\"index.php?pagename=$matches[1]&order-pay=$matches[3]\";s:33:\"(.?.+?)/order-received(/(.*))?/?$\";s:57:\"index.php?pagename=$matches[1]&order-received=$matches[3]\";s:25:\"(.?.+?)/orders(/(.*))?/?$\";s:49:\"index.php?pagename=$matches[1]&orders=$matches[3]\";s:29:\"(.?.+?)/view-order(/(.*))?/?$\";s:53:\"index.php?pagename=$matches[1]&view-order=$matches[3]\";s:28:\"(.?.+?)/downloads(/(.*))?/?$\";s:52:\"index.php?pagename=$matches[1]&downloads=$matches[3]\";s:31:\"(.?.+?)/edit-account(/(.*))?/?$\";s:55:\"index.php?pagename=$matches[1]&edit-account=$matches[3]\";s:31:\"(.?.+?)/edit-address(/(.*))?/?$\";s:55:\"index.php?pagename=$matches[1]&edit-address=$matches[3]\";s:34:\"(.?.+?)/payment-methods(/(.*))?/?$\";s:58:\"index.php?pagename=$matches[1]&payment-methods=$matches[3]\";s:32:\"(.?.+?)/lost-password(/(.*))?/?$\";s:56:\"index.php?pagename=$matches[1]&lost-password=$matches[3]\";s:34:\"(.?.+?)/customer-logout(/(.*))?/?$\";s:58:\"index.php?pagename=$matches[1]&customer-logout=$matches[3]\";s:37:\"(.?.+?)/add-payment-method(/(.*))?/?$\";s:61:\"index.php?pagename=$matches[1]&add-payment-method=$matches[3]\";s:40:\"(.?.+?)/delete-payment-method(/(.*))?/?$\";s:64:\"index.php?pagename=$matches[1]&delete-payment-method=$matches[3]\";s:45:\"(.?.+?)/set-default-payment-method(/(.*))?/?$\";s:69:\"index.php?pagename=$matches[1]&set-default-payment-method=$matches[3]\";s:31:\".?.+?/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:42:\".?.+?/attachment/([^/]+)/wc-api(/(.*))?/?$\";s:51:\"index.php?attachment=$matches[1]&wc-api=$matches[3]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:16:{i:0;s:19:\"akismet/akismet.php\";i:1;s:49:\"blackdsn-helper-plugin/blackdsn-helper-plugin.php\";i:2;s:39:\"copy-delete-posts/copy-delete-posts.php\";i:3;s:33:\"defender-security/wp-defender.php\";i:4;s:25:\"duplicator/duplicator.php\";i:5;s:23:\"elementor/elementor.php\";i:6;s:25:\"forminator/forminator.php\";i:7;s:15:\"kirki/kirki.php\";i:8;s:39:\"theme-demo-import/theme-demo-import.php\";i:9;s:33:\"w3-total-cache/w3-total-cache.php\";i:10;s:53:\"widget-importer-exporter/widget-importer-exporter.php\";i:11;s:27:\"woocommerce/woocommerce.php\";i:12;s:41:\"wordpress-importer/wordpress-importer.php\";i:13;s:24:\"wordpress-seo/wp-seo.php\";i:14;s:27:\"wp-optimize/wp-optimize.php\";i:15;s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "a:5:{i:0;s:65:\"C:\\wamp64\\www\\KOOKAgency/wp-content/themes/blackdsn/functions.php\";i:1;s:61:\"C:\\wamp64\\www\\KOOKAgency/wp-content/themes/blackdsn/style.css\";i:2;s:67:\"C:\\wamp64\\www\\KOOKAgency/wp-content/themes/blackdsn/wpml-config.xml\";i:3;s:88:\"C:\\wamp64\\www\\KOOKAgency/wp-content/themes/blackdsn/template-parts/next/next-project.php\";i:4;s:85:\"C:\\wamp64\\www\\KOOKAgency/wp-content/themes/blackdsn/template-parts/next/next-post.php\";}", "no");
INSERT INTO `wp_options` VALUES("40", "template", "blackdsn", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "blackdsn", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:2:{i:1;a:4:{s:5:\"title\";s:10:\"Categories\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:4:{s:39:\"copy-delete-posts/copy-delete-posts.php\";a:2:{i:0;s:15:\"Account\\Account\";i:1;s:25:\"onUninstallPluginListener\";}s:23:\"elementor/elementor.php\";a:2:{i:0;s:21:\"Elementor\\Maintenance\";i:1;s:9:\"uninstall\";}s:24:\"wordpress-seo/wp-seo.php\";s:14:\"__return_false\";s:27:\"wp-optimize/wp-optimize.php\";a:2:{i:0;s:13:\"WPO_Uninstall\";i:1;s:7:\"actions\";}}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "Europe/Paris", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "10485", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "12607", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1700986313", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:9:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:116:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:17:\"manage_forminator\";b:1;s:20:\"wpseo_manage_options\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:36:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}s:8:\"customer\";a:2:{s:4:\"name\";s:8:\"Customer\";s:12:\"capabilities\";a:1:{s:4:\"read\";b:1;}}s:12:\"shop_manager\";a:2:{s:4:\"name\";s:12:\"Shop manager\";s:12:\"capabilities\";a:92:{s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:4:\"read\";b:1;s:18:\"read_private_pages\";b:1;s:18:\"read_private_posts\";b:1;s:10:\"edit_posts\";b:1;s:10:\"edit_pages\";b:1;s:20:\"edit_published_posts\";b:1;s:20:\"edit_published_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"edit_private_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:17:\"edit_others_pages\";b:1;s:13:\"publish_posts\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_posts\";b:1;s:12:\"delete_pages\";b:1;s:20:\"delete_private_pages\";b:1;s:20:\"delete_private_posts\";b:1;s:22:\"delete_published_pages\";b:1;s:22:\"delete_published_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:19:\"delete_others_pages\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:17:\"moderate_comments\";b:1;s:12:\"upload_files\";b:1;s:6:\"export\";b:1;s:6:\"import\";b:1;s:10:\"list_users\";b:1;s:18:\"edit_theme_options\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;}}s:13:\"wpseo_manager\";a:2:{s:4:\"name\";s:11:\"SEO Manager\";s:12:\"capabilities\";a:38:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;s:20:\"wpseo_manage_options\";b:1;s:23:\"view_site_health_checks\";b:1;}}s:12:\"wpseo_editor\";a:2:{s:4:\"name\";s:10:\"SEO Editor\";s:12:\"capabilities\";a:36:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "WPLANG", "fr_FR", "yes");
INSERT INTO `wp_options` VALUES("103", "user_count", "1", "no");
INSERT INTO `wp_options` VALUES("104", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:159:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Articles récents</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:233:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Commentaires récents</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:151:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Catégories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "sidebars_widgets", "a:5:{s:19:\"wp_inactive_widgets\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}s:12:\"wc-sidebar-1\";a:0:{}s:15:\"wc-sidebar-cart\";a:1:{i:0;s:25:\"woocommerce_widget_cart-1\";}s:14:\"blog-sidebar-1\";a:7:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:8:\"search-1\";i:4;s:10:\"calendar-1\";i:5;s:14:\"recent-posts-1\";i:6;s:12:\"categories-1\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("488", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("490", "kirki_notices", "a:1:{s:15:\"discount_notice\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("497", "_elementor_settings_update_time", "1685436322", "yes");
INSERT INTO `wp_options` VALUES("498", "elementor_cpt_support", "a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:18:\"blackdsn-portfolio\";}", "yes");
INSERT INTO `wp_options` VALUES("499", "elementor_disable_color_schemes", "yes", "yes");
INSERT INTO `wp_options` VALUES("500", "elementor_disable_typography_schemes", "yes", "yes");
INSERT INTO `wp_options` VALUES("501", "elementor_allow_tracking", "no", "yes");
INSERT INTO `wp_options` VALUES("502", "elementor_google_maps_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("503", "elementor_css_print_method", "external", "yes");
INSERT INTO `wp_options` VALUES("504", "elementor_editor_break_lines", "", "yes");
INSERT INTO `wp_options` VALUES("505", "elementor_unfiltered_files_upload", "1", "yes");
INSERT INTO `wp_options` VALUES("335", "_transient_jetpack_autoloader_plugin_paths", "a:1:{i:0;s:29:\"{{WP_PLUGIN_DIR}}/woocommerce\";}", "yes");
INSERT INTO `wp_options` VALUES("336", "action_scheduler_lock_async-request-runner", "1686228095", "yes");
INSERT INTO `wp_options` VALUES("337", "woocommerce_admin_notices", "a:1:{i:0;s:20:\"no_secure_connection\";}", "yes");
INSERT INTO `wp_options` VALUES("332", "wpseo", "a:102:{s:8:\"tracking\";b:0;s:16:\"toggled_tracking\";b:0;s:22:\"license_server_version\";b:0;s:15:\"ms_defaults_set\";b:0;s:40:\"ignore_search_engines_discouraged_notice\";b:0;s:19:\"indexing_first_time\";b:0;s:16:\"indexing_started\";b:0;s:15:\"indexing_reason\";s:0:\"\";s:29:\"indexables_indexing_completed\";b:1;s:13:\"index_now_key\";s:0:\"\";s:7:\"version\";s:4:\"20.8\";s:16:\"previous_version\";s:0:\"\";s:20:\"disableadvanced_meta\";b:1;s:30:\"enable_headless_rest_endpoints\";b:1;s:17:\"ryte_indexability\";b:0;s:11:\"baiduverify\";s:0:\"\";s:12:\"googleverify\";s:0:\"\";s:8:\"msverify\";s:0:\"\";s:12:\"yandexverify\";s:0:\"\";s:9:\"site_type\";s:0:\"\";s:20:\"has_multiple_authors\";s:0:\"\";s:16:\"environment_type\";s:0:\"\";s:23:\"content_analysis_active\";b:1;s:23:\"keyword_analysis_active\";b:1;s:34:\"inclusive_language_analysis_active\";b:0;s:21:\"enable_admin_bar_menu\";b:1;s:26:\"enable_cornerstone_content\";b:1;s:18:\"enable_xml_sitemap\";b:1;s:24:\"enable_text_link_counter\";b:1;s:16:\"enable_index_now\";b:1;s:22:\"show_onboarding_notice\";b:1;s:18:\"first_activated_on\";i:1685435060;s:13:\"myyoast-oauth\";b:0;s:26:\"semrush_integration_active\";b:1;s:14:\"semrush_tokens\";a:0:{}s:20:\"semrush_country_code\";s:2:\"us\";s:19:\"permalink_structure\";s:36:\"/%year%/%monthnum%/%day%/%postname%/\";s:8:\"home_url\";s:17:\"http://kookagency\";s:18:\"dynamic_permalinks\";b:0;s:17:\"category_base_url\";s:0:\"\";s:12:\"tag_base_url\";s:0:\"\";s:21:\"custom_taxonomy_slugs\";a:8:{s:22:\"elementor_library_type\";s:22:\"elementor_library_type\";s:26:\"elementor_library_category\";s:26:\"elementor_library_category\";s:12:\"product_type\";s:12:\"product_type\";s:18:\"product_visibility\";s:18:\"product_visibility\";s:11:\"product_cat\";s:17:\"categorie-produit\";s:11:\"product_tag\";s:17:\"etiquette-produit\";s:22:\"product_shipping_class\";s:22:\"product_shipping_class\";s:23:\"dsn-blackdsn-categories\";s:23:\"dsn-blackdsn-categories\";}s:29:\"enable_enhanced_slack_sharing\";b:1;s:25:\"zapier_integration_active\";b:0;s:19:\"zapier_subscription\";a:0:{}s:14:\"zapier_api_key\";s:0:\"\";s:23:\"enable_metabox_insights\";b:1;s:23:\"enable_link_suggestions\";b:1;s:26:\"algolia_integration_active\";b:0;s:14:\"import_cursors\";a:0:{}s:13:\"workouts_data\";a:1:{s:13:\"configuration\";a:1:{s:13:\"finishedSteps\";a:0:{}}}s:28:\"configuration_finished_steps\";a:3:{i:0;s:18:\"siteRepresentation\";i:1;s:14:\"socialProfiles\";i:2;s:19:\"personalPreferences\";}s:36:\"dismiss_configuration_workout_notice\";b:0;s:34:\"dismiss_premium_deactivated_notice\";b:0;s:34:\"dismiss_old_premium_version_notice\";s:0:\"\";s:19:\"importing_completed\";a:5:{s:30:\"aioseo_custom_archive_settings\";b:1;s:31:\"aioseo_default_archive_settings\";b:1;s:23:\"aioseo_general_settings\";b:1;s:32:\"aioseo_posttype_default_settings\";b:1;s:24:\"aioseo_taxonomy_settings\";b:1;}s:26:\"wincher_integration_active\";b:1;s:14:\"wincher_tokens\";a:0:{}s:36:\"wincher_automatically_add_keyphrases\";b:0;s:18:\"wincher_website_id\";s:0:\"\";s:28:\"wordproof_integration_active\";b:0;s:29:\"wordproof_integration_changed\";b:0;s:18:\"first_time_install\";b:0;s:34:\"should_redirect_after_install_free\";b:0;s:34:\"activation_redirect_timestamp_free\";i:1685435093;s:18:\"remove_feed_global\";b:0;s:27:\"remove_feed_global_comments\";b:0;s:25:\"remove_feed_post_comments\";b:0;s:19:\"remove_feed_authors\";b:0;s:22:\"remove_feed_categories\";b:0;s:16:\"remove_feed_tags\";b:0;s:29:\"remove_feed_custom_taxonomies\";b:0;s:22:\"remove_feed_post_types\";b:0;s:18:\"remove_feed_search\";b:0;s:21:\"remove_atom_rdf_feeds\";b:0;s:17:\"remove_shortlinks\";b:0;s:21:\"remove_rest_api_links\";b:0;s:20:\"remove_rsd_wlw_links\";b:0;s:19:\"remove_oembed_links\";b:0;s:16:\"remove_generator\";b:0;s:20:\"remove_emoji_scripts\";b:0;s:24:\"remove_powered_by_header\";b:0;s:22:\"remove_pingback_header\";b:0;s:28:\"clean_campaign_tracking_urls\";b:0;s:16:\"clean_permalinks\";b:0;s:32:\"clean_permalinks_extra_variables\";s:0:\"\";s:14:\"search_cleanup\";b:0;s:20:\"search_cleanup_emoji\";b:0;s:23:\"search_cleanup_patterns\";b:0;s:22:\"search_character_limit\";i:50;s:20:\"deny_search_crawling\";b:0;s:21:\"deny_wp_json_crawling\";b:0;s:27:\"redirect_search_pretty_urls\";b:0;s:29:\"least_readability_ignore_list\";a:0:{}s:27:\"least_seo_score_ignore_list\";a:0:{}s:23:\"most_linked_ignore_list\";a:0:{}s:24:\"least_linked_ignore_list\";a:0:{}s:28:\"indexables_page_reading_list\";a:5:{i:0;b:0;i:1;b:0;i:2;b:0;i:3;b:0;i:4;b:0;}s:25:\"indexables_overview_state\";s:21:\"dashboard-not-visited\";s:28:\"last_known_public_post_types\";a:7:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:10:\"attachment\";i:3;s:14:\"e-landing-page\";i:4;s:17:\"elementor_library\";i:5;s:7:\"product\";i:6;s:18:\"blackdsn-portfolio\";}s:28:\"last_known_public_taxonomies\";a:7:{i:0;s:8:\"category\";i:1;s:8:\"post_tag\";i:2;s:11:\"post_format\";i:3;s:11:\"product_cat\";i:4;s:11:\"product_tag\";i:5;s:22:\"product_shipping_class\";i:6;s:23:\"dsn-blackdsn-categories\";}s:23:\"last_known_no_unindexed\";a:6:{s:31:\"wpseo_unindexed_post_link_count\";i:1686211730;s:31:\"wpseo_unindexed_term_link_count\";i:1686214454;s:27:\"wpseo_total_unindexed_posts\";i:1686123050;s:27:\"wpseo_total_unindexed_terms\";i:1686123050;s:40:\"wpseo_total_unindexed_post_type_archives\";i:1686214454;s:35:\"wpseo_total_unindexed_general_items\";i:1686214454;}}", "yes");
INSERT INTO `wp_options` VALUES("106", "cron", "a:37:{i:1686228062;a:1:{s:26:\"action_scheduler_run_queue\";a:1:{s:32:\"0d04ed39571b55704c122d726248bbac\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:1:{i:0;s:7:\"WP Cron\";}s:8:\"interval\";i:60;}}}i:1686228090;a:2:{s:22:\"forminator_send_export\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:0:{}s:8:\"interval\";i:60;}}s:25:\"forminator_process_report\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:0:{}s:8:\"interval\";i:60;}}}i:1686228323;a:1:{s:27:\"wpo_minify_preload_continue\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:36:\"wpo_minify_preload_continue_interval\";s:4:\"args\";a:0:{}s:8:\"interval\";i:600;}}}i:1686229200;a:1:{s:21:\"wdf_maybe_send_report\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:14:\"thirty_minutes\";s:4:\"args\";a:0:{}s:8:\"interval\";i:1800;}}}i:1686229914;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1686230259;a:1:{s:32:\"woocommerce_cancel_unpaid_orders\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:0:{}}}}i:1686230665;a:1:{s:42:\"forminator_general_data_protection_cleanup\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1686230674;a:1:{s:33:\"wc_admin_process_orders_milestone\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1686230692;a:1:{s:29:\"wc_admin_unsnooze_admin_notes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1686231067;a:1:{s:22:\"firewall_clean_up_logs\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1686231114;a:1:{s:22:\"wp_defender_clear_logs\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686231420;a:1:{s:31:\"wpseo_permalink_structure_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686231760;a:2:{s:33:\"woocommerce_cleanup_personal_data\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"woocommerce_tracker_send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686233599;a:1:{s:21:\"wpo_weekly_cron_tasks\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1686233803;a:1:{s:16:\"prune_smush_logs\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:0:{}}}}i:1686242550;a:2:{s:24:\"woocommerce_cleanup_logs\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:31:\"woocommerce_cleanup_rate_limits\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686253350;a:1:{s:28:\"woocommerce_cleanup_sessions\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1686255114;a:4:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1686255131;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1686261600;a:1:{s:27:\"woocommerce_scheduled_sales\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686295139;a:1:{s:30:\"schedule_forminator_daily_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:0:{}}}}i:1686298314;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686298331;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686298332;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686299038;a:1:{s:28:\"elementor/tracker/send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686299046;a:1:{s:14:\"wc_admin_daily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686299059;a:1:{s:13:\"wpseo-reindex\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686312795;a:1:{s:26:\"wpo_minify_purge_old_cache\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686312797;a:2:{s:29:\"wpo_smush_clear_backup_images\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:37:\"wpo_reset_webp_conversion_test_result\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:9:\"wpo_daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686313856;a:1:{s:21:\"wpdef_clear_scan_logs\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1686313857;a:1:{s:26:\"wpdef_fetch_global_ip_list\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686313858;a:1:{s:27:\"wpdef_log_rotational_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686313867;a:1:{s:31:\"wpdef_firewall_clean_up_lockout\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1686314138;a:1:{s:19:\"wpo_purge_old_cache\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:19:\"wpo_purge_old_cache\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1686730314;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1686923010;a:1:{s:25:\"woocommerce_geoip_updater\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:11:\"fifteendays\";s:4:\"args\";a:0:{}s:8:\"interval\";i:1296000;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_calendar", "a:2:{i:1;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_search", "a:2:{i:1;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-posts", "a:2:{i:1;a:3:{s:5:\"title\";s:14:\"Posts Récents\";s:6:\"number\";i:5;s:9:\"show_date\";b:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("120", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("122", "recovery_keys", "a:2:{s:22:\"YIJeB78qTcBhbPU9zKMAwe\";a:2:{s:10:\"hashed_key\";s:34:\"$P$BGHAzEYDHTRJ/xlO.XkNwqqWd7yfH./\";s:10:\"created_at\";i:1686126581;}s:22:\"KH69xS4RUvxPRDiohcJbEf\";a:2:{s:10:\"hashed_key\";s:34:\"$P$BibK3q5EQQOPqTKkqT25pUQ7FIvU/K.\";s:10:\"created_at\";i:1686214825;}}", "yes");
INSERT INTO `wp_options` VALUES("123", "theme_mods_twentytwentythree", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1685434365;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("3859", "_transient_timeout_wc_report_orders_stats_e7db65e4300bff31718c533be27caf98", "1686295055", "no");
INSERT INTO `wp_options` VALUES("3860", "_transient_wc_report_orders_stats_e7db65e4300bff31718c533be27caf98", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:1:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:1;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("3861", "_transient_timeout_wc_report_orders_stats_ca046dd0f1aa577bff5a2e79f43d2513", "1686295055", "no");
INSERT INTO `wp_options` VALUES("3862", "_transient_wc_report_orders_stats_ca046dd0f1aa577bff5a2e79f43d2513", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:1:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:1;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("3863", "_transient_timeout_wc_report_products_stats_fb46c5e6296a978738341d074bb7cc01", "1686295055", "no");
INSERT INTO `wp_options` VALUES("3864", "_transient_wc_report_products_stats_fb46c5e6296a978738341d074bb7cc01", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:1:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:1;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("3865", "_transient_timeout_wc_report_variations_stats_d196cea930f28b753277c6e8a3f803da", "1686295055", "no");
INSERT INTO `wp_options` VALUES("3866", "_transient_wc_report_variations_stats_d196cea930f28b753277c6e8a3f803da", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:1:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:1;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("126", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:28:\"La demande HTTPS a échoué.\";}}", "yes");
INSERT INTO `wp_options` VALUES("5999", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/fr_FR/wordpress-6.2.2.zip\";s:6:\"locale\";s:5:\"fr_FR\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/fr_FR/wordpress-6.2.2.zip\";s:10:\"no_content\";s:0:\"\";s:11:\"new_bundled\";s:0:\"\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.2.2\";s:7:\"version\";s:5:\"6.2.2\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1686226382;s:15:\"version_checked\";s:5:\"6.2.2\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("7147", "_site_transient_timeout_theme_roots", "1686228182", "no");
INSERT INTO `wp_options` VALUES("7148", "_site_transient_theme_roots", "a:4:{s:8:\"blackdsn\";s:7:\"/themes\";s:15:\"twentytwentyone\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("6748", "_transient_timeout__woocommerce_helper_updates", "1686251690", "no");
INSERT INTO `wp_options` VALUES("6749", "_transient__woocommerce_helper_updates", "a:4:{s:4:\"hash\";s:32:\"d751713988987e9331980363e24189ce\";s:7:\"updated\";i:1686208490;s:8:\"products\";a:0:{}s:6:\"errors\";a:1:{i:0;s:10:\"http-error\";}}", "no");
INSERT INTO `wp_options` VALUES("5277", "_transient_wc_report_orders_stats_e747f1923acec4d10bca646addc763ce", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5278", "_transient_timeout_wc_report_orders_stats_160ca15a2951150769b5480ace27b78d", "1686640382", "no");
INSERT INTO `wp_options` VALUES("5279", "_transient_wc_report_orders_stats_160ca15a2951150769b5480ace27b78d", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5280", "_transient_timeout_wc_report_products_stats_b4574531df6a01727e1468c408f93c13", "1686640382", "no");
INSERT INTO `wp_options` VALUES("5281", "_transient_wc_report_products_stats_b4574531df6a01727e1468c408f93c13", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5282", "_transient_timeout_wc_report_variations_stats_88ae0e3909e3e6728400770c092efafc", "1686640382", "no");
INSERT INTO `wp_options` VALUES("5283", "_transient_wc_report_variations_stats_88ae0e3909e3e6728400770c092efafc", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5284", "_transient_timeout_wc_report_orders_stats_64243fce972e8990ad210a4025d854fe", "1686640382", "no");
INSERT INTO `wp_options` VALUES("5285", "_transient_wc_report_orders_stats_64243fce972e8990ad210a4025d854fe", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":4:{s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-05-31\";s:10:\"date_start\";s:19:\"2023-05-31 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-30 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-31 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-31 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-06\";s:10:\"date_start\";s:19:\"2023-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("161", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("145", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("152", "current_theme", "Blackdsn", "yes");
INSERT INTO `wp_options` VALUES("153", "theme_mods_blackdsn", "a:13:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:9;}s:18:\"custom_css_post_id\";i:-1;s:18:\"button_style_theme\";b:1;s:11:\"dsn_socials\";a:4:{i:0;a:3:{s:9:\"init_name\";s:2:\"Fb\";s:4:\"icon\";s:17:\"fab fa-facebook-f\";s:4:\"link\";s:40:\"https://www.facebook.com/kookfoodagency/\";}i:1;a:3:{s:9:\"init_name\";s:9:\"Instagram\";s:4:\"icon\";s:16:\"fab fa-instagram\";s:4:\"link\";s:38:\"https://www.instagram.com/kook_agency/\";}i:2;a:3:{s:9:\"init_name\";s:2:\"Tw\";s:4:\"icon\";s:14:\"fab fa-twitter\";s:4:\"link\";s:31:\"https://twitter.com/kook_agency\";}i:3;a:3:{s:9:\"init_name\";s:8:\"Linkedin\";s:4:\"icon\";s:18:\"fab fa-linkedin-in\";s:4:\"link\";s:50:\"https://www.linkedin.com/company/kook-food-agency/\";}}s:14:\"page_preloader\";b:1;s:10:\"ajax_pages\";b:1;s:11:\"custom_logo\";i:11994;s:16:\"custom_logo_dark\";i:12693;s:13:\"height_number\";s:2:\"70\";s:17:\"home_custom_title\";s:11:\"Notre Blog.\";s:20:\"home_custom_subtitle\";s:24:\"NOUVEAUTÉS &amp; IDÉES\";s:21:\"blackdsn-project-slug\";s:11:\"nos-clients\";}", "yes");
INSERT INTO `wp_options` VALUES("154", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("155", "elementor_viewport_sm", "200", "yes");
INSERT INTO `wp_options` VALUES("156", "elementor_viewport_md", "200", "yes");
INSERT INTO `wp_options` VALUES("157", "elementor_viewport_lg", "200", "yes");
INSERT INTO `wp_options` VALUES("158", "elementor_viewport_mobile", "600", "yes");
INSERT INTO `wp_options` VALUES("333", "wpseo_titles", "a:198:{s:17:\"forcerewritetitle\";b:0;s:9:\"separator\";s:7:\"sc-dash\";s:16:\"title-home-wpseo\";s:42:\"%%sitename%% %%page%% %%sep%% %%sitedesc%%\";s:18:\"title-author-wpseo\";s:50:\"%%name%%, auteur/autrice sur %%sitename%% %%page%%\";s:19:\"title-archive-wpseo\";s:38:\"%%date%% %%page%% %%sep%% %%sitename%%\";s:18:\"title-search-wpseo\";s:65:\"Vous avez cherché %%searchphrase%% %%page%% %%sep%% %%sitename%%\";s:15:\"title-404-wpseo\";s:38:\"Page non trouvée %%sep%% %%sitename%%\";s:25:\"social-title-author-wpseo\";s:8:\"%%name%%\";s:26:\"social-title-archive-wpseo\";s:8:\"%%date%%\";s:31:\"social-description-author-wpseo\";s:0:\"\";s:32:\"social-description-archive-wpseo\";s:0:\"\";s:29:\"social-image-url-author-wpseo\";s:0:\"\";s:30:\"social-image-url-archive-wpseo\";s:0:\"\";s:28:\"social-image-id-author-wpseo\";i:0;s:29:\"social-image-id-archive-wpseo\";i:0;s:19:\"metadesc-home-wpseo\";s:0:\"\";s:21:\"metadesc-author-wpseo\";s:0:\"\";s:22:\"metadesc-archive-wpseo\";s:0:\"\";s:9:\"rssbefore\";s:0:\"\";s:8:\"rssafter\";s:64:\"L’article %%POSTLINK%% est apparu en premier sur %%BLOGLINK%%.\";s:20:\"noindex-author-wpseo\";b:0;s:28:\"noindex-author-noposts-wpseo\";b:1;s:21:\"noindex-archive-wpseo\";b:1;s:14:\"disable-author\";b:0;s:12:\"disable-date\";b:0;s:19:\"disable-post_format\";b:0;s:18:\"disable-attachment\";b:1;s:20:\"breadcrumbs-404crumb\";s:30:\"Erreur 404 : Page introuvable\";s:29:\"breadcrumbs-display-blog-page\";b:1;s:20:\"breadcrumbs-boldlast\";b:0;s:25:\"breadcrumbs-archiveprefix\";s:13:\"Archives pour\";s:18:\"breadcrumbs-enable\";b:1;s:16:\"breadcrumbs-home\";s:7:\"Accueil\";s:18:\"breadcrumbs-prefix\";s:0:\"\";s:24:\"breadcrumbs-searchprefix\";s:18:\"Vous avez cherché\";s:15:\"breadcrumbs-sep\";s:2:\"»\";s:12:\"website_name\";s:0:\"\";s:11:\"person_name\";s:0:\"\";s:11:\"person_logo\";s:0:\"\";s:22:\"alternate_website_name\";s:0:\"\";s:12:\"company_logo\";s:69:\"http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png\";s:12:\"company_name\";s:0:\"\";s:22:\"company_alternate_name\";s:0:\"\";s:17:\"company_or_person\";s:7:\"company\";s:25:\"company_or_person_user_id\";i:0;s:17:\"stripcategorybase\";b:0;s:26:\"open_graph_frontpage_title\";s:12:\"%%sitename%%\";s:25:\"open_graph_frontpage_desc\";s:0:\"\";s:26:\"open_graph_frontpage_image\";s:0:\"\";s:10:\"title-post\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:13:\"metadesc-post\";s:0:\"\";s:12:\"noindex-post\";b:0;s:23:\"display-metabox-pt-post\";b:1;s:23:\"post_types-post-maintax\";i:0;s:21:\"schema-page-type-post\";s:7:\"WebPage\";s:24:\"schema-article-type-post\";s:7:\"Article\";s:17:\"social-title-post\";s:9:\"%%title%%\";s:23:\"social-description-post\";s:0:\"\";s:21:\"social-image-url-post\";s:0:\"\";s:20:\"social-image-id-post\";i:0;s:10:\"title-page\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:13:\"metadesc-page\";s:0:\"\";s:12:\"noindex-page\";b:0;s:23:\"display-metabox-pt-page\";b:1;s:23:\"post_types-page-maintax\";i:0;s:21:\"schema-page-type-page\";s:7:\"WebPage\";s:24:\"schema-article-type-page\";s:4:\"None\";s:17:\"social-title-page\";s:9:\"%%title%%\";s:23:\"social-description-page\";s:0:\"\";s:21:\"social-image-url-page\";s:0:\"\";s:20:\"social-image-id-page\";i:0;s:16:\"title-attachment\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:19:\"metadesc-attachment\";s:0:\"\";s:18:\"noindex-attachment\";b:0;s:29:\"display-metabox-pt-attachment\";b:1;s:29:\"post_types-attachment-maintax\";i:0;s:27:\"schema-page-type-attachment\";s:7:\"WebPage\";s:30:\"schema-article-type-attachment\";s:4:\"None\";s:20:\"title-e-landing-page\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:23:\"metadesc-e-landing-page\";s:0:\"\";s:22:\"noindex-e-landing-page\";b:0;s:33:\"display-metabox-pt-e-landing-page\";b:1;s:33:\"post_types-e-landing-page-maintax\";i:0;s:31:\"schema-page-type-e-landing-page\";s:7:\"WebPage\";s:34:\"schema-article-type-e-landing-page\";s:4:\"None\";s:27:\"social-title-e-landing-page\";s:9:\"%%title%%\";s:33:\"social-description-e-landing-page\";s:0:\"\";s:31:\"social-image-url-e-landing-page\";s:0:\"\";s:30:\"social-image-id-e-landing-page\";i:0;s:23:\"title-elementor_library\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:26:\"metadesc-elementor_library\";s:0:\"\";s:25:\"noindex-elementor_library\";b:0;s:36:\"display-metabox-pt-elementor_library\";b:1;s:36:\"post_types-elementor_library-maintax\";i:0;s:34:\"schema-page-type-elementor_library\";s:7:\"WebPage\";s:37:\"schema-article-type-elementor_library\";s:4:\"None\";s:30:\"social-title-elementor_library\";s:9:\"%%title%%\";s:36:\"social-description-elementor_library\";s:0:\"\";s:34:\"social-image-url-elementor_library\";s:0:\"\";s:33:\"social-image-id-elementor_library\";i:0;s:13:\"title-product\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:16:\"metadesc-product\";s:0:\"\";s:15:\"noindex-product\";b:0;s:26:\"display-metabox-pt-product\";b:1;s:26:\"post_types-product-maintax\";i:0;s:24:\"schema-page-type-product\";s:7:\"WebPage\";s:27:\"schema-article-type-product\";s:4:\"None\";s:20:\"social-title-product\";s:9:\"%%title%%\";s:26:\"social-description-product\";s:0:\"\";s:24:\"social-image-url-product\";s:0:\"\";s:23:\"social-image-id-product\";i:0;s:23:\"title-ptarchive-product\";s:51:\"%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%\";s:26:\"metadesc-ptarchive-product\";s:0:\"\";s:25:\"bctitle-ptarchive-product\";s:0:\"\";s:25:\"noindex-ptarchive-product\";b:0;s:30:\"social-title-ptarchive-product\";s:21:\"%%pt_plural%% Archive\";s:36:\"social-description-ptarchive-product\";s:0:\"\";s:34:\"social-image-url-ptarchive-product\";s:0:\"\";s:33:\"social-image-id-ptarchive-product\";i:0;s:24:\"title-blackdsn-portfolio\";s:39:\"%%title%% %%page%% %%sep%% %%sitename%%\";s:27:\"metadesc-blackdsn-portfolio\";s:0:\"\";s:26:\"noindex-blackdsn-portfolio\";b:0;s:37:\"display-metabox-pt-blackdsn-portfolio\";b:1;s:37:\"post_types-blackdsn-portfolio-maintax\";i:0;s:35:\"schema-page-type-blackdsn-portfolio\";s:7:\"WebPage\";s:38:\"schema-article-type-blackdsn-portfolio\";s:4:\"None\";s:31:\"social-title-blackdsn-portfolio\";s:9:\"%%title%%\";s:37:\"social-description-blackdsn-portfolio\";s:0:\"\";s:35:\"social-image-url-blackdsn-portfolio\";s:0:\"\";s:34:\"social-image-id-blackdsn-portfolio\";i:0;s:18:\"title-tax-category\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-category\";s:0:\"\";s:28:\"display-metabox-tax-category\";b:1;s:20:\"noindex-tax-category\";b:0;s:25:\"social-title-tax-category\";s:27:\"Archives des %%term_title%%\";s:31:\"social-description-tax-category\";s:0:\"\";s:29:\"social-image-url-tax-category\";s:0:\"\";s:28:\"social-image-id-tax-category\";i:0;s:26:\"taxonomy-category-ptparent\";i:0;s:18:\"title-tax-post_tag\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-post_tag\";s:0:\"\";s:28:\"display-metabox-tax-post_tag\";b:1;s:20:\"noindex-tax-post_tag\";b:0;s:25:\"social-title-tax-post_tag\";s:27:\"Archives des %%term_title%%\";s:31:\"social-description-tax-post_tag\";s:0:\"\";s:29:\"social-image-url-tax-post_tag\";s:0:\"\";s:28:\"social-image-id-tax-post_tag\";i:0;s:26:\"taxonomy-post_tag-ptparent\";i:0;s:21:\"title-tax-post_format\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-post_format\";s:0:\"\";s:31:\"display-metabox-tax-post_format\";b:1;s:23:\"noindex-tax-post_format\";b:1;s:28:\"social-title-tax-post_format\";s:27:\"Archives des %%term_title%%\";s:34:\"social-description-tax-post_format\";s:0:\"\";s:32:\"social-image-url-tax-post_format\";s:0:\"\";s:31:\"social-image-id-tax-post_format\";i:0;s:29:\"taxonomy-post_format-ptparent\";i:0;s:21:\"title-tax-product_cat\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-product_cat\";s:0:\"\";s:31:\"display-metabox-tax-product_cat\";b:1;s:23:\"noindex-tax-product_cat\";b:0;s:28:\"social-title-tax-product_cat\";s:27:\"Archives des %%term_title%%\";s:34:\"social-description-tax-product_cat\";s:0:\"\";s:32:\"social-image-url-tax-product_cat\";s:0:\"\";s:31:\"social-image-id-tax-product_cat\";i:0;s:29:\"taxonomy-product_cat-ptparent\";i:0;s:21:\"title-tax-product_tag\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-product_tag\";s:0:\"\";s:31:\"display-metabox-tax-product_tag\";b:1;s:23:\"noindex-tax-product_tag\";b:0;s:28:\"social-title-tax-product_tag\";s:27:\"Archives des %%term_title%%\";s:34:\"social-description-tax-product_tag\";s:0:\"\";s:32:\"social-image-url-tax-product_tag\";s:0:\"\";s:31:\"social-image-id-tax-product_tag\";i:0;s:29:\"taxonomy-product_tag-ptparent\";i:0;s:32:\"title-tax-product_shipping_class\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:35:\"metadesc-tax-product_shipping_class\";s:0:\"\";s:42:\"display-metabox-tax-product_shipping_class\";b:1;s:34:\"noindex-tax-product_shipping_class\";b:0;s:39:\"social-title-tax-product_shipping_class\";s:27:\"Archives des %%term_title%%\";s:45:\"social-description-tax-product_shipping_class\";s:0:\"\";s:43:\"social-image-url-tax-product_shipping_class\";s:0:\"\";s:42:\"social-image-id-tax-product_shipping_class\";i:0;s:40:\"taxonomy-product_shipping_class-ptparent\";i:0;s:33:\"title-tax-dsn-blackdsn-categories\";s:57:\"Archives des %%term_title%% %%page%% %%sep%% %%sitename%%\";s:36:\"metadesc-tax-dsn-blackdsn-categories\";s:0:\"\";s:43:\"display-metabox-tax-dsn-blackdsn-categories\";b:1;s:35:\"noindex-tax-dsn-blackdsn-categories\";b:0;s:40:\"social-title-tax-dsn-blackdsn-categories\";s:27:\"Archives des %%term_title%%\";s:46:\"social-description-tax-dsn-blackdsn-categories\";s:0:\"\";s:44:\"social-image-url-tax-dsn-blackdsn-categories\";s:0:\"\";s:43:\"social-image-id-tax-dsn-blackdsn-categories\";i:0;s:41:\"taxonomy-dsn-blackdsn-categories-ptparent\";i:0;s:14:\"person_logo_id\";i:0;s:15:\"company_logo_id\";i:11995;s:17:\"company_logo_meta\";a:10:{s:5:\"width\";i:5989;s:6:\"height\";i:2503;s:8:\"filesize\";i:133963;s:3:\"url\";s:69:\"http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png\";s:4:\"path\";s:76:\"C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png\";s:4:\"size\";s:4:\"full\";s:2:\"id\";i:11995;s:3:\"alt\";s:0:\"\";s:6:\"pixels\";i:14990467;s:4:\"type\";s:9:\"image/png\";}s:16:\"person_logo_meta\";b:0;s:29:\"open_graph_frontpage_image_id\";i:0;}", "yes");
INSERT INTO `wp_options` VALUES("164", "recently_activated", "a:1:{s:51:\"all-in-one-wp-migration/all-in-one-wp-migration.php\";i:1686223633;}", "yes");
INSERT INTO `wp_options` VALUES("1891", "_transient_timeout_wc_term_counts", "1688050982", "no");
INSERT INTO `wp_options` VALUES("1892", "_transient_wc_term_counts", "a:8:{i:42;s:1:\"9\";i:28;s:1:\"1\";i:34;s:1:\"5\";i:40;s:1:\"3\";i:39;s:2:\"10\";i:32;s:1:\"6\";i:27;s:1:\"4\";i:30;s:1:\"2\";}", "no");
INSERT INTO `wp_options` VALUES("1893", "_transient_timeout_wc_product_children_11794", "1688050950", "no");
INSERT INTO `wp_options` VALUES("1894", "_transient_wc_product_children_11794", "a:2:{s:3:\"all\";a:3:{i:0;i:11808;i:1;i:11809;i:2;i:11810;}s:7:\"visible\";a:3:{i:0;i:11808;i:1;i:11809;i:2;i:11810;}}", "no");
INSERT INTO `wp_options` VALUES("1895", "_transient_timeout_wc_product_children_11795", "1688050950", "no");
INSERT INTO `wp_options` VALUES("1896", "_transient_wc_product_children_11795", "a:2:{s:3:\"all\";a:4:{i:0;i:11816;i:1;i:11811;i:2;i:11814;i:3;i:11815;}s:7:\"visible\";a:4:{i:0;i:11816;i:1;i:11811;i:2;i:11814;i:3;i:11815;}}", "no");
INSERT INTO `wp_options` VALUES("1903", "_transient_timeout_wc_product_children_11849", "1688050982", "no");
INSERT INTO `wp_options` VALUES("1904", "_transient_wc_product_children_11849", "a:2:{s:3:\"all\";a:3:{i:0;i:11863;i:1;i:11864;i:2;i:11865;}s:7:\"visible\";a:3:{i:0;i:11863;i:1;i:11864;i:2;i:11865;}}", "no");
INSERT INTO `wp_options` VALUES("1922", "_elementor_assets_data", "a:1:{s:3:\"css\";a:1:{s:7:\"widgets\";a:29:{s:11:\"dsn_bg_mask\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:9:\"dsn_image\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:5:\"video\";a:2:{s:7:\"content\";s:1443:\"<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-widget-video .elementor-widget-container{overflow:hidden;transform:translateZ(0)}.elementor-widget-video .elementor-wrapper{aspect-ratio:var(--video-aspect-ratio)}.elementor-widget-video .elementor-wrapper iframe,.elementor-widget-video .elementor-wrapper video{height:100%;width:100%;display:flex;border:none;background-color:#000}@supports not (aspect-ratio:1/1){.elementor-widget-video .elementor-wrapper{position:relative;overflow:hidden;height:0;padding-bottom:calc(100% / var(--video-aspect-ratio))}.elementor-widget-video .elementor-wrapper iframe,.elementor-widget-video .elementor-wrapper video{position:absolute;top:0;right:0;bottom:0;left:0}}.elementor-widget-video .elementor-open-inline .elementor-custom-embed-image-overlay{position:absolute;top:0;left:0;width:100%;height:100%;background-size:cover;background-position:50%}.elementor-widget-video .elementor-custom-embed-image-overlay{cursor:pointer;text-align:center}.elementor-widget-video .elementor-custom-embed-image-overlay:hover .elementor-custom-embed-play i{opacity:1}.elementor-widget-video .elementor-custom-embed-image-overlay img{display:block;width:100%}.elementor-widget-video .e-hosted-video .elementor-video{-o-object-fit:cover;object-fit:cover}.e-con-inner>.elementor-widget-video,.e-con>.elementor-widget-video{width:var(--container-widget-width);--flex-grow:var(--container-widget-flex-grow)}</style>\";s:7:\"version\";s:6:\"3.13.4\";}s:11:\"dsn_heading\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:10:\"dsn_button\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:5:\"image\";a:2:{s:7:\"content\";s:269:\"<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>\";s:7:\"version\";s:6:\"3.13.4\";}s:9:\"dsn_title\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:11:\"dsn_service\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:8:\"dsn_list\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:9:\"dsn_posts\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:16:\"dsn_posts_slider\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:9:\"dsn_brand\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:8:\"dsn_logo\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:10:\"dsn_social\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:18:\"wp-widget-nav_menu\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:14:\"wp-widget-text\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:18:\"dsn_slider_project\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:11:\"text-editor\";a:2:{s:7:\"content\";s:719:\"<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:left;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>\";s:7:\"version\";s:6:\"3.13.4\";}s:13:\"dsn_accordion\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:15:\"dsn_testimonial\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:14:\"dsn_move_image\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:9:\"shortcode\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:7:\"dsn_map\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:4:\"html\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:6:\"spacer\";a:2:{s:7:\"content\";s:924:\"<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-column .elementor-spacer-inner{height:var(--spacer-size)}.e-con{--container-widget-width:100%}.e-con-inner>.elementor-widget-spacer,.e-con>.elementor-widget-spacer{width:var(--container-widget-width,var(--spacer-size));--align-self:var(--container-widget-align-self,initial);--flex-shrink:0}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container,.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer,.e-con>.elementor-widget-spacer>.elementor-widget-container,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer{height:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner{height:var(--container-widget-height,var(--spacer-size))}</style>\";s:7:\"version\";s:6:\"3.13.4\";}s:7:\"heading\";a:2:{s:7:\"content\";s:673:\"<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>\";s:7:\"version\";s:6:\"3.13.4\";}s:9:\"accordion\";a:2:{s:7:\"content\";s:1743:\"<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-accordion{text-align:left}.elementor-accordion .elementor-accordion-item{border:1px solid #d5d8dc}.elementor-accordion .elementor-accordion-item+.elementor-accordion-item{border-top:none}.elementor-accordion .elementor-tab-title{margin:0;padding:15px 20px;font-weight:700;line-height:1;cursor:pointer;outline:none}.elementor-accordion .elementor-tab-title .elementor-accordion-icon{display:inline-block;width:1.5em}.elementor-accordion .elementor-tab-title .elementor-accordion-icon svg{width:1em;height:1em}.elementor-accordion .elementor-tab-title .elementor-accordion-icon.elementor-accordion-icon-right{float:right;text-align:right}.elementor-accordion .elementor-tab-title .elementor-accordion-icon.elementor-accordion-icon-left{float:left;text-align:left}.elementor-accordion .elementor-tab-title .elementor-accordion-icon .elementor-accordion-icon-closed{display:block}.elementor-accordion .elementor-tab-title .elementor-accordion-icon .elementor-accordion-icon-opened,.elementor-accordion .elementor-tab-title.elementor-active .elementor-accordion-icon-closed{display:none}.elementor-accordion .elementor-tab-title.elementor-active .elementor-accordion-icon-opened{display:block}.elementor-accordion .elementor-tab-content{display:none;padding:15px 20px;border-top:1px solid #d5d8dc}@media (max-width:767px){.elementor-accordion .elementor-tab-title{padding:12px 15px}.elementor-accordion .elementor-tab-title .elementor-accordion-icon{width:1.2em}.elementor-accordion .elementor-tab-content{padding:7px 15px}}.e-con-inner>.elementor-widget-accordion,.e-con>.elementor-widget-accordion{width:var(--container-widget-width);--flex-grow:var(--container-widget-flex-grow)}</style>\";s:7:\"version\";s:6:\"3.13.4\";}s:13:\"dsn_arrow_nav\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}s:24:\"dsn_slider_project_three\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.13.4\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("1908", "_elementor_global_css", "a:7:{s:4:\"time\";i:1685516808;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:5:\"empty\";i:0;b:0;s:3:\"css\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("1909", "_transient_timeout_wc_product_children_11850", "1688108808", "no");
INSERT INTO `wp_options` VALUES("1910", "_transient_wc_product_children_11850", "a:2:{s:3:\"all\";a:4:{i:0;i:11871;i:1;i:11866;i:2;i:11869;i:3;i:11870;}s:7:\"visible\";a:4:{i:0;i:11871;i:1;i:11866;i:2;i:11869;i:3;i:11870;}}", "no");
INSERT INTO `wp_options` VALUES("168", "wpcf7", "a:2:{s:7:\"version\";s:5:\"5.7.6\";s:13:\"bulk_validate\";a:4:{s:9:\"timestamp\";i:1685435037;s:7:\"version\";s:5:\"5.7.6\";s:11:\"count_valid\";i:1;s:13:\"count_invalid\";i:0;}}", "yes");
INSERT INTO `wp_options` VALUES("169", "analyst_cache", "s:6:\"a:0:{}\";", "yes");
INSERT INTO `wp_options` VALUES("171", "_cdp_review", "a:2:{s:9:\"installed\";i:1685435038;s:5:\"users\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("172", "_cdp_globals", "a:1:{s:6:\"others\";a:14:{s:17:\"cdp-content-pages\";s:4:\"true\";s:17:\"cdp-content-posts\";s:4:\"true\";s:18:\"cdp-content-custom\";s:4:\"true\";s:17:\"cdp-display-posts\";s:4:\"true\";s:16:\"cdp-display-edit\";s:4:\"true\";s:17:\"cdp-display-admin\";s:4:\"true\";s:16:\"cdp-display-bulk\";s:4:\"true\";s:21:\"cdp-display-gutenberg\";s:4:\"true\";s:19:\"cdp-references-post\";s:5:\"false\";s:19:\"cdp-references-edit\";s:5:\"false\";s:18:\"cdp-premium-import\";s:5:\"false\";s:24:\"cdp-premium-hide-tooltip\";s:5:\"false\";s:26:\"cdp-premium-replace-domain\";s:5:\"false\";s:20:\"cdp-menu-in-settings\";s:5:\"false\";}}", "yes");
INSERT INTO `wp_options` VALUES("173", "_cdp_profiles", "a:1:{s:7:\"default\";a:25:{s:5:\"title\";s:4:\"true\";s:4:\"date\";s:5:\"false\";s:6:\"status\";s:5:\"false\";s:4:\"slug\";s:4:\"true\";s:7:\"excerpt\";s:4:\"true\";s:7:\"content\";s:4:\"true\";s:7:\"f_image\";s:4:\"true\";s:8:\"template\";s:4:\"true\";s:6:\"format\";s:4:\"true\";s:6:\"author\";s:4:\"true\";s:8:\"password\";s:4:\"true\";s:11:\"attachments\";s:5:\"false\";s:8:\"children\";s:5:\"false\";s:8:\"comments\";s:5:\"false\";s:10:\"menu_order\";s:4:\"true\";s:8:\"category\";s:4:\"true\";s:8:\"post_tag\";s:4:\"true\";s:8:\"taxonomy\";s:4:\"true\";s:8:\"nav_menu\";s:4:\"true\";s:13:\"link_category\";s:4:\"true\";s:12:\"all_metadata\";s:5:\"false\";s:5:\"names\";a:5:{s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:10:\"#[Counter]\";s:6:\"format\";s:1:\"1\";s:6:\"custom\";s:5:\"m/d/Y\";s:7:\"display\";s:7:\"Default\";}s:9:\"usmplugin\";s:5:\"false\";s:5:\"yoast\";s:5:\"false\";s:3:\"woo\";s:5:\"false\";}}", "yes");
INSERT INTO `wp_options` VALUES("174", "_cdp_default_setup", "1", "yes");
INSERT INTO `wp_options` VALUES("175", "elementor_active_kit", "11417", "yes");
INSERT INTO `wp_options` VALUES("176", "elementor_font_display", "swap", "yes");
INSERT INTO `wp_options` VALUES("180", "forminator_free_install_date", "1685442238", "no");
INSERT INTO `wp_options` VALUES("181", "action_scheduler_hybrid_store_demarkation", "11463", "yes");
INSERT INTO `wp_options` VALUES("182", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("183", "schema-ActionScheduler_StoreSchema", "6.0.1685435042", "yes");
INSERT INTO `wp_options` VALUES("184", "schema-ActionScheduler_LoggerSchema", "3.0.1685435042", "yes");
INSERT INTO `wp_options` VALUES("317", "woocommerce_admin_install_timestamp", "1685435048", "yes");
INSERT INTO `wp_options` VALUES("187", "woocommerce_schema_version", "430", "yes");
INSERT INTO `wp_options` VALUES("188", "woocommerce_store_address", "", "yes");
INSERT INTO `wp_options` VALUES("189", "woocommerce_store_address_2", "", "yes");
INSERT INTO `wp_options` VALUES("190", "woocommerce_store_city", "", "yes");
INSERT INTO `wp_options` VALUES("191", "woocommerce_default_country", "US:CA", "yes");
INSERT INTO `wp_options` VALUES("192", "woocommerce_store_postcode", "", "yes");
INSERT INTO `wp_options` VALUES("193", "woocommerce_allowed_countries", "all", "yes");
INSERT INTO `wp_options` VALUES("194", "woocommerce_all_except_countries", "", "yes");
INSERT INTO `wp_options` VALUES("195", "woocommerce_specific_allowed_countries", "", "yes");
INSERT INTO `wp_options` VALUES("196", "woocommerce_ship_to_countries", "", "yes");
INSERT INTO `wp_options` VALUES("197", "woocommerce_specific_ship_to_countries", "", "yes");
INSERT INTO `wp_options` VALUES("198", "woocommerce_default_customer_address", "base", "yes");
INSERT INTO `wp_options` VALUES("199", "woocommerce_calc_taxes", "no", "yes");
INSERT INTO `wp_options` VALUES("200", "woocommerce_enable_coupons", "yes", "yes");
INSERT INTO `wp_options` VALUES("201", "woocommerce_calc_discounts_sequentially", "no", "no");
INSERT INTO `wp_options` VALUES("202", "woocommerce_currency", "USD", "yes");
INSERT INTO `wp_options` VALUES("203", "woocommerce_currency_pos", "left", "yes");
INSERT INTO `wp_options` VALUES("204", "woocommerce_price_thousand_sep", ",", "yes");
INSERT INTO `wp_options` VALUES("205", "woocommerce_price_decimal_sep", ".", "yes");
INSERT INTO `wp_options` VALUES("206", "woocommerce_price_num_decimals", "2", "yes");
INSERT INTO `wp_options` VALUES("207", "woocommerce_shop_page_id", "11673", "yes");
INSERT INTO `wp_options` VALUES("208", "woocommerce_cart_redirect_after_add", "no", "yes");
INSERT INTO `wp_options` VALUES("209", "woocommerce_enable_ajax_add_to_cart", "yes", "yes");
INSERT INTO `wp_options` VALUES("210", "woocommerce_placeholder_image", "11672", "yes");
INSERT INTO `wp_options` VALUES("211", "woocommerce_weight_unit", "kg", "yes");
INSERT INTO `wp_options` VALUES("212", "woocommerce_dimension_unit", "cm", "yes");
INSERT INTO `wp_options` VALUES("213", "woocommerce_enable_reviews", "yes", "yes");
INSERT INTO `wp_options` VALUES("214", "woocommerce_review_rating_verification_label", "yes", "no");
INSERT INTO `wp_options` VALUES("215", "woocommerce_review_rating_verification_required", "no", "no");
INSERT INTO `wp_options` VALUES("216", "woocommerce_enable_review_rating", "yes", "yes");
INSERT INTO `wp_options` VALUES("217", "woocommerce_review_rating_required", "yes", "no");
INSERT INTO `wp_options` VALUES("218", "woocommerce_manage_stock", "yes", "yes");
INSERT INTO `wp_options` VALUES("219", "woocommerce_hold_stock_minutes", "60", "no");
INSERT INTO `wp_options` VALUES("220", "woocommerce_notify_low_stock", "yes", "no");
INSERT INTO `wp_options` VALUES("221", "woocommerce_notify_no_stock", "yes", "no");
INSERT INTO `wp_options` VALUES("222", "woocommerce_stock_email_recipient", "kiliankookagency@gmail.com", "no");
INSERT INTO `wp_options` VALUES("223", "woocommerce_notify_low_stock_amount", "2", "no");
INSERT INTO `wp_options` VALUES("224", "woocommerce_notify_no_stock_amount", "0", "yes");
INSERT INTO `wp_options` VALUES("225", "woocommerce_hide_out_of_stock_items", "no", "yes");
INSERT INTO `wp_options` VALUES("226", "woocommerce_stock_format", "", "yes");
INSERT INTO `wp_options` VALUES("227", "woocommerce_file_download_method", "force", "no");
INSERT INTO `wp_options` VALUES("228", "woocommerce_downloads_redirect_fallback_allowed", "no", "no");
INSERT INTO `wp_options` VALUES("229", "woocommerce_downloads_require_login", "no", "no");
INSERT INTO `wp_options` VALUES("230", "woocommerce_downloads_grant_access_after_payment", "yes", "no");
INSERT INTO `wp_options` VALUES("231", "woocommerce_downloads_deliver_inline", "", "no");
INSERT INTO `wp_options` VALUES("232", "woocommerce_downloads_add_hash_to_filename", "yes", "yes");
INSERT INTO `wp_options` VALUES("234", "woocommerce_attribute_lookup_direct_updates", "no", "yes");
INSERT INTO `wp_options` VALUES("235", "woocommerce_prices_include_tax", "no", "yes");
INSERT INTO `wp_options` VALUES("236", "woocommerce_tax_based_on", "shipping", "yes");
INSERT INTO `wp_options` VALUES("237", "woocommerce_shipping_tax_class", "inherit", "yes");
INSERT INTO `wp_options` VALUES("238", "woocommerce_tax_round_at_subtotal", "no", "yes");
INSERT INTO `wp_options` VALUES("239", "woocommerce_tax_classes", "", "yes");
INSERT INTO `wp_options` VALUES("240", "woocommerce_tax_display_shop", "excl", "yes");
INSERT INTO `wp_options` VALUES("241", "woocommerce_tax_display_cart", "excl", "yes");
INSERT INTO `wp_options` VALUES("242", "woocommerce_price_display_suffix", "", "yes");
INSERT INTO `wp_options` VALUES("243", "woocommerce_tax_total_display", "itemized", "no");
INSERT INTO `wp_options` VALUES("244", "woocommerce_enable_shipping_calc", "yes", "no");
INSERT INTO `wp_options` VALUES("245", "woocommerce_shipping_cost_requires_address", "no", "yes");
INSERT INTO `wp_options` VALUES("246", "woocommerce_ship_to_destination", "billing", "no");
INSERT INTO `wp_options` VALUES("247", "woocommerce_shipping_debug_mode", "no", "yes");
INSERT INTO `wp_options` VALUES("248", "woocommerce_enable_guest_checkout", "yes", "no");
INSERT INTO `wp_options` VALUES("249", "woocommerce_enable_checkout_login_reminder", "no", "no");
INSERT INTO `wp_options` VALUES("250", "woocommerce_enable_signup_and_login_from_checkout", "no", "no");
INSERT INTO `wp_options` VALUES("251", "woocommerce_enable_myaccount_registration", "no", "no");
INSERT INTO `wp_options` VALUES("252", "woocommerce_registration_generate_username", "yes", "no");
INSERT INTO `wp_options` VALUES("253", "woocommerce_registration_generate_password", "yes", "no");
INSERT INTO `wp_options` VALUES("254", "woocommerce_erasure_request_removes_order_data", "no", "no");
INSERT INTO `wp_options` VALUES("255", "woocommerce_erasure_request_removes_download_data", "no", "no");
INSERT INTO `wp_options` VALUES("256", "woocommerce_allow_bulk_remove_personal_data", "no", "no");
INSERT INTO `wp_options` VALUES("257", "woocommerce_registration_privacy_policy_text", "Vos données personnelles seront utilisées pour vous accompagner au cours de votre visite du site web, gérer l’accès à votre compte, et pour d’autres raisons décrites dans notre [privacy_policy].", "yes");
INSERT INTO `wp_options` VALUES("258", "woocommerce_checkout_privacy_policy_text", "Vos données personnelles seront utilisées pour le traitement de votre commande, vous accompagner au cours de votre visite du site web, et pour d’autres raisons décrites dans notre [privacy_policy].", "yes");
INSERT INTO `wp_options` VALUES("259", "woocommerce_delete_inactive_accounts", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:6:\"months\";}", "no");
INSERT INTO `wp_options` VALUES("260", "woocommerce_trash_pending_orders", "", "no");
INSERT INTO `wp_options` VALUES("261", "woocommerce_trash_failed_orders", "", "no");
INSERT INTO `wp_options` VALUES("262", "woocommerce_trash_cancelled_orders", "", "no");
INSERT INTO `wp_options` VALUES("263", "woocommerce_anonymize_completed_orders", "a:2:{s:6:\"number\";s:0:\"\";s:4:\"unit\";s:6:\"months\";}", "no");
INSERT INTO `wp_options` VALUES("264", "woocommerce_email_from_name", "Kook Agency", "no");
INSERT INTO `wp_options` VALUES("265", "woocommerce_email_from_address", "kiliankookagency@gmail.com", "no");
INSERT INTO `wp_options` VALUES("266", "woocommerce_email_header_image", "", "no");
INSERT INTO `wp_options` VALUES("267", "woocommerce_email_footer_text", "{site_title} &mdash; Built with {WooCommerce}", "no");
INSERT INTO `wp_options` VALUES("268", "woocommerce_email_base_color", "#7f54b3", "no");
INSERT INTO `wp_options` VALUES("269", "woocommerce_email_background_color", "#f7f7f7", "no");
INSERT INTO `wp_options` VALUES("270", "woocommerce_email_body_background_color", "#ffffff", "no");
INSERT INTO `wp_options` VALUES("271", "woocommerce_email_text_color", "#3c3c3c", "no");
INSERT INTO `wp_options` VALUES("272", "woocommerce_merchant_email_notifications", "no", "no");
INSERT INTO `wp_options` VALUES("273", "woocommerce_cart_page_id", "11121", "no");
INSERT INTO `wp_options` VALUES("274", "woocommerce_checkout_page_id", "11122", "no");
INSERT INTO `wp_options` VALUES("275", "woocommerce_myaccount_page_id", "11123", "no");
INSERT INTO `wp_options` VALUES("276", "woocommerce_terms_page_id", "", "no");
INSERT INTO `wp_options` VALUES("277", "woocommerce_force_ssl_checkout", "no", "yes");
INSERT INTO `wp_options` VALUES("278", "woocommerce_unforce_ssl_checkout", "no", "yes");
INSERT INTO `wp_options` VALUES("279", "woocommerce_checkout_pay_endpoint", "order-pay", "yes");
INSERT INTO `wp_options` VALUES("280", "woocommerce_checkout_order_received_endpoint", "order-received", "yes");
INSERT INTO `wp_options` VALUES("281", "woocommerce_myaccount_add_payment_method_endpoint", "add-payment-method", "yes");
INSERT INTO `wp_options` VALUES("282", "woocommerce_myaccount_delete_payment_method_endpoint", "delete-payment-method", "yes");
INSERT INTO `wp_options` VALUES("283", "woocommerce_myaccount_set_default_payment_method_endpoint", "set-default-payment-method", "yes");
INSERT INTO `wp_options` VALUES("284", "woocommerce_myaccount_orders_endpoint", "orders", "yes");
INSERT INTO `wp_options` VALUES("285", "woocommerce_myaccount_view_order_endpoint", "view-order", "yes");
INSERT INTO `wp_options` VALUES("286", "woocommerce_myaccount_downloads_endpoint", "downloads", "yes");
INSERT INTO `wp_options` VALUES("287", "woocommerce_myaccount_edit_account_endpoint", "edit-account", "yes");
INSERT INTO `wp_options` VALUES("288", "woocommerce_myaccount_edit_address_endpoint", "edit-address", "yes");
INSERT INTO `wp_options` VALUES("289", "woocommerce_myaccount_payment_methods_endpoint", "payment-methods", "yes");
INSERT INTO `wp_options` VALUES("290", "woocommerce_myaccount_lost_password_endpoint", "lost-password", "yes");
INSERT INTO `wp_options` VALUES("291", "woocommerce_logout_endpoint", "customer-logout", "yes");
INSERT INTO `wp_options` VALUES("292", "woocommerce_api_enabled", "no", "yes");
INSERT INTO `wp_options` VALUES("293", "woocommerce_allow_tracking", "no", "no");
INSERT INTO `wp_options` VALUES("294", "woocommerce_show_marketplace_suggestions", "yes", "no");
INSERT INTO `wp_options` VALUES("295", "woocommerce_analytics_enabled", "yes", "yes");
INSERT INTO `wp_options` VALUES("296", "woocommerce_navigation_enabled", "no", "yes");
INSERT INTO `wp_options` VALUES("297", "woocommerce_new_product_management_enabled", "no", "yes");
INSERT INTO `wp_options` VALUES("298", "woocommerce_feature_custom_order_tables_enabled", "no", "yes");
INSERT INTO `wp_options` VALUES("299", "woocommerce_single_image_width", "600", "yes");
INSERT INTO `wp_options` VALUES("300", "woocommerce_thumbnail_image_width", "300", "yes");
INSERT INTO `wp_options` VALUES("301", "woocommerce_checkout_highlight_required_fields", "yes", "yes");
INSERT INTO `wp_options` VALUES("302", "woocommerce_demo_store", "no", "no");
INSERT INTO `wp_options` VALUES("303", "wc_downloads_approved_directories_mode", "enabled", "yes");
INSERT INTO `wp_options` VALUES("304", "woocommerce_permalinks", "a:5:{s:12:\"product_base\";s:7:\"produit\";s:13:\"category_base\";s:17:\"categorie-produit\";s:8:\"tag_base\";s:17:\"etiquette-produit\";s:14:\"attribute_base\";s:0:\"\";s:22:\"use_verbose_page_rules\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("305", "current_theme_supports_woocommerce", "yes", "yes");
INSERT INTO `wp_options` VALUES("306", "woocommerce_queue_flush_rewrite_rules", "no", "yes");
INSERT INTO `wp_options` VALUES("1881", "woocommerce_onboarding_profile", "a:1:{s:9:\"completed\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("4804", "product_cat_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("309", "default_product_cat", "26", "yes");
INSERT INTO `wp_options` VALUES("310", "w3tc_state", "{\"common.install\":1685627894,\"common.install_version\":\"2.3.2\",\"license.status\":\"no_key\",\"license.next_check\":1686491999,\"license.terms\":\"\",\"license.community_terms\":\"accept\",\"common.show_note.flush_statics_needed\":false,\"common.show_note.flush_statics_needed.timestamp\":1686146035,\"common.show_note.flush_posts_needed\":false,\"common.show_note.flush_posts_needed.timestamp\":1686146035,\"common.show_note.plugins_updated\":false,\"common.show_note.plugins_updated.timestamp\":1686146035,\"minify.show_note.need_flush\":false,\"minify.show_note.need_flush.timestamp\":1686146035,\"objectcache.show_note.flush_needed\":false,\"objectcache.show_note.flush_needed.timestamp\":1686146035}", "no");
INSERT INTO `wp_options` VALUES("311", "woocommerce_refund_returns_page_id", "11124", "yes");
INSERT INTO `wp_options` VALUES("314", "woocommerce_paypal_settings", "a:23:{s:7:\"enabled\";s:2:\"no\";s:5:\"title\";s:6:\"PayPal\";s:11:\"description\";s:107:\"Payer avec PayPal, vous pouvez payer avec votre carte de crédit si vous n&rsquo;avez pas de compte PayPal.\";s:5:\"email\";s:26:\"kiliankookagency@gmail.com\";s:8:\"advanced\";s:0:\"\";s:8:\"testmode\";s:2:\"no\";s:5:\"debug\";s:2:\"no\";s:16:\"ipn_notification\";s:3:\"yes\";s:14:\"receiver_email\";s:26:\"kiliankookagency@gmail.com\";s:14:\"identity_token\";s:0:\"\";s:14:\"invoice_prefix\";s:3:\"WC-\";s:13:\"send_shipping\";s:3:\"yes\";s:16:\"address_override\";s:2:\"no\";s:13:\"paymentaction\";s:4:\"sale\";s:9:\"image_url\";s:0:\"\";s:11:\"api_details\";s:0:\"\";s:12:\"api_username\";s:0:\"\";s:12:\"api_password\";s:0:\"\";s:13:\"api_signature\";s:0:\"\";s:20:\"sandbox_api_username\";s:0:\"\";s:20:\"sandbox_api_password\";s:0:\"\";s:21:\"sandbox_api_signature\";s:0:\"\";s:12:\"_should_load\";s:2:\"no\";}", "yes");
INSERT INTO `wp_options` VALUES("315", "woocommerce_version", "7.7.2", "yes");
INSERT INTO `wp_options` VALUES("316", "woocommerce_db_version", "7.7.2", "yes");
INSERT INTO `wp_options` VALUES("318", "woocommerce_inbox_variant_assignment", "2", "yes");
INSERT INTO `wp_options` VALUES("342", "xt-woo-quick-view-installed_time", "1685435069", "yes");
INSERT INTO `wp_options` VALUES("322", "xtfw_active_plugins", "O:8:\"stdClass\":3:{s:7:\"plugins\";a:1:{s:35:\"xt-woo-quick-view-lite/xt-framework\";O:8:\"stdClass\":3:{s:7:\"version\";s:5:\"2.1.9\";s:9:\"timestamp\";i:1685626631;s:11:\"plugin_path\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";}}s:7:\"abspath\";s:25:\"C:\\wamp64\\www\\KOOKAgency/\";s:6:\"newest\";O:8:\"stdClass\":5:{s:11:\"plugin_path\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";s:7:\"fw_path\";s:35:\"xt-woo-quick-view-lite/xt-framework\";s:7:\"version\";s:5:\"2.1.9\";s:13:\"in_activation\";b:0;s:9:\"timestamp\";i:1686228040;}}", "yes");
INSERT INTO `wp_options` VALUES("3853", "_site_transient_timeout_browser_14d58a1ba286f087d9736249ec785314", "1686295052", "no");
INSERT INTO `wp_options` VALUES("323", "fs_active_plugins", "O:8:\"stdClass\":3:{s:7:\"plugins\";a:1:{s:53:\"xt-woo-quick-view-lite/xt-framework/includes/freemius\";O:8:\"stdClass\":4:{s:7:\"version\";s:7:\"2.5.4.2\";s:4:\"type\";s:6:\"plugin\";s:9:\"timestamp\";i:1685435286;s:11:\"plugin_path\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";}}s:7:\"abspath\";s:25:\"C:\\wamp64\\www\\KOOKAgency/\";s:6:\"newest\";O:8:\"stdClass\":5:{s:11:\"plugin_path\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";s:8:\"sdk_path\";s:53:\"xt-woo-quick-view-lite/xt-framework/includes/freemius\";s:7:\"version\";s:7:\"2.5.4.2\";s:13:\"in_activation\";b:0;s:9:\"timestamp\";i:1685435286;}}", "yes");
INSERT INTO `wp_options` VALUES("324", "fs_debug_mode", "", "yes");
INSERT INTO `wp_options` VALUES("325", "fs_accounts", "a:6:{s:21:\"id_slug_type_path_map\";a:1:{i:2905;a:3:{s:4:\"slug\";s:22:\"xt-woo-quick-view-lite\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";}}s:11:\"plugin_data\";a:1:{s:22:\"xt-woo-quick-view-lite\";a:16:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1685435049;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:1;s:16:\"sdk_last_version\";N;s:11:\"sdk_version\";s:7:\"2.5.4.2\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:5:\"1.9.9\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";N;s:4:\"host\";s:10:\"kookagency\";s:9:\"server_ip\";s:3:\"::1\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1685435049;s:7:\"version\";s:5:\"1.9.9\";}s:15:\"prev_is_premium\";b:0;s:21:\"is_pending_activation\";b:1;}}s:13:\"file_slug_map\";a:1:{s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";s:22:\"xt-woo-quick-view-lite\";}s:7:\"plugins\";a:1:{s:22:\"xt-woo-quick-view-lite\";O:9:\"FS_Plugin\":24:{s:16:\"parent_plugin_id\";N;s:5:\"title\";s:29:\"XT Quick View for WooCommerce\";s:4:\"slug\";s:22:\"xt-woo-quick-view-lite\";s:12:\"premium_slug\";s:17:\"xt-woo-quick-view\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";s:3:\"all\";s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";s:7:\"version\";s:5:\"1.9.9\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:3:\"Pro\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:17:\"opt_in_moderation\";N;s:10:\"public_key\";s:32:\"pk_3226f1f4df976b3ad44b987fd9c76\";s:10:\"secret_key\";N;s:2:\"id\";i:2905;s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:13:\"admin_notices\";a:1:{s:22:\"xt-woo-quick-view-lite\";a:0:{}}s:9:\"unique_id\";s:32:\"28a18bf004ecc41c3b7a18dd6d61cf29\";}", "yes");
INSERT INTO `wp_options` VALUES("343", "elementor_version", "3.13.4", "yes");
INSERT INTO `wp_options` VALUES("327", "fs_api_cache", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("330", "yoast_migrations_free", "a:1:{s:7:\"version\";s:4:\"20.8\";}", "yes");
INSERT INTO `wp_options` VALUES("4802", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("334", "wpseo_social", "a:20:{s:13:\"facebook_site\";s:40:\"https://www.facebook.com/kookfoodagency/\";s:13:\"instagram_url\";s:0:\"\";s:12:\"linkedin_url\";s:0:\"\";s:11:\"myspace_url\";s:0:\"\";s:16:\"og_default_image\";s:0:\"\";s:19:\"og_default_image_id\";s:0:\"\";s:18:\"og_frontpage_title\";s:0:\"\";s:17:\"og_frontpage_desc\";s:0:\"\";s:18:\"og_frontpage_image\";s:0:\"\";s:21:\"og_frontpage_image_id\";s:0:\"\";s:9:\"opengraph\";b:1;s:13:\"pinterest_url\";s:0:\"\";s:15:\"pinterestverify\";s:0:\"\";s:7:\"twitter\";b:1;s:12:\"twitter_site\";s:11:\"kook_agency\";s:17:\"twitter_card_type\";s:19:\"summary_large_image\";s:11:\"youtube_url\";s:0:\"\";s:13:\"wikipedia_url\";s:0:\"\";s:17:\"other_social_urls\";a:2:{i:0;s:38:\"https://www.instagram.com/kook_agency/\";i:1;s:46:\"https://linkedin.com/company/kook-food-agency/\";}s:12:\"mastodon_url\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("338", "_irb_h_bn_review", "a:2:{s:5:\"users\";a:0:{}s:17:\"copy-delete-posts\";i:1685435038;}", "yes");
INSERT INTO `wp_options` VALUES("339", "wpmudev_recommended_plugins_registered", "a:2:{s:25:\"forminator/forminator.php\";a:1:{s:13:\"registered_at\";i:1685435062;}s:33:\"defender-security/wp-defender.php\";a:1:{s:13:\"registered_at\";i:1685709060;}}", "no");
INSERT INTO `wp_options` VALUES("340", "forminator_default_report_entry", "1", "yes");
INSERT INTO `wp_options` VALUES("341", "forminator_version", "1.24.1", "yes");
INSERT INTO `wp_options` VALUES("344", "elementor_install_history", "a:2:{s:6:\"3.13.3\";i:1685435072;s:6:\"3.13.4\";i:1685458950;}", "yes");
INSERT INTO `wp_options` VALUES("345", "elementor_events_db_version", "1.0.0", "no");
INSERT INTO `wp_options` VALUES("346", "woocommerce_maxmind_geolocation_settings", "a:1:{s:15:\"database_prefix\";s:32:\"HV7dxktbPHAwtFgjFghTtty9DdjDmChp\";}", "yes");
INSERT INTO `wp_options` VALUES("347", "_transient_woocommerce_webhook_ids_status_active", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("348", "widget_akismet_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("349", "widget_woocommerce_widget_cart", "a:2:{i:1;a:2:{s:5:\"title\";s:4:\"Cart\";s:13:\"hide_if_empty\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("350", "widget_woocommerce_layered_nav_filters", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("351", "widget_woocommerce_layered_nav", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("352", "widget_woocommerce_price_filter", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("353", "widget_woocommerce_product_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("354", "widget_woocommerce_product_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("355", "widget_woocommerce_product_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("356", "widget_woocommerce_products", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("357", "widget_woocommerce_recently_viewed_products", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("358", "widget_woocommerce_top_rated_products", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("359", "widget_woocommerce_recent_reviews", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("360", "widget_woocommerce_rating_filter", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("361", "widget_forminator_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("364", "xt_wooqv", "", "yes");
INSERT INTO `wp_options` VALUES("367", "recovery_mode_email_last_sent", "1686214825", "yes");
INSERT INTO `wp_options` VALUES("365", "xt-woo-quick-view-version", "1.9.9", "yes");
INSERT INTO `wp_options` VALUES("366", "xt-woo-quick-view-changelog_viewed", "0", "yes");
INSERT INTO `wp_options` VALUES("7207", "_site_transient_timeout_kirki_googlefonts_cache", "1686230189", "no");
INSERT INTO `wp_options` VALUES("7208", "_site_transient_kirki_googlefonts_cache", "a:1358:{s:7:\"ABeeZee\";a:3:{s:5:\"label\";s:7:\"ABeeZee\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Abel\";a:3:{s:5:\"label\";s:4:\"Abel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Abhaya Libre\";a:3:{s:5:\"label\";s:12:\"Abhaya Libre\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Abril Fatface\";a:3:{s:5:\"label\";s:13:\"Abril Fatface\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Aclonica\";a:3:{s:5:\"label\";s:8:\"Aclonica\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Acme\";a:3:{s:5:\"label\";s:4:\"Acme\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Actor\";a:3:{s:5:\"label\";s:5:\"Actor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Adamina\";a:3:{s:5:\"label\";s:7:\"Adamina\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Advent Pro\";a:3:{s:5:\"label\";s:10:\"Advent Pro\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Aguafina Script\";a:3:{s:5:\"label\";s:15:\"Aguafina Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Akaya Kanadaka\";a:3:{s:5:\"label\";s:14:\"Akaya Kanadaka\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Akaya Telivigala\";a:3:{s:5:\"label\";s:16:\"Akaya Telivigala\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Akronim\";a:3:{s:5:\"label\";s:7:\"Akronim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Aladin\";a:3:{s:5:\"label\";s:6:\"Aladin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Alata\";a:3:{s:5:\"label\";s:5:\"Alata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Alatsi\";a:3:{s:5:\"label\";s:6:\"Alatsi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Aldrich\";a:3:{s:5:\"label\";s:7:\"Aldrich\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Alef\";a:3:{s:5:\"label\";s:4:\"Alef\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Alegreya\";a:3:{s:5:\"label\";s:8:\"Alegreya\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Alegreya SC\";a:3:{s:5:\"label\";s:11:\"Alegreya SC\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"800\";i:5;s:9:\"800italic\";i:6;s:3:\"900\";i:7;s:9:\"900italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Alegreya Sans\";a:3:{s:5:\"label\";s:13:\"Alegreya Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Alegreya Sans SC\";a:3:{s:5:\"label\";s:16:\"Alegreya Sans SC\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Aleo\";a:3:{s:5:\"label\";s:4:\"Aleo\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Alex Brush\";a:3:{s:5:\"label\";s:10:\"Alex Brush\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Alfa Slab One\";a:3:{s:5:\"label\";s:13:\"Alfa Slab One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Alice\";a:3:{s:5:\"label\";s:5:\"Alice\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Alike\";a:3:{s:5:\"label\";s:5:\"Alike\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Alike Angular\";a:3:{s:5:\"label\";s:13:\"Alike Angular\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Allan\";a:3:{s:5:\"label\";s:5:\"Allan\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Allerta\";a:3:{s:5:\"label\";s:7:\"Allerta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Allerta Stencil\";a:3:{s:5:\"label\";s:15:\"Allerta Stencil\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Allison\";a:3:{s:5:\"label\";s:7:\"Allison\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Allura\";a:3:{s:5:\"label\";s:6:\"Allura\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Almarai\";a:3:{s:5:\"label\";s:7:\"Almarai\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:3:\"800\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Almendra\";a:3:{s:5:\"label\";s:8:\"Almendra\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Almendra Display\";a:3:{s:5:\"label\";s:16:\"Almendra Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Almendra SC\";a:3:{s:5:\"label\";s:11:\"Almendra SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Alumni Sans\";a:3:{s:5:\"label\";s:11:\"Alumni Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Amarante\";a:3:{s:5:\"label\";s:8:\"Amarante\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Amaranth\";a:3:{s:5:\"label\";s:8:\"Amaranth\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Amatic SC\";a:3:{s:5:\"label\";s:9:\"Amatic SC\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Amethysta\";a:3:{s:5:\"label\";s:9:\"Amethysta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Amiko\";a:3:{s:5:\"label\";s:5:\"Amiko\";s:8:\"variants\";a:3:{i:0;s:3:\"600\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Amiri\";a:3:{s:5:\"label\";s:5:\"Amiri\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Amita\";a:3:{s:5:\"label\";s:5:\"Amita\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Anaheim\";a:3:{s:5:\"label\";s:7:\"Anaheim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Andada Pro\";a:3:{s:5:\"label\";s:10:\"Andada Pro\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Andika\";a:3:{s:5:\"label\";s:6:\"Andika\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Andika New Basic\";a:3:{s:5:\"label\";s:16:\"Andika New Basic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Angkor\";a:3:{s:5:\"label\";s:6:\"Angkor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:24:\"Annie Use Your Telescope\";a:3:{s:5:\"label\";s:24:\"Annie Use Your Telescope\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Anonymous Pro\";a:3:{s:5:\"label\";s:13:\"Anonymous Pro\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:5:\"Antic\";a:3:{s:5:\"label\";s:5:\"Antic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Antic Didone\";a:3:{s:5:\"label\";s:12:\"Antic Didone\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Antic Slab\";a:3:{s:5:\"label\";s:10:\"Antic Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Anton\";a:3:{s:5:\"label\";s:5:\"Anton\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Antonio\";a:3:{s:5:\"label\";s:7:\"Antonio\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Arapey\";a:3:{s:5:\"label\";s:6:\"Arapey\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Arbutus\";a:3:{s:5:\"label\";s:7:\"Arbutus\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Arbutus Slab\";a:3:{s:5:\"label\";s:12:\"Arbutus Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Architects Daughter\";a:3:{s:5:\"label\";s:19:\"Architects Daughter\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Archivo\";a:3:{s:5:\"label\";s:7:\"Archivo\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Archivo Black\";a:3:{s:5:\"label\";s:13:\"Archivo Black\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Archivo Narrow\";a:3:{s:5:\"label\";s:14:\"Archivo Narrow\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Are You Serious\";a:3:{s:5:\"label\";s:15:\"Are You Serious\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Aref Ruqaa\";a:3:{s:5:\"label\";s:10:\"Aref Ruqaa\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Arima Madurai\";a:3:{s:5:\"label\";s:13:\"Arima Madurai\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Arimo\";a:3:{s:5:\"label\";s:5:\"Arimo\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Arizonia\";a:3:{s:5:\"label\";s:8:\"Arizonia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Armata\";a:3:{s:5:\"label\";s:6:\"Armata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Arsenal\";a:3:{s:5:\"label\";s:7:\"Arsenal\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Artifika\";a:3:{s:5:\"label\";s:8:\"Artifika\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Arvo\";a:3:{s:5:\"label\";s:4:\"Arvo\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Arya\";a:3:{s:5:\"label\";s:4:\"Arya\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Asap\";a:3:{s:5:\"label\";s:4:\"Asap\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Asap Condensed\";a:3:{s:5:\"label\";s:14:\"Asap Condensed\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Asar\";a:3:{s:5:\"label\";s:4:\"Asar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Asset\";a:3:{s:5:\"label\";s:5:\"Asset\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Assistant\";a:3:{s:5:\"label\";s:9:\"Assistant\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Astloch\";a:3:{s:5:\"label\";s:7:\"Astloch\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Asul\";a:3:{s:5:\"label\";s:4:\"Asul\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Athiti\";a:3:{s:5:\"label\";s:6:\"Athiti\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Atkinson Hyperlegible\";a:3:{s:5:\"label\";s:21:\"Atkinson Hyperlegible\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Atma\";a:3:{s:5:\"label\";s:4:\"Atma\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Atomic Age\";a:3:{s:5:\"label\";s:10:\"Atomic Age\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Aubrey\";a:3:{s:5:\"label\";s:6:\"Aubrey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Audiowide\";a:3:{s:5:\"label\";s:9:\"Audiowide\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Autour One\";a:3:{s:5:\"label\";s:10:\"Autour One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Average\";a:3:{s:5:\"label\";s:7:\"Average\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Average Sans\";a:3:{s:5:\"label\";s:12:\"Average Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Averia Gruesa Libre\";a:3:{s:5:\"label\";s:19:\"Averia Gruesa Libre\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Averia Libre\";a:3:{s:5:\"label\";s:12:\"Averia Libre\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Averia Sans Libre\";a:3:{s:5:\"label\";s:17:\"Averia Sans Libre\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Averia Serif Libre\";a:3:{s:5:\"label\";s:18:\"Averia Serif Libre\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Azeret Mono\";a:3:{s:5:\"label\";s:11:\"Azeret Mono\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:4:\"B612\";a:3:{s:5:\"label\";s:4:\"B612\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"B612 Mono\";a:3:{s:5:\"label\";s:9:\"B612 Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:10:\"Bad Script\";a:3:{s:5:\"label\";s:10:\"Bad Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Bahiana\";a:3:{s:5:\"label\";s:7:\"Bahiana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Bahianita\";a:3:{s:5:\"label\";s:9:\"Bahianita\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Bai Jamjuree\";a:3:{s:5:\"label\";s:12:\"Bai Jamjuree\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Bakbak One\";a:3:{s:5:\"label\";s:10:\"Bakbak One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Ballet\";a:3:{s:5:\"label\";s:6:\"Ballet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Baloo 2\";a:3:{s:5:\"label\";s:7:\"Baloo 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Baloo Bhai 2\";a:3:{s:5:\"label\";s:12:\"Baloo Bhai 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Baloo Bhaijaan 2\";a:3:{s:5:\"label\";s:16:\"Baloo Bhaijaan 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Baloo Bhaina 2\";a:3:{s:5:\"label\";s:14:\"Baloo Bhaina 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Baloo Chettan 2\";a:3:{s:5:\"label\";s:15:\"Baloo Chettan 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Baloo Da 2\";a:3:{s:5:\"label\";s:10:\"Baloo Da 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Baloo Paaji 2\";a:3:{s:5:\"label\";s:13:\"Baloo Paaji 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Baloo Tamma 2\";a:3:{s:5:\"label\";s:13:\"Baloo Tamma 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Baloo Tammudu 2\";a:3:{s:5:\"label\";s:15:\"Baloo Tammudu 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Baloo Thambi 2\";a:3:{s:5:\"label\";s:14:\"Baloo Thambi 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Balsamiq Sans\";a:3:{s:5:\"label\";s:13:\"Balsamiq Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Balthazar\";a:3:{s:5:\"label\";s:9:\"Balthazar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Bangers\";a:3:{s:5:\"label\";s:7:\"Bangers\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Barlow\";a:3:{s:5:\"label\";s:6:\"Barlow\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Barlow Condensed\";a:3:{s:5:\"label\";s:16:\"Barlow Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Barlow Semi Condensed\";a:3:{s:5:\"label\";s:21:\"Barlow Semi Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Barriecito\";a:3:{s:5:\"label\";s:10:\"Barriecito\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Barrio\";a:3:{s:5:\"label\";s:6:\"Barrio\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Basic\";a:3:{s:5:\"label\";s:5:\"Basic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Baskervville\";a:3:{s:5:\"label\";s:12:\"Baskervville\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Battambang\";a:3:{s:5:\"label\";s:10:\"Battambang\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Baumans\";a:3:{s:5:\"label\";s:7:\"Baumans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Bayon\";a:3:{s:5:\"label\";s:5:\"Bayon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Be Vietnam Pro\";a:3:{s:5:\"label\";s:14:\"Be Vietnam Pro\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Bebas Neue\";a:3:{s:5:\"label\";s:10:\"Bebas Neue\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Belgrano\";a:3:{s:5:\"label\";s:8:\"Belgrano\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Bellefair\";a:3:{s:5:\"label\";s:9:\"Bellefair\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Belleza\";a:3:{s:5:\"label\";s:7:\"Belleza\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Bellota\";a:3:{s:5:\"label\";s:7:\"Bellota\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Bellota Text\";a:3:{s:5:\"label\";s:12:\"Bellota Text\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"BenchNine\";a:3:{s:5:\"label\";s:9:\"BenchNine\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Benne\";a:3:{s:5:\"label\";s:5:\"Benne\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Bentham\";a:3:{s:5:\"label\";s:7:\"Bentham\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Berkshire Swash\";a:3:{s:5:\"label\";s:15:\"Berkshire Swash\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Besley\";a:3:{s:5:\"label\";s:6:\"Besley\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Beth Ellen\";a:3:{s:5:\"label\";s:10:\"Beth Ellen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Bevan\";a:3:{s:5:\"label\";s:5:\"Bevan\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:21:\"Big Shoulders Display\";a:3:{s:5:\"label\";s:21:\"Big Shoulders Display\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:28:\"Big Shoulders Inline Display\";a:3:{s:5:\"label\";s:28:\"Big Shoulders Inline Display\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:25:\"Big Shoulders Inline Text\";a:3:{s:5:\"label\";s:25:\"Big Shoulders Inline Text\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:29:\"Big Shoulders Stencil Display\";a:3:{s:5:\"label\";s:29:\"Big Shoulders Stencil Display\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:26:\"Big Shoulders Stencil Text\";a:3:{s:5:\"label\";s:26:\"Big Shoulders Stencil Text\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Big Shoulders Text\";a:3:{s:5:\"label\";s:18:\"Big Shoulders Text\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Bigelow Rules\";a:3:{s:5:\"label\";s:13:\"Bigelow Rules\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Bigshot One\";a:3:{s:5:\"label\";s:11:\"Bigshot One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Bilbo\";a:3:{s:5:\"label\";s:5:\"Bilbo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Bilbo Swash Caps\";a:3:{s:5:\"label\";s:16:\"Bilbo Swash Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"BioRhyme\";a:3:{s:5:\"label\";s:8:\"BioRhyme\";s:8:\"variants\";a:5:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"BioRhyme Expanded\";a:3:{s:5:\"label\";s:17:\"BioRhyme Expanded\";s:8:\"variants\";a:5:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Birthstone\";a:3:{s:5:\"label\";s:10:\"Birthstone\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:17:\"Birthstone Bounce\";a:3:{s:5:\"label\";s:17:\"Birthstone Bounce\";s:8:\"variants\";a:2:{i:0;s:3:\"500\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Biryani\";a:3:{s:5:\"label\";s:7:\"Biryani\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Bitter\";a:3:{s:5:\"label\";s:6:\"Bitter\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"Black And White Picture\";a:3:{s:5:\"label\";s:23:\"Black And White Picture\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Black Han Sans\";a:3:{s:5:\"label\";s:14:\"Black Han Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Black Ops One\";a:3:{s:5:\"label\";s:13:\"Black Ops One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Blinker\";a:3:{s:5:\"label\";s:7:\"Blinker\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Bodoni Moda\";a:3:{s:5:\"label\";s:11:\"Bodoni Moda\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Bokor\";a:3:{s:5:\"label\";s:5:\"Bokor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Bona Nova\";a:3:{s:5:\"label\";s:9:\"Bona Nova\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Bonbon\";a:3:{s:5:\"label\";s:6:\"Bonbon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Bonheur Royale\";a:3:{s:5:\"label\";s:14:\"Bonheur Royale\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Boogaloo\";a:3:{s:5:\"label\";s:8:\"Boogaloo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Bowlby One\";a:3:{s:5:\"label\";s:10:\"Bowlby One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Bowlby One SC\";a:3:{s:5:\"label\";s:13:\"Bowlby One SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Brawler\";a:3:{s:5:\"label\";s:7:\"Brawler\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Bree Serif\";a:3:{s:5:\"label\";s:10:\"Bree Serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Brygada 1918\";a:3:{s:5:\"label\";s:12:\"Brygada 1918\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Bubblegum Sans\";a:3:{s:5:\"label\";s:14:\"Bubblegum Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Bubbler One\";a:3:{s:5:\"label\";s:11:\"Bubbler One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Buda\";a:3:{s:5:\"label\";s:4:\"Buda\";s:8:\"variants\";a:1:{i:0;s:3:\"300\";}s:8:\"category\";s:7:\"display\";}s:7:\"Buenard\";a:3:{s:5:\"label\";s:7:\"Buenard\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Bungee\";a:3:{s:5:\"label\";s:6:\"Bungee\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Bungee Hairline\";a:3:{s:5:\"label\";s:15:\"Bungee Hairline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Bungee Inline\";a:3:{s:5:\"label\";s:13:\"Bungee Inline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Bungee Outline\";a:3:{s:5:\"label\";s:14:\"Bungee Outline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Bungee Shade\";a:3:{s:5:\"label\";s:12:\"Bungee Shade\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Butcherman\";a:3:{s:5:\"label\";s:10:\"Butcherman\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Butterfly Kids\";a:3:{s:5:\"label\";s:14:\"Butterfly Kids\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Cabin\";a:3:{s:5:\"label\";s:5:\"Cabin\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Cabin Condensed\";a:3:{s:5:\"label\";s:15:\"Cabin Condensed\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Cabin Sketch\";a:3:{s:5:\"label\";s:12:\"Cabin Sketch\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Caesar Dressing\";a:3:{s:5:\"label\";s:15:\"Caesar Dressing\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Cagliostro\";a:3:{s:5:\"label\";s:10:\"Cagliostro\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Cairo\";a:3:{s:5:\"label\";s:5:\"Cairo\";s:8:\"variants\";a:8:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Caladea\";a:3:{s:5:\"label\";s:7:\"Caladea\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Calistoga\";a:3:{s:5:\"label\";s:9:\"Calistoga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Calligraffitti\";a:3:{s:5:\"label\";s:14:\"Calligraffitti\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Cambay\";a:3:{s:5:\"label\";s:6:\"Cambay\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Cambo\";a:3:{s:5:\"label\";s:5:\"Cambo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Candal\";a:3:{s:5:\"label\";s:6:\"Candal\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Cantarell\";a:3:{s:5:\"label\";s:9:\"Cantarell\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Cantata One\";a:3:{s:5:\"label\";s:11:\"Cantata One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Cantora One\";a:3:{s:5:\"label\";s:11:\"Cantora One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Capriola\";a:3:{s:5:\"label\";s:8:\"Capriola\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Caramel\";a:3:{s:5:\"label\";s:7:\"Caramel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Carattere\";a:3:{s:5:\"label\";s:9:\"Carattere\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Cardo\";a:3:{s:5:\"label\";s:5:\"Cardo\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Carme\";a:3:{s:5:\"label\";s:5:\"Carme\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Carrois Gothic\";a:3:{s:5:\"label\";s:14:\"Carrois Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Carrois Gothic SC\";a:3:{s:5:\"label\";s:17:\"Carrois Gothic SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Carter One\";a:3:{s:5:\"label\";s:10:\"Carter One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Castoro\";a:3:{s:5:\"label\";s:7:\"Castoro\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Catamaran\";a:3:{s:5:\"label\";s:9:\"Catamaran\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Caudex\";a:3:{s:5:\"label\";s:6:\"Caudex\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Caveat\";a:3:{s:5:\"label\";s:6:\"Caveat\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Caveat Brush\";a:3:{s:5:\"label\";s:12:\"Caveat Brush\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:18:\"Cedarville Cursive\";a:3:{s:5:\"label\";s:18:\"Cedarville Cursive\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Ceviche One\";a:3:{s:5:\"label\";s:11:\"Ceviche One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Chakra Petch\";a:3:{s:5:\"label\";s:12:\"Chakra Petch\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Changa\";a:3:{s:5:\"label\";s:6:\"Changa\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Changa One\";a:3:{s:5:\"label\";s:10:\"Changa One\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Chango\";a:3:{s:5:\"label\";s:6:\"Chango\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Charm\";a:3:{s:5:\"label\";s:5:\"Charm\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Charmonman\";a:3:{s:5:\"label\";s:10:\"Charmonman\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Chathura\";a:3:{s:5:\"label\";s:8:\"Chathura\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Chau Philomene One\";a:3:{s:5:\"label\";s:18:\"Chau Philomene One\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Chela One\";a:3:{s:5:\"label\";s:9:\"Chela One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Chelsea Market\";a:3:{s:5:\"label\";s:14:\"Chelsea Market\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Chenla\";a:3:{s:5:\"label\";s:6:\"Chenla\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Cherish\";a:3:{s:5:\"label\";s:7:\"Cherish\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:17:\"Cherry Cream Soda\";a:3:{s:5:\"label\";s:17:\"Cherry Cream Soda\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Cherry Swash\";a:3:{s:5:\"label\";s:12:\"Cherry Swash\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Chewy\";a:3:{s:5:\"label\";s:5:\"Chewy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Chicle\";a:3:{s:5:\"label\";s:6:\"Chicle\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Chilanka\";a:3:{s:5:\"label\";s:8:\"Chilanka\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Chivo\";a:3:{s:5:\"label\";s:5:\"Chivo\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Chonburi\";a:3:{s:5:\"label\";s:8:\"Chonburi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Cinzel\";a:3:{s:5:\"label\";s:6:\"Cinzel\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Cinzel Decorative\";a:3:{s:5:\"label\";s:17:\"Cinzel Decorative\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Clicker Script\";a:3:{s:5:\"label\";s:14:\"Clicker Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Coda\";a:3:{s:5:\"label\";s:4:\"Coda\";s:8:\"variants\";a:2:{i:0;s:3:\"800\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Coda Caption\";a:3:{s:5:\"label\";s:12:\"Coda Caption\";s:8:\"variants\";a:1:{i:0;s:3:\"800\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Codystar\";a:3:{s:5:\"label\";s:8:\"Codystar\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Coiny\";a:3:{s:5:\"label\";s:5:\"Coiny\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Combo\";a:3:{s:5:\"label\";s:5:\"Combo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Comfortaa\";a:3:{s:5:\"label\";s:9:\"Comfortaa\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Comforter\";a:3:{s:5:\"label\";s:9:\"Comforter\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Comforter Brush\";a:3:{s:5:\"label\";s:15:\"Comforter Brush\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Comic Neue\";a:3:{s:5:\"label\";s:10:\"Comic Neue\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Coming Soon\";a:3:{s:5:\"label\";s:11:\"Coming Soon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Commissioner\";a:3:{s:5:\"label\";s:12:\"Commissioner\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Concert One\";a:3:{s:5:\"label\";s:11:\"Concert One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Condiment\";a:3:{s:5:\"label\";s:9:\"Condiment\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Content\";a:3:{s:5:\"label\";s:7:\"Content\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Contrail One\";a:3:{s:5:\"label\";s:12:\"Contrail One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Convergence\";a:3:{s:5:\"label\";s:11:\"Convergence\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Cookie\";a:3:{s:5:\"label\";s:6:\"Cookie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Copse\";a:3:{s:5:\"label\";s:5:\"Copse\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Corben\";a:3:{s:5:\"label\";s:6:\"Corben\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Corinthia\";a:3:{s:5:\"label\";s:9:\"Corinthia\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Cormorant\";a:3:{s:5:\"label\";s:9:\"Cormorant\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Cormorant Garamond\";a:3:{s:5:\"label\";s:18:\"Cormorant Garamond\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Cormorant Infant\";a:3:{s:5:\"label\";s:16:\"Cormorant Infant\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Cormorant SC\";a:3:{s:5:\"label\";s:12:\"Cormorant SC\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Cormorant Unicase\";a:3:{s:5:\"label\";s:17:\"Cormorant Unicase\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Cormorant Upright\";a:3:{s:5:\"label\";s:17:\"Cormorant Upright\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Courgette\";a:3:{s:5:\"label\";s:9:\"Courgette\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Courier Prime\";a:3:{s:5:\"label\";s:13:\"Courier Prime\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"Cousine\";a:3:{s:5:\"label\";s:7:\"Cousine\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:8:\"Coustard\";a:3:{s:5:\"label\";s:8:\"Coustard\";s:8:\"variants\";a:2:{i:0;s:3:\"900\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:21:\"Covered By Your Grace\";a:3:{s:5:\"label\";s:21:\"Covered By Your Grace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Crafty Girls\";a:3:{s:5:\"label\";s:12:\"Crafty Girls\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Creepster\";a:3:{s:5:\"label\";s:9:\"Creepster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Crete Round\";a:3:{s:5:\"label\";s:11:\"Crete Round\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Crimson Pro\";a:3:{s:5:\"label\";s:11:\"Crimson Pro\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Croissant One\";a:3:{s:5:\"label\";s:13:\"Croissant One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Crushed\";a:3:{s:5:\"label\";s:7:\"Crushed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Cuprum\";a:3:{s:5:\"label\";s:6:\"Cuprum\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Cute Font\";a:3:{s:5:\"label\";s:9:\"Cute Font\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Cutive\";a:3:{s:5:\"label\";s:6:\"Cutive\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Cutive Mono\";a:3:{s:5:\"label\";s:11:\"Cutive Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"DM Mono\";a:3:{s:5:\"label\";s:7:\"DM Mono\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"DM Sans\";a:3:{s:5:\"label\";s:7:\"DM Sans\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"DM Serif Display\";a:3:{s:5:\"label\";s:16:\"DM Serif Display\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"DM Serif Text\";a:3:{s:5:\"label\";s:13:\"DM Serif Text\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Damion\";a:3:{s:5:\"label\";s:6:\"Damion\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Dancing Script\";a:3:{s:5:\"label\";s:14:\"Dancing Script\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Dangrek\";a:3:{s:5:\"label\";s:7:\"Dangrek\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Darker Grotesque\";a:3:{s:5:\"label\";s:16:\"Darker Grotesque\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"David Libre\";a:3:{s:5:\"label\";s:11:\"David Libre\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Dawning of a New Day\";a:3:{s:5:\"label\";s:20:\"Dawning of a New Day\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Days One\";a:3:{s:5:\"label\";s:8:\"Days One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dekko\";a:3:{s:5:\"label\";s:5:\"Dekko\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Dela Gothic One\";a:3:{s:5:\"label\";s:15:\"Dela Gothic One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Delius\";a:3:{s:5:\"label\";s:6:\"Delius\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:17:\"Delius Swash Caps\";a:3:{s:5:\"label\";s:17:\"Delius Swash Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Delius Unicase\";a:3:{s:5:\"label\";s:14:\"Delius Unicase\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Della Respira\";a:3:{s:5:\"label\";s:13:\"Della Respira\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Denk One\";a:3:{s:5:\"label\";s:8:\"Denk One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Devonshire\";a:3:{s:5:\"label\";s:10:\"Devonshire\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Dhurjati\";a:3:{s:5:\"label\";s:8:\"Dhurjati\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Didact Gothic\";a:3:{s:5:\"label\";s:13:\"Didact Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Diplomata\";a:3:{s:5:\"label\";s:9:\"Diplomata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Diplomata SC\";a:3:{s:5:\"label\";s:12:\"Diplomata SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Do Hyeon\";a:3:{s:5:\"label\";s:8:\"Do Hyeon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dokdo\";a:3:{s:5:\"label\";s:5:\"Dokdo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Domine\";a:3:{s:5:\"label\";s:6:\"Domine\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Donegal One\";a:3:{s:5:\"label\";s:11:\"Donegal One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Dongle\";a:3:{s:5:\"label\";s:6:\"Dongle\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Doppio One\";a:3:{s:5:\"label\";s:10:\"Doppio One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dorsa\";a:3:{s:5:\"label\";s:5:\"Dorsa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dosis\";a:3:{s:5:\"label\";s:5:\"Dosis\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"DotGothic16\";a:3:{s:5:\"label\";s:11:\"DotGothic16\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Dr Sugiyama\";a:3:{s:5:\"label\";s:11:\"Dr Sugiyama\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Duru Sans\";a:3:{s:5:\"label\";s:9:\"Duru Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Dynalight\";a:3:{s:5:\"label\";s:9:\"Dynalight\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"EB Garamond\";a:3:{s:5:\"label\";s:11:\"EB Garamond\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Eagle Lake\";a:3:{s:5:\"label\";s:10:\"Eagle Lake\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"East Sea Dokdo\";a:3:{s:5:\"label\";s:14:\"East Sea Dokdo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Eater\";a:3:{s:5:\"label\";s:5:\"Eater\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Economica\";a:3:{s:5:\"label\";s:9:\"Economica\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Eczar\";a:3:{s:5:\"label\";s:5:\"Eczar\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"El Messiri\";a:3:{s:5:\"label\";s:10:\"El Messiri\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Electrolize\";a:3:{s:5:\"label\";s:11:\"Electrolize\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Elsie\";a:3:{s:5:\"label\";s:5:\"Elsie\";s:8:\"variants\";a:2:{i:0;s:3:\"900\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Elsie Swash Caps\";a:3:{s:5:\"label\";s:16:\"Elsie Swash Caps\";s:8:\"variants\";a:2:{i:0;s:3:\"900\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Emblema One\";a:3:{s:5:\"label\";s:11:\"Emblema One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Emilys Candy\";a:3:{s:5:\"label\";s:12:\"Emilys Candy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Encode Sans\";a:3:{s:5:\"label\";s:11:\"Encode Sans\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Encode Sans Condensed\";a:3:{s:5:\"label\";s:21:\"Encode Sans Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Encode Sans Expanded\";a:3:{s:5:\"label\";s:20:\"Encode Sans Expanded\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Encode Sans SC\";a:3:{s:5:\"label\";s:14:\"Encode Sans SC\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:26:\"Encode Sans Semi Condensed\";a:3:{s:5:\"label\";s:26:\"Encode Sans Semi Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"Encode Sans Semi Expanded\";a:3:{s:5:\"label\";s:25:\"Encode Sans Semi Expanded\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Engagement\";a:3:{s:5:\"label\";s:10:\"Engagement\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Englebert\";a:3:{s:5:\"label\";s:9:\"Englebert\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Enriqueta\";a:3:{s:5:\"label\";s:9:\"Enriqueta\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Ephesis\";a:3:{s:5:\"label\";s:7:\"Ephesis\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Epilogue\";a:3:{s:5:\"label\";s:8:\"Epilogue\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Erica One\";a:3:{s:5:\"label\";s:9:\"Erica One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Esteban\";a:3:{s:5:\"label\";s:7:\"Esteban\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Estonia\";a:3:{s:5:\"label\";s:7:\"Estonia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Euphoria Script\";a:3:{s:5:\"label\";s:15:\"Euphoria Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Ewert\";a:3:{s:5:\"label\";s:5:\"Ewert\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"Exo\";a:3:{s:5:\"label\";s:3:\"Exo\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Exo 2\";a:3:{s:5:\"label\";s:5:\"Exo 2\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Expletus Sans\";a:3:{s:5:\"label\";s:13:\"Expletus Sans\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Explora\";a:3:{s:5:\"label\";s:7:\"Explora\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Fahkwang\";a:3:{s:5:\"label\";s:8:\"Fahkwang\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Fanwood Text\";a:3:{s:5:\"label\";s:12:\"Fanwood Text\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Farro\";a:3:{s:5:\"label\";s:5:\"Farro\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Farsan\";a:3:{s:5:\"label\";s:6:\"Farsan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fascinate\";a:3:{s:5:\"label\";s:9:\"Fascinate\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Fascinate Inline\";a:3:{s:5:\"label\";s:16:\"Fascinate Inline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Faster One\";a:3:{s:5:\"label\";s:10:\"Faster One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Fasthand\";a:3:{s:5:\"label\";s:8:\"Fasthand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fauna One\";a:3:{s:5:\"label\";s:9:\"Fauna One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Faustina\";a:3:{s:5:\"label\";s:8:\"Faustina\";s:8:\"variants\";a:12:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Federant\";a:3:{s:5:\"label\";s:8:\"Federant\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Federo\";a:3:{s:5:\"label\";s:6:\"Federo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Felipa\";a:3:{s:5:\"label\";s:6:\"Felipa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Fenix\";a:3:{s:5:\"label\";s:5:\"Fenix\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Festive\";a:3:{s:5:\"label\";s:7:\"Festive\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Finger Paint\";a:3:{s:5:\"label\";s:12:\"Finger Paint\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fira Code\";a:3:{s:5:\"label\";s:9:\"Fira Code\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:9:\"Fira Mono\";a:3:{s:5:\"label\";s:9:\"Fira Mono\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:9:\"Fira Sans\";a:3:{s:5:\"label\";s:9:\"Fira Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Fira Sans Condensed\";a:3:{s:5:\"label\";s:19:\"Fira Sans Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"Fira Sans Extra Condensed\";a:3:{s:5:\"label\";s:25:\"Fira Sans Extra Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Fjalla One\";a:3:{s:5:\"label\";s:10:\"Fjalla One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Fjord One\";a:3:{s:5:\"label\";s:9:\"Fjord One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Flamenco\";a:3:{s:5:\"label\";s:8:\"Flamenco\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Flavors\";a:3:{s:5:\"label\";s:7:\"Flavors\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Fleur De Leah\";a:3:{s:5:\"label\";s:13:\"Fleur De Leah\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Flow Block\";a:3:{s:5:\"label\";s:10:\"Flow Block\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Flow Circular\";a:3:{s:5:\"label\";s:13:\"Flow Circular\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Flow Rounded\";a:3:{s:5:\"label\";s:12:\"Flow Rounded\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Fondamento\";a:3:{s:5:\"label\";s:10:\"Fondamento\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Fontdiner Swanky\";a:3:{s:5:\"label\";s:16:\"Fontdiner Swanky\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Forum\";a:3:{s:5:\"label\";s:5:\"Forum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Francois One\";a:3:{s:5:\"label\";s:12:\"Francois One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Frank Ruhl Libre\";a:3:{s:5:\"label\";s:16:\"Frank Ruhl Libre\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Fraunces\";a:3:{s:5:\"label\";s:8:\"Fraunces\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Freckle Face\";a:3:{s:5:\"label\";s:12:\"Freckle Face\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Fredericka the Great\";a:3:{s:5:\"label\";s:20:\"Fredericka the Great\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Fredoka One\";a:3:{s:5:\"label\";s:11:\"Fredoka One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Freehand\";a:3:{s:5:\"label\";s:8:\"Freehand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Fresca\";a:3:{s:5:\"label\";s:6:\"Fresca\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Frijole\";a:3:{s:5:\"label\";s:7:\"Frijole\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Fruktur\";a:3:{s:5:\"label\";s:7:\"Fruktur\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fugaz One\";a:3:{s:5:\"label\";s:9:\"Fugaz One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Fuggles\";a:3:{s:5:\"label\";s:7:\"Fuggles\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Fuzzy Bubbles\";a:3:{s:5:\"label\";s:13:\"Fuzzy Bubbles\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"GFS Didot\";a:3:{s:5:\"label\";s:9:\"GFS Didot\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"GFS Neohellenic\";a:3:{s:5:\"label\";s:15:\"GFS Neohellenic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Gabriela\";a:3:{s:5:\"label\";s:8:\"Gabriela\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Gaegu\";a:3:{s:5:\"label\";s:5:\"Gaegu\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Gafata\";a:3:{s:5:\"label\";s:6:\"Gafata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Galada\";a:3:{s:5:\"label\";s:6:\"Galada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Galdeano\";a:3:{s:5:\"label\";s:8:\"Galdeano\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Galindo\";a:3:{s:5:\"label\";s:7:\"Galindo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Gamja Flower\";a:3:{s:5:\"label\";s:12:\"Gamja Flower\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Gayathri\";a:3:{s:5:\"label\";s:8:\"Gayathri\";s:8:\"variants\";a:3:{i:0;s:3:\"100\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Gelasio\";a:3:{s:5:\"label\";s:7:\"Gelasio\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Gemunu Libre\";a:3:{s:5:\"label\";s:12:\"Gemunu Libre\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Genos\";a:3:{s:5:\"label\";s:5:\"Genos\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Gentium Basic\";a:3:{s:5:\"label\";s:13:\"Gentium Basic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Gentium Book Basic\";a:3:{s:5:\"label\";s:18:\"Gentium Book Basic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:3:\"Geo\";a:3:{s:5:\"label\";s:3:\"Geo\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Georama\";a:3:{s:5:\"label\";s:7:\"Georama\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Geostar\";a:3:{s:5:\"label\";s:7:\"Geostar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Geostar Fill\";a:3:{s:5:\"label\";s:12:\"Geostar Fill\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Germania One\";a:3:{s:5:\"label\";s:12:\"Germania One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Gideon Roman\";a:3:{s:5:\"label\";s:12:\"Gideon Roman\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Gidugu\";a:3:{s:5:\"label\";s:6:\"Gidugu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Gilda Display\";a:3:{s:5:\"label\";s:13:\"Gilda Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Girassol\";a:3:{s:5:\"label\";s:8:\"Girassol\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Give You Glory\";a:3:{s:5:\"label\";s:14:\"Give You Glory\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Glass Antiqua\";a:3:{s:5:\"label\";s:13:\"Glass Antiqua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Glegoo\";a:3:{s:5:\"label\";s:6:\"Glegoo\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Gloria Hallelujah\";a:3:{s:5:\"label\";s:17:\"Gloria Hallelujah\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Glory\";a:3:{s:5:\"label\";s:5:\"Glory\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Gluten\";a:3:{s:5:\"label\";s:6:\"Gluten\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Goblin One\";a:3:{s:5:\"label\";s:10:\"Goblin One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Gochi Hand\";a:3:{s:5:\"label\";s:10:\"Gochi Hand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Goldman\";a:3:{s:5:\"label\";s:7:\"Goldman\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Gorditas\";a:3:{s:5:\"label\";s:8:\"Gorditas\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Gothic A1\";a:3:{s:5:\"label\";s:9:\"Gothic A1\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Gotu\";a:3:{s:5:\"label\";s:4:\"Gotu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Goudy Bookletter 1911\";a:3:{s:5:\"label\";s:21:\"Goudy Bookletter 1911\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Gowun Batang\";a:3:{s:5:\"label\";s:12:\"Gowun Batang\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Gowun Dodum\";a:3:{s:5:\"label\";s:11:\"Gowun Dodum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Graduate\";a:3:{s:5:\"label\";s:8:\"Graduate\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Grand Hotel\";a:3:{s:5:\"label\";s:11:\"Grand Hotel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Grandstander\";a:3:{s:5:\"label\";s:12:\"Grandstander\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Gravitas One\";a:3:{s:5:\"label\";s:12:\"Gravitas One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Great Vibes\";a:3:{s:5:\"label\";s:11:\"Great Vibes\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Grechen Fuemen\";a:3:{s:5:\"label\";s:14:\"Grechen Fuemen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Grenze\";a:3:{s:5:\"label\";s:6:\"Grenze\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Grenze Gotisch\";a:3:{s:5:\"label\";s:14:\"Grenze Gotisch\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Grey Qo\";a:3:{s:5:\"label\";s:7:\"Grey Qo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Griffy\";a:3:{s:5:\"label\";s:6:\"Griffy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Gruppo\";a:3:{s:5:\"label\";s:6:\"Gruppo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Gudea\";a:3:{s:5:\"label\";s:5:\"Gudea\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Gugi\";a:3:{s:5:\"label\";s:4:\"Gugi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Gupter\";a:3:{s:5:\"label\";s:6:\"Gupter\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Gurajada\";a:3:{s:5:\"label\";s:8:\"Gurajada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Gwendolyn\";a:3:{s:5:\"label\";s:9:\"Gwendolyn\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Habibi\";a:3:{s:5:\"label\";s:6:\"Habibi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Hachi Maru Pop\";a:3:{s:5:\"label\";s:14:\"Hachi Maru Pop\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Hahmlet\";a:3:{s:5:\"label\";s:7:\"Hahmlet\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Halant\";a:3:{s:5:\"label\";s:6:\"Halant\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Hammersmith One\";a:3:{s:5:\"label\";s:15:\"Hammersmith One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Hanalei\";a:3:{s:5:\"label\";s:7:\"Hanalei\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Hanalei Fill\";a:3:{s:5:\"label\";s:12:\"Hanalei Fill\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Handlee\";a:3:{s:5:\"label\";s:7:\"Handlee\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Hanuman\";a:3:{s:5:\"label\";s:7:\"Hanuman\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Happy Monkey\";a:3:{s:5:\"label\";s:12:\"Happy Monkey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Harmattan\";a:3:{s:5:\"label\";s:9:\"Harmattan\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Headland One\";a:3:{s:5:\"label\";s:12:\"Headland One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Heebo\";a:3:{s:5:\"label\";s:5:\"Heebo\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Henny Penny\";a:3:{s:5:\"label\";s:11:\"Henny Penny\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Hepta Slab\";a:3:{s:5:\"label\";s:10:\"Hepta Slab\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Herr Von Muellerhoff\";a:3:{s:5:\"label\";s:20:\"Herr Von Muellerhoff\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Hi Melody\";a:3:{s:5:\"label\";s:9:\"Hi Melody\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Hina Mincho\";a:3:{s:5:\"label\";s:11:\"Hina Mincho\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Hind\";a:3:{s:5:\"label\";s:4:\"Hind\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Hind Guntur\";a:3:{s:5:\"label\";s:11:\"Hind Guntur\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Hind Madurai\";a:3:{s:5:\"label\";s:12:\"Hind Madurai\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Hind Siliguri\";a:3:{s:5:\"label\";s:13:\"Hind Siliguri\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Hind Vadodara\";a:3:{s:5:\"label\";s:13:\"Hind Vadodara\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Holtwood One SC\";a:3:{s:5:\"label\";s:15:\"Holtwood One SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Homemade Apple\";a:3:{s:5:\"label\";s:14:\"Homemade Apple\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Homenaje\";a:3:{s:5:\"label\";s:8:\"Homenaje\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Hurricane\";a:3:{s:5:\"label\";s:9:\"Hurricane\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"IBM Plex Mono\";a:3:{s:5:\"label\";s:13:\"IBM Plex Mono\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:13:\"IBM Plex Sans\";a:3:{s:5:\"label\";s:13:\"IBM Plex Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"IBM Plex Sans Arabic\";a:3:{s:5:\"label\";s:20:\"IBM Plex Sans Arabic\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:23:\"IBM Plex Sans Condensed\";a:3:{s:5:\"label\";s:23:\"IBM Plex Sans Condensed\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:24:\"IBM Plex Sans Devanagari\";a:3:{s:5:\"label\";s:24:\"IBM Plex Sans Devanagari\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"IBM Plex Sans Hebrew\";a:3:{s:5:\"label\";s:20:\"IBM Plex Sans Hebrew\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"IBM Plex Sans KR\";a:3:{s:5:\"label\";s:16:\"IBM Plex Sans KR\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"IBM Plex Sans Thai\";a:3:{s:5:\"label\";s:18:\"IBM Plex Sans Thai\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"IBM Plex Sans Thai Looped\";a:3:{s:5:\"label\";s:25:\"IBM Plex Sans Thai Looped\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"IBM Plex Serif\";a:3:{s:5:\"label\";s:14:\"IBM Plex Serif\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"IM Fell DW Pica\";a:3:{s:5:\"label\";s:15:\"IM Fell DW Pica\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"IM Fell DW Pica SC\";a:3:{s:5:\"label\";s:18:\"IM Fell DW Pica SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"IM Fell Double Pica\";a:3:{s:5:\"label\";s:19:\"IM Fell Double Pica\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:22:\"IM Fell Double Pica SC\";a:3:{s:5:\"label\";s:22:\"IM Fell Double Pica SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"IM Fell English\";a:3:{s:5:\"label\";s:15:\"IM Fell English\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"IM Fell English SC\";a:3:{s:5:\"label\";s:18:\"IM Fell English SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"IM Fell French Canon\";a:3:{s:5:\"label\";s:20:\"IM Fell French Canon\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"IM Fell French Canon SC\";a:3:{s:5:\"label\";s:23:\"IM Fell French Canon SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"IM Fell Great Primer\";a:3:{s:5:\"label\";s:20:\"IM Fell Great Primer\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"IM Fell Great Primer SC\";a:3:{s:5:\"label\";s:23:\"IM Fell Great Primer SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Ibarra Real Nova\";a:3:{s:5:\"label\";s:16:\"Ibarra Real Nova\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Iceberg\";a:3:{s:5:\"label\";s:7:\"Iceberg\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Iceland\";a:3:{s:5:\"label\";s:7:\"Iceland\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Imbue\";a:3:{s:5:\"label\";s:5:\"Imbue\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Imperial Script\";a:3:{s:5:\"label\";s:15:\"Imperial Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Imprima\";a:3:{s:5:\"label\";s:7:\"Imprima\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Inconsolata\";a:3:{s:5:\"label\";s:11:\"Inconsolata\";s:8:\"variants\";a:8:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:5:\"Inder\";a:3:{s:5:\"label\";s:5:\"Inder\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Indie Flower\";a:3:{s:5:\"label\";s:12:\"Indie Flower\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Inika\";a:3:{s:5:\"label\";s:5:\"Inika\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Inknut Antiqua\";a:3:{s:5:\"label\";s:14:\"Inknut Antiqua\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Inria Sans\";a:3:{s:5:\"label\";s:10:\"Inria Sans\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Inria Serif\";a:3:{s:5:\"label\";s:11:\"Inria Serif\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Inspiration\";a:3:{s:5:\"label\";s:11:\"Inspiration\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Inter\";a:3:{s:5:\"label\";s:5:\"Inter\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Irish Grover\";a:3:{s:5:\"label\";s:12:\"Irish Grover\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Island Moments\";a:3:{s:5:\"label\";s:14:\"Island Moments\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Istok Web\";a:3:{s:5:\"label\";s:9:\"Istok Web\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Italiana\";a:3:{s:5:\"label\";s:8:\"Italiana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Italianno\";a:3:{s:5:\"label\";s:9:\"Italianno\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Itim\";a:3:{s:5:\"label\";s:4:\"Itim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Jacques Francois\";a:3:{s:5:\"label\";s:16:\"Jacques Francois\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"Jacques Francois Shadow\";a:3:{s:5:\"label\";s:23:\"Jacques Francois Shadow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Jaldi\";a:3:{s:5:\"label\";s:5:\"Jaldi\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"JetBrains Mono\";a:3:{s:5:\"label\";s:14:\"JetBrains Mono\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:14:\"Jim Nightshade\";a:3:{s:5:\"label\";s:14:\"Jim Nightshade\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Jockey One\";a:3:{s:5:\"label\";s:10:\"Jockey One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Jolly Lodger\";a:3:{s:5:\"label\";s:12:\"Jolly Lodger\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Jomhuria\";a:3:{s:5:\"label\";s:8:\"Jomhuria\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Jomolhari\";a:3:{s:5:\"label\";s:9:\"Jomolhari\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Josefin Sans\";a:3:{s:5:\"label\";s:12:\"Josefin Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Josefin Slab\";a:3:{s:5:\"label\";s:12:\"Josefin Slab\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Jost\";a:3:{s:5:\"label\";s:4:\"Jost\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Joti One\";a:3:{s:5:\"label\";s:8:\"Joti One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"Jua\";a:3:{s:5:\"label\";s:3:\"Jua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Judson\";a:3:{s:5:\"label\";s:6:\"Judson\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Julee\";a:3:{s:5:\"label\";s:5:\"Julee\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Julius Sans One\";a:3:{s:5:\"label\";s:15:\"Julius Sans One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Junge\";a:3:{s:5:\"label\";s:5:\"Junge\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Jura\";a:3:{s:5:\"label\";s:4:\"Jura\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Just Another Hand\";a:3:{s:5:\"label\";s:17:\"Just Another Hand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:23:\"Just Me Again Down Here\";a:3:{s:5:\"label\";s:23:\"Just Me Again Down Here\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:3:\"K2D\";a:3:{s:5:\"label\";s:3:\"K2D\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Kadwa\";a:3:{s:5:\"label\";s:5:\"Kadwa\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Kaisei Decol\";a:3:{s:5:\"label\";s:12:\"Kaisei Decol\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Kaisei HarunoUmi\";a:3:{s:5:\"label\";s:16:\"Kaisei HarunoUmi\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Kaisei Opti\";a:3:{s:5:\"label\";s:11:\"Kaisei Opti\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Kaisei Tokumin\";a:3:{s:5:\"label\";s:14:\"Kaisei Tokumin\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:3:\"800\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Kalam\";a:3:{s:5:\"label\";s:5:\"Kalam\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Kameron\";a:3:{s:5:\"label\";s:7:\"Kameron\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Kanit\";a:3:{s:5:\"label\";s:5:\"Kanit\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kantumruy\";a:3:{s:5:\"label\";s:9:\"Kantumruy\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Karantina\";a:3:{s:5:\"label\";s:9:\"Karantina\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Karla\";a:3:{s:5:\"label\";s:5:\"Karla\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Karma\";a:3:{s:5:\"label\";s:5:\"Karma\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Katibeh\";a:3:{s:5:\"label\";s:7:\"Katibeh\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Kaushan Script\";a:3:{s:5:\"label\";s:14:\"Kaushan Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Kavivanar\";a:3:{s:5:\"label\";s:9:\"Kavivanar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Kavoon\";a:3:{s:5:\"label\";s:6:\"Kavoon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Kdam Thmor\";a:3:{s:5:\"label\";s:10:\"Kdam Thmor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Keania One\";a:3:{s:5:\"label\";s:10:\"Keania One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Kelly Slab\";a:3:{s:5:\"label\";s:10:\"Kelly Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Kenia\";a:3:{s:5:\"label\";s:5:\"Kenia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Khand\";a:3:{s:5:\"label\";s:5:\"Khand\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Khmer\";a:3:{s:5:\"label\";s:5:\"Khmer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Khula\";a:3:{s:5:\"label\";s:5:\"Khula\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Kings\";a:3:{s:5:\"label\";s:5:\"Kings\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Kirang Haerang\";a:3:{s:5:\"label\";s:14:\"Kirang Haerang\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Kite One\";a:3:{s:5:\"label\";s:8:\"Kite One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kiwi Maru\";a:3:{s:5:\"label\";s:9:\"Kiwi Maru\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Klee One\";a:3:{s:5:\"label\";s:8:\"Klee One\";s:8:\"variants\";a:2:{i:0;s:3:\"600\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Knewave\";a:3:{s:5:\"label\";s:7:\"Knewave\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"KoHo\";a:3:{s:5:\"label\";s:4:\"KoHo\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kodchasan\";a:3:{s:5:\"label\";s:9:\"Kodchasan\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Koh Santepheap\";a:3:{s:5:\"label\";s:14:\"Koh Santepheap\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Kolker Brush\";a:3:{s:5:\"label\";s:12:\"Kolker Brush\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Kosugi\";a:3:{s:5:\"label\";s:6:\"Kosugi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Kosugi Maru\";a:3:{s:5:\"label\";s:11:\"Kosugi Maru\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kotta One\";a:3:{s:5:\"label\";s:9:\"Kotta One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Koulen\";a:3:{s:5:\"label\";s:6:\"Koulen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Kranky\";a:3:{s:5:\"label\";s:6:\"Kranky\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Kreon\";a:3:{s:5:\"label\";s:5:\"Kreon\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Kristi\";a:3:{s:5:\"label\";s:6:\"Kristi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Krona One\";a:3:{s:5:\"label\";s:9:\"Krona One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Krub\";a:3:{s:5:\"label\";s:4:\"Krub\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Kufam\";a:3:{s:5:\"label\";s:5:\"Kufam\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Kulim Park\";a:3:{s:5:\"label\";s:10:\"Kulim Park\";s:8:\"variants\";a:10:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kumar One\";a:3:{s:5:\"label\";s:9:\"Kumar One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Kumar One Outline\";a:3:{s:5:\"label\";s:17:\"Kumar One Outline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Kumbh Sans\";a:3:{s:5:\"label\";s:10:\"Kumbh Sans\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Kurale\";a:3:{s:5:\"label\";s:6:\"Kurale\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"La Belle Aurore\";a:3:{s:5:\"label\";s:15:\"La Belle Aurore\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Lacquer\";a:3:{s:5:\"label\";s:7:\"Lacquer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Laila\";a:3:{s:5:\"label\";s:5:\"Laila\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lakki Reddy\";a:3:{s:5:\"label\";s:11:\"Lakki Reddy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Lalezar\";a:3:{s:5:\"label\";s:7:\"Lalezar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Lancelot\";a:3:{s:5:\"label\";s:8:\"Lancelot\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Langar\";a:3:{s:5:\"label\";s:6:\"Langar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Lateef\";a:3:{s:5:\"label\";s:6:\"Lateef\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Lato\";a:3:{s:5:\"label\";s:4:\"Lato\";s:8:\"variants\";a:10:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"900\";i:7;s:9:\"900italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"League Script\";a:3:{s:5:\"label\";s:13:\"League Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Leckerli One\";a:3:{s:5:\"label\";s:12:\"Leckerli One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Ledger\";a:3:{s:5:\"label\";s:6:\"Ledger\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Lekton\";a:3:{s:5:\"label\";s:6:\"Lekton\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Lemon\";a:3:{s:5:\"label\";s:5:\"Lemon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Lemonada\";a:3:{s:5:\"label\";s:8:\"Lemonada\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Lexend\";a:3:{s:5:\"label\";s:6:\"Lexend\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Deca\";a:3:{s:5:\"label\";s:11:\"Lexend Deca\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Lexend Exa\";a:3:{s:5:\"label\";s:10:\"Lexend Exa\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Giga\";a:3:{s:5:\"label\";s:11:\"Lexend Giga\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Mega\";a:3:{s:5:\"label\";s:11:\"Lexend Mega\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Peta\";a:3:{s:5:\"label\";s:11:\"Lexend Peta\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Tera\";a:3:{s:5:\"label\";s:11:\"Lexend Tera\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Lexend Zetta\";a:3:{s:5:\"label\";s:12:\"Lexend Zetta\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Libre Barcode 128\";a:3:{s:5:\"label\";s:17:\"Libre Barcode 128\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:22:\"Libre Barcode 128 Text\";a:3:{s:5:\"label\";s:22:\"Libre Barcode 128 Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Libre Barcode 39\";a:3:{s:5:\"label\";s:16:\"Libre Barcode 39\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:25:\"Libre Barcode 39 Extended\";a:3:{s:5:\"label\";s:25:\"Libre Barcode 39 Extended\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:30:\"Libre Barcode 39 Extended Text\";a:3:{s:5:\"label\";s:30:\"Libre Barcode 39 Extended Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:21:\"Libre Barcode 39 Text\";a:3:{s:5:\"label\";s:21:\"Libre Barcode 39 Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:24:\"Libre Barcode EAN13 Text\";a:3:{s:5:\"label\";s:24:\"Libre Barcode EAN13 Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Libre Baskerville\";a:3:{s:5:\"label\";s:17:\"Libre Baskerville\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Libre Caslon Display\";a:3:{s:5:\"label\";s:20:\"Libre Caslon Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Libre Caslon Text\";a:3:{s:5:\"label\";s:17:\"Libre Caslon Text\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Libre Franklin\";a:3:{s:5:\"label\";s:14:\"Libre Franklin\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Licorice\";a:3:{s:5:\"label\";s:8:\"Licorice\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Life Savers\";a:3:{s:5:\"label\";s:11:\"Life Savers\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Lilita One\";a:3:{s:5:\"label\";s:10:\"Lilita One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Lily Script One\";a:3:{s:5:\"label\";s:15:\"Lily Script One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Limelight\";a:3:{s:5:\"label\";s:9:\"Limelight\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Linden Hill\";a:3:{s:5:\"label\";s:11:\"Linden Hill\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Literata\";a:3:{s:5:\"label\";s:8:\"Literata\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Liu Jian Mao Cao\";a:3:{s:5:\"label\";s:16:\"Liu Jian Mao Cao\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Livvic\";a:3:{s:5:\"label\";s:6:\"Livvic\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Lobster\";a:3:{s:5:\"label\";s:7:\"Lobster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Lobster Two\";a:3:{s:5:\"label\";s:11:\"Lobster Two\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Londrina Outline\";a:3:{s:5:\"label\";s:16:\"Londrina Outline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Londrina Shadow\";a:3:{s:5:\"label\";s:15:\"Londrina Shadow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Londrina Sketch\";a:3:{s:5:\"label\";s:15:\"Londrina Sketch\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Londrina Solid\";a:3:{s:5:\"label\";s:14:\"Londrina Solid\";s:8:\"variants\";a:4:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Long Cang\";a:3:{s:5:\"label\";s:9:\"Long Cang\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Lora\";a:3:{s:5:\"label\";s:4:\"Lora\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Love Light\";a:3:{s:5:\"label\";s:10:\"Love Light\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:21:\"Love Ya Like A Sister\";a:3:{s:5:\"label\";s:21:\"Love Ya Like A Sister\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Loved by the King\";a:3:{s:5:\"label\";s:17:\"Loved by the King\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Lovers Quarrel\";a:3:{s:5:\"label\";s:14:\"Lovers Quarrel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Luckiest Guy\";a:3:{s:5:\"label\";s:12:\"Luckiest Guy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Lusitana\";a:3:{s:5:\"label\";s:8:\"Lusitana\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Lustria\";a:3:{s:5:\"label\";s:7:\"Lustria\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Luxurious Roman\";a:3:{s:5:\"label\";s:15:\"Luxurious Roman\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Luxurious Script\";a:3:{s:5:\"label\";s:16:\"Luxurious Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"M PLUS 1\";a:3:{s:5:\"label\";s:8:\"M PLUS 1\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"M PLUS 1 Code\";a:3:{s:5:\"label\";s:13:\"M PLUS 1 Code\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"M PLUS 1p\";a:3:{s:5:\"label\";s:9:\"M PLUS 1p\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"M PLUS 2\";a:3:{s:5:\"label\";s:8:\"M PLUS 2\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"M PLUS Code Latin\";a:3:{s:5:\"label\";s:17:\"M PLUS Code Latin\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"M PLUS Rounded 1c\";a:3:{s:5:\"label\";s:17:\"M PLUS Rounded 1c\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Ma Shan Zheng\";a:3:{s:5:\"label\";s:13:\"Ma Shan Zheng\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Macondo\";a:3:{s:5:\"label\";s:7:\"Macondo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Macondo Swash Caps\";a:3:{s:5:\"label\";s:18:\"Macondo Swash Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Mada\";a:3:{s:5:\"label\";s:4:\"Mada\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Magra\";a:3:{s:5:\"label\";s:5:\"Magra\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Maiden Orange\";a:3:{s:5:\"label\";s:13:\"Maiden Orange\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Maitree\";a:3:{s:5:\"label\";s:7:\"Maitree\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Major Mono Display\";a:3:{s:5:\"label\";s:18:\"Major Mono Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:4:\"Mako\";a:3:{s:5:\"label\";s:4:\"Mako\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Mali\";a:3:{s:5:\"label\";s:4:\"Mali\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Mallanna\";a:3:{s:5:\"label\";s:8:\"Mallanna\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Mandali\";a:3:{s:5:\"label\";s:7:\"Mandali\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Manjari\";a:3:{s:5:\"label\";s:7:\"Manjari\";s:8:\"variants\";a:3:{i:0;s:3:\"100\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Manrope\";a:3:{s:5:\"label\";s:7:\"Manrope\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Mansalva\";a:3:{s:5:\"label\";s:8:\"Mansalva\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Manuale\";a:3:{s:5:\"label\";s:7:\"Manuale\";s:8:\"variants\";a:12:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Marcellus\";a:3:{s:5:\"label\";s:9:\"Marcellus\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Marcellus SC\";a:3:{s:5:\"label\";s:12:\"Marcellus SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Marck Script\";a:3:{s:5:\"label\";s:12:\"Marck Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Margarine\";a:3:{s:5:\"label\";s:9:\"Margarine\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Markazi Text\";a:3:{s:5:\"label\";s:12:\"Markazi Text\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Marko One\";a:3:{s:5:\"label\";s:9:\"Marko One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Marmelad\";a:3:{s:5:\"label\";s:8:\"Marmelad\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Martel\";a:3:{s:5:\"label\";s:6:\"Martel\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Martel Sans\";a:3:{s:5:\"label\";s:11:\"Martel Sans\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Marvel\";a:3:{s:5:\"label\";s:6:\"Marvel\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Mate\";a:3:{s:5:\"label\";s:4:\"Mate\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Mate SC\";a:3:{s:5:\"label\";s:7:\"Mate SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Maven Pro\";a:3:{s:5:\"label\";s:9:\"Maven Pro\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"McLaren\";a:3:{s:5:\"label\";s:7:\"McLaren\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Mea Culpa\";a:3:{s:5:\"label\";s:9:\"Mea Culpa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Meddon\";a:3:{s:5:\"label\";s:6:\"Meddon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"MedievalSharp\";a:3:{s:5:\"label\";s:13:\"MedievalSharp\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Medula One\";a:3:{s:5:\"label\";s:10:\"Medula One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Meera Inimai\";a:3:{s:5:\"label\";s:12:\"Meera Inimai\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Megrim\";a:3:{s:5:\"label\";s:6:\"Megrim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Meie Script\";a:3:{s:5:\"label\";s:11:\"Meie Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Meow Script\";a:3:{s:5:\"label\";s:11:\"Meow Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Merienda\";a:3:{s:5:\"label\";s:8:\"Merienda\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Merienda One\";a:3:{s:5:\"label\";s:12:\"Merienda One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Merriweather\";a:3:{s:5:\"label\";s:12:\"Merriweather\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Merriweather Sans\";a:3:{s:5:\"label\";s:17:\"Merriweather Sans\";s:8:\"variants\";a:12:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Metal\";a:3:{s:5:\"label\";s:5:\"Metal\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Metal Mania\";a:3:{s:5:\"label\";s:11:\"Metal Mania\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Metamorphous\";a:3:{s:5:\"label\";s:12:\"Metamorphous\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Metrophobic\";a:3:{s:5:\"label\";s:11:\"Metrophobic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Michroma\";a:3:{s:5:\"label\";s:8:\"Michroma\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Milonga\";a:3:{s:5:\"label\";s:7:\"Milonga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Miltonian\";a:3:{s:5:\"label\";s:9:\"Miltonian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Miltonian Tattoo\";a:3:{s:5:\"label\";s:16:\"Miltonian Tattoo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Mina\";a:3:{s:5:\"label\";s:4:\"Mina\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Miniver\";a:3:{s:5:\"label\";s:7:\"Miniver\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Miriam Libre\";a:3:{s:5:\"label\";s:12:\"Miriam Libre\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Mirza\";a:3:{s:5:\"label\";s:5:\"Mirza\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Miss Fajardose\";a:3:{s:5:\"label\";s:14:\"Miss Fajardose\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Mitr\";a:3:{s:5:\"label\";s:4:\"Mitr\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Mochiy Pop One\";a:3:{s:5:\"label\";s:14:\"Mochiy Pop One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Mochiy Pop P One\";a:3:{s:5:\"label\";s:16:\"Mochiy Pop P One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Modak\";a:3:{s:5:\"label\";s:5:\"Modak\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Modern Antiqua\";a:3:{s:5:\"label\";s:14:\"Modern Antiqua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Mogra\";a:3:{s:5:\"label\";s:5:\"Mogra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Mohave\";a:3:{s:5:\"label\";s:6:\"Mohave\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Molengo\";a:3:{s:5:\"label\";s:7:\"Molengo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Molle\";a:3:{s:5:\"label\";s:5:\"Molle\";s:8:\"variants\";a:1:{i:0;s:6:\"italic\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Monda\";a:3:{s:5:\"label\";s:5:\"Monda\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Monofett\";a:3:{s:5:\"label\";s:8:\"Monofett\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Monoton\";a:3:{s:5:\"label\";s:7:\"Monoton\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Monsieur La Doulaise\";a:3:{s:5:\"label\";s:20:\"Monsieur La Doulaise\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Montaga\";a:3:{s:5:\"label\";s:7:\"Montaga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Montagu Slab\";a:3:{s:5:\"label\";s:12:\"Montagu Slab\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"MonteCarlo\";a:3:{s:5:\"label\";s:10:\"MonteCarlo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Montez\";a:3:{s:5:\"label\";s:6:\"Montez\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Montserrat\";a:3:{s:5:\"label\";s:10:\"Montserrat\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Montserrat Alternates\";a:3:{s:5:\"label\";s:21:\"Montserrat Alternates\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Montserrat Subrayada\";a:3:{s:5:\"label\";s:20:\"Montserrat Subrayada\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Moo Lah Lah\";a:3:{s:5:\"label\";s:11:\"Moo Lah Lah\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Moon Dance\";a:3:{s:5:\"label\";s:10:\"Moon Dance\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Moul\";a:3:{s:5:\"label\";s:4:\"Moul\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Moulpali\";a:3:{s:5:\"label\";s:8:\"Moulpali\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:22:\"Mountains of Christmas\";a:3:{s:5:\"label\";s:22:\"Mountains of Christmas\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Mouse Memoirs\";a:3:{s:5:\"label\";s:13:\"Mouse Memoirs\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Mr Bedfort\";a:3:{s:5:\"label\";s:10:\"Mr Bedfort\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Mr Dafoe\";a:3:{s:5:\"label\";s:8:\"Mr Dafoe\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Mr De Haviland\";a:3:{s:5:\"label\";s:14:\"Mr De Haviland\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:19:\"Mrs Saint Delafield\";a:3:{s:5:\"label\";s:19:\"Mrs Saint Delafield\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Mrs Sheppards\";a:3:{s:5:\"label\";s:13:\"Mrs Sheppards\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Mukta\";a:3:{s:5:\"label\";s:5:\"Mukta\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Mukta Mahee\";a:3:{s:5:\"label\";s:11:\"Mukta Mahee\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Mukta Malar\";a:3:{s:5:\"label\";s:11:\"Mukta Malar\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Mukta Vaani\";a:3:{s:5:\"label\";s:11:\"Mukta Vaani\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Mulish\";a:3:{s:5:\"label\";s:6:\"Mulish\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Murecho\";a:3:{s:5:\"label\";s:7:\"Murecho\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"MuseoModerno\";a:3:{s:5:\"label\";s:12:\"MuseoModerno\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Mystery Quest\";a:3:{s:5:\"label\";s:13:\"Mystery Quest\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"NTR\";a:3:{s:5:\"label\";s:3:\"NTR\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Nanum Brush Script\";a:3:{s:5:\"label\";s:18:\"Nanum Brush Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Nanum Gothic\";a:3:{s:5:\"label\";s:12:\"Nanum Gothic\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Nanum Gothic Coding\";a:3:{s:5:\"label\";s:19:\"Nanum Gothic Coding\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:14:\"Nanum Myeongjo\";a:3:{s:5:\"label\";s:14:\"Nanum Myeongjo\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Nanum Pen Script\";a:3:{s:5:\"label\";s:16:\"Nanum Pen Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Nerko One\";a:3:{s:5:\"label\";s:9:\"Nerko One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Neucha\";a:3:{s:5:\"label\";s:6:\"Neucha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Neuton\";a:3:{s:5:\"label\";s:6:\"Neuton\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"New Rocker\";a:3:{s:5:\"label\";s:10:\"New Rocker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"New Tegomin\";a:3:{s:5:\"label\";s:11:\"New Tegomin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"News Cycle\";a:3:{s:5:\"label\";s:10:\"News Cycle\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Newsreader\";a:3:{s:5:\"label\";s:10:\"Newsreader\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Niconne\";a:3:{s:5:\"label\";s:7:\"Niconne\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Niramit\";a:3:{s:5:\"label\";s:7:\"Niramit\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Nixie One\";a:3:{s:5:\"label\";s:9:\"Nixie One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Nobile\";a:3:{s:5:\"label\";s:6:\"Nobile\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Nokora\";a:3:{s:5:\"label\";s:6:\"Nokora\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Norican\";a:3:{s:5:\"label\";s:7:\"Norican\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Nosifer\";a:3:{s:5:\"label\";s:7:\"Nosifer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Notable\";a:3:{s:5:\"label\";s:7:\"Notable\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Nothing You Could Do\";a:3:{s:5:\"label\";s:20:\"Nothing You Could Do\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Noticia Text\";a:3:{s:5:\"label\";s:12:\"Noticia Text\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Noto Kufi Arabic\";a:3:{s:5:\"label\";s:16:\"Noto Kufi Arabic\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Noto Music\";a:3:{s:5:\"label\";s:10:\"Noto Music\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Naskh Arabic\";a:3:{s:5:\"label\";s:17:\"Noto Naskh Arabic\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Nastaliq Urdu\";a:3:{s:5:\"label\";s:18:\"Noto Nastaliq Urdu\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Noto Rashi Hebrew\";a:3:{s:5:\"label\";s:17:\"Noto Rashi Hebrew\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Noto Sans\";a:3:{s:5:\"label\";s:9:\"Noto Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Adlam\";a:3:{s:5:\"label\";s:15:\"Noto Sans Adlam\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:24:\"Noto Sans Adlam Unjoined\";a:3:{s:5:\"label\";s:24:\"Noto Sans Adlam Unjoined\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:31:\"Noto Sans Anatolian Hieroglyphs\";a:3:{s:5:\"label\";s:31:\"Noto Sans Anatolian Hieroglyphs\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Arabic\";a:3:{s:5:\"label\";s:16:\"Noto Sans Arabic\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Armenian\";a:3:{s:5:\"label\";s:18:\"Noto Sans Armenian\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Avestan\";a:3:{s:5:\"label\";s:17:\"Noto Sans Avestan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Balinese\";a:3:{s:5:\"label\";s:18:\"Noto Sans Balinese\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Bamum\";a:3:{s:5:\"label\";s:15:\"Noto Sans Bamum\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Bassa Vah\";a:3:{s:5:\"label\";s:19:\"Noto Sans Bassa Vah\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Batak\";a:3:{s:5:\"label\";s:15:\"Noto Sans Batak\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Bengali\";a:3:{s:5:\"label\";s:17:\"Noto Sans Bengali\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Bhaiksuki\";a:3:{s:5:\"label\";s:19:\"Noto Sans Bhaiksuki\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Brahmi\";a:3:{s:5:\"label\";s:16:\"Noto Sans Brahmi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Buginese\";a:3:{s:5:\"label\";s:18:\"Noto Sans Buginese\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Buhid\";a:3:{s:5:\"label\";s:15:\"Noto Sans Buhid\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:29:\"Noto Sans Canadian Aboriginal\";a:3:{s:5:\"label\";s:29:\"Noto Sans Canadian Aboriginal\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Carian\";a:3:{s:5:\"label\";s:16:\"Noto Sans Carian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:28:\"Noto Sans Caucasian Albanian\";a:3:{s:5:\"label\";s:28:\"Noto Sans Caucasian Albanian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Chakma\";a:3:{s:5:\"label\";s:16:\"Noto Sans Chakma\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Cham\";a:3:{s:5:\"label\";s:14:\"Noto Sans Cham\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Cherokee\";a:3:{s:5:\"label\";s:18:\"Noto Sans Cherokee\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Coptic\";a:3:{s:5:\"label\";s:16:\"Noto Sans Coptic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Cuneiform\";a:3:{s:5:\"label\";s:19:\"Noto Sans Cuneiform\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Cypriot\";a:3:{s:5:\"label\";s:17:\"Noto Sans Cypriot\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Deseret\";a:3:{s:5:\"label\";s:17:\"Noto Sans Deseret\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Devanagari\";a:3:{s:5:\"label\";s:20:\"Noto Sans Devanagari\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Display\";a:3:{s:5:\"label\";s:17:\"Noto Sans Display\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Duployan\";a:3:{s:5:\"label\";s:18:\"Noto Sans Duployan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:30:\"Noto Sans Egyptian Hieroglyphs\";a:3:{s:5:\"label\";s:30:\"Noto Sans Egyptian Hieroglyphs\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Elbasan\";a:3:{s:5:\"label\";s:17:\"Noto Sans Elbasan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Elymaic\";a:3:{s:5:\"label\";s:17:\"Noto Sans Elymaic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Georgian\";a:3:{s:5:\"label\";s:18:\"Noto Sans Georgian\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Glagolitic\";a:3:{s:5:\"label\";s:20:\"Noto Sans Glagolitic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Gothic\";a:3:{s:5:\"label\";s:16:\"Noto Sans Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Grantha\";a:3:{s:5:\"label\";s:17:\"Noto Sans Grantha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Gujarati\";a:3:{s:5:\"label\";s:18:\"Noto Sans Gujarati\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:23:\"Noto Sans Gunjala Gondi\";a:3:{s:5:\"label\";s:23:\"Noto Sans Gunjala Gondi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Gurmukhi\";a:3:{s:5:\"label\";s:18:\"Noto Sans Gurmukhi\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans HK\";a:3:{s:5:\"label\";s:12:\"Noto Sans HK\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"Noto Sans Hanifi Rohingya\";a:3:{s:5:\"label\";s:25:\"Noto Sans Hanifi Rohingya\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Hanunoo\";a:3:{s:5:\"label\";s:17:\"Noto Sans Hanunoo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Hatran\";a:3:{s:5:\"label\";s:16:\"Noto Sans Hatran\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Hebrew\";a:3:{s:5:\"label\";s:16:\"Noto Sans Hebrew\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:26:\"Noto Sans Imperial Aramaic\";a:3:{s:5:\"label\";s:26:\"Noto Sans Imperial Aramaic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:29:\"Noto Sans Indic Siyaq Numbers\";a:3:{s:5:\"label\";s:29:\"Noto Sans Indic Siyaq Numbers\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:31:\"Noto Sans Inscriptional Pahlavi\";a:3:{s:5:\"label\";s:31:\"Noto Sans Inscriptional Pahlavi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:32:\"Noto Sans Inscriptional Parthian\";a:3:{s:5:\"label\";s:32:\"Noto Sans Inscriptional Parthian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans JP\";a:3:{s:5:\"label\";s:12:\"Noto Sans JP\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Javanese\";a:3:{s:5:\"label\";s:18:\"Noto Sans Javanese\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans KR\";a:3:{s:5:\"label\";s:12:\"Noto Sans KR\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Kaithi\";a:3:{s:5:\"label\";s:16:\"Noto Sans Kaithi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Kannada\";a:3:{s:5:\"label\";s:17:\"Noto Sans Kannada\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Kayah Li\";a:3:{s:5:\"label\";s:18:\"Noto Sans Kayah Li\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Kharoshthi\";a:3:{s:5:\"label\";s:20:\"Noto Sans Kharoshthi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Khmer\";a:3:{s:5:\"label\";s:15:\"Noto Sans Khmer\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Khojki\";a:3:{s:5:\"label\";s:16:\"Noto Sans Khojki\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Khudawadi\";a:3:{s:5:\"label\";s:19:\"Noto Sans Khudawadi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Noto Sans Lao\";a:3:{s:5:\"label\";s:13:\"Noto Sans Lao\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Lepcha\";a:3:{s:5:\"label\";s:16:\"Noto Sans Lepcha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Limbu\";a:3:{s:5:\"label\";s:15:\"Noto Sans Limbu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Linear A\";a:3:{s:5:\"label\";s:18:\"Noto Sans Linear A\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Linear B\";a:3:{s:5:\"label\";s:18:\"Noto Sans Linear B\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Lisu\";a:3:{s:5:\"label\";s:14:\"Noto Sans Lisu\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Lycian\";a:3:{s:5:\"label\";s:16:\"Noto Sans Lycian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Lydian\";a:3:{s:5:\"label\";s:16:\"Noto Sans Lydian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Mahajani\";a:3:{s:5:\"label\";s:18:\"Noto Sans Mahajani\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Malayalam\";a:3:{s:5:\"label\";s:19:\"Noto Sans Malayalam\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Mandaic\";a:3:{s:5:\"label\";s:17:\"Noto Sans Mandaic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Manichaean\";a:3:{s:5:\"label\";s:20:\"Noto Sans Manichaean\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Marchen\";a:3:{s:5:\"label\";s:17:\"Noto Sans Marchen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:23:\"Noto Sans Masaram Gondi\";a:3:{s:5:\"label\";s:23:\"Noto Sans Masaram Gondi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Math\";a:3:{s:5:\"label\";s:14:\"Noto Sans Math\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:24:\"Noto Sans Mayan Numerals\";a:3:{s:5:\"label\";s:24:\"Noto Sans Mayan Numerals\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans Medefaidrin\";a:3:{s:5:\"label\";s:21:\"Noto Sans Medefaidrin\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:22:\"Noto Sans Meetei Mayek\";a:3:{s:5:\"label\";s:22:\"Noto Sans Meetei Mayek\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Meroitic\";a:3:{s:5:\"label\";s:18:\"Noto Sans Meroitic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Miao\";a:3:{s:5:\"label\";s:14:\"Noto Sans Miao\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Modi\";a:3:{s:5:\"label\";s:14:\"Noto Sans Modi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Mongolian\";a:3:{s:5:\"label\";s:19:\"Noto Sans Mongolian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Mono\";a:3:{s:5:\"label\";s:14:\"Noto Sans Mono\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:13:\"Noto Sans Mro\";a:3:{s:5:\"label\";s:13:\"Noto Sans Mro\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Multani\";a:3:{s:5:\"label\";s:17:\"Noto Sans Multani\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Myanmar\";a:3:{s:5:\"label\";s:17:\"Noto Sans Myanmar\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans N Ko\";a:3:{s:5:\"label\";s:14:\"Noto Sans N Ko\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Nabataean\";a:3:{s:5:\"label\";s:19:\"Noto Sans Nabataean\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans New Tai Lue\";a:3:{s:5:\"label\";s:21:\"Noto Sans New Tai Lue\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Newa\";a:3:{s:5:\"label\";s:14:\"Noto Sans Newa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Nushu\";a:3:{s:5:\"label\";s:15:\"Noto Sans Nushu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Ogham\";a:3:{s:5:\"label\";s:15:\"Noto Sans Ogham\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Ol Chiki\";a:3:{s:5:\"label\";s:18:\"Noto Sans Ol Chiki\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:23:\"Noto Sans Old Hungarian\";a:3:{s:5:\"label\";s:23:\"Noto Sans Old Hungarian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Old Italic\";a:3:{s:5:\"label\";s:20:\"Noto Sans Old Italic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:27:\"Noto Sans Old North Arabian\";a:3:{s:5:\"label\";s:27:\"Noto Sans Old North Arabian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Old Permic\";a:3:{s:5:\"label\";s:20:\"Noto Sans Old Permic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans Old Persian\";a:3:{s:5:\"label\";s:21:\"Noto Sans Old Persian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans Old Sogdian\";a:3:{s:5:\"label\";s:21:\"Noto Sans Old Sogdian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:27:\"Noto Sans Old South Arabian\";a:3:{s:5:\"label\";s:27:\"Noto Sans Old South Arabian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Old Turkic\";a:3:{s:5:\"label\";s:20:\"Noto Sans Old Turkic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Oriya\";a:3:{s:5:\"label\";s:15:\"Noto Sans Oriya\";s:8:\"variants\";a:4:{i:0;s:3:\"100\";i:1;s:3:\"700\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Osage\";a:3:{s:5:\"label\";s:15:\"Noto Sans Osage\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Osmanya\";a:3:{s:5:\"label\";s:17:\"Noto Sans Osmanya\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:22:\"Noto Sans Pahawh Hmong\";a:3:{s:5:\"label\";s:22:\"Noto Sans Pahawh Hmong\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Palmyrene\";a:3:{s:5:\"label\";s:19:\"Noto Sans Palmyrene\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans Pau Cin Hau\";a:3:{s:5:\"label\";s:21:\"Noto Sans Pau Cin Hau\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Phags Pa\";a:3:{s:5:\"label\";s:18:\"Noto Sans Phags Pa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Phoenician\";a:3:{s:5:\"label\";s:20:\"Noto Sans Phoenician\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"Noto Sans Psalter Pahlavi\";a:3:{s:5:\"label\";s:25:\"Noto Sans Psalter Pahlavi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Rejang\";a:3:{s:5:\"label\";s:16:\"Noto Sans Rejang\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Runic\";a:3:{s:5:\"label\";s:15:\"Noto Sans Runic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans SC\";a:3:{s:5:\"label\";s:12:\"Noto Sans SC\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Samaritan\";a:3:{s:5:\"label\";s:19:\"Noto Sans Samaritan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Noto Sans Saurashtra\";a:3:{s:5:\"label\";s:20:\"Noto Sans Saurashtra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Sharada\";a:3:{s:5:\"label\";s:17:\"Noto Sans Sharada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Shavian\";a:3:{s:5:\"label\";s:17:\"Noto Sans Shavian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Siddham\";a:3:{s:5:\"label\";s:17:\"Noto Sans Siddham\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Sinhala\";a:3:{s:5:\"label\";s:17:\"Noto Sans Sinhala\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Sogdian\";a:3:{s:5:\"label\";s:17:\"Noto Sans Sogdian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:22:\"Noto Sans Sora Sompeng\";a:3:{s:5:\"label\";s:22:\"Noto Sans Sora Sompeng\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Soyombo\";a:3:{s:5:\"label\";s:17:\"Noto Sans Soyombo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Sundanese\";a:3:{s:5:\"label\";s:19:\"Noto Sans Sundanese\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:22:\"Noto Sans Syloti Nagri\";a:3:{s:5:\"label\";s:22:\"Noto Sans Syloti Nagri\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Symbols\";a:3:{s:5:\"label\";s:17:\"Noto Sans Symbols\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Noto Sans Symbols 2\";a:3:{s:5:\"label\";s:19:\"Noto Sans Symbols 2\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Syriac\";a:3:{s:5:\"label\";s:16:\"Noto Sans Syriac\";s:8:\"variants\";a:3:{i:0;s:3:\"100\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans TC\";a:3:{s:5:\"label\";s:12:\"Noto Sans TC\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Tagalog\";a:3:{s:5:\"label\";s:17:\"Noto Sans Tagalog\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Tagbanwa\";a:3:{s:5:\"label\";s:18:\"Noto Sans Tagbanwa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Tai Le\";a:3:{s:5:\"label\";s:16:\"Noto Sans Tai Le\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Tai Tham\";a:3:{s:5:\"label\";s:18:\"Noto Sans Tai Tham\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Tai Viet\";a:3:{s:5:\"label\";s:18:\"Noto Sans Tai Viet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Takri\";a:3:{s:5:\"label\";s:15:\"Noto Sans Takri\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Noto Sans Tamil\";a:3:{s:5:\"label\";s:15:\"Noto Sans Tamil\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:26:\"Noto Sans Tamil Supplement\";a:3:{s:5:\"label\";s:26:\"Noto Sans Tamil Supplement\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Telugu\";a:3:{s:5:\"label\";s:16:\"Noto Sans Telugu\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Thaana\";a:3:{s:5:\"label\";s:16:\"Noto Sans Thaana\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Noto Sans Thai\";a:3:{s:5:\"label\";s:14:\"Noto Sans Thai\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans Thai Looped\";a:3:{s:5:\"label\";s:21:\"Noto Sans Thai Looped\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Tifinagh\";a:3:{s:5:\"label\";s:18:\"Noto Sans Tifinagh\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Noto Sans Tirhuta\";a:3:{s:5:\"label\";s:17:\"Noto Sans Tirhuta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Noto Sans Ugaritic\";a:3:{s:5:\"label\";s:18:\"Noto Sans Ugaritic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Noto Sans Vai\";a:3:{s:5:\"label\";s:13:\"Noto Sans Vai\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Noto Sans Wancho\";a:3:{s:5:\"label\";s:16:\"Noto Sans Wancho\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Noto Sans Warang Citi\";a:3:{s:5:\"label\";s:21:\"Noto Sans Warang Citi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans Yi\";a:3:{s:5:\"label\";s:12:\"Noto Sans Yi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:26:\"Noto Sans Zanabazar Square\";a:3:{s:5:\"label\";s:26:\"Noto Sans Zanabazar Square\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Noto Serif\";a:3:{s:5:\"label\";s:10:\"Noto Serif\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Noto Serif Ahom\";a:3:{s:5:\"label\";s:15:\"Noto Serif Ahom\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Noto Serif Armenian\";a:3:{s:5:\"label\";s:19:\"Noto Serif Armenian\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Noto Serif Balinese\";a:3:{s:5:\"label\";s:19:\"Noto Serif Balinese\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Bengali\";a:3:{s:5:\"label\";s:18:\"Noto Serif Bengali\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:21:\"Noto Serif Devanagari\";a:3:{s:5:\"label\";s:21:\"Noto Serif Devanagari\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Display\";a:3:{s:5:\"label\";s:18:\"Noto Serif Display\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Noto Serif Dogra\";a:3:{s:5:\"label\";s:16:\"Noto Serif Dogra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Noto Serif Ethiopic\";a:3:{s:5:\"label\";s:19:\"Noto Serif Ethiopic\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Noto Serif Georgian\";a:3:{s:5:\"label\";s:19:\"Noto Serif Georgian\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Grantha\";a:3:{s:5:\"label\";s:18:\"Noto Serif Grantha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Noto Serif Gujarati\";a:3:{s:5:\"label\";s:19:\"Noto Serif Gujarati\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Noto Serif Gurmukhi\";a:3:{s:5:\"label\";s:19:\"Noto Serif Gurmukhi\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Noto Serif Hebrew\";a:3:{s:5:\"label\";s:17:\"Noto Serif Hebrew\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif JP\";a:3:{s:5:\"label\";s:13:\"Noto Serif JP\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif KR\";a:3:{s:5:\"label\";s:13:\"Noto Serif KR\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Kannada\";a:3:{s:5:\"label\";s:18:\"Noto Serif Kannada\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Noto Serif Khmer\";a:3:{s:5:\"label\";s:16:\"Noto Serif Khmer\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Noto Serif Lao\";a:3:{s:5:\"label\";s:14:\"Noto Serif Lao\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Noto Serif Malayalam\";a:3:{s:5:\"label\";s:20:\"Noto Serif Malayalam\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Myanmar\";a:3:{s:5:\"label\";s:18:\"Noto Serif Myanmar\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:33:\"Noto Serif Nyiakeng Puachue Hmong\";a:3:{s:5:\"label\";s:33:\"Noto Serif Nyiakeng Puachue Hmong\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif SC\";a:3:{s:5:\"label\";s:13:\"Noto Serif SC\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Sinhala\";a:3:{s:5:\"label\";s:18:\"Noto Serif Sinhala\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif TC\";a:3:{s:5:\"label\";s:13:\"Noto Serif TC\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Noto Serif Tamil\";a:3:{s:5:\"label\";s:16:\"Noto Serif Tamil\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Noto Serif Tangut\";a:3:{s:5:\"label\";s:17:\"Noto Serif Tangut\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Noto Serif Telugu\";a:3:{s:5:\"label\";s:17:\"Noto Serif Telugu\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Noto Serif Thai\";a:3:{s:5:\"label\";s:15:\"Noto Serif Thai\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Noto Serif Tibetan\";a:3:{s:5:\"label\";s:18:\"Noto Serif Tibetan\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Noto Serif Yezidi\";a:3:{s:5:\"label\";s:17:\"Noto Serif Yezidi\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:22:\"Noto Traditional Nushu\";a:3:{s:5:\"label\";s:22:\"Noto Traditional Nushu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Nova Cut\";a:3:{s:5:\"label\";s:8:\"Nova Cut\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Nova Flat\";a:3:{s:5:\"label\";s:9:\"Nova Flat\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Nova Mono\";a:3:{s:5:\"label\";s:9:\"Nova Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:9:\"Nova Oval\";a:3:{s:5:\"label\";s:9:\"Nova Oval\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Nova Round\";a:3:{s:5:\"label\";s:10:\"Nova Round\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Nova Script\";a:3:{s:5:\"label\";s:11:\"Nova Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Nova Slim\";a:3:{s:5:\"label\";s:9:\"Nova Slim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Nova Square\";a:3:{s:5:\"label\";s:11:\"Nova Square\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Numans\";a:3:{s:5:\"label\";s:6:\"Numans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Nunito\";a:3:{s:5:\"label\";s:6:\"Nunito\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Nunito Sans\";a:3:{s:5:\"label\";s:11:\"Nunito Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Odibee Sans\";a:3:{s:5:\"label\";s:11:\"Odibee Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Odor Mean Chey\";a:3:{s:5:\"label\";s:14:\"Odor Mean Chey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Offside\";a:3:{s:5:\"label\";s:7:\"Offside\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:2:\"Oi\";a:3:{s:5:\"label\";s:2:\"Oi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Old Standard TT\";a:3:{s:5:\"label\";s:15:\"Old Standard TT\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Oldenburg\";a:3:{s:5:\"label\";s:9:\"Oldenburg\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"Ole\";a:3:{s:5:\"label\";s:3:\"Ole\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Oleo Script\";a:3:{s:5:\"label\";s:11:\"Oleo Script\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:22:\"Oleo Script Swash Caps\";a:3:{s:5:\"label\";s:22:\"Oleo Script Swash Caps\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Oooh Baby\";a:3:{s:5:\"label\";s:9:\"Oooh Baby\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Open Sans\";a:3:{s:5:\"label\";s:9:\"Open Sans\";s:8:\"variants\";a:12:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Open Sans Condensed\";a:3:{s:5:\"label\";s:19:\"Open Sans Condensed\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Oranienbaum\";a:3:{s:5:\"label\";s:11:\"Oranienbaum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Orbitron\";a:3:{s:5:\"label\";s:8:\"Orbitron\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Oregano\";a:3:{s:5:\"label\";s:7:\"Oregano\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Orelega One\";a:3:{s:5:\"label\";s:11:\"Orelega One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Orienta\";a:3:{s:5:\"label\";s:7:\"Orienta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Original Surfer\";a:3:{s:5:\"label\";s:15:\"Original Surfer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Oswald\";a:3:{s:5:\"label\";s:6:\"Oswald\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Otomanopee One\";a:3:{s:5:\"label\";s:14:\"Otomanopee One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Outfit\";a:3:{s:5:\"label\";s:6:\"Outfit\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Over the Rainbow\";a:3:{s:5:\"label\";s:16:\"Over the Rainbow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Overlock\";a:3:{s:5:\"label\";s:8:\"Overlock\";s:8:\"variants\";a:6:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:3:\"900\";i:3;s:9:\"900italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Overlock SC\";a:3:{s:5:\"label\";s:11:\"Overlock SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Overpass\";a:3:{s:5:\"label\";s:8:\"Overpass\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Overpass Mono\";a:3:{s:5:\"label\";s:13:\"Overpass Mono\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:3:\"Ovo\";a:3:{s:5:\"label\";s:3:\"Ovo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Oxanium\";a:3:{s:5:\"label\";s:7:\"Oxanium\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Oxygen\";a:3:{s:5:\"label\";s:6:\"Oxygen\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Oxygen Mono\";a:3:{s:5:\"label\";s:11:\"Oxygen Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"PT Mono\";a:3:{s:5:\"label\";s:7:\"PT Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"PT Sans\";a:3:{s:5:\"label\";s:7:\"PT Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"PT Sans Caption\";a:3:{s:5:\"label\";s:15:\"PT Sans Caption\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"PT Sans Narrow\";a:3:{s:5:\"label\";s:14:\"PT Sans Narrow\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"PT Serif\";a:3:{s:5:\"label\";s:8:\"PT Serif\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"PT Serif Caption\";a:3:{s:5:\"label\";s:16:\"PT Serif Caption\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Pacifico\";a:3:{s:5:\"label\";s:8:\"Pacifico\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Padauk\";a:3:{s:5:\"label\";s:6:\"Padauk\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Palanquin\";a:3:{s:5:\"label\";s:9:\"Palanquin\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Palanquin Dark\";a:3:{s:5:\"label\";s:14:\"Palanquin Dark\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Palette Mosaic\";a:3:{s:5:\"label\";s:14:\"Palette Mosaic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Pangolin\";a:3:{s:5:\"label\";s:8:\"Pangolin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Paprika\";a:3:{s:5:\"label\";s:7:\"Paprika\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Parisienne\";a:3:{s:5:\"label\";s:10:\"Parisienne\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Passero One\";a:3:{s:5:\"label\";s:11:\"Passero One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Passion One\";a:3:{s:5:\"label\";s:11:\"Passion One\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Passions Conflict\";a:3:{s:5:\"label\";s:17:\"Passions Conflict\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:18:\"Pathway Gothic One\";a:3:{s:5:\"label\";s:18:\"Pathway Gothic One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Patrick Hand\";a:3:{s:5:\"label\";s:12:\"Patrick Hand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Patrick Hand SC\";a:3:{s:5:\"label\";s:15:\"Patrick Hand SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Pattaya\";a:3:{s:5:\"label\";s:7:\"Pattaya\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Patua One\";a:3:{s:5:\"label\";s:9:\"Patua One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Pavanam\";a:3:{s:5:\"label\";s:7:\"Pavanam\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Paytone One\";a:3:{s:5:\"label\";s:11:\"Paytone One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Peddana\";a:3:{s:5:\"label\";s:7:\"Peddana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Peralta\";a:3:{s:5:\"label\";s:7:\"Peralta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Permanent Marker\";a:3:{s:5:\"label\";s:16:\"Permanent Marker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Petemoss\";a:3:{s:5:\"label\";s:8:\"Petemoss\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:19:\"Petit Formal Script\";a:3:{s:5:\"label\";s:19:\"Petit Formal Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Petrona\";a:3:{s:5:\"label\";s:7:\"Petrona\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Philosopher\";a:3:{s:5:\"label\";s:11:\"Philosopher\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Piazzolla\";a:3:{s:5:\"label\";s:9:\"Piazzolla\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Piedra\";a:3:{s:5:\"label\";s:6:\"Piedra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Pinyon Script\";a:3:{s:5:\"label\";s:13:\"Pinyon Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Pirata One\";a:3:{s:5:\"label\";s:10:\"Pirata One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Plaster\";a:3:{s:5:\"label\";s:7:\"Plaster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Play\";a:3:{s:5:\"label\";s:4:\"Play\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Playball\";a:3:{s:5:\"label\";s:8:\"Playball\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Playfair Display\";a:3:{s:5:\"label\";s:16:\"Playfair Display\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Playfair Display SC\";a:3:{s:5:\"label\";s:19:\"Playfair Display SC\";s:8:\"variants\";a:6:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:3:\"900\";i:3;s:9:\"900italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Podkova\";a:3:{s:5:\"label\";s:7:\"Podkova\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Poiret One\";a:3:{s:5:\"label\";s:10:\"Poiret One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Poller One\";a:3:{s:5:\"label\";s:10:\"Poller One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Poly\";a:3:{s:5:\"label\";s:4:\"Poly\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Pompiere\";a:3:{s:5:\"label\";s:8:\"Pompiere\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Pontano Sans\";a:3:{s:5:\"label\";s:12:\"Pontano Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Poor Story\";a:3:{s:5:\"label\";s:10:\"Poor Story\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Poppins\";a:3:{s:5:\"label\";s:7:\"Poppins\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Port Lligat Sans\";a:3:{s:5:\"label\";s:16:\"Port Lligat Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Port Lligat Slab\";a:3:{s:5:\"label\";s:16:\"Port Lligat Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Potta One\";a:3:{s:5:\"label\";s:9:\"Potta One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Pragati Narrow\";a:3:{s:5:\"label\";s:14:\"Pragati Narrow\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Praise\";a:3:{s:5:\"label\";s:6:\"Praise\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Prata\";a:3:{s:5:\"label\";s:5:\"Prata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Preahvihear\";a:3:{s:5:\"label\";s:11:\"Preahvihear\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Press Start 2P\";a:3:{s:5:\"label\";s:14:\"Press Start 2P\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Pridi\";a:3:{s:5:\"label\";s:5:\"Pridi\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Princess Sofia\";a:3:{s:5:\"label\";s:14:\"Princess Sofia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Prociono\";a:3:{s:5:\"label\";s:8:\"Prociono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Prompt\";a:3:{s:5:\"label\";s:6:\"Prompt\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Prosto One\";a:3:{s:5:\"label\";s:10:\"Prosto One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Proza Libre\";a:3:{s:5:\"label\";s:11:\"Proza Libre\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Public Sans\";a:3:{s:5:\"label\";s:11:\"Public Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Puppies Play\";a:3:{s:5:\"label\";s:12:\"Puppies Play\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Puritan\";a:3:{s:5:\"label\";s:7:\"Puritan\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Purple Purse\";a:3:{s:5:\"label\";s:12:\"Purple Purse\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Pushster\";a:3:{s:5:\"label\";s:8:\"Pushster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Qahiri\";a:3:{s:5:\"label\";s:6:\"Qahiri\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Quando\";a:3:{s:5:\"label\";s:6:\"Quando\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Quantico\";a:3:{s:5:\"label\";s:8:\"Quantico\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Quattrocento\";a:3:{s:5:\"label\";s:12:\"Quattrocento\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Quattrocento Sans\";a:3:{s:5:\"label\";s:17:\"Quattrocento Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Questrial\";a:3:{s:5:\"label\";s:9:\"Questrial\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Quicksand\";a:3:{s:5:\"label\";s:9:\"Quicksand\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Quintessential\";a:3:{s:5:\"label\";s:14:\"Quintessential\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Qwigley\";a:3:{s:5:\"label\";s:7:\"Qwigley\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Qwitcher Grypen\";a:3:{s:5:\"label\";s:15:\"Qwitcher Grypen\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Racing Sans One\";a:3:{s:5:\"label\";s:15:\"Racing Sans One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Radley\";a:3:{s:5:\"label\";s:6:\"Radley\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Rajdhani\";a:3:{s:5:\"label\";s:8:\"Rajdhani\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Rakkas\";a:3:{s:5:\"label\";s:6:\"Rakkas\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Raleway\";a:3:{s:5:\"label\";s:7:\"Raleway\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Raleway Dots\";a:3:{s:5:\"label\";s:12:\"Raleway Dots\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Ramabhadra\";a:3:{s:5:\"label\";s:10:\"Ramabhadra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Ramaraja\";a:3:{s:5:\"label\";s:8:\"Ramaraja\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Rambla\";a:3:{s:5:\"label\";s:6:\"Rambla\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Rammetto One\";a:3:{s:5:\"label\";s:12:\"Rammetto One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Rampart One\";a:3:{s:5:\"label\";s:11:\"Rampart One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Ranchers\";a:3:{s:5:\"label\";s:8:\"Ranchers\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Rancho\";a:3:{s:5:\"label\";s:6:\"Rancho\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Ranga\";a:3:{s:5:\"label\";s:5:\"Ranga\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Rasa\";a:3:{s:5:\"label\";s:4:\"Rasa\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Rationale\";a:3:{s:5:\"label\";s:9:\"Rationale\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Ravi Prakash\";a:3:{s:5:\"label\";s:12:\"Ravi Prakash\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Readex Pro\";a:3:{s:5:\"label\";s:10:\"Readex Pro\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Recursive\";a:3:{s:5:\"label\";s:9:\"Recursive\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Red Hat Display\";a:3:{s:5:\"label\";s:15:\"Red Hat Display\";s:8:\"variants\";a:14:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Red Hat Mono\";a:3:{s:5:\"label\";s:12:\"Red Hat Mono\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:12:\"Red Hat Text\";a:3:{s:5:\"label\";s:12:\"Red Hat Text\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Red Rose\";a:3:{s:5:\"label\";s:8:\"Red Rose\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Redacted\";a:3:{s:5:\"label\";s:8:\"Redacted\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Redacted Script\";a:3:{s:5:\"label\";s:15:\"Redacted Script\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Redressed\";a:3:{s:5:\"label\";s:9:\"Redressed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Reem Kufi\";a:3:{s:5:\"label\";s:9:\"Reem Kufi\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Reenie Beanie\";a:3:{s:5:\"label\";s:13:\"Reenie Beanie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Reggae One\";a:3:{s:5:\"label\";s:10:\"Reggae One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Revalia\";a:3:{s:5:\"label\";s:7:\"Revalia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Rhodium Libre\";a:3:{s:5:\"label\";s:13:\"Rhodium Libre\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Ribeye\";a:3:{s:5:\"label\";s:6:\"Ribeye\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Ribeye Marrow\";a:3:{s:5:\"label\";s:13:\"Ribeye Marrow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Righteous\";a:3:{s:5:\"label\";s:9:\"Righteous\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Risque\";a:3:{s:5:\"label\";s:6:\"Risque\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Road Rage\";a:3:{s:5:\"label\";s:9:\"Road Rage\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Roboto\";a:3:{s:5:\"label\";s:6:\"Roboto\";s:8:\"variants\";a:12:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Roboto Condensed\";a:3:{s:5:\"label\";s:16:\"Roboto Condensed\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Roboto Mono\";a:3:{s:5:\"label\";s:11:\"Roboto Mono\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:11:\"Roboto Slab\";a:3:{s:5:\"label\";s:11:\"Roboto Slab\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Rochester\";a:3:{s:5:\"label\";s:9:\"Rochester\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Rock 3D\";a:3:{s:5:\"label\";s:7:\"Rock 3D\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Rock Salt\";a:3:{s:5:\"label\";s:9:\"Rock Salt\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"RocknRoll One\";a:3:{s:5:\"label\";s:13:\"RocknRoll One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Rokkitt\";a:3:{s:5:\"label\";s:7:\"Rokkitt\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Romanesco\";a:3:{s:5:\"label\";s:9:\"Romanesco\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Ropa Sans\";a:3:{s:5:\"label\";s:9:\"Ropa Sans\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Rosario\";a:3:{s:5:\"label\";s:7:\"Rosario\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Rosarivo\";a:3:{s:5:\"label\";s:8:\"Rosarivo\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Rouge Script\";a:3:{s:5:\"label\";s:12:\"Rouge Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Rowdies\";a:3:{s:5:\"label\";s:7:\"Rowdies\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Rozha One\";a:3:{s:5:\"label\";s:9:\"Rozha One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Rubik\";a:3:{s:5:\"label\";s:5:\"Rubik\";s:8:\"variants\";a:14:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Rubik Beastly\";a:3:{s:5:\"label\";s:13:\"Rubik Beastly\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Rubik Mono One\";a:3:{s:5:\"label\";s:14:\"Rubik Mono One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Ruda\";a:3:{s:5:\"label\";s:4:\"Ruda\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Rufina\";a:3:{s:5:\"label\";s:6:\"Rufina\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Ruge Boogie\";a:3:{s:5:\"label\";s:11:\"Ruge Boogie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Ruluko\";a:3:{s:5:\"label\";s:6:\"Ruluko\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Rum Raisin\";a:3:{s:5:\"label\";s:10:\"Rum Raisin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Ruslan Display\";a:3:{s:5:\"label\";s:14:\"Ruslan Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Russo One\";a:3:{s:5:\"label\";s:9:\"Russo One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Ruthie\";a:3:{s:5:\"label\";s:6:\"Ruthie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:3:\"Rye\";a:3:{s:5:\"label\";s:3:\"Rye\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"STIX Two Text\";a:3:{s:5:\"label\";s:13:\"STIX Two Text\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Sacramento\";a:3:{s:5:\"label\";s:10:\"Sacramento\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Sahitya\";a:3:{s:5:\"label\";s:7:\"Sahitya\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Sail\";a:3:{s:5:\"label\";s:4:\"Sail\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Saira\";a:3:{s:5:\"label\";s:5:\"Saira\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Saira Condensed\";a:3:{s:5:\"label\";s:15:\"Saira Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Saira Extra Condensed\";a:3:{s:5:\"label\";s:21:\"Saira Extra Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Saira Semi Condensed\";a:3:{s:5:\"label\";s:20:\"Saira Semi Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Saira Stencil One\";a:3:{s:5:\"label\";s:17:\"Saira Stencil One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Salsa\";a:3:{s:5:\"label\";s:5:\"Salsa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sanchez\";a:3:{s:5:\"label\";s:7:\"Sanchez\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Sancreek\";a:3:{s:5:\"label\";s:8:\"Sancreek\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sansita\";a:3:{s:5:\"label\";s:7:\"Sansita\";s:8:\"variants\";a:8:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:3:\"800\";i:3;s:9:\"800italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Sansita Swashed\";a:3:{s:5:\"label\";s:15:\"Sansita Swashed\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sarabun\";a:3:{s:5:\"label\";s:7:\"Sarabun\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Sarala\";a:3:{s:5:\"label\";s:6:\"Sarala\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Sarina\";a:3:{s:5:\"label\";s:6:\"Sarina\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Sarpanch\";a:3:{s:5:\"label\";s:8:\"Sarpanch\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Sassy Frass\";a:3:{s:5:\"label\";s:11:\"Sassy Frass\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Satisfy\";a:3:{s:5:\"label\";s:7:\"Satisfy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Sawarabi Gothic\";a:3:{s:5:\"label\";s:15:\"Sawarabi Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Sawarabi Mincho\";a:3:{s:5:\"label\";s:15:\"Sawarabi Mincho\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Scada\";a:3:{s:5:\"label\";s:5:\"Scada\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Scheherazade New\";a:3:{s:5:\"label\";s:16:\"Scheherazade New\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Schoolbell\";a:3:{s:5:\"label\";s:10:\"Schoolbell\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Scope One\";a:3:{s:5:\"label\";s:9:\"Scope One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Seaweed Script\";a:3:{s:5:\"label\";s:14:\"Seaweed Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Secular One\";a:3:{s:5:\"label\";s:11:\"Secular One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Sedgwick Ave\";a:3:{s:5:\"label\";s:12:\"Sedgwick Ave\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:20:\"Sedgwick Ave Display\";a:3:{s:5:\"label\";s:20:\"Sedgwick Ave Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:3:\"Sen\";a:3:{s:5:\"label\";s:3:\"Sen\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Sevillana\";a:3:{s:5:\"label\";s:9:\"Sevillana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Seymour One\";a:3:{s:5:\"label\";s:11:\"Seymour One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Shadows Into Light\";a:3:{s:5:\"label\";s:18:\"Shadows Into Light\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:22:\"Shadows Into Light Two\";a:3:{s:5:\"label\";s:22:\"Shadows Into Light Two\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Shalimar\";a:3:{s:5:\"label\";s:8:\"Shalimar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Shanti\";a:3:{s:5:\"label\";s:6:\"Shanti\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Share\";a:3:{s:5:\"label\";s:5:\"Share\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Share Tech\";a:3:{s:5:\"label\";s:10:\"Share Tech\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Share Tech Mono\";a:3:{s:5:\"label\";s:15:\"Share Tech Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:16:\"Shippori Antique\";a:3:{s:5:\"label\";s:16:\"Shippori Antique\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Shippori Antique B1\";a:3:{s:5:\"label\";s:19:\"Shippori Antique B1\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Shippori Mincho\";a:3:{s:5:\"label\";s:15:\"Shippori Mincho\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Shippori Mincho B1\";a:3:{s:5:\"label\";s:18:\"Shippori Mincho B1\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Shizuru\";a:3:{s:5:\"label\";s:7:\"Shizuru\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Shojumaru\";a:3:{s:5:\"label\";s:9:\"Shojumaru\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Short Stack\";a:3:{s:5:\"label\";s:11:\"Short Stack\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Shrikhand\";a:3:{s:5:\"label\";s:9:\"Shrikhand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Siemreap\";a:3:{s:5:\"label\";s:8:\"Siemreap\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Sigmar One\";a:3:{s:5:\"label\";s:10:\"Sigmar One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Signika\";a:3:{s:5:\"label\";s:7:\"Signika\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Signika Negative\";a:3:{s:5:\"label\";s:16:\"Signika Negative\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Simonetta\";a:3:{s:5:\"label\";s:9:\"Simonetta\";s:8:\"variants\";a:4:{i:0;s:3:\"900\";i:1;s:9:\"900italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Single Day\";a:3:{s:5:\"label\";s:10:\"Single Day\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sintony\";a:3:{s:5:\"label\";s:7:\"Sintony\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Sirin Stencil\";a:3:{s:5:\"label\";s:13:\"Sirin Stencil\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Six Caps\";a:3:{s:5:\"label\";s:8:\"Six Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Skranji\";a:3:{s:5:\"label\";s:7:\"Skranji\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Slabo 13px\";a:3:{s:5:\"label\";s:10:\"Slabo 13px\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Slabo 27px\";a:3:{s:5:\"label\";s:10:\"Slabo 27px\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Slackey\";a:3:{s:5:\"label\";s:7:\"Slackey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Smokum\";a:3:{s:5:\"label\";s:6:\"Smokum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Smooch\";a:3:{s:5:\"label\";s:6:\"Smooch\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Smythe\";a:3:{s:5:\"label\";s:6:\"Smythe\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sniglet\";a:3:{s:5:\"label\";s:7:\"Sniglet\";s:8:\"variants\";a:2:{i:0;s:3:\"800\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Snippet\";a:3:{s:5:\"label\";s:7:\"Snippet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Snowburst One\";a:3:{s:5:\"label\";s:13:\"Snowburst One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Sofadi One\";a:3:{s:5:\"label\";s:10:\"Sofadi One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Sofia\";a:3:{s:5:\"label\";s:5:\"Sofia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Solway\";a:3:{s:5:\"label\";s:6:\"Solway\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Song Myung\";a:3:{s:5:\"label\";s:10:\"Song Myung\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Sonsie One\";a:3:{s:5:\"label\";s:10:\"Sonsie One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Sora\";a:3:{s:5:\"label\";s:4:\"Sora\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Sorts Mill Goudy\";a:3:{s:5:\"label\";s:16:\"Sorts Mill Goudy\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Source Code Pro\";a:3:{s:5:\"label\";s:15:\"Source Code Pro\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:13:\"Source Sans 3\";a:3:{s:5:\"label\";s:13:\"Source Sans 3\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Source Sans Pro\";a:3:{s:5:\"label\";s:15:\"Source Sans Pro\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Source Serif 4\";a:3:{s:5:\"label\";s:14:\"Source Serif 4\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Source Serif Pro\";a:3:{s:5:\"label\";s:16:\"Source Serif Pro\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Space Grotesk\";a:3:{s:5:\"label\";s:13:\"Space Grotesk\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Space Mono\";a:3:{s:5:\"label\";s:10:\"Space Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"Spartan\";a:3:{s:5:\"label\";s:7:\"Spartan\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Special Elite\";a:3:{s:5:\"label\";s:13:\"Special Elite\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Spectral\";a:3:{s:5:\"label\";s:8:\"Spectral\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Spectral SC\";a:3:{s:5:\"label\";s:11:\"Spectral SC\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Spicy Rice\";a:3:{s:5:\"label\";s:10:\"Spicy Rice\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Spinnaker\";a:3:{s:5:\"label\";s:9:\"Spinnaker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Spirax\";a:3:{s:5:\"label\";s:6:\"Spirax\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Spline Sans\";a:3:{s:5:\"label\";s:11:\"Spline Sans\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Squada One\";a:3:{s:5:\"label\";s:10:\"Squada One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Sree Krushnadevaraya\";a:3:{s:5:\"label\";s:20:\"Sree Krushnadevaraya\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Sriracha\";a:3:{s:5:\"label\";s:8:\"Sriracha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Srisakdi\";a:3:{s:5:\"label\";s:8:\"Srisakdi\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Staatliches\";a:3:{s:5:\"label\";s:11:\"Staatliches\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Stalemate\";a:3:{s:5:\"label\";s:9:\"Stalemate\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Stalinist One\";a:3:{s:5:\"label\";s:13:\"Stalinist One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Stardos Stencil\";a:3:{s:5:\"label\";s:15:\"Stardos Stencil\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Stick\";a:3:{s:5:\"label\";s:5:\"Stick\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Stick No Bills\";a:3:{s:5:\"label\";s:14:\"Stick No Bills\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Stint Ultra Condensed\";a:3:{s:5:\"label\";s:21:\"Stint Ultra Condensed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Stint Ultra Expanded\";a:3:{s:5:\"label\";s:20:\"Stint Ultra Expanded\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Stoke\";a:3:{s:5:\"label\";s:5:\"Stoke\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Strait\";a:3:{s:5:\"label\";s:6:\"Strait\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Style Script\";a:3:{s:5:\"label\";s:12:\"Style Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Stylish\";a:3:{s:5:\"label\";s:7:\"Stylish\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Sue Ellen Francisco\";a:3:{s:5:\"label\";s:19:\"Sue Ellen Francisco\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Suez One\";a:3:{s:5:\"label\";s:8:\"Suez One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Sulphur Point\";a:3:{s:5:\"label\";s:13:\"Sulphur Point\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Sumana\";a:3:{s:5:\"label\";s:6:\"Sumana\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Sunflower\";a:3:{s:5:\"label\";s:9:\"Sunflower\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Sunshiney\";a:3:{s:5:\"label\";s:9:\"Sunshiney\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Supermercado One\";a:3:{s:5:\"label\";s:16:\"Supermercado One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Sura\";a:3:{s:5:\"label\";s:4:\"Sura\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Suranna\";a:3:{s:5:\"label\";s:7:\"Suranna\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Suravaram\";a:3:{s:5:\"label\";s:9:\"Suravaram\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Suwannaphum\";a:3:{s:5:\"label\";s:11:\"Suwannaphum\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Swanky and Moo Moo\";a:3:{s:5:\"label\";s:18:\"Swanky and Moo Moo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Syncopate\";a:3:{s:5:\"label\";s:9:\"Syncopate\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Syne\";a:3:{s:5:\"label\";s:4:\"Syne\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Syne Mono\";a:3:{s:5:\"label\";s:9:\"Syne Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:12:\"Syne Tactile\";a:3:{s:5:\"label\";s:12:\"Syne Tactile\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Tajawal\";a:3:{s:5:\"label\";s:7:\"Tajawal\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Tangerine\";a:3:{s:5:\"label\";s:9:\"Tangerine\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Taprom\";a:3:{s:5:\"label\";s:6:\"Taprom\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Tauri\";a:3:{s:5:\"label\";s:5:\"Tauri\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Taviraj\";a:3:{s:5:\"label\";s:7:\"Taviraj\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Teko\";a:3:{s:5:\"label\";s:4:\"Teko\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Telex\";a:3:{s:5:\"label\";s:5:\"Telex\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Tenali Ramakrishna\";a:3:{s:5:\"label\";s:18:\"Tenali Ramakrishna\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Tenor Sans\";a:3:{s:5:\"label\";s:10:\"Tenor Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Text Me One\";a:3:{s:5:\"label\";s:11:\"Text Me One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Texturina\";a:3:{s:5:\"label\";s:9:\"Texturina\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Thasadith\";a:3:{s:5:\"label\";s:9:\"Thasadith\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"The Girl Next Door\";a:3:{s:5:\"label\";s:18:\"The Girl Next Door\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"The Nautigal\";a:3:{s:5:\"label\";s:12:\"The Nautigal\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Tienne\";a:3:{s:5:\"label\";s:6:\"Tienne\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Tillana\";a:3:{s:5:\"label\";s:7:\"Tillana\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Timmana\";a:3:{s:5:\"label\";s:7:\"Timmana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Tinos\";a:3:{s:5:\"label\";s:5:\"Tinos\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Titan One\";a:3:{s:5:\"label\";s:9:\"Titan One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Titillium Web\";a:3:{s:5:\"label\";s:13:\"Titillium Web\";s:8:\"variants\";a:11:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:6:\"italic\";i:10;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Tomorrow\";a:3:{s:5:\"label\";s:8:\"Tomorrow\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Tourney\";a:3:{s:5:\"label\";s:7:\"Tourney\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Trade Winds\";a:3:{s:5:\"label\";s:11:\"Trade Winds\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Train One\";a:3:{s:5:\"label\";s:9:\"Train One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Trirong\";a:3:{s:5:\"label\";s:7:\"Trirong\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Trispace\";a:3:{s:5:\"label\";s:8:\"Trispace\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Trocchi\";a:3:{s:5:\"label\";s:7:\"Trocchi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Trochut\";a:3:{s:5:\"label\";s:7:\"Trochut\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Truculenta\";a:3:{s:5:\"label\";s:10:\"Truculenta\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Trykker\";a:3:{s:5:\"label\";s:7:\"Trykker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Tulpen One\";a:3:{s:5:\"label\";s:10:\"Tulpen One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Turret Road\";a:3:{s:5:\"label\";s:11:\"Turret Road\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Twinkle Star\";a:3:{s:5:\"label\";s:12:\"Twinkle Star\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Ubuntu\";a:3:{s:5:\"label\";s:6:\"Ubuntu\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Ubuntu Condensed\";a:3:{s:5:\"label\";s:16:\"Ubuntu Condensed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Ubuntu Mono\";a:3:{s:5:\"label\";s:11:\"Ubuntu Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:5:\"Uchen\";a:3:{s:5:\"label\";s:5:\"Uchen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Ultra\";a:3:{s:5:\"label\";s:5:\"Ultra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Uncial Antiqua\";a:3:{s:5:\"label\";s:14:\"Uncial Antiqua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Underdog\";a:3:{s:5:\"label\";s:8:\"Underdog\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Unica One\";a:3:{s:5:\"label\";s:9:\"Unica One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"UnifrakturCook\";a:3:{s:5:\"label\";s:14:\"UnifrakturCook\";s:8:\"variants\";a:1:{i:0;s:3:\"700\";}s:8:\"category\";s:7:\"display\";}s:18:\"UnifrakturMaguntia\";a:3:{s:5:\"label\";s:18:\"UnifrakturMaguntia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Unkempt\";a:3:{s:5:\"label\";s:7:\"Unkempt\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Unlock\";a:3:{s:5:\"label\";s:6:\"Unlock\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Unna\";a:3:{s:5:\"label\";s:4:\"Unna\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Urbanist\";a:3:{s:5:\"label\";s:8:\"Urbanist\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"VT323\";a:3:{s:5:\"label\";s:5:\"VT323\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:11:\"Vampiro One\";a:3:{s:5:\"label\";s:11:\"Vampiro One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Varela\";a:3:{s:5:\"label\";s:6:\"Varela\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Varela Round\";a:3:{s:5:\"label\";s:12:\"Varela Round\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Varta\";a:3:{s:5:\"label\";s:5:\"Varta\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Vast Shadow\";a:3:{s:5:\"label\";s:11:\"Vast Shadow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Vesper Libre\";a:3:{s:5:\"label\";s:12:\"Vesper Libre\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Viaoda Libre\";a:3:{s:5:\"label\";s:12:\"Viaoda Libre\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Vibes\";a:3:{s:5:\"label\";s:5:\"Vibes\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Vibur\";a:3:{s:5:\"label\";s:5:\"Vibur\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Vidaloka\";a:3:{s:5:\"label\";s:8:\"Vidaloka\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Viga\";a:3:{s:5:\"label\";s:4:\"Viga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Voces\";a:3:{s:5:\"label\";s:5:\"Voces\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Volkhov\";a:3:{s:5:\"label\";s:7:\"Volkhov\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Vollkorn\";a:3:{s:5:\"label\";s:8:\"Vollkorn\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Vollkorn SC\";a:3:{s:5:\"label\";s:11:\"Vollkorn SC\";s:8:\"variants\";a:4:{i:0;s:3:\"600\";i:1;s:3:\"700\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Voltaire\";a:3:{s:5:\"label\";s:8:\"Voltaire\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Vujahday Script\";a:3:{s:5:\"label\";s:15:\"Vujahday Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:23:\"Waiting for the Sunrise\";a:3:{s:5:\"label\";s:23:\"Waiting for the Sunrise\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Wallpoet\";a:3:{s:5:\"label\";s:8:\"Wallpoet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Walter Turncoat\";a:3:{s:5:\"label\";s:15:\"Walter Turncoat\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Warnes\";a:3:{s:5:\"label\";s:6:\"Warnes\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Waterfall\";a:3:{s:5:\"label\";s:9:\"Waterfall\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Wellfleet\";a:3:{s:5:\"label\";s:9:\"Wellfleet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Wendy One\";a:3:{s:5:\"label\";s:9:\"Wendy One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"WindSong\";a:3:{s:5:\"label\";s:8:\"WindSong\";s:8:\"variants\";a:2:{i:0;s:3:\"500\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Wire One\";a:3:{s:5:\"label\";s:8:\"Wire One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Work Sans\";a:3:{s:5:\"label\";s:9:\"Work Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Xanh Mono\";a:3:{s:5:\"label\";s:9:\"Xanh Mono\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"Yaldevi\";a:3:{s:5:\"label\";s:7:\"Yaldevi\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Yanone Kaffeesatz\";a:3:{s:5:\"label\";s:17:\"Yanone Kaffeesatz\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Yantramanav\";a:3:{s:5:\"label\";s:11:\"Yantramanav\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Yatra One\";a:3:{s:5:\"label\";s:9:\"Yatra One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Yellowtail\";a:3:{s:5:\"label\";s:10:\"Yellowtail\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Yeon Sung\";a:3:{s:5:\"label\";s:9:\"Yeon Sung\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Yeseva One\";a:3:{s:5:\"label\";s:10:\"Yeseva One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Yesteryear\";a:3:{s:5:\"label\";s:10:\"Yesteryear\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Yomogi\";a:3:{s:5:\"label\";s:6:\"Yomogi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Yrsa\";a:3:{s:5:\"label\";s:4:\"Yrsa\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Yuji Boku\";a:3:{s:5:\"label\";s:9:\"Yuji Boku\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:21:\"Yuji Hentaigana Akari\";a:3:{s:5:\"label\";s:21:\"Yuji Hentaigana Akari\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:23:\"Yuji Hentaigana Akebono\";a:3:{s:5:\"label\";s:23:\"Yuji Hentaigana Akebono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Yuji Mai\";a:3:{s:5:\"label\";s:8:\"Yuji Mai\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Yuji Syuku\";a:3:{s:5:\"label\";s:10:\"Yuji Syuku\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Yusei Magic\";a:3:{s:5:\"label\";s:11:\"Yusei Magic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"ZCOOL KuaiLe\";a:3:{s:5:\"label\";s:12:\"ZCOOL KuaiLe\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:21:\"ZCOOL QingKe HuangYou\";a:3:{s:5:\"label\";s:21:\"ZCOOL QingKe HuangYou\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"ZCOOL XiaoWei\";a:3:{s:5:\"label\";s:13:\"ZCOOL XiaoWei\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Zen Antique\";a:3:{s:5:\"label\";s:11:\"Zen Antique\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Zen Antique Soft\";a:3:{s:5:\"label\";s:16:\"Zen Antique Soft\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Zen Dots\";a:3:{s:5:\"label\";s:8:\"Zen Dots\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:23:\"Zen Kaku Gothic Antique\";a:3:{s:5:\"label\";s:23:\"Zen Kaku Gothic Antique\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Zen Kaku Gothic New\";a:3:{s:5:\"label\";s:19:\"Zen Kaku Gothic New\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Zen Kurenaido\";a:3:{s:5:\"label\";s:13:\"Zen Kurenaido\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Zen Loop\";a:3:{s:5:\"label\";s:8:\"Zen Loop\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Zen Maru Gothic\";a:3:{s:5:\"label\";s:15:\"Zen Maru Gothic\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Zen Old Mincho\";a:3:{s:5:\"label\";s:14:\"Zen Old Mincho\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Zen Tokyo Zoo\";a:3:{s:5:\"label\";s:13:\"Zen Tokyo Zoo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Zeyada\";a:3:{s:5:\"label\";s:6:\"Zeyada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Zhi Mang Xing\";a:3:{s:5:\"label\";s:13:\"Zhi Mang Xing\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Zilla Slab\";a:3:{s:5:\"label\";s:10:\"Zilla Slab\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Zilla Slab Highlight\";a:3:{s:5:\"label\";s:20:\"Zilla Slab Highlight\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}}", "no");
INSERT INTO `wp_options` VALUES("7050", "_site_transient_timeout_available_translations", "1686230077", "no");
INSERT INTO `wp_options` VALUES("7051", "_site_transient_available_translations", "a:130:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-05-13 15:59:22\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"am\";a:8:{s:8:\"language\";s:2:\"am\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-09-29 20:43:49\";s:12:\"english_name\";s:7:\"Amharic\";s:11:\"native_name\";s:12:\"አማርኛ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.0.5/am.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"am\";i:2;s:3:\"amh\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"ቀጥል\";}}s:3:\"arg\";a:8:{s:8:\"language\";s:3:\"arg\";s:7:\"version\";s:8:\"6.2-beta\";s:7:\"updated\";s:19:\"2022-09-22 16:46:56\";s:12:\"english_name\";s:9:\"Aragonese\";s:11:\"native_name\";s:9:\"Aragonés\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/6.2-beta/arg.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"an\";i:2;s:3:\"arg\";i:3;s:3:\"arg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continar\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-02 03:21:35\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"متابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 09:55:22\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-12 20:34:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-10-29 07:54:22\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.23/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-29 17:05:45\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-02 11:24:48\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"অবিরত\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-10-30 03:24:38\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:33:\"མུ་མཐུད་དུ།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 20:45:53\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-07 09:25:34\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 09:37:21\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-10 08:48:02\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-20 20:08:45\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 14:37:33\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.2.2/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-28 07:37:41\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-29 21:14:35\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-28 07:33:50\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/translation/core/6.2.2/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 12:57:54\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dsb\";a:8:{s:8:\"language\";s:3:\"dsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-16 12:13:09\";s:12:\"english_name\";s:13:\"Lower Sorbian\";s:11:\"native_name\";s:16:\"Dolnoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/dsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"dsb\";i:3;s:3:\"dsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Dalej\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-31 08:16:50\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-07 21:00:17\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-04-01 22:35:34\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-11 07:12:43\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-04 17:36:42\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2021-12-24 12:36:39\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-17 04:31:21\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-14 22:16:37\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 14:08:08\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-10 12:37:03\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-19 05:08:30\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_DO\";a:8:{s:8:\"language\";s:5:\"es_DO\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-10-08 14:32:50\";s:12:\"english_name\";s:28:\"Spanish (Dominican Republic)\";s:11:\"native_name\";s:33:\"Español de República Dominicana\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/es_DO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-10-04 20:53:18\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-31 18:33:26\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-06-14 16:02:22\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PR\";a:8:{s:8:\"language\";s:5:\"es_PR\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-04-29 15:36:59\";s:12:\"english_name\";s:21:\"Spanish (Puerto Rico)\";s:11:\"native_name\";s:23:\"Español de Puerto Rico\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.4.13/es_PR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:6:\"5.2.18\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.2.18/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-15 19:52:49\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 17:37:32\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_EC\";a:8:{s:8:\"language\";s:5:\"es_EC\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-21 13:32:10\";s:12:\"english_name\";s:17:\"Spanish (Ecuador)\";s:11:\"native_name\";s:19:\"Español de Ecuador\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_EC.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-08-12 08:38:59\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-24 16:21:45\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-05 06:53:02\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"fa_AF\";a:8:{s:8:\"language\";s:5:\"fa_AF\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-13 11:28:33\";s:12:\"english_name\";s:21:\"Persian (Afghanistan)\";s:11:\"native_name\";s:31:\"(فارسی (افغانستان\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fa_AF.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-17 05:20:27\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-25 15:00:05\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-22 13:54:46\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-30 14:40:46\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2023-04-30 13:56:46\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"fy\";a:8:{s:8:\"language\";s:2:\"fy\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-12-25 12:53:23\";s:12:\"english_name\";s:7:\"Frisian\";s:11:\"native_name\";s:5:\"Frysk\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/fy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fy\";i:2;s:3:\"fry\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Trochgean\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-23 05:45:53\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-09-14 12:33:48\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ચાલુ રાખો\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:6:\"4.4.30\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.4.30/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 22:06:16\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-11-06 12:34:38\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.4.13/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"जारी रखें\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 10:18:51\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 17:37:32\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-06 14:18:22\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-10 07:01:02\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-12-11 10:40:02\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-12 13:09:27\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-24 05:57:21\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"次へ\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-02-16 23:58:56\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Nerusaké\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2023-05-19 07:40:56\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-28 12:09:00\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-07-10 11:35:44\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:6:\"5.2.18\";s:7:\"updated\";s:19:\"2019-06-10 16:18:28\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.2.18/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2022-10-20 17:15:28\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.3/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರಿಸು\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-30 08:24:13\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-04 20:44:42\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2022-11-24 03:51:58\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.1.3/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-25 02:26:43\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-10-01 09:23:52\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-09 01:41:47\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-11-22 15:32:08\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:6:\"5.5.12\";s:7:\"updated\";s:19:\"2022-03-11 13:52:22\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.5.12/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.2.35\";s:7:\"updated\";s:19:\"2017-12-26 11:57:10\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.35/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-01 10:02:11\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-03 04:46:20\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 21:20:14\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.2.2/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-30 10:02:03\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-02 14:36:47\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-18 10:59:16\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:15:\"Panjabi (India)\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-02 09:25:34\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.3.31\";s:7:\"updated\";s:19:\"2015-12-02 21:41:29\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.3.31/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-10-01 12:16:29\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-30 23:24:56\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-12 08:28:13\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-01 16:49:15\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-04 08:31:30\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-02 11:00:11\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-07-07 01:53:37\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/5.4.13/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:3:\"snd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-02 10:42:08\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-03 08:30:58\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-29 11:33:10\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-10 11:33:13\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-08-01 21:21:06\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-11 17:06:50\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:6:\"5.3.15\";s:7:\"updated\";s:19:\"2019-10-13 15:35:35\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.3.15/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:5:\"ta_LK\";a:8:{s:8:\"language\";s:5:\"ta_LK\";s:7:\"version\";s:6:\"4.2.35\";s:7:\"updated\";s:19:\"2015-12-03 01:07:44\";s:12:\"english_name\";s:17:\"Tamil (Sri Lanka)\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.35/ta_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"தொடர்க\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2022-06-08 04:30:30\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.8.7/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-09-30 09:04:29\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.22/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 10:14:53\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2021-07-03 18:41:33\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2023-03-04 10:46:30\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.3/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-04-09 11:17:33\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4.13/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-28 12:02:22\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-05 12:20:46\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-15 15:25:03\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:12:\"香港中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-24 10:05:05\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-16 19:47:32\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}", "no");
INSERT INTO `wp_options` VALUES("3854", "_site_transient_browser_14d58a1ba286f087d9736249ec785314", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"114.0.0.0\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("3867", "_transient_timeout_wc_report_orders_stats_1ca7ef6a2ad0860b447193cac2637c0b", "1686295055", "no");
INSERT INTO `wp_options` VALUES("3868", "_transient_wc_report_orders_stats_1ca7ef6a2ad0860b447193cac2637c0b", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":4:{s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-05-27\";s:10:\"date_start\";s:19:\"2023-05-27 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-26 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-27 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-27 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-05-28\";s:10:\"date_start\";s:19:\"2023-05-28 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-27 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-28 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-28 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-05-29\";s:10:\"date_start\";s:19:\"2023-05-29 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-28 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-29 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-29 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-05-30\";s:10:\"date_start\";s:19:\"2023-05-30 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-29 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-30 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-30 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-05-31\";s:10:\"date_start\";s:19:\"2023-05-31 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-30 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-31 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-31 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5510", "_transient_timeout_xt_wooqv_total_plugins", "1686650090", "no");
INSERT INTO `wp_options` VALUES("5511", "_transient_xt_wooqv_total_plugins", "6", "no");
INSERT INTO `wp_options` VALUES("6789", "_transient_timeout_wc_onboarding_product_data", "1686295139", "no");
INSERT INTO `wp_options` VALUES("6790", "_transient_wc_onboarding_product_data", "a:1:{s:5:\"fr_FR\";a:6:{s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:19:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 08 Jun 2023 07:19:00 GMT\";s:12:\"content-type\";s:31:\"application/json; charset=UTF-8\";s:14:\"content-length\";s:5:\"14856\";s:12:\"x-robots-tag\";s:7:\"noindex\";s:4:\"link\";s:60:\"<https://woocommerce.com/wp-json/>; rel=\"https://api.w.org/\"\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:29:\"access-control-expose-headers\";s:33:\"X-WP-Total, X-WP-TotalPages, Link\";s:28:\"access-control-allow-headers\";s:73:\"Authorization, X-WP-Nonce, Content-Disposition, Content-MD5, Content-Type\";s:13:\"x-wccom-cache\";s:3:\"HIT\";s:13:\"cache-control\";s:10:\"max-age=60\";s:5:\"allow\";s:3:\"GET\";s:4:\"x-rq\";s:15:\"cdg2 85 188 443\";s:16:\"content-encoding\";s:4:\"gzip\";s:3:\"age\";s:2:\"43\";s:7:\"x-cache\";s:3:\"hit\";s:4:\"vary\";s:23:\"Accept-Encoding, Origin\";s:13:\"accept-ranges\";s:5:\"bytes\";s:25:\"strict-transport-security\";s:16:\"max-age=31536000\";}}s:4:\"body\";s:76241:\"{\"products\":[{\"title\":\"Google Analytics pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/GA-Dark.png\",\"excerpt\":\"Comprenez vos clients et augmentez vos revenus avec la principale plateforme d\\u2019analyse au monde, int\\u00e9gr\\u00e9e gratuitement \\u00e0 WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-google-analytics\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"2d21f7de14dfb8e9885a4622be701ddf\",\"slug\":\"woocommerce-google-analytics-integration\",\"id\":1442927,\"rating\":4.4,\"reviews_count\":23,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/woo-Google_Analytics-fvsrvf.png\"},{\"title\":\"Taxe WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Tax-Dark.png\",\"excerpt\":\"Automatically calculate how much sales tax should be collected for WooCommerce orders - by city, country, or state - at checkout.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/tax\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"f31b3b9273cce188cc2b27f7849d02dd\",\"slug\":\"woocommerce-services\",\"id\":3220291,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Stripe\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Stripe-Dark-1.png\",\"excerpt\":\"Acceptez toutes les principales cartes bancaires ainsi que les moyens de paiement locaux avec Stripe.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/stripe\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"50bb7a985c691bb943a9da4d2c8b5efd\",\"slug\":\"woocommerce-gateway-stripe\",\"id\":18627,\"rating\":4.3,\"reviews_count\":28,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/12\\/stripe-app-icon-7m1xi7.png\"},{\"title\":\"MailChimp for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/09\\/logo-mailchimp-dark-v2.png\",\"excerpt\":\"Augmentez le trafic, favorisez les achats r\\u00e9p\\u00e9t\\u00e9s et personnalisez votre marketing lorsque vous vous connectez \\u00e0 Mailchimp.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/mailchimp-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"b4481616ebece8b1ff68fc59b90c1a91\",\"slug\":\"mailchimp-for-woocommerce\",\"id\":2545166,\"rating\":3.6,\"reviews_count\":12,\"vendor_name\":\"Mailchimp\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/mailchimp\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/09\\/Mailchimp.png\"},{\"title\":\"Jetpack\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/11\\/Jetpack-1-m5mwyg.png\",\"excerpt\":\"Des outils de s\\u00e9curit\\u00e9, performance et marketing con\\u00e7us pour les boutiques WooCommerce par des sp\\u00e9cialistes WordPress. Lancez-vous gratuitement en essayant des outils de s\\u00e9curit\\u00e9 et de performance basiques.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/jetpack\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"d5bfef9700b62b2b132c74c74c3193eb\",\"slug\":\"jetpack\",\"id\":2725249,\"rating\":4.7,\"reviews_count\":13,\"vendor_name\":\"Jetpack\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/jetpack\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/02\\/jetpack-logo--80sgtq.png\"},{\"title\":\"Facebook pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Facebook-Dark.png\",\"excerpt\":\"Obtenez l\\u2019extension officielle Facebook for WooCommerce pour toucher vos clients sur Facebook, Instagram, Messenger et WhatsApp.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/facebook\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"0ea4fe4c2d7ca6338f8a322fb3e4e187\",\"slug\":\"facebook-for-woocommerce\",\"id\":2127297,\"rating\":2,\"reviews_count\":65,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/04\\/fb-woodotcom.png\"},{\"title\":\"WooCommerce Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/woocommerce-payments@2x.png\",\"excerpt\":\"La seule solution de paiement enti\\u00e8rement int\\u00e9gr\\u00e9e \\u00e0 Woo. Acceptez les cartes de cr\\u00e9dit\\/d\\u00e9bit et les options de paiement locales sans frais d\\u2019installation ni frais mensuels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"8c6319ca-8f41-4e69-be63-6b15ee37773b\",\"slug\":\"woocommerce-payments\",\"id\":5278104,\"rating\":4.2,\"reviews_count\":28,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/woo-WooCommerce_Payments-mtulxp.png\"},{\"title\":\"Google Listings & Ads\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/Marketplace_card_Google.png\",\"excerpt\":\"Touchez des millions d\\u2019acheteurs actifs sur Google gr\\u00e2ce \\u00e0 des annonces et des fiches produits gratuites. Contr\\u00f4lez votre flux de produits en vous synchronisant avec le Google Merchant Center. Con\\u00e7u en partenariat avec Google.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-listings-and-ads\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"118f4d86-f126-4c3a-8525-644e3170d161\",\"slug\":\"google-listings-and-ads\",\"id\":7623964,\"rating\":2.7,\"reviews_count\":18,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/woo-GoogleListingsAds-jworee.png\"},{\"title\":\"Square pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Square-Dark.png\",\"excerpt\":\"Accepter les paiements est facile avec Square. Taux clairs, acomptes rapides (1 \\u00e0 2\\u00a0jours ouvrables). Vendez en ligne et en personne, et synchronisez tous les paiements, articles et stocks.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/square\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"e907be8b86d7df0c8f8e0d0020b52638\",\"slug\":\"woocommerce-square\",\"id\":1770503,\"rating\":3.3,\"reviews_count\":97,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/07\\/woo-Square-u8km15.png\"},{\"title\":\"WooCommerce Product Add-Ons\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Product-Add-Ons-Dark.png\",\"excerpt\":\"Proposez des services compl\\u00e9mentaires comme l\\u2019emballage cadeau, des messages sp\\u00e9ciaux et d\\u2019autres options sp\\u00e9ciales pour vos produits.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-add-ons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"147d0077e591e16db9d0d67daeb8c484\",\"slug\":\"woocommerce-product-addons\",\"id\":18618,\"rating\":3.2,\"reviews_count\":27,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Amazon Pay\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Amazon-Pay-Dark.png\",\"excerpt\":\"Offrez une validation de commande rapide et famili\\u00e8re \\u00e0 des centaines de millions de clients Amazon actifs dans le monde\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/pay-with-amazon\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"9865e043bbbe4f8c9735af31cb509b53\",\"slug\":\"woocommerce-gateway-amazon-payments-advanced\",\"id\":238816,\"rating\":3.1,\"reviews_count\":29,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/08\\/woo-Amazon_Pay-8lvfuy.png\"},{\"title\":\"WooCommerce Shipping\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Ship-Dark-1.png\",\"excerpt\":\"Imprimez des \\u00e9tiquettes USPS et DHL directement depuis votre tableau de bord WooCommerce et \\u00e9conomisez instantan\\u00e9ment jusqu\\u2019\\u00e0 90\\u00a0%. WooCommerce Shipping est gratuit et vous fait gagner du temps et de l\\u2019argent.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipping\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"f31b3b9273cce188cc2b27f7849d02dd\",\"slug\":\"woocommerce-services\",\"id\":2165910,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/06\\/WooCommerce-icon-160x160-1.webp\"},{\"title\":\"M\\u00e9thode d\\u2019exp\\u00e9dition USPS\",\"image\":\"\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API USPS qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/usps-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"83d1524e8f5f1913e58889f83d442c32\",\"slug\":\"woocommerce-shipping-usps\",\"id\":18657,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-USPS-yhn1rb.png\"},{\"title\":\"Paiements PayPal\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/PPCP-Tile-PayPal-Logo-and-Cart-Art-2x-2-uozwz8.jpg\",\"excerpt\":\"Une seule solution de validation de commande. Plusieurs moyens de paiement. La solution tout-en-un de PayPal vous permet de proposer \\u00e0 vos clients de payer via PayPal, Venmo (\\u00c9tats-Unis) et Pay\\u00a0Later sans frais suppl\\u00e9mentaires, par carte de cr\\u00e9dit et de d\\u00e9bit, ainsi que via des options de paiement sp\\u00e9cifiques \\u00e0 chaque pays.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-paypal-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"934115ab-e3f3-4435-9580-345b1ce21899\",\"slug\":\"woocommerce-paypal-payments\",\"id\":6410731,\"rating\":3.6,\"reviews_count\":103,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/woo-PayPal-nlioum.png\"},{\"title\":\"UPS Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/UPS-Shipping-Method-Dark.png\",\"excerpt\":\"Get shipping rates from the UPS API which handles both domestic and international parcels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/ups-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"8dae58502913bac0fbcdcaba515ea998\",\"slug\":\"woocommerce-shipping-ups\",\"id\":18665,\"rating\":3.3,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-UPS-1.png\"},{\"title\":\"Abonnements WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Subscriptions-Dark.png\",\"excerpt\":\"Permettez aux clients de s\\u2019abonner \\u00e0 vos produits ou services et de payer toutes les semaines, tous les mois ou tous les ans.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-subscriptions\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;239.00\",\"hash\":\"6115e6d7e297b623a169fdcf5728b224\",\"slug\":\"woocommerce-subscriptions\",\"id\":27147,\"rating\":3.3,\"reviews_count\":66,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Suivi de l\\u2019exp\\u00e9dition\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Ship-Tracking-Dark-1.png\",\"excerpt\":\"Ajoutez des informations de suivi de l\\u2019exp\\u00e9dition \\u00e0 vos commandes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipment-tracking\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"1968e199038a8a001c9f9966fd06bf88\",\"slug\":\"woocommerce-shipment-tracking\",\"id\":18693,\"rating\":3.6,\"reviews_count\":14,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Quantit\\u00e9s Min\\/Max\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Min-Max-Qua-Dark.png\",\"excerpt\":\"R\\u00e8gles de quantit\\u00e9 minimale et maximale pour les produits, les commandes et les cat\\u00e9gories.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/minmax-quantities\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"2b5188d90baecfb781a5aa2d6abb900a\",\"slug\":\"woocommerce-min-max-quantities\",\"id\":18616,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Australia Post Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/australia-post.gif\",\"excerpt\":\"Get shipping rates for your WooCommerce store from the Australia Post API, which handles both domestic and international parcels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/australia-post-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1dbd4dc6bd91a9cda1bd6b9e7a5e4f43\",\"slug\":\"woocommerce-shipping-australia-post\",\"id\":18622,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-AustraliaPost.png\"},{\"title\":\"Canada Post Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/canada-post.png\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API d\\u2019\\u00e9valuation de Postes Canada qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/canada-post-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"ac029cdf3daba20b20c7b9be7dc00e0e\",\"slug\":\"woocommerce-shipping-canada-post\",\"id\":18623,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-CanadaPost-fjlcfq.png\"},{\"title\":\"Royal Mail\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/royalmail.png\",\"excerpt\":\"Offer Royal Mail shipping rates to your customers.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/royal-mail\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"03839cca1a16c4488fcb669aeb91a056\",\"slug\":\"woocommerce-shipping-royalmail\",\"id\":182719,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/woo-RoyalMail-sd9zwy.png\"},{\"title\":\"M\\u00e9thode d\\u2019exp\\u00e9dition FedEx\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/FedEx_Logo_Wallpaper.jpeg\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API FedEX qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/fedex-shipping-module\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1a48b598b47a81559baadef15e320f64\",\"slug\":\"woocommerce-shipping-fedex\",\"id\":18620,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-FedEx-auxjb7.png\"},{\"title\":\"Product Bundles\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/07\\/logo-pb-lzevsq.png\",\"excerpt\":\"Proposez des lots de produits personnalis\\u00e9s, des packages de remises en lot et des produits assembl\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-bundles\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"aa2518b5-ab19-4b75-bde9-60ca51e20f28\",\"slug\":\"woocommerce-product-bundles\",\"id\":18716,\"rating\":4.9,\"reviews_count\":124,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Avalara AvaTax\",\"image\":\"\",\"excerpt\":\"Automated sales tax calculations for your WooCommerce store.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-avatax\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"57077a4b28ba71cacf692bcf4a1a7f60\",\"slug\":\"woocommerce-avatax\",\"id\":1389326,\"rating\":3.3,\"reviews_count\":16,\"vendor_name\":\"Avalara\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/avalara\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/Avalara-Wordpress-Plugin-Creative_icon-80.png\"},{\"title\":\"Marques WooCommerce\",\"image\":\"\",\"excerpt\":\"Cr\\u00e9ez, associez et r\\u00e9pertoriez les marques des produits, et permettez aux clients de visualiser les produits par marque.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/brands\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"8a88c7cbd2f1e73636c331c7a86f818c\",\"slug\":\"woocommerce-brands\",\"id\":18737,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"TaxJar\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/taxjar-logotype.png\",\"excerpt\":\"Automatisez la conformit\\u00e9 aux taxes de vente pour votre entreprise de eCommerce multi-canale. Calculs pr\\u00e9cis des taxes de vente, agr\\u00e9gation de donn\\u00e9es, rapports de qualit\\u00e9 et d\\u00e9claration pour votre boutique WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/taxjar\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"12072d8e-e933-4561-97b1-9db3c7eeed91\",\"slug\":\"taxjar-simplified-taxes-for-woocommerce\",\"id\":514914,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"TaxJar\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/taxjar\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/TaxJar.png\"},{\"title\":\"ShipStation for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Shipstation-Dark.png\",\"excerpt\":\"Exp\\u00e9diez vos commandes WooCommerce en toute confiance, \\u00e9conomisez sur les meilleurs transporteurs et automatisez vos exp\\u00e9ditions avec ShipStation.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipstation-integration\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"9de8640767ba64237808ed7f245a49bb\",\"slug\":\"woocommerce-shipstation-integration\",\"id\":18734,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woo-Shipstation-xqap96.png\"},{\"title\":\"Gift Cards\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/03\\/logo-gc-z327mo.png\",\"excerpt\":\"Proposez des cartes-cadeaux num\\u00e9riques pr\\u00e9pay\\u00e9es que les clients peuvent utiliser en ligne.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/gift-cards\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"4e0e8c35-e777-4ecc-b96b-202ee1eb256f\",\"slug\":\"woocommerce-gift-cards\",\"id\":5571998,\"rating\":4.5,\"reviews_count\":37,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Num\\u00e9ro de TVA intracommunautaire\",\"image\":\"\",\"excerpt\":\"Collectez les num\\u00e9ros de TVA lors de la validation de commande et supprimez les frais de TVA pour les entreprises \\u00e9ligibles de l\\u2019UE.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/eu-vat-number\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"d2720c4b4bb8d6908e530355b7a2d734\",\"slug\":\"woocommerce-eu-vat-number\",\"id\":18592,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Payfast Payment Gateway\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/09\\/Stand-Alone-Safe-Zone@1x.png\",\"excerpt\":\"Take payments on your WooCommerce store via Payfast (redirect method).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/payfast-payment-gateway\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"557bf07293ad916f20c207c6c9cd15ff\",\"slug\":\"woocommerce-payfast-gateway\",\"id\":18596,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/09\\/Payfast-favicon-1.png\"},{\"title\":\"Back In Stock Notifications\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/11\\/logo-bis-ircwrk.png\",\"excerpt\":\"Informez les clients lorsque vos produits sont r\\u00e9approvisionn\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/back-in-stock-notifications\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"755424b1-28b6-448a-aeb3-709cb3029eb6\",\"slug\":\"woocommerce-back-in-stock-notifications\",\"id\":6855144,\"rating\":4.4,\"reviews_count\":10,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Product Recommendations\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/07\\/logo-prl-lfwngz.png\",\"excerpt\":\"Proposez des ventes incitatives, des ventes crois\\u00e9es et des recommandations \\u00ab\\u00a0fr\\u00e9quemment achet\\u00e9s ensemble\\u00a0\\u00bb plus intelligentes. Mesurez leur impact gr\\u00e2ce \\u00e0 des analyses approfondies.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-recommendations\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"4f9d0025-64b2-496f-97bb-ef553752d2d1\",\"slug\":\"woocommerce-product-recommendations\",\"id\":4486128,\"rating\":4.9,\"reviews_count\":13,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce\\u00a0Bookings\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Bookings-Dark.png\",\"excerpt\":\"Permettez aux clients de prendre des rendez-vous, de faire des r\\u00e9servations ou de louer du mat\\u00e9riel sans quitter votre site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-bookings\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/hotel\\/\",\"price\":\"&#36;249.00\",\"hash\":\"911c438934af094c2b38d5560b9f50f3\",\"slug\":\"WooCommerce Bookings\",\"id\":390890,\"rating\":2.8,\"reviews_count\":32,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"\\u00c9diteur des champs de validation de la commande\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Checkout-Field-Editor-Dark.png\",\"excerpt\":\"Optimisez votre processus de validation de commande en ajoutant, supprimant ou modifiant des champs en fonction de vos besoins.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-checkout-field-editor\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"2b8029f0d7cdd1118f4d843eb3ab43ff\",\"slug\":\"woocommerce-checkout-field-editor\",\"id\":184594,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Table Rate Shipping\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Product-Table-Rate-Shipping-Dark.png\",\"excerpt\":\"Livraison avanc\\u00e9e et flexible. D\\u00e9finissez diff\\u00e9rents frais de port en fonction du lieu, du prix, du poids, de la classe d\\u2019exp\\u00e9dition ou du nombre d\\u2019articles.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/table-rate-shipping\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"3034ed8aff427b0f635fe4c86bbf008a\",\"slug\":\"woocommerce-table-rate-shipping\",\"id\":18718,\"rating\":4.2,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"AutomateWoo\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-AutomateWoo-Dark-1.png\",\"excerpt\":\"Automatisation puissante du marketing pour WooCommerce. AutomateWoo poss\\u00e8de les outils dont vous avez besoin pour d\\u00e9velopper votre boutique et augmenter votre chiffre d\\u2019affaires.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/automatewoo\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"ba9299b8-1dba-4aa0-a313-28bc1755cb88\",\"slug\":\"automatewoo\",\"id\":4652610,\"rating\":4.1,\"reviews_count\":12,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/10\\/woo-AutomateWoo.png\"},{\"title\":\"Blocs WooCommerce\",\"image\":\"\",\"excerpt\":\"WooCommerce Blocks propose une gamme de blocs Gutenberg que vous pouvez utiliser pour construire et personnaliser votre site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gutenberg-products-block\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"c2e9f13a-f90c-4ffe-a8a5-b432399ec263\",\"slug\":\"woo-gutenberg-products-block\",\"id\":3076677,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/05\\/wooblocks.jpg\"},{\"title\":\"Google, Facebook, reciblage du marketing tout-en-un\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/02\\/Woo-Extension-Logo.png\",\"excerpt\":\"D\\u00e9passez la concurrence et augmentez les ventes de votre boutique en 5\\u00a0minutes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-ads-and-marketing\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"bf66e173-a220-4da7-9512-b5728c20fc16\",\"slug\":\"kliken-marketing-for-google\",\"id\":3866145,\"rating\":4.3,\"reviews_count\":113,\"vendor_name\":\"Kliken\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/kliken\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/02\\/Woo-Extension-Logo-80x80-2.png\"},{\"title\":\"Product CSV Import Suite\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Product-CSV-Import-Dark.png\",\"excerpt\":\"Importez, fusionnez et exportez des produits et variantes vers et depuis WooCommerce \\u00e0 l\\u2019aide d\\u2019un fichier CSV.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-csv-import-suite\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"7ac9b00a1fe980fb61d28ab54d167d0d\",\"slug\":\"woocommerce-product-csv-import-suite\",\"id\":18680,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Pinterest pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/10\\/Marketplace_card_Pinterest.png\",\"excerpt\":\"Pr\\u00e9sentez vos produits aux utilisateurs de Pinterest \\u00e0 la recherche d\\u2019id\\u00e9es et de choses \\u00e0 acheter. Connectez votre boutique WooCommerce pour rendre tout votre catalogue consultable.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/pinterest-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"29785cce-92ef-4b3a-8bd7-979bc688fd47\",\"slug\":\"pinterest-for-woocommerce\",\"id\":8688768,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/10\\/icon@2x-pe5lqg.png\"},{\"title\":\"WooCommerce Accommodation Bookings\",\"image\":\"\",\"excerpt\":\"R\\u00e9servez un h\\u00e9bergement \\u00e0 l\\u2019aide de WooCommerce et de l\\u2019extension WooCommerce Bookings.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-accommodation-bookings\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"99b2a7a4af90b6cefd2a733b3b1f78e7\",\"slug\":\"woocommerce-accommodation-bookings\",\"id\":1412069,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Xero\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woocommerce-xero-integration-sdth2k.jpg\",\"excerpt\":\"Gagnez du temps avec la synchronisation automatis\\u00e9e entre WooCommerce et votre compte Xero.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/xero\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"f0dd29d338d3c67cf6cee88eddf6869b\",\"slug\":\"woocommerce-xero\",\"id\":18733,\"rating\":2.7,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woo-Xero-4ovyoc.png\"},{\"title\":\"WooCommerce Memberships\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/Thumbnail-Memberships-updated.png\",\"excerpt\":\"Donnez \\u00e0 votre association d\\u2019adh\\u00e9sion, magazine en ligne, site d\\u2019apprentissage en ligne, etc. un contr\\u00f4le d\\u2019acc\\u00e8s au contenu\\/produits et aux remises pour les membres.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-memberships\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;199.00\",\"hash\":\"9288e7609ad0b487b81ef6232efa5cfc\",\"slug\":\"woocommerce-memberships\",\"id\":958589,\"rating\":4.3,\"reviews_count\":96,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Product Vendors\",\"image\":\"\",\"excerpt\":\"Transformer votre boutique en un march\\u00e9 multi-fournisseur\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-vendors\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"a97d99fccd651bbdd728f4d67d492c31\",\"slug\":\"woocommerce-product-vendors\",\"id\":219982,\"rating\":2.9,\"reviews_count\":17,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Commerce omnicanal Codisto\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/10\\/Woo-Extension-Store-Logo-v3.png\",\"excerpt\":\"Une seule extension pour vendre sur Amazon, eBay, Walmart et Google directement depuis WooCommerce, avec automatisation et synchronisation en temps r\\u00e9el.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/amazon-ebay-integration\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"e4000666-9275-4c71-8619-be61fb41c9f9\",\"slug\":\"woocommerce-amazon-ebay-integration\",\"id\":3545890,\"rating\":3,\"reviews_count\":38,\"vendor_name\":\"Codisto\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/codisto\\/\",\"icon\":null},{\"title\":\"Points et r\\u00e9compenses WooCommerce\",\"image\":\"\",\"excerpt\":\"R\\u00e9compensez vos clients pour leurs achats et d\\u2019autres actions en leur octroyant des points \\u00e0 \\u00e9changer contre des remises.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-points-and-rewards\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;159.00\",\"hash\":\"1649b6cca5da8b923b01ca56b5cdd246\",\"slug\":\"woocommerce-points-and-rewards\",\"id\":210259,\"rating\":3,\"reviews_count\":14,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Notifications avanc\\u00e9es\",\"image\":\"\",\"excerpt\":\"Configurez facilement des notifications par e-mail \\u00ab\\u00a0nouvelle commande\\u00a0\\u00bb et de stock pour plusieurs destinataires de votre choix.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/advanced-notifications\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"112372c44b002fea2640bd6bfafbca27\",\"slug\":\"woocommerce-advanced-notifications\",\"id\":18740,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Pr\\u00e9commandes WooCommerce\",\"image\":\"\",\"excerpt\":\"Permettez aux clients de commander des produits avant qu\\u2019ils ne soient disponibles.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-pre-orders\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;159.00\",\"hash\":\"b2dc75e7d55e6f5bbfaccb59830f66b7\",\"slug\":\"woocommerce-pre-orders\",\"id\":178477,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Additional Variation Images\",\"image\":\"\",\"excerpt\":\"Des images illimit\\u00e9es pour vos variantes de produit.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-additional-variation-images\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/storefront\\/product\\/woo-single-1\\/\",\"price\":\"&#36;59.00\",\"hash\":\"c61dd6de57dcecb32bd7358866de4539\",\"slug\":\"woocommerce-additional-variation-images\",\"id\":477384,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Braintree pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/braintree-black-copy.png\",\"excerpt\":\"Acceptez PayPal, les cartes de cr\\u00e9dit et les cartes de d\\u00e9bit avec une solution de passerelle de paiement unique\\u00a0: PayPal Powered by Braintree.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gateway-paypal-powered-by-braintree\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"27f010c8e34ca65b205ddec88ad14536\",\"slug\":\"woocommerce-gateway-paypal-powered-by-braintree\",\"id\":1489837,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Braintree-wrweyl.png\"},{\"title\":\"WooCommerce Deposits\",\"image\":\"\",\"excerpt\":\"Permettez aux clients de payer des produits \\u00e0 l\\u2019aide d\\u2019un acompte ou d\\u2019un plan de paiement.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-deposits\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;219.00\",\"hash\":\"de192a6cf12c4fd803248da5db700762\",\"slug\":\"woocommerce-deposits\",\"id\":977087,\"rating\":1.7,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Subscription Downloads\",\"image\":\"\",\"excerpt\":\"Offrez des t\\u00e9l\\u00e9chargements suppl\\u00e9mentaires \\u00e0 vos abonn\\u00e9s gr\\u00e2ce aux produits t\\u00e9l\\u00e9chargeables r\\u00e9pertori\\u00e9s dans votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-subscription-downloads\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"5be9e21c13953253e4406d2a700382ec\",\"slug\":\"woocommerce-subscription-downloads\",\"id\":420458,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"TikTok for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2022\\/04\\/TTFB_logo__4C_horizontal_black.png?w=620\",\"excerpt\":\"TikTok is offering eligible merchants $200 in TikTok ad credit (terms &amp; conditions apply). Create advertising campaigns and reach one billion global users with TikTok for WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/tiktok-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"a6f95b36-133e-443e-8e31-6e7a67eb597c\",\"slug\":\"tiktok-for-woocommerce\",\"id\":18734000336353,\"rating\":3.3,\"reviews_count\":25,\"vendor_name\":\"TikTok for Business\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/tiktok-for-business\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2022\\/04\\/tt2.jpg\"},{\"title\":\"Authorize.Net\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/Thumbnail-Authorize.net-updated.png\",\"excerpt\":\"Authorize.Net gateway with support for pre-orders and subscriptions.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/authorize-net\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"8b61524fe53add7fdd1a8d1b00b9327d\",\"slug\":\"woocommerce-gateway-authorize-net-cim\",\"id\":178481,\"rating\":4.4,\"reviews_count\":60,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Stockage Amazon S3\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/amazon.png\",\"excerpt\":\"Servez des produits num\\u00e9riques via Amazon S3\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/amazon-s3-storage\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"473bf6f221b865eff165c97881b473bb\",\"slug\":\"woocommerce-amazon-s3-storage\",\"id\":18663,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/02\\/amazon-s3-storage-icon.png\"},{\"title\":\"Plusieurs adresses d\\u2019exp\\u00e9dition\",\"image\":\"\",\"excerpt\":\"Permettez \\u00e0 vos clients d\\u2019exp\\u00e9dier des articles individuels en une seule commande \\u00e0 plusieurs adresses.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipping-multiple-addresses\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"aa0eb6f777846d329952d5b891d6f8cc\",\"slug\":\"woocommerce-shipping-multiple-addresses\",\"id\":18741,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Gestion du stock en bloc\",\"image\":\"\",\"excerpt\":\"Modifiez les niveaux de stock des produits et des variantes en bloc via cette interface pratique\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/bulk-stock-management\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"02f4328d52f324ebe06a78eaaae7934f\",\"slug\":\"woocommerce-bulk-stock-management\",\"id\":18670,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Ventes forc\\u00e9es\",\"image\":\"\",\"excerpt\":\"Forcez l\\u2019ajout de produits au panier\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/force-sells\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"3ebddfc491ca168a4ea4800b893302b0\",\"slug\":\"woocommerce-force-sells\",\"id\":18678,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/force-sells-icon.png\"},{\"title\":\"WooCommerce Purchase Order Gateway\",\"image\":\"\",\"excerpt\":\"Recevez des bons de commande via votre boutique en ligne optimis\\u00e9e par WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gateway-purchase-order\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"573a92318244ece5facb449d63e74874\",\"slug\":\"woocommerce-gateway-purchase-order\",\"id\":478542,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Quick View\",\"image\":\"\",\"excerpt\":\"Affichez un bouton d\\u2019aper\\u00e7u rapide pour voir les d\\u00e9tails du produit et un bouton d\\u2019ajout au panier via une fen\\u00eatre contextuelle lightbox\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-quick-view\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"619c6e57ce72c49c4b57e15b06eddb65\",\"slug\":\"woocommerce-quick-view\",\"id\":187509,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/05\\/quick-view-icon.png\"},{\"title\":\"WooCommerce Box Office\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-BO-Dark.png\",\"excerpt\":\"Vendez des tickets pour votre prochain \\u00e9v\\u00e9nement, concert, r\\u00e9ception, collecte de fonds ou conf\\u00e9rence directement sur votre propre site\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-box-office\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"e704c9160de318216a8fa657404b9131\",\"slug\":\"woocommerce-box-office\",\"id\":1628717,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Returns and Warranty Requests\",\"image\":\"\",\"excerpt\":\"Manage the RMA process, add warranties to products, and let customers request and manage returns\\/exchanges from their account.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/warranty-requests\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"9b4c41102e6b61ea5f558e16f9b63e25\",\"slug\":\"woocommerce-warranty\",\"id\":228315,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Order Barcodes\",\"image\":\"\",\"excerpt\":\"G\\u00e9n\\u00e8re un code-barres unique pour chaque commande pass\\u00e9e sur votre site. Parfait pour les tickets \\u00e9lectroniques, les bons de livraison, les r\\u00e9servations et diverses autres utilisations.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-order-barcodes\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"889835bb29ee3400923653e1e44a3779\",\"slug\":\"woocommerce-order-barcodes\",\"id\":391708,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Bookings Availability\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Bookings-Aval-Dark.png\",\"excerpt\":\"Vendez plus de r\\u00e9servations en pr\\u00e9sentant un agenda ou un planning de cr\\u00e9neaux horaires disponibles sur une page ou dans un article.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/bookings-availability\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"30770d2a-e392-4e82-baaa-76cfc7d02ae3\",\"slug\":\"woocommerce-bookings-availability\",\"id\":4228225,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"LiveChat for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/11\\/LC_woo_regular-zmiaym.png\",\"excerpt\":\"Live Chat and messaging platform for sales and support -- increase average order value and overall sales through live conversations.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/livechat\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.livechat.com\\/livechat-for-ecommerce\\/?a=woocommerce&amp;utm_source=woocommerce.com&amp;utm_medium=integration&amp;utm_campaign=woocommerce.com\",\"price\":\"&#36;0.00\",\"hash\":\"5344cc1f-ed4a-4d00-beff-9d67f6d372f3\",\"slug\":\"livechat-woocommerce\",\"id\":1348888,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Live Chat\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/live-chat\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/11\\/LiveChat.png\"},{\"title\":\"WooCommerce 360\\u00ba Image\",\"image\":\"\",\"excerpt\":\"Un moyen simple d\\u2019ajouter une rotation d\\u2019image \\u00e0 360\\u00ba dynamique et contr\\u00f4lable \\u00e0 votre site WooCommerce, en ajoutant un groupe d\\u2019images \\u00e0 la galerie d\\u2019un produit.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-360-image\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"24eb2cfa3738a66bf3b2587876668cd2\",\"slug\":\"woocommerce-360-image\",\"id\":512186,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/360-image-icon.png\"},{\"title\":\"WooCommerce Photography\",\"image\":\"\",\"excerpt\":\"Vendez des photos en un clin d\\u2019\\u0153il en utilisant cette interface simple de glisser-d\\u00e9poser.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-photography\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"ee76e8b9daf1d97ca4d3874cc9e35687\",\"slug\":\"woocommerce-photography\",\"id\":583602,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/01\\/photography-icon.png\"},{\"title\":\"Module logiciel\",\"image\":\"\",\"excerpt\":\"Vendez des cl\\u00e9s de licence pour des logiciels\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/software-add-on\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"79f6dbfe1f1d3a56a86f0509b6d6b04b\",\"slug\":\"woocommerce-software-add-on\",\"id\":18683,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/software-add-on-icon.png\"},{\"title\":\"WooCommerce Products Compare\",\"image\":\"\",\"excerpt\":\"WooCommerce Products Compare permettra \\u00e0 vos clients potentiels de comparer facilement les produits de votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-products-compare\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"c3ba0a4a3199a0cc7a6112eb24414548\",\"slug\":\"woocommerce-products-compare\",\"id\":853117,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/04\\/products-compare-icon.png\"},{\"title\":\"WooCommerce Store Catalog PDF Download\",\"image\":\"\",\"excerpt\":\"Proposez \\u00e0 vos clients un t\\u00e9l\\u00e9chargement PDF de votre catalogue de produits, g\\u00e9n\\u00e9r\\u00e9 par WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-store-catalog-pdf-download\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"79ca7aadafe706364e2d738b7c1090c4\",\"slug\":\"woocommerce-store-catalog-pdf-download\",\"id\":675790,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/03\\/store-catalog-pdf-download-icon.png\"},{\"title\":\"Storefront Homepage Contact Section\",\"image\":\"\",\"excerpt\":\"Ajoutez une section Contact \\u00e0 la page d\\u2019accueil du th\\u00e8me\\u00a0Storefront.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-homepage-contact-section\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"cb12b87f8bbb0139dafbf92ca1f871ef\",\"slug\":\"storefront-homepage-contact-section\",\"id\":1468793,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"WooCommerce Zapier\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/09\\/zapier-logo-1.png\",\"excerpt\":\"Int\\u00e9grez votre boutique WooCommerce avec plus de 5\\u00a0000\\u00a0applications et services cloud aujourd\\u2019hui. Approuv\\u00e9 par plus de 12\\u00a0000\\u00a0utilisateurs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-zapier\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"0782bdbe932c00f4978850268c6cfe40\",\"slug\":\"woocommerce-zapier\",\"id\":243589,\"rating\":4.4,\"reviews_count\":47,\"vendor_name\":\"OM4\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/om4\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/09\\/zapier-icon-80px@2x.png\"},{\"title\":\"Storefront\\u00a0Footer\\u00a0Bar\",\"image\":\"\",\"excerpt\":\"Au-dessus de la zone de widget du pied de page de\\u00a0Storefront, ajoutez une zone de widgets en pleine largeur que vous pouvez personnaliser avec des couleurs et une image d\\u2019arri\\u00e8re-plan.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-footer-bar\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"6cfd3d4f923cafa16e4801ae801751f4\",\"slug\":\"storefront-footer-bar\",\"id\":1434472,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"Smart Coupons\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/wc-product-smart-coupons.png\",\"excerpt\":\"Tout ce dont vous avez besoin pour les cartes-cadeaux, les remises, les codes promo, les cr\\u00e9dits de boutique, les formules \\u00ab\\u00a0Un achet\\u00e9 un offert\\u00a0\\u00bb, les cadeaux, les offres et les promotions. Smart Coupons est l\\u2019extension de code promo originale, la plus compl\\u00e8te, la plus vendue et la plus avanc\\u00e9e de WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/smart-coupons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"http:\\/\\/demo.storeapps.org\\/?demo=sc\",\"price\":\"&#36;129.00\",\"hash\":\"05c45f2aa466106a466de4402fff9dde\",\"slug\":\"woocommerce-smart-coupons\",\"id\":18729,\"rating\":4.5,\"reviews_count\":159,\"vendor_name\":\"StoreApps\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/storeapps\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/wc-icon-smart-coupons-160-p8fwgu.png\"},{\"title\":\"WooCommerce Customer \\/ Order \\/ Coupon Export\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/02\\/Thumbnail-Customer-Order-Coupon-Export-updated.png\",\"excerpt\":\"Exportez des clients, des commandes et des codes promo \\u00e0 partir de WooCommerce manuellement ou selon un calendrier automatis\\u00e9.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/ordercustomer-csv-export\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"914de15813a903c767b55445608bf290\",\"slug\":\"woocommerce-customer-order-csv-export\",\"id\":18652,\"rating\":4.4,\"reviews_count\":32,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Name Your Price\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/nyp-icon-dark-v83owf.png\",\"excerpt\":\"Permettez aux clients de d\\u00e9finir le prix des produits. \\u00c9galement utile pour accepter les dons des utilisateurs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/name-your-price\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"31b4e11696cd99a3c0572975a84f1c08\",\"slug\":\"woocommerce-name-your-price\",\"id\":18738,\"rating\":5,\"reviews_count\":73,\"vendor_name\":\"Backcourt Development\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/backcourt-development\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/nyp-icon-80x80-1.jpg\"},{\"title\":\"Google Product Feed\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/11\\/logo-regular-lscryp.png\",\"excerpt\":\"Fournissez des donn\\u00e9es produit enrichies \\u00e0 Google Merchant Center pour configurer des listes de produits gratuites, des annonces produits et des campagnes de stock locales. Contr\\u00f4lez totalement vos associations de champs et le contenu des flux afin d\\u2019optimiser les performances de la campagne et les d\\u00e9penses publicitaires.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-product-feed\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"d55b4f852872025741312839f142447e\",\"slug\":\"woocommerce-product-feeds\",\"id\":18619,\"rating\":4.3,\"reviews_count\":56,\"vendor_name\":\"Ademti Software\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/ademti-software\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/11\\/product-icon-omiutq.png\"},{\"title\":\"Storefront Reviews\",\"image\":\"\",\"excerpt\":\"Reviews can often be the deciding factor when making a purchase online. Highlight your best reviews on your homepage, or across your site with Storefront Reviews.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-reviews\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/storefront\\/reviews\\/\",\"price\":\"&#36;19.00\",\"hash\":\"0c8a1d86b8eff9f1edffa923aeb3fc1f\",\"slug\":\"storefront-reviews\",\"id\":1044976,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"Mercado Pago Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/05\\/logo-juzfys.png\",\"excerpt\":\"Mercado Pago est d\\u00e9j\\u00e0 pr\\u00e9sent dans 7\\u00a0pays d\\u2019Am\\u00e9rique latine et dispose du meilleur syst\\u00e8me de validation de commande pour les pr\\u00e9f\\u00e9rences de vos clients et votre type de boutique en ligne. Garantissez la s\\u00e9curit\\u00e9 et proposez les principaux moyens de paiement sans souci.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/mercado-pago-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"b51b437b-1948-4405-b96e-0ef86485d3eb\",\"slug\":\"woocommerce-mercadopago\",\"id\":7909962,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Mercado Pago\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/mercado-pago\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/05\\/Mercado-Pago.png\"},{\"title\":\"Klarna Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Partner_marketing_Klarna_Checkout_Black-1.png\",\"excerpt\":\"Klarna Checkout is a full checkout experience embedded on your site that includes all popular payment methods (Pay Now, Pay Later, Financing, Installments).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/klarna-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.krokedil.se\\/klarnacheckout\\/\",\"price\":\"&#36;0.00\",\"hash\":\"90f8ce584e785fcd8c2d739fd4f40d78\",\"slug\":\"klarna-checkout-for-woocommerce\",\"id\":2754152,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Krokedil\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/krokedil\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/klarna-checkout-icon.png\"},{\"title\":\"WooCommerce Print Invoices & Packing Lists\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/03\\/Thumbnail-Print-Invoices-Packing-lists-updated.png\",\"excerpt\":\"G\\u00e9n\\u00e9rez des factures, des bordereaux d\\u2019exp\\u00e9dition et des listes de pr\\u00e9paration pour vos commandes WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/print-invoices-packing-lists\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"465de1126817cdfb42d97ebca7eea717\",\"slug\":\"woocommerce-pip\",\"id\":18666,\"rating\":4.4,\"reviews_count\":30,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Tarification dynamique\",\"image\":\"\",\"excerpt\":\"Remises en lot, tarification bas\\u00e9e sur les r\\u00f4les, etc.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/dynamic-pricing\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"9a41775bb33843f52c93c922b0053986\",\"slug\":\"woocommerce-dynamic-pricing\",\"id\":18643,\"rating\":3.2,\"reviews_count\":32,\"vendor_name\":\"Element Stark\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/element-stark\\/\",\"icon\":null},{\"title\":\"Sensei\\u00a0LMS Course\\u00a0Progress\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-course-progress.png\",\"excerpt\":\"Permettez \\u00e0 vos \\u00e9tudiants de suivre leur progression et de reprendre l\\u00e0 o\\u00f9 ils s\\u2019\\u00e9taient arr\\u00eat\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-course-progress\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"ec0f55d8fa7c517dc1844f5c873a77da\",\"slug\":\"sensei-course-progress\",\"id\":435833,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"Composite Products\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/06\\/logo-cp-ey7bzs.png\",\"excerpt\":\"Cr\\u00e9ez des g\\u00e9n\\u00e9rateurs de kits de produits et des configurateurs de produits personnalis\\u00e9s \\u00e0 l\\u2019aide de produits existants.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/composite-products\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"0343e0115bbcb97ccd98442b8326a0af\",\"slug\":\"woocommerce-composite-products\",\"id\":216836,\"rating\":4.9,\"reviews_count\":102,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Gravity Forms Product Add-ons\",\"image\":\"\",\"excerpt\":\"Modules produits puissants, style Gravity\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/gravity-forms-add-ons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.elementstark.com\\/woocommerce-extension-demos\\/product-category\\/gravity-forms\\/\",\"price\":\"&#36;109.00\",\"hash\":\"a6ac0ab1a1536e3a357ccf24c0650ed0\",\"slug\":\"woocommerce-gravityforms-product-addons\",\"id\":18633,\"rating\":3.9,\"reviews_count\":12,\"vendor_name\":\"Element Stark\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/element-stark\\/\",\"icon\":null},{\"title\":\"Sensei LMS Certificates\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-certificates.png\",\"excerpt\":\"Remettez des certificats \\u00e0 vos \\u00e9tudiants attestant de leur r\\u00e9ussite pour les f\\u00e9liciter d\\u2019avoir termin\\u00e9 un cours.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-certificates\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"625ee5fe1bf36b4c741ab07507ba2ffd\",\"slug\":\"sensei-certificates\",\"id\":247548,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"Avis Trustpilot\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/Trustpilot_brandmark_gr-blk_RGB-2-1-px9shb.png\",\"excerpt\":\"Collectez et affichez des avis v\\u00e9rifi\\u00e9s auxquels les consommateurs font confiance.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/trustpilot-reviews\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"cbbd9b5e-b226-492c-a87e-cb21743ed8bf\",\"slug\":\"trustpilot-reviews\",\"id\":8173894,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Trustpilot\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/trustpilot\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/logo-160x160-1.png\"},{\"title\":\"Eway\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/10\\/51456-Eway-logo-tagline-RGB-H-yellow-_-grey.png\",\"excerpt\":\"Take credit card payments securely via Eway (AU and NZ) keeping customers on your site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/eway\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"2c497769d98d025e0d340cd0b5ea5da1\",\"slug\":\"woocommerce-gateway-eway\",\"id\":18604,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/10\\/woo-eway-0klzux.png\"},{\"title\":\"Klarna Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Partner_marketing_Klarna_Payments_Pink.png\",\"excerpt\":\"Avec Klarna Payments, vous pouvez choisir le paiement de votre choix, payer maintenant, ult\\u00e9rieurement ou en plusieurs fois. Aucun num\\u00e9ro de carte bancaire, aucun mot de passe, aucun souci.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/klarna-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.krokedil.se\\/klarnapayments\\/\",\"price\":\"&#36;0.00\",\"hash\":\"a19c689325bc8ea63c620765dd54b33a\",\"slug\":\"klarna-payments-for-woocommerce\",\"id\":2754217,\"rating\":2.8,\"reviews_count\":10,\"vendor_name\":\"Krokedil\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/krokedil\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Klarna.png\"},{\"title\":\"Conditional Shipping and Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/03\\/logo-csp-aqfm98.png\",\"excerpt\":\"Utilisez la logique conditionnelle pour limiter les options d\\u2019exp\\u00e9dition et de paiement disponibles sur votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/conditional-shipping-and-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1f56ff002fa830b77017b0107505211a\",\"slug\":\"woocommerce-conditional-shipping-and-payments\",\"id\":680253,\"rating\":4.8,\"reviews_count\":44,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Sensei\\u00a0Pro (WC Paid Courses)\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/01\\/Sensei-Pro.png\",\"excerpt\":\"Vendez vos cours en ligne en utilisant Sensei LMS avec WooCommerce, un syst\\u00e8me complet de gestion d\\u2019apprentissage qui comprend des quiz, des certificats, du contenu d\\u00e9livr\\u00e9 au compte-gouttes, et plus encore.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-paid-courses\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;179.00\",\"hash\":\"bad2a02a063555b7e2bee59924690763\",\"slug\":\"woothemes-sensei\",\"id\":152116,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/01\\/SenseiProWooIcon-aut8wu.png\"},{\"title\":\"WooCommerce Order Status Manager\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/02\\/Thumbnail-Order-Status-Manager-updated.png\",\"excerpt\":\"Cr\\u00e9ez, modifiez et supprimez des \\u00e9tats de commande enti\\u00e8rement personnalis\\u00e9s et int\\u00e9grez-les en toute transparence dans votre flux de gestion des commandes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-order-status-manager\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"51fd9ab45394b4cad5a0ebf58d012342\",\"slug\":\"woocommerce-order-status-manager\",\"id\":588398,\"rating\":4.4,\"reviews_count\":15,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"QuickBooks Sync pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/04\\/woocommerce-com-logo-1-hyhzbh.png\",\"excerpt\":\"L\\u2019int\\u00e9gration la plus personnalisable et robuste permettant d\'assurer la synchronisation de vos donn\\u00e9es pour les commandes, les clients, les produits, l\\u2019inventaire et bien plus entre WooCommerce et QuickBooks (Online, Desktop, ou POS)\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/quickbooks-sync-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"c5e32e20-7c1f-4585-8b15-d930c2d842ac\",\"slug\":\"myworks-woo-sync-for-quickbooks-online\",\"id\":4065824,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"MyWorks Software\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/myworks-software\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/04\\/qb_thumb.png\"},{\"title\":\"Sensei\\u00a0LMS Media\\u00a0Attachments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-media-attachments.png\",\"excerpt\":\"Donnez-leur acc\\u00e8s \\u00e0 du mat\\u00e9riel d\\u2019apprentissage suppl\\u00e9mentaire (fichiers audio, diaporamas, PDF, etc.).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-media-attachments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"788647a9a1d8ef5c95371f0e69223a0f\",\"slug\":\"sensei-media-attachments\",\"id\":290551,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"reCaptcha pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/WooCommerce-reCpatcha.png?w=150&amp;h=150&amp;crop=1\",\"excerpt\":\"Prot\\u00e9gez votre boutique eCommerce contre les attaques malveillantes et automatis\\u00e9es en utilisant reCaptcha pour WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/recaptcha-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.i13websolution.com\\/wp-test\\/\",\"price\":\"&#36;29.00\",\"hash\":\"c9793ede-aadc-484f-8c5a-1a0776604ce6\",\"slug\":\"recaptcha-for-woocommerce\",\"id\":5347485,\"rating\":4,\"reviews_count\":23,\"vendor_name\":\"I13 Web Solution\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/i13-web-solution\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/reCaptcha-For-WooCOmmerce-logo-164x164-2.png\"},{\"title\":\"WooCommerce Product Search\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce-product-search-product-image-1870x960-1-jvsljj.png\",\"excerpt\":\"Le moteur de recherche id\\u00e9al aide les clients \\u00e0 trouver et acheter des produits rapidement, ce qui est essentiel pour chaque boutique WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-product-search\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.itthinx.com\\/wps\\/\",\"price\":\"&#36;49.00\",\"hash\":\"c84cc8ca16ddac3408e6b6c5871133a8\",\"slug\":\"woocommerce-product-search\",\"id\":512174,\"rating\":4.4,\"reviews_count\":166,\"vendor_name\":\"itthinx\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/itthinx\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce-product-search-product-icon-160x160-sunrise.png\"},{\"title\":\"WooCommerce One Page Checkout\",\"image\":\"\",\"excerpt\":\"Cr\\u00e9ez des pages sp\\u00e9ciales o\\u00f9 les clients peuvent choisir des produits, valider leur commande et payer sur une seule page.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-one-page-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"c9ba8f8352cd71b5508af5161268619a\",\"slug\":\"woocommerce-one-page-checkout\",\"id\":527886,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce.png\"},{\"title\":\"Viva Wallet Standard Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/04\\/Viva-Wallet-logo.png?w=374\",\"excerpt\":\"Int\\u00e9grez la passerelle de paiement Viva Wallet \\u00e0 votre boutique WooCommerce pour traiter et synchroniser vos paiements, et vous aider \\u00e0 vendre plus.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/viva-wallet-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"7240a329-047f-4d8b-b7ec-ee3defd798bd\",\"slug\":\"viva-wallet-for-woocommerce\",\"id\":6137160,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Viva Wallet\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/viva-wallet\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/07\\/Viva-Wallet.png\"},{\"title\":\"Sequential Order Numbers Pro\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/Thumbnail-Sequential-Order-Numbers-Pro-updated.png\",\"excerpt\":\"Ma\\u00eetrisez vos num\\u00e9ros de commande\\u00a0! Mettez \\u00e0 niveau \\u00e0 partir de Sequential Order Numbers avec des fonctionnalit\\u00e9s avanc\\u00e9es et des pr\\u00e9fixes\\/suffixes facultatifs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sequential-order-numbers-pro\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"0b18a2816e016ba9988b93b1cd8fe766\",\"slug\":\"woocommerce-sequential-order-numbers-pro\",\"id\":18688,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"WooCommerce Google Analytics Pro\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/Thumbnail-GAPro-updated.png\",\"excerpt\":\"Ajoutez un suivi avanc\\u00e9 des \\u00e9v\\u00e9nements et un suivi am\\u00e9lior\\u00e9 du eCommerce \\u00e0 votre site WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-google-analytics-pro\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"d8aed8b7306b509eec1589e59abe319f\",\"slug\":\"woocommerce-google-analytics-pro\",\"id\":1312497,\"rating\":3.1,\"reviews_count\":33,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"}]}\";s:8:\"response\";a:2:{s:4:\"code\";i:200;s:7:\"message\";s:2:\"OK\";}s:7:\"cookies\";a:0:{}s:8:\"filename\";N;s:13:\"http_response\";O:25:\"WP_HTTP_Requests_Response\":5:{s:11:\"\0*\0response\";O:23:\"WpOrg\\Requests\\Response\":10:{s:4:\"body\";s:76241:\"{\"products\":[{\"title\":\"Google Analytics pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/GA-Dark.png\",\"excerpt\":\"Comprenez vos clients et augmentez vos revenus avec la principale plateforme d\\u2019analyse au monde, int\\u00e9gr\\u00e9e gratuitement \\u00e0 WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-google-analytics\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"2d21f7de14dfb8e9885a4622be701ddf\",\"slug\":\"woocommerce-google-analytics-integration\",\"id\":1442927,\"rating\":4.4,\"reviews_count\":23,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/woo-Google_Analytics-fvsrvf.png\"},{\"title\":\"Taxe WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Tax-Dark.png\",\"excerpt\":\"Automatically calculate how much sales tax should be collected for WooCommerce orders - by city, country, or state - at checkout.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/tax\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"f31b3b9273cce188cc2b27f7849d02dd\",\"slug\":\"woocommerce-services\",\"id\":3220291,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Stripe\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Stripe-Dark-1.png\",\"excerpt\":\"Acceptez toutes les principales cartes bancaires ainsi que les moyens de paiement locaux avec Stripe.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/stripe\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"50bb7a985c691bb943a9da4d2c8b5efd\",\"slug\":\"woocommerce-gateway-stripe\",\"id\":18627,\"rating\":4.3,\"reviews_count\":28,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/12\\/stripe-app-icon-7m1xi7.png\"},{\"title\":\"MailChimp for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/09\\/logo-mailchimp-dark-v2.png\",\"excerpt\":\"Augmentez le trafic, favorisez les achats r\\u00e9p\\u00e9t\\u00e9s et personnalisez votre marketing lorsque vous vous connectez \\u00e0 Mailchimp.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/mailchimp-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"b4481616ebece8b1ff68fc59b90c1a91\",\"slug\":\"mailchimp-for-woocommerce\",\"id\":2545166,\"rating\":3.6,\"reviews_count\":12,\"vendor_name\":\"Mailchimp\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/mailchimp\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/09\\/Mailchimp.png\"},{\"title\":\"Jetpack\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/11\\/Jetpack-1-m5mwyg.png\",\"excerpt\":\"Des outils de s\\u00e9curit\\u00e9, performance et marketing con\\u00e7us pour les boutiques WooCommerce par des sp\\u00e9cialistes WordPress. Lancez-vous gratuitement en essayant des outils de s\\u00e9curit\\u00e9 et de performance basiques.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/jetpack\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"d5bfef9700b62b2b132c74c74c3193eb\",\"slug\":\"jetpack\",\"id\":2725249,\"rating\":4.7,\"reviews_count\":13,\"vendor_name\":\"Jetpack\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/jetpack\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/02\\/jetpack-logo--80sgtq.png\"},{\"title\":\"Facebook pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Facebook-Dark.png\",\"excerpt\":\"Obtenez l\\u2019extension officielle Facebook for WooCommerce pour toucher vos clients sur Facebook, Instagram, Messenger et WhatsApp.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/facebook\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"0ea4fe4c2d7ca6338f8a322fb3e4e187\",\"slug\":\"facebook-for-woocommerce\",\"id\":2127297,\"rating\":2,\"reviews_count\":65,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/04\\/fb-woodotcom.png\"},{\"title\":\"WooCommerce Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/woocommerce-payments@2x.png\",\"excerpt\":\"La seule solution de paiement enti\\u00e8rement int\\u00e9gr\\u00e9e \\u00e0 Woo. Acceptez les cartes de cr\\u00e9dit\\/d\\u00e9bit et les options de paiement locales sans frais d\\u2019installation ni frais mensuels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"8c6319ca-8f41-4e69-be63-6b15ee37773b\",\"slug\":\"woocommerce-payments\",\"id\":5278104,\"rating\":4.2,\"reviews_count\":28,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/woo-WooCommerce_Payments-mtulxp.png\"},{\"title\":\"Google Listings & Ads\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/Marketplace_card_Google.png\",\"excerpt\":\"Touchez des millions d\\u2019acheteurs actifs sur Google gr\\u00e2ce \\u00e0 des annonces et des fiches produits gratuites. Contr\\u00f4lez votre flux de produits en vous synchronisant avec le Google Merchant Center. Con\\u00e7u en partenariat avec Google.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-listings-and-ads\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"118f4d86-f126-4c3a-8525-644e3170d161\",\"slug\":\"google-listings-and-ads\",\"id\":7623964,\"rating\":2.7,\"reviews_count\":18,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/woo-GoogleListingsAds-jworee.png\"},{\"title\":\"Square pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Square-Dark.png\",\"excerpt\":\"Accepter les paiements est facile avec Square. Taux clairs, acomptes rapides (1 \\u00e0 2\\u00a0jours ouvrables). Vendez en ligne et en personne, et synchronisez tous les paiements, articles et stocks.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/square\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"e907be8b86d7df0c8f8e0d0020b52638\",\"slug\":\"woocommerce-square\",\"id\":1770503,\"rating\":3.3,\"reviews_count\":97,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/07\\/woo-Square-u8km15.png\"},{\"title\":\"WooCommerce Product Add-Ons\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Product-Add-Ons-Dark.png\",\"excerpt\":\"Proposez des services compl\\u00e9mentaires comme l\\u2019emballage cadeau, des messages sp\\u00e9ciaux et d\\u2019autres options sp\\u00e9ciales pour vos produits.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-add-ons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"147d0077e591e16db9d0d67daeb8c484\",\"slug\":\"woocommerce-product-addons\",\"id\":18618,\"rating\":3.2,\"reviews_count\":27,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Amazon Pay\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Amazon-Pay-Dark.png\",\"excerpt\":\"Offrez une validation de commande rapide et famili\\u00e8re \\u00e0 des centaines de millions de clients Amazon actifs dans le monde\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/pay-with-amazon\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"9865e043bbbe4f8c9735af31cb509b53\",\"slug\":\"woocommerce-gateway-amazon-payments-advanced\",\"id\":238816,\"rating\":3.1,\"reviews_count\":29,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/08\\/woo-Amazon_Pay-8lvfuy.png\"},{\"title\":\"WooCommerce Shipping\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Ship-Dark-1.png\",\"excerpt\":\"Imprimez des \\u00e9tiquettes USPS et DHL directement depuis votre tableau de bord WooCommerce et \\u00e9conomisez instantan\\u00e9ment jusqu\\u2019\\u00e0 90\\u00a0%. WooCommerce Shipping est gratuit et vous fait gagner du temps et de l\\u2019argent.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipping\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"f31b3b9273cce188cc2b27f7849d02dd\",\"slug\":\"woocommerce-services\",\"id\":2165910,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/06\\/WooCommerce-icon-160x160-1.webp\"},{\"title\":\"M\\u00e9thode d\\u2019exp\\u00e9dition USPS\",\"image\":\"\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API USPS qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/usps-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"83d1524e8f5f1913e58889f83d442c32\",\"slug\":\"woocommerce-shipping-usps\",\"id\":18657,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-USPS-yhn1rb.png\"},{\"title\":\"Paiements PayPal\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/PPCP-Tile-PayPal-Logo-and-Cart-Art-2x-2-uozwz8.jpg\",\"excerpt\":\"Une seule solution de validation de commande. Plusieurs moyens de paiement. La solution tout-en-un de PayPal vous permet de proposer \\u00e0 vos clients de payer via PayPal, Venmo (\\u00c9tats-Unis) et Pay\\u00a0Later sans frais suppl\\u00e9mentaires, par carte de cr\\u00e9dit et de d\\u00e9bit, ainsi que via des options de paiement sp\\u00e9cifiques \\u00e0 chaque pays.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-paypal-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"934115ab-e3f3-4435-9580-345b1ce21899\",\"slug\":\"woocommerce-paypal-payments\",\"id\":6410731,\"rating\":3.6,\"reviews_count\":103,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/woo-PayPal-nlioum.png\"},{\"title\":\"UPS Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/UPS-Shipping-Method-Dark.png\",\"excerpt\":\"Get shipping rates from the UPS API which handles both domestic and international parcels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/ups-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"8dae58502913bac0fbcdcaba515ea998\",\"slug\":\"woocommerce-shipping-ups\",\"id\":18665,\"rating\":3.3,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-UPS-1.png\"},{\"title\":\"Abonnements WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Subscriptions-Dark.png\",\"excerpt\":\"Permettez aux clients de s\\u2019abonner \\u00e0 vos produits ou services et de payer toutes les semaines, tous les mois ou tous les ans.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-subscriptions\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;239.00\",\"hash\":\"6115e6d7e297b623a169fdcf5728b224\",\"slug\":\"woocommerce-subscriptions\",\"id\":27147,\"rating\":3.3,\"reviews_count\":66,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Suivi de l\\u2019exp\\u00e9dition\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Ship-Tracking-Dark-1.png\",\"excerpt\":\"Ajoutez des informations de suivi de l\\u2019exp\\u00e9dition \\u00e0 vos commandes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipment-tracking\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"1968e199038a8a001c9f9966fd06bf88\",\"slug\":\"woocommerce-shipment-tracking\",\"id\":18693,\"rating\":3.6,\"reviews_count\":14,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Quantit\\u00e9s Min\\/Max\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Min-Max-Qua-Dark.png\",\"excerpt\":\"R\\u00e8gles de quantit\\u00e9 minimale et maximale pour les produits, les commandes et les cat\\u00e9gories.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/minmax-quantities\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"2b5188d90baecfb781a5aa2d6abb900a\",\"slug\":\"woocommerce-min-max-quantities\",\"id\":18616,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Australia Post Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/australia-post.gif\",\"excerpt\":\"Get shipping rates for your WooCommerce store from the Australia Post API, which handles both domestic and international parcels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/australia-post-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1dbd4dc6bd91a9cda1bd6b9e7a5e4f43\",\"slug\":\"woocommerce-shipping-australia-post\",\"id\":18622,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-AustraliaPost.png\"},{\"title\":\"Canada Post Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/canada-post.png\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API d\\u2019\\u00e9valuation de Postes Canada qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/canada-post-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"ac029cdf3daba20b20c7b9be7dc00e0e\",\"slug\":\"woocommerce-shipping-canada-post\",\"id\":18623,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-CanadaPost-fjlcfq.png\"},{\"title\":\"Royal Mail\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/royalmail.png\",\"excerpt\":\"Offer Royal Mail shipping rates to your customers.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/royal-mail\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"03839cca1a16c4488fcb669aeb91a056\",\"slug\":\"woocommerce-shipping-royalmail\",\"id\":182719,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/woo-RoyalMail-sd9zwy.png\"},{\"title\":\"M\\u00e9thode d\\u2019exp\\u00e9dition FedEx\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/FedEx_Logo_Wallpaper.jpeg\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API FedEX qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/fedex-shipping-module\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1a48b598b47a81559baadef15e320f64\",\"slug\":\"woocommerce-shipping-fedex\",\"id\":18620,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-FedEx-auxjb7.png\"},{\"title\":\"Product Bundles\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/07\\/logo-pb-lzevsq.png\",\"excerpt\":\"Proposez des lots de produits personnalis\\u00e9s, des packages de remises en lot et des produits assembl\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-bundles\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"aa2518b5-ab19-4b75-bde9-60ca51e20f28\",\"slug\":\"woocommerce-product-bundles\",\"id\":18716,\"rating\":4.9,\"reviews_count\":124,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Avalara AvaTax\",\"image\":\"\",\"excerpt\":\"Automated sales tax calculations for your WooCommerce store.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-avatax\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"57077a4b28ba71cacf692bcf4a1a7f60\",\"slug\":\"woocommerce-avatax\",\"id\":1389326,\"rating\":3.3,\"reviews_count\":16,\"vendor_name\":\"Avalara\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/avalara\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/Avalara-Wordpress-Plugin-Creative_icon-80.png\"},{\"title\":\"Marques WooCommerce\",\"image\":\"\",\"excerpt\":\"Cr\\u00e9ez, associez et r\\u00e9pertoriez les marques des produits, et permettez aux clients de visualiser les produits par marque.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/brands\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"8a88c7cbd2f1e73636c331c7a86f818c\",\"slug\":\"woocommerce-brands\",\"id\":18737,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"TaxJar\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/taxjar-logotype.png\",\"excerpt\":\"Automatisez la conformit\\u00e9 aux taxes de vente pour votre entreprise de eCommerce multi-canale. Calculs pr\\u00e9cis des taxes de vente, agr\\u00e9gation de donn\\u00e9es, rapports de qualit\\u00e9 et d\\u00e9claration pour votre boutique WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/taxjar\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"12072d8e-e933-4561-97b1-9db3c7eeed91\",\"slug\":\"taxjar-simplified-taxes-for-woocommerce\",\"id\":514914,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"TaxJar\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/taxjar\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/TaxJar.png\"},{\"title\":\"ShipStation for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Shipstation-Dark.png\",\"excerpt\":\"Exp\\u00e9diez vos commandes WooCommerce en toute confiance, \\u00e9conomisez sur les meilleurs transporteurs et automatisez vos exp\\u00e9ditions avec ShipStation.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipstation-integration\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"9de8640767ba64237808ed7f245a49bb\",\"slug\":\"woocommerce-shipstation-integration\",\"id\":18734,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woo-Shipstation-xqap96.png\"},{\"title\":\"Gift Cards\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/03\\/logo-gc-z327mo.png\",\"excerpt\":\"Proposez des cartes-cadeaux num\\u00e9riques pr\\u00e9pay\\u00e9es que les clients peuvent utiliser en ligne.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/gift-cards\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"4e0e8c35-e777-4ecc-b96b-202ee1eb256f\",\"slug\":\"woocommerce-gift-cards\",\"id\":5571998,\"rating\":4.5,\"reviews_count\":37,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Num\\u00e9ro de TVA intracommunautaire\",\"image\":\"\",\"excerpt\":\"Collectez les num\\u00e9ros de TVA lors de la validation de commande et supprimez les frais de TVA pour les entreprises \\u00e9ligibles de l\\u2019UE.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/eu-vat-number\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"d2720c4b4bb8d6908e530355b7a2d734\",\"slug\":\"woocommerce-eu-vat-number\",\"id\":18592,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Payfast Payment Gateway\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/09\\/Stand-Alone-Safe-Zone@1x.png\",\"excerpt\":\"Take payments on your WooCommerce store via Payfast (redirect method).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/payfast-payment-gateway\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"557bf07293ad916f20c207c6c9cd15ff\",\"slug\":\"woocommerce-payfast-gateway\",\"id\":18596,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/09\\/Payfast-favicon-1.png\"},{\"title\":\"Back In Stock Notifications\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/11\\/logo-bis-ircwrk.png\",\"excerpt\":\"Informez les clients lorsque vos produits sont r\\u00e9approvisionn\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/back-in-stock-notifications\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"755424b1-28b6-448a-aeb3-709cb3029eb6\",\"slug\":\"woocommerce-back-in-stock-notifications\",\"id\":6855144,\"rating\":4.4,\"reviews_count\":10,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Product Recommendations\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/07\\/logo-prl-lfwngz.png\",\"excerpt\":\"Proposez des ventes incitatives, des ventes crois\\u00e9es et des recommandations \\u00ab\\u00a0fr\\u00e9quemment achet\\u00e9s ensemble\\u00a0\\u00bb plus intelligentes. Mesurez leur impact gr\\u00e2ce \\u00e0 des analyses approfondies.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-recommendations\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"4f9d0025-64b2-496f-97bb-ef553752d2d1\",\"slug\":\"woocommerce-product-recommendations\",\"id\":4486128,\"rating\":4.9,\"reviews_count\":13,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce\\u00a0Bookings\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Bookings-Dark.png\",\"excerpt\":\"Permettez aux clients de prendre des rendez-vous, de faire des r\\u00e9servations ou de louer du mat\\u00e9riel sans quitter votre site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-bookings\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/hotel\\/\",\"price\":\"&#36;249.00\",\"hash\":\"911c438934af094c2b38d5560b9f50f3\",\"slug\":\"WooCommerce Bookings\",\"id\":390890,\"rating\":2.8,\"reviews_count\":32,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"\\u00c9diteur des champs de validation de la commande\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Checkout-Field-Editor-Dark.png\",\"excerpt\":\"Optimisez votre processus de validation de commande en ajoutant, supprimant ou modifiant des champs en fonction de vos besoins.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-checkout-field-editor\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"2b8029f0d7cdd1118f4d843eb3ab43ff\",\"slug\":\"woocommerce-checkout-field-editor\",\"id\":184594,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Table Rate Shipping\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Product-Table-Rate-Shipping-Dark.png\",\"excerpt\":\"Livraison avanc\\u00e9e et flexible. D\\u00e9finissez diff\\u00e9rents frais de port en fonction du lieu, du prix, du poids, de la classe d\\u2019exp\\u00e9dition ou du nombre d\\u2019articles.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/table-rate-shipping\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"3034ed8aff427b0f635fe4c86bbf008a\",\"slug\":\"woocommerce-table-rate-shipping\",\"id\":18718,\"rating\":4.2,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"AutomateWoo\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-AutomateWoo-Dark-1.png\",\"excerpt\":\"Automatisation puissante du marketing pour WooCommerce. AutomateWoo poss\\u00e8de les outils dont vous avez besoin pour d\\u00e9velopper votre boutique et augmenter votre chiffre d\\u2019affaires.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/automatewoo\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"ba9299b8-1dba-4aa0-a313-28bc1755cb88\",\"slug\":\"automatewoo\",\"id\":4652610,\"rating\":4.1,\"reviews_count\":12,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/10\\/woo-AutomateWoo.png\"},{\"title\":\"Blocs WooCommerce\",\"image\":\"\",\"excerpt\":\"WooCommerce Blocks propose une gamme de blocs Gutenberg que vous pouvez utiliser pour construire et personnaliser votre site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gutenberg-products-block\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"c2e9f13a-f90c-4ffe-a8a5-b432399ec263\",\"slug\":\"woo-gutenberg-products-block\",\"id\":3076677,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/05\\/wooblocks.jpg\"},{\"title\":\"Google, Facebook, reciblage du marketing tout-en-un\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/02\\/Woo-Extension-Logo.png\",\"excerpt\":\"D\\u00e9passez la concurrence et augmentez les ventes de votre boutique en 5\\u00a0minutes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-ads-and-marketing\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"bf66e173-a220-4da7-9512-b5728c20fc16\",\"slug\":\"kliken-marketing-for-google\",\"id\":3866145,\"rating\":4.3,\"reviews_count\":113,\"vendor_name\":\"Kliken\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/kliken\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/02\\/Woo-Extension-Logo-80x80-2.png\"},{\"title\":\"Product CSV Import Suite\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Product-CSV-Import-Dark.png\",\"excerpt\":\"Importez, fusionnez et exportez des produits et variantes vers et depuis WooCommerce \\u00e0 l\\u2019aide d\\u2019un fichier CSV.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-csv-import-suite\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"7ac9b00a1fe980fb61d28ab54d167d0d\",\"slug\":\"woocommerce-product-csv-import-suite\",\"id\":18680,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Pinterest pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/10\\/Marketplace_card_Pinterest.png\",\"excerpt\":\"Pr\\u00e9sentez vos produits aux utilisateurs de Pinterest \\u00e0 la recherche d\\u2019id\\u00e9es et de choses \\u00e0 acheter. Connectez votre boutique WooCommerce pour rendre tout votre catalogue consultable.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/pinterest-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"29785cce-92ef-4b3a-8bd7-979bc688fd47\",\"slug\":\"pinterest-for-woocommerce\",\"id\":8688768,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/10\\/icon@2x-pe5lqg.png\"},{\"title\":\"WooCommerce Accommodation Bookings\",\"image\":\"\",\"excerpt\":\"R\\u00e9servez un h\\u00e9bergement \\u00e0 l\\u2019aide de WooCommerce et de l\\u2019extension WooCommerce Bookings.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-accommodation-bookings\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"99b2a7a4af90b6cefd2a733b3b1f78e7\",\"slug\":\"woocommerce-accommodation-bookings\",\"id\":1412069,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Xero\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woocommerce-xero-integration-sdth2k.jpg\",\"excerpt\":\"Gagnez du temps avec la synchronisation automatis\\u00e9e entre WooCommerce et votre compte Xero.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/xero\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"f0dd29d338d3c67cf6cee88eddf6869b\",\"slug\":\"woocommerce-xero\",\"id\":18733,\"rating\":2.7,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woo-Xero-4ovyoc.png\"},{\"title\":\"WooCommerce Memberships\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/Thumbnail-Memberships-updated.png\",\"excerpt\":\"Donnez \\u00e0 votre association d\\u2019adh\\u00e9sion, magazine en ligne, site d\\u2019apprentissage en ligne, etc. un contr\\u00f4le d\\u2019acc\\u00e8s au contenu\\/produits et aux remises pour les membres.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-memberships\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;199.00\",\"hash\":\"9288e7609ad0b487b81ef6232efa5cfc\",\"slug\":\"woocommerce-memberships\",\"id\":958589,\"rating\":4.3,\"reviews_count\":96,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Product Vendors\",\"image\":\"\",\"excerpt\":\"Transformer votre boutique en un march\\u00e9 multi-fournisseur\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-vendors\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"a97d99fccd651bbdd728f4d67d492c31\",\"slug\":\"woocommerce-product-vendors\",\"id\":219982,\"rating\":2.9,\"reviews_count\":17,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Commerce omnicanal Codisto\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/10\\/Woo-Extension-Store-Logo-v3.png\",\"excerpt\":\"Une seule extension pour vendre sur Amazon, eBay, Walmart et Google directement depuis WooCommerce, avec automatisation et synchronisation en temps r\\u00e9el.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/amazon-ebay-integration\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"e4000666-9275-4c71-8619-be61fb41c9f9\",\"slug\":\"woocommerce-amazon-ebay-integration\",\"id\":3545890,\"rating\":3,\"reviews_count\":38,\"vendor_name\":\"Codisto\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/codisto\\/\",\"icon\":null},{\"title\":\"Points et r\\u00e9compenses WooCommerce\",\"image\":\"\",\"excerpt\":\"R\\u00e9compensez vos clients pour leurs achats et d\\u2019autres actions en leur octroyant des points \\u00e0 \\u00e9changer contre des remises.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-points-and-rewards\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;159.00\",\"hash\":\"1649b6cca5da8b923b01ca56b5cdd246\",\"slug\":\"woocommerce-points-and-rewards\",\"id\":210259,\"rating\":3,\"reviews_count\":14,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Notifications avanc\\u00e9es\",\"image\":\"\",\"excerpt\":\"Configurez facilement des notifications par e-mail \\u00ab\\u00a0nouvelle commande\\u00a0\\u00bb et de stock pour plusieurs destinataires de votre choix.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/advanced-notifications\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"112372c44b002fea2640bd6bfafbca27\",\"slug\":\"woocommerce-advanced-notifications\",\"id\":18740,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Pr\\u00e9commandes WooCommerce\",\"image\":\"\",\"excerpt\":\"Permettez aux clients de commander des produits avant qu\\u2019ils ne soient disponibles.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-pre-orders\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;159.00\",\"hash\":\"b2dc75e7d55e6f5bbfaccb59830f66b7\",\"slug\":\"woocommerce-pre-orders\",\"id\":178477,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Additional Variation Images\",\"image\":\"\",\"excerpt\":\"Des images illimit\\u00e9es pour vos variantes de produit.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-additional-variation-images\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/storefront\\/product\\/woo-single-1\\/\",\"price\":\"&#36;59.00\",\"hash\":\"c61dd6de57dcecb32bd7358866de4539\",\"slug\":\"woocommerce-additional-variation-images\",\"id\":477384,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Braintree pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/braintree-black-copy.png\",\"excerpt\":\"Acceptez PayPal, les cartes de cr\\u00e9dit et les cartes de d\\u00e9bit avec une solution de passerelle de paiement unique\\u00a0: PayPal Powered by Braintree.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gateway-paypal-powered-by-braintree\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"27f010c8e34ca65b205ddec88ad14536\",\"slug\":\"woocommerce-gateway-paypal-powered-by-braintree\",\"id\":1489837,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Braintree-wrweyl.png\"},{\"title\":\"WooCommerce Deposits\",\"image\":\"\",\"excerpt\":\"Permettez aux clients de payer des produits \\u00e0 l\\u2019aide d\\u2019un acompte ou d\\u2019un plan de paiement.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-deposits\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;219.00\",\"hash\":\"de192a6cf12c4fd803248da5db700762\",\"slug\":\"woocommerce-deposits\",\"id\":977087,\"rating\":1.7,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Subscription Downloads\",\"image\":\"\",\"excerpt\":\"Offrez des t\\u00e9l\\u00e9chargements suppl\\u00e9mentaires \\u00e0 vos abonn\\u00e9s gr\\u00e2ce aux produits t\\u00e9l\\u00e9chargeables r\\u00e9pertori\\u00e9s dans votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-subscription-downloads\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"5be9e21c13953253e4406d2a700382ec\",\"slug\":\"woocommerce-subscription-downloads\",\"id\":420458,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"TikTok for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2022\\/04\\/TTFB_logo__4C_horizontal_black.png?w=620\",\"excerpt\":\"TikTok is offering eligible merchants $200 in TikTok ad credit (terms &amp; conditions apply). Create advertising campaigns and reach one billion global users with TikTok for WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/tiktok-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"a6f95b36-133e-443e-8e31-6e7a67eb597c\",\"slug\":\"tiktok-for-woocommerce\",\"id\":18734000336353,\"rating\":3.3,\"reviews_count\":25,\"vendor_name\":\"TikTok for Business\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/tiktok-for-business\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2022\\/04\\/tt2.jpg\"},{\"title\":\"Authorize.Net\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/Thumbnail-Authorize.net-updated.png\",\"excerpt\":\"Authorize.Net gateway with support for pre-orders and subscriptions.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/authorize-net\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"8b61524fe53add7fdd1a8d1b00b9327d\",\"slug\":\"woocommerce-gateway-authorize-net-cim\",\"id\":178481,\"rating\":4.4,\"reviews_count\":60,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Stockage Amazon S3\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/amazon.png\",\"excerpt\":\"Servez des produits num\\u00e9riques via Amazon S3\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/amazon-s3-storage\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"473bf6f221b865eff165c97881b473bb\",\"slug\":\"woocommerce-amazon-s3-storage\",\"id\":18663,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/02\\/amazon-s3-storage-icon.png\"},{\"title\":\"Plusieurs adresses d\\u2019exp\\u00e9dition\",\"image\":\"\",\"excerpt\":\"Permettez \\u00e0 vos clients d\\u2019exp\\u00e9dier des articles individuels en une seule commande \\u00e0 plusieurs adresses.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipping-multiple-addresses\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"aa0eb6f777846d329952d5b891d6f8cc\",\"slug\":\"woocommerce-shipping-multiple-addresses\",\"id\":18741,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Gestion du stock en bloc\",\"image\":\"\",\"excerpt\":\"Modifiez les niveaux de stock des produits et des variantes en bloc via cette interface pratique\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/bulk-stock-management\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"02f4328d52f324ebe06a78eaaae7934f\",\"slug\":\"woocommerce-bulk-stock-management\",\"id\":18670,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Ventes forc\\u00e9es\",\"image\":\"\",\"excerpt\":\"Forcez l\\u2019ajout de produits au panier\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/force-sells\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"3ebddfc491ca168a4ea4800b893302b0\",\"slug\":\"woocommerce-force-sells\",\"id\":18678,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/force-sells-icon.png\"},{\"title\":\"WooCommerce Purchase Order Gateway\",\"image\":\"\",\"excerpt\":\"Recevez des bons de commande via votre boutique en ligne optimis\\u00e9e par WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gateway-purchase-order\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"573a92318244ece5facb449d63e74874\",\"slug\":\"woocommerce-gateway-purchase-order\",\"id\":478542,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Quick View\",\"image\":\"\",\"excerpt\":\"Affichez un bouton d\\u2019aper\\u00e7u rapide pour voir les d\\u00e9tails du produit et un bouton d\\u2019ajout au panier via une fen\\u00eatre contextuelle lightbox\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-quick-view\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"619c6e57ce72c49c4b57e15b06eddb65\",\"slug\":\"woocommerce-quick-view\",\"id\":187509,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/05\\/quick-view-icon.png\"},{\"title\":\"WooCommerce Box Office\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-BO-Dark.png\",\"excerpt\":\"Vendez des tickets pour votre prochain \\u00e9v\\u00e9nement, concert, r\\u00e9ception, collecte de fonds ou conf\\u00e9rence directement sur votre propre site\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-box-office\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"e704c9160de318216a8fa657404b9131\",\"slug\":\"woocommerce-box-office\",\"id\":1628717,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Returns and Warranty Requests\",\"image\":\"\",\"excerpt\":\"Manage the RMA process, add warranties to products, and let customers request and manage returns\\/exchanges from their account.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/warranty-requests\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"9b4c41102e6b61ea5f558e16f9b63e25\",\"slug\":\"woocommerce-warranty\",\"id\":228315,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Order Barcodes\",\"image\":\"\",\"excerpt\":\"G\\u00e9n\\u00e8re un code-barres unique pour chaque commande pass\\u00e9e sur votre site. Parfait pour les tickets \\u00e9lectroniques, les bons de livraison, les r\\u00e9servations et diverses autres utilisations.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-order-barcodes\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"889835bb29ee3400923653e1e44a3779\",\"slug\":\"woocommerce-order-barcodes\",\"id\":391708,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Bookings Availability\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Bookings-Aval-Dark.png\",\"excerpt\":\"Vendez plus de r\\u00e9servations en pr\\u00e9sentant un agenda ou un planning de cr\\u00e9neaux horaires disponibles sur une page ou dans un article.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/bookings-availability\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"30770d2a-e392-4e82-baaa-76cfc7d02ae3\",\"slug\":\"woocommerce-bookings-availability\",\"id\":4228225,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"LiveChat for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/11\\/LC_woo_regular-zmiaym.png\",\"excerpt\":\"Live Chat and messaging platform for sales and support -- increase average order value and overall sales through live conversations.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/livechat\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.livechat.com\\/livechat-for-ecommerce\\/?a=woocommerce&amp;utm_source=woocommerce.com&amp;utm_medium=integration&amp;utm_campaign=woocommerce.com\",\"price\":\"&#36;0.00\",\"hash\":\"5344cc1f-ed4a-4d00-beff-9d67f6d372f3\",\"slug\":\"livechat-woocommerce\",\"id\":1348888,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Live Chat\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/live-chat\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/11\\/LiveChat.png\"},{\"title\":\"WooCommerce 360\\u00ba Image\",\"image\":\"\",\"excerpt\":\"Un moyen simple d\\u2019ajouter une rotation d\\u2019image \\u00e0 360\\u00ba dynamique et contr\\u00f4lable \\u00e0 votre site WooCommerce, en ajoutant un groupe d\\u2019images \\u00e0 la galerie d\\u2019un produit.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-360-image\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"24eb2cfa3738a66bf3b2587876668cd2\",\"slug\":\"woocommerce-360-image\",\"id\":512186,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/360-image-icon.png\"},{\"title\":\"WooCommerce Photography\",\"image\":\"\",\"excerpt\":\"Vendez des photos en un clin d\\u2019\\u0153il en utilisant cette interface simple de glisser-d\\u00e9poser.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-photography\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"ee76e8b9daf1d97ca4d3874cc9e35687\",\"slug\":\"woocommerce-photography\",\"id\":583602,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/01\\/photography-icon.png\"},{\"title\":\"Module logiciel\",\"image\":\"\",\"excerpt\":\"Vendez des cl\\u00e9s de licence pour des logiciels\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/software-add-on\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"79f6dbfe1f1d3a56a86f0509b6d6b04b\",\"slug\":\"woocommerce-software-add-on\",\"id\":18683,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/software-add-on-icon.png\"},{\"title\":\"WooCommerce Products Compare\",\"image\":\"\",\"excerpt\":\"WooCommerce Products Compare permettra \\u00e0 vos clients potentiels de comparer facilement les produits de votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-products-compare\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"c3ba0a4a3199a0cc7a6112eb24414548\",\"slug\":\"woocommerce-products-compare\",\"id\":853117,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/04\\/products-compare-icon.png\"},{\"title\":\"WooCommerce Store Catalog PDF Download\",\"image\":\"\",\"excerpt\":\"Proposez \\u00e0 vos clients un t\\u00e9l\\u00e9chargement PDF de votre catalogue de produits, g\\u00e9n\\u00e9r\\u00e9 par WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-store-catalog-pdf-download\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"79ca7aadafe706364e2d738b7c1090c4\",\"slug\":\"woocommerce-store-catalog-pdf-download\",\"id\":675790,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/03\\/store-catalog-pdf-download-icon.png\"},{\"title\":\"Storefront Homepage Contact Section\",\"image\":\"\",\"excerpt\":\"Ajoutez une section Contact \\u00e0 la page d\\u2019accueil du th\\u00e8me\\u00a0Storefront.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-homepage-contact-section\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"cb12b87f8bbb0139dafbf92ca1f871ef\",\"slug\":\"storefront-homepage-contact-section\",\"id\":1468793,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"WooCommerce Zapier\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/09\\/zapier-logo-1.png\",\"excerpt\":\"Int\\u00e9grez votre boutique WooCommerce avec plus de 5\\u00a0000\\u00a0applications et services cloud aujourd\\u2019hui. Approuv\\u00e9 par plus de 12\\u00a0000\\u00a0utilisateurs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-zapier\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"0782bdbe932c00f4978850268c6cfe40\",\"slug\":\"woocommerce-zapier\",\"id\":243589,\"rating\":4.4,\"reviews_count\":47,\"vendor_name\":\"OM4\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/om4\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/09\\/zapier-icon-80px@2x.png\"},{\"title\":\"Storefront\\u00a0Footer\\u00a0Bar\",\"image\":\"\",\"excerpt\":\"Au-dessus de la zone de widget du pied de page de\\u00a0Storefront, ajoutez une zone de widgets en pleine largeur que vous pouvez personnaliser avec des couleurs et une image d\\u2019arri\\u00e8re-plan.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-footer-bar\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"6cfd3d4f923cafa16e4801ae801751f4\",\"slug\":\"storefront-footer-bar\",\"id\":1434472,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"Smart Coupons\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/wc-product-smart-coupons.png\",\"excerpt\":\"Tout ce dont vous avez besoin pour les cartes-cadeaux, les remises, les codes promo, les cr\\u00e9dits de boutique, les formules \\u00ab\\u00a0Un achet\\u00e9 un offert\\u00a0\\u00bb, les cadeaux, les offres et les promotions. Smart Coupons est l\\u2019extension de code promo originale, la plus compl\\u00e8te, la plus vendue et la plus avanc\\u00e9e de WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/smart-coupons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"http:\\/\\/demo.storeapps.org\\/?demo=sc\",\"price\":\"&#36;129.00\",\"hash\":\"05c45f2aa466106a466de4402fff9dde\",\"slug\":\"woocommerce-smart-coupons\",\"id\":18729,\"rating\":4.5,\"reviews_count\":159,\"vendor_name\":\"StoreApps\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/storeapps\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/wc-icon-smart-coupons-160-p8fwgu.png\"},{\"title\":\"WooCommerce Customer \\/ Order \\/ Coupon Export\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/02\\/Thumbnail-Customer-Order-Coupon-Export-updated.png\",\"excerpt\":\"Exportez des clients, des commandes et des codes promo \\u00e0 partir de WooCommerce manuellement ou selon un calendrier automatis\\u00e9.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/ordercustomer-csv-export\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"914de15813a903c767b55445608bf290\",\"slug\":\"woocommerce-customer-order-csv-export\",\"id\":18652,\"rating\":4.4,\"reviews_count\":32,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Name Your Price\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/nyp-icon-dark-v83owf.png\",\"excerpt\":\"Permettez aux clients de d\\u00e9finir le prix des produits. \\u00c9galement utile pour accepter les dons des utilisateurs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/name-your-price\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"31b4e11696cd99a3c0572975a84f1c08\",\"slug\":\"woocommerce-name-your-price\",\"id\":18738,\"rating\":5,\"reviews_count\":73,\"vendor_name\":\"Backcourt Development\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/backcourt-development\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/nyp-icon-80x80-1.jpg\"},{\"title\":\"Google Product Feed\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/11\\/logo-regular-lscryp.png\",\"excerpt\":\"Fournissez des donn\\u00e9es produit enrichies \\u00e0 Google Merchant Center pour configurer des listes de produits gratuites, des annonces produits et des campagnes de stock locales. Contr\\u00f4lez totalement vos associations de champs et le contenu des flux afin d\\u2019optimiser les performances de la campagne et les d\\u00e9penses publicitaires.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-product-feed\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"d55b4f852872025741312839f142447e\",\"slug\":\"woocommerce-product-feeds\",\"id\":18619,\"rating\":4.3,\"reviews_count\":56,\"vendor_name\":\"Ademti Software\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/ademti-software\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/11\\/product-icon-omiutq.png\"},{\"title\":\"Storefront Reviews\",\"image\":\"\",\"excerpt\":\"Reviews can often be the deciding factor when making a purchase online. Highlight your best reviews on your homepage, or across your site with Storefront Reviews.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-reviews\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/storefront\\/reviews\\/\",\"price\":\"&#36;19.00\",\"hash\":\"0c8a1d86b8eff9f1edffa923aeb3fc1f\",\"slug\":\"storefront-reviews\",\"id\":1044976,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"Mercado Pago Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/05\\/logo-juzfys.png\",\"excerpt\":\"Mercado Pago est d\\u00e9j\\u00e0 pr\\u00e9sent dans 7\\u00a0pays d\\u2019Am\\u00e9rique latine et dispose du meilleur syst\\u00e8me de validation de commande pour les pr\\u00e9f\\u00e9rences de vos clients et votre type de boutique en ligne. Garantissez la s\\u00e9curit\\u00e9 et proposez les principaux moyens de paiement sans souci.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/mercado-pago-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"b51b437b-1948-4405-b96e-0ef86485d3eb\",\"slug\":\"woocommerce-mercadopago\",\"id\":7909962,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Mercado Pago\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/mercado-pago\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/05\\/Mercado-Pago.png\"},{\"title\":\"Klarna Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Partner_marketing_Klarna_Checkout_Black-1.png\",\"excerpt\":\"Klarna Checkout is a full checkout experience embedded on your site that includes all popular payment methods (Pay Now, Pay Later, Financing, Installments).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/klarna-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.krokedil.se\\/klarnacheckout\\/\",\"price\":\"&#36;0.00\",\"hash\":\"90f8ce584e785fcd8c2d739fd4f40d78\",\"slug\":\"klarna-checkout-for-woocommerce\",\"id\":2754152,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Krokedil\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/krokedil\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/klarna-checkout-icon.png\"},{\"title\":\"WooCommerce Print Invoices & Packing Lists\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/03\\/Thumbnail-Print-Invoices-Packing-lists-updated.png\",\"excerpt\":\"G\\u00e9n\\u00e9rez des factures, des bordereaux d\\u2019exp\\u00e9dition et des listes de pr\\u00e9paration pour vos commandes WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/print-invoices-packing-lists\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"465de1126817cdfb42d97ebca7eea717\",\"slug\":\"woocommerce-pip\",\"id\":18666,\"rating\":4.4,\"reviews_count\":30,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Tarification dynamique\",\"image\":\"\",\"excerpt\":\"Remises en lot, tarification bas\\u00e9e sur les r\\u00f4les, etc.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/dynamic-pricing\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"9a41775bb33843f52c93c922b0053986\",\"slug\":\"woocommerce-dynamic-pricing\",\"id\":18643,\"rating\":3.2,\"reviews_count\":32,\"vendor_name\":\"Element Stark\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/element-stark\\/\",\"icon\":null},{\"title\":\"Sensei\\u00a0LMS Course\\u00a0Progress\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-course-progress.png\",\"excerpt\":\"Permettez \\u00e0 vos \\u00e9tudiants de suivre leur progression et de reprendre l\\u00e0 o\\u00f9 ils s\\u2019\\u00e9taient arr\\u00eat\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-course-progress\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"ec0f55d8fa7c517dc1844f5c873a77da\",\"slug\":\"sensei-course-progress\",\"id\":435833,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"Composite Products\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/06\\/logo-cp-ey7bzs.png\",\"excerpt\":\"Cr\\u00e9ez des g\\u00e9n\\u00e9rateurs de kits de produits et des configurateurs de produits personnalis\\u00e9s \\u00e0 l\\u2019aide de produits existants.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/composite-products\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"0343e0115bbcb97ccd98442b8326a0af\",\"slug\":\"woocommerce-composite-products\",\"id\":216836,\"rating\":4.9,\"reviews_count\":102,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Gravity Forms Product Add-ons\",\"image\":\"\",\"excerpt\":\"Modules produits puissants, style Gravity\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/gravity-forms-add-ons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.elementstark.com\\/woocommerce-extension-demos\\/product-category\\/gravity-forms\\/\",\"price\":\"&#36;109.00\",\"hash\":\"a6ac0ab1a1536e3a357ccf24c0650ed0\",\"slug\":\"woocommerce-gravityforms-product-addons\",\"id\":18633,\"rating\":3.9,\"reviews_count\":12,\"vendor_name\":\"Element Stark\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/element-stark\\/\",\"icon\":null},{\"title\":\"Sensei LMS Certificates\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-certificates.png\",\"excerpt\":\"Remettez des certificats \\u00e0 vos \\u00e9tudiants attestant de leur r\\u00e9ussite pour les f\\u00e9liciter d\\u2019avoir termin\\u00e9 un cours.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-certificates\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"625ee5fe1bf36b4c741ab07507ba2ffd\",\"slug\":\"sensei-certificates\",\"id\":247548,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"Avis Trustpilot\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/Trustpilot_brandmark_gr-blk_RGB-2-1-px9shb.png\",\"excerpt\":\"Collectez et affichez des avis v\\u00e9rifi\\u00e9s auxquels les consommateurs font confiance.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/trustpilot-reviews\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"cbbd9b5e-b226-492c-a87e-cb21743ed8bf\",\"slug\":\"trustpilot-reviews\",\"id\":8173894,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Trustpilot\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/trustpilot\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/logo-160x160-1.png\"},{\"title\":\"Eway\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/10\\/51456-Eway-logo-tagline-RGB-H-yellow-_-grey.png\",\"excerpt\":\"Take credit card payments securely via Eway (AU and NZ) keeping customers on your site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/eway\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"2c497769d98d025e0d340cd0b5ea5da1\",\"slug\":\"woocommerce-gateway-eway\",\"id\":18604,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/10\\/woo-eway-0klzux.png\"},{\"title\":\"Klarna Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Partner_marketing_Klarna_Payments_Pink.png\",\"excerpt\":\"Avec Klarna Payments, vous pouvez choisir le paiement de votre choix, payer maintenant, ult\\u00e9rieurement ou en plusieurs fois. Aucun num\\u00e9ro de carte bancaire, aucun mot de passe, aucun souci.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/klarna-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.krokedil.se\\/klarnapayments\\/\",\"price\":\"&#36;0.00\",\"hash\":\"a19c689325bc8ea63c620765dd54b33a\",\"slug\":\"klarna-payments-for-woocommerce\",\"id\":2754217,\"rating\":2.8,\"reviews_count\":10,\"vendor_name\":\"Krokedil\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/krokedil\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Klarna.png\"},{\"title\":\"Conditional Shipping and Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/03\\/logo-csp-aqfm98.png\",\"excerpt\":\"Utilisez la logique conditionnelle pour limiter les options d\\u2019exp\\u00e9dition et de paiement disponibles sur votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/conditional-shipping-and-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1f56ff002fa830b77017b0107505211a\",\"slug\":\"woocommerce-conditional-shipping-and-payments\",\"id\":680253,\"rating\":4.8,\"reviews_count\":44,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Sensei\\u00a0Pro (WC Paid Courses)\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/01\\/Sensei-Pro.png\",\"excerpt\":\"Vendez vos cours en ligne en utilisant Sensei LMS avec WooCommerce, un syst\\u00e8me complet de gestion d\\u2019apprentissage qui comprend des quiz, des certificats, du contenu d\\u00e9livr\\u00e9 au compte-gouttes, et plus encore.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-paid-courses\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;179.00\",\"hash\":\"bad2a02a063555b7e2bee59924690763\",\"slug\":\"woothemes-sensei\",\"id\":152116,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/01\\/SenseiProWooIcon-aut8wu.png\"},{\"title\":\"WooCommerce Order Status Manager\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/02\\/Thumbnail-Order-Status-Manager-updated.png\",\"excerpt\":\"Cr\\u00e9ez, modifiez et supprimez des \\u00e9tats de commande enti\\u00e8rement personnalis\\u00e9s et int\\u00e9grez-les en toute transparence dans votre flux de gestion des commandes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-order-status-manager\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"51fd9ab45394b4cad5a0ebf58d012342\",\"slug\":\"woocommerce-order-status-manager\",\"id\":588398,\"rating\":4.4,\"reviews_count\":15,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"QuickBooks Sync pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/04\\/woocommerce-com-logo-1-hyhzbh.png\",\"excerpt\":\"L\\u2019int\\u00e9gration la plus personnalisable et robuste permettant d\'assurer la synchronisation de vos donn\\u00e9es pour les commandes, les clients, les produits, l\\u2019inventaire et bien plus entre WooCommerce et QuickBooks (Online, Desktop, ou POS)\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/quickbooks-sync-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"c5e32e20-7c1f-4585-8b15-d930c2d842ac\",\"slug\":\"myworks-woo-sync-for-quickbooks-online\",\"id\":4065824,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"MyWorks Software\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/myworks-software\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/04\\/qb_thumb.png\"},{\"title\":\"Sensei\\u00a0LMS Media\\u00a0Attachments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-media-attachments.png\",\"excerpt\":\"Donnez-leur acc\\u00e8s \\u00e0 du mat\\u00e9riel d\\u2019apprentissage suppl\\u00e9mentaire (fichiers audio, diaporamas, PDF, etc.).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-media-attachments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"788647a9a1d8ef5c95371f0e69223a0f\",\"slug\":\"sensei-media-attachments\",\"id\":290551,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"reCaptcha pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/WooCommerce-reCpatcha.png?w=150&amp;h=150&amp;crop=1\",\"excerpt\":\"Prot\\u00e9gez votre boutique eCommerce contre les attaques malveillantes et automatis\\u00e9es en utilisant reCaptcha pour WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/recaptcha-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.i13websolution.com\\/wp-test\\/\",\"price\":\"&#36;29.00\",\"hash\":\"c9793ede-aadc-484f-8c5a-1a0776604ce6\",\"slug\":\"recaptcha-for-woocommerce\",\"id\":5347485,\"rating\":4,\"reviews_count\":23,\"vendor_name\":\"I13 Web Solution\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/i13-web-solution\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/reCaptcha-For-WooCOmmerce-logo-164x164-2.png\"},{\"title\":\"WooCommerce Product Search\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce-product-search-product-image-1870x960-1-jvsljj.png\",\"excerpt\":\"Le moteur de recherche id\\u00e9al aide les clients \\u00e0 trouver et acheter des produits rapidement, ce qui est essentiel pour chaque boutique WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-product-search\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.itthinx.com\\/wps\\/\",\"price\":\"&#36;49.00\",\"hash\":\"c84cc8ca16ddac3408e6b6c5871133a8\",\"slug\":\"woocommerce-product-search\",\"id\":512174,\"rating\":4.4,\"reviews_count\":166,\"vendor_name\":\"itthinx\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/itthinx\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce-product-search-product-icon-160x160-sunrise.png\"},{\"title\":\"WooCommerce One Page Checkout\",\"image\":\"\",\"excerpt\":\"Cr\\u00e9ez des pages sp\\u00e9ciales o\\u00f9 les clients peuvent choisir des produits, valider leur commande et payer sur une seule page.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-one-page-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"c9ba8f8352cd71b5508af5161268619a\",\"slug\":\"woocommerce-one-page-checkout\",\"id\":527886,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce.png\"},{\"title\":\"Viva Wallet Standard Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/04\\/Viva-Wallet-logo.png?w=374\",\"excerpt\":\"Int\\u00e9grez la passerelle de paiement Viva Wallet \\u00e0 votre boutique WooCommerce pour traiter et synchroniser vos paiements, et vous aider \\u00e0 vendre plus.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/viva-wallet-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"7240a329-047f-4d8b-b7ec-ee3defd798bd\",\"slug\":\"viva-wallet-for-woocommerce\",\"id\":6137160,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Viva Wallet\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/viva-wallet\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/07\\/Viva-Wallet.png\"},{\"title\":\"Sequential Order Numbers Pro\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/Thumbnail-Sequential-Order-Numbers-Pro-updated.png\",\"excerpt\":\"Ma\\u00eetrisez vos num\\u00e9ros de commande\\u00a0! Mettez \\u00e0 niveau \\u00e0 partir de Sequential Order Numbers avec des fonctionnalit\\u00e9s avanc\\u00e9es et des pr\\u00e9fixes\\/suffixes facultatifs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sequential-order-numbers-pro\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"0b18a2816e016ba9988b93b1cd8fe766\",\"slug\":\"woocommerce-sequential-order-numbers-pro\",\"id\":18688,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"WooCommerce Google Analytics Pro\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/Thumbnail-GAPro-updated.png\",\"excerpt\":\"Ajoutez un suivi avanc\\u00e9 des \\u00e9v\\u00e9nements et un suivi am\\u00e9lior\\u00e9 du eCommerce \\u00e0 votre site WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-google-analytics-pro\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"d8aed8b7306b509eec1589e59abe319f\",\"slug\":\"woocommerce-google-analytics-pro\",\"id\":1312497,\"rating\":3.1,\"reviews_count\":33,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"}]}\";s:3:\"raw\";s:76923:\"HTTP/1.1 200 OK\r\nServer: nginx\r\nDate: Thu, 08 Jun 2023 07:19:00 GMT\r\nContent-Type: application/json; charset=UTF-8\r\nContent-Length: 14856\r\nConnection: close\r\nX-Robots-Tag: noindex\r\nLink: <https://woocommerce.com/wp-json/>; rel=\"https://api.w.org/\"\r\nX-Content-Type-Options: nosniff\r\nAccess-Control-Expose-Headers: X-WP-Total, X-WP-TotalPages, Link\r\nAccess-Control-Allow-Headers: Authorization, X-WP-Nonce, Content-Disposition, Content-MD5, Content-Type\r\nX-WCCOM-Cache: HIT\r\nCache-Control: max-age=60\r\nAllow: GET\r\nX-rq: cdg2 85 188 443\r\nContent-Encoding: gzip\r\nAge: 43\r\nX-Cache: hit\r\nVary: Accept-Encoding, Origin\r\nAccept-Ranges: bytes\r\nStrict-Transport-Security: max-age=31536000\r\n\r\n{\"products\":[{\"title\":\"Google Analytics pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/GA-Dark.png\",\"excerpt\":\"Comprenez vos clients et augmentez vos revenus avec la principale plateforme d\\u2019analyse au monde, int\\u00e9gr\\u00e9e gratuitement \\u00e0 WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-google-analytics\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"2d21f7de14dfb8e9885a4622be701ddf\",\"slug\":\"woocommerce-google-analytics-integration\",\"id\":1442927,\"rating\":4.4,\"reviews_count\":23,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/woo-Google_Analytics-fvsrvf.png\"},{\"title\":\"Taxe WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Tax-Dark.png\",\"excerpt\":\"Automatically calculate how much sales tax should be collected for WooCommerce orders - by city, country, or state - at checkout.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/tax\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"f31b3b9273cce188cc2b27f7849d02dd\",\"slug\":\"woocommerce-services\",\"id\":3220291,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Stripe\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Stripe-Dark-1.png\",\"excerpt\":\"Acceptez toutes les principales cartes bancaires ainsi que les moyens de paiement locaux avec Stripe.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/stripe\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"50bb7a985c691bb943a9da4d2c8b5efd\",\"slug\":\"woocommerce-gateway-stripe\",\"id\":18627,\"rating\":4.3,\"reviews_count\":28,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/12\\/stripe-app-icon-7m1xi7.png\"},{\"title\":\"MailChimp for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/09\\/logo-mailchimp-dark-v2.png\",\"excerpt\":\"Augmentez le trafic, favorisez les achats r\\u00e9p\\u00e9t\\u00e9s et personnalisez votre marketing lorsque vous vous connectez \\u00e0 Mailchimp.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/mailchimp-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"b4481616ebece8b1ff68fc59b90c1a91\",\"slug\":\"mailchimp-for-woocommerce\",\"id\":2545166,\"rating\":3.6,\"reviews_count\":12,\"vendor_name\":\"Mailchimp\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/mailchimp\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/09\\/Mailchimp.png\"},{\"title\":\"Jetpack\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/11\\/Jetpack-1-m5mwyg.png\",\"excerpt\":\"Des outils de s\\u00e9curit\\u00e9, performance et marketing con\\u00e7us pour les boutiques WooCommerce par des sp\\u00e9cialistes WordPress. Lancez-vous gratuitement en essayant des outils de s\\u00e9curit\\u00e9 et de performance basiques.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/jetpack\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"d5bfef9700b62b2b132c74c74c3193eb\",\"slug\":\"jetpack\",\"id\":2725249,\"rating\":4.7,\"reviews_count\":13,\"vendor_name\":\"Jetpack\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/jetpack\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/02\\/jetpack-logo--80sgtq.png\"},{\"title\":\"Facebook pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Facebook-Dark.png\",\"excerpt\":\"Obtenez l\\u2019extension officielle Facebook for WooCommerce pour toucher vos clients sur Facebook, Instagram, Messenger et WhatsApp.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/facebook\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"0ea4fe4c2d7ca6338f8a322fb3e4e187\",\"slug\":\"facebook-for-woocommerce\",\"id\":2127297,\"rating\":2,\"reviews_count\":65,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/04\\/fb-woodotcom.png\"},{\"title\":\"WooCommerce Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/woocommerce-payments@2x.png\",\"excerpt\":\"La seule solution de paiement enti\\u00e8rement int\\u00e9gr\\u00e9e \\u00e0 Woo. Acceptez les cartes de cr\\u00e9dit\\/d\\u00e9bit et les options de paiement locales sans frais d\\u2019installation ni frais mensuels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"8c6319ca-8f41-4e69-be63-6b15ee37773b\",\"slug\":\"woocommerce-payments\",\"id\":5278104,\"rating\":4.2,\"reviews_count\":28,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/woo-WooCommerce_Payments-mtulxp.png\"},{\"title\":\"Google Listings & Ads\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/Marketplace_card_Google.png\",\"excerpt\":\"Touchez des millions d\\u2019acheteurs actifs sur Google gr\\u00e2ce \\u00e0 des annonces et des fiches produits gratuites. Contr\\u00f4lez votre flux de produits en vous synchronisant avec le Google Merchant Center. Con\\u00e7u en partenariat avec Google.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-listings-and-ads\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"118f4d86-f126-4c3a-8525-644e3170d161\",\"slug\":\"google-listings-and-ads\",\"id\":7623964,\"rating\":2.7,\"reviews_count\":18,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/woo-GoogleListingsAds-jworee.png\"},{\"title\":\"Square pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Square-Dark.png\",\"excerpt\":\"Accepter les paiements est facile avec Square. Taux clairs, acomptes rapides (1 \\u00e0 2\\u00a0jours ouvrables). Vendez en ligne et en personne, et synchronisez tous les paiements, articles et stocks.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/square\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"e907be8b86d7df0c8f8e0d0020b52638\",\"slug\":\"woocommerce-square\",\"id\":1770503,\"rating\":3.3,\"reviews_count\":97,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/07\\/woo-Square-u8km15.png\"},{\"title\":\"WooCommerce Product Add-Ons\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Product-Add-Ons-Dark.png\",\"excerpt\":\"Proposez des services compl\\u00e9mentaires comme l\\u2019emballage cadeau, des messages sp\\u00e9ciaux et d\\u2019autres options sp\\u00e9ciales pour vos produits.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-add-ons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"147d0077e591e16db9d0d67daeb8c484\",\"slug\":\"woocommerce-product-addons\",\"id\":18618,\"rating\":3.2,\"reviews_count\":27,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Amazon Pay\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Amazon-Pay-Dark.png\",\"excerpt\":\"Offrez une validation de commande rapide et famili\\u00e8re \\u00e0 des centaines de millions de clients Amazon actifs dans le monde\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/pay-with-amazon\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"9865e043bbbe4f8c9735af31cb509b53\",\"slug\":\"woocommerce-gateway-amazon-payments-advanced\",\"id\":238816,\"rating\":3.1,\"reviews_count\":29,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/08\\/woo-Amazon_Pay-8lvfuy.png\"},{\"title\":\"WooCommerce Shipping\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Ship-Dark-1.png\",\"excerpt\":\"Imprimez des \\u00e9tiquettes USPS et DHL directement depuis votre tableau de bord WooCommerce et \\u00e9conomisez instantan\\u00e9ment jusqu\\u2019\\u00e0 90\\u00a0%. WooCommerce Shipping est gratuit et vous fait gagner du temps et de l\\u2019argent.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipping\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"f31b3b9273cce188cc2b27f7849d02dd\",\"slug\":\"woocommerce-services\",\"id\":2165910,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2017\\/06\\/WooCommerce-icon-160x160-1.webp\"},{\"title\":\"M\\u00e9thode d\\u2019exp\\u00e9dition USPS\",\"image\":\"\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API USPS qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/usps-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"83d1524e8f5f1913e58889f83d442c32\",\"slug\":\"woocommerce-shipping-usps\",\"id\":18657,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-USPS-yhn1rb.png\"},{\"title\":\"Paiements PayPal\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/PPCP-Tile-PayPal-Logo-and-Cart-Art-2x-2-uozwz8.jpg\",\"excerpt\":\"Une seule solution de validation de commande. Plusieurs moyens de paiement. La solution tout-en-un de PayPal vous permet de proposer \\u00e0 vos clients de payer via PayPal, Venmo (\\u00c9tats-Unis) et Pay\\u00a0Later sans frais suppl\\u00e9mentaires, par carte de cr\\u00e9dit et de d\\u00e9bit, ainsi que via des options de paiement sp\\u00e9cifiques \\u00e0 chaque pays.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-paypal-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"934115ab-e3f3-4435-9580-345b1ce21899\",\"slug\":\"woocommerce-paypal-payments\",\"id\":6410731,\"rating\":3.6,\"reviews_count\":103,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/woo-PayPal-nlioum.png\"},{\"title\":\"UPS Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/UPS-Shipping-Method-Dark.png\",\"excerpt\":\"Get shipping rates from the UPS API which handles both domestic and international parcels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/ups-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"8dae58502913bac0fbcdcaba515ea998\",\"slug\":\"woocommerce-shipping-ups\",\"id\":18665,\"rating\":3.3,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-UPS-1.png\"},{\"title\":\"Abonnements WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Subscriptions-Dark.png\",\"excerpt\":\"Permettez aux clients de s\\u2019abonner \\u00e0 vos produits ou services et de payer toutes les semaines, tous les mois ou tous les ans.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-subscriptions\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;239.00\",\"hash\":\"6115e6d7e297b623a169fdcf5728b224\",\"slug\":\"woocommerce-subscriptions\",\"id\":27147,\"rating\":3.3,\"reviews_count\":66,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Suivi de l\\u2019exp\\u00e9dition\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Ship-Tracking-Dark-1.png\",\"excerpt\":\"Ajoutez des informations de suivi de l\\u2019exp\\u00e9dition \\u00e0 vos commandes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipment-tracking\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"1968e199038a8a001c9f9966fd06bf88\",\"slug\":\"woocommerce-shipment-tracking\",\"id\":18693,\"rating\":3.6,\"reviews_count\":14,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Quantit\\u00e9s Min\\/Max\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Min-Max-Qua-Dark.png\",\"excerpt\":\"R\\u00e8gles de quantit\\u00e9 minimale et maximale pour les produits, les commandes et les cat\\u00e9gories.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/minmax-quantities\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"2b5188d90baecfb781a5aa2d6abb900a\",\"slug\":\"woocommerce-min-max-quantities\",\"id\":18616,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Australia Post Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/australia-post.gif\",\"excerpt\":\"Get shipping rates for your WooCommerce store from the Australia Post API, which handles both domestic and international parcels.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/australia-post-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1dbd4dc6bd91a9cda1bd6b9e7a5e4f43\",\"slug\":\"woocommerce-shipping-australia-post\",\"id\":18622,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-AustraliaPost.png\"},{\"title\":\"Canada Post Shipping Method\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/canada-post.png\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API d\\u2019\\u00e9valuation de Postes Canada qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/canada-post-shipping-method\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"ac029cdf3daba20b20c7b9be7dc00e0e\",\"slug\":\"woocommerce-shipping-canada-post\",\"id\":18623,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-CanadaPost-fjlcfq.png\"},{\"title\":\"Royal Mail\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/royalmail.png\",\"excerpt\":\"Offer Royal Mail shipping rates to your customers.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/royal-mail\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"03839cca1a16c4488fcb669aeb91a056\",\"slug\":\"woocommerce-shipping-royalmail\",\"id\":182719,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/woo-RoyalMail-sd9zwy.png\"},{\"title\":\"M\\u00e9thode d\\u2019exp\\u00e9dition FedEx\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/FedEx_Logo_Wallpaper.jpeg\",\"excerpt\":\"Obtenez les tarifs d\\u2019exp\\u00e9dition de l\\u2019API FedEX qui g\\u00e8re les colis nationaux et internationaux.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/fedex-shipping-module\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1a48b598b47a81559baadef15e320f64\",\"slug\":\"woocommerce-shipping-fedex\",\"id\":18620,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/01\\/woo-FedEx-auxjb7.png\"},{\"title\":\"Product Bundles\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/07\\/logo-pb-lzevsq.png\",\"excerpt\":\"Proposez des lots de produits personnalis\\u00e9s, des packages de remises en lot et des produits assembl\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-bundles\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"aa2518b5-ab19-4b75-bde9-60ca51e20f28\",\"slug\":\"woocommerce-product-bundles\",\"id\":18716,\"rating\":4.9,\"reviews_count\":124,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Avalara AvaTax\",\"image\":\"\",\"excerpt\":\"Automated sales tax calculations for your WooCommerce store.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-avatax\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"57077a4b28ba71cacf692bcf4a1a7f60\",\"slug\":\"woocommerce-avatax\",\"id\":1389326,\"rating\":3.3,\"reviews_count\":16,\"vendor_name\":\"Avalara\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/avalara\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/Avalara-Wordpress-Plugin-Creative_icon-80.png\"},{\"title\":\"Marques WooCommerce\",\"image\":\"\",\"excerpt\":\"Cr\\u00e9ez, associez et r\\u00e9pertoriez les marques des produits, et permettez aux clients de visualiser les produits par marque.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/brands\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"8a88c7cbd2f1e73636c331c7a86f818c\",\"slug\":\"woocommerce-brands\",\"id\":18737,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"TaxJar\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/taxjar-logotype.png\",\"excerpt\":\"Automatisez la conformit\\u00e9 aux taxes de vente pour votre entreprise de eCommerce multi-canale. Calculs pr\\u00e9cis des taxes de vente, agr\\u00e9gation de donn\\u00e9es, rapports de qualit\\u00e9 et d\\u00e9claration pour votre boutique WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/taxjar\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"12072d8e-e933-4561-97b1-9db3c7eeed91\",\"slug\":\"taxjar-simplified-taxes-for-woocommerce\",\"id\":514914,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"TaxJar\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/taxjar\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/TaxJar.png\"},{\"title\":\"ShipStation for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Shipstation-Dark.png\",\"excerpt\":\"Exp\\u00e9diez vos commandes WooCommerce en toute confiance, \\u00e9conomisez sur les meilleurs transporteurs et automatisez vos exp\\u00e9ditions avec ShipStation.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipstation-integration\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"9de8640767ba64237808ed7f245a49bb\",\"slug\":\"woocommerce-shipstation-integration\",\"id\":18734,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woo-Shipstation-xqap96.png\"},{\"title\":\"Gift Cards\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/03\\/logo-gc-z327mo.png\",\"excerpt\":\"Proposez des cartes-cadeaux num\\u00e9riques pr\\u00e9pay\\u00e9es que les clients peuvent utiliser en ligne.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/gift-cards\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"4e0e8c35-e777-4ecc-b96b-202ee1eb256f\",\"slug\":\"woocommerce-gift-cards\",\"id\":5571998,\"rating\":4.5,\"reviews_count\":37,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Num\\u00e9ro de TVA intracommunautaire\",\"image\":\"\",\"excerpt\":\"Collectez les num\\u00e9ros de TVA lors de la validation de commande et supprimez les frais de TVA pour les entreprises \\u00e9ligibles de l\\u2019UE.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/eu-vat-number\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"d2720c4b4bb8d6908e530355b7a2d734\",\"slug\":\"woocommerce-eu-vat-number\",\"id\":18592,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Payfast Payment Gateway\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/09\\/Stand-Alone-Safe-Zone@1x.png\",\"excerpt\":\"Take payments on your WooCommerce store via Payfast (redirect method).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/payfast-payment-gateway\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"557bf07293ad916f20c207c6c9cd15ff\",\"slug\":\"woocommerce-payfast-gateway\",\"id\":18596,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/09\\/Payfast-favicon-1.png\"},{\"title\":\"Back In Stock Notifications\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/11\\/logo-bis-ircwrk.png\",\"excerpt\":\"Informez les clients lorsque vos produits sont r\\u00e9approvisionn\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/back-in-stock-notifications\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"755424b1-28b6-448a-aeb3-709cb3029eb6\",\"slug\":\"woocommerce-back-in-stock-notifications\",\"id\":6855144,\"rating\":4.4,\"reviews_count\":10,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Product Recommendations\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/07\\/logo-prl-lfwngz.png\",\"excerpt\":\"Proposez des ventes incitatives, des ventes crois\\u00e9es et des recommandations \\u00ab\\u00a0fr\\u00e9quemment achet\\u00e9s ensemble\\u00a0\\u00bb plus intelligentes. Mesurez leur impact gr\\u00e2ce \\u00e0 des analyses approfondies.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-recommendations\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"4f9d0025-64b2-496f-97bb-ef553752d2d1\",\"slug\":\"woocommerce-product-recommendations\",\"id\":4486128,\"rating\":4.9,\"reviews_count\":13,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce\\u00a0Bookings\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Bookings-Dark.png\",\"excerpt\":\"Permettez aux clients de prendre des rendez-vous, de faire des r\\u00e9servations ou de louer du mat\\u00e9riel sans quitter votre site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-bookings\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/hotel\\/\",\"price\":\"&#36;249.00\",\"hash\":\"911c438934af094c2b38d5560b9f50f3\",\"slug\":\"WooCommerce Bookings\",\"id\":390890,\"rating\":2.8,\"reviews_count\":32,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"\\u00c9diteur des champs de validation de la commande\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Checkout-Field-Editor-Dark.png\",\"excerpt\":\"Optimisez votre processus de validation de commande en ajoutant, supprimant ou modifiant des champs en fonction de vos besoins.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-checkout-field-editor\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"2b8029f0d7cdd1118f4d843eb3ab43ff\",\"slug\":\"woocommerce-checkout-field-editor\",\"id\":184594,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Table Rate Shipping\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Product-Table-Rate-Shipping-Dark.png\",\"excerpt\":\"Livraison avanc\\u00e9e et flexible. D\\u00e9finissez diff\\u00e9rents frais de port en fonction du lieu, du prix, du poids, de la classe d\\u2019exp\\u00e9dition ou du nombre d\\u2019articles.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/table-rate-shipping\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"3034ed8aff427b0f635fe4c86bbf008a\",\"slug\":\"woocommerce-table-rate-shipping\",\"id\":18718,\"rating\":4.2,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"AutomateWoo\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-AutomateWoo-Dark-1.png\",\"excerpt\":\"Automatisation puissante du marketing pour WooCommerce. AutomateWoo poss\\u00e8de les outils dont vous avez besoin pour d\\u00e9velopper votre boutique et augmenter votre chiffre d\\u2019affaires.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/automatewoo\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"ba9299b8-1dba-4aa0-a313-28bc1755cb88\",\"slug\":\"automatewoo\",\"id\":4652610,\"rating\":4.1,\"reviews_count\":12,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/10\\/woo-AutomateWoo.png\"},{\"title\":\"Blocs WooCommerce\",\"image\":\"\",\"excerpt\":\"WooCommerce Blocks propose une gamme de blocs Gutenberg que vous pouvez utiliser pour construire et personnaliser votre site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gutenberg-products-block\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"c2e9f13a-f90c-4ffe-a8a5-b432399ec263\",\"slug\":\"woo-gutenberg-products-block\",\"id\":3076677,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/05\\/wooblocks.jpg\"},{\"title\":\"Google, Facebook, reciblage du marketing tout-en-un\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/02\\/Woo-Extension-Logo.png\",\"excerpt\":\"D\\u00e9passez la concurrence et augmentez les ventes de votre boutique en 5\\u00a0minutes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-ads-and-marketing\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"bf66e173-a220-4da7-9512-b5728c20fc16\",\"slug\":\"kliken-marketing-for-google\",\"id\":3866145,\"rating\":4.3,\"reviews_count\":113,\"vendor_name\":\"Kliken\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/kliken\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/02\\/Woo-Extension-Logo-80x80-2.png\"},{\"title\":\"Product CSV Import Suite\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Product-CSV-Import-Dark.png\",\"excerpt\":\"Importez, fusionnez et exportez des produits et variantes vers et depuis WooCommerce \\u00e0 l\\u2019aide d\\u2019un fichier CSV.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-csv-import-suite\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"7ac9b00a1fe980fb61d28ab54d167d0d\",\"slug\":\"woocommerce-product-csv-import-suite\",\"id\":18680,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Pinterest pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/10\\/Marketplace_card_Pinterest.png\",\"excerpt\":\"Pr\\u00e9sentez vos produits aux utilisateurs de Pinterest \\u00e0 la recherche d\\u2019id\\u00e9es et de choses \\u00e0 acheter. Connectez votre boutique WooCommerce pour rendre tout votre catalogue consultable.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/pinterest-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"29785cce-92ef-4b3a-8bd7-979bc688fd47\",\"slug\":\"pinterest-for-woocommerce\",\"id\":8688768,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/10\\/icon@2x-pe5lqg.png\"},{\"title\":\"WooCommerce Accommodation Bookings\",\"image\":\"\",\"excerpt\":\"R\\u00e9servez un h\\u00e9bergement \\u00e0 l\\u2019aide de WooCommerce et de l\\u2019extension WooCommerce Bookings.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-accommodation-bookings\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"99b2a7a4af90b6cefd2a733b3b1f78e7\",\"slug\":\"woocommerce-accommodation-bookings\",\"id\":1412069,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Xero\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woocommerce-xero-integration-sdth2k.jpg\",\"excerpt\":\"Gagnez du temps avec la synchronisation automatis\\u00e9e entre WooCommerce et votre compte Xero.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/xero\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"f0dd29d338d3c67cf6cee88eddf6869b\",\"slug\":\"woocommerce-xero\",\"id\":18733,\"rating\":2.7,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/woo-Xero-4ovyoc.png\"},{\"title\":\"WooCommerce Memberships\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/Thumbnail-Memberships-updated.png\",\"excerpt\":\"Donnez \\u00e0 votre association d\\u2019adh\\u00e9sion, magazine en ligne, site d\\u2019apprentissage en ligne, etc. un contr\\u00f4le d\\u2019acc\\u00e8s au contenu\\/produits et aux remises pour les membres.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-memberships\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;199.00\",\"hash\":\"9288e7609ad0b487b81ef6232efa5cfc\",\"slug\":\"woocommerce-memberships\",\"id\":958589,\"rating\":4.3,\"reviews_count\":96,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Product Vendors\",\"image\":\"\",\"excerpt\":\"Transformer votre boutique en un march\\u00e9 multi-fournisseur\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/product-vendors\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"a97d99fccd651bbdd728f4d67d492c31\",\"slug\":\"woocommerce-product-vendors\",\"id\":219982,\"rating\":2.9,\"reviews_count\":17,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Commerce omnicanal Codisto\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/10\\/Woo-Extension-Store-Logo-v3.png\",\"excerpt\":\"Une seule extension pour vendre sur Amazon, eBay, Walmart et Google directement depuis WooCommerce, avec automatisation et synchronisation en temps r\\u00e9el.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/amazon-ebay-integration\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"e4000666-9275-4c71-8619-be61fb41c9f9\",\"slug\":\"woocommerce-amazon-ebay-integration\",\"id\":3545890,\"rating\":3,\"reviews_count\":38,\"vendor_name\":\"Codisto\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/codisto\\/\",\"icon\":null},{\"title\":\"Points et r\\u00e9compenses WooCommerce\",\"image\":\"\",\"excerpt\":\"R\\u00e9compensez vos clients pour leurs achats et d\\u2019autres actions en leur octroyant des points \\u00e0 \\u00e9changer contre des remises.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-points-and-rewards\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;159.00\",\"hash\":\"1649b6cca5da8b923b01ca56b5cdd246\",\"slug\":\"woocommerce-points-and-rewards\",\"id\":210259,\"rating\":3,\"reviews_count\":14,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Notifications avanc\\u00e9es\",\"image\":\"\",\"excerpt\":\"Configurez facilement des notifications par e-mail \\u00ab\\u00a0nouvelle commande\\u00a0\\u00bb et de stock pour plusieurs destinataires de votre choix.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/advanced-notifications\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;39.00\",\"hash\":\"112372c44b002fea2640bd6bfafbca27\",\"slug\":\"woocommerce-advanced-notifications\",\"id\":18740,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Pr\\u00e9commandes WooCommerce\",\"image\":\"\",\"excerpt\":\"Permettez aux clients de commander des produits avant qu\\u2019ils ne soient disponibles.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-pre-orders\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;159.00\",\"hash\":\"b2dc75e7d55e6f5bbfaccb59830f66b7\",\"slug\":\"woocommerce-pre-orders\",\"id\":178477,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Additional Variation Images\",\"image\":\"\",\"excerpt\":\"Des images illimit\\u00e9es pour vos variantes de produit.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-additional-variation-images\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/storefront\\/product\\/woo-single-1\\/\",\"price\":\"&#36;59.00\",\"hash\":\"c61dd6de57dcecb32bd7358866de4539\",\"slug\":\"woocommerce-additional-variation-images\",\"id\":477384,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Braintree pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/braintree-black-copy.png\",\"excerpt\":\"Acceptez PayPal, les cartes de cr\\u00e9dit et les cartes de d\\u00e9bit avec une solution de passerelle de paiement unique\\u00a0: PayPal Powered by Braintree.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gateway-paypal-powered-by-braintree\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"27f010c8e34ca65b205ddec88ad14536\",\"slug\":\"woocommerce-gateway-paypal-powered-by-braintree\",\"id\":1489837,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Braintree-wrweyl.png\"},{\"title\":\"WooCommerce Deposits\",\"image\":\"\",\"excerpt\":\"Permettez aux clients de payer des produits \\u00e0 l\\u2019aide d\\u2019un acompte ou d\\u2019un plan de paiement.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-deposits\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;219.00\",\"hash\":\"de192a6cf12c4fd803248da5db700762\",\"slug\":\"woocommerce-deposits\",\"id\":977087,\"rating\":1.7,\"reviews_count\":11,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Subscription Downloads\",\"image\":\"\",\"excerpt\":\"Offrez des t\\u00e9l\\u00e9chargements suppl\\u00e9mentaires \\u00e0 vos abonn\\u00e9s gr\\u00e2ce aux produits t\\u00e9l\\u00e9chargeables r\\u00e9pertori\\u00e9s dans votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-subscription-downloads\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"5be9e21c13953253e4406d2a700382ec\",\"slug\":\"woocommerce-subscription-downloads\",\"id\":420458,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"TikTok for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2022\\/04\\/TTFB_logo__4C_horizontal_black.png?w=620\",\"excerpt\":\"TikTok is offering eligible merchants $200 in TikTok ad credit (terms &amp; conditions apply). Create advertising campaigns and reach one billion global users with TikTok for WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/tiktok-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"a6f95b36-133e-443e-8e31-6e7a67eb597c\",\"slug\":\"tiktok-for-woocommerce\",\"id\":18734000336353,\"rating\":3.3,\"reviews_count\":25,\"vendor_name\":\"TikTok for Business\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/tiktok-for-business\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2022\\/04\\/tt2.jpg\"},{\"title\":\"Authorize.Net\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/04\\/Thumbnail-Authorize.net-updated.png\",\"excerpt\":\"Authorize.Net gateway with support for pre-orders and subscriptions.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/authorize-net\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"8b61524fe53add7fdd1a8d1b00b9327d\",\"slug\":\"woocommerce-gateway-authorize-net-cim\",\"id\":178481,\"rating\":4.4,\"reviews_count\":60,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Stockage Amazon S3\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/amazon.png\",\"excerpt\":\"Servez des produits num\\u00e9riques via Amazon S3\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/amazon-s3-storage\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"473bf6f221b865eff165c97881b473bb\",\"slug\":\"woocommerce-amazon-s3-storage\",\"id\":18663,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/02\\/amazon-s3-storage-icon.png\"},{\"title\":\"Plusieurs adresses d\\u2019exp\\u00e9dition\",\"image\":\"\",\"excerpt\":\"Permettez \\u00e0 vos clients d\\u2019exp\\u00e9dier des articles individuels en une seule commande \\u00e0 plusieurs adresses.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/shipping-multiple-addresses\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"aa0eb6f777846d329952d5b891d6f8cc\",\"slug\":\"woocommerce-shipping-multiple-addresses\",\"id\":18741,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Gestion du stock en bloc\",\"image\":\"\",\"excerpt\":\"Modifiez les niveaux de stock des produits et des variantes en bloc via cette interface pratique\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/bulk-stock-management\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"02f4328d52f324ebe06a78eaaae7934f\",\"slug\":\"woocommerce-bulk-stock-management\",\"id\":18670,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Ventes forc\\u00e9es\",\"image\":\"\",\"excerpt\":\"Forcez l\\u2019ajout de produits au panier\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/force-sells\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"3ebddfc491ca168a4ea4800b893302b0\",\"slug\":\"woocommerce-force-sells\",\"id\":18678,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/force-sells-icon.png\"},{\"title\":\"WooCommerce Purchase Order Gateway\",\"image\":\"\",\"excerpt\":\"Recevez des bons de commande via votre boutique en ligne optimis\\u00e9e par WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-gateway-purchase-order\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"573a92318244ece5facb449d63e74874\",\"slug\":\"woocommerce-gateway-purchase-order\",\"id\":478542,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Quick View\",\"image\":\"\",\"excerpt\":\"Affichez un bouton d\\u2019aper\\u00e7u rapide pour voir les d\\u00e9tails du produit et un bouton d\\u2019ajout au panier via une fen\\u00eatre contextuelle lightbox\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-quick-view\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"619c6e57ce72c49c4b57e15b06eddb65\",\"slug\":\"woocommerce-quick-view\",\"id\":187509,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/05\\/quick-view-icon.png\"},{\"title\":\"WooCommerce Box Office\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-BO-Dark.png\",\"excerpt\":\"Vendez des tickets pour votre prochain \\u00e9v\\u00e9nement, concert, r\\u00e9ception, collecte de fonds ou conf\\u00e9rence directement sur votre propre site\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-box-office\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"e704c9160de318216a8fa657404b9131\",\"slug\":\"woocommerce-box-office\",\"id\":1628717,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Returns and Warranty Requests\",\"image\":\"\",\"excerpt\":\"Manage the RMA process, add warranties to products, and let customers request and manage returns\\/exchanges from their account.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/warranty-requests\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"9b4c41102e6b61ea5f558e16f9b63e25\",\"slug\":\"woocommerce-warranty\",\"id\":228315,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Order Barcodes\",\"image\":\"\",\"excerpt\":\"G\\u00e9n\\u00e8re un code-barres unique pour chaque commande pass\\u00e9e sur votre site. Parfait pour les tickets \\u00e9lectroniques, les bons de livraison, les r\\u00e9servations et diverses autres utilisations.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-order-barcodes\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"889835bb29ee3400923653e1e44a3779\",\"slug\":\"woocommerce-order-barcodes\",\"id\":391708,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"WooCommerce Bookings Availability\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/06\\/Logo-Woo-Bookings-Aval-Dark.png\",\"excerpt\":\"Vendez plus de r\\u00e9servations en pr\\u00e9sentant un agenda ou un planning de cr\\u00e9neaux horaires disponibles sur une page ou dans un article.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/bookings-availability\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"30770d2a-e392-4e82-baaa-76cfc7d02ae3\",\"slug\":\"woocommerce-bookings-availability\",\"id\":4228225,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"LiveChat for WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/11\\/LC_woo_regular-zmiaym.png\",\"excerpt\":\"Live Chat and messaging platform for sales and support -- increase average order value and overall sales through live conversations.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/livechat\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.livechat.com\\/livechat-for-ecommerce\\/?a=woocommerce&amp;utm_source=woocommerce.com&amp;utm_medium=integration&amp;utm_campaign=woocommerce.com\",\"price\":\"&#36;0.00\",\"hash\":\"5344cc1f-ed4a-4d00-beff-9d67f6d372f3\",\"slug\":\"livechat-woocommerce\",\"id\":1348888,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Live Chat\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/live-chat\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/11\\/LiveChat.png\"},{\"title\":\"WooCommerce 360\\u00ba Image\",\"image\":\"\",\"excerpt\":\"Un moyen simple d\\u2019ajouter une rotation d\\u2019image \\u00e0 360\\u00ba dynamique et contr\\u00f4lable \\u00e0 votre site WooCommerce, en ajoutant un groupe d\\u2019images \\u00e0 la galerie d\\u2019un produit.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-360-image\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"24eb2cfa3738a66bf3b2587876668cd2\",\"slug\":\"woocommerce-360-image\",\"id\":512186,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/360-image-icon.png\"},{\"title\":\"WooCommerce Photography\",\"image\":\"\",\"excerpt\":\"Vendez des photos en un clin d\\u2019\\u0153il en utilisant cette interface simple de glisser-d\\u00e9poser.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-photography\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"ee76e8b9daf1d97ca4d3874cc9e35687\",\"slug\":\"woocommerce-photography\",\"id\":583602,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/01\\/photography-icon.png\"},{\"title\":\"Module logiciel\",\"image\":\"\",\"excerpt\":\"Vendez des cl\\u00e9s de licence pour des logiciels\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/software-add-on\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"79f6dbfe1f1d3a56a86f0509b6d6b04b\",\"slug\":\"woocommerce-software-add-on\",\"id\":18683,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/software-add-on-icon.png\"},{\"title\":\"WooCommerce Products Compare\",\"image\":\"\",\"excerpt\":\"WooCommerce Products Compare permettra \\u00e0 vos clients potentiels de comparer facilement les produits de votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-products-compare\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"c3ba0a4a3199a0cc7a6112eb24414548\",\"slug\":\"woocommerce-products-compare\",\"id\":853117,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/04\\/products-compare-icon.png\"},{\"title\":\"WooCommerce Store Catalog PDF Download\",\"image\":\"\",\"excerpt\":\"Proposez \\u00e0 vos clients un t\\u00e9l\\u00e9chargement PDF de votre catalogue de produits, g\\u00e9n\\u00e9r\\u00e9 par WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-store-catalog-pdf-download\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"79ca7aadafe706364e2d738b7c1090c4\",\"slug\":\"woocommerce-store-catalog-pdf-download\",\"id\":675790,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Themesquad\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/themesquad\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/03\\/store-catalog-pdf-download-icon.png\"},{\"title\":\"Storefront Homepage Contact Section\",\"image\":\"\",\"excerpt\":\"Ajoutez une section Contact \\u00e0 la page d\\u2019accueil du th\\u00e8me\\u00a0Storefront.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-homepage-contact-section\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"cb12b87f8bbb0139dafbf92ca1f871ef\",\"slug\":\"storefront-homepage-contact-section\",\"id\":1468793,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"WooCommerce Zapier\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/09\\/zapier-logo-1.png\",\"excerpt\":\"Int\\u00e9grez votre boutique WooCommerce avec plus de 5\\u00a0000\\u00a0applications et services cloud aujourd\\u2019hui. Approuv\\u00e9 par plus de 12\\u00a0000\\u00a0utilisateurs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-zapier\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"0782bdbe932c00f4978850268c6cfe40\",\"slug\":\"woocommerce-zapier\",\"id\":243589,\"rating\":4.4,\"reviews_count\":47,\"vendor_name\":\"OM4\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/om4\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/09\\/zapier-icon-80px@2x.png\"},{\"title\":\"Storefront\\u00a0Footer\\u00a0Bar\",\"image\":\"\",\"excerpt\":\"Au-dessus de la zone de widget du pied de page de\\u00a0Storefront, ajoutez une zone de widgets en pleine largeur que vous pouvez personnaliser avec des couleurs et une image d\\u2019arri\\u00e8re-plan.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-footer-bar\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"6cfd3d4f923cafa16e4801ae801751f4\",\"slug\":\"storefront-footer-bar\",\"id\":1434472,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"Smart Coupons\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/10\\/wc-product-smart-coupons.png\",\"excerpt\":\"Tout ce dont vous avez besoin pour les cartes-cadeaux, les remises, les codes promo, les cr\\u00e9dits de boutique, les formules \\u00ab\\u00a0Un achet\\u00e9 un offert\\u00a0\\u00bb, les cadeaux, les offres et les promotions. Smart Coupons est l\\u2019extension de code promo originale, la plus compl\\u00e8te, la plus vendue et la plus avanc\\u00e9e de WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/smart-coupons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"http:\\/\\/demo.storeapps.org\\/?demo=sc\",\"price\":\"&#36;129.00\",\"hash\":\"05c45f2aa466106a466de4402fff9dde\",\"slug\":\"woocommerce-smart-coupons\",\"id\":18729,\"rating\":4.5,\"reviews_count\":159,\"vendor_name\":\"StoreApps\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/storeapps\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/08\\/wc-icon-smart-coupons-160-p8fwgu.png\"},{\"title\":\"WooCommerce Customer \\/ Order \\/ Coupon Export\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/02\\/Thumbnail-Customer-Order-Coupon-Export-updated.png\",\"excerpt\":\"Exportez des clients, des commandes et des codes promo \\u00e0 partir de WooCommerce manuellement ou selon un calendrier automatis\\u00e9.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/ordercustomer-csv-export\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"914de15813a903c767b55445608bf290\",\"slug\":\"woocommerce-customer-order-csv-export\",\"id\":18652,\"rating\":4.4,\"reviews_count\":32,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Name Your Price\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/nyp-icon-dark-v83owf.png\",\"excerpt\":\"Permettez aux clients de d\\u00e9finir le prix des produits. \\u00c9galement utile pour accepter les dons des utilisateurs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/name-your-price\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;59.00\",\"hash\":\"31b4e11696cd99a3c0572975a84f1c08\",\"slug\":\"woocommerce-name-your-price\",\"id\":18738,\"rating\":5,\"reviews_count\":73,\"vendor_name\":\"Backcourt Development\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/backcourt-development\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/09\\/nyp-icon-80x80-1.jpg\"},{\"title\":\"Google Product Feed\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/11\\/logo-regular-lscryp.png\",\"excerpt\":\"Fournissez des donn\\u00e9es produit enrichies \\u00e0 Google Merchant Center pour configurer des listes de produits gratuites, des annonces produits et des campagnes de stock locales. Contr\\u00f4lez totalement vos associations de champs et le contenu des flux afin d\\u2019optimiser les performances de la campagne et les d\\u00e9penses publicitaires.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/google-product-feed\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"d55b4f852872025741312839f142447e\",\"slug\":\"woocommerce-product-feeds\",\"id\":18619,\"rating\":4.3,\"reviews_count\":56,\"vendor_name\":\"Ademti Software\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/ademti-software\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/11\\/product-icon-omiutq.png\"},{\"title\":\"Storefront Reviews\",\"image\":\"\",\"excerpt\":\"Reviews can often be the deciding factor when making a purchase online. Highlight your best reviews on your homepage, or across your site with Storefront Reviews.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/storefront-reviews\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/themes.woocommerce.com\\/storefront\\/reviews\\/\",\"price\":\"&#36;19.00\",\"hash\":\"0c8a1d86b8eff9f1edffa923aeb3fc1f\",\"slug\":\"storefront-reviews\",\"id\":1044976,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/02\\/woo-Storefront-ipreuh.png\"},{\"title\":\"Mercado Pago Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/05\\/logo-juzfys.png\",\"excerpt\":\"Mercado Pago est d\\u00e9j\\u00e0 pr\\u00e9sent dans 7\\u00a0pays d\\u2019Am\\u00e9rique latine et dispose du meilleur syst\\u00e8me de validation de commande pour les pr\\u00e9f\\u00e9rences de vos clients et votre type de boutique en ligne. Garantissez la s\\u00e9curit\\u00e9 et proposez les principaux moyens de paiement sans souci.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/mercado-pago-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"b51b437b-1948-4405-b96e-0ef86485d3eb\",\"slug\":\"woocommerce-mercadopago\",\"id\":7909962,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Mercado Pago\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/mercado-pago\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/05\\/Mercado-Pago.png\"},{\"title\":\"Klarna Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Partner_marketing_Klarna_Checkout_Black-1.png\",\"excerpt\":\"Klarna Checkout is a full checkout experience embedded on your site that includes all popular payment methods (Pay Now, Pay Later, Financing, Installments).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/klarna-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.krokedil.se\\/klarnacheckout\\/\",\"price\":\"&#36;0.00\",\"hash\":\"90f8ce584e785fcd8c2d739fd4f40d78\",\"slug\":\"klarna-checkout-for-woocommerce\",\"id\":2754152,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Krokedil\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/krokedil\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/klarna-checkout-icon.png\"},{\"title\":\"WooCommerce Print Invoices & Packing Lists\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/03\\/Thumbnail-Print-Invoices-Packing-lists-updated.png\",\"excerpt\":\"G\\u00e9n\\u00e9rez des factures, des bordereaux d\\u2019exp\\u00e9dition et des listes de pr\\u00e9paration pour vos commandes WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/print-invoices-packing-lists\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"465de1126817cdfb42d97ebca7eea717\",\"slug\":\"woocommerce-pip\",\"id\":18666,\"rating\":4.4,\"reviews_count\":30,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"Tarification dynamique\",\"image\":\"\",\"excerpt\":\"Remises en lot, tarification bas\\u00e9e sur les r\\u00f4les, etc.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/dynamic-pricing\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;129.00\",\"hash\":\"9a41775bb33843f52c93c922b0053986\",\"slug\":\"woocommerce-dynamic-pricing\",\"id\":18643,\"rating\":3.2,\"reviews_count\":32,\"vendor_name\":\"Element Stark\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/element-stark\\/\",\"icon\":null},{\"title\":\"Sensei\\u00a0LMS Course\\u00a0Progress\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-course-progress.png\",\"excerpt\":\"Permettez \\u00e0 vos \\u00e9tudiants de suivre leur progression et de reprendre l\\u00e0 o\\u00f9 ils s\\u2019\\u00e9taient arr\\u00eat\\u00e9s.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-course-progress\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"ec0f55d8fa7c517dc1844f5c873a77da\",\"slug\":\"sensei-course-progress\",\"id\":435833,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"Composite Products\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2013\\/06\\/logo-cp-ey7bzs.png\",\"excerpt\":\"Cr\\u00e9ez des g\\u00e9n\\u00e9rateurs de kits de produits et des configurateurs de produits personnalis\\u00e9s \\u00e0 l\\u2019aide de produits existants.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/composite-products\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;119.00\",\"hash\":\"0343e0115bbcb97ccd98442b8326a0af\",\"slug\":\"woocommerce-composite-products\",\"id\":216836,\"rating\":4.9,\"reviews_count\":102,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Gravity Forms Product Add-ons\",\"image\":\"\",\"excerpt\":\"Modules produits puissants, style Gravity\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/gravity-forms-add-ons\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.elementstark.com\\/woocommerce-extension-demos\\/product-category\\/gravity-forms\\/\",\"price\":\"&#36;109.00\",\"hash\":\"a6ac0ab1a1536e3a357ccf24c0650ed0\",\"slug\":\"woocommerce-gravityforms-product-addons\",\"id\":18633,\"rating\":3.9,\"reviews_count\":12,\"vendor_name\":\"Element Stark\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/element-stark\\/\",\"icon\":null},{\"title\":\"Sensei LMS Certificates\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-certificates.png\",\"excerpt\":\"Remettez des certificats \\u00e0 vos \\u00e9tudiants attestant de leur r\\u00e9ussite pour les f\\u00e9liciter d\\u2019avoir termin\\u00e9 un cours.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-certificates\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"625ee5fe1bf36b4c741ab07507ba2ffd\",\"slug\":\"sensei-certificates\",\"id\":247548,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"Avis Trustpilot\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/06\\/Trustpilot_brandmark_gr-blk_RGB-2-1-px9shb.png\",\"excerpt\":\"Collectez et affichez des avis v\\u00e9rifi\\u00e9s auxquels les consommateurs font confiance.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/trustpilot-reviews\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"cbbd9b5e-b226-492c-a87e-cb21743ed8bf\",\"slug\":\"trustpilot-reviews\",\"id\":8173894,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Trustpilot\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/trustpilot\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/logo-160x160-1.png\"},{\"title\":\"Eway\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/10\\/51456-Eway-logo-tagline-RGB-H-yellow-_-grey.png\",\"excerpt\":\"Take credit card payments securely via Eway (AU and NZ) keeping customers on your site.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/eway\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"2c497769d98d025e0d340cd0b5ea5da1\",\"slug\":\"woocommerce-gateway-eway\",\"id\":18604,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2011\\/10\\/woo-eway-0klzux.png\"},{\"title\":\"Klarna Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Partner_marketing_Klarna_Payments_Pink.png\",\"excerpt\":\"Avec Klarna Payments, vous pouvez choisir le paiement de votre choix, payer maintenant, ult\\u00e9rieurement ou en plusieurs fois. Aucun num\\u00e9ro de carte bancaire, aucun mot de passe, aucun souci.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/klarna-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.krokedil.se\\/klarnapayments\\/\",\"price\":\"&#36;0.00\",\"hash\":\"a19c689325bc8ea63c620765dd54b33a\",\"slug\":\"klarna-payments-for-woocommerce\",\"id\":2754217,\"rating\":2.8,\"reviews_count\":10,\"vendor_name\":\"Krokedil\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/krokedil\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2018\\/01\\/Klarna.png\"},{\"title\":\"Conditional Shipping and Payments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/03\\/logo-csp-aqfm98.png\",\"excerpt\":\"Utilisez la logique conditionnelle pour limiter les options d\\u2019exp\\u00e9dition et de paiement disponibles sur votre boutique.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/conditional-shipping-and-payments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;99.00\",\"hash\":\"1f56ff002fa830b77017b0107505211a\",\"slug\":\"woocommerce-conditional-shipping-and-payments\",\"id\":680253,\"rating\":4.8,\"reviews_count\":44,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/06\\/WooCommerce-icon-160x160-1-3o68ab.jpg\"},{\"title\":\"Sensei\\u00a0Pro (WC Paid Courses)\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/01\\/Sensei-Pro.png\",\"excerpt\":\"Vendez vos cours en ligne en utilisant Sensei LMS avec WooCommerce, un syst\\u00e8me complet de gestion d\\u2019apprentissage qui comprend des quiz, des certificats, du contenu d\\u00e9livr\\u00e9 au compte-gouttes, et plus encore.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-paid-courses\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;179.00\",\"hash\":\"bad2a02a063555b7e2bee59924690763\",\"slug\":\"woothemes-sensei\",\"id\":152116,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/01\\/SenseiProWooIcon-aut8wu.png\"},{\"title\":\"WooCommerce Order Status Manager\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/02\\/Thumbnail-Order-Status-Manager-updated.png\",\"excerpt\":\"Cr\\u00e9ez, modifiez et supprimez des \\u00e9tats de commande enti\\u00e8rement personnalis\\u00e9s et int\\u00e9grez-les en toute transparence dans votre flux de gestion des commandes.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-order-status-manager\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"51fd9ab45394b4cad5a0ebf58d012342\",\"slug\":\"woocommerce-order-status-manager\",\"id\":588398,\"rating\":4.4,\"reviews_count\":15,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"QuickBooks Sync pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/04\\/woocommerce-com-logo-1-hyhzbh.png\",\"excerpt\":\"L\\u2019int\\u00e9gration la plus personnalisable et robuste permettant d\'assurer la synchronisation de vos donn\\u00e9es pour les commandes, les clients, les produits, l\\u2019inventaire et bien plus entre WooCommerce et QuickBooks (Online, Desktop, ou POS)\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/quickbooks-sync-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"c5e32e20-7c1f-4585-8b15-d930c2d842ac\",\"slug\":\"myworks-woo-sync-for-quickbooks-online\",\"id\":4065824,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"MyWorks Software\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/myworks-software\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2019\\/04\\/qb_thumb.png\"},{\"title\":\"Sensei\\u00a0LMS Media\\u00a0Attachments\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2021\\/07\\/sensei-media-attachments.png\",\"excerpt\":\"Donnez-leur acc\\u00e8s \\u00e0 du mat\\u00e9riel d\\u2019apprentissage suppl\\u00e9mentaire (fichiers audio, diaporamas, PDF, etc.).\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sensei-media-attachments\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"788647a9a1d8ef5c95371f0e69223a0f\",\"slug\":\"sensei-media-attachments\",\"id\":290551,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Sensei\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/sensei\\/\",\"icon\":null},{\"title\":\"reCaptcha pour WooCommerce\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/WooCommerce-reCpatcha.png?w=150&amp;h=150&amp;crop=1\",\"excerpt\":\"Prot\\u00e9gez votre boutique eCommerce contre les attaques malveillantes et automatis\\u00e9es en utilisant reCaptcha pour WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/recaptcha-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/www.i13websolution.com\\/wp-test\\/\",\"price\":\"&#36;29.00\",\"hash\":\"c9793ede-aadc-484f-8c5a-1a0776604ce6\",\"slug\":\"recaptcha-for-woocommerce\",\"id\":5347485,\"rating\":4,\"reviews_count\":23,\"vendor_name\":\"I13 Web Solution\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/i13-web-solution\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/02\\/reCaptcha-For-WooCOmmerce-logo-164x164-2.png\"},{\"title\":\"WooCommerce Product Search\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce-product-search-product-image-1870x960-1-jvsljj.png\",\"excerpt\":\"Le moteur de recherche id\\u00e9al aide les clients \\u00e0 trouver et acheter des produits rapidement, ce qui est essentiel pour chaque boutique WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-product-search\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"https:\\/\\/demo.itthinx.com\\/wps\\/\",\"price\":\"&#36;49.00\",\"hash\":\"c84cc8ca16ddac3408e6b6c5871133a8\",\"slug\":\"woocommerce-product-search\",\"id\":512174,\"rating\":4.4,\"reviews_count\":166,\"vendor_name\":\"itthinx\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/itthinx\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce-product-search-product-icon-160x160-sunrise.png\"},{\"title\":\"WooCommerce One Page Checkout\",\"image\":\"\",\"excerpt\":\"Cr\\u00e9ez des pages sp\\u00e9ciales o\\u00f9 les clients peuvent choisir des produits, valider leur commande et payer sur une seule page.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-one-page-checkout\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"c9ba8f8352cd71b5508af5161268619a\",\"slug\":\"woocommerce-one-page-checkout\",\"id\":527886,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"WooCommerce\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/woocommerce\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2014\\/10\\/woocommerce.png\"},{\"title\":\"Viva Wallet Standard Checkout\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/04\\/Viva-Wallet-logo.png?w=374\",\"excerpt\":\"Int\\u00e9grez la passerelle de paiement Viva Wallet \\u00e0 votre boutique WooCommerce pour traiter et synchroniser vos paiements, et vous aider \\u00e0 vendre plus.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/viva-wallet-for-woocommerce\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;0.00\",\"hash\":\"7240a329-047f-4d8b-b7ec-ee3defd798bd\",\"slug\":\"viva-wallet-for-woocommerce\",\"id\":6137160,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"Viva Wallet\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/viva-wallet\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2020\\/07\\/Viva-Wallet.png\"},{\"title\":\"Sequential Order Numbers Pro\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2012\\/05\\/Thumbnail-Sequential-Order-Numbers-Pro-updated.png\",\"excerpt\":\"Ma\\u00eetrisez vos num\\u00e9ros de commande\\u00a0! Mettez \\u00e0 niveau \\u00e0 partir de Sequential Order Numbers avec des fonctionnalit\\u00e9s avanc\\u00e9es et des pr\\u00e9fixes\\/suffixes facultatifs.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/sequential-order-numbers-pro\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;49.00\",\"hash\":\"0b18a2816e016ba9988b93b1cd8fe766\",\"slug\":\"woocommerce-sequential-order-numbers-pro\",\"id\":18688,\"rating\":null,\"reviews_count\":null,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"},{\"title\":\"WooCommerce Google Analytics Pro\",\"image\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2016\\/01\\/Thumbnail-GAPro-updated.png\",\"excerpt\":\"Ajoutez un suivi avanc\\u00e9 des \\u00e9v\\u00e9nements et un suivi am\\u00e9lior\\u00e9 du eCommerce \\u00e0 votre site WooCommerce.\",\"link\":\"https:\\/\\/woocommerce.com\\/fr-fr\\/products\\/woocommerce-google-analytics-pro\\/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\",\"demo_url\":\"\",\"price\":\"&#36;79.00\",\"hash\":\"d8aed8b7306b509eec1589e59abe319f\",\"slug\":\"woocommerce-google-analytics-pro\",\"id\":1312497,\"rating\":3.1,\"reviews_count\":33,\"vendor_name\":\"SkyVerge\",\"vendor_url\":\"https:\\/\\/woocommerce.com\\/vendor\\/skyverge\\/\",\"icon\":\"https:\\/\\/woocommerce.com\\/wp-content\\/uploads\\/2015\\/06\\/skyverge-wc-icon-b2vhw6.png\"}]}\";s:7:\"headers\";O:31:\"WpOrg\\Requests\\Response\\Headers\":1:{s:7:\"\0*\0data\";a:19:{s:6:\"server\";a:1:{i:0;s:5:\"nginx\";}s:4:\"date\";a:1:{i:0;s:29:\"Thu, 08 Jun 2023 07:19:00 GMT\";}s:12:\"content-type\";a:1:{i:0;s:31:\"application/json; charset=UTF-8\";}s:14:\"content-length\";a:1:{i:0;s:5:\"14856\";}s:12:\"x-robots-tag\";a:1:{i:0;s:7:\"noindex\";}s:4:\"link\";a:1:{i:0;s:60:\"<https://woocommerce.com/wp-json/>; rel=\"https://api.w.org/\"\";}s:22:\"x-content-type-options\";a:1:{i:0;s:7:\"nosniff\";}s:29:\"access-control-expose-headers\";a:1:{i:0;s:33:\"X-WP-Total, X-WP-TotalPages, Link\";}s:28:\"access-control-allow-headers\";a:1:{i:0;s:73:\"Authorization, X-WP-Nonce, Content-Disposition, Content-MD5, Content-Type\";}s:13:\"x-wccom-cache\";a:1:{i:0;s:3:\"HIT\";}s:13:\"cache-control\";a:1:{i:0;s:10:\"max-age=60\";}s:5:\"allow\";a:1:{i:0;s:3:\"GET\";}s:4:\"x-rq\";a:1:{i:0;s:15:\"cdg2 85 188 443\";}s:16:\"content-encoding\";a:1:{i:0;s:4:\"gzip\";}s:3:\"age\";a:1:{i:0;s:2:\"43\";}s:7:\"x-cache\";a:1:{i:0;s:3:\"hit\";}s:4:\"vary\";a:1:{i:0;s:23:\"Accept-Encoding, Origin\";}s:13:\"accept-ranges\";a:1:{i:0;s:5:\"bytes\";}s:25:\"strict-transport-security\";a:1:{i:0;s:16:\"max-age=31536000\";}}}s:11:\"status_code\";i:200;s:16:\"protocol_version\";d:1.1;s:7:\"success\";b:1;s:9:\"redirects\";i:0;s:3:\"url\";s:72:\"https://woocommerce.com/wp-json/wccom-extensions/1.0/search?locale=fr_FR\";s:7:\"history\";a:0:{}s:7:\"cookies\";O:25:\"WpOrg\\Requests\\Cookie\\Jar\":1:{s:10:\"\0*\0cookies\";a:0:{}}}s:11:\"\0*\0filename\";N;s:4:\"data\";N;s:7:\"headers\";N;s:6:\"status\";N;}}}", "no");
INSERT INTO `wp_options` VALUES("385", "_transient_wc_count_comments", "O:8:\"stdClass\":7:{s:14:\"total_comments\";i:1;s:3:\"all\";i:1;s:8:\"approved\";s:1:\"1\";s:9:\"moderated\";i:0;s:4:\"spam\";i:0;s:5:\"trash\";i:0;s:12:\"post-trashed\";i:0;}", "yes");
INSERT INTO `wp_options` VALUES("376", "_transient_timeout_woocommerce_admin_payment_gateway_suggestions_specs", "1686817512", "no");
INSERT INTO `wp_options` VALUES("377", "_transient_woocommerce_admin_payment_gateway_suggestions_specs", "a:1:{s:5:\"fr_FR\";a:22:{s:6:\"affirm\";O:8:\"stdClass\":11:{s:2:\"id\";s:6:\"affirm\";s:5:\"title\";s:6:\"Affirm\";s:7:\"content\";s:233:\"Les programmes sur mesure Acheter maintenant, payer ultérieurement d’Affirm suppriment le prix comme obstacle, transformant les internautes en acheteurs, augmentant la valeur moyenne des commandes et élargissant votre clientèle.\";s:5:\"image\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/affirm.png\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/affirm.png\";s:7:\"plugins\";a:0:{}s:13:\"external_link\";s:59:\"https://woocommerce.com/products/woocommerce-gateway-affirm\";s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:9:\"6.5.0-dev\";s:8:\"operator\";s:2:\">=\";}}s:14:\"category_other\";a:0:{}s:19:\"category_additional\";a:2:{i:0;s:2:\"US\";i:1;s:2:\"CA\";}s:23:\"recommendation_priority\";i:5;}s:8:\"afterpay\";O:8:\"stdClass\":10:{s:2:\"id\";s:8:\"afterpay\";s:5:\"title\";s:8:\"Afterpay\";s:7:\"content\";s:144:\"Afterpay permet aux clients de recevoir leurs produits tout de suite et de régler leurs achats en quatre échéances, toujours sans intérêts.\";s:5:\"image\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/afterpay.png\";s:11:\"image_72x72\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/afterpay.png\";s:7:\"plugins\";a:1:{i:0;s:32:\"afterpay-gateway-for-woocommerce\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:9:\"6.5.0-dev\";s:8:\"operator\";s:2:\">=\";}}s:14:\"category_other\";a:0:{}s:19:\"category_additional\";a:3:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"AU\";}s:23:\"recommendation_priority\";i:6;}s:24:\"amazon_payments_advanced\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"amazon_payments_advanced\";s:5:\"title\";s:10:\"Amazon Pay\";s:7:\"content\";s:123:\"Offrez une validation de commande rapide et familière à des centaines de millions de clients Amazon actifs dans le monde.\";s:5:\"image\";s:111:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/amazonpay.png\";s:11:\"image_72x72\";s:111:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/amazonpay.png\";s:7:\"plugins\";a:1:{i:0;s:44:\"woocommerce-gateway-amazon-payments-advanced\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:18:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HU\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SL\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"JP\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:9:\"6.5.0-dev\";s:8:\"operator\";s:2:\">=\";}}s:14:\"category_other\";a:0:{}s:19:\"category_additional\";a:18:{i:0;s:2:\"US\";i:1;s:2:\"AT\";i:2;s:2:\"BE\";i:3;s:2:\"CY\";i:4;s:2:\"DK\";i:5;s:2:\"ES\";i:6;s:2:\"FR\";i:7;s:2:\"DE\";i:8;s:2:\"GB\";i:9;s:2:\"HU\";i:10;s:2:\"IE\";i:11;s:2:\"IT\";i:12;s:2:\"LU\";i:13;s:2:\"NL\";i:14;s:2:\"PT\";i:15;s:2:\"SL\";i:16;s:2:\"SE\";i:17;s:2:\"JP\";}s:23:\"recommendation_priority\";i:4;}s:4:\"bacs\";O:8:\"stdClass\":8:{s:2:\"id\";s:4:\"bacs\";s:5:\"title\";s:17:\"Virement bancaire\";s:7:\"content\";s:45:\"Acceptez les paiements par virement bancaire.\";s:5:\"image\";s:100:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/bacs.svg\";s:11:\"image_72x72\";s:106:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/bacs.png\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":1:{s:4:\"type\";s:4:\"pass\";}}s:10:\"is_offline\";b:1;s:23:\"recommendation_priority\";i:9;}s:3:\"cod\";O:8:\"stdClass\":8:{s:2:\"id\";s:3:\"cod\";s:5:\"title\";s:24:\"Paiement à la livraison\";s:7:\"content\";s:51:\"Acceptez les paiements en espèces à la livraison.\";s:5:\"image\";s:99:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/cod.svg\";s:11:\"image_72x72\";s:105:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/cod.png\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":1:{s:4:\"type\";s:4:\"pass\";}}s:10:\"is_offline\";b:1;s:23:\"recommendation_priority\";i:9;}s:4:\"eway\";O:8:\"stdClass\":11:{s:2:\"id\";s:4:\"eway\";s:5:\"title\";s:4:\"Eway\";s:7:\"content\";s:185:\"L’extension Eway pour WooCommerce vous permet d’accepter les paiements par carte de crédit directement sur votre boutique sans rediriger vos clients vers un site de paiement tiers.\";s:5:\"image\";s:100:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/eway.png\";s:11:\"image_72x72\";s:106:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/eway.png\";s:12:\"square_image\";s:107:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/eway-square.png\";s:7:\"plugins\";a:1:{i:0;s:24:\"woocommerce-gateway-eway\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:4:{i:0;s:2:\"NZ\";i:1;s:2:\"HK\";i:2;s:2:\"SG\";i:3;s:2:\"AU\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:3:\"kco\";O:8:\"stdClass\":10:{s:2:\"id\";s:3:\"kco\";s:5:\"title\";s:15:\"Commande Klarna\";s:7:\"content\";s:173:\"Choisissez le paiement que vous voulez, payez maintenant, ultérieurement ou en plusieurs fois. Pas de numéros de carte de crédit, pas de mots de passe, pas de problèmes.\";s:5:\"image\";s:85:\"https://woocommerce.com/wp-content/plugins/woocommerce/assets/images/klarna-black.png\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/klarna.png\";s:7:\"plugins\";a:1:{i:0;s:31:\"klarna-checkout-for-woocommerce\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:3:{i:0;s:2:\"NO\";i:1;s:2:\"SE\";i:2;s:2:\"FI\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:15:\"klarna_payments\";O:8:\"stdClass\":10:{s:2:\"id\";s:15:\"klarna_payments\";s:5:\"title\";s:15:\"Klarna Payments\";s:7:\"content\";s:173:\"Choisissez le paiement que vous voulez, payez maintenant, ultérieurement ou en plusieurs fois. Pas de numéros de carte de crédit, pas de mots de passe, pas de problèmes.\";s:5:\"image\";s:85:\"https://woocommerce.com/wp-content/plugins/woocommerce/assets/images/klarna-black.png\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/klarna.png\";s:7:\"plugins\";a:1:{i:0;s:31:\"klarna-payments-for-woocommerce\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:19:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MX\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:0:{}s:19:\"category_additional\";a:19:{i:0;s:2:\"MX\";i:1;s:2:\"US\";i:2;s:2:\"CA\";i:3;s:2:\"AT\";i:4;s:2:\"BE\";i:5;s:2:\"CH\";i:6;s:2:\"DK\";i:7;s:2:\"ES\";i:8;s:2:\"FI\";i:9;s:2:\"FR\";i:10;s:2:\"DE\";i:11;s:2:\"GB\";i:12;s:2:\"IT\";i:13;s:2:\"NL\";i:14;s:2:\"NO\";i:15;s:2:\"PL\";i:16;s:2:\"SE\";i:17;s:2:\"NZ\";i:18;s:2:\"AU\";}s:23:\"recommendation_priority\";i:7;}s:30:\"mollie_wc_gateway_banktransfer\";O:8:\"stdClass\":11:{s:2:\"id\";s:30:\"mollie_wc_gateway_banktransfer\";s:5:\"title\";s:6:\"Mollie\";s:7:\"content\";s:157:\"Paiements simplifiés par Mollie : proposez des moyens de paiement mondiaux et locaux, intégrables en quelques minutes et pris en charge dans votre langue.\";s:5:\"image\";s:102:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/mollie.svg\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/mollie.png\";s:12:\"square_image\";s:109:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/mollie-square.png\";s:7:\"plugins\";a:1:{i:0;s:31:\"mollie-payments-for-woocommerce\";}s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:11:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}}}}s:14:\"category_other\";a:11:{i:0;s:2:\"AT\";i:1;s:2:\"BE\";i:2;s:2:\"CH\";i:3;s:2:\"ES\";i:4;s:2:\"FI\";i:5;s:2:\"FR\";i:6;s:2:\"DE\";i:7;s:2:\"GB\";i:8;s:2:\"IT\";i:9;s:2:\"NL\";i:10;s:2:\"PL\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:7:\"payfast\";O:8:\"stdClass\":10:{s:2:\"id\";s:7:\"payfast\";s:5:\"title\";s:7:\"Payfast\";s:7:\"content\";s:299:\"The Payfast extension for WooCommerce enables you to accept payments by Credit Card and EFT via one of South Africa’s most popular payment gateways. No setup fees or monthly subscription costs. Selecting this extension will configure your store to use South African rands as the selected currency.\";s:5:\"image\";s:80:\"https://woocommerce.com/wp-content/plugins/woocommerce/assets/images/payfast.png\";s:11:\"image_72x72\";s:109:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/payfast.png\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-payfast-gateway\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ZA\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:1:{i:0;s:2:\"ZA\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:17:\"payoneer-checkout\";O:8:\"stdClass\":10:{s:2:\"id\";s:17:\"payoneer-checkout\";s:5:\"title\";s:17:\"Payoneer Checkout\";s:7:\"content\";s:265:\"Payoneer Checkout est la nouvelle génération de plateformes de traitement des paiements. Elle offre aux commerçants du monde entier les solutions et l’orientation dont ils ont besoin pour s’imposer sur le marché mondial hyperconcurrentiel d’aujourd’hui.\";s:5:\"image\";s:104:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/payoneer.png\";s:11:\"image_72x72\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/payoneer.png\";s:7:\"plugins\";a:1:{i:0;s:17:\"payoneer-checkout\";}s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CN\";s:9:\"operation\";s:1:\"=\";}}}}s:14:\"category_other\";a:0:{}s:19:\"category_additional\";a:2:{i:0;s:2:\"HK\";i:1;s:2:\"CN\";}s:23:\"recommendation_priority\";i:9;}s:8:\"paystack\";O:8:\"stdClass\":11:{s:2:\"id\";s:8:\"paystack\";s:5:\"title\";s:8:\"Paystack\";s:7:\"content\";s:163:\"Paystack aide les commerçants africains à accepter des paiements ponctuels et récurrents en ligne avec une passerelle de paiement moderne, sûre et sécurisée.\";s:5:\"image\";s:104:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/paystack.png\";s:12:\"square_image\";s:111:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/paystack-square.png\";s:11:\"image_72x72\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/paystack.png\";s:7:\"plugins\";a:1:{i:0;s:12:\"woo-paystack\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ZA\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GH\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NG\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:3:{i:0;s:2:\"ZA\";i:1;s:2:\"GH\";i:2;s:2:\"NG\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:7:\"payubiz\";O:8:\"stdClass\":10:{s:2:\"id\";s:7:\"payubiz\";s:5:\"title\";s:20:\"PayU for WooCommerce\";s:7:\"content\";s:232:\"Activez l’extension exclusive de PayU pour WooCommerce pour commencer à accepter les paiements avec plus de 100 moyens de paiement disponibles en Inde, notamment les cartes de crédit, les cartes de débit, UPI et plus encore !\";s:5:\"image\";s:100:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/payu.svg\";s:11:\"image_72x72\";s:106:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/payu.png\";s:7:\"plugins\";a:1:{i:0;s:10:\"payu-india\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IN\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:1:{i:0;s:2:\"IN\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:12:\"ppcp-gateway\";O:8:\"stdClass\":11:{s:2:\"id\";s:12:\"ppcp-gateway\";s:5:\"title\";s:15:\"PayPal Payments\";s:7:\"content\";s:99:\"Paiement sûr et sécurisé à l’aide de votre carte de crédit ou de votre compte client Paypal.\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/plugins/woocommerce/assets/images/paypal.png\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/paypal.png\";s:12:\"square_image\";s:102:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/paypal.svg\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-paypal-payments\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IN\";s:9:\"operation\";s:2:\"!=\";}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:49:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"MX\";i:3;s:2:\"BR\";i:4;s:2:\"AR\";i:5;s:2:\"CL\";i:6;s:2:\"CO\";i:7;s:2:\"EC\";i:8;s:2:\"PE\";i:9;s:2:\"UY\";i:10;s:2:\"VE\";i:11;s:2:\"AT\";i:12;s:2:\"BE\";i:13;s:2:\"BG\";i:14;s:2:\"HR\";i:15;s:2:\"CH\";i:16;s:2:\"CY\";i:17;s:2:\"CZ\";i:18;s:2:\"DK\";i:19;s:2:\"EE\";i:20;s:2:\"ES\";i:21;s:2:\"FI\";i:22;s:2:\"FR\";i:23;s:2:\"DE\";i:24;s:2:\"GB\";i:25;s:2:\"GR\";i:26;s:2:\"HU\";i:27;s:2:\"IE\";i:28;s:2:\"IT\";i:29;s:2:\"LV\";i:30;s:2:\"LT\";i:31;s:2:\"LU\";i:32;s:2:\"MT\";i:33;s:2:\"NL\";i:34;s:2:\"NO\";i:35;s:2:\"PL\";i:36;s:2:\"PT\";i:37;s:2:\"RO\";i:38;s:2:\"SK\";i:39;s:2:\"SL\";i:40;s:2:\"SE\";i:41;s:2:\"AU\";i:42;s:2:\"NZ\";i:43;s:2:\"HK\";i:44;s:2:\"JP\";i:45;s:2:\"SG\";i:46;s:2:\"CN\";i:47;s:2:\"ID\";i:48;s:2:\"IN\";}s:19:\"category_additional\";a:49:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"MX\";i:3;s:2:\"BR\";i:4;s:2:\"AR\";i:5;s:2:\"CL\";i:6;s:2:\"CO\";i:7;s:2:\"EC\";i:8;s:2:\"PE\";i:9;s:2:\"UY\";i:10;s:2:\"VE\";i:11;s:2:\"AT\";i:12;s:2:\"BE\";i:13;s:2:\"BG\";i:14;s:2:\"HR\";i:15;s:2:\"CH\";i:16;s:2:\"CY\";i:17;s:2:\"CZ\";i:18;s:2:\"DK\";i:19;s:2:\"EE\";i:20;s:2:\"ES\";i:21;s:2:\"FI\";i:22;s:2:\"FR\";i:23;s:2:\"DE\";i:24;s:2:\"GB\";i:25;s:2:\"GR\";i:26;s:2:\"HU\";i:27;s:2:\"IE\";i:28;s:2:\"IT\";i:29;s:2:\"LV\";i:30;s:2:\"LT\";i:31;s:2:\"LU\";i:32;s:2:\"MT\";i:33;s:2:\"NL\";i:34;s:2:\"NO\";i:35;s:2:\"PL\";i:36;s:2:\"PT\";i:37;s:2:\"RO\";i:38;s:2:\"SK\";i:39;s:2:\"SL\";i:40;s:2:\"SE\";i:41;s:2:\"AU\";i:42;s:2:\"NZ\";i:43;s:2:\"HK\";i:44;s:2:\"JP\";i:45;s:2:\"SG\";i:46;s:2:\"CN\";i:47;s:2:\"ID\";i:48;s:2:\"IN\";}s:23:\"recommendation_priority\";i:2;}s:8:\"razorpay\";O:8:\"stdClass\":10:{s:2:\"id\";s:8:\"razorpay\";s:5:\"title\";s:8:\"Razorpay\";s:7:\"content\";s:177:\"L’extension Razorpay officielle de WooCommerce vous permet d’accepter les paiements par carte de crédit, carte de débit, virement par Internet, via un portefeuille et UPI.\";s:5:\"image\";s:104:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/razorpay.svg\";s:11:\"image_72x72\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/razorpay.png\";s:7:\"plugins\";a:1:{i:0;s:12:\"woo-razorpay\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IN\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:1:{i:0;s:2:\"IN\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:18:\"square_credit_card\";O:8:\"stdClass\":10:{s:2:\"id\";s:18:\"square_credit_card\";s:5:\"title\";s:6:\"Square\";s:7:\"content\";s:270:\"Acceptez en toute sécurité les cartes de crédit et de débit pour un tarif modique unique et sans frais inattendus (tarifs personnalisés disponibles). Vendez en ligne et en boutique, et suivez l’évolution des ventes ainsi que du stock à un seul et même endroit.\";s:5:\"image\";s:85:\"https://woocommerce.com/wp-content/plugins/woocommerce/assets/images/square-black.png\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/square.png\";s:7:\"plugins\";a:1:{i:0;s:18:\"woocommerce-square\";}s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";O:8:\"stdClass\":2:{s:1:\"0\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:1:\"1\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"JP\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:14:\"selling_venues\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:12:\"brick-mortar\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:14:\"selling_venues\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:18:\"brick-mortar-other\";}}}}}}}s:14:\"category_other\";a:8:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"IE\";i:3;s:2:\"ES\";i:4;s:2:\"FR\";i:5;s:2:\"GB\";i:6;s:2:\"AU\";i:7;s:2:\"JP\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:3;}s:6:\"stripe\";O:8:\"stdClass\":11:{s:2:\"id\";s:6:\"stripe\";s:5:\"title\";s:6:\"Stripe\";s:7:\"content\";s:150:\"Acceptez les cartes de débit et de crédit dans plus de 135 devises, des modes de paiement tels qu’Alipay et le paiement en un clic avec Apple Pay.\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/plugins/woocommerce/assets/images/stripe.png\";s:11:\"image_72x72\";s:108:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/stripe.png\";s:12:\"square_image\";s:102:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/stripe.svg\";s:7:\"plugins\";a:1:{i:0;s:26:\"woocommerce-gateway-stripe\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:40:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MX\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BR\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CZ\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HU\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SL\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"JP\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ID\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IN\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"category_other\";a:40:{i:0;s:2:\"US\";i:1;s:2:\"CA\";i:2;s:2:\"MX\";i:3;s:2:\"BR\";i:4;s:2:\"AT\";i:5;s:2:\"BE\";i:6;s:2:\"BG\";i:7;s:2:\"CH\";i:8;s:2:\"CY\";i:9;s:2:\"CZ\";i:10;s:2:\"DK\";i:11;s:2:\"EE\";i:12;s:2:\"ES\";i:13;s:2:\"FI\";i:14;s:2:\"FR\";i:15;s:2:\"DE\";i:16;s:2:\"GB\";i:17;s:2:\"GR\";i:18;s:2:\"HU\";i:19;s:2:\"IE\";i:20;s:2:\"IT\";i:21;s:2:\"LV\";i:22;s:2:\"LT\";i:23;s:2:\"LU\";i:24;s:2:\"MT\";i:25;s:2:\"NL\";i:26;s:2:\"NO\";i:27;s:2:\"PL\";i:28;s:2:\"PT\";i:29;s:2:\"RO\";i:30;s:2:\"SK\";i:31;s:2:\"SL\";i:32;s:2:\"SE\";i:33;s:2:\"AU\";i:34;s:2:\"NZ\";i:35;s:2:\"HK\";i:36;s:2:\"JP\";i:37;s:2:\"SG\";i:38;s:2:\"ID\";i:39;s:2:\"IN\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:1;}s:23:\"woo-mercado-pago-custom\";O:8:\"stdClass\":11:{s:2:\"id\";s:23:\"woo-mercado-pago-custom\";s:5:\"title\";s:88:\"Intégration Checkout Pro et validation personnalisée des commandes avec Mercado Pago\";s:7:\"content\";s:306:\"Mercado Pago vous permet de recevoir des paiements par carte de crédit et de débit, ainsi que des versements hors-ligne (en liquide ou via virement bancaire) et en ligne. Bénéficiez de paiements sûrs et sécurisés avec l’organisme de traitement des paiements le plus important de la région LATAM.\";s:5:\"image\";s:107:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/mercadopago.png\";s:11:\"image_72x72\";s:113:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/mercadopago.png\";s:7:\"plugins\";a:1:{i:0;s:23:\"woocommerce-mercadopago\";}s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AR\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CL\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CO\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PE\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"UY\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MX\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BR\";s:9:\"operation\";s:1:\"=\";}}}}s:16:\"is_local_partner\";b:1;s:14:\"category_other\";a:7:{i:0;s:2:\"AR\";i:1;s:2:\"CL\";i:2;s:2:\"CO\";i:3;s:2:\"PE\";i:4;s:2:\"UY\";i:5;s:2:\"MX\";i:6;s:2:\"BR\";}s:19:\"category_additional\";a:0:{}s:23:\"recommendation_priority\";i:9;}s:20:\"woocommerce_payments\";O:8:\"stdClass\":10:{s:2:\"id\";s:20:\"woocommerce_payments\";s:5:\"title\";s:20:\"WooCommerce Payments\";s:7:\"content\";s:107:\"Gérez les transactions sans quitter votre tableau de bord WordPress. Uniquement avec WooCommerce Payments.\";s:5:\"image\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:12:\"square_image\";s:107:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/woocommerce.svg\";s:11:\"image_72x72\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}s:11:\"description\";s:334:\"Avec WooCommerce Payments, vous pouvez accepter en toute sécurité les principales cartes bancaires, Apple Pay et les paiements dans plus de 100 devises. Suivez vos rentrées d’argent et gérez vos paiements récurrents directement à partir du tableau de bord de votre boutique, sans frais d’installation ou abonnement mensuel.\";s:10:\"is_visible\";a:4:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:34:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SI\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HR\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:10:\"5.10.0-dev\";s:8:\"operator\";s:1:\"<\";}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";O:8:\"stdClass\":2:{s:1:\"0\";O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:17:\"woocommerce-admin\";}}}}s:1:\"1\";O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:17:\"woocommerce-admin\";s:7:\"version\";s:9:\"2.9.0-dev\";s:8:\"operator\";s:1:\"<\";}}}}s:23:\"recommendation_priority\";i:0;}s:47:\"woocommerce_payments:without-in-person-payments\";O:8:\"stdClass\":10:{s:2:\"id\";s:47:\"woocommerce_payments:without-in-person-payments\";s:5:\"title\";s:20:\"WooCommerce Payments\";s:7:\"content\";s:107:\"Gérez les transactions sans quitter votre tableau de bord WordPress. Uniquement avec WooCommerce Payments.\";s:5:\"image\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:11:\"image_72x72\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:12:\"square_image\";s:107:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/woocommerce.svg\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}s:11:\"description\";s:334:\"Avec WooCommerce Payments, vous pouvez accepter en toute sécurité les principales cartes bancaires, Apple Pay et les paiements dans plus de 100 devises. Suivez vos rentrées d’argent et gérez vos paiements récurrents directement à partir du tableau de bord de votre boutique, sans frais d’installation ou abonnement mensuel.\";s:10:\"is_visible\";a:3:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:32:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PR\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SI\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HR\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";O:8:\"stdClass\":2:{s:1:\"0\";O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:17:\"woocommerce-admin\";s:7:\"version\";s:9:\"2.9.0-dev\";s:8:\"operator\";s:2:\">=\";}s:1:\"1\";O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:10:\"5.10.0-dev\";s:8:\"operator\";s:2:\">=\";}}}}s:23:\"recommendation_priority\";i:9;}s:44:\"woocommerce_payments:with-in-person-payments\";O:8:\"stdClass\":10:{s:2:\"id\";s:44:\"woocommerce_payments:with-in-person-payments\";s:5:\"title\";s:20:\"WooCommerce Payments\";s:7:\"content\";s:107:\"Gérez les transactions sans quitter votre tableau de bord WordPress. Uniquement avec WooCommerce Payments.\";s:5:\"image\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:11:\"image_72x72\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:12:\"square_image\";s:107:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/woocommerce.svg\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}s:11:\"description\";s:301:\"WooCommerce Payments vous permet d’accepter en toute sécurité les paiements avec les principales cartes et via Apple Pay dans plus de 100 devises sans frais d’installation ni frais mensuels. Par ailleurs, vous pouvez désormais accepter les paiements en personne via l’application mobile Woo.\";s:10:\"is_visible\";a:3:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";O:8:\"stdClass\":2:{s:1:\"0\";O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:17:\"woocommerce-admin\";s:7:\"version\";s:9:\"2.9.0-dev\";s:8:\"operator\";s:2:\">=\";}s:1:\"1\";O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:7:\"version\";s:10:\"5.10.0-dev\";s:8:\"operator\";s:2:\">=\";}}}}s:23:\"recommendation_priority\";i:9;}s:8:\"zipmoney\";O:8:\"stdClass\":10:{s:2:\"id\";s:8:\"zipmoney\";s:5:\"title\";s:50:\"Zip Co - Acheter maintenant, payer ultérieurement\";s:7:\"content\";s:92:\"Permettez à vos clients de payer plus tard sans intérêt et regardez vos ventes augmenter.\";s:5:\"image\";s:104:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/zipmoney.png\";s:11:\"image_72x72\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/72x72/zipmoney.png\";s:7:\"plugins\";a:1:{i:0;s:29:\"zipmoney-payments-woocommerce\";}s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":1:{s:4:\"type\";s:4:\"fail\";}}s:14:\"category_other\";a:0:{}s:19:\"category_additional\";a:3:{i:0;s:2:\"US\";i:1;s:2:\"NZ\";i:2;s:2:\"AU\";}s:23:\"recommendation_priority\";i:8;}}}", "no");
INSERT INTO `wp_options` VALUES("374", "wc_blocks_db_schema_version", "260", "yes");
INSERT INTO `wp_options` VALUES("375", "wc_remote_inbox_notifications_stored_state", "O:8:\"stdClass\":2:{s:22:\"there_were_no_products\";b:1;s:22:\"there_are_now_products\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("6787", "_transient_timeout_xirki_gfonts_9bdb19c0fd131ccb8263a270e6de6337", "1686295135", "no");
INSERT INTO `wp_options` VALUES("6788", "_transient_xirki_gfonts_9bdb19c0fd131ccb8263a270e6de6337", "@font-face{font-display:swap;font-family:\'Open Sans\';font-style:normal;font-weight:700;font-stretch:normal;src:url(//kookagency/wp-content/uploads/2023/05/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsg-1y4k-1.woff) format(\'woff\');}", "no");
INSERT INTO `wp_options` VALUES("3761", "_transient_timeout_woocommerce_admin_remote_free_extensions_specs", "1686817512", "no");
INSERT INTO `wp_options` VALUES("3762", "_transient_woocommerce_admin_remote_free_extensions_specs", "a:1:{s:5:\"fr_FR\";a:5:{s:10:\"obw/basics\";O:8:\"stdClass\":3:{s:3:\"key\";s:10:\"obw/basics\";s:5:\"title\";s:9:\"Les bases\";s:7:\"plugins\";a:4:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:20:\"WooCommerce Payments\";s:11:\"description\";s:188:\"Acceptez les cartes de crédit et d’autres méthodes de paiement populaires avec <a href=\"https://woocommerce.com/products/woocommerce-payments\" target=\"_blank\">WooCommerce Payments</a>\";s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:34:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SI\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HR\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"is_built_by_wc\";b:1;s:14:\"min_wp_version\";s:3:\"5.9\";s:3:\"key\";s:20:\"woocommerce-payments\";}i:1;O:8:\"stdClass\":5:{s:4:\"name\";s:20:\"WooCommerce Shipping\";s:11:\"description\";s:136:\"Imprimez des étiquettes de livraison avec <a href=\"https://woocommerce.com/products/shipping\" target=\"_blank\">WooCommerce Shipping</a>\";s:10:\"is_visible\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-services\";}}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:13:\"product_types\";}}i:1;O:8:\"stdClass\":1:{s:3:\"use\";s:5:\"count\";}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:5:\"value\";i:1;s:7:\"default\";a:0:{}s:9:\"operation\";s:2:\"!=\";}}i:1;a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:15:\"product_types.0\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:5:\"value\";s:9:\"downloads\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:2:\"!=\";}}}}}s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:29:\"woocommerce-services:shipping\";}i:2;O:8:\"stdClass\":5:{s:4:\"name\";s:15:\"WooCommerce Tax\";s:11:\"description\";s:125:\"Automatisez les taxes sur les ventes avec <a href=\"https://woocommerce.com/products/tax\" target=\"_blank\">WooCommerce Tax</a>\";s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:11:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-services\";}}}}}s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:24:\"woocommerce-services:tax\";}i:3;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"Jetpack\";s:11:\"description\";s:118:\"Gagnez en vitesse et en sécurité avec <a href=\"https://woocommerce.com/products/jetpack\" target=\"_blank\">Jetpack</a>\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:7:\"jetpack\";}}}}}s:14:\"is_built_by_wc\";b:0;s:14:\"min_wp_version\";s:3:\"6.0\";s:3:\"key\";s:7:\"jetpack\";}}}s:8:\"obw/grow\";O:8:\"stdClass\":3:{s:3:\"key\";s:8:\"obw/grow\";s:5:\"title\";s:26:\"Développer votre boutique\";s:7:\"plugins\";a:6:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:8:\"MailPoet\";s:11:\"description\";s:152:\"Faites passer votre marketing par e-mail à la vitesse supérieure avec <a href=\"https://woocommerce.com/products/mailpoet\" target=\"_blank\">MailPoet</a>\";s:10:\"manage_url\";s:35:\"admin.php?page=mailpoet-newsletters\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:8:\"mailpoet\";}}}}}s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:8:\"mailpoet\";}i:1;O:8:\"stdClass\":7:{s:4:\"name\";s:24:\"Codisto pour WooCommerce\";s:11:\"description\";s:225:\"Vendez sur Amazon, eBay, Walmart et plus encore directement depuis WooCommerce avec  <a href=\"https://woocommerce.com/pt-br/products/amazon-ebay-integration/?quid=c247a85321c9e93e7c3c6f1eb072e6e5\" target=\"_blank\">Codisto</a>.\";s:9:\"image_url\";s:102:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/codistoconnect.png\";s:10:\"manage_url\";s:31:\"admin.php?page=codisto-settings\";s:14:\"is_built_by_wc\";b:1;s:10:\"is_visible\";b:0;s:3:\"key\";s:14:\"codistoconnect\";}i:2;O:8:\"stdClass\":8:{s:4:\"name\";s:21:\"Google Listings & Ads\";s:11:\"description\";s:132:\"Boostez vos ventes avec <a href=\"https://woocommerce.com/products/google-listings-and-ads\" target=\"_blank\">Google Listings & Ads</a>\";s:9:\"image_url\";s:94:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/google.svg\";s:10:\"manage_url\";s:46:\"admin.php?page=wc-admin&path=%2Fgoogle%2Fstart\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:23:\"google-listings-and-ads\";}}}}}s:14:\"is_built_by_wc\";b:1;s:15:\"min_php_version\";s:3:\"7.4\";s:3:\"key\";s:23:\"google-listings-and-ads\";}i:3;O:8:\"stdClass\":7:{s:4:\"name\";s:26:\"Pinterest pour WooCommerce\";s:11:\"description\";s:105:\"Présentez vos produits aux utilisateurs de Pinterest à la recherche d’idées et de choses à acheter.\";s:9:\"image_url\";s:97:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/pinterest.png\";s:10:\"manage_url\";s:51:\"admin.php?page=wc-admin&path=%2Fpinterest%2Flanding\";s:14:\"is_built_by_wc\";b:1;s:15:\"min_php_version\";s:3:\"7.3\";s:3:\"key\";s:25:\"pinterest-for-woocommerce\";}i:4;O:8:\"stdClass\":7:{s:4:\"name\";s:24:\"Facebook for WooCommerce\";s:11:\"description\";s:166:\"Répertoriez les produits et créez des publicités sur Facebook et Instagram avec <a href=\"https://woocommerce.com/products/facebook/\">Facebook pour WooCommerce</a>.\";s:9:\"image_url\";s:96:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/facebook.png\";s:10:\"manage_url\";s:26:\"admin.php?page=wc-facebook\";s:10:\"is_visible\";b:0;s:14:\"is_built_by_wc\";b:0;s:3:\"key\";s:24:\"facebook-for-woocommerce\";}i:5;O:8:\"stdClass\":7:{s:4:\"name\";s:23:\"TikTok pour WooCommerce\";s:9:\"image_url\";s:94:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/tiktok.svg\";s:11:\"description\";s:203:\"Créer des campagnes publicitaires et toucher un milliard d’utilisateurs dans le monde avec <a href=\"https://woocommerce.com/products/tiktok-for-woocommerce\" target=\"_blank\">TikTok pour WooCommerce</a>\";s:10:\"manage_url\";s:21:\"admin.php?page=tiktok\";s:14:\"is_built_by_wc\";b:0;s:10:\"is_visible\";b:0;s:3:\"key\";s:23:\"tiktok-for-business:alt\";}}}s:15:\"task-list/reach\";O:8:\"stdClass\":3:{s:3:\"key\";s:15:\"task-list/reach\";s:5:\"title\";s:21:\"Contacter des clients\";s:7:\"plugins\";a:3:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:8:\"MailPoet\";s:11:\"description\";s:130:\"Créer et envoyer des e-mails de suivi d’achat, newsletters, campagnes promotionnelles directement depuis votre tableau de bord.\";s:9:\"image_url\";s:96:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/mailpoet.svg\";s:10:\"manage_url\";s:35:\"admin.php?page=mailpoet-newsletters\";s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:12:\"mailpoet:alt\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:9:\"MailChimp\";s:11:\"description\";s:98:\"Envoyez des campagnes ciblées, récupérez les paniers abandonnés et plus encore avec Mailchimp.\";s:9:\"image_url\";s:97:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/mailchimp.svg\";s:10:\"manage_url\";s:36:\"admin.php?page=mailchimp-woocommerce\";s:14:\"is_built_by_wc\";b:0;s:3:\"key\";s:25:\"mailchimp-for-woocommerce\";}i:2;O:8:\"stdClass\":6:{s:4:\"name\";s:30:\"Creative Mail pour WooCommerce\";s:11:\"description\";s:141:\"Créez des campagnes pour votre marque dans votre boutique, des promotions rapides par e-mail et un reciblage des clients avec Creative Mail.\";s:9:\"image_url\";s:121:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/creative-mail-by-constant-contact.png\";s:10:\"manage_url\";s:27:\"admin.php?page=creativemail\";s:14:\"is_built_by_wc\";b:0;s:3:\"key\";s:33:\"creative-mail-by-constant-contact\";}}}s:14:\"task-list/grow\";O:8:\"stdClass\":3:{s:3:\"key\";s:14:\"task-list/grow\";s:5:\"title\";s:26:\"Développer votre boutique\";s:7:\"plugins\";a:5:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:21:\"Google Listings & Ads\";s:11:\"description\";s:184:\"Touchez plus d’acheteurs et boostez les ventes de votre boutique. Intégrez-vous à Google pour répertorier vos produits gratuitement et lancer des campagnes publicitaires payantes.\";s:9:\"image_url\";s:94:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/google.svg\";s:10:\"manage_url\";s:46:\"admin.php?page=wc-admin&path=%2Fgoogle%2Fstart\";s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:27:\"google-listings-and-ads:alt\";}i:1;O:8:\"stdClass\":7:{s:4:\"name\";s:23:\"TikTok pour WooCommerce\";s:9:\"image_url\";s:94:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/tiktok.svg\";s:11:\"description\";s:165:\"Développez vos ventes en ligne en faisant la promotion de vos produits sur TikTok auprès de plus d’un milliard d’utilisateurs actifs chaque mois dans le monde.\";s:10:\"manage_url\";s:21:\"admin.php?page=tiktok\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:40:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MX\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CZ\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HU\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MY\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PH\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ID\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"VN\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"TH\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"KR\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IL\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AE\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RU\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"UA\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"TR\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SA\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BR\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"JP\";s:9:\"operation\";s:1:\"=\";}}}}s:14:\"is_built_by_wc\";b:0;s:3:\"key\";s:19:\"tiktok-for-business\";}i:2;O:8:\"stdClass\":6:{s:4:\"name\";s:26:\"Pinterest pour WooCommerce\";s:11:\"description\";s:200:\"Présentez vos produits aux utilisateurs de Pinterest à la recherche d’idées et de choses à acheter. Lancez-vous avec Pinterest et rendez l’intégralité de votre catalogue produit consultable.\";s:9:\"image_url\";s:97:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/pinterest.png\";s:10:\"manage_url\";s:51:\"admin.php?page=wc-admin&path=%2Fpinterest%2Flanding\";s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:29:\"pinterest-for-woocommerce:alt\";}i:3;O:8:\"stdClass\":7:{s:4:\"name\";s:24:\"Facebook for WooCommerce\";s:11:\"description\";s:78:\"Répertoriez les produits et créez des publicités sur Facebook et Instagram.\";s:9:\"image_url\";s:96:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/facebook.png\";s:10:\"manage_url\";s:26:\"admin.php?page=wc-facebook\";s:10:\"is_visible\";b:0;s:14:\"is_built_by_wc\";b:0;s:3:\"key\";s:28:\"facebook-for-woocommerce:alt\";}i:4;O:8:\"stdClass\":7:{s:4:\"name\";s:24:\"Codisto pour WooCommerce\";s:11:\"description\";s:79:\"Vendez sur Amazon, eBay, Walmart et plus encore directement depuis WooCommerce.\";s:9:\"image_url\";s:102:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/codistoconnect.png\";s:10:\"manage_url\";s:31:\"admin.php?page=codisto-settings\";s:14:\"is_built_by_wc\";b:1;s:10:\"is_visible\";b:0;s:3:\"key\";s:18:\"codistoconnect:alt\";}}}s:17:\"obw/core-profiler\";O:8:\"stdClass\":3:{s:3:\"key\";s:17:\"obw/core-profiler\";s:5:\"title\";s:26:\"Développer votre boutique\";s:7:\"plugins\";a:8:{i:0;O:8:\"stdClass\":10:{s:4:\"name\";s:20:\"WooCommerce Payments\";s:11:\"description\";s:89:\"Securely accept payments and manage payment activity straight from your store\'s dashboard\";s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:34:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SI\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HR\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}}s:14:\"is_built_by_wc\";b:1;s:14:\"min_wp_version\";s:3:\"5.9\";s:3:\"key\";s:20:\"woocommerce-payments\";s:5:\"label\";s:34:\"Get paid with WooCommerce Payments\";s:9:\"image_url\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-woo.svg\";s:15:\"learn_more_link\";s:53:\"https://woocommerce.com/products/woocommerce-payments\";s:16:\"install_priority\";i:5;}i:1;O:8:\"stdClass\":9:{s:4:\"name\";s:20:\"WooCommerce Shipping\";s:11:\"description\";s:76:\"Print USPS and DHL labels directly from your dashboard and save on shipping.\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}}s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:29:\"woocommerce-services:shipping\";s:5:\"label\";s:47:\"Print shipping labels with WooCommerce Shipping\";s:9:\"image_url\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-woo.svg\";s:15:\"learn_more_link\";s:44:\"https://woocommerce.com/woocommerce-shipping\";s:16:\"install_priority\";i:3;}i:2;O:8:\"stdClass\":10:{s:4:\"name\";s:7:\"Jetpack\";s:11:\"description\";s:63:\"Get auto real-time backups, malware scans, and spam protection.\";s:10:\"is_visible\";b:1;s:14:\"is_built_by_wc\";b:0;s:14:\"min_wp_version\";s:3:\"6.0\";s:3:\"key\";s:7:\"jetpack\";s:5:\"label\";s:29:\"Enhance security with Jetpack\";s:9:\"image_url\";s:114:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-jetpack.svg\";s:15:\"learn_more_link\";s:40:\"https://woocommerce.com/products/jetpack\";s:16:\"install_priority\";i:8;}i:3;O:8:\"stdClass\":10:{s:4:\"name\";s:26:\"Pinterest pour WooCommerce\";s:11:\"description\";s:56:\"Get your products in front of a highly engaged audience.\";s:9:\"image_url\";s:116:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-pinterest.svg\";s:10:\"manage_url\";s:51:\"admin.php?page=wc-admin&path=%2Fpinterest%2Flanding\";s:14:\"is_built_by_wc\";b:1;s:15:\"min_php_version\";s:3:\"7.3\";s:3:\"key\";s:25:\"pinterest-for-woocommerce\";s:5:\"label\";s:37:\"Showcase your products with Pinterest\";s:15:\"learn_more_link\";s:58:\"https://woocommerce.com/products/pinterest-for-woocommerce\";s:16:\"install_priority\";i:2;}i:4;O:8:\"stdClass\":10:{s:4:\"name\";s:8:\"MailPoet\";s:11:\"description\";s:71:\"Send purchase follow-up emails, newsletters, and promotional campaigns.\";s:10:\"manage_url\";s:35:\"admin.php?page=mailpoet-newsletters\";s:10:\"is_visible\";b:1;s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:8:\"mailpoet\";s:5:\"label\";s:34:\"Reach your customers with MailPoet\";s:9:\"image_url\";s:115:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-mailpoet.svg\";s:15:\"learn_more_link\";s:41:\"https://woocommerce.com/products/mailpoet\";s:16:\"install_priority\";i:7;}i:5;O:8:\"stdClass\":10:{s:4:\"name\";s:23:\"TikTok pour WooCommerce\";s:9:\"image_url\";s:113:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-tiktok.svg\";s:11:\"description\";s:64:\"Create advertising campaigns and reach one billion global users.\";s:10:\"manage_url\";s:21:\"admin.php?page=tiktok\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:40:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MX\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CZ\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HU\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MY\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PH\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ID\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"VN\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"TH\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"KR\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IL\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AE\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RU\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"UA\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"TR\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SA\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BR\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"JP\";s:9:\"operation\";s:1:\"=\";}}}}s:14:\"is_built_by_wc\";b:0;s:3:\"key\";s:19:\"tiktok-for-business\";s:5:\"label\";s:31:\"Create ad campaigns with TikTok\";s:15:\"learn_more_link\";s:55:\"https://woocommerce.com/products/tiktok-for-woocommerce\";s:16:\"install_priority\";i:1;}i:6;O:8:\"stdClass\":11:{s:4:\"name\";s:21:\"Google Listings & Ads\";s:11:\"description\";s:83:\"Reach millions of active shoppers across Google with free product listings and ads.\";s:9:\"image_url\";s:113:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-google.svg\";s:10:\"manage_url\";s:46:\"admin.php?page=wc-admin&path=%2Fgoogle%2Fstart\";s:10:\"is_visible\";b:1;s:14:\"is_built_by_wc\";b:1;s:15:\"min_php_version\";s:3:\"7.4\";s:3:\"key\";s:23:\"google-listings-and-ads\";s:5:\"label\";s:38:\"Drive sales with Google Listings & Ads\";s:15:\"learn_more_link\";s:56:\"https://woocommerce.com/products/google-listings-and-ads\";s:16:\"install_priority\";i:6;}i:7;O:8:\"stdClass\":9:{s:4:\"name\";s:15:\"WooCommerce Tax\";s:11:\"description\";s:94:\"Automatically calculate how much sales tax should be collected – by city, country, or state.\";s:10:\"is_visible\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:11:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SE\";s:9:\"operation\";s:1:\"=\";}}}}s:14:\"is_built_by_wc\";b:1;s:3:\"key\";s:24:\"woocommerce-services:tax\";s:5:\"label\";s:44:\"Get automated tax rates with WooCommerce Tax\";s:9:\"image_url\";s:110:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/obw-free-extensions/images/core-profiler/logo-woo.svg\";s:15:\"learn_more_link\";s:36:\"https://woocommerce.com/products/tax\";s:16:\"install_priority\";i:4;}}}}}", "no");
INSERT INTO `wp_options` VALUES("380", "_transient_timeout_woocommerce_admin_remote_inbox_notifications_specs", "1686817512", "no");
INSERT INTO `wp_options` VALUES("381", "_transient_woocommerce_admin_remote_inbox_notifications_specs", "a:1:{s:5:\"fr_FR\";a:54:{s:27:\"new_in_app_marketplace_2021\";O:8:\"stdClass\":8:{s:4:\"slug\";s:27:\"new_in_app_marketplace_2021\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:36:\"Customize your store with extensions\";s:7:\"content\";s:164:\"Check out our NEW Extensions tab to see our favorite extensions for customizing your store, and discover the most popular extensions in the WooCommerce Marketplace.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:17:\"browse_extensions\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:17:\"Browse extensions\";}}s:3:\"url\";s:24:\"admin.php?page=wc-addons\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:14:23\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.7\";}}}s:21:\"wayflyer_bnpl_q4_2021\";O:8:\"stdClass\":8:{s:4:\"slug\";s:21:\"wayflyer_bnpl_q4_2021\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:48:\"Grow your business with funding through Wayflyer\";s:7:\"content\";s:261:\"Fast, flexible financing to boost cash flow and help your business grow – one fee, no interest rates, penalties, equity, or personal guarantees. Based on your store’s performance, Wayflyer provides funding and analytical insights to invest in your business.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:21:\"wayflyer_bnpl_q4_2021\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"Level up with funding\";}}s:3:\"url\";s:118:\"https://woocommerce.com/products/wayflyer/?utm_source=inbox_note&utm_medium=product&utm_campaign=wayflyer_bnpl_q4_2021\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2021-11-17 00:00:00\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2021-12-18 00:00:00\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"AU\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"BE\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"CA\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"IE\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"NL\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"GB\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:26:\"woocommerce-gateway-affirm\";}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:32:\"afterpay-gateway-for-woocommerce\";}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:31:\"klarna-payments-for-woocommerce\";}}}}}}s:35:\"wc_shipping_mobile_app_usps_q4_2021\";O:8:\"stdClass\":8:{s:4:\"slug\";s:35:\"wc_shipping_mobile_app_usps_q4_2021\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:94:\"Print and manage your shipping labels with WooCommerce Shipping and the WooCommerce Mobile App\";s:7:\"content\";s:210:\"Save time by printing, purchasing, refunding, and tracking shipping labels generated by <a href=\"https://woocommerce.com/woocommerce-shipping/\">WooCommerce Shipping</a> – all directly from your mobile device!\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:35:\"wc_shipping_mobile_app_usps_q4_2021\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:24:\"Get WooCommerce Shipping\";}}s:3:\"url\";s:135:\"https://woocommerce.com/woocommerce-shipping/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_shipping_mobile_app_usps_q4_2021\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2021-11-12 00:00:00\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2021-11-27 00:00:00\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:25:\"woocommerce-shipping-usps\";}}i:4;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-services\";}}}}}}s:20:\"woocommerce-services\";O:8:\"stdClass\":8:{s:4:\"slug\";s:20:\"woocommerce-services\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:26:\"WooCommerce Shipping & Tax\";s:7:\"content\";s:251:\"WooCommerce Shipping & Tax helps get your store \"ready to sell\" as quickly as possible. You create your products. We take care of tax calculation, payment processing, and shipping label printing! Learn more about the extension that you just installed.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:84:\"https://docs.woocommerce.com/document/woocommerce-shipping-and-tax/?utm_source=inbox\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:17:25\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-services\";}}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\"<\";s:4:\"days\";i:2;}}}s:18:\"your-first-product\";O:8:\"stdClass\":8:{s:4:\"slug\";s:18:\"your-first-product\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:18:\"Your first product\";s:7:\"content\";s:467:\"That’s huge! You’re well on your way to building a successful online store — now it’s time to think about how you’ll fulfill your orders.<br/><br/>Read our shipping guide to learn best practices and options for putting together your shipping strategy. And for WooCommerce stores in the United States, you can print discounted shipping labels via USPS with <a href=\"https://href.li/?https://woocommerce.com/shipping\" target=\"_blank\">WooCommerce Shipping</a>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:130:\"https://woocommerce.com/posts/ecommerce-shipping-solutions-guide/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:19:13\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:12:\"stored_state\";s:5:\"index\";s:22:\"there_were_no_products\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:12:\"stored_state\";s:5:\"index\";s:22:\"there_are_now_products\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:13:\"product_count\";s:9:\"operation\";s:2:\">=\";s:5:\"value\";i:1;}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:18:\"onboarding_profile\";s:5:\"index\";s:13:\"product_types\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:8:\"physical\";s:7:\"default\";a:0:{}}}}s:37:\"wc-admin-optimizing-the-checkout-flow\";O:8:\"stdClass\":8:{s:4:\"slug\";s:37:\"wc-admin-optimizing-the-checkout-flow\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:28:\"Optimizing the checkout flow\";s:7:\"content\";s:177:\"It’s crucial to get your store’s checkout as smooth as possible to avoid losing sales. Let’s take a look at how you can optimize the checkout experience for your shoppers.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:28:\"optimizing-the-checkout-flow\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:144:\"https://woocommerce.com/posts/optimizing-woocommerce-checkout?utm_source=inbox_note&utm_medium=product&utm_campaign=optimizing-the-checkout-flow\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:19:49\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:3;}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:45:\"woocommerce_task_list_tracked_completed_tasks\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:8:\"payments\";s:7:\"default\";a:0:{}}}}s:32:\"wc-payments-qualitative-feedback\";O:8:\"stdClass\":8:{s:4:\"slug\";s:32:\"wc-payments-qualitative-feedback\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:55:\"WooCommerce Payments setup - let us know what you think\";s:7:\"content\";s:146:\"Congrats on enabling WooCommerce Payments for your store. Please share your feedback in this 2 minute survey to help us improve the setup process.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:35:\"qualitative-feedback-from-new-users\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:39:\"https://automattic.survey.fm/wc-pay-new\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:21:13\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:45:\"woocommerce_task_list_tracked_completed_tasks\";s:9:\"operation\";s:8:\"contains\";s:5:\"value\";s:20:\"woocommerce-payments\";s:7:\"default\";a:0:{}}}}s:29:\"share-your-feedback-on-paypal\";O:8:\"stdClass\":8:{s:4:\"slug\";s:29:\"share-your-feedback-on-paypal\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:29:\"Share your feedback on PayPal\";s:7:\"content\";s:127:\"Share your feedback in this 2 minute survey about how we can make the process of accepting payments more useful for your store.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:14:\"share-feedback\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:43:\"http://automattic.survey.fm/paypal-feedback\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:21:50\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:26:\"woocommerce-gateway-stripe\";}}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:43:\"woocommerce-gateway-paypal-express-checkout\";}}}}s:31:\"google_listings_and_ads_install\";O:8:\"stdClass\":8:{s:4:\"slug\";s:31:\"google_listings_and_ads_install\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:35:\"Drive traffic and sales with Google\";s:7:\"content\";s:123:\"Reach online shoppers to drive traffic and sales for your store by showcasing products across Google, for free or with ads.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:11:\"get-started\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:11:\"Get started\";}}s:3:\"url\";s:122:\"https://woocommerce.com/products/google-listings-and-ads?utm_source=inbox_note&utm_medium=product&utm_campaign=get-started\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2021-06-09 00:00:00\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:23:\"google_listings_and_ads\";}}}}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:11:\"order_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:10;}}}s:39:\"wc-subscriptions-security-update-3-0-15\";O:8:\"stdClass\":8:{s:4:\"slug\";s:39:\"wc-subscriptions-security-update-3-0-15\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:42:\"WooCommerce Subscriptions security update!\";s:7:\"content\";s:738:\"We recently released an important security update to WooCommerce Subscriptions. To ensure your site’s data is protected, please upgrade <strong>WooCommerce Subscriptions to version 3.0.15</strong> or later.<br/><br/>Click the button below to view and update to the latest Subscriptions version, or log in to <a href=\"https://woocommerce.com/my-dashboard\">WooCommerce.com Dashboard</a> and navigate to your <strong>Downloads</strong> page.<br/><br/>We recommend always using the latest version of WooCommerce Subscriptions, and other software running on your site, to ensure maximum security.<br/><br/>If you have any questions we are here to help — just <a href=\"https://woocommerce.com/my-account/create-a-ticket/\">open a ticket</a>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:30:\"update-wc-subscriptions-3-0-15\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:19:\"View latest version\";}}s:3:\"url\";s:30:\"&page=wc-addons&section=helper\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:30:32\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"woocommerce-subscriptions\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:6:\"3.0.15\";}}}s:29:\"woocommerce-core-update-5-4-0\";O:8:\"stdClass\":8:{s:4:\"slug\";s:29:\"woocommerce-core-update-5-4-0\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:31:\"Update to WooCommerce 5.4.1 now\";s:7:\"content\";s:140:\"WooCommerce 5.4.1 addresses a checkout issue discovered in WooCommerce 5.4. We recommend upgrading to WooCommerce 5.4.1 as soon as possible.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:20:\"update-wc-core-5-4-0\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:25:\"How to update WooCommerce\";}}s:3:\"url\";s:64:\"https://docs.woocommerce.com/document/how-to-update-woocommerce/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:31:08\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.0\";}}}s:19:\"wcpay-promo-2020-11\";O:8:\"stdClass\":8:{s:4:\"slug\";s:19:\"wcpay-promo-2020-11\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:19:\"wcpay-promo-2020-11\";s:7:\"content\";s:19:\"wcpay-promo-2020-11\";}}s:7:\"actions\";a:0:{}s:5:\"rules\";a:0:{}}s:19:\"wcpay-promo-2020-12\";O:8:\"stdClass\":8:{s:4:\"slug\";s:19:\"wcpay-promo-2020-12\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:19:\"wcpay-promo-2020-12\";s:7:\"content\";s:19:\"wcpay-promo-2020-12\";}}s:7:\"actions\";a:0:{}s:5:\"rules\";a:0:{}}s:34:\"ppxo-pps-upgrade-paypal-payments-1\";O:8:\"stdClass\":8:{s:4:\"slug\";s:34:\"ppxo-pps-upgrade-paypal-payments-1\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:47:\"Get the latest PayPal extension for WooCommerce\";s:7:\"content\";s:442:\"Heads up! There’s a new PayPal on the block!<br/><br/>Now is a great time to upgrade to our latest <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal extension</a> to continue to receive support and updates with PayPal.<br/><br/>Get access to a full suite of PayPal payment methods, extensive currency and country coverage, and pay later options with the all-new PayPal extension for WooCommerce.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:34:\"ppxo-pps-install-paypal-payments-1\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:18:\"View upgrade guide\";}}s:3:\"url\";s:96:\"https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:33:53\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.5\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-paypal-payments\";}}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:43:\"woocommerce-gateway-paypal-express-checkout\";}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:7:\"enabled\";}}}s:11:\"option_name\";s:27:\"woocommerce_paypal_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:3:\"yes\";s:7:\"default\";b:0;}}}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:36:\"woocommerce_inbox_variant_assignment\";s:5:\"value\";i:7;s:7:\"default\";i:1;s:9:\"operation\";s:1:\"<\";}}}s:34:\"ppxo-pps-upgrade-paypal-payments-2\";O:8:\"stdClass\":8:{s:4:\"slug\";s:34:\"ppxo-pps-upgrade-paypal-payments-2\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:31:\"Upgrade your PayPal experience!\";s:7:\"content\";s:358:\"Get access to a full suite of PayPal payment methods, extensive currency and country coverage, offer subscription and recurring payments, and the new PayPal pay later options.<br /><br />Start using our <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">latest PayPal today</a> to continue to receive support and updates.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:34:\"ppxo-pps-install-paypal-payments-2\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:18:\"View upgrade guide\";}}s:3:\"url\";s:96:\"https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:5:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:34:30\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.5\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:27:\"woocommerce-paypal-payments\";}}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:43:\"woocommerce-gateway-paypal-express-checkout\";}}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:7:\"enabled\";}}}s:11:\"option_name\";s:27:\"woocommerce_paypal_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:3:\"yes\";s:7:\"default\";b:0;}}}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:36:\"woocommerce_inbox_variant_assignment\";s:5:\"value\";i:6;s:7:\"default\";i:1;s:9:\"operation\";s:1:\">\";}}}s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:56:\"Action required: Critical vulnerabilities in WooCommerce\";s:7:\"content\";s:574:\"In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br />Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br /><br />For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:59:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:35:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.3.6\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.4.8\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.5.9\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.6.6\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.7.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.8.2\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.4\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.3\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.2\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.3\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.3\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.4\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.4\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.5\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.2\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.3\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.3\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.4\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.4\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.2\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.3\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.2\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.3\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.4\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.1\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.2\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.1\";}i:31;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.2\";}i:32;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.3\";}i:33;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.4\";}i:34;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.1\";}i:35;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.2\";}i:36;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.2\";}i:37;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.3\";}i:38;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.5.1\";}i:39;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:6:\"3.5.10\";}i:40;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.6.7\";}i:41;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.7.3\";}i:42;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.8.3\";}i:43;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.5\";}i:44;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.4\";}i:45;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.4\";}i:46;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.5\";}i:47;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.6\";}i:48;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.4\";}i:49;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.5\";}i:50;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.5\";}i:51;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.4\";}i:52;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.3\";}i:53;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.5\";}i:54;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.3\";}i:55;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.3\";}i:56;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.5\";}i:57;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.3\";}i:58;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.4\";}}}s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:63:\"Action required: Critical vulnerabilities in WooCommerce Blocks\";s:7:\"content\";s:570:\"In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br/><br/>Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br/><br/>For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";b:0;s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:32:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:35:42\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:6:\"2.5.16\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.6.2\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.7.2\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.8.1\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"2.9.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.0.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.1.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.2.1\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.3.1\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.4.1\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.5.1\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.6.1\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.7.2\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.8.1\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.1\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.1\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.1\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.3\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.1\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.2\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.1\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.1\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.1\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.2\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.1\";}i:31;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.5.1\";}}}s:45:\"woocommerce-core-sqli-july-2021-store-patched\";O:8:\"stdClass\":8:{s:4:\"slug\";s:45:\"woocommerce-core-sqli-july-2021-store-patched\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:55:\"Solved: Critical vulnerabilities patched in WooCommerce\";s:7:\"content\";s:433:\"In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br/><br/><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";b:0;s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:36:18\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:23:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.3.6\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.4.8\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.5.9\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.6\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.2\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.4\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.2\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.3\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.4\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.2\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.3\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.2\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.1\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.3\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.1\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.2\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.5.1\";}}}}}s:47:\"woocommerce-blocks-sqli-july-2021-store-patched\";O:8:\"stdClass\":8:{s:4:\"slug\";s:47:\"woocommerce-blocks-sqli-july-2021-store-patched\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:62:\"Solved: Critical vulnerabilities patched in WooCommerce Blocks\";s:7:\"content\";s:433:\"In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br/><br/><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:137:\"https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";b:0;s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:36:54\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:46:\"woocommerce-core-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:48:\"woocommerce-blocks-sqli-july-2021-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:31:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"2.5.16\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.6.2\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.7.2\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.8.1\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"2.9.1\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.0.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.1.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.2.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.3.1\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.4.1\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.5.1\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.1\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.2\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.1\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.1\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.1\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.1\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.1\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.3\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.3\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.1\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.1\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.2\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.1\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.1\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.1\";}i:28;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.2\";}i:29;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.1\";}i:30;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:28:\"woo-gutenberg-products-block\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.5.1\";}}}}}s:19:\"habit-moment-survey\";O:8:\"stdClass\":8:{s:4:\"slug\";s:19:\"habit-moment-survey\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:63:\"We’re all ears! Share your experience so far with WooCommerce\";s:7:\"content\";s:136:\"We’d love your input to shape the future of WooCommerce together. Feel free to share any feedback, ideas or suggestions that you have.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:14:\"share-feedback\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:45:\"https://automattic.survey.fm/store-management\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-27 20:37:30\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:3;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:11:\"order_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:30;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:13:\"product_count\";s:9:\"operation\";s:1:\">\";s:5:\"value\";i:0;}}}s:42:\"woocommerce-core-paypal-march-2022-updated\";O:8:\"stdClass\":8:{s:4:\"slug\";s:42:\"woocommerce-core-paypal-march-2022-updated\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:35:\"Security auto-update of WooCommerce\";s:7:\"content\";s:391:\"<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy PayPal Standard security updates for stores running WooCommerce (version 3.5 to 6.3). It’s recommended to disable PayPal Standard, and use <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal Payments</a> to accept PayPal.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:88:\"https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:42:\"woocommerce-core-paypal-march-2022-dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-03-10 18:44:57\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:28:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"3.5.10\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.7\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.3\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.5\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.4\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.4\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.5\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.6\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.4\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.5\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.5\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.4\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.5\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.3\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.5\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.3\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.4\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.5.4\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.6.2\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.7.2\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.8.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.9.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.0.1\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.1.2\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.2.2\";}}}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:3:\"5.5\";}i:1;a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"5.5\";}i:1;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:27:\"woocommerce_paypal_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:3:\"yes\";s:7:\"default\";b:0;s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:7:\"enabled\";}}}}}}}}}s:47:\"woocommerce-core-paypal-march-2022-updated-nopp\";O:8:\"stdClass\":8:{s:4:\"slug\";s:47:\"woocommerce-core-paypal-march-2022-updated-nopp\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:35:\"Security auto-update of WooCommerce\";s:7:\"content\";s:237:\"<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy security updates related to PayPal Standard payment gateway for stores running WooCommerce (version 3.5 to 6.3).\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:88:\"https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-03-10 18:45:04\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:28:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"3.5.10\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.6.7\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.7.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.8.3\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.5\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.4\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.4\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.5\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.6\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.4\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.5\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.6.5\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.7.4\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.8.3\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.9.5\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.0.3\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.1.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.2.5\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.3.3\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.4.4\";}i:20;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.5.4\";}i:21;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.6.2\";}i:22;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.7.2\";}i:23;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.8.1\";}i:24;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"5.9.1\";}i:25;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.0.1\";}i:26;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.1.2\";}i:27;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:11:\"woocommerce\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"6.2.2\";}}}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:42:\"woocommerce-core-paypal-march-2022-updated\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}}}s:24:\"pinterest_03_2022_update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:24:\"pinterest_03_2022_update\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:53:\"Your Pinterest for WooCommerce plugin is out of date!\";s:7:\"content\";s:262:\"Update to the latest version of Pinterest for WooCommerce to continue using this plugin and keep your store connected with Pinterest. To update, visit <strong>Plugins &gt; Installed Plugins</strong>, and click on “update now” under Pinterest for WooCommerce.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:24:\"pinterest_03_2022_update\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:19:\"Update Instructions\";}}s:3:\"url\";s:148:\"https://woocommerce.com/document/pinterest-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=pinterest_03_2022_update#section-3\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-03-23 00:00:39\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"pinterest-for-woocommerce\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"1.0.8\";}}}s:33:\"store_setup_survey_survey_q2_2022\";O:8:\"stdClass\":8:{s:4:\"slug\";s:33:\"store_setup_survey_survey_q2_2022\";s:4:\"type\";s:6:\"survey\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:30:\"How is your store setup going?\";s:7:\"content\";s:232:\"Our goal is to make sure you have all the right tools to start setting up your store in the smoothest way possible.\r\nWe’d love to know if we hit our mark and how we can improve. To collect your thoughts, we made a 2-minute survey.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:53:\"store_setup_survey_survey_q2_2022_share_your_thoughts\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:24:\"Tell us how it’s going\";}}s:3:\"url\";s:52:\"https://automattic.survey.fm/store-setup-survey-2022\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-05-09 08:42:10\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:7;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\"<\";s:4:\"days\";i:9;}}}s:17:\"wc-admin-wisepad3\";O:8:\"stdClass\":8:{s:4:\"slug\";s:17:\"wc-admin-wisepad3\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:74:\"Take your business on the go in Canada with WooCommerce In-Person Payments\";s:7:\"content\";s:275:\"Quickly create new orders, accept payment in person for orders placed online, and automatically sync your inventory – no matter where your business takes you. With WooCommerce In-Person Payments and the WisePad 3 card reader, you can bring the power of your store anywhere.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:17:\"wc-admin-wisepad3\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:24:\"Grow my business offline\";}}s:3:\"url\";s:126:\"https://woocommerce.com/products/wisepad3-card-reader/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wisepad3\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-06-15 10:00:28\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"CA\";}}}s:47:\"woocommerce-payments-august-2022-need-to-update\";O:8:\"stdClass\":8:{s:4:\"slug\";s:47:\"woocommerce-payments-august-2022-need-to-update\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:51:\"Action required: Please update WooCommerce Payments\";s:7:\"content\";s:213:\"An updated secure version of WooCommerce Payments is available – please ensure that you’re using the latest patch version. For more information on what action you need to take, please review the article below.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:13:\"Find out more\";}}s:3:\"url\";s:96:\"https://developer.woocommerce.com/2022/08/09/woocommerce-payments-3-9-4-4-5-1-security-releases/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:9:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-08-09 14:44:17\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:3:\"3.9\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"4.5.1\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.9.4\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.0.3\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.1.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.2\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.1\";}}}s:46:\"woocommerce-payments-august-2022-store-patched\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woocommerce-payments-august-2022-store-patched\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:51:\"WooCommerce Payments has been automatically updated\";s:7:\"content\";s:265:\"You’re now running the latest secure version of WooCommerce Payments. We’ve worked with the WordPress Plugins team to deploy a security update to stores running WooCommerce Payments (version 3.9 to 4.5). For further information, please review the article below.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:10:\"learn-more\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:13:\"Find out more\";}}s:3:\"url\";s:96:\"https://developer.woocommerce.com/2022/08/09/woocommerce-payments-3-9-4-4-5-1-security-releases/\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:0:\"\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-08-09 14:41:13\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:47:\"woocommerce-payments-august-2022-need-to-update\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:7:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.9.4\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.0.3\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.1.1\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.2.2\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.3.1\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.4.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"4.5.1\";}}}}}s:52:\"google_listings_ads_custom_attribute_mapping_q4_2022\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"google_listings_ads_custom_attribute_mapping_q4_2022\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:80:\"Our latest improvement to the Google Listings & Ads extension: Attribute Mapping\";s:7:\"content\";s:230:\"You spoke, we listened. This new feature enables you to easily upload your products, customize your product attributes in one place, and target shoppers with more relevant ads. Extend how far your ad dollars go with each campaign.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:52:\"google_listings_ads_custom_attribute_mapping_q4_2022\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn more\";}}s:3:\"url\";s:182:\"https://woocommerce.com/document/google-listings-and-ads/?utm_source=inbox_note&utm_medium=product&utm_campaign=google_listings_ads_custom_attribute_mapping_q4_2022#attribute-mapping\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-11-30 21:14:54\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:23:\"google-listings-and-ads\";}}}}s:48:\"needs-update-eway-payment-gateway-rin-2022-12-20\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"needs-update-eway-payment-gateway-rin-2022-12-20\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:58:\"Security vulnerability patched in WooCommerce Eway Gateway\";s:7:\"content\";s:323:\"In response to a potential vulnerability identified in WooCommerce Eway Gateway versions 3.1.0 to 3.5.0, we’ve worked to deploy security fixes and have released an updated version.\r\nNo external exploits have been detected, but we recommend you update to your latest supported version 3.1.26, 3.2.3, 3.3.1, 3.4.6, or 3.5.1\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:62:\"needs-update-eway-payment-gateway-rin-action-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:16:\"/update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:63:\"needs-update-eway-payment-gateway-rin-dismiss-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:7:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-03 23:45:53\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:6:\"3.1.26\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.2.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.3.1\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"3.4.6\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"3.5.1\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"3.1.0\";}}}s:43:\"updated-eway-payment-gateway-rin-2022-12-20\";O:8:\"stdClass\":8:{s:4:\"slug\";s:43:\"updated-eway-payment-gateway-rin-2022-12-20\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:55:\"WooCommerce Eway Gateway has been automatically updated\";s:7:\"content\";s:280:\"Your store is now running the latest secure version of WooCommerce Eway Gateway. We worked with the WordPress Plugins team to deploy a software update to stores running WooCommerce Eway Gateway (versions 3.1.0 to 3.5.0) in response to a security vulnerability that was discovered.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:57:\"updated-eway-payment-gateway-rin-action-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"See all updates\";}}s:3:\"url\";s:16:\"/update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"updated-eway-payment-gateway-rin-dismiss-button-2022-12-20\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2022-01-03 23:45:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:11:\"note_status\";s:9:\"note_name\";s:48:\"needs-update-eway-payment-gateway-rin-2022-12-20\";s:6:\"status\";s:7:\"pending\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:6:\"3.1.26\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.2.3\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.3.1\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.4.6\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:24:\"woocommerce-gateway-eway\";s:8:\"operator\";s:1:\"=\";s:7:\"version\";s:5:\"3.5.1\";}}}}}s:31:\"ecomm-wc-navigation-survey-2023\";O:8:\"stdClass\":8:{s:4:\"slug\";s:31:\"ecomm-wc-navigation-survey-2023\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:39:\"Navigating WooCommerce on WordPress.com\";s:7:\"content\";s:166:\"We are improving the WooCommerce navigation on WordPress.com and would love your help to make it better! Please share your experience with us in this 2-minute survey.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:32:\"share-navigation-survey-feedback\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:14:\"Share feedback\";}}s:3:\"url\";s:58:\"https://automattic.survey.fm/new-ecommerce-plan-navigation\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-01-16 09:53:44\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:12:\"is_ecommerce\";s:5:\"value\";b:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:18:\"wcadmin_active_for\";s:9:\"operation\";s:1:\">\";s:4:\"days\";i:180;}}}s:39:\"woopay-beta-merchantrecruitment-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:39:\"woopay-beta-merchantrecruitment-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:319:\"WooPay, a new express checkout feature built into WooCommerce Payments, is <b>now available</b> —and we’re inviting you to be one of the first to try it. \r\n<br><br>\r\n<b>Boost conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\r\n<br><br>\r\n<b>Get started in seconds.</b>\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:48:\"woopay-beta-merchantrecruitment-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"woopay-beta-merchantrecruitment-activate-learnmore-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:155:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-activate-learnmore-04MAY23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:27\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.handinhandparenting.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://pritikinfoods.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://utahrecsports.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.hunterpta.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.smokinbeans.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://shulabeauty.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bingeworthytvmerch.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://s91.4d8.myftpupload.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://stephanienicolenorris.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://aliensshirt.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://libertyordeathapparelllc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://cowboystatedaily.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:42:\"https://fundrgear.com/beckendorffathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:50:\"http://wordpress-528155-2231771.cloudwaysapps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://checkout.sohaprice.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://amadozstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://eliwehbe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://lunabra.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://nptixx.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://louisianapantry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://aplusanatomy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://wildsvg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://bleachfilm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://benabeautyspa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:47:\"http://barrettfitnessenterprises.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://goabroadable.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://alexoathletica.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.fourpurls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.hagmannreport.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://busybeeorganics.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nallsproduce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://bigtimebats.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://shop.cookingwithkarli.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.queenofpeacemedia.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://bigjohnsbeefjerky.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://paperbyjaney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://carolinarisemembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://veroticaevents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://spira.farm\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://endlessassist.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://betterlifeblog.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://ashleighrenard.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.turkeymerck.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://carfiershop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://normanmusicfestival.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://www.olfactoryfactoryllc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://fundrgear.com/anthonyathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"http://tkechilifestdotcom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://pvsa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://becbatop.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wwmeconvention.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://lswmp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bubbaskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://fusango.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://vcdpostershow.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.rileysribz.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.fakeultrasound.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://onelongfellowsquare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://agodpod.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/littleladybulldogs\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://thecirclelarp.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://byletam.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.nachonite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://designerdab.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2151.temp.domains/~lovebyt2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://shortporchbaseballcompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://distancecme.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://middleswarthchips.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://railblazausa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://mikescountrymeats.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://www.woodenshoe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://rockspringscafe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"http://footballfangears.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://ybtoner.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://simplyclayyy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://naturecreation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://marisrodriguez.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://asanteinternational.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://theatre55.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://carolynscreativeclassroom.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.miiriya.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://trendyds.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wooedbythefood.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://papasteamstores.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://omdurags.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://happydogbarkery.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://kitbose.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://seamossdeals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://zeatala.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://shop.atwaterffa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://www.brettsfirstresponders.org/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://shirtactive.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://boerneparade.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://zorahshrine.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://davidcervenka.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://addisjourney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://305ycle.cc\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"http://yourworstnightmarehaunt.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://westcoastpreps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://checkout.sohaking.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://www.theunshakeablepundit.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.stellaandchewys.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.raywhitcomb.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"http://constellationtheatercompany.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://stacynguyen.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:46:\"https://fundrgear.com/lakecreekgirlsbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://winslowartcenter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://flufftastik.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mygreenbeach.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://ebookvip.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/needvillevolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bifocalmedia.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://clrc.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://hyperpins.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/lakecreekboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://fundrgear.com/kparktennis\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mogadorspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://fundrgear.com/newcaneytrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://sigmascents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://bsharisemoore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://morrflate.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://westbrosinc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://shop.danceplexaz.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://chikepod.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.advanahealth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://tatter.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://greatawakeningbrewing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://waterfowlfestival.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://preppedwellness.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://events.thus.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://stormtide.thefifthtrooper.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.tabsynth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"http://staging.fliptheswitchon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://duffysdough.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodieliving.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://breakerbrotherstcg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://andymation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://recklessmetals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://sophielark.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://wp.arabtherapy.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://creativeappliques.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://altitude.win\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:42:\"woocommerce-wcpay-march-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:42:\"woocommerce-wcpay-march-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:57:\"Action required: Security update for WooCommerce Payments\";s:7:\"content\";s:296:\"<strong>Your store requires a security update for WooCommerce Payments</strong>. Please update to the latest version of WooCommerce Payments immediately to address a potential vulnerability discovered on March 22. For more information on how to update, visit this WooCommerce Developer Blog Post.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:49:\"woocommerce-wcpay-march-2023-update-needed-button\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:13:\"See Blog Post\";}}s:3:\"url\";s:122:\"https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:57:\"woocommerce-wcpay-march-2023-update-needed-dismiss-button\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:11:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-03-22 20:25:44\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.2\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.1\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.4\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.3\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.1\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.5.2\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"4.8.0\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"5.6.1\";}}}s:34:\"tap_to_pay_iphone_q2_2023_no_wcpay\";O:8:\"stdClass\":8:{s:4:\"slug\";s:34:\"tap_to_pay_iphone_q2_2023_no_wcpay\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:52:\"Accept in-person contactless payments on your iPhone\";s:7:\"content\";s:230:\"Tap to Pay on iPhone and WooCommerce Payments is quick, secure, and simple to set up — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:34:\"tap_to_pay_iphone_q2_2023_no_wcpay\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:20:\"Simplify my payments\";}}s:3:\"url\";s:143:\"https://woocommerce.com/products/woocommerce-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_no_wcpay\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-03 23:59:47\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:3:\"not\";s:7:\"operand\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}}}}}}s:36:\"tap_to_pay_iphone_q2_2023_with_wcpay\";O:8:\"stdClass\":8:{s:4:\"slug\";s:36:\"tap_to_pay_iphone_q2_2023_with_wcpay\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:57:\"New: accept in-person contactless payments on your iPhone\";s:7:\"content\";s:250:\"Tap to Pay on iPhone is quick, secure, and simple to set up in WooCommerce Payments — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person in a few short steps!\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:36:\"tap_to_pay_iphone_q2_2023_with_wcpay\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Set up Tap to Pay on iPhone\";}}s:3:\"url\";s:234:\"https://woocommerce.com/document/woocommerce-payments/in-person-payments/woocommerce-in-person-payments-tap-to-pay-on-iphone-quick-start-guide/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_with_wcpay\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-03 23:59:44\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:17:\"plugins_activated\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}}}s:48:\"woocommerce-WCPreOrders-april-2023-update-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:48:\"woocommerce-WCPreOrders-april-2023-update-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:68:\"Action required: Security update of WooCommerce Pre-Orders extension\";s:7:\"content\";s:220:\"<strong>Your store requires a security update for the WooCommerce Pre-Orders extension</strong>. Please update the WooCommerce Pre-Orders extension immediately to address a potential vulnerability discovered on April 11.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:18:\"extension-settings\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:15:\"update-core.php\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:7:\"dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-12 22:16:37\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:22:\"woocommerce-pre-orders\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"2.0.0\";}}}s:46:\"woopay-beta-merchantrecruitment-update-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woopay-beta-merchantrecruitment-update-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:321:\"WooPay, a new express checkout feature built into WooCommerce Payments, is <b>now available</b> — and you’re invited to try it. \r\n<br /><br />\r\n<b>Boost conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\r\n<br /><br />\r\n<b>Update WooCommerce Payments</b> to get started.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:52:\"woopay-beta-merchantrecruitment-update-WCPay-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:55:\"woopay-beta-merchantrecruitment-update-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:06\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.handinhandparenting.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://pritikinfoods.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://utahrecsports.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.hunterpta.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.smokinbeans.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://shulabeauty.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bingeworthytvmerch.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://s91.4d8.myftpupload.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://stephanienicolenorris.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://aliensshirt.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://libertyordeathapparelllc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://cowboystatedaily.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:42:\"https://fundrgear.com/beckendorffathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:50:\"http://wordpress-528155-2231771.cloudwaysapps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://checkout.sohaprice.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://amadozstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://eliwehbe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://lunabra.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://nptixx.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://louisianapantry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://aplusanatomy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://wildsvg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://bleachfilm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://benabeautyspa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:47:\"http://barrettfitnessenterprises.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://goabroadable.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://alexoathletica.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.fourpurls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.hagmannreport.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://busybeeorganics.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nallsproduce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://bigtimebats.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://shop.cookingwithkarli.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.queenofpeacemedia.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://bigjohnsbeefjerky.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://paperbyjaney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://carolinarisemembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://veroticaevents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://spira.farm\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://endlessassist.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://betterlifeblog.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://ashleighrenard.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.turkeymerck.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://carfiershop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://normanmusicfestival.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://www.olfactoryfactoryllc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://fundrgear.com/anthonyathletics\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"http://tkechilifestdotcom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://pvsa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://becbatop.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wwmeconvention.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://lswmp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bubbaskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://fusango.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://vcdpostershow.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://www.rileysribz.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.fakeultrasound.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://onelongfellowsquare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://agodpod.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/littleladybulldogs\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://thecirclelarp.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://byletam.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.nachonite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://designerdab.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2151.temp.domains/~lovebyt2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://shortporchbaseballcompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://distancecme.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://middleswarthchips.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://railblazausa.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://mikescountrymeats.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://www.woodenshoe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://rockspringscafe.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"http://footballfangears.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://ybtoner.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://simplyclayyy.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://naturecreation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://marisrodriguez.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://asanteinternational.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://theatre55.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://carolynscreativeclassroom.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.miiriya.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://trendyds.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wooedbythefood.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://papasteamstores.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://omdurags.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://happydogbarkery.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"http://kitbose.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://seamossdeals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://zeatala.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://shop.atwaterffa.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://www.brettsfirstresponders.org/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://shirtactive.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://boerneparade.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://zorahshrine.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://davidcervenka.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://addisjourney.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://305ycle.cc\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"http://yourworstnightmarehaunt.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://westcoastpreps.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://checkout.sohaking.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://www.theunshakeablepundit.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.stellaandchewys.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.raywhitcomb.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"http://constellationtheatercompany.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://stacynguyen.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:46:\"https://fundrgear.com/lakecreekgirlsbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://winslowartcenter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://flufftastik.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mygreenbeach.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://ebookvip.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/needvillevolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://bifocalmedia.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://clrc.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://hyperpins.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/lakecreekboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://fundrgear.com/kparktennis\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mogadorspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://fundrgear.com/newcaneytrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://sigmascents.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://bsharisemoore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://morrflate.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://westbrosinc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://shop.danceplexaz.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://chikepod.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.advanahealth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://tatter.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://greatawakeningbrewing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://waterfowlfestival.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://preppedwellness.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://events.thus.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://stormtide.thefifthtrooper.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.tabsynth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"http://staging.fliptheswitchon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://duffysdough.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodieliving.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://breakerbrotherstcg.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://andymation.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://recklessmetals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://sophielark.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://wp.arabtherapy.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://creativeappliques.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://altitude.win\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:46:\"woopay-beta-existingmerchants-noaction-27APR23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:46:\"woopay-beta-existingmerchants-noaction-27APR23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:15:\"WooPay is back!\";s:7:\"content\";s:361:\"Thanks for previously trying WooPay, the<b> express checkout feature</b> built into WooCommerce Payments. We’re excited to announce that <b>WooPay availability has resumed</b>. No action is required on your part.\r\n<br /><br />\r\nYou can now <b>continue boosting conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-existingmerchants-noaction-documentation-27APR23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:13:\"Documentation\";}}s:3:\"url\";s:178:\"https://woocommerce.com/document/woopay-merchant-documentation/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-existingmerchants-noaction-documentation-27APR23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-26 19:00:23\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.0\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:38:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://store.startingstrongman.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://joacreativelab.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.pureskincaresalon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mariablaquier.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://getprodigital.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://dalefrickeholsters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://sstour.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://tk-txstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://humanspiritproject.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://viradadrums.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://rosariumblends.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://organicskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://stuckpigmedical.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.seattlegiftbasket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.cloverandviolet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gvscholarship.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://yesimadiva.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://www.old.jmtrashbgone.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://victorialansford.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://craftcosplay.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://thefossilexchange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nextgenspeed.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cappellarecords.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://ontimesupermarket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://new2knox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://lovestudiollc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://socceruniformkits.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://willowcreativ.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://summitprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://howda.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://soapavenuecompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://subsbox.mystagingwebsite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wifflebreakers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.mps-outfitters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://howardharrisassociates.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bettersaferadio.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://bunnyluna.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:44:\"woopay-beta-existingmerchants-update-27APR23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:44:\"woopay-beta-existingmerchants-update-27APR23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:15:\"WooPay is back!\";s:7:\"content\";s:368:\"Thanks for previously trying WooPay, the <b>express checkout feature</b> built into WooCommerce Payments. We’re excited to announce that <b>WooPay availability has resumed</b>.\r\n<br /><br />\r\n\r\nUpdate to the latest WooCommerce Payments version to <b>continue boosting conversions</b> by offering your customers a simple, secure way to pay with a <b>single click</b>.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:50:\"woopay-beta-existingmerchants-update-WCPay-27APR23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-04-26 19:00:08\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.0\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:38:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://store.startingstrongman.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://joacreativelab.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.pureskincaresalon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://mariablaquier.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://getprodigital.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://dalefrickeholsters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"https://sstour.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://tk-txstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://humanspiritproject.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://viradadrums.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://rosariumblends.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://organicskincare.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://stuckpigmedical.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.seattlegiftbasket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://www.cloverandviolet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gvscholarship.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://yesimadiva.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://www.old.jmtrashbgone.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://victorialansford.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://craftcosplay.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://thefossilexchange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://nextgenspeed.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cappellarecords.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://ontimesupermarket.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://new2knox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://lovestudiollc.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://socceruniformkits.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://willowcreativ.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://summitprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://howda.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://soapavenuecompany.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"https://subsbox.mystagingwebsite.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://wifflebreakers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.mps-outfitters.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://howardharrisassociates.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bettersaferadio.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://bunnyluna.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:45:\"woopay-beta-merchantrecruitment-short-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:45:\"woopay-beta-merchantrecruitment-short-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:54:\"woopay-beta-merchantrecruitment-short-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:8:\"actioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:64:\"woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:161:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:36\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://pieroatomic3.wpcomstaging.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.bluebeautifly.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://indianrivernatural.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://fouroaksproducts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:14:\"https://acb.la\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://www.sweetpotatoplant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://www.gocaseyourself.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://laugun.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://nebraskadaybyday.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://vintagemarche727.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://kohai.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://gracegaze.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://aliensmeaning.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://myheritagegardens.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://shopmoresport.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://oladino.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://frogjumpstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cagedthundermma.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/mcelwainelementary\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://mgco.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://500gp.io/pay\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://waterglassslimes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://antiqueful.shop/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://deeperkidmin.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/cyspringsboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://houseofminifigs.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2273.temp.domains/~dreambx2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://madebymixture.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://reliabletrash.company\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.daddybutter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://circleqessentials.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://garlicbraids.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://fbdonline.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://galaxysedge.us\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://duckduckbeetfarm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://varsitygraphics.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://jademackenzie.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://kristysketolifestyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://covid19criticalcare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://parkviewprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://rock-fest.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://fillinxsolutions.com/etarix/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://doughremitx.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.montanafiddlecamp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://fococomiccon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://patricendouglas.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://hectue.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://montanamaxbbq.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://smellzoom.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://uptowne.theoandson.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://superbasic.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ppodstore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://kerenzan.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://a13bargains.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://colorgr.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://mindbodysoulcandles.com/Charlotte\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://peaceloveandadhd.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://seymoursmash.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mwtournament.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:43:\"https://fundrgear.com/beckendorffgirlstrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://allswellnyc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://childoftheredwoodsmembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/grandoaksvolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.newhollandrochester.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.purplecatvet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"https://www.mustangmountaincoaster.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.roccanj.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.teerico.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://passportunlimited.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.paladincards20.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://giantshorties.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visualsports.biz\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://thefreakinricanrestaurant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://arequestionscom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://pt.tktxcompanystore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodiechicks.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://nutoshop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://backwoodzhiphop.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://gartapparel.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bodega.badiaspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://rampartrange.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://teeuni.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bearsinthealley.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://vitalbooks.net/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://hair-free-hair-remover.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gangtaynails.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://crochetfoundry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://westcoastbelts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://payment.sundryfiles.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://ccadunkirk.mudhenmama.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://desertsupercup.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://shops-eminem.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://75yearsofracing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://tixpls.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:44:\"http://legacyoutfitters.org/banquet/raffles/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://91170e9fc9.nxcli.io/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://beachwayrentals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://esd.camp\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mfkgamecalls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://1greatce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.luthyouth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://electionintegrityidaho.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://renbundle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://premierseamoss.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://teemart.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/beckendorffgirlsbb\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visiblechild.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ebookvital.me/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://renemarsh.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://www.eventricate.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://transgression.party\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://profadex.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://mxsbattlegrounds.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.poeinbaltimore.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://freefall.gg\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://underthechurchhatblog.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://naksparkle.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"http://bearlyburly.gay/inventory\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.premierboneandjoint.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://farm-2-bowl.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://hollandgrill.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://lividian.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.trainingrange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://sarakepskitchen.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.phoenixyouththeatre.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://drivenarmsco.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://audiobro.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://www.iowaabortionaccessfund.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://findthemenu.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://moderndepot.co\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://granitesupplements.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://healthyrican.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://utest.edsandbox.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://c-pounds.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://littleschoolofsmiths.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://goblinstyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://proper-testing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.cosafoundation.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://farmsteadboxes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://fundraise4books.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://norskenook.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://cajulove.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:52:\"woopay-beta-merchantrecruitment-short-update-04MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"woopay-beta-merchantrecruitment-short-update-04MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:227:\"Be one of the first to try WooPay, our new express checkout feature. <br><b>Boost conversions</b> by letting customers pay with a <b>single click</b>. <br><br>Update to the latest version of WooCommerce Payments to get started.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"woopay-beta-merchantrecruitment-short-update-WCPay-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:61:\"woopay-beta-merchantrecruitment-short-update-activate-04MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-04 18:00:20\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:144:{i:0;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.bluebeautifly.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://indianrivernatural.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://fouroaksproducts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:14:\"https://acb.la\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://www.sweetpotatoplant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"http://www.gocaseyourself.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://laugun.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://nebraskadaybyday.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://vintagemarche727.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:17:\"https://kohai.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://gracegaze.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://aliensmeaning.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://myheritagegardens.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://shopmoresport.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://oladino.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://frogjumpstore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://cagedthundermma.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/mcelwainelementary\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://mgco.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://500gp.io/pay\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://waterglassslimes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://antiqueful.shop/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://deeperkidmin.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:45:\"https://fundrgear.com/cyspringsboysbasketball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://houseofminifigs.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"http://box2273.temp.domains/~dreambx2/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://madebymixture.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://reliabletrash.company\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://www.daddybutter.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://circleqessentials.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://garlicbraids.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://fbdonline.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://galaxysedge.us\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:34;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://duckduckbeetfarm.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:35;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://varsitygraphics.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:36;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"http://jademackenzie.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:37;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://kristysketolifestyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:38;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://covid19criticalcare.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:39;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://parkviewprep.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:40;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://rock-fest.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:41;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"http://fillinxsolutions.com/etarix/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:42;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://doughremitx.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:43;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://www.montanafiddlecamp.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:44;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://fococomiccon.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:45;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://patricendouglas.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:46;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://hectue.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:47;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://montanamaxbbq.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:48;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://smellzoom.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:49;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://uptowne.theoandson.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:50;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://superbasic.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:51;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ppodstore.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:52;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://kerenzan.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:53;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://a13bargains.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:54;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://colorgr.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:55;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://mindbodysoulcandles.com/Charlotte\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:56;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://peaceloveandadhd.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:57;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://seymoursmash.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:58;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mwtournament.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:59;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:43:\"https://fundrgear.com/beckendorffgirlstrack\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:60;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:15:\"No results foun\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:61;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"http://allswellnyc.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:62;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://childoftheredwoodsmembers.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:63;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:41:\"https://fundrgear.com/grandoaksvolleyball\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:64;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.newhollandrochester.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:65;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://www.purplecatvet.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:66;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:39:\"https://www.mustangmountaincoaster.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:67;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://www.roccanj.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:68;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://www.teerico.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:69;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://passportunlimited.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:70;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.paladincards20.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:71;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://giantshorties.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:72;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visualsports.biz\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:73;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://thefreakinricanrestaurant.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:74;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://arequestionscom.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:75;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"https://pt.tktxcompanystore.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:76;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://fitfoodiechicks.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:77;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://nutoshop.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:78;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://backwoodzhiphop.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:79;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://gartapparel.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:80;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://bodega.badiaspices.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:81;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://rampartrange.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:82;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://teeuni.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:83;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://bearsinthealley.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:84;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"http://vitalbooks.net/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:85;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://hair-free-hair-remover.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:86;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://gangtaynails.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:87;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://crochetfoundry.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:88;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://westcoastbelts.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:89;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:31:\"http://payment.sundryfiles.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:90;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://ccadunkirk.mudhenmama.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:91;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://desertsupercup.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:92;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://shops-eminem.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:93;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://75yearsofracing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:94;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:18:\"http://tixpls.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:95;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:44:\"http://legacyoutfitters.org/banquet/raffles/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:96;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://91170e9fc9.nxcli.io/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:97;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://beachwayrentals.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:98;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://thehivelivebox.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:99;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:16:\"https://esd.camp\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:100;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://mfkgamecalls.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:101;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://1greatce.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:102;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:25:\"https://www.luthyouth.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:103;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:34:\"https://electionintegrityidaho.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:104;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://renbundle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:105;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"http://premierseamoss.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:106;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://teemart.net\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:107;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:40:\"https://fundrgear.com/beckendorffgirlsbb\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:108;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://visiblechild.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:109;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"http://ebookvital.me/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:110;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:21:\"https://renemarsh.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:111;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://www.eventricate.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:112;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"https://transgression.party\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:113;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://profadex.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:114;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:28:\"https://mxsbattlegrounds.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:115;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.poeinbaltimore.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:116;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:19:\"https://freefall.gg\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:117;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"https://underthechurchhatblog.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:118;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"http://naksparkle.store/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:119;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"http://bearlyburly.gay/inventory\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:120;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.premierboneandjoint.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:121;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://farm-2-bowl.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:122;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://hollandgrill.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:123;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://lividian.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:124;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:29:\"https://www.trainingrange.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:125;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://sarakepskitchen.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:126;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:35:\"https://www.phoenixyouththeatre.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:127;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://drivenarmsco.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:128;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://audiobro.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:129;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://www.iowaabortionaccessfund.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:130;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:33:\"http://findthemenu.wordpress.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:131;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://moderndepot.co\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:132;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://granitesupplements.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:133;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:24:\"https://healthyrican.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:134;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://utest.edsandbox.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:135;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"http://c-pounds.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:136;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:32:\"https://littleschoolofsmiths.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:137;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:23:\"https://goblinstyle.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:138;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://proper-testing.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:139;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:30:\"https://www.cosafoundation.org\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:140;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:26:\"https://farmsteadboxes.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:141;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:27:\"http://fundraise4books.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:142;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:22:\"https://norskenook.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}i:143;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:20:\"https://cajulove.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTA\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTA\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTA\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test A\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 00:01:32\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"https://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTB\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTB\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTB\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test B\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 20:58:43\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:36:\"http://pieroatomic3.wpcomstaging.com\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTC\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTC\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTC\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test C\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 21:03:33\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:38:\"https://pieroatomic3.wpcomstaging.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTD\";O:8:\"stdClass\":8:{s:4:\"slug\";s:51:\"woopay-beta-merchantrecruitment-short-06MAY23-TESTD\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTD\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:22:\"Activate WooPay Test D\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:70:\"woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:167:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-05 21:32:09\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":5:{s:4:\"type\";s:6:\"option\";s:11:\"option_name\";s:7:\"siteurl\";s:5:\"value\";s:37:\"http://pieroatomic3.wpcomstaging.com/\";s:7:\"default\";s:0:\"\";s:9:\"operation\";s:1:\"=\";}}}s:45:\"woopay-beta-merchantrecruitment-short-09MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:45:\"woopay-beta-merchantrecruitment-short-09MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:181:\"Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\n<b>Boost conversions</b> by letting customers pay with a <b>single click</b>.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:61:\"woopay-beta-merchantrecruitment-short-activate-button-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:72:\"woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:10:\"Learn More\";}}s:3:\"url\";s:169:\"https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-08 19:18:44\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:17:\"platform_checkout\";}}}s:11:\"option_name\";s:41:\"woocommerce_woocommerce_payments_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"no\";s:7:\"default\";b:0;}i:3;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:31:\"data.platform_checkout_eligible\";}}}s:11:\"option_name\";s:18:\"wcpay_account_data\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;s:7:\"default\";b:0;}}}s:52:\"woopay-beta-merchantrecruitment-short-update-09MAY23\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"woopay-beta-merchantrecruitment-short-update-09MAY23\";s:4:\"type\";s:4:\"info\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Increase conversions with WooPay — our fastest checkout yet\";s:7:\"content\";s:227:\"Be one of the first to try WooPay, our new express checkout feature. <br><b>Boost conversions</b> by letting customers pay with a <b>single click</b>. <br><br>Update to the latest version of WooCommerce Payments to get started.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:58:\"woopay-beta-merchantrecruitment-short-update-WCPay-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:27:\"Update WooCommerce Payments\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:1;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:61:\"woopay-beta-merchantrecruitment-short-update-activate-09MAY23\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:15:\"Activate WooPay\";}}s:3:\"url\";s:93:\"admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}}s:5:\"rules\";a:4:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-08 19:45:57\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.8.1\";}i:2;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:17:\"platform_checkout\";}}}s:11:\"option_name\";s:41:\"woocommerce_woocommerce_payments_settings\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"no\";s:7:\"default\";b:0;}i:3;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:1:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:31:\"data.platform_checkout_eligible\";}}}s:11:\"option_name\";s:18:\"wcpay_account_data\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";b:1;s:7:\"default\";b:0;}}}s:41:\"ipp_refresh_q2_2023_us_inbox_notification\";O:8:\"stdClass\":8:{s:4:\"slug\";s:41:\"ipp_refresh_q2_2023_us_inbox_notification\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:38:\"Grow on the go with in-person payments\";s:7:\"content\";s:247:\"Sell your products or services on the go with the M2 card reader – a quick, synchronized, and secure way to take payments, no matter where you are. Create an order using the WooCommerce mobile app and connect your card reader to accept payments.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:41:\"ipp_refresh_q2_2023_us_inbox_notification\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:26:\"Grow my business on the go\";}}s:3:\"url\";s:139:\"https://woocommerce.com/in-person-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=ipp_refresh_q2_2023_us_inbox_notification\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-18 04:16:26\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2023-08-31 23:59:00\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"US\";}}}s:41:\"ipp_refresh_q2_2023_ca_inbox_notification\";O:8:\"stdClass\":8:{s:4:\"slug\";s:41:\"ipp_refresh_q2_2023_ca_inbox_notification\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:38:\"Grow on the go with in-person payments\";s:7:\"content\";s:254:\"Sell your products or services on the go with the WisePad 3 card reader – a quick, synchronized, and secure way to take payments, no matter where you are. Create an order using the WooCommerce mobile app and connect your card reader to accept payments.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:41:\"ipp_refresh_q2_2023_ca_inbox_notification\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:26:\"Grow my business on the go\";}}s:3:\"url\";s:139:\"https://woocommerce.com/in-person-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=ipp_refresh_q2_2023_ca_inbox_notification\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-18 04:18:49\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2023-08-31 23:59:00\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:9:\"operation\";s:1:\"=\";s:5:\"value\";s:2:\"CA\";}}}s:44:\"woocommerce-WCstripe-May-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:44:\"woocommerce-WCstripe-May-2023-updated-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Action required: Security update of WooCommerce Stripe plugin\";s:7:\"content\";s:183:\"<strong>Your store requires a security update for the WooCommerce Stripe plugin</strong>. Please update the WooCommerce Stripe plugin immediately to address a potential vulnerability.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woocommerce-WCStripe-May-2023-updated-needed-Plugin-Settings\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:68:\"woocommerce-WCStripe-May-2023-updated-needed-Plugin-Settings-dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-05-31 19:54:10\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"5.5.0\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:26:\"woocommerce-gateway-stripe\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"7.4.1\";}}}s:47:\"woocommerce-WCPayments-June-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:47:\"woocommerce-WCPayments-June-2023-updated-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:56:\"Action required: Security update of WooCommerce Payments\";s:7:\"content\";s:187:\"<strong>Your store requires a security update for the WooCommerce Payments plugin</strong>. Please update the WooCommerce Payments plugin immediately to address a potential vulnerability.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:63:\"woocommerce-WCPayments-June-2023-updated-needed-Plugin-Settings\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:55:\"woocommerce-WCPayments-June-2023-updated-needed-Dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:20:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-06 08:00:52\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"3.2.0\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.2.3\";}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.3.2\";}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.4.2\";}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.5.2\";}i:6;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.6.1\";}i:7;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.7.3\";}i:8;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.8.3\";}i:9;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"4.9.2\";}i:10;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.0.5\";}i:11;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.1.4\";}i:12;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.2.3\";}i:13;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.3.2\";}i:14;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.4.2\";}i:15;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.5.3\";}i:16;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.6.3\";}i:17;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.7.1\";}i:18;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:2:\"!=\";s:7:\"version\";s:5:\"5.8.2\";}i:19;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-payments\";s:8:\"operator\";s:1:\"<\";s:7:\"version\";s:5:\"5.9.1\";}}}s:52:\"woocommerce-WCSubscriptions-June-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:52:\"woocommerce-WCSubscriptions-June-2023-updated-needed\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:61:\"Action required: Security update of WooCommerce Subscriptions\";s:7:\"content\";s:197:\"<strong>Your store requires a security update for the WooCommerce Subscriptions plugin</strong>. Please update the WooCommerce Subscriptions plugin immediately to address a potential vulnerability.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:68:\"woocommerce-WCSubscriptions-June-2023-updated-needed-Plugin-Settings\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:60:\"woocommerce-WCSubscriptions-June-2023-updated-needed-dismiss\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:3:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-06 08:00:08\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"woocommerce-subscriptions\";s:8:\"operator\";s:2:\">=\";s:7:\"version\";s:5:\"2.1.0\";}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:25:\"woocommerce-subscriptions\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"5.1.2\";}}}s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";O:8:\"stdClass\":8:{s:4:\"slug\";s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";s:4:\"type\";s:6:\"update\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:87:\"Action required: Security update of WooCommerce Returns and Warranty Requests extension\";s:7:\"content\";s:270:\"<strong>Your store requires a security update for the Returns and Warranty Requests extension</strong>.  Please update to the latest version of the WooCommerce Returns and Warranty Requests extension immediately to address a potential vulnerability discovered on May 31.\";}}s:7:\"actions\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"See available updates\";}}s:3:\"url\";s:29:\"plugins.php?plugin_status=all\";s:18:\"url_is_admin_query\";b:1;s:10:\"is_primary\";b:0;s:6:\"status\";s:10:\"unactioned\";}i:1;O:8:\"stdClass\":6:{s:4:\"name\";s:54:\"woocommerce-WCReturnsWarranty-June-2023-updated-needed\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:7:\"Dismiss\";}}s:3:\"url\";s:1:\"#\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-02 23:53:57\";}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:14:\"plugin_version\";s:6:\"plugin\";s:20:\"woocommerce-warranty\";s:8:\"operator\";s:2:\"<=\";s:7:\"version\";s:5:\"2.1.8\";}}}s:41:\"woocommerce_hpos_1st_notification_q2_2023\";O:8:\"stdClass\":8:{s:4:\"slug\";s:41:\"woocommerce_hpos_1st_notification_q2_2023\";s:4:\"type\";s:9:\"marketing\";s:6:\"status\";s:10:\"unactioned\";s:12:\"is_snoozable\";i:0;s:6:\"source\";s:15:\"woocommerce.com\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":3:{s:6:\"locale\";s:5:\"en_US\";s:5:\"title\";s:51:\"High-Performance Order Storage (HPOS) is on its way\";s:7:\"content\";s:310:\"Our team is targeting August 2023 to roll out a major database upgrade that can unlock faster checkout and order creation for your customers — and lightning-quick order lookup for you. Enablement is optional and you won’t be forced to update, but read on to see why this was our most requested new feature.\";}}s:7:\"actions\";a:1:{i:0;O:8:\"stdClass\":6:{s:4:\"name\";s:41:\"woocommerce_hpos_1st_notification_q2_2023\";s:7:\"locales\";a:1:{i:0;O:8:\"stdClass\":2:{s:6:\"locale\";s:5:\"en_US\";s:5:\"label\";s:21:\"Learn more about HPOS\";}}s:3:\"url\";s:189:\"https://woocommerce.com/posts/platform-update-high-performance-order-storage-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=woocommerce_hpos_1st_notification_q2_2023\";s:18:\"url_is_admin_query\";b:0;s:10:\"is_primary\";b:0;s:6:\"status\";s:8:\"actioned\";}}s:5:\"rules\";a:2:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:18:\"publish_after_time\";s:13:\"publish_after\";s:19:\"2023-06-06 22:14:44\";}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:19:\"publish_before_time\";s:14:\"publish_before\";s:19:\"2023-07-28 23:59:00\";}}}}}", "no");
INSERT INTO `wp_options` VALUES("7154", "_transient_timeout_wpseo_total_unindexed_terms_limited", "1686227295", "no");
INSERT INTO `wp_options` VALUES("7155", "_transient_wpseo_total_unindexed_terms_limited", "0", "no");
INSERT INTO `wp_options` VALUES("6964", "_transient_timeout_wpseo_total_unindexed_post_type_archives", "1686300854", "no");
INSERT INTO `wp_options` VALUES("6965", "_transient_wpseo_total_unindexed_post_type_archives", "0", "no");
INSERT INTO `wp_options` VALUES("7142", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1686237137", "no");
INSERT INTO `wp_options` VALUES("7143", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6110;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4821;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2786;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2675;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2054;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1919;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1910;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1645;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1567;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1557;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1549;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1515;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1508;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1489;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1371;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1316;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1272;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1175;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1155;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1149;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1058;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1023;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:1002;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:965;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:903;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:898;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:881;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:880;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:879;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:874;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:867;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:833;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:801;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:795;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:781;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:779;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:773;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:765;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:741;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:733;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:729;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:729;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:726;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:689;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:685;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:685;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:676;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:667;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:634;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:624;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:617;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:612;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:609;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:608;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:602;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:595;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:592;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:589;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:578;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:572;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:571;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:569;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:567;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:558;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:557;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:543;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:540;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:533;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:532;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:530;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:528;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:519;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:512;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:510;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:508;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:506;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:487;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:479;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:474;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:466;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:449;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:448;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:448;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:437;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:432;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:426;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:425;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:424;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:423;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:422;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:421;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:420;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:419;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:413;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:407;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:398;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:396;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:396;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:392;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:390;}}", "no");
INSERT INTO `wp_options` VALUES("392", "_transient_woocommerce_shipping_task_zone_count_transient", "0", "yes");
INSERT INTO `wp_options` VALUES("393", "acf_version", "6.12", "yes");
INSERT INTO `wp_options` VALUES("415", "_elementor_installed_time", "1685435098", "yes");
INSERT INTO `wp_options` VALUES("416", "elementor_remote_info_library", "a:3:{s:10:\"types_data\";a:4:{s:5:\"block\";a:2:{s:10:\"categories\";a:27:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:9:\"portfolio\";i:15;s:7:\"pricing\";i:16;s:15:\"product archive\";i:17;s:5:\"Quote\";i:18;s:15:\"Service Details\";i:19;s:8:\"services\";i:20;s:11:\"single page\";i:21;s:11:\"single post\";i:22;s:14:\"single product\";i:23;s:5:\"stats\";i:24;s:9:\"subscribe\";i:25;s:4:\"team\";i:26;s:12:\"testimonials\";}s:4:\"sets\";a:5:{i:0;s:11:\"Boxing Club\";i:1;s:19:\"Business Consultant\";i:2;s:16:\"Marketing Agency\";i:3;s:9:\"Wireframe\";i:4;s:15:\"Workshop Center\";}}s:5:\"popup\";a:1:{s:10:\"categories\";a:6:{i:0;s:10:\"bottom bar\";i:1;s:7:\"classic\";i:2;s:6:\"fly-in\";i:3;s:11:\"full screen\";i:4;s:9:\"hello bar\";i:5;s:8:\"slide-in\";}}s:2:\"lp\";a:1:{s:10:\"categories\";a:15:{i:0;s:8:\"Business\";i:1;s:16:\"Coming Soon Page\";i:2;s:9:\"eCommerce\";i:3;s:9:\"Education\";i:4;s:6:\"Events\";i:5;s:18:\"Health and Fitness\";i:6;s:3:\"NFT\";i:7;s:14:\"Online Service\";i:8;s:7:\"Product\";i:9;s:11:\"Real Estate\";i:10;s:18:\"Social Involvement\";i:11;s:14:\"Thank You Page\";i:12;s:6:\"Travel\";i:13;s:18:\"Under Construction\";i:14;s:9:\"Wireframe\";}}s:2:\"lb\";a:1:{s:10:\"categories\";a:2:{i:0;s:4:\"post\";i:1;s:7:\"product\";}}}s:10:\"categories\";a:27:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:9:\"portfolio\";i:15;s:7:\"pricing\";i:16;s:15:\"product archive\";i:17;s:5:\"Quote\";i:18;s:15:\"Service Details\";i:19;s:8:\"services\";i:20;s:11:\"single page\";i:21;s:11:\"single post\";i:22;s:14:\"single product\";i:23;s:5:\"stats\";i:24;s:9:\"subscribe\";i:25;s:4:\"team\";i:26;s:12:\"testimonials\";}s:9:\"templates\";a:823:{i:0;a:18:{s:4:\"tmpl\";i:1280;s:2:\"id\";i:22403;s:5:\"title\";s:40:\"Hello Bar | Subscribe | Aesthetic Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/aesthetic-clinic-19.jpg\";s:12:\"tmpl_created\";i:1647354307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/hello-bar-subscribe-aesthetic-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:48:\"[\"Barbershop\",\"Business\",\"Discount\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:1;a:18:{s:4:\"tmpl\";i:1281;s:2:\"id\";i:22410;s:5:\"title\";s:32:\"Fly-In | Discount | Hair Stylist\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/hair-stylist-20.jpg\";s:12:\"tmpl_created\";i:1647354614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-discount-hair-stylist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Barbershop\",\"Discount\",\"Hair\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:2;a:18:{s:4:\"tmpl\";i:1285;s:2:\"id\";i:22440;s:5:\"title\";s:32:\"Classic | Subscribe | Shoe Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/shoes-store-21.jpg\";s:12:\"tmpl_created\";i:1647418620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-subscribe-shoe-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:37:\"[\"Ecommerce\",\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:3;a:18:{s:4:\"tmpl\";i:1286;s:2:\"id\";i:22446;s:5:\"title\";s:37:\"Full Screen | Subscribe | Denim Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/denim-store-22.jpg\";s:12:\"tmpl_created\";i:1647419614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/full-screen-subscribe-denim-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:4;a:18:{s:4:\"tmpl\";i:1287;s:2:\"id\";i:22452;s:5:\"title\";s:37:\"Fly-In | Subscribe | Pizza Restaurant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/pizza-restaurant-23.jpg\";s:12:\"tmpl_created\";i:1647420733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-subscribe-pizza-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:19:\"[\"Business\",\"Food\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:5;a:18:{s:4:\"tmpl\";i:1288;s:2:\"id\";i:22458;s:5:\"title\";s:38:\"Full Screen | Subscribe | Fashion Shop\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-shop-24.jpg\";s:12:\"tmpl_created\";i:1647426379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-subscribe-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Ecommerce\",\"Fashion\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:6;a:18:{s:4:\"tmpl\";i:1289;s:2:\"id\";i:22464;s:5:\"title\";s:32:\"Fly-In | Contact | Makeup Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/makeup-studio-25.jpg\";s:12:\"tmpl_created\";i:1647427026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-makeup-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:7;a:18:{s:4:\"tmpl\";i:1290;s:2:\"id\";i:22470;s:5:\"title\";s:32:\"Fly-In | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-26.jpg\";s:12:\"tmpl_created\";i:1647428250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:8;a:18:{s:4:\"tmpl\";i:1291;s:2:\"id\";i:22480;s:5:\"title\";s:27:\"Classic | CTA | MasterClass\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/master-class-27.jpg\";s:12:\"tmpl_created\";i:1647428474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-masterclass/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"cta\",\"Magazine\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:9;a:18:{s:4:\"tmpl\";i:1292;s:2:\"id\";i:22489;s:5:\"title\";s:29:\"Classic | CTA | Music Concert\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/music-concert-29.jpg\";s:12:\"tmpl_created\";i:1647429738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-music-concert/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"cta\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:10;a:18:{s:4:\"tmpl\";i:1293;s:2:\"id\";i:22495;s:5:\"title\";s:27:\"Classic | CTA | Music Album\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/music-album-30.jpg\";s:12:\"tmpl_created\";i:1647430056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-music-album/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Ba\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:11;a:18:{s:4:\"tmpl\";i:1294;s:2:\"id\";i:22501;s:5:\"title\";s:37:\"Fly-In | CTA | Photography Exhibition\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/photography-exhibition-31.jpg\";s:12:\"tmpl_created\";i:1647430512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-photography-exhibition/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:12;a:18:{s:4:\"tmpl\";i:1295;s:2:\"id\";i:22507;s:5:\"title\";s:34:\"Classic | CTA | Clothing Shop Sale\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/clothing-shop-sale-32.jpg\";s:12:\"tmpl_created\";i:1647430774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-cta-clothing-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:13;a:18:{s:4:\"tmpl\";i:1296;s:2:\"id\";i:22486;s:5:\"title\";s:30:\"Classic | CTA | Shop Promotion\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/shop-promotion-28.jpg\";s:12:\"tmpl_created\";i:1647430951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-shop-promotion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"cta\",\"Magazine\",\"Photography\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:14;a:18:{s:4:\"tmpl\";i:1297;s:2:\"id\";i:22516;s:5:\"title\";s:32:\"Fly-In | CTA | Glasses Shop Sale\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/glasses-shop-sale-33.jpg\";s:12:\"tmpl_created\";i:1647431136;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-cta-glasses-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:30:\"[\"Business\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:15;a:18:{s:4:\"tmpl\";i:1298;s:2:\"id\";i:22522;s:5:\"title\";s:30:\"Fly-In | Discount | Skate Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/50-skate-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647434058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-skate-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:16;a:18:{s:4:\"tmpl\";i:1299;s:2:\"id\";i:22532;s:5:\"title\";s:43:\"Classic | Subscription | Basketball Academy\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/21-basketball-academy-Subscription.jpg\";s:12:\"tmpl_created\";i:1647434608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/classic-subscription-basketball-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Education\",\"Marketing\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:17;a:18:{s:4:\"tmpl\";i:1300;s:2:\"id\";i:22543;s:5:\"title\";s:38:\"Classic | Discount | Veterinary Clinic\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/veterinery-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647435581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-discount-veterinary-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Discount\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:18;a:18:{s:4:\"tmpl\";i:1301;s:2:\"id\";i:22553;s:5:\"title\";s:39:\"Classic | Contact | Business Consulting\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/27-business-consulting-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647439935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/classic-contact-business-consulting/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:19;a:18:{s:4:\"tmpl\";i:1302;s:2:\"id\";i:22562;s:5:\"title\";s:28:\"Classic | Contact | Handyman\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/handyman-small.jpg\";s:12:\"tmpl_created\";i:1647440333;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-contact-handyman/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:20;a:18:{s:4:\"tmpl\";i:1303;s:2:\"id\";i:22573;s:5:\"title\";s:40:\"Classic | Discount | Online Fashion Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/31-online-fashion-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647462549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-online-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:21;a:18:{s:4:\"tmpl\";i:1304;s:2:\"id\";i:22583;s:5:\"title\";s:36:\"Fly-In | Discount | Personal Trainer\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/personal-trainer-small.jpg\";s:12:\"tmpl_created\";i:1647503781;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-personal-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:22;a:18:{s:4:\"tmpl\";i:1305;s:2:\"id\";i:22592;s:5:\"title\";s:41:\"Classic | Contact | Illustrator Portfolio\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/illustrator-protfolio-small.jpg\";s:12:\"tmpl_created\";i:1647504218;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-contact-illustrator-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:49:\"[\"Contact\",\"Creative Portfolio\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:23;a:18:{s:4:\"tmpl\";i:1306;s:2:\"id\";i:22602;s:5:\"title\";s:46:\"Bottom Bar | Discount | Handmade Ceramics Shop\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2022/03/handmade-ceramic-shop-36-small.jpg\";s:12:\"tmpl_created\";i:1647507007;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-ceramics-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:48:\"[\"Business\",\"cta\",\"Ecommerce\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:24;a:18:{s:4:\"tmpl\";i:1307;s:2:\"id\";i:22612;s:5:\"title\";s:51:\"Classic | Contact | Classic Car Restoration Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/restoration-car-shop-37-small.jpg\";s:12:\"tmpl_created\";i:1647507310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/classic-contact-classic-car-restoration-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:25;a:18:{s:4:\"tmpl\";i:1308;s:2:\"id\";i:22621;s:5:\"title\";s:30:\"Classic | Booking | Life Coach\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/38-life-coach-Booking.jpg\";s:12:\"tmpl_created\";i:1647508596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-booking-life-coach/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Booking\",\"Business\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:26;a:18:{s:4:\"tmpl\";i:1309;s:2:\"id\";i:22632;s:5:\"title\";s:42:\"Classic |  Subscription | Merchandise Shop\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/Merchandise-Shop-39-small.jpg\";s:12:\"tmpl_created\";i:1647509196;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-subscription-merchandise-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Ecommerce\",\"Marketing\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:27;a:18:{s:4:\"tmpl\";i:1310;s:2:\"id\";i:22643;s:5:\"title\";s:48:\"Fly-In | Contact | Non-Governmental Organization\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/NGO-41-small.jpg\";s:12:\"tmpl_created\";i:1647509528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:150:\"https://library.elementor.com/popups/fly-in-contact-non-governmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:28;a:18:{s:4:\"tmpl\";i:1311;s:2:\"id\";i:22654;s:5:\"title\";s:35:\"Hello Bar | Contact | Family Doctor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/family-doctor-44-small.jpg\";s:12:\"tmpl_created\";i:1647509732;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/hello-bar-contact-family-doctor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Contact\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:29;a:18:{s:4:\"tmpl\";i:1312;s:2:\"id\";i:22663;s:5:\"title\";s:36:\"Classic | Subscription | Sports Blog\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/45-sport-blog-Subscription.jpg\";s:12:\"tmpl_created\";i:1647509908;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-sports-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:30;a:18:{s:4:\"tmpl\";i:1313;s:2:\"id\";i:22673;s:5:\"title\";s:30:\"Hello Bar | Booking | Event DJ\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/DJ-service-46-small.jpg\";s:12:\"tmpl_created\";i:1647510160;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/hello-bar-booking-event-dj/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Booking\",\"Events\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:31;a:18:{s:4:\"tmpl\";i:1314;s:2:\"id\";i:22684;s:5:\"title\";s:36:\"Fly-In | Discount | Cleaning Company\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/51-cleaning-company-Discount.jpg\";s:12:\"tmpl_created\";i:1647510546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-cleaning-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Offer\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:32;a:18:{s:4:\"tmpl\";i:1315;s:2:\"id\";i:22693;s:5:\"title\";s:28:\"Fly-In | Contact | Carpenter\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/carpenter-53-small.jpg\";s:12:\"tmpl_created\";i:1647511972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-carpenter/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:33;a:18:{s:4:\"tmpl\";i:1316;s:2:\"id\";i:22703;s:5:\"title\";s:31:\"Classic | Booking | Yoga Studio\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/55-yoga-studio-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647512209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-booking-yoga-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Booking\",\"Contact\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:34;a:18:{s:4:\"tmpl\";i:1317;s:2:\"id\";i:22714;s:5:\"title\";s:37:\"Classic | Discount | Pet Care Company\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/56-Pet-Care-Discount.jpg\";s:12:\"tmpl_created\";i:1647513031;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-pet-care-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:35;a:18:{s:4:\"tmpl\";i:1318;s:2:\"id\";i:22725;s:5:\"title\";s:38:\"Fly-In | Discount | Online Coffee Shop\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/online-coffee-shop-57-small.jpg\";s:12:\"tmpl_created\";i:1647513325;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-discount-online-coffee-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Food\",\"Offer\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:36;a:18:{s:4:\"tmpl\";i:1319;s:2:\"id\";i:22737;s:5:\"title\";s:44:\"Fly-In | CTA | Moving &#038; Storage Company\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/moving-company-59-small.jpg\";s:12:\"tmpl_created\";i:1647520956;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-moving-storage-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:37;a:18:{s:4:\"tmpl\";i:1320;s:2:\"id\";i:22749;s:5:\"title\";s:47:\"Classic | Contact | Industrial Design Portfolio\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/60-industrial-design-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647528116;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/classic-contact-industrial-design-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:40:\"[\"Contact\",\"Interior Design\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:38;a:18:{s:4:\"tmpl\";i:1321;s:2:\"id\";i:22759;s:5:\"title\";s:25:\"Classic | Contact | Drone\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/drone-61-small.jpg\";s:12:\"tmpl_created\";i:1647528899;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-contact-drone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:39;a:18:{s:4:\"tmpl\";i:1322;s:2:\"id\";i:22768;s:5:\"title\";s:46:\"Full Screen | Menu | Fashion Stylist Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/62-Fashion-Stylist-Menu.jpg\";s:12:\"tmpl_created\";i:1647529434;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/full-screen-menu-fashion-stylist-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Fashion\",\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:40;a:18:{s:4:\"tmpl\";i:1323;s:2:\"id\";i:22780;s:5:\"title\";s:31:\"Fly-In | CTA | Landscape Design\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/64-Landscape-Design-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647530337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-landscape-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:41;a:18:{s:4:\"tmpl\";i:1324;s:2:\"id\";i:22790;s:5:\"title\";s:48:\"Bottom Bar  | Contact | Architecture Photography\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/architecture-photography-65-small.jpg\";s:12:\"tmpl_created\";i:1647532358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/bottom-bar-contact-architecture-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:26:\"[\"Architecture\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:42;a:18:{s:4:\"tmpl\";i:1325;s:2:\"id\";i:22800;s:5:\"title\";s:41:\"Fly-In  | CTA | Speech-Language Therapist\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/66-Speech-Language-Therapist-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647532720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/fly-in-cta-speech-language-therapist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:25:\"[\"cta\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:43;a:18:{s:4:\"tmpl\";i:1326;s:2:\"id\";i:22812;s:5:\"title\";s:35:\"Full Screen | Verification | Winery\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/67-Winery-Verification.jpg\";s:12:\"tmpl_created\";i:1647761384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/full-screen-verification-winery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:24:\"[\"Alert\",\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:44;a:18:{s:4:\"tmpl\";i:1327;s:2:\"id\";i:22822;s:5:\"title\";s:36:\"Fly-In | Subscription | Nutritionist\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/nutritionist-69-small.jpg\";s:12:\"tmpl_created\";i:1647762620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-subscription-nutritionist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Food\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:45;a:18:{s:4:\"tmpl\";i:1328;s:2:\"id\";i:22833;s:5:\"title\";s:40:\"Classic | Subscription | App &#038; SaaS\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/app-70-small.jpg\";s:12:\"tmpl_created\";i:1647762955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscription-app-saas/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:14:\"[\"App\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:46;a:18:{s:4:\"tmpl\";i:1329;s:2:\"id\";i:22844;s:5:\"title\";s:41:\"Bottom Bar | Discount | Handmade Cupcakes\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/72-Handmade-Cupcakes-Discount.jpg\";s:12:\"tmpl_created\";i:1647763350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-cupcakes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:21:\"[\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:47;a:18:{s:4:\"tmpl\";i:1330;s:2:\"id\";i:22855;s:5:\"title\";s:40:\"Bottom Bar | Subscription | Fashion Blog\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-blog-75-small.jpg\";s:12:\"tmpl_created\";i:1647763907;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/bottom-bar-subscription-fashion-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:30:\"[\"Blog\",\"Fashion\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:48;a:18:{s:4:\"tmpl\";i:1331;s:2:\"id\";i:22866;s:5:\"title\";s:28:\"Fly-In | CTA | Private Tutor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-77-small.jpg\";s:12:\"tmpl_created\";i:1647764062;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-cta-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:49;a:18:{s:4:\"tmpl\";i:1332;s:2:\"id\";i:22876;s:5:\"title\";s:30:\"Classic | CTA | Tennis Academy\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/78-Tennis-Academy-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765192;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-tennis-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:50;a:18:{s:4:\"tmpl\";i:1333;s:2:\"id\";i:22887;s:5:\"title\";s:31:\"Fly-In | CTA | Shared Workspace\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/shared-workspace-79-small.jpg\";s:12:\"tmpl_created\";i:1647765419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-shared-workspace/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Business\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:51;a:18:{s:4:\"tmpl\";i:1334;s:2:\"id\";i:22899;s:5:\"title\";s:30:\"Bottom Bar | CTA | Art Gallery\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/80-Art-Gallery-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765652;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/bottom-bar-cta-art-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:13:\"[\"Art\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:52;a:18:{s:4:\"tmpl\";i:1335;s:2:\"id\";i:22910;s:5:\"title\";s:44:\"Fly-In | Subscription | Hiking Tours Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/hiking-tours-company-81-small.jpg\";s:12:\"tmpl_created\";i:1647765835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscription-hiking-tours-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Subscribe\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:53;a:18:{s:4:\"tmpl\";i:1336;s:2:\"id\";i:22921;s:5:\"title\";s:26:\"Classic | CTA | Music Band\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/music-band-82-small.jpg\";s:12:\"tmpl_created\";i:1647769462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/classic-cta-music-band/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Marketing\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:54;a:18:{s:4:\"tmpl\";i:1337;s:2:\"id\";i:22935;s:5:\"title\";s:35:\"Classic | CTA | Computer Technician\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/comuter-technician-83-small.jpg\";s:12:\"tmpl_created\";i:1647769843;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-computer-technician/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:55;a:18:{s:4:\"tmpl\";i:1338;s:2:\"id\";i:22945;s:5:\"title\";s:37:\"Classic | Discount | Delivery Company\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/delivery-company-88-small.jpg\";s:12:\"tmpl_created\";i:1647770834;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-delivery-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Discount\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:56;a:18:{s:4:\"tmpl\";i:1339;s:2:\"id\";i:22959;s:5:\"title\";s:29:\"Classic | Discount | Eco Shop\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/echo-shop-89-small.jpg\";s:12:\"tmpl_created\";i:1647771211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-discount-eco-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:57;a:18:{s:4:\"tmpl\";i:1340;s:2:\"id\";i:22972;s:5:\"title\";s:54:\"Fly-In | Subscription | Health &#038; Mindfulness Blog\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small.jpg\";s:12:\"tmpl_created\";i:1647771461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/fly-in-subscription-health-mindfulness-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:21:\"[\"Health\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:58;a:18:{s:4:\"tmpl\";i:1341;s:2:\"id\";i:22982;s:5:\"title\";s:31:\"Full Screen | Menu | Art Museum\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/art-museum-112-small.jpg\";s:12:\"tmpl_created\";i:1647771938;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-art-museum/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:59;a:18:{s:4:\"tmpl\";i:1342;s:2:\"id\";i:22992;s:5:\"title\";s:40:\"Classic | Discount | Urban Clothing Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small-1.jpg\";s:12:\"tmpl_created\";i:1647773067;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-urban-clothing-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Discount\",\"Ecommerce\",\"Fashion\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:60;a:18:{s:4:\"tmpl\";i:1343;s:2:\"id\";i:23004;s:5:\"title\";s:60:\"Full Screen | Menu | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small-1.jpg\";s:12:\"tmpl_created\";i:1647773366;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:155:\"https://library.elementor.com/popups/full-screen-menu-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:61;a:18:{s:4:\"tmpl\";i:1344;s:2:\"id\";i:23015;s:5:\"title\";s:62:\"Bottom Bar | Contact | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small.jpg\";s:12:\"tmpl_created\";i:1647773492;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/bottom-bar-contact-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:23:\"[\"Contact\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:62;a:18:{s:4:\"tmpl\";i:1345;s:2:\"id\";i:23025;s:5:\"title\";s:32:\"Full Screen | Menu | Flower Shop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small.jpg\";s:12:\"tmpl_created\";i:1647773820;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:63;a:18:{s:4:\"tmpl\";i:1346;s:2:\"id\";i:23037;s:5:\"title\";s:36:\"Classic | Subscription | Flower Shop\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small-1.jpg\";s:12:\"tmpl_created\";i:1647773949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:64;a:18:{s:4:\"tmpl\";i:1347;s:2:\"id\";i:23056;s:5:\"title\";s:48:\"Classic | Discount | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small-1.jpg\";s:12:\"tmpl_created\";i:1647774468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-discount-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:65;a:18:{s:4:\"tmpl\";i:1348;s:2:\"id\";i:23067;s:5:\"title\";s:37:\"Fly-In | Menu | Baby Sleep Consultant\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small-1.jpg\";s:12:\"tmpl_created\";i:1647778954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:66;a:18:{s:4:\"tmpl\";i:1349;s:2:\"id\";i:23077;s:5:\"title\";s:46:\"Classic | Subscription | Baby Sleep Consultant\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small.jpg\";s:12:\"tmpl_created\";i:1647779074;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/classic-subscription-baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:12:\"[\"Discount\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:67;a:18:{s:4:\"tmpl\";i:1350;s:2:\"id\";i:23090;s:5:\"title\";s:33:\"Full Screen | Menu | Luxury Hotel\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small.jpg\";s:12:\"tmpl_created\";i:1647779390;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/full-screen-menu-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:68;a:18:{s:4:\"tmpl\";i:1351;s:2:\"id\";i:23100;s:5:\"title\";s:31:\"Fly-In | Booking | Luxury Hotel\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small-1.jpg\";s:12:\"tmpl_created\";i:1647779500;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-booking-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Booking\",\"Travel\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:69;a:18:{s:4:\"tmpl\";i:1352;s:2:\"id\";i:23109;s:5:\"title\";s:38:\"Full Screen | Menu | Design Conference\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small.jpg\";s:12:\"tmpl_created\";i:1647779675;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:70;a:18:{s:4:\"tmpl\";i:1353;s:2:\"id\";i:23120;s:5:\"title\";s:41:\"Full Screen | Booking | Design Conference\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small-1.jpg\";s:12:\"tmpl_created\";i:1647779793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/full-screen-booking-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Booking\",\"Conference\",\"Creative\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:71;a:18:{s:4:\"tmpl\";i:1354;s:2:\"id\";i:23129;s:5:\"title\";s:29:\"Slide-In | Menu | VR Headsets\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small.jpg\";s:12:\"tmpl_created\";i:1647781211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-menu-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:72;a:18:{s:4:\"tmpl\";i:1355;s:2:\"id\";i:23139;s:5:\"title\";s:31:\"Classic | Contact | VR Headsets\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small-1.jpg\";s:12:\"tmpl_created\";i:1647781384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:73;a:18:{s:4:\"tmpl\";i:1356;s:2:\"id\";i:23149;s:5:\"title\";s:38:\"Slide-In | Menu | Portrait Photography\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Menu.jpg\";s:12:\"tmpl_created\";i:1647782336;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/slide-in-menu-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:74;a:18:{s:4:\"tmpl\";i:1357;s:2:\"id\";i:23159;s:5:\"title\";s:47:\"Hello Bar | Subscription | Portrait Photography\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Subscription.jpg\";s:12:\"tmpl_created\";i:1647782478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/hello-bar-subscription-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Blog\",\"Photography\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:75;a:18:{s:4:\"tmpl\";i:1358;s:2:\"id\";i:23169;s:5:\"title\";s:32:\"Full Screen | Menu | English Pub\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Menu.jpg\";s:12:\"tmpl_created\";i:1647782664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:76;a:18:{s:4:\"tmpl\";i:1359;s:2:\"id\";i:23179;s:5:\"title\";s:32:\"Classic | Discount | English Pub\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Discount.jpg\";s:12:\"tmpl_created\";i:1647782796;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:77;a:18:{s:4:\"tmpl\";i:1360;s:2:\"id\";i:23189;s:5:\"title\";s:27:\"Full Screen | Menu | Singer\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Menu.jpg\";s:12:\"tmpl_created\";i:1647783070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/full-screen-menu-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:29:\"[\"Fullscreen\",\"menu\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:78;a:18:{s:4:\"tmpl\";i:1361;s:2:\"id\";i:23200;s:5:\"title\";s:31:\"Classic | Subscription | Singer\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Subscription.jpg\";s:12:\"tmpl_created\";i:1647783249;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-subscription-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Music\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:79;a:18:{s:4:\"tmpl\";i:1362;s:2:\"id\";i:23210;s:5:\"title\";s:38:\"Full Screen | Menu | Virtual Assistant\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistnt-73-small.jpg\";s:12:\"tmpl_created\";i:1647784292;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:80;a:18:{s:4:\"tmpl\";i:1363;s:2:\"id\";i:23223;s:5:\"title\";s:39:\"Hello Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/73-Virtual-Assistant-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647784616;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-contact-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:37:\"[\"Contact\",\"Psychologist\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:81;a:18:{s:4:\"tmpl\";i:1364;s:2:\"id\";i:23234;s:5:\"title\";s:32:\"Slide-In  | Menu | Personal Chef\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Menu.jpg\";s:12:\"tmpl_created\";i:1647798194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-menu-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:82;a:18:{s:4:\"tmpl\";i:1365;s:2:\"id\";i:23244;s:5:\"title\";s:29:\"Classic | CTA | Personal Chef\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647798297;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Booking\",\"Chef\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:83;a:18:{s:4:\"tmpl\";i:1366;s:2:\"id\";i:23254;s:5:\"title\";s:31:\"Full Screen | Menu | Food Truck\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small-1.jpg\";s:12:\"tmpl_created\";i:1647798447;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:84;a:18:{s:4:\"tmpl\";i:1367;s:2:\"id\";i:23265;s:5:\"title\";s:30:\"Fly-In | Discount | Food Truck\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small.jpg\";s:12:\"tmpl_created\";i:1647798657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:85;a:18:{s:4:\"tmpl\";i:1369;s:2:\"id\";i:23323;s:5:\"title\";s:28:\"Classic | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-6-Small.jpg\";s:12:\"tmpl_created\";i:1647855505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:86;a:18:{s:4:\"tmpl\";i:1370;s:2:\"id\";i:23329;s:5:\"title\";s:29:\"Slide-In | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-5-Small.jpg\";s:12:\"tmpl_created\";i:1647855865;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:87;a:18:{s:4:\"tmpl\";i:1371;s:2:\"id\";i:23335;s:5:\"title\";s:31:\"Slide-In | CTA | Black Friday 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-1-Small.jpg\";s:12:\"tmpl_created\";i:1647856357;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-cta-black-friday-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:88;a:18:{s:4:\"tmpl\";i:1372;s:2:\"id\";i:23341;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-3-Small.jpg\";s:12:\"tmpl_created\";i:1647856493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:89;a:18:{s:4:\"tmpl\";i:1373;s:2:\"id\";i:23347;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-2-Small.jpg\";s:12:\"tmpl_created\";i:1647856891;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:90;a:18:{s:4:\"tmpl\";i:1374;s:2:\"id\";i:23354;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 4\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-4-Small.jpg\";s:12:\"tmpl_created\";i:1647856996;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:91;a:18:{s:4:\"tmpl\";i:1375;s:2:\"id\";i:23394;s:5:\"title\";s:27:\"Classic | CTA | Halloween 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-3-Small.jpg\";s:12:\"tmpl_created\";i:1647857351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-halloween-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:31:\"[\"cta\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:92;a:18:{s:4:\"tmpl\";i:1376;s:2:\"id\";i:23401;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-2-Small.jpg\";s:12:\"tmpl_created\";i:1647857567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:93;a:18:{s:4:\"tmpl\";i:1377;s:2:\"id\";i:23407;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-1-Small.jpg\";s:12:\"tmpl_created\";i:1647857814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:94;a:18:{s:4:\"tmpl\";i:1378;s:2:\"id\";i:23416;s:5:\"title\";s:31:\"Fly-In | Discount | Halloween 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-5-Small.jpg\";s:12:\"tmpl_created\";i:1647858024;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-discount-halloween-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:44:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:95;a:18:{s:4:\"tmpl\";i:1379;s:2:\"id\";i:23422;s:5:\"title\";s:36:\"Classic | Subscription | Halloween 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-4-Small.jpg\";s:12:\"tmpl_created\";i:1647858246;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-halloween-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:48:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:96;a:18:{s:4:\"tmpl\";i:1380;s:2:\"id\";i:23471;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-2-Small.jpg\";s:12:\"tmpl_created\";i:1647859193;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:97;a:18:{s:4:\"tmpl\";i:1381;s:2:\"id\";i:23477;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-4-Small.jpg\";s:12:\"tmpl_created\";i:1647859838;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:98;a:18:{s:4:\"tmpl\";i:1382;s:2:\"id\";i:23483;s:5:\"title\";s:26:\"Fly-In | CTA | Christmas 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-1-Small.jpg\";s:12:\"tmpl_created\";i:1647860157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/fly-in-cta-christmas-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:99;a:18:{s:4:\"tmpl\";i:1383;s:2:\"id\";i:23489;s:5:\"title\";s:33:\"Slide-In | Discount | Christmas 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-5-Small.jpg\";s:12:\"tmpl_created\";i:1647860302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-christmas-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:100;a:18:{s:4:\"tmpl\";i:1384;s:2:\"id\";i:23496;s:5:\"title\";s:32:\"Classic | Discount | Christmas 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-3-Small.jpg\";s:12:\"tmpl_created\";i:1647860454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-christmas-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Christmas\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:101;a:18:{s:4:\"tmpl\";i:1385;s:2:\"id\";i:23523;s:5:\"title\";s:30:\"Classic | CTA | Valentines Day\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-2-Small.jpg\";s:12:\"tmpl_created\";i:1647860912;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-valentines-day/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:102;a:18:{s:4:\"tmpl\";i:1386;s:2:\"id\";i:23529;s:5:\"title\";s:39:\"Hello Bar | Discount | Valentines Day 2\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-1-Small.jpg\";s:12:\"tmpl_created\";i:1647861064;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-discount-valentines-day-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:30:\"[\"Discount\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:103;a:18:{s:4:\"tmpl\";i:1387;s:2:\"id\";i:23536;s:5:\"title\";s:32:\"Classic | CTA | Valentines Day 3\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-3-Small.jpg\";s:12:\"tmpl_created\";i:1647861536;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-cta-valentines-day-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:104;a:18:{s:4:\"tmpl\";i:1388;s:2:\"id\";i:23586;s:5:\"title\";s:51:\"Fly-In | Subscribe | Health &#038; Wellness Company\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/35-Subscribe-Health-Wellness-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647862008;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscribe-health-wellness-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:24:\"[\"Business\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:105;a:18:{s:4:\"tmpl\";i:1389;s:2:\"id\";i:23592;s:5:\"title\";s:34:\"Classic | Subscribe | Tech Company\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/36-Subscribe-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647866706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-subscribe-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:106;a:18:{s:4:\"tmpl\";i:1390;s:2:\"id\";i:23598;s:5:\"title\";s:36:\"Classic | Contact Us | Fight Classes\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/37-Contact-Us-Fight-Classes-Small.jpg\";s:12:\"tmpl_created\";i:1647866869;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-contact-us-fight-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:107;a:18:{s:4:\"tmpl\";i:1391;s:2:\"id\";i:23611;s:5:\"title\";s:31:\"Classic | CTA | Mochi Shop Sale\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2022/03/39-Click-Through-Mochi-Shop-Sale-Small.jpg\";s:12:\"tmpl_created\";i:1647867750;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-cta-mochi-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"cta\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:108;a:18:{s:4:\"tmpl\";i:1392;s:2:\"id\";i:23618;s:5:\"title\";s:28:\"Classic | CTA | Fashion Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/40-Click-Through-Fashion-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647868251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:109;a:18:{s:4:\"tmpl\";i:1393;s:2:\"id\";i:23624;s:5:\"title\";s:29:\"Fly-In | Login | Tech Company\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/41-Login-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647868704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/fly-in-login-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:110;a:18:{s:4:\"tmpl\";i:1394;s:2:\"id\";i:23630;s:5:\"title\";s:36:\"Fly-In | Verification | Liquor Store\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/42-Verification-Liquor-Store-Small.jpg\";s:12:\"tmpl_created\";i:1647870308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-verification-liquor-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:111;a:18:{s:4:\"tmpl\";i:1395;s:2:\"id\";i:23636;s:5:\"title\";s:39:\"Hello Bar | Subscribe | Online Magazine\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/44-Subscribe-Online-Magazine-Small.jpg\";s:12:\"tmpl_created\";i:1647870465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-subscribe-online-magazine/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:112;a:18:{s:4:\"tmpl\";i:1396;s:2:\"id\";i:23642;s:5:\"title\";s:27:\"Fly-In | Login | Health Spa\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/43-Login-Health-Spa-Small.jpg\";s:12:\"tmpl_created\";i:1647872427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/fly-in-login-health-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Login\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:113;a:18:{s:4:\"tmpl\";i:1397;s:2:\"id\";i:23648;s:5:\"title\";s:33:\"Fly-In | Verification | Wine Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/45-Verification-Wine-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647872627;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/fly-in-verification-wine-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:114;a:18:{s:4:\"tmpl\";i:1421;s:2:\"id\";i:24235;s:5:\"title\";s:24:\"Ladydog Club &#8211; NFT\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/05/Ladydog_Club.jpg\";s:12:\"tmpl_created\";i:1651525072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/ladydog-club-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:115;a:18:{s:4:\"tmpl\";i:1422;s:2:\"id\";i:24166;s:5:\"title\";s:15:\"Dot &#8211; NFT\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/05/Dot-250_280.jpg\";s:12:\"tmpl_created\";i:1651525117;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/lp/dot-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:116;a:18:{s:4:\"tmpl\";i:1423;s:2:\"id\";i:24191;s:5:\"title\";s:28:\"Cosmic Neighbors &#8211; NFT\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Cosmic_Neighbors-250_280.jpg\";s:12:\"tmpl_created\";i:1651525124;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/cosmic-neighbors-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:117;a:18:{s:4:\"tmpl\";i:1424;s:2:\"id\";i:24255;s:5:\"title\";s:30:\"Happy Food Friends &#8211; NFT\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/05/Featured_Image.jpg\";s:12:\"tmpl_created\";i:1651525475;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/happy-food-friends-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:118;a:18:{s:4:\"tmpl\";i:1443;s:2:\"id\";i:24599;s:5:\"title\";s:27:\"Wireframe &#8211; Courses 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Courses-1.jpg\";s:12:\"tmpl_created\";i:1653989626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-courses-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:180:\"[\"About\",\"Academy\",\"Booking\",\"Business\",\"Course Online\",\"Features\",\"Footer\",\"Landing Pages\",\"Online Service\",\"Professional\",\"School\",\"Services\",\"Subscribe\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:119;a:18:{s:4:\"tmpl\";i:1444;s:2:\"id\";i:24614;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1-2.jpg\";s:12:\"tmpl_created\";i:1653990084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:139:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:120;a:18:{s:4:\"tmpl\";i:1445;s:2:\"id\";i:24629;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2-2.jpg\";s:12:\"tmpl_created\";i:1653990132;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:123:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:121;a:18:{s:4:\"tmpl\";i:1446;s:2:\"id\";i:24644;s:5:\"title\";s:27:\"Wireframe &#8211; Webinar 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Webinar-1.jpg\";s:12:\"tmpl_created\";i:1653990164;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-webinar-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:177:\"[\"About\",\"Academy\",\"Booking\",\"Conference\",\"Course Online\",\"Education\",\"Features\",\"Footer\",\"Form\",\"Landing Pages\",\"Online Event\",\"Online Service\",\"Subscribe\",\"Virtual\",\"Webinar\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:122;a:18:{s:4:\"tmpl\";i:1447;s:2:\"id\";i:24655;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3-2.jpg\";s:12:\"tmpl_created\";i:1653990198;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:143:\"[\"About\",\"Agency\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Portfolio\",\"Professional\",\"Project\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:123;a:18:{s:4:\"tmpl\";i:1448;s:2:\"id\";i:24677;s:5:\"title\";s:28:\"Wireframe &#8211; Services 4\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-4.jpg\";s:12:\"tmpl_created\";i:1653990233;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:102:\"[\"About\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:124;a:18:{s:4:\"tmpl\";i:1449;s:2:\"id\";i:24687;s:5:\"title\";s:28:\"Wireframe &#8211; Products 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Products-1.jpg\";s:12:\"tmpl_created\";i:1653990273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-products-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:128:\"[\"About\",\"Booking\",\"Business\",\"Clients\",\"Ecommerce\",\"Features\",\"Footer\",\"Landing Pages\",\"Products\",\"Sales\",\"Shop\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:125;a:18:{s:4:\"tmpl\";i:1450;s:2:\"id\";i:24706;s:5:\"title\";s:28:\"Wireframe &#8211; Services 5\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-5.jpg\";s:12:\"tmpl_created\";i:1653990322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:149:\"[\"About\",\"Booking\",\"Consulting\",\"Contact\",\"Doctor\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:126;a:18:{s:4:\"tmpl\";i:1451;s:2:\"id\";i:23604;s:5:\"title\";s:38:\"Classic | Subscribe | Nail Polish Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/38-Subscribe-Nail-Polish-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1660205114;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-subscribe-nail-polish-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:127;a:18:{s:4:\"tmpl\";i:1452;s:2:\"id\";i:23047;s:5:\"title\";s:46:\"Fly-In | Contact | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small.jpg\";s:12:\"tmpl_created\";i:1660205149;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/fly-in-contact-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Contact\",\"Ebook\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:128;a:18:{s:4:\"tmpl\";i:1199;s:2:\"id\";i:18839;s:5:\"title\";s:27:\"Hello Bar | CTA | eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/05/350x250.png\";s:12:\"tmpl_created\";i:1621870603;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/hello-bar-cta-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:41:\"[\"Ecommerce\",\"Online Shop\",\"Sale\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:129;a:18:{s:4:\"tmpl\";i:1247;s:2:\"id\";i:21907;s:5:\"title\";s:50:\"Fly-In | Team Details  | Electronic Music Festival\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/Kit-8-electronic-music-festival-CTA-image-1.jpg\";s:12:\"tmpl_created\";i:1646660881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/fly-in-team-details-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:130;a:18:{s:4:\"tmpl\";i:1253;s:2:\"id\";i:22162;s:5:\"title\";s:46:\"Full Screen | Menu | Electronic Music Festival\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/8-music-festival-Team-Details.jpg\";s:12:\"tmpl_created\";i:1647272934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:154:\"https://library.elementor.com/popups/full-screen-menu-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:131;a:18:{s:4:\"tmpl\";i:1254;s:2:\"id\";i:22172;s:5:\"title\";s:45:\"Classic | Discount | Health &#038; Beauty Spa\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/health-beauty-spa-small.jpg\";s:12:\"tmpl_created\";i:1647273547;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-discount-popup-health-beauty-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:36:\"[\"Hair\",\"Health\",\"Sales\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:132;a:18:{s:4:\"tmpl\";i:1255;s:2:\"id\";i:22183;s:5:\"title\";s:44:\"Hello Bar | CTA | Environmental Organization\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/11-Environmental-Organization-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647274384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/hello-bar-cta-popup-environmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:133;a:18:{s:4:\"tmpl\";i:1256;s:2:\"id\";i:22195;s:5:\"title\";s:39:\"Classic | Discount | Italian Restaurant\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/restaurant-small.jpg\";s:12:\"tmpl_created\";i:1647329432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-discount-popup-italian-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Restaurant\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:134;a:18:{s:4:\"tmpl\";i:1257;s:2:\"id\";i:22210;s:5:\"title\";s:45:\"Bottom Bar | Discount | Technology Conference\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tech-conference-small.jpg\";s:12:\"tmpl_created\";i:1647330423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/bottom-bar-discount-popup-technology-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:38:\"[\"Conference\",\"Sales\",\"Save the Date\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:135;a:18:{s:4:\"tmpl\";i:1258;s:2:\"id\";i:22221;s:5:\"title\";s:32:\"Hello Bar | Menu | Tattoo Studio\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small-1.jpg\";s:12:\"tmpl_created\";i:1647330705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/hello-bar-menu-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:17:\"[\"Header\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:136;a:18:{s:4:\"tmpl\";i:1259;s:2:\"id\";i:22231;s:5:\"title\";s:37:\"Full Screen | Booking | Tattoo Studio\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small.jpg\";s:12:\"tmpl_created\";i:1647331823;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-booking-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:137;a:18:{s:4:\"tmpl\";i:1260;s:2:\"id\";i:22251;s:5:\"title\";s:34:\"Classic | Discount | Dental Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/dental-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647332171;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-popup-dental-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Health\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:138;a:18:{s:4:\"tmpl\";i:1261;s:2:\"id\";i:22261;s:5:\"title\";s:34:\"Slide-In | Contact | Makeup Artist\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/20-Makeup-Artist-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647333946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/slide-in-contact-popup-makeup-artist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:139;a:18:{s:4:\"tmpl\";i:1262;s:2:\"id\";i:22271;s:5:\"title\";s:24:\"Fly-In | CTA | Headphone\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/headphones-1-small.jpg\";s:12:\"tmpl_created\";i:1647334784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-cta-popup-headphone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:41:\"[\"cta\",\"Ecommerce\",\"Marketing\",\"Product\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:140;a:18:{s:4:\"tmpl\";i:1263;s:2:\"id\";i:22277;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/online-course-2.jpg\";s:12:\"tmpl_created\";i:1647337110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-popup-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Course Online\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:141;a:18:{s:4:\"tmpl\";i:1264;s:2:\"id\";i:22283;s:5:\"title\";s:40:\"Bottom Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistant-3.jpg\";s:12:\"tmpl_created\";i:1647337517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-contact-popup-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:142;a:18:{s:4:\"tmpl\";i:1265;s:2:\"id\";i:22289;s:5:\"title\";s:32:\"Fly-In | Contact | Private Tutor\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-4.jpg\";s:12:\"tmpl_created\";i:1647337676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-contact-popup-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:27:\"[\"Contact\",\"Course Online\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:143;a:18:{s:4:\"tmpl\";i:1266;s:2:\"id\";i:22295;s:5:\"title\";s:31:\"Classic |  Login | Login Travel\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/login-travel-6.jpg\";s:12:\"tmpl_created\";i:1647339467;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-login-popup-login-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:144;a:18:{s:4:\"tmpl\";i:1267;s:2:\"id\";i:22301;s:5:\"title\";s:36:\"Full Screen | Login | Login Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/login-business-7.jpg\";s:12:\"tmpl_created\";i:1647339782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/full-screen-login-popup-login-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:16:\"[\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:145;a:18:{s:4:\"tmpl\";i:1268;s:2:\"id\";i:22307;s:5:\"title\";s:28:\"Classic | Login | Login Blog\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/login-blog-8.jpg\";s:12:\"tmpl_created\";i:1647339986;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-login-popup-login-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:146;a:18:{s:4:\"tmpl\";i:1269;s:2:\"id\";i:22313;s:5:\"title\";s:31:\"Classic | Login | Login Fashion\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/login-fashion-9.jpg\";s:12:\"tmpl_created\";i:1647340204;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-login-popup-login-fashion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Fashion\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:147;a:18:{s:4:\"tmpl\";i:1270;s:2:\"id\";i:22319;s:5:\"title\";s:40:\"Classic |  Login | Login Design Platform\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/03/login-design-platform-10.jpg\";s:12:\"tmpl_created\";i:1647340531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-login-popup-login-design-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Design\",\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:148;a:18:{s:4:\"tmpl\";i:1271;s:2:\"id\";i:22325;s:5:\"title\";s:36:\"Fly-In | Contact | Digital Marketing\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-marketing-11.jpg\";s:12:\"tmpl_created\";i:1647340770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-contact-popup-digital-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:51:\"[\"Business\",\"Contact\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:149;a:18:{s:4:\"tmpl\";i:1272;s:2:\"id\";i:22331;s:5:\"title\";s:36:\"Fly-In | CTA | Dog Cat Food Delivery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/dog-cat-food-delivery-5.jpg\";s:12:\"tmpl_created\";i:1647341069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-cta-popup-dog-cat-food-delivery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Delivery Service\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:150;a:18:{s:4:\"tmpl\";i:1273;s:2:\"id\";i:22337;s:5:\"title\";s:37:\"Full Screen | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-12.jpg\";s:12:\"tmpl_created\";i:1647341370;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-contact-popup-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:151;a:18:{s:4:\"tmpl\";i:1274;s:2:\"id\";i:22343;s:5:\"title\";s:44:\"Classic | Contact | Support Product Platform\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/03/support-13.jpg\";s:12:\"tmpl_created\";i:1647341972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-contact-support-product-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Contact\",\"Support\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:152;a:18:{s:4:\"tmpl\";i:1275;s:2:\"id\";i:22371;s:5:\"title\";s:38:\"Full Screen | Contact | Small Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/small-business-14.jpg\";s:12:\"tmpl_created\";i:1647342508;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-contact-small-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:40:\"[\"Business\",\"Contact\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:153;a:18:{s:4:\"tmpl\";i:1276;s:2:\"id\";i:22377;s:5:\"title\";s:31:\"Classic | Contact | Online Shop\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/online-shop-15.jpg\";s:12:\"tmpl_created\";i:1647352786;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-online-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:154;a:18:{s:4:\"tmpl\";i:1277;s:2:\"id\";i:22383;s:5:\"title\";s:40:\"Classic | Booking | Children Optometrist\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/children-optometrist-16.jpg\";s:12:\"tmpl_created\";i:1647352963;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-booking-children-optometrist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:53:\"[\"Booking\",\"Business\",\"Contact\",\"Education\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:155;a:18:{s:4:\"tmpl\";i:1278;s:2:\"id\";i:22389;s:5:\"title\";s:28:\"Fly-In | Contact | Open Week\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/03/open-week17.jpg\";s:12:\"tmpl_created\";i:1647353281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-open-week/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:34:\"[\"Business\",\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:156;a:18:{s:4:\"tmpl\";i:1279;s:2:\"id\";i:22397;s:5:\"title\";s:43:\"Full Screen | CTA | Plant Pots Online Store\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/plant-pots-online-store-18.jpg\";s:12:\"tmpl_created\";i:1647353429;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-cta-plant-pots-online-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:33:\"[\"Ecommerce\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:157;a:18:{s:4:\"tmpl\";i:1054;s:2:\"id\";i:15414;s:5:\"title\";s:32:\"Classic | Contact | Dance Studio\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/PopUp.jpg\";s:12:\"tmpl_created\";i:1603180596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-dance-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:762;s:11:\"trend_index\";i:650;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:158;a:18:{s:4:\"tmpl\";i:1398;s:2:\"id\";i:23687;s:5:\"title\";s:32:\"Pizza Promotion &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/48-Pizza-Promotion.jpg\";s:12:\"tmpl_created\";i:1649670575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/pizza-promotion-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:92:\"[\"Business\",\"Cooking\",\"Delivery\",\"Discount\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:159;a:18:{s:4:\"tmpl\";i:1400;s:2:\"id\";i:23751;s:5:\"title\";s:33:\"Baby Sleep Webinar &#8211; Events\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/63-Baby-Sleep-Webinar.jpg\";s:12:\"tmpl_created\";i:1649676065;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/baby-sleep-webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:227:\"[\"Baby\",\"Booking\",\"Business\",\"Children\",\"Course Online\",\"Education\",\"Events\",\"Health\",\"Landing Pages\",\"Life Coach\",\"Lifestyle\",\"Online Event\",\"Online Service\",\"Parenting\",\"Professional\",\"Remote\",\"Services\",\"Training\",\"Webinar\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:160;a:18:{s:4:\"tmpl\";i:1401;s:2:\"id\";i:23776;s:5:\"title\";s:34:\"Ski Hotel Promotion &#8211; Travel\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/04/64-Ski-Hotel-Promotion.jpg\";s:12:\"tmpl_created\";i:1649691720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/ski-hotel-promotion-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Travel\";s:4:\"tags\";s:118:\"[\"Accommodation\",\"Booking\",\"Discount. Landing Pages\",\"Lifestyle\",\"Luxury\",\"Services\",\"Spa\",\"Travel\",\"Trip\",\"Vacation\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:161;a:18:{s:4:\"tmpl\";i:1402;s:2:\"id\";i:23804;s:5:\"title\";s:30:\"Cake Delivery &#8211; Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/04/67-Cake-Delivery.jpg\";s:12:\"tmpl_created\";i:1649692909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/cake-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:101:\"[\"Bakery\",\"Business\",\"Cake\",\"Cooking\",\"Delivery\",\"Discount\",\"Food\",\"Landing Pages\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:162;a:18:{s:4:\"tmpl\";i:1403;s:2:\"id\";i:23832;s:5:\"title\";s:32:\"Furniture Store &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/87-Furniture-Store.jpg\";s:12:\"tmpl_created\";i:1649694812;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/furniture-store-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:232:\"[\"Architecture\",\"Art\",\"Business\",\"Construction\",\"Coupon\",\"Creative\",\"Decor\",\"Designer\",\"Discount\",\"Fashion\",\"Furniture Design\",\"Home\",\"House\",\"Interior Design\",\"Landing Pages\",\"Lifestyle\",\"Products\",\"Professional\",\"Services\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:163;a:18:{s:4:\"tmpl\";i:1404;s:2:\"id\";i:23746;s:5:\"title\";s:22:\"Nails &#8211; Business\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/04/62-Nails-1.jpg\";s:12:\"tmpl_created\";i:1649704635;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/nails-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:173:\"[\"Art\",\"Beauty\",\"Business\",\"Colorful\",\"Cosmetics\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Girly\",\"Landing Pages\",\"Lifestyle\",\"Manicure\",\"Modern\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:164;a:18:{s:4:\"tmpl\";i:1405;s:2:\"id\";i:23846;s:5:\"title\";s:29:\"Music Festival &#8211; Events\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/04/88-Music-Festival.jpg\";s:12:\"tmpl_created\";i:1649707763;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/music-festival-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:128:\"[\"Author\",\"Booking\",\"Business\",\"Creative\",\"Discount\",\"Events\",\"Landing Pages\",\"Music\",\"Online\",\"Online Event\",\"Party\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:165;a:18:{s:4:\"tmpl\";i:1406;s:2:\"id\";i:23872;s:5:\"title\";s:40:\"Fashion Styling Course &#8211; Education\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/89-Fashion-Styling-Course.jpg\";s:12:\"tmpl_created\";i:1649708569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/fashion-styling-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:173:\"[\"Aesthetic\",\"Art\",\"Beauty\",\"Business\",\"Course Online\",\"Creative\",\"Discount\",\"Education\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Online\",\"Online Service\",\"Stylist\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:166;a:18:{s:4:\"tmpl\";i:1407;s:2:\"id\";i:23897;s:5:\"title\";s:33:\"Bags Online Shop &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/04/90-Bags-Online-Shop.jpg\";s:12:\"tmpl_created\";i:1649709513;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/bags-online-shop-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:170:\"[\"Art\",\"Bag\",\"Business\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Luxury\",\"Modern\",\"Online\",\"Online Shop\",\"Products\",\"Sales\",\"Shop\",\"Stylist\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:167;a:18:{s:4:\"tmpl\";i:1408;s:2:\"id\";i:23932;s:5:\"title\";s:32:\"Cooking Academy &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/91-Cooking-Academy.jpg\";s:12:\"tmpl_created\";i:1649710216;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/cooking-academy-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:145:\"[\"Academy\",\"Booking\",\"Business\",\"Chef\",\"Cooking\",\"Education\",\"Food\",\"Free Trial\",\"Landing Pages\",\"Professional\",\"School\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:168;a:18:{s:4:\"tmpl\";i:1409;s:2:\"id\";i:23970;s:5:\"title\";s:45:\"Ophthalmology Medical Clinic &#8211; Business\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/04/92-Ophthalmology-Medical-Clinic.jpg\";s:12:\"tmpl_created\";i:1649711096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/ophthalmology-medical-clinic-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:165:\"[\"About\",\"Business\",\"Care\",\"Consulting\",\"Eye\",\"Free Trial\",\"Glasses\",\"Health\",\"Landing Pages\",\"Lifestyle\",\"Medical\",\"Modern\",\"Optometrist\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:169;a:18:{s:4:\"tmpl\";i:1425;s:2:\"id\";i:24331;s:5:\"title\";s:24:\"Wireframe &#8211; Home 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-1.jpg\";s:12:\"tmpl_created\";i:1653988363;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:170;a:18:{s:4:\"tmpl\";i:1218;s:2:\"id\";i:20792;s:5:\"title\";s:26:\"Luxury Car &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/11/250x280-1.jpg\";s:12:\"tmpl_created\";i:1636903770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/luxury-car-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:54:\"[\"car\",\"Ecommerce\",\"Landing Pages\",\"Luxury\",\"Product\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:171;a:18:{s:4:\"tmpl\";i:1428;s:2:\"id\";i:24398;s:5:\"title\";s:25:\"Wireframe &#8211; About 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-1.jpg\";s:12:\"tmpl_created\";i:1653988534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:83:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Professional\",\"Services\",\"Team\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:172;a:18:{s:4:\"tmpl\";i:991;s:2:\"id\";i:13413;s:5:\"title\";s:33:\"Classic | Contact | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Help.jpg\";s:12:\"tmpl_created\";i:1587474761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-contact-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:530;s:11:\"trend_index\";i:369;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:173;a:18:{s:4:\"tmpl\";i:1053;s:2:\"id\";i:15272;s:5:\"title\";s:32:\"Classic | Contact | Psychologist\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/PopUp.png\";s:12:\"tmpl_created\";i:1600170487;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:578;s:11:\"trend_index\";i:312;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:174;a:18:{s:4:\"tmpl\";i:899;s:2:\"id\";i:11839;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";i:1569430015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:189;s:11:\"trend_index\";i:20;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:175;a:18:{s:4:\"tmpl\";i:1433;s:2:\"id\";i:24477;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-2.jpg\";s:12:\"tmpl_created\";i:1653988835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:176;a:18:{s:4:\"tmpl\";i:1205;s:2:\"id\";i:20233;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633881371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:177;a:18:{s:4:\"tmpl\";i:1214;s:2:\"id\";i:20539;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:178;a:18:{s:4:\"tmpl\";i:1224;s:2:\"id\";i:21013;s:5:\"title\";s:24:\"Restaurant &#8211; About\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/12/7-About-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638795588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:36:\"[\"About\",\"Chef\",\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:179;a:18:{s:4:\"tmpl\";i:992;s:2:\"id\";i:13402;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/04/Popup-Course-Completed.jpg\";s:12:\"tmpl_created\";i:1587474772;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:619;s:11:\"trend_index\";i:582;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:180;a:18:{s:4:\"tmpl\";i:1206;s:2:\"id\";i:20254;s:5:\"title\";s:41:\"Digital Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Digital-Marketing-Agency-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/digital-marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:65:\"[\"Agency\",\"Business\",\"Digital Agency\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:181;a:18:{s:4:\"tmpl\";i:1235;s:2:\"id\";i:21281;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/16-Services-Law-firm.jpg\";s:12:\"tmpl_created\";i:1638819128;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/law-firm-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Consulting\",\"Law\",\"Law Firm\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:182;a:18:{s:4:\"tmpl\";i:1017;s:2:\"id\";i:14111;s:5:\"title\";s:36:\"Classic | Japanese restaurant | Sale\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1592300400;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-japanese-restaurant-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:717;s:11:\"trend_index\";i:697;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:183;a:18:{s:4:\"tmpl\";i:1213;s:2:\"id\";i:20509;s:5:\"title\";s:40:\"Dogs Adoption &#8211; Social Involvement\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/10/Dog-Adoption-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/dogs-adoption-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:49:\"[\"Adoption\",\"Involvement\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:184;a:18:{s:4:\"tmpl\";i:1233;s:2:\"id\";i:21205;s:5:\"title\";s:29:\"Photographer &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/25-Projects-Photographer.jpg\";s:12:\"tmpl_created\";i:1638818372;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photographer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Black and white\",\"Photography\",\"Project\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:185;a:18:{s:4:\"tmpl\";i:993;s:2:\"id\";i:13422;s:5:\"title\";s:30:\"Classic | Menu | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1587474782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-menu-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:516;s:11:\"trend_index\";i:432;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:186;a:18:{s:4:\"tmpl\";i:925;s:2:\"id\";i:12540;s:5:\"title\";s:33:\"Classic | Menu | Travel and tours\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_Menu_s.png\";s:12:\"tmpl_created\";i:1575960267;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-menu-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:690;s:11:\"trend_index\";i:714;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:187;a:18:{s:4:\"tmpl\";i:1208;s:2:\"id\";i:20361;s:5:\"title\";s:51:\"Exercise &#038; Fitness Equipment &#8211; eCommerce\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2021/10/Exercise-Fitness-Equipment-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633883766;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/exercise-fitness-equipment-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Fitness\",\"Health\",\"Landing Pages\",\"Online Shop\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:188;a:18:{s:4:\"tmpl\";i:1239;s:2:\"id\";i:21373;s:5:\"title\";s:28:\"Photographer &#8211; Gallery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/18-Gallery-Photographer.jpg\";s:12:\"tmpl_created\";i:1638821177;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photographer-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Gallery\",\"Photography\",\"Portfolio\",\"Project\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:189;a:18:{s:4:\"tmpl\";i:1426;s:2:\"id\";i:24348;s:5:\"title\";s:24:\"Wireframe &#8211; Home 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-2.jpg\";s:12:\"tmpl_created\";i:1653988444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:190;a:18:{s:4:\"tmpl\";i:958;s:2:\"id\";i:13129;s:5:\"title\";s:28:\"Classic | Menu | Photography\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/PopUp_s.png\";s:12:\"tmpl_created\";i:1582092645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-menu-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:646;s:11:\"trend_index\";i:521;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:191;a:18:{s:4:\"tmpl\";i:1427;s:2:\"id\";i:24366;s:5:\"title\";s:24:\"Wireframe &#8211; Home 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-3.jpg\";s:12:\"tmpl_created\";i:1653988491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:192;a:18:{s:4:\"tmpl\";i:1207;s:2:\"id\";i:20299;s:5:\"title\";s:51:\"Interior Design Consultation &#8211; Online Service\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/10/Interior-Design-Consultation-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/interior-design-consultation-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:65:\"[\"Consulting\",\"Interior Design\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:193;a:18:{s:4:\"tmpl\";i:952;s:2:\"id\";i:12726;s:5:\"title\";s:52:\"Classic | Newsletter | Subscribe | Magazine and Blog\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_Newsletter_s.png\";s:12:\"tmpl_created\";i:1579061019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/classic-newsletter-subscribe-magazine-and-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:357;s:11:\"trend_index\";i:281;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:194;a:18:{s:4:\"tmpl\";i:883;s:2:\"id\";i:11468;s:5:\"title\";s:20:\"Classic | Sale | Gym\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/PopUp_Small.png\";s:12:\"tmpl_created\";i:1567393182;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-sale-gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:696;s:11:\"trend_index\";i:740;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:195;a:18:{s:4:\"tmpl\";i:1216;s:2:\"id\";i:20623;s:5:\"title\";s:57:\"Luxurious Camping Accommodation For Events &#8211; Events\";s:9:\"thumbnail\";s:113:\"https://library.elementor.com/wp-content/uploads/2021/10/Luxurious-Camping-Accommodation-For-Events-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634041681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/luxurious-camping-accommodation-for-events-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:43:\"[\"Event\",\"Events\",\"Landing Pages\",\"Travel\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:196;a:18:{s:4:\"tmpl\";i:1219;s:2:\"id\";i:20886;s:5:\"title\";s:28:\"Online Training &#8211; Home\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/12/2-Home-Online-Training.jpg\";s:12:\"tmpl_created\";i:1638784769;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/online-training-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Online\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:197;a:18:{s:4:\"tmpl\";i:1065;s:2:\"id\";i:15570;s:5:\"title\";s:33:\"Classic | Subscribe | Travel Blog\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp.jpg\";s:12:\"tmpl_created\";i:1606215555;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscribe-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:709;s:11:\"trend_index\";i:459;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:198;a:18:{s:4:\"tmpl\";i:1431;s:2:\"id\";i:24437;s:5:\"title\";s:25:\"Wireframe &#8211; About 4\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-4.jpg\";s:12:\"tmpl_created\";i:1653988733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:199;a:18:{s:4:\"tmpl\";i:1210;s:2:\"id\";i:20414;s:5:\"title\";s:45:\"Online English Courses &#8211; Online Service\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Online-English-Courses-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/online-english-courses-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Course Online\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:200;a:18:{s:4:\"tmpl\";i:1132;s:2:\"id\";i:16553;s:5:\"title\";s:31:\"Fly-In | Contact | Beauty Salon\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/12/PopUp.jpg\";s:12:\"tmpl_created\";i:1608622602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-contact-beauty-salon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:691;s:11:\"trend_index\";i:428;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:201;a:18:{s:4:\"tmpl\";i:1441;s:2:\"id\";i:24574;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 5\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-5.jpg\";s:12:\"tmpl_created\";i:1653989135;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:202;a:18:{s:4:\"tmpl\";i:1217;s:2:\"id\";i:20333;s:5:\"title\";s:40:\"Plant Pots Online Shop &#8211; eCommerce\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Plant-Pots-Online-Shop-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634042184;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/plant-pots-online-shop-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Ecommerce\",\"Landing Pages\",\"Online Shop\",\"Shop\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:203;a:18:{s:4:\"tmpl\";i:1211;s:2:\"id\";i:20447;s:5:\"title\";s:33:\"Shared Workspace &#8211; Business\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Shared-Workspace.jpg\";s:12:\"tmpl_created\";i:1633884934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/shared-workspace-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:28:\"[\"Business\",\"Landing Pages\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:204;a:18:{s:4:\"tmpl\";i:1237;s:2:\"id\";i:21313;s:5:\"title\";s:34:\"Spa &#038; Beauty &#8211; Services\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/12/Spa-Beauty-Treatments-page-1.jpg\";s:12:\"tmpl_created\";i:1638819709;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/spa-beauty-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:55:\"[\"Beauty\",\"Hair\",\"Health\",\"Services\",\"Spa\",\"Treatment\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:205;a:18:{s:4:\"tmpl\";i:1004;s:2:\"id\";i:13538;s:5:\"title\";s:32:\"Fly-In | Newsletter | Barbershop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/05/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1589893364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-newsletter-barbershop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:710;s:11:\"trend_index\";i:667;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:206;a:18:{s:4:\"tmpl\";i:924;s:2:\"id\";i:12550;s:5:\"title\";s:32:\"Fly-in | Sale | Travel and Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_s.png\";s:12:\"tmpl_created\";i:1575960263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/flyin-sale-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:754;s:11:\"trend_index\";i:791;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:207;a:18:{s:4:\"tmpl\";i:1212;s:2:\"id\";i:20479;s:5:\"title\";s:49:\"Teeth Straightening &#8211; Health &#038; Fitness\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Teeth-Whitening.jpg\";s:12:\"tmpl_created\";i:1633886115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/teeth-straightening-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:46:\"[\"Business\",\"Dental\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:208;a:18:{s:4:\"tmpl\";i:1234;s:2:\"id\";i:21234;s:5:\"title\";s:34:\"Insurance Company &#8211; Services\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/15-Services-Insurance-Company.jpg\";s:12:\"tmpl_created\";i:1638818688;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/insurance-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Faq\",\"Form\",\"Insurance\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:209;a:18:{s:4:\"tmpl\";i:1035;s:2:\"id\";i:15062;s:5:\"title\";s:35:\"Fly-In | Sign up | Flooring Company\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp.png\";s:12:\"tmpl_created\";i:1597739629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/fly-in-sign-up-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:625;s:11:\"trend_index\";i:309;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:210;a:18:{s:4:\"tmpl\";i:1209;s:2:\"id\";i:20394;s:5:\"title\";s:30:\"Time Management &#8211; Events\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/10/Time-Management-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884077;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/time-management-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:17:\"[\"Landing Pages\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:211;a:18:{s:4:\"tmpl\";i:1229;s:2:\"id\";i:21118;s:5:\"title\";s:28:\"Contact &#8211; Plants Store\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/12-Contact-Plants-Store.jpg\";s:12:\"tmpl_created\";i:1638802472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/contact-plants-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:40:\"[\"Contact\",\"Info\",\"Plant\",\"Testimonial\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:212;a:18:{s:4:\"tmpl\";i:893;s:2:\"id\";i:11822;s:5:\"title\";s:30:\"Full Screen | Menu | Portfolio\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/PopUp_small.png\";s:12:\"tmpl_created\";i:1569429896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/full-screen-menu-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:654;s:11:\"trend_index\";i:626;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:213;a:18:{s:4:\"tmpl\";i:1203;s:2:\"id\";i:18591;s:5:\"title\";s:28:\"Coffee Sale &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280-7.png\";s:12:\"tmpl_created\";i:1633877319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/coffee-sale-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:33:\"[\"Coffee\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:214;a:18:{s:4:\"tmpl\";i:1231;s:2:\"id\";i:21184;s:5:\"title\";s:28:\"Dental Care &#8211; Services\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/14-Services-Dental-Care.jpg\";s:12:\"tmpl_created\";i:1638807148;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dental-care-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:45:\"[\"Dental\",\"Medical\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:215;a:18:{s:4:\"tmpl\";i:1064;s:2:\"id\";i:15580;s:5:\"title\";s:31:\"Fullscreen | Menu | Travel Blog\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1606215358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fullscreen-menu-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:673;s:11:\"trend_index\";i:348;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:216;a:18:{s:4:\"tmpl\";i:1133;s:2:\"id\";i:16645;s:5:\"title\";s:28:\"Headphones &#8211; eCommerce\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_headphones.png\";s:12:\"tmpl_created\";i:1609944115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/commerce-headphones/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:39:\"[\"Ecommerce\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:633;s:11:\"trend_index\";i:87;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:217;a:18:{s:4:\"tmpl\";i:1442;s:2:\"id\";i:24584;s:5:\"title\";s:27:\"Wireframe &#8211; Pricing 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Pricing-1.jpg\";s:12:\"tmpl_created\";i:1653989152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:146:\"[\"Booking\",\"Business\",\"Clients\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Online Service\",\"Pricing\",\"Products\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:218;a:18:{s:4:\"tmpl\";i:1138;s:2:\"id\";i:16762;s:5:\"title\";s:25:\"Conference &#8211; Events\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Conference.png\";s:12:\"tmpl_created\";i:1610455119;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/conference-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:60:\"[\"Conference\",\"Convention\",\"Event\",\"Events\",\"Landing Pages\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:705;s:11:\"trend_index\";i:216;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:219;a:18:{s:4:\"tmpl\";i:1438;s:2:\"id\";i:24539;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-2.jpg\";s:12:\"tmpl_created\";i:1653989019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"Business\",\"Contact\",\"Footer\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:220;a:18:{s:4:\"tmpl\";i:981;s:2:\"id\";i:13281;s:5:\"title\";s:37:\"Hello Bar | Contact | Interior Design\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp.png\";s:12:\"tmpl_created\";i:1586148801;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/hello-bar-contact-interior-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:19:\"[\"Interior Design\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:763;s:11:\"trend_index\";i:679;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:221;a:18:{s:4:\"tmpl\";i:1052;s:2:\"id\";i:15259;s:5:\"title\";s:31:\"Hello Bar | Menu | Psychologist\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Menu-PopUp.png\";s:12:\"tmpl_created\";i:1600170209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/hello-bar-menu-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:739;s:11:\"trend_index\";i:583;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:222;a:18:{s:4:\"tmpl\";i:1434;s:2:\"id\";i:24494;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1.jpg\";s:12:\"tmpl_created\";i:1653988874;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Business\",\"Faq\",\"Footer\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:223;a:18:{s:4:\"tmpl\";i:1194;s:2:\"id\";i:18701;s:5:\"title\";s:32:\"Digital Course &#8211; eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280.jpg\";s:12:\"tmpl_created\";i:1618995134;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/digital-course-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Ecommerce\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:224;a:18:{s:4:\"tmpl\";i:1192;s:2:\"id\";i:18612;s:5:\"title\";s:34:\"Bag Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bag-Product.jpeg\";s:12:\"tmpl_created\";i:1618395406;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bag-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:61:\"[\"Bag\",\"Ecommerce\",\"Landing Pages\",\"Product\",\"Sale\",\"Travel\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:875;s:11:\"trend_index\";i:605;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:225;a:18:{s:4:\"tmpl\";i:1227;s:2:\"id\";i:21083;s:5:\"title\";s:26:\"Conference &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/10-Contact-Conference.jpg\";s:12:\"tmpl_created\";i:1638799208;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/conference-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:44:\"[\"Conference\",\"Contact\",\"Form\",\"Info\",\"Map\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:226;a:18:{s:4:\"tmpl\";i:1193;s:2:\"id\";i:18644;s:5:\"title\";s:37:\"Camera Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/camera_sale_featured-img.jpg\";s:12:\"tmpl_created\";i:1618396388;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/camera-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Camera\",\"Ecommerce\",\"Landing Pages\",\"Photography\",\"Sale\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:873;s:11:\"trend_index\";i:535;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:227;a:18:{s:4:\"tmpl\";i:951;s:2:\"id\";i:12736;s:5:\"title\";s:41:\"Slide In | Contact Us | Magazine and Blog\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_contact_s.png\";s:12:\"tmpl_created\";i:1579060978;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/slide-in-contact-us/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:734;s:11:\"trend_index\";i:686;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:228;a:18:{s:4:\"tmpl\";i:1222;s:2:\"id\";i:20960;s:5:\"title\";s:26:\"Travel Agency &#8211; Home\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/5-Home-Travel-Agency.jpg\";s:12:\"tmpl_created\";i:1638788432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/travel-agency-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Adventures\",\"Experience\",\"Explore\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:229;a:18:{s:4:\"tmpl\";i:1196;s:2:\"id\";i:18815;s:5:\"title\";s:25:\"Car Wash &#8211; Business\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Car-Wash.png\";s:12:\"tmpl_created\";i:1621336431;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/car-wash-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:45:\"[\"Business\",\"car\",\"Discount\",\"Landing Pages\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:230;a:18:{s:4:\"tmpl\";i:1242;s:2:\"id\";i:21473;s:5:\"title\";s:40:\"Architecture Photography &#8211; Gallery\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/20-Gallery-Architecture-Photography.jpg\";s:12:\"tmpl_created\";i:1638822115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/architecture-photography-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:52:\"[\"Architecture\",\"Gallery\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:231;a:18:{s:4:\"tmpl\";i:1015;s:2:\"id\";i:14067;s:5:\"title\";s:37:\"Slide In | Japanese restaurant | Menu\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Menu-Pop-Up-Small.jpg\";s:12:\"tmpl_created\";i:1592290352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/slide-in-japanese-restaurant-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:650;s:11:\"trend_index\";i:565;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:232;a:18:{s:4:\"tmpl\";i:923;s:2:\"id\";i:12229;s:5:\"title\";s:33:\"Slide In | Law Firm | Information\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/popup.png\";s:12:\"tmpl_created\";i:1572847842;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-law-firm-information/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:547;s:11:\"trend_index\";i:413;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:233;a:18:{s:4:\"tmpl\";i:1198;s:2:\"id\";i:18824;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1621336756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:234;a:18:{s:4:\"tmpl\";i:1236;s:2:\"id\";i:21259;s:5:\"title\";s:28:\"3D Designer &#8211; Projects\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/24-Projects-3D-Designer.jpg\";s:12:\"tmpl_created\";i:1638819185;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/3d-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"3D\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:235;a:18:{s:4:\"tmpl\";i:1028;s:2:\"id\";i:14827;s:5:\"title\";s:39:\"Slide-In | Contact | Luxury Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/PopUp.png\";s:12:\"tmpl_created\";i:1595323523;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/slide-in-contact-luxury-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:559;s:11:\"trend_index\";i:284;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:236;a:18:{s:4:\"tmpl\";i:1197;s:2:\"id\";i:18819;s:5:\"title\";s:27:\"Dog Walker &#8211; Business\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Dog-Walker.png\";s:12:\"tmpl_created\";i:1621336601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/dog-walker-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:41:\"[\"Business\",\"Dog\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:237;a:18:{s:4:\"tmpl\";i:1238;s:2:\"id\";i:21349;s:5:\"title\";s:29:\"Architecture &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/23-Projects-Architecture.jpg\";s:12:\"tmpl_created\";i:1638820870;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/architecture-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:70:\"[\"Architecture\",\"Creative\",\"Creative Portfolio\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:238;a:18:{s:4:\"tmpl\";i:1034;s:2:\"id\";i:15075;s:5:\"title\";s:34:\"Slide-In | Menu | Flooring Company\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp-1.png\";s:12:\"tmpl_created\";i:1597739605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/slide-in-menu-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:383;s:11:\"trend_index\";i:162;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:239;a:18:{s:4:\"tmpl\";i:1414;s:2:\"id\";i:24079;s:5:\"title\";s:32:\"Fashion Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Fashion-Shop.jpg\";s:12:\"tmpl_created\";i:1650988089;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/fashion-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Aesthetic\",\"Business\",\"Coming Soon\",\"Ecommerce\",\"Girly\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:240;a:18:{s:4:\"tmpl\";i:1195;s:2:\"id\";i:18761;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1621336146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:241;a:18:{s:4:\"tmpl\";i:1153;s:2:\"id\";i:17060;s:5:\"title\";s:36:\"Private Tutor &#8211; Online Service\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Tutor-2.png\";s:12:\"tmpl_created\";i:1610631042;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/private-tutor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:64:\"[\"Education\",\"Landing Pages\",\"Online Service\",\"Teacher\",\"Tutor\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:780;s:11:\"trend_index\";i:628;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:242;a:18:{s:4:\"tmpl\";i:1430;s:2:\"id\";i:24434;s:5:\"title\";s:25:\"Wireframe &#8211; About 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-3.jpg\";s:12:\"tmpl_created\";i:1653988697;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:243;a:18:{s:4:\"tmpl\";i:1158;s:2:\"id\";i:17232;s:5:\"title\";s:33:\"Life Coach &#8211; Online Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Life-Coach.png\";s:12:\"tmpl_created\";i:1610902793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/life-coach-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:38:\"[\"Coach\",\"Landing Pages\",\"Life Coach\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:787;s:11:\"trend_index\";i:751;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:244;a:18:{s:4:\"tmpl\";i:1436;s:2:\"id\";i:24515;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3.jpg\";s:12:\"tmpl_created\";i:1653988946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:66:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:245;a:18:{s:4:\"tmpl\";i:875;s:2:\"id\";i:11241;s:5:\"title\";s:36:\"Classic | Digital Agency | Marketing\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/PopUp_small.jpg\";s:12:\"tmpl_created\";i:1564643043;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-digital-agency-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:362;s:11:\"trend_index\";i:315;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:246;a:18:{s:4:\"tmpl\";i:1146;s:2:\"id\";i:16932;s:5:\"title\";s:35:\"Finance Consulting &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Finance-Consulting.png\";s:12:\"tmpl_created\";i:1610532170;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/lp/finance-consulting-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:80:\"[\"Advisor\",\"Business\",\"Consulting\",\"Finance\",\"Investment\",\"Landing Pages\",\"Tax\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:790;s:11:\"trend_index\";i:630;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:247;a:18:{s:4:\"tmpl\";i:1429;s:2:\"id\";i:24421;s:5:\"title\";s:25:\"Wireframe &#8211; About 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-2.jpg\";s:12:\"tmpl_created\";i:1653988579;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:248;a:18:{s:4:\"tmpl\";i:674;s:2:\"id\";i:8505;s:5:\"title\";s:11:\"404 page 01\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/001.jpg\";s:12:\"tmpl_created\";i:1526415501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:533;s:11:\"trend_index\";i:222;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:249;a:18:{s:4:\"tmpl\";i:1136;s:2:\"id\";i:16721;s:5:\"title\";s:35:\"Dental &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Dental.jpg\";s:12:\"tmpl_created\";i:1610448567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/dental-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:44:\"[\"Dental\",\"Doctor\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:801;s:11:\"trend_index\";i:655;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:250;a:18:{s:4:\"tmpl\";i:1417;s:2:\"id\";i:24116;s:5:\"title\";s:32:\"Tech Company &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Tech-Company.jpg\";s:12:\"tmpl_created\";i:1650989265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/tech-company-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"Business\",\"Coding\",\"Coming Soon\",\"Computer\",\"Developer\",\"IT\",\"Services\",\"Technology\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:251;a:18:{s:4:\"tmpl\";i:675;s:2:\"id\";i:8511;s:5:\"title\";s:11:\"404 page 02\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/002.jpg\";s:12:\"tmpl_created\";i:1526415528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:347;s:11:\"trend_index\";i:155;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:252;a:18:{s:4:\"tmpl\";i:1161;s:2:\"id\";i:17269;s:5:\"title\";s:34:\"Electronics Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Electronic-Products.png\";s:12:\"tmpl_created\";i:1610903298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/electronics-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:800;s:11:\"trend_index\";i:556;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:253;a:18:{s:4:\"tmpl\";i:1220;s:2:\"id\";i:20908;s:5:\"title\";s:42:\"Packing &#038; Moving Company &#8211; Home\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/3-Home-Packing-Moving-Company.jpg\";s:12:\"tmpl_created\";i:1638786127;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/packing-moving-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Movers\",\"Moving\",\"Storge\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:254;a:18:{s:4:\"tmpl\";i:1152;s:2:\"id\";i:17032;s:5:\"title\";s:42:\"Donate Computer &#8211; Social Involvement\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Donation-2.png\";s:12:\"tmpl_created\";i:1610630585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/donate-computer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:67:\"[\"Computer\",\"Donate\",\"Donation\",\"Kids\",\"Landing Pages\",\"Nonprofit\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:718;s:11:\"trend_index\";i:278;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:255;a:18:{s:4:\"tmpl\";i:672;s:2:\"id\";i:8512;s:5:\"title\";s:11:\"404 page 03\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/003.jpg\";s:12:\"tmpl_created\";i:1526415449;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:450;s:11:\"trend_index\";i:375;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:256;a:18:{s:4:\"tmpl\";i:1245;s:2:\"id\";i:21546;s:5:\"title\";s:28:\"Interior Design &#8211; Home\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/1-Home-Interior-Design-1.jpg\";s:12:\"tmpl_created\";i:1639046269;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/interior-design-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Design\",\"Form\",\"Furniture Design\",\"Interior Design\",\"Testimonial\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:257;a:18:{s:4:\"tmpl\";i:1135;s:2:\"id\";i:16684;s:5:\"title\";s:34:\"SaaS HR Management &#8211; Product\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_hr.png\";s:12:\"tmpl_created\";i:1609945486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/saas-hr-management-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:39:\"[\"HR\",\"Landing Pages\",\"Product\",\"SaaS\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:708;s:11:\"trend_index\";i:292;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:258;a:18:{s:4:\"tmpl\";i:671;s:2:\"id\";i:8513;s:5:\"title\";s:11:\"404 page 04\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/004.jpg\";s:12:\"tmpl_created\";i:1526415417;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:420;s:11:\"trend_index\";i:176;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:259;a:18:{s:4:\"tmpl\";i:1249;s:2:\"id\";i:22137;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647177194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:260;a:18:{s:4:\"tmpl\";i:1134;s:2:\"id\";i:16660;s:5:\"title\";s:37:\"Medical center &#8211; Online service\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-medical-cosultation-250_280.png\";s:12:\"tmpl_created\";i:1609945122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/medical-center-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:44:\"[\"Landing Pages\",\"Medical\",\"Online Service\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:750;s:11:\"trend_index\";i:332;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:261;a:18:{s:4:\"tmpl\";i:1226;s:2:\"id\";i:21069;s:5:\"title\";s:21:\"Hotel &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/12/9-Contact-Hotel.jpg\";s:12:\"tmpl_created\";i:1638798545;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/hotel-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:36:\"[\"Contact\",\"from\",\"Info\",\"Vacation\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:262;a:18:{s:4:\"tmpl\";i:1150;s:2:\"id\";i:17001;s:5:\"title\";s:36:\"Parental Counseling &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/Parenting-Coach-2.png\";s:12:\"tmpl_created\";i:1610534999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/parental-counseling-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:99:\"[\"Advisor\",\"Business\",\"Coach\",\"Counseling\",\"Landing Pages\",\"Online Service\",\"Parental\",\"Parenting\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:817;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:263;a:18:{s:4:\"tmpl\";i:1432;s:2:\"id\";i:24461;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-1.jpg\";s:12:\"tmpl_created\";i:1653988784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:264;a:18:{s:4:\"tmpl\";i:676;s:2:\"id\";i:8514;s:5:\"title\";s:11:\"404 Page 05\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/005.jpg\";s:12:\"tmpl_created\";i:1526415558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:419;s:11:\"trend_index\";i:220;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:265;a:18:{s:4:\"tmpl\";i:1137;s:2:\"id\";i:16742;s:5:\"title\";s:31:\"Online Course &#8211; Education\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Course.png\";s:12:\"tmpl_created\";i:1610454122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/online-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:55:\"[\"Academy\",\"Course Online\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:777;s:11:\"trend_index\";i:776;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:266;a:18:{s:4:\"tmpl\";i:668;s:2:\"id\";i:8523;s:5:\"title\";s:11:\"404 page 06\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/006.jpg\";s:12:\"tmpl_created\";i:1526415291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:298;s:11:\"trend_index\";i:268;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:267;a:18:{s:4:\"tmpl\";i:1440;s:2:\"id\";i:24563;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 4\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-4.jpg\";s:12:\"tmpl_created\";i:1653989095;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:84:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:268;a:18:{s:4:\"tmpl\";i:1162;s:2:\"id\";i:17284;s:5:\"title\";s:38:\"Dietitian &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/01/Dietitian.png\";s:12:\"tmpl_created\";i:1610903484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/dietitian-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Health\",\"landscape design\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:814;s:11:\"trend_index\";i:800;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:269;a:18:{s:4:\"tmpl\";i:1439;s:2:\"id\";i:24553;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 3\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-3.jpg\";s:12:\"tmpl_created\";i:1653989057;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Professional\",\"Testimonial\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:270;a:18:{s:4:\"tmpl\";i:1144;s:2:\"id\";i:16897;s:5:\"title\";s:30:\"Personal Chef &#8211; Business\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Personal-Chef.png\";s:12:\"tmpl_created\";i:1610466247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/personal-chef-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:53:\"[\"Business\",\"Chef\",\"Food\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:795;s:11:\"trend_index\";i:617;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:271;a:18:{s:4:\"tmpl\";i:1435;s:2:\"id\";i:24504;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2.jpg\";s:12:\"tmpl_created\";i:1653988910;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:80:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:272;a:18:{s:4:\"tmpl\";i:669;s:2:\"id\";i:8524;s:5:\"title\";s:11:\"404 page 07\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/007.jpg\";s:12:\"tmpl_created\";i:1526415337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:303;s:11:\"trend_index\";i:171;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:273;a:18:{s:4:\"tmpl\";i:1147;s:2:\"id\";i:16946;s:5:\"title\";s:52:\"Online Full-Stack Developer Course &#8211; Education\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Full-Stack-Developer-Course.png\";s:12:\"tmpl_created\";i:1610532778;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/online-full-stack-developer-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:76:\"[\"Academy\",\"Coding\",\"Course Online\",\"Developer\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:805;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:274;a:18:{s:4:\"tmpl\";i:1437;s:2:\"id\";i:24528;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-1.jpg\";s:12:\"tmpl_created\";i:1653988981;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:275;a:18:{s:4:\"tmpl\";i:1143;s:2:\"id\";i:16868;s:5:\"title\";s:40:\"Virtual Assistant &#8211; Online Service\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/01/Virtual-Assistant-250x280-1.png\";s:12:\"tmpl_created\";i:1610465656;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/virtual-assistant-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:46:\"[\"Assistant\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:793;s:11:\"trend_index\";i:757;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:276;a:18:{s:4:\"tmpl\";i:673;s:2:\"id\";i:8526;s:5:\"title\";s:11:\"404 page 09\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/009.jpg\";s:12:\"tmpl_created\";i:1526415474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:477;s:11:\"trend_index\";i:285;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:277;a:18:{s:4:\"tmpl\";i:1228;s:2:\"id\";i:21104;s:5:\"title\";s:26:\"Restaurant &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/11-Contact-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638800146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/restaurant-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:60:\"[\"Contact\",\"Food\",\"Form\",\"Google Maps\",\"Info\",\"Testimonial\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:278;a:18:{s:4:\"tmpl\";i:1140;s:2:\"id\";i:16812;s:5:\"title\";s:40:\"Construction Project &#8211; Real Estate\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Construction-Project.png\";s:12:\"tmpl_created\";i:1610463582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/construction-project-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:59:\"[\"Construction\",\"Landing Pages\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:796;s:11:\"trend_index\";i:724;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:279;a:18:{s:4:\"tmpl\";i:1244;s:2:\"id\";i:21393;s:5:\"title\";s:34:\"Interior Designer &#8211; Projects\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/12/big-22-Projects-Interior-Designer-New.jpeg\";s:12:\"tmpl_created\";i:1638823945;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/interior-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:93:\"[\"Creative\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Interior Design\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:280;a:18:{s:4:\"tmpl\";i:1148;s:2:\"id\";i:16960;s:5:\"title\";s:44:\"Dog &amp; Cat Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2021/01/Dog-Food.png\";s:12:\"tmpl_created\";i:1610533581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/dog-cat-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:71:\"[\"Business\",\"Cat\",\"Delivery\",\"Dog\",\"Food\",\"Landing Pages\",\"Pet\",\"Pets\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:782;s:11:\"trend_index\";i:510;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:281;a:18:{s:4:\"tmpl\";i:670;s:2:\"id\";i:8525;s:5:\"title\";s:11:\"404 page 08\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/008.jpg\";s:12:\"tmpl_created\";i:1526415374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:510;s:11:\"trend_index\";i:575;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:282;a:18:{s:4:\"tmpl\";i:1251;s:2:\"id\";i:22143;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1647177389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:283;a:18:{s:4:\"tmpl\";i:1155;s:2:\"id\";i:17095;s:5:\"title\";s:36:\"Mobile Pet Grooming &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Mobile-Pet-Grooming.png\";s:12:\"tmpl_created\";i:1610632115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/mobile-pet-grooming-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:38:\"[\"Dog\",\"Groom\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:786;s:11:\"trend_index\";i:731;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:284;a:18:{s:4:\"tmpl\";i:1241;s:2:\"id\";i:21451;s:5:\"title\";s:26:\"Exhibition &#8211; Gallery\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/21-Gallery-Exhibition.jpg\";s:12:\"tmpl_created\";i:1638821855;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/exhibition-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"Art\",\"Creative\",\"Creative Portfolio\",\"Exhibition\",\"Gallery\",\"Portfolio\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:285;a:18:{s:4:\"tmpl\";i:502;s:2:\"id\";i:5438;s:5:\"title\";s:7:\"About 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_4.png\";s:12:\"tmpl_created\";i:1520443512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:147;s:11:\"trend_index\";i:9;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:286;a:18:{s:4:\"tmpl\";i:1159;s:2:\"id\";i:17245;s:5:\"title\";s:34:\"Marketing Course &#8211; Education\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2021/01/PPC.png\";s:12:\"tmpl_created\";i:1610902958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/marketing-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:45:\"[\"Course Online\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:770;s:11:\"trend_index\";i:430;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:287;a:18:{s:4:\"tmpl\";i:1240;s:2:\"id\";i:21430;s:5:\"title\";s:30:\"Travel Blogger &#8211; Gallery\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/12/19-Gallery-Travel-Blogger.jpg\";s:12:\"tmpl_created\";i:1638821592;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/travel-blogger-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Gallery\",\"Photography\",\"Slider\",\"Travel\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:288;a:18:{s:4:\"tmpl\";i:1149;s:2:\"id\";i:16983;s:5:\"title\";s:41:\"Pilates Instructor &#8211; Online Service\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Pilates-Instructor.png\";s:12:\"tmpl_created\";i:1610534138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/pilates-instructor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:70:\"[\"Free Trial\",\"Instructor\",\"Landing Pages\",\"Online Service\",\"Pilates\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:778;s:11:\"trend_index\";i:412;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:289;a:18:{s:4:\"tmpl\";i:1416;s:2:\"id\";i:24104;s:5:\"title\";s:33:\"Ceramics Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Ceramics-Shop.jpg\";s:12:\"tmpl_created\";i:1650988949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/ceramics-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:290;a:18:{s:4:\"tmpl\";i:557;s:2:\"id\";i:6135;s:5:\"title\";s:8:\"About 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_2.png\";s:12:\"tmpl_created\";i:1520443663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:77;s:11:\"trend_index\";i:47;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:291;a:18:{s:4:\"tmpl\";i:1412;s:2:\"id\";i:24033;s:5:\"title\";s:37:\"Dance Studio &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Dance-Studio.jpg\";s:12:\"tmpl_created\";i:1649881344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/dance-studio-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:113:\"[\"Academy\",\"Business\",\"Dance Studio\",\"Form\",\"Pilates\",\"School\",\"Sport\",\"Teacher\",\"Training\",\"Under Construction\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:292;a:18:{s:4:\"tmpl\";i:1190;s:2:\"id\";i:18568;s:5:\"title\";s:32:\"Flower Delivery &#8211; Business\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/04/Flower-Delivery.png\";s:12:\"tmpl_created\";i:1617546716;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/flower-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:37:\"[\"Delivery\",\"Flower\",\"Landing Pages\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:874;s:11:\"trend_index\";i:763;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:293;a:18:{s:4:\"tmpl\";i:1145;s:2:\"id\";i:16917;s:5:\"title\";s:22:\"Webinar &#8211; Events\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Webinar-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610466822;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:36:\"[\"Events\",\"Landing Pages\",\"Webinar\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:821;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:294;a:18:{s:4:\"tmpl\";i:1413;s:2:\"id\";i:24049;s:5:\"title\";s:33:\"ECO Shop &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-ECO-Shop.jpg\";s:12:\"tmpl_created\";i:1649882053;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/eco-shop-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:110:\"[\"Aesthetic\",\"Business\",\"Creative\",\"Decor\",\"Health\",\"Help\",\"Lifestyle\",\"Products\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:295;a:18:{s:4:\"tmpl\";i:497;s:2:\"id\";i:5397;s:5:\"title\";s:8:\"About 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1.png\";s:12:\"tmpl_created\";i:1520443503;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:148;s:11:\"trend_index\";i:43;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:296;a:18:{s:4:\"tmpl\";i:1154;s:2:\"id\";i:17079;s:5:\"title\";s:42:\"Calls Volunteer &#8211; Social Involvement\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Calls-Volunteer.png\";s:12:\"tmpl_created\";i:1610631774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/calls-volunteer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:68:\"[\"Care\",\"Covid-19\",\"Help\",\"Involvement\",\"Landing Pages\",\"Volunteer\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:854;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:297;a:18:{s:4:\"tmpl\";i:1419;s:2:\"id\";i:24136;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Food-Blog.jpg\";s:12:\"tmpl_created\";i:1650990034;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:62:\"[\"Blog\",\"Business\",\"Coming Soon\",\"Cooking\",\"Education\",\"Food\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:298;a:18:{s:4:\"tmpl\";i:1142;s:2:\"id\";i:16836;s:5:\"title\";s:33:\"Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/01/Marketing-Agency-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610464490;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:74:\"[\"Agency\",\"Business\",\"Landing Pages\",\"Marketing\",\"Marketing Landing Page\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:816;s:11:\"trend_index\";i:787;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:299;a:18:{s:4:\"tmpl\";i:1411;s:2:\"id\";i:24020;s:5:\"title\";s:35:\"Mobile App &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Mobile-App.jpg\";s:12:\"tmpl_created\";i:1649880955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/mobile-app-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:77:\"[\"App\",\"Business\",\"Coding\",\"Computer\",\"Launch\",\"Mobile\",\"Under Construction\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:300;a:18:{s:4:\"tmpl\";i:498;s:2:\"id\";i:5405;s:5:\"title\";s:8:\"About 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1.png\";s:12:\"tmpl_created\";i:1520443505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:216;s:11:\"trend_index\";i:50;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:301;a:18:{s:4:\"tmpl\";i:1139;s:2:\"id\";i:16785;s:5:\"title\";s:42:\"Gym Promotion &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Gym-LP.jpg\";s:12:\"tmpl_created\";i:1610455496;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/gym-promotion-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:42:\"[\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:820;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:302;a:18:{s:4:\"tmpl\";i:1420;s:2:\"id\";i:24152;s:5:\"title\";s:32:\"Perfume Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Perfume-Shop.jpg\";s:12:\"tmpl_created\";i:1650990353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/perfume-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Business\",\"Coming Soon\",\"Cosmetics\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:303;a:18:{s:4:\"tmpl\";i:1185;s:2:\"id\";i:18492;s:5:\"title\";s:34:\"Bicycle Pre-Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bike-Landing-Page.png\";s:12:\"tmpl_created\";i:1617535552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bicycle-pre-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:34:\"[\"Bicycle\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:50;s:16:\"popularity_index\";i:871;s:11:\"trend_index\";i:826;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:304;a:18:{s:4:\"tmpl\";i:1418;s:2:\"id\";i:24126;s:5:\"title\";s:28:\"Skincare &#8211; Coming Soon\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Skincare.jpg\";s:12:\"tmpl_created\";i:1650989585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/skincare-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:128:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Coming Soon\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Services\",\"Skincare\",\"Treatment\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:305;a:18:{s:4:\"tmpl\";i:1181;s:2:\"id\";i:18349;s:5:\"title\";s:39:\"Virtual try-on glasses &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-8.png\";s:12:\"tmpl_created\";i:1614772569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/virtual-try-on-glasses-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:64:\"[\"Fashion\",\"Glasses\",\"Landing Pages\",\"Online Service\",\"Virtual\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:848;s:11:\"trend_index\";i:803;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:306;a:18:{s:4:\"tmpl\";i:500;s:2:\"id\";i:5421;s:5:\"title\";s:8:\"About 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_3.png\";s:12:\"tmpl_created\";i:1520443509;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:215;s:11:\"trend_index\";i:77;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:307;a:18:{s:4:\"tmpl\";i:513;s:2:\"id\";i:5533;s:5:\"title\";s:8:\"About 15\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_10.png\";s:12:\"tmpl_created\";i:1520443534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:21;s:11:\"trend_index\";i:57;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:308;a:18:{s:4:\"tmpl\";i:1410;s:2:\"id\";i:24004;s:5:\"title\";s:33:\"Skincare &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Skincare.jpg\";s:12:\"tmpl_created\";i:1649880534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/skincare-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:144:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Makeup\",\"Services\",\"Skincare\",\"Treatment\",\"Under Construction\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:309;a:18:{s:4:\"tmpl\";i:1172;s:2:\"id\";i:17458;s:5:\"title\";s:31:\"Moving Company &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Moving-Company.png\";s:12:\"tmpl_created\";i:1612727025;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/moving-company-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"Landing Pages\",\"Movers\",\"Moving\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:826;s:11:\"trend_index\";i:767;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:310;a:18:{s:4:\"tmpl\";i:1415;s:2:\"id\";i:24092;s:5:\"title\";s:29:\"Vase Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Vase-Shop.jpg\";s:12:\"tmpl_created\";i:1650988613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/vase-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:311;a:18:{s:4:\"tmpl\";i:1186;s:2:\"id\";i:18517;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Food-Blog.png\";s:12:\"tmpl_created\";i:1617539897;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:45:\"[\"Blog\",\"Coming Soon\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:844;s:11:\"trend_index\";i:672;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:312;a:18:{s:4:\"tmpl\";i:1167;s:2:\"id\";i:17379;s:5:\"title\";s:33:\"IT Service &#8211; Online Service\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-IT-Service.png\";s:12:\"tmpl_created\";i:1612713022;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/it-service-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:41:\"[\"IT\",\"Landing Pages\",\"Remote\",\"Support\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:806;s:11:\"trend_index\";i:634;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:313;a:18:{s:4:\"tmpl\";i:1248;s:2:\"id\";i:22134;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647176713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:314;a:18:{s:4:\"tmpl\";i:512;s:2:\"id\";i:5525;s:5:\"title\";s:8:\"About 14\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_10.png\";s:12:\"tmpl_created\";i:1520443532;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:9;s:11:\"trend_index\";i:29;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:315;a:18:{s:4:\"tmpl\";i:1189;s:2:\"id\";i:18560;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1617542761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:843;s:11:\"trend_index\";i:561;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:316;a:18:{s:4:\"tmpl\";i:1225;s:2:\"id\";i:21041;s:5:\"title\";s:41:\"Business Consulting Company &#8211; About\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/8-About-Business-Consulting-Company.jpg\";s:12:\"tmpl_created\";i:1638797560;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/business-consulting-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Coach\",\"Collaboration\",\"Consulting\",\"Life Coach\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:317;a:18:{s:4:\"tmpl\";i:1187;s:2:\"id\";i:18528;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1617541784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:872;s:11:\"trend_index\";i:819;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:318;a:18:{s:4:\"tmpl\";i:1243;s:2:\"id\";i:21135;s:5:\"title\";s:28:\"Construction &#8211; Service\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/13-Service-Construction.jpg\";s:12:\"tmpl_created\";i:1638823202;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/construction-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Architecture\",\"Construction\",\"Faq\",\"Services\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:319;a:18:{s:4:\"tmpl\";i:501;s:2:\"id\";i:5429;s:5:\"title\";s:8:\"About 16\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_4.png\";s:12:\"tmpl_created\";i:1520443510;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:59;s:11:\"trend_index\";i:8;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:320;a:18:{s:4:\"tmpl\";i:1174;s:2:\"id\";i:17504;s:5:\"title\";s:29:\"Hair Stylist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-3.png\";s:12:\"tmpl_created\";i:1612883014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/hair-stylist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:59:\"[\"Business\",\"Hair\",\"hairdresser\",\"Landing Pages\",\"Stylist\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:840;s:11:\"trend_index\";i:806;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:321;a:18:{s:4:\"tmpl\";i:1223;s:2:\"id\";i:20981;s:5:\"title\";s:37:\"Creative Digital Agency &#8211; About\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2021/12/6-About-Creative-Digital-Agency.jpg\";s:12:\"tmpl_created\";i:1638789303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/creative-digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"About\",\"Advisor\",\"Creative\",\"Creative Portfolio\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:322;a:18:{s:4:\"tmpl\";i:1184;s:2:\"id\";i:18449;s:5:\"title\";s:45:\"Aesthetic Clinic &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/03/Aesthetic-Clinic.png\";s:12:\"tmpl_created\";i:1616682181;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/aesthetic-clinic-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:57:\"[\"Aesthetic\",\"Beauty\",\"Fitness\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:859;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:323;a:18:{s:4:\"tmpl\";i:1221;s:2:\"id\";i:20926;s:5:\"title\";s:33:\"Doctors Online Consultation -Home\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/12/4-Home-Doctors-Online-Consultation.jpg\";s:12:\"tmpl_created\";i:1638787371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/doctors-online-consultation-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:35:\"[\"App\",\"Health\",\"Medical\",\"Online\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:324;a:18:{s:4:\"tmpl\";i:505;s:2:\"id\";i:5464;s:5:\"title\";s:8:\"About 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_6.png\";s:12:\"tmpl_created\";i:1520443518;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:220;s:11:\"trend_index\";i:142;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:325;a:18:{s:4:\"tmpl\";i:1165;s:2:\"id\";i:17353;s:5:\"title\";s:44:\"Online Cooking Course &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-2.png\";s:12:\"tmpl_created\";i:1612705144;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/online-cooking-course-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Cooking\",\"Course Online\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:59;s:16:\"popularity_index\";i:845;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:326;a:18:{s:4:\"tmpl\";i:1188;s:2:\"id\";i:18550;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1617542506;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:832;s:11:\"trend_index\";i:600;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:327;a:18:{s:4:\"tmpl\";i:1250;s:2:\"id\";i:22140;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1647177317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:328;a:18:{s:4:\"tmpl\";i:510;s:2:\"id\";i:5504;s:5:\"title\";s:8:\"About 18\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_9.png\";s:12:\"tmpl_created\";i:1520443528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:104;s:11:\"trend_index\";i:46;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:329;a:18:{s:4:\"tmpl\";i:1191;s:2:\"id\";i:18539;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1617610273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:61;s:16:\"popularity_index\";i:876;s:11:\"trend_index\";i:652;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:330;a:18:{s:4:\"tmpl\";i:1175;s:2:\"id\";i:18270;s:5:\"title\";s:24:\"Open week &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280.png\";s:12:\"tmpl_created\";i:1614767186;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/open-week-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:59:\"[\"Education\",\"Event\",\"Events\",\"Landing Pages\",\"University\"]\";s:10:\"menu_order\";i:62;s:16:\"popularity_index\";i:831;s:11:\"trend_index\";i:673;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:331;a:18:{s:4:\"tmpl\";i:1177;s:2:\"id\";i:18300;s:5:\"title\";s:30:\"Makeup Artist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-2.png\";s:12:\"tmpl_created\";i:1614768608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/makeup-artist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Beauty\",\"Business\",\"Course Online\",\"Landing Pages\",\"Makeup\",\"Online Service\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:861;s:11:\"trend_index\";i:783;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:332;a:18:{s:4:\"tmpl\";i:511;s:2:\"id\";i:5515;s:5:\"title\";s:8:\"About 19\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_9.png\";s:12:\"tmpl_created\";i:1520443530;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:268;s:11:\"trend_index\";i:161;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:333;a:18:{s:4:\"tmpl\";i:1179;s:2:\"id\";i:18329;s:5:\"title\";s:63:\"Online Real Estate Investment Conference &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-5.png\";s:12:\"tmpl_created\";i:1614770404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/lp/online-real-estate-investment-conference-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:76:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Online Event\",\"Real estate\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:866;s:11:\"trend_index\";i:779;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:334;a:18:{s:4:\"tmpl\";i:506;s:2:\"id\";i:5472;s:5:\"title\";s:7:\"About 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_7.png\";s:12:\"tmpl_created\";i:1520443520;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:210;s:11:\"trend_index\";i:116;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:335;a:18:{s:4:\"tmpl\";i:1183;s:2:\"id\";i:18391;s:5:\"title\";s:45:\"Children&#8217;s Optometrist &#8211; Business\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Childrens-Optometrist.png\";s:12:\"tmpl_created\";i:1614773564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/childrens-optometrist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:85:\"[\"Business\",\"Children\",\"Eye\",\"Glasses\",\"Health\",\"Kids\",\"Landing Pages\",\"Optometrist\"]\";s:10:\"menu_order\";i:65;s:16:\"popularity_index\";i:877;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:336;a:18:{s:4:\"tmpl\";i:1182;s:2:\"id\";i:18366;s:5:\"title\";s:30:\"Car Insurance &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Car-Insurance.png\";s:12:\"tmpl_created\";i:1614773263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/car-insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"car\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:869;s:11:\"trend_index\";i:797;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:337;a:18:{s:4:\"tmpl\";i:1201;s:2:\"id\";i:19144;s:5:\"title\";s:25:\"Birthday Party Invitation\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/06/250x280.png\";s:12:\"tmpl_created\";i:1623848691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/birthday-party-invitation/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Birthday\",\"Event\",\"Landing Pages\",\"Party\",\"RSVD\",\"Save the Date\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:338;a:18:{s:4:\"tmpl\";i:1124;s:2:\"id\";i:16473;s:5:\"title\";s:26:\"Beauty Salon &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/about-1.jpg\";s:12:\"tmpl_created\";i:1608622373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/beauty-salon-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:615;s:11:\"trend_index\";i:184;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:339;a:18:{s:4:\"tmpl\";i:1176;s:2:\"id\";i:18291;s:5:\"title\";s:47:\"Grill Restaurant Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Food-Delivery-LP.png\";s:12:\"tmpl_created\";i:1614767830;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/lp/grill-restaurant-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Delivery\",\"Delivery Service\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:819;s:11:\"trend_index\";i:685;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:340;a:18:{s:4:\"tmpl\";i:504;s:2:\"id\";i:5455;s:5:\"title\";s:8:\"About 20\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_6.png\";s:12:\"tmpl_created\";i:1520443516;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:134;s:11:\"trend_index\";i:70;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:341;a:18:{s:4:\"tmpl\";i:1125;s:2:\"id\";i:16488;s:5:\"title\";s:28:\"Beauty Salon &#8211; Contact\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/contact.jpg\";s:12:\"tmpl_created\";i:1608622374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:548;s:11:\"trend_index\";i:101;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:342;a:18:{s:4:\"tmpl\";i:1180;s:2:\"id\";i:18340;s:5:\"title\";s:30:\"Restaurant &#8211; Coming Soon\";s:9:\"thumbnail\";s:98:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Restuarant-Coming-Soon-LP.png\";s:12:\"tmpl_created\";i:1614772183;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/restaurant-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:51:\"[\"Coming Soon\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:810;s:11:\"trend_index\";i:809;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:343;a:18:{s:4:\"tmpl\";i:499;s:2:\"id\";i:5413;s:5:\"title\";s:8:\"About 21\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2.png\";s:12:\"tmpl_created\";i:1520443507;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:83;s:11:\"trend_index\";i:52;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:344;a:18:{s:4:\"tmpl\";i:1126;s:2:\"id\";i:16496;s:5:\"title\";s:28:\"Beauty Salon &#8211; Gallery\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/12/gallery-1.jpg\";s:12:\"tmpl_created\";i:1608622379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:491;s:11:\"trend_index\";i:90;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:345;a:18:{s:4:\"tmpl\";i:1173;s:2:\"id\";i:17480;s:5:\"title\";s:42:\"At-home Massage Therapist &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/02/At-Home-Massage-Therapist.jpg\";s:12:\"tmpl_created\";i:1612879264;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/at-home-massage-therapist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:60:\"[\"Business\",\"Health\",\"Landing Pages\",\"Services\",\"Therapist\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:856;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:346;a:18:{s:4:\"tmpl\";i:1127;s:2:\"id\";i:16457;s:5:\"title\";s:25:\"Beauty Salon &#8211; Home\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/home-1.jpg\";s:12:\"tmpl_created\";i:1608622383;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/beauty-salon-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:408;s:11:\"trend_index\";i:56;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:347;a:18:{s:4:\"tmpl\";i:1178;s:2:\"id\";i:18317;s:5:\"title\";s:26:\"Insurance &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Life-Insirance.png\";s:12:\"tmpl_created\";i:1614769488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:61:\"[\"Business\",\"Family\",\"Financial\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:870;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:348;a:18:{s:4:\"tmpl\";i:1128;s:2:\"id\";i:16518;s:5:\"title\";s:29:\"Beauty Salon &#8211; Services\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/12/services-1.jpg\";s:12:\"tmpl_created\";i:1608622386;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/beauty-salon-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:664;s:11:\"trend_index\";i:261;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:349;a:18:{s:4:\"tmpl\";i:1168;s:2:\"id\";i:17401;s:5:\"title\";s:40:\"Conference Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280.png\";s:12:\"tmpl_created\";i:1612724753;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/conference-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:59:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:799;s:11:\"trend_index\";i:540;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:350;a:18:{s:4:\"tmpl\";i:503;s:2:\"id\";i:5447;s:5:\"title\";s:7:\"About 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_5.png\";s:12:\"tmpl_created\";i:1520443514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:48;s:11:\"trend_index\";i:12;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:351;a:18:{s:4:\"tmpl\";i:1073;s:2:\"id\";i:15486;s:5:\"title\";s:25:\"Travel Blog &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/About.jpg\";s:12:\"tmpl_created\";i:1606215720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/travel-blog-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:608;s:11:\"trend_index\";i:343;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:352;a:18:{s:4:\"tmpl\";i:1166;s:2:\"id\";i:17368;s:5:\"title\";s:38:\"Real Estate Agency &#8211; Real-Estate\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Real-Estate.png\";s:12:\"tmpl_created\";i:1612711814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/real-estate-agency-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:73:\"[\"Landing Pages\",\"listing\",\"Real estate\",\"Realestate\",\"realtor\",\"realty\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:858;s:11:\"trend_index\";i:777;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:353;a:18:{s:4:\"tmpl\";i:1074;s:2:\"id\";i:15478;s:5:\"title\";s:27:\"Travel Blog &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1606215735;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-blog-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:687;s:11:\"trend_index\";i:564;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:354;a:18:{s:4:\"tmpl\";i:1170;s:2:\"id\";i:17423;s:5:\"title\";s:57:\"Volunteer Calls Thank You Page &#8211; Social Involvement\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/02/Volunteer-Calls-TYP.jpg\";s:12:\"tmpl_created\";i:1612726058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/volunteer-calls-thank-you-page-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:62:\"[\"Care\",\"Involvement\",\"Landing Pages\",\"Thank You\",\"Volunteer\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:857;s:11:\"trend_index\";i:818;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:355;a:18:{s:4:\"tmpl\";i:507;s:2:\"id\";i:5480;s:5:\"title\";s:7:\"About 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_7-1.png\";s:12:\"tmpl_created\";i:1520443522;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-4-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:428;s:11:\"trend_index\";i:303;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:356;a:18:{s:4:\"tmpl\";i:1075;s:2:\"id\";i:15467;s:5:\"title\";s:24:\"Travel Blog &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/11/Home.jpg\";s:12:\"tmpl_created\";i:1606215756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-blog-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:567;s:11:\"trend_index\";i:224;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:357;a:18:{s:4:\"tmpl\";i:1169;s:2:\"id\";i:17409;s:5:\"title\";s:37:\"Webinar Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Webinar-TYP.png\";s:12:\"tmpl_created\";i:1612725644;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/webinar-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:56:\"[\"Event\",\"Events\",\"Landing Pages\",\"Thank You\",\"Webinar\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:868;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:358;a:18:{s:4:\"tmpl\";i:1056;s:2:\"id\";i:15317;s:5:\"title\";s:25:\"Dance Studio &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/10/Home.jpg\";s:12:\"tmpl_created\";i:1603181291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/dance-studio-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:596;s:11:\"trend_index\";i:301;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:359;a:18:{s:4:\"tmpl\";i:545;s:2:\"id\";i:6027;s:5:\"title\";s:7:\"About 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1-1.png\";s:12:\"tmpl_created\";i:1520443639;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-5-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:40;s:11:\"trend_index\";i:40;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:360;a:18:{s:4:\"tmpl\";i:1160;s:2:\"id\";i:17258;s:5:\"title\";s:32:\"Beauty Product &#8211; eCommerce\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Beauty-Product.png\";s:12:\"tmpl_created\";i:1610903153;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/beauty-product-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:38:\"[\"Beauty\",\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:797;s:11:\"trend_index\";i:703;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:361;a:18:{s:4:\"tmpl\";i:1057;s:2:\"id\";i:15334;s:5:\"title\";s:26:\"Dance Studio &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/About.jpg\";s:12:\"tmpl_created\";i:1603181364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/dance-studio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:626;s:11:\"trend_index\";i:373;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:362;a:18:{s:4:\"tmpl\";i:546;s:2:\"id\";i:6036;s:5:\"title\";s:7:\"About 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1-1.png\";s:12:\"tmpl_created\";i:1520443641;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-6-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:90;s:11:\"trend_index\";i:123;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:363;a:18:{s:4:\"tmpl\";i:1171;s:2:\"id\";i:17435;s:5:\"title\";s:39:\"Gym &#8211; App Service &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-4.png\";s:12:\"tmpl_created\";i:1612726462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/gym-app-service-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:58:\"[\"App\",\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:767;s:11:\"trend_index\";i:577;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:364;a:18:{s:4:\"tmpl\";i:1058;s:2:\"id\";i:15349;s:5:\"title\";s:28:\"Dance Studio &#8211; Classes\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes.jpg\";s:12:\"tmpl_created\";i:1603181425;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:629;s:11:\"trend_index\";i:458;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:365;a:18:{s:4:\"tmpl\";i:1156;s:2:\"id\";i:17111;s:5:\"title\";s:33:\"Sunglasses Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/01/Sunglasses-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610632408;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/sunglasses-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Ecommerce\",\"Fashion\",\"Landing Pages\",\"Sale\",\"Sunglasses\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:812;s:11:\"trend_index\";i:732;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:366;a:18:{s:4:\"tmpl\";i:1055;s:2:\"id\";i:15366;s:5:\"title\";s:29:\"Dance Studio &#8211; Schedule\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes-Schedule.jpg\";s:12:\"tmpl_created\";i:1603181056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/dance-studio-schedule/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:698;s:11:\"trend_index\";i:602;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:367;a:18:{s:4:\"tmpl\";i:1157;s:2:\"id\";i:17223;s:5:\"title\";s:25:\"Fashion &#8211; eCommerce\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/01/Commerce-Fashion.png\";s:12:\"tmpl_created\";i:1610902553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/fashion-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:808;s:11:\"trend_index\";i:745;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:368;a:18:{s:4:\"tmpl\";i:1059;s:2:\"id\";i:15373;s:5:\"title\";s:28:\"Dance Studio &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Pricing.jpg\";s:12:\"tmpl_created\";i:1603181678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:731;s:11:\"trend_index\";i:661;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:369;a:18:{s:4:\"tmpl\";i:1151;s:2:\"id\";i:17017;s:5:\"title\";s:28:\"Shoes Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Shoes-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610535361;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/shoes-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:55:\"[\"Discount\",\"Ecommerce\",\"Landing Pages\",\"Sale\",\"Shoes\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:803;s:11:\"trend_index\";i:642;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:370;a:18:{s:4:\"tmpl\";i:508;s:2:\"id\";i:5488;s:5:\"title\";s:7:\"About 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_8.png\";s:12:\"tmpl_created\";i:1520443524;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:307;s:11:\"trend_index\";i:169;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:371;a:18:{s:4:\"tmpl\";i:1060;s:2:\"id\";i:15384;s:5:\"title\";s:28:\"Dance Studio &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/10/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1603181738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:741;s:11:\"trend_index\";i:721;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:372;a:18:{s:4:\"tmpl\";i:556;s:2:\"id\";i:6122;s:5:\"title\";s:7:\"About 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2-1.png\";s:12:\"tmpl_created\";i:1520443661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:38;s:11:\"trend_index\";i:26;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:373;a:18:{s:4:\"tmpl\";i:1163;s:2:\"id\";i:17301;s:5:\"title\";s:53:\"Personal Chef &#8211; Thank You Page &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/TYP-Personal-Chef.jpg\";s:12:\"tmpl_created\";i:1610903622;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/personal-chef-thank-you-page-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:43:\"[\"Chef\",\"Food\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:823;s:11:\"trend_index\";i:754;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:374;a:18:{s:4:\"tmpl\";i:1042;s:2:\"id\";i:15158;s:5:\"title\";s:26:\"Psychologist &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/About.jpg\";s:12:\"tmpl_created\";i:1600157561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/psychologist-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:618;s:11:\"trend_index\";i:426;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:375;a:18:{s:4:\"tmpl\";i:1164;s:2:\"id\";i:17313;s:5:\"title\";s:60:\"Development Course  &#8211; Thank You Page &#8211; Education\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Dev-Course-TYP-.png\";s:12:\"tmpl_created\";i:1610903776;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/development-course-thank-you-page-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Education\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:834;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:376;a:18:{s:4:\"tmpl\";i:1045;s:2:\"id\";i:15197;s:5:\"title\";s:28:\"Psychologist &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1600160499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:666;s:11:\"trend_index\";i:558;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:377;a:18:{s:4:\"tmpl\";i:509;s:2:\"id\";i:5496;s:5:\"title\";s:7:\"About 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_8-1.png\";s:12:\"tmpl_created\";i:1520443526;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:523;s:11:\"trend_index\";i:453;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:378;a:18:{s:4:\"tmpl\";i:1041;s:2:\"id\";i:15142;s:5:\"title\";s:25:\"Psychologist &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Home.jpg\";s:12:\"tmpl_created\";i:1600156308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/psychologist-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:83;s:16:\"popularity_index\";i:464;s:11:\"trend_index\";i:297;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:379;a:18:{s:4:\"tmpl\";i:1044;s:2:\"id\";i:15188;s:5:\"title\";s:28:\"Psychologist &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/09/Pricing.jpg\";s:12:\"tmpl_created\";i:1600159731;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:732;s:11:\"trend_index\";i:537;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:380;a:18:{s:4:\"tmpl\";i:684;s:2:\"id\";i:8961;s:5:\"title\";s:9:\"archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.1.jpg\";s:12:\"tmpl_created\";i:1528639909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:79;s:11:\"trend_index\";i:15;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:381;a:18:{s:4:\"tmpl\";i:1043;s:2:\"id\";i:15167;s:5:\"title\";s:29:\"Psychologist &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/09/Services.jpg\";s:12:\"tmpl_created\";i:1600158206;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/psychologist-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:85;s:16:\"popularity_index\";i:606;s:11:\"trend_index\";i:379;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:382;a:18:{s:4:\"tmpl\";i:1036;s:2:\"id\";i:14932;s:5:\"title\";s:30:\"Flooring Company &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/About.png\";s:12:\"tmpl_created\";i:1597740110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/flooring-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:488;s:11:\"trend_index\";i:319;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:383;a:18:{s:4:\"tmpl\";i:685;s:2:\"id\";i:8969;s:5:\"title\";s:9:\"archive 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.2.jpg\";s:12:\"tmpl_created\";i:1528700014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:250;s:11:\"trend_index\";i:124;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:384;a:18:{s:4:\"tmpl\";i:1037;s:2:\"id\";i:14998;s:5:\"title\";s:32:\"Flooring Company &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/08/Contact-Us.png\";s:12:\"tmpl_created\";i:1597740222;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:87;s:16:\"popularity_index\";i:553;s:11:\"trend_index\";i:380;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:385;a:18:{s:4:\"tmpl\";i:1038;s:2:\"id\";i:14965;s:5:\"title\";s:32:\"Flooring Company &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/Gallery.png\";s:12:\"tmpl_created\";i:1597740353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:371;s:11:\"trend_index\";i:291;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:386;a:18:{s:4:\"tmpl\";i:686;s:2:\"id\";i:8973;s:5:\"title\";s:9:\"archive 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.3.jpg\";s:12:\"tmpl_created\";i:1528700205;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:176;s:11:\"trend_index\";i:54;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:387;a:18:{s:4:\"tmpl\";i:1282;s:2:\"id\";i:22417;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1647354987;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:89;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:388;a:18:{s:4:\"tmpl\";i:1040;s:2:\"id\";i:14947;s:5:\"title\";s:33:\"Flooring company &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/08/Services.png\";s:12:\"tmpl_created\";i:1597740551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/flooring-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:90;s:16:\"popularity_index\";i:538;s:11:\"trend_index\";i:392;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:389;a:18:{s:4:\"tmpl\";i:1039;s:2:\"id\";i:14901;s:5:\"title\";s:29:\"Flooring Company &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Home.png\";s:12:\"tmpl_created\";i:1597740474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/flooring-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:387;s:11:\"trend_index\";i:185;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:390;a:18:{s:4:\"tmpl\";i:687;s:2:\"id\";i:8977;s:5:\"title\";s:9:\"archive 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.4.jpg\";s:12:\"tmpl_created\";i:1528700326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:354;s:11:\"trend_index\";i:396;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:391;a:18:{s:4:\"tmpl\";i:1252;s:2:\"id\";i:22146;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1647177514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:92;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:392;a:18:{s:4:\"tmpl\";i:688;s:2:\"id\";i:8981;s:5:\"title\";s:9:\"archive 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.5.jpg\";s:12:\"tmpl_created\";i:1528700484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:333;s:11:\"trend_index\";i:195;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:393;a:18:{s:4:\"tmpl\";i:1021;s:2:\"id\";i:14737;s:5:\"title\";s:32:\"Luxury Real Estate &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/About.png\";s:12:\"tmpl_created\";i:1595313527;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/luxury-real-estate-about-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:150;s:11:\"trend_index\";i:447;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:394;a:18:{s:4:\"tmpl\";i:689;s:2:\"id\";i:8985;s:5:\"title\";s:9:\"archive 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.6.jpg\";s:12:\"tmpl_created\";i:1528700612;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:204;s:11:\"trend_index\";i:95;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:395;a:18:{s:4:\"tmpl\";i:1020;s:2:\"id\";i:14756;s:5:\"title\";s:34:\"Luxury Real Estate &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Contact-Us.png\";s:12:\"tmpl_created\";i:1595313519;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/luxury-real-estate-contact-us-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:610;s:11:\"trend_index\";i:569;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:396;a:18:{s:4:\"tmpl\";i:1019;s:2:\"id\";i:14716;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Home.png\";s:12:\"tmpl_created\";i:1595313512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:95;s:16:\"popularity_index\";i:394;s:11:\"trend_index\";i:165;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:397;a:18:{s:4:\"tmpl\";i:690;s:2:\"id\";i:8989;s:5:\"title\";s:9:\"archive 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.7.jpg\";s:12:\"tmpl_created\";i:1528701063;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:208;s:11:\"trend_index\";i:111;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:398;a:18:{s:4:\"tmpl\";i:1018;s:2:\"id\";i:14763;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; News\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/07/news-Archive.png\";s:12:\"tmpl_created\";i:1595313273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-news-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:404;s:11:\"trend_index\";i:167;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:399;a:18:{s:4:\"tmpl\";i:1283;s:2:\"id\";i:22423;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1647355154;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:97;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:400;a:18:{s:4:\"tmpl\";i:691;s:2:\"id\";i:8996;s:5:\"title\";s:9:\"archive 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.8.jpg\";s:12:\"tmpl_created\";i:1528701290;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:227;s:11:\"trend_index\";i:153;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:401;a:18:{s:4:\"tmpl\";i:1010;s:2:\"id\";i:13960;s:5:\"title\";s:32:\"Japanese restaurant &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/06/Home-Page.jpg\";s:12:\"tmpl_created\";i:1592289775;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/japanese-restaurant-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:537;s:11:\"trend_index\";i:287;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:402;a:18:{s:4:\"tmpl\";i:1284;s:2:\"id\";i:22428;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1647355339;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:99;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:403;a:18:{s:4:\"tmpl\";i:692;s:2:\"id\";i:9001;s:5:\"title\";s:9:\"archive 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.9.jpg\";s:12:\"tmpl_created\";i:1528701433;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:265;s:11:\"trend_index\";i:208;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:404;a:18:{s:4:\"tmpl\";i:1007;s:2:\"id\";i:13993;s:5:\"title\";s:45:\"Japanese restaurant &#8211; Chef&#8217;s Menu\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/06/Chef_s-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/japanese-restaurant-chefs-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:651;s:11:\"trend_index\";i:675;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:405;a:18:{s:4:\"tmpl\";i:1006;s:2:\"id\";i:14012;s:5:\"title\";s:36:\"Japanese restaurant &#8211; Bar Menu\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/06/Bar-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/japanese-restaurant-bar-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:101;s:16:\"popularity_index\";i:735;s:11:\"trend_index\";i:829;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:406;a:18:{s:4:\"tmpl\";i:1005;s:2:\"id\";i:13917;s:5:\"title\";s:33:\"Japanese restaurant &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/06/About-Page.jpg\";s:12:\"tmpl_created\";i:1592289629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/japanese-restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:102;s:16:\"popularity_index\";i:640;s:11:\"trend_index\";i:389;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:407;a:18:{s:4:\"tmpl\";i:997;s:2:\"id\";i:13528;s:5:\"title\";s:22:\"Barbershop &#8211; 404\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/05/404-Page.jpg\";s:12:\"tmpl_created\";i:1589893152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/barbershop-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:768;s:11:\"trend_index\";i:681;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:408;a:18:{s:4:\"tmpl\";i:1009;s:2:\"id\";i:13937;s:5:\"title\";s:35:\"Japanese restaurant &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1592289748;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/japanese-restaurant-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:648;s:11:\"trend_index\";i:551;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:409;a:18:{s:4:\"tmpl\";i:1008;s:2:\"id\";i:14030;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Events\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/06/Events-Page.jpg\";s:12:\"tmpl_created\";i:1592289713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/japanese-restaurant-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:104;s:16:\"popularity_index\";i:723;s:11:\"trend_index\";i:711;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:410;a:18:{s:4:\"tmpl\";i:998;s:2:\"id\";i:13518;s:5:\"title\";s:26:\"Barbershop &#8211; Archive\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Blog-Page.jpg\";s:12:\"tmpl_created\";i:1589893157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/barbershop-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:737;s:11:\"trend_index\";i:523;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:411;a:18:{s:4:\"tmpl\";i:1016;s:2:\"id\";i:13984;s:5:\"title\";s:40:\"Japanese restaurant &#8211; Reservations\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/reservations.jpg\";s:12:\"tmpl_created\";i:1592294757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/japanese-restaurant-reservations/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:715;s:11:\"trend_index\";i:727;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:412;a:18:{s:4:\"tmpl\";i:999;s:2:\"id\";i:13479;s:5:\"title\";s:23:\"Barbershop &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Home-Page.jpg\";s:12:\"tmpl_created\";i:1589893275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/barbershop-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:106;s:16:\"popularity_index\";i:683;s:11:\"trend_index\";i:832;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:413;a:18:{s:4:\"tmpl\";i:996;s:2:\"id\";i:13604;s:5:\"title\";s:25:\"Barbershop &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1589893147;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Footer\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:555;s:11:\"trend_index\";i:267;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:414;a:18:{s:4:\"tmpl\";i:1000;s:2:\"id\";i:13503;s:5:\"title\";s:24:\"Barbershop &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/05/About-Page.jpg\";s:12:\"tmpl_created\";i:1589893289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/barbershop-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:744;s:11:\"trend_index\";i:739;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:415;a:18:{s:4:\"tmpl\";i:995;s:2:\"id\";i:13612;s:5:\"title\";s:25:\"Barbershop &#8211; Header\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/06/barber-shop-header.jpg\";s:12:\"tmpl_created\";i:1589893142;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Header\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:343;s:11:\"trend_index\";i:137;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:416;a:18:{s:4:\"tmpl\";i:1001;s:2:\"id\";i:13548;s:5:\"title\";s:27:\"Barbershop &#8211; Services\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/05/Services-Page.jpg\";s:12:\"tmpl_created\";i:1589893298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/barbershop-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:761;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:417;a:18:{s:4:\"tmpl\";i:1002;s:2:\"id\";i:13560;s:5:\"title\";s:26:\"Barbershop &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1589893307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:109;s:16:\"popularity_index\";i:756;s:11:\"trend_index\";i:822;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:418;a:18:{s:4:\"tmpl\";i:1003;s:2:\"id\";i:13587;s:5:\"title\";s:26:\"Barbershop &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/05/Contact-Us-Page.jpg\";s:12:\"tmpl_created\";i:1589893315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:110;s:16:\"popularity_index\";i:753;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:419;a:18:{s:4:\"tmpl\";i:982;s:2:\"id\";i:13307;s:5:\"title\";s:26:\"Online Course &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.jpg\";s:12:\"tmpl_created\";i:1587474541;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/online-course-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:230;s:11:\"trend_index\";i:125;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:420;a:18:{s:4:\"tmpl\";i:994;s:2:\"id\";i:13621;s:5:\"title\";s:30:\"Barbershop &#8211; Single Post\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/05/Single-Page.jpg\";s:12:\"tmpl_created\";i:1589893137;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/barbershop-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:736;s:11:\"trend_index\";i:580;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:421;a:18:{s:4:\"tmpl\";i:1131;s:2:\"id\";i:16527;s:5:\"title\";s:24:\"Beauty Salon &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/12/404.jpg\";s:12:\"tmpl_created\";i:1608622517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/beauty-salon-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:29:\"[\"404\",\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:742;s:11:\"trend_index\";i:563;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:422;a:18:{s:4:\"tmpl\";i:983;s:2:\"id\";i:13328;s:5:\"title\";s:27:\"Online Course &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.jpg\";s:12:\"tmpl_created\";i:1587474558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/online-course-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:508;s:11:\"trend_index\";i:429;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:423;a:18:{s:4:\"tmpl\";i:984;s:2:\"id\";i:13338;s:5:\"title\";s:33:\"Online Course &#8211; Course Page\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Course-Page.png\";s:12:\"tmpl_created\";i:1587474574;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/online-course-course-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:113;s:16:\"popularity_index\";i:337;s:11:\"trend_index\";i:310;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:424;a:18:{s:4:\"tmpl\";i:985;s:2:\"id\";i:13352;s:5:\"title\";s:29:\"Online Course &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1587474591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/online-course-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:114;s:16:\"popularity_index\";i:565;s:11:\"trend_index\";i:533;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:425;a:18:{s:4:\"tmpl\";i:1130;s:2:\"id\";i:16535;s:5:\"title\";s:27:\"Beauty Salon &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Footer.jpg\";s:12:\"tmpl_created\";i:1608622498;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Footer\",\"Hair\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:524;s:11:\"trend_index\";i:126;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:426;a:18:{s:4:\"tmpl\";i:971;s:2:\"id\";i:13187;s:5:\"title\";s:33:\"Interior Design &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.png\";s:12:\"tmpl_created\";i:1586148661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/interior-design-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:331;s:11:\"trend_index\";i:264;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:427;a:18:{s:4:\"tmpl\";i:1453;s:2:\"id\";i:16346;s:5:\"title\";s:33:\"Your New Home &#8211; Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp3-l.png\";s:12:\"tmpl_created\";i:1660205402;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/your-new-home-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:31:\"[\"Landing Pages\",\"Real estate\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:428;a:18:{s:4:\"tmpl\";i:972;s:2:\"id\";i:13199;s:5:\"title\";s:29:\"Interior Design &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.png\";s:12:\"tmpl_created\";i:1586148666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/interior-design-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:316;s:11:\"trend_index\";i:334;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:429;a:18:{s:4:\"tmpl\";i:1129;s:2:\"id\";i:16545;s:5:\"title\";s:27:\"Beauty Salon &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Header.jpg\";s:12:\"tmpl_created\";i:1608622495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Hair\",\"Header\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:356;s:11:\"trend_index\";i:49;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:430;a:18:{s:4:\"tmpl\";i:973;s:2:\"id\";i:13214;s:5:\"title\";s:32:\"Interior Design &#8211; Projects\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/portfolio_s.jpg\";s:12:\"tmpl_created\";i:1586148672;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/interior-design-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:367;s:11:\"trend_index\";i:323;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:431;a:18:{s:4:\"tmpl\";i:641;s:2:\"id\";i:7686;s:5:\"title\";s:12:\"Blog Posts 1\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2018/03/blog_posts.png\";s:12:\"tmpl_created\";i:1521558047;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/blog-posts-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:26:\"[\"Archive\",\"Blog\",\"posts\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:131;s:11:\"trend_index\";i:152;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:432;a:18:{s:4:\"tmpl\";i:974;s:2:\"id\";i:13229;s:5:\"title\";s:31:\"Interior Design &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.png\";s:12:\"tmpl_created\";i:1586148677;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/interior-design-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:395;s:11:\"trend_index\";i:337;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:433;a:18:{s:4:\"tmpl\";i:959;s:2:\"id\";i:12948;s:5:\"title\";s:29:\"Photography &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Home_s.png\";s:12:\"tmpl_created\";i:1582093442;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photography-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:119;s:16:\"popularity_index\";i:241;s:11:\"trend_index\";i:201;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:434;a:18:{s:4:\"tmpl\";i:960;s:2:\"id\";i:12798;s:5:\"title\";s:25:\"Photography &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/About_s.png\";s:12:\"tmpl_created\";i:1582093446;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/photography-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:499;s:11:\"trend_index\";i:374;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:435;a:18:{s:4:\"tmpl\";i:484;s:2:\"id\";i:5283;s:5:\"title\";s:9:\"Clients 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_2.png\";s:12:\"tmpl_created\";i:1520443478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:294;s:11:\"trend_index\";i:202;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:436;a:18:{s:4:\"tmpl\";i:961;s:2:\"id\";i:12868;s:5:\"title\";s:27:\"Photography &#8211; Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Contact_s.png\";s:12:\"tmpl_created\";i:1582093450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:121;s:16:\"popularity_index\";i:531;s:11:\"trend_index\";i:350;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:437;a:18:{s:4:\"tmpl\";i:962;s:2:\"id\";i:13056;s:5:\"title\";s:28:\"Photography &#8211; Wildlife\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/02/Wildlife_s.png\";s:12:\"tmpl_created\";i:1582093454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photography-wildlife/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:579;s:11:\"trend_index\";i:656;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:438;a:18:{s:4:\"tmpl\";i:487;s:2:\"id\";i:5306;s:5:\"title\";s:10:\"Clients 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_3.png\";s:12:\"tmpl_created\";i:1520443484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:657;s:11:\"trend_index\";i:581;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:439;a:18:{s:4:\"tmpl\";i:963;s:2:\"id\";i:12922;s:5:\"title\";s:37:\"Photography &#8211; Glowing Jellyfish\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Jellyfish_S.png\";s:12:\"tmpl_created\";i:1582093457;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/photography-glowing-jellyfish/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:123;s:16:\"popularity_index\";i:628;s:11:\"trend_index\";i:532;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:440;a:18:{s:4:\"tmpl\";i:964;s:2:\"id\";i:12875;s:5:\"title\";s:36:\"Photography &#8211; Fluttering Birds\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Birds_s.png\";s:12:\"tmpl_created\";i:1582093461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-fluttering-birds/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:124;s:16:\"popularity_index\";i:693;s:11:\"trend_index\";i:766;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:441;a:18:{s:4:\"tmpl\";i:965;s:2:\"id\";i:12962;s:5:\"title\";s:26:\"Photography &#8211; Nature\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Nature_s.png\";s:12:\"tmpl_created\";i:1582093465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/photography-nature/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:592;s:11:\"trend_index\";i:778;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:442;a:18:{s:4:\"tmpl\";i:491;s:2:\"id\";i:5341;s:5:\"title\";s:10:\"Clients 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_4.png\";s:12:\"tmpl_created\";i:1520443491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:603;s:11:\"trend_index\";i:633;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:443;a:18:{s:4:\"tmpl\";i:966;s:2:\"id\";i:12833;s:5:\"title\";s:38:\"Photography &#8211; Blossoming Flowers\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Flowers_s.png\";s:12:\"tmpl_created\";i:1582093469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/photography-blossoming-flowers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:597;s:11:\"trend_index\";i:750;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:444;a:18:{s:4:\"tmpl\";i:488;s:2:\"id\";i:5315;s:5:\"title\";s:10:\"Clients 12\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4-1.png\";s:12:\"tmpl_created\";i:1520443486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:485;s:11:\"trend_index\";i:263;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:445;a:18:{s:4:\"tmpl\";i:967;s:2:\"id\";i:12898;s:5:\"title\";s:36:\"Photography &#8211; Forest Mushrooms\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Mushrooms_s.png\";s:12:\"tmpl_created\";i:1582093473;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-forest-mushrooms/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:127;s:16:\"popularity_index\";i:667;s:11:\"trend_index\";i:649;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:446;a:18:{s:4:\"tmpl\";i:968;s:2:\"id\";i:12994;s:5:\"title\";s:24:\"Photography &#8211; Pets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Pets_s.png\";s:12:\"tmpl_created\";i:1582093477;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/photography-pets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:128;s:16:\"popularity_index\";i:612;s:11:\"trend_index\";i:508;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:447;a:18:{s:4:\"tmpl\";i:969;s:2:\"id\";i:12805;s:5:\"title\";s:37:\"Photography &#8211; B&amp;W Portraits\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Black_s.png\";s:12:\"tmpl_created\";i:1582093481;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/photography-bw-portraits/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:695;s:11:\"trend_index\";i:735;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:448;a:18:{s:4:\"tmpl\";i:490;s:2:\"id\";i:5333;s:5:\"title\";s:10:\"Clients 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_6.png\";s:12:\"tmpl_created\";i:1520443489;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:234;s:11:\"trend_index\";i:128;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:449;a:18:{s:4:\"tmpl\";i:970;s:2:\"id\";i:13031;s:5:\"title\";s:33:\"Photography &#8211; Vivid Parrots\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Parrots_s.png\";s:12:\"tmpl_created\";i:1582093484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/photography-vivid-parrots/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:660;s:11:\"trend_index\";i:643;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:450;a:18:{s:4:\"tmpl\";i:496;s:2:\"id\";i:5389;s:5:\"title\";s:10:\"Clients 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_9.png\";s:12:\"tmpl_created\";i:1520443501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:407;s:11:\"trend_index\";i:307;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:451;a:18:{s:4:\"tmpl\";i:940;s:2:\"id\";i:12621;s:5:\"title\";s:26:\"Magazine &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/01/Home_s.png\";s:12:\"tmpl_created\";i:1579060604;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/magazine-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:131;s:16:\"popularity_index\";i:167;s:11:\"trend_index\";i:121;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:452;a:18:{s:4:\"tmpl\";i:936;s:2:\"id\";i:12352;s:5:\"title\";s:24:\"Travel &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/12/Home_s.png\";s:12:\"tmpl_created\";i:1575960464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:291;s:11:\"trend_index\";i:194;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:453;a:18:{s:4:\"tmpl\";i:486;s:2:\"id\";i:5298;s:5:\"title\";s:10:\"Clients 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_3.png\";s:12:\"tmpl_created\";i:1520443482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:465;s:11:\"trend_index\";i:520;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:454;a:18:{s:4:\"tmpl\";i:932;s:2:\"id\";i:12400;s:5:\"title\";s:20:\"Travel &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/12/About.png\";s:12:\"tmpl_created\";i:1575960441;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:133;s:16:\"popularity_index\";i:444;s:11:\"trend_index\";i:445;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:455;a:18:{s:4:\"tmpl\";i:938;s:2:\"id\";i:12479;s:5:\"title\";s:20:\"Travel &#8211; Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Tours_s.png\";s:12:\"tmpl_created\";i:1575960474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:539;s:11:\"trend_index\";i:726;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:456;a:18:{s:4:\"tmpl\";i:495;s:2:\"id\";i:5381;s:5:\"title\";s:10:\"Clients 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_9.png\";s:12:\"tmpl_created\";i:1520443499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:198;s:11:\"trend_index\";i:168;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:457;a:18:{s:4:\"tmpl\";i:937;s:2:\"id\";i:12466;s:5:\"title\";s:27:\"Travel &#8211; Testimonials\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/Testimonials.png\";s:12:\"tmpl_created\";i:1575960469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-testimonials/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:135;s:16:\"popularity_index\";i:527;s:11:\"trend_index\";i:481;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:458;a:18:{s:4:\"tmpl\";i:935;s:2:\"id\";i:12443;s:5:\"title\";s:22:\"Travel &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Gallery.png\";s:12:\"tmpl_created\";i:1575960459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/travel-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:136;s:16:\"popularity_index\";i:467;s:11:\"trend_index\";i:501;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:459;a:18:{s:4:\"tmpl\";i:934;s:2:\"id\";i:12431;s:5:\"title\";s:18:\"Travel &#8211; FAQ\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/FAQ.png\";s:12:\"tmpl_created\";i:1575960453;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-faq/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:501;s:11:\"trend_index\";i:387;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:460;a:18:{s:4:\"tmpl\";i:493;s:2:\"id\";i:5357;s:5:\"title\";s:9:\"Clients 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_7.png\";s:12:\"tmpl_created\";i:1520443495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:341;s:11:\"trend_index\";i:232;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:461;a:18:{s:4:\"tmpl\";i:933;s:2:\"id\";i:12421;s:5:\"title\";s:27:\"Travel &#8211; Contact Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/12/Contsct-Us.png\";s:12:\"tmpl_created\";i:1575960445;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-contact-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:138;s:16:\"popularity_index\";i:571;s:11:\"trend_index\";i:536;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:462;a:18:{s:4:\"tmpl\";i:892;s:2:\"id\";i:11763;s:5:\"title\";s:27:\"Portfolio &#8211; Home Page\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Homepage_small.png\";s:12:\"tmpl_created\";i:1569428959;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/portfolio-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:280;s:11:\"trend_index\";i:241;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:463;a:18:{s:4:\"tmpl\";i:485;s:2:\"id\";i:5290;s:5:\"title\";s:9:\"Clients 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_2.png\";s:12:\"tmpl_created\";i:1520443480;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:545;s:11:\"trend_index\";i:502;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:464;a:18:{s:4:\"tmpl\";i:891;s:2:\"id\";i:11781;s:5:\"title\";s:23:\"Portfolio &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/About_small.png\";s:12:\"tmpl_created\";i:1569428955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/portfolio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:349;s:11:\"trend_index\";i:290;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:465;a:18:{s:4:\"tmpl\";i:482;s:2:\"id\";i:5266;s:5:\"title\";s:9:\"Clients 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_1.png\";s:12:\"tmpl_created\";i:1520443474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:95;s:11:\"trend_index\";i:134;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:466;a:18:{s:4:\"tmpl\";i:890;s:2:\"id\";i:11793;s:5:\"title\";s:26:\"Portfolio &#8211; Projects\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Projects_small.png\";s:12:\"tmpl_created\";i:1569428951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/portfolio-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:141;s:16:\"popularity_index\";i:448;s:11:\"trend_index\";i:467;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:467;a:18:{s:4:\"tmpl\";i:889;s:2:\"id\";i:11800;s:5:\"title\";s:25:\"Portfolio &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/09/Contact_small.png\";s:12:\"tmpl_created\";i:1569428946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/portfolio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:142;s:16:\"popularity_index\";i:494;s:11:\"trend_index\";i:449;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:468;a:18:{s:4:\"tmpl\";i:866;s:2:\"id\";i:11163;s:5:\"title\";s:32:\"Digital Agency &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/07/Home_small.png\";s:12:\"tmpl_created\";i:1564641877;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/digital-agency-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:57;s:11:\"trend_index\";i:32;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:469;a:18:{s:4:\"tmpl\";i:483;s:2:\"id\";i:5275;s:5:\"title\";s:9:\"Clients 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_1.png\";s:12:\"tmpl_created\";i:1520443476;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:334;s:11:\"trend_index\";i:321;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:470;a:18:{s:4:\"tmpl\";i:492;s:2:\"id\";i:5349;s:5:\"title\";s:9:\"Clients 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_7.png\";s:12:\"tmpl_created\";i:1520443493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:144;s:16:\"popularity_index\";i:233;s:11:\"trend_index\";i:92;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:471;a:18:{s:4:\"tmpl\";i:916;s:2:\"id\";i:12143;s:5:\"title\";s:22:\"Law Firm &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/about.png\";s:12:\"tmpl_created\";i:1572847069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/law-firm-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:350;s:11:\"trend_index\";i:344;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:472;a:18:{s:4:\"tmpl\";i:489;s:2:\"id\";i:5324;s:5:\"title\";s:9:\"Clients 8\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5-1.png\";s:12:\"tmpl_created\";i:1520443488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:526;s:11:\"trend_index\";i:381;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:473;a:18:{s:4:\"tmpl\";i:920;s:2:\"id\";i:12091;s:5:\"title\";s:21:\"Law Firm &#8211; Team\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/team.png\";s:12:\"tmpl_created\";i:1572847113;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/law-firm-team/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:147;s:16:\"popularity_index\";i:318;s:11:\"trend_index\";i:314;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:474;a:18:{s:4:\"tmpl\";i:869;s:2:\"id\";i:11129;s:5:\"title\";s:28:\"Digital Agency &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/About_small.png\";s:12:\"tmpl_created\";i:1564641889;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:148;s:16:\"popularity_index\";i:182;s:11:\"trend_index\";i:166;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:475;a:18:{s:4:\"tmpl\";i:880;s:2:\"id\";i:11572;s:5:\"title\";s:19:\"Gym &#8211; Trainer\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Trainer_Small.png\";s:12:\"tmpl_created\";i:1567392934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:521;s:11:\"trend_index\";i:590;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:476;a:18:{s:4:\"tmpl\";i:494;s:2:\"id\";i:5368;s:5:\"title\";s:9:\"Clients 9\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_8.png\";s:12:\"tmpl_created\";i:1520443497;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:253;s:11:\"trend_index\";i:273;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:477;a:18:{s:4:\"tmpl\";i:917;s:2:\"id\";i:12133;s:5:\"title\";s:24:\"Law Firm &#8211; Careers\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/11/careers.png\";s:12:\"tmpl_created\";i:1572847078;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-careers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:583;s:11:\"trend_index\";i:640;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:478;a:18:{s:4:\"tmpl\";i:425;s:2:\"id\";i:4436;s:5:\"title\";s:11:\"Contact  16\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_2.png\";s:12:\"tmpl_created\";i:1520443293;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:161;s:11:\"trend_index\";i:68;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:479;a:18:{s:4:\"tmpl\";i:915;s:2:\"id\";i:12155;s:5:\"title\";s:26:\"Law Firm &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/home.png\";s:12:\"tmpl_created\";i:1572847054;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/law-firm-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:193;s:11:\"trend_index\";i:110;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:480;a:18:{s:4:\"tmpl\";i:423;s:2:\"id\";i:4420;s:5:\"title\";s:9:\"Contact 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_1.png\";s:12:\"tmpl_created\";i:1520443289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:196;s:11:\"trend_index\";i:127;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:481;a:18:{s:4:\"tmpl\";i:921;s:2:\"id\";i:12080;s:5:\"title\";s:24:\"Law Firm &#8211; Partner\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/11/partner-1.png\";s:12:\"tmpl_created\";i:1572847120;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-partner/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:153;s:16:\"popularity_index\";i:556;s:11:\"trend_index\";i:471;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:482;a:18:{s:4:\"tmpl\";i:534;s:2:\"id\";i:5836;s:5:\"title\";s:10:\"Contact 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:114;s:11:\"trend_index\";i:76;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:483;a:18:{s:4:\"tmpl\";i:865;s:2:\"id\";i:11074;s:5:\"title\";s:31:\"Digital Agency &#8211; Services\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Services_small.png\";s:12:\"tmpl_created\";i:1564641872;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/digital-agency-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:163;s:11:\"trend_index\";i:170;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:484;a:18:{s:4:\"tmpl\";i:879;s:2:\"id\";i:11506;s:5:\"title\";s:19:\"Gym &#8211; Classes\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Classes_Small.png\";s:12:\"tmpl_created\";i:1567392930;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:155;s:16:\"popularity_index\";i:514;s:11:\"trend_index\";i:554;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:485;a:18:{s:4:\"tmpl\";i:535;s:2:\"id\";i:5844;s:5:\"title\";s:10:\"Contact 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_2.png\";s:12:\"tmpl_created\";i:1520443599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:156;s:16:\"popularity_index\";i:289;s:11:\"trend_index\";i:313;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:486;a:18:{s:4:\"tmpl\";i:922;s:2:\"id\";i:12044;s:5:\"title\";s:24:\"Law Firm &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/contsct_us.png\";s:12:\"tmpl_created\";i:1572847130;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:437;s:11:\"trend_index\";i:304;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:487;a:18:{s:4:\"tmpl\";i:430;s:2:\"id\";i:4476;s:5:\"title\";s:10:\"Contact 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_4.png\";s:12:\"tmpl_created\";i:1520443303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:229;s:11:\"trend_index\";i:187;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:488;a:18:{s:4:\"tmpl\";i:918;s:2:\"id\";i:12124;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/11/services.png\";s:12:\"tmpl_created\";i:1572847096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/law-firm-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:158;s:16:\"popularity_index\";i:433;s:11:\"trend_index\";i:296;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:489;a:18:{s:4:\"tmpl\";i:864;s:2:\"id\";i:11056;s:5:\"title\";s:35:\"Digital Agency &#8211; Social Media\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/07/Social-Media_small.png\";s:12:\"tmpl_created\";i:1564641867;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/digital-agency-social-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:297;s:11:\"trend_index\";i:361;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:490;a:18:{s:4:\"tmpl\";i:476;s:2:\"id\";i:5214;s:5:\"title\";s:10:\"Contact 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_2.png\";s:12:\"tmpl_created\";i:1520443462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/contact-16-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:194;s:11:\"trend_index\";i:106;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:491;a:18:{s:4:\"tmpl\";i:878;s:2:\"id\";i:11536;s:5:\"title\";s:19:\"Gym &#8211; Fitness\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Fitness_Small.png\";s:12:\"tmpl_created\";i:1567392927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:160;s:16:\"popularity_index\";i:621;s:11:\"trend_index\";i:674;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:492;a:18:{s:4:\"tmpl\";i:882;s:2:\"id\";i:11545;s:5:\"title\";s:21:\"Gym &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Home_Small.png\";s:12:\"tmpl_created\";i:1567392943;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/gym-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:161;s:16:\"popularity_index\";i:310;s:11:\"trend_index\";i:229;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:493;a:18:{s:4:\"tmpl\";i:919;s:2:\"id\";i:12116;s:5:\"title\";s:24:\"Law Firm &#8211; Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/family_law.png\";s:12:\"tmpl_created\";i:1572847105;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:489;s:11:\"trend_index\";i:339;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:494;a:18:{s:4:\"tmpl\";i:478;s:2:\"id\";i:5230;s:5:\"title\";s:10:\"Contact 17\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_3.png\";s:12:\"tmpl_created\";i:1520443466;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:339;s:11:\"trend_index\";i:335;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:495;a:18:{s:4:\"tmpl\";i:868;s:2:\"id\";i:11094;s:5:\"title\";s:30:\"Digital Agency &#8211; Clients\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/07/Clients_small.png\";s:12:\"tmpl_created\";i:1564641885;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/digital-agency-clients/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:424;s:11:\"trend_index\";i:424;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:496;a:18:{s:4:\"tmpl\";i:481;s:2:\"id\";i:5257;s:5:\"title\";s:10:\"Contact 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5.png\";s:12:\"tmpl_created\";i:1520443472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:438;s:11:\"trend_index\";i:490;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:497;a:18:{s:4:\"tmpl\";i:881;s:2:\"id\";i:11478;s:5:\"title\";s:17:\"Gym &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/About_Small.png\";s:12:\"tmpl_created\";i:1567392939;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/gym-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:164;s:16:\"popularity_index\";i:481;s:11:\"trend_index\";i:579;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:498;a:18:{s:4:\"tmpl\";i:532;s:2:\"id\";i:5820;s:5:\"title\";s:9:\"Contact 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:183;s:11:\"trend_index\";i:357;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:499;a:18:{s:4:\"tmpl\";i:877;s:2:\"id\";i:11563;s:5:\"title\";s:19:\"Gym &#8211; Pricing\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Pricing_Small.png\";s:12:\"tmpl_created\";i:1567392923;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:577;s:11:\"trend_index\";i:736;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:500;a:18:{s:4:\"tmpl\";i:422;s:2:\"id\";i:4411;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_1.png\";s:12:\"tmpl_created\";i:1520443287;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:167;s:16:\"popularity_index\";i:113;s:11:\"trend_index\";i:217;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:501;a:18:{s:4:\"tmpl\";i:867;s:2:\"id\";i:11034;s:5:\"title\";s:30:\"Digital Agency &#8211; Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/07/Contsct-Us_small.png\";s:12:\"tmpl_created\";i:1564641881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/contact-digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:168;s:16:\"popularity_index\";i:191;s:11:\"trend_index\";i:156;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:502;a:18:{s:4:\"tmpl\";i:533;s:2:\"id\";i:5828;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443595;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:170;s:16:\"popularity_index\";i:312;s:11:\"trend_index\";i:495;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:503;a:18:{s:4:\"tmpl\";i:876;s:2:\"id\";i:11528;s:5:\"title\";s:19:\"Gym &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Contact_Small.png\";s:12:\"tmpl_created\";i:1567392917;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:505;s:11:\"trend_index\";i:624;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:504;a:18:{s:4:\"tmpl\";i:424;s:2:\"id\";i:4428;s:5:\"title\";s:9:\"Contact 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_2.png\";s:12:\"tmpl_created\";i:1520443291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:118;s:11:\"trend_index\";i:131;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:505;a:18:{s:4:\"tmpl\";i:426;s:2:\"id\";i:4444;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443295;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:174;s:16:\"popularity_index\";i:84;s:11:\"trend_index\";i:93;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:506;a:18:{s:4:\"tmpl\";i:432;s:2:\"id\";i:4492;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_3.png\";s:12:\"tmpl_created\";i:1520443307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-5-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:176;s:16:\"popularity_index\";i:37;s:11:\"trend_index\";i:31;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:507;a:18:{s:4:\"tmpl\";i:427;s:2:\"id\";i:4452;s:5:\"title\";s:9:\"Contact 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:178;s:16:\"popularity_index\";i:139;s:11:\"trend_index\";i:150;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:508;a:18:{s:4:\"tmpl\";i:429;s:2:\"id\";i:4468;s:5:\"title\";s:9:\"Contact 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_3.png\";s:12:\"tmpl_created\";i:1520443301;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:179;s:16:\"popularity_index\";i:127;s:11:\"trend_index\";i:72;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:509;a:18:{s:4:\"tmpl\";i:431;s:2:\"id\";i:4484;s:5:\"title\";s:9:\"Contact 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_3.png\";s:12:\"tmpl_created\";i:1520443305;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:182;s:16:\"popularity_index\";i:328;s:11:\"trend_index\";i:260;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:510;a:18:{s:4:\"tmpl\";i:428;s:2:\"id\";i:4460;s:5:\"title\";s:9:\"Contact 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:184;s:16:\"popularity_index\";i:99;s:11:\"trend_index\";i:80;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:511;a:18:{s:4:\"tmpl\";i:613;s:2:\"id\";i:5558;s:5:\"title\";s:5:\"CTA 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_2.png\";s:12:\"tmpl_created\";i:1520520684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:185;s:16:\"popularity_index\";i:129;s:11:\"trend_index\";i:69;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:512;a:18:{s:4:\"tmpl\";i:634;s:2:\"id\";i:5939;s:5:\"title\";s:6:\"CTA 10\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_13-1.png\";s:12:\"tmpl_created\";i:1520520760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:187;s:16:\"popularity_index\";i:190;s:11:\"trend_index\";i:118;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:513;a:18:{s:4:\"tmpl\";i:633;s:2:\"id\";i:5930;s:5:\"title\";s:6:\"CTA 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_15.png\";s:12:\"tmpl_created\";i:1520520758;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:190;s:16:\"popularity_index\";i:76;s:11:\"trend_index\";i:84;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:514;a:18:{s:4:\"tmpl\";i:632;s:2:\"id\";i:5921;s:5:\"title\";s:6:\"CTA 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_14.png\";s:12:\"tmpl_created\";i:1520520757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:192;s:16:\"popularity_index\";i:278;s:11:\"trend_index\";i:234;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:515;a:18:{s:4:\"tmpl\";i:618;s:2:\"id\";i:5607;s:5:\"title\";s:6:\"CTA 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_5.png\";s:12:\"tmpl_created\";i:1520520695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:194;s:16:\"popularity_index\";i:42;s:11:\"trend_index\";i:11;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:516;a:18:{s:4:\"tmpl\";i:574;s:2:\"id\";i:6017;s:5:\"title\";s:6:\"CTA 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_14.png\";s:12:\"tmpl_created\";i:1520520331;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:196;s:16:\"popularity_index\";i:152;s:11:\"trend_index\";i:122;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:517;a:18:{s:4:\"tmpl\";i:628;s:2:\"id\";i:5885;s:5:\"title\";s:6:\"CTA 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_11.png\";s:12:\"tmpl_created\";i:1520520751;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:197;s:16:\"popularity_index\";i:274;s:11:\"trend_index\";i:256;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:518;a:18:{s:4:\"tmpl\";i:627;s:2:\"id\";i:5877;s:5:\"title\";s:6:\"CTA 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_10.png\";s:12:\"tmpl_created\";i:1520520749;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:200;s:16:\"popularity_index\";i:564;s:11:\"trend_index\";i:677;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:519;a:18:{s:4:\"tmpl\";i:625;s:2:\"id\";i:5860;s:5:\"title\";s:6:\"CTA 17\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_9.png\";s:12:\"tmpl_created\";i:1520520746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:201;s:16:\"popularity_index\";i:120;s:11:\"trend_index\";i:63;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:520;a:18:{s:4:\"tmpl\";i:626;s:2:\"id\";i:5869;s:5:\"title\";s:6:\"CTA 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_10.png\";s:12:\"tmpl_created\";i:1520520747;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:204;s:16:\"popularity_index\";i:345;s:11:\"trend_index\";i:486;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:521;a:18:{s:4:\"tmpl\";i:611;s:2:\"id\";i:5542;s:5:\"title\";s:6:\"CTA 19\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_1.png\";s:12:\"tmpl_created\";i:1520520681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:205;s:16:\"popularity_index\";i:169;s:11:\"trend_index\";i:270;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:522;a:18:{s:4:\"tmpl\";i:614;s:2:\"id\";i:5567;s:5:\"title\";s:5:\"CTA 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_2.png\";s:12:\"tmpl_created\";i:1520520685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:207;s:16:\"popularity_index\";i:143;s:11:\"trend_index\";i:225;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:523;a:18:{s:4:\"tmpl\";i:629;s:2:\"id\";i:5893;s:5:\"title\";s:6:\"CTA 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_12.png\";s:12:\"tmpl_created\";i:1520520752;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:210;s:16:\"popularity_index\";i:259;s:11:\"trend_index\";i:457;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:524;a:18:{s:4:\"tmpl\";i:619;s:2:\"id\";i:5634;s:5:\"title\";s:6:\"CTA 24\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_6.png\";s:12:\"tmpl_created\";i:1520520699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:212;s:16:\"popularity_index\";i:188;s:11:\"trend_index\";i:255;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:525;a:18:{s:4:\"tmpl\";i:620;s:2:\"id\";i:5642;s:5:\"title\";s:6:\"CTA 25\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_6.png\";s:12:\"tmpl_created\";i:1520520701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:214;s:16:\"popularity_index\";i:226;s:11:\"trend_index\";i:262;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:526;a:18:{s:4:\"tmpl\";i:615;s:2:\"id\";i:5583;s:5:\"title\";s:6:\"CTA 26\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_3.png\";s:12:\"tmpl_created\";i:1520520689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:216;s:16:\"popularity_index\";i:117;s:11:\"trend_index\";i:117;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:527;a:18:{s:4:\"tmpl\";i:630;s:2:\"id\";i:5904;s:5:\"title\";s:6:\"CTA 27\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_13.png\";s:12:\"tmpl_created\";i:1520520754;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:217;s:16:\"popularity_index\";i:528;s:11:\"trend_index\";i:517;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:528;a:18:{s:4:\"tmpl\";i:631;s:2:\"id\";i:5912;s:5:\"title\";s:6:\"CTA 28\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_11.png\";s:12:\"tmpl_created\";i:1520520755;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:219;s:16:\"popularity_index\";i:665;s:11:\"trend_index\";i:702;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:529;a:18:{s:4:\"tmpl\";i:473;s:2:\"id\";i:5189;s:5:\"title\";s:6:\"CTA 29\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_1.png\";s:12:\"tmpl_created\";i:1520443456;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:221;s:16:\"popularity_index\";i:472;s:11:\"trend_index\";i:631;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:530;a:18:{s:4:\"tmpl\";i:623;s:2:\"id\";i:5667;s:5:\"title\";s:5:\"CTA 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_8.png\";s:12:\"tmpl_created\";i:1520520705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:222;s:16:\"popularity_index\";i:171;s:11:\"trend_index\";i:250;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:531;a:18:{s:4:\"tmpl\";i:474;s:2:\"id\";i:5198;s:5:\"title\";s:6:\"CTA 30\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_1.png\";s:12:\"tmpl_created\";i:1520443458;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:225;s:16:\"popularity_index\";i:572;s:11:\"trend_index\";i:511;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:532;a:18:{s:4:\"tmpl\";i:475;s:2:\"id\";i:5206;s:5:\"title\";s:6:\"CTA 31\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_2.png\";s:12:\"tmpl_created\";i:1520443459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:226;s:16:\"popularity_index\";i:593;s:11:\"trend_index\";i:611;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:533;a:18:{s:4:\"tmpl\";i:480;s:2:\"id\";i:5249;s:5:\"title\";s:6:\"CTA 32\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_4.png\";s:12:\"tmpl_created\";i:1520443470;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-32/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:228;s:16:\"popularity_index\";i:512;s:11:\"trend_index\";i:409;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:534;a:18:{s:4:\"tmpl\";i:612;s:2:\"id\";i:5550;s:5:\"title\";s:6:\"CTA 33\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_1.png\";s:12:\"tmpl_created\";i:1520520682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-33/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:231;s:16:\"popularity_index\";i:260;s:11:\"trend_index\";i:562;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:535;a:18:{s:4:\"tmpl\";i:536;s:2:\"id\";i:5852;s:5:\"title\";s:6:\"CTA 34\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2018/03/form_1.png\";s:12:\"tmpl_created\";i:1520443600;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-34/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:232;s:16:\"popularity_index\";i:563;s:11:\"trend_index\";i:828;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:536;a:18:{s:4:\"tmpl\";i:624;s:2:\"id\";i:5675;s:5:\"title\";s:5:\"CTA 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_8.png\";s:12:\"tmpl_created\";i:1520520707;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:235;s:16:\"popularity_index\";i:391;s:11:\"trend_index\";i:484;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:537;a:18:{s:4:\"tmpl\";i:616;s:2:\"id\";i:5591;s:5:\"title\";s:5:\"CTA 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_4.png\";s:12:\"tmpl_created\";i:1520520691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:237;s:16:\"popularity_index\";i:133;s:11:\"trend_index\";i:130;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:538;a:18:{s:4:\"tmpl\";i:617;s:2:\"id\";i:5599;s:5:\"title\";s:5:\"CTA 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_4.png\";s:12:\"tmpl_created\";i:1520520693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:239;s:16:\"popularity_index\";i:252;s:11:\"trend_index\";i:362;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:539;a:18:{s:4:\"tmpl\";i:514;s:2:\"id\";i:5575;s:5:\"title\";s:5:\"CTA 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_3.png\";s:12:\"tmpl_created\";i:1520443543;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:240;s:16:\"popularity_index\";i:13;s:11:\"trend_index\";i:586;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:540;a:18:{s:4:\"tmpl\";i:622;s:2:\"id\";i:5658;s:5:\"title\";s:5:\"CTA 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_7.png\";s:12:\"tmpl_created\";i:1520520704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:243;s:16:\"popularity_index\";i:187;s:11:\"trend_index\";i:235;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:541;a:18:{s:4:\"tmpl\";i:621;s:2:\"id\";i:5650;s:5:\"title\";s:5:\"CTA 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_7.png\";s:12:\"tmpl_created\";i:1520520702;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:244;s:16:\"popularity_index\";i:94;s:11:\"trend_index\";i:148;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:542;a:18:{s:4:\"tmpl\";i:1061;s:2:\"id\";i:15407;s:5:\"title\";s:24:\"Dance Studio &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/10/404.jpg\";s:12:\"tmpl_created\";i:1603181958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/dance-studio-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:22:\"[\"404\",\"Dance Studio\"]\";s:10:\"menu_order\";i:246;s:16:\"popularity_index\";i:783;s:11:\"trend_index\";i:710;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:543;a:18:{s:4:\"tmpl\";i:1062;s:2:\"id\";i:15400;s:5:\"title\";s:27:\"Dance Studio &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Footer.jpg\";s:12:\"tmpl_created\";i:1603181989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Footer\"]\";s:10:\"menu_order\";i:247;s:16:\"popularity_index\";i:586;s:11:\"trend_index\";i:243;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:544;a:18:{s:4:\"tmpl\";i:1063;s:2:\"id\";i:15391;s:5:\"title\";s:27:\"Dance Studio &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Header.jpg\";s:12:\"tmpl_created\";i:1603182011;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Header\"]\";s:10:\"menu_order\";i:248;s:16:\"popularity_index\";i:352;s:11:\"trend_index\";i:67;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:545;a:18:{s:4:\"tmpl\";i:874;s:2:\"id\";i:11192;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/07/Footer_small.jpg\";s:12:\"tmpl_created\";i:1564642399;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Footer\",\"Marketing\"]\";s:10:\"menu_order\";i:250;s:16:\"popularity_index\";i:172;s:11:\"trend_index\";i:105;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:546;a:18:{s:4:\"tmpl\";i:873;s:2:\"id\";i:11198;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-digital-marketing-agency.png\";s:12:\"tmpl_created\";i:1564642395;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Header\",\"Marketing\"]\";s:10:\"menu_order\";i:251;s:16:\"popularity_index\";i:34;s:11:\"trend_index\";i:10;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:547;a:18:{s:4:\"tmpl\";i:872;s:2:\"id\";i:11204;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/07/404_small.jpg\";s:12:\"tmpl_created\";i:1564642389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:36:\"[\"404\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:253;s:16:\"popularity_index\";i:301;s:11:\"trend_index\";i:239;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:548;a:18:{s:4:\"tmpl\";i:871;s:2:\"id\";i:11220;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/08/Archive_small1.png\";s:12:\"tmpl_created\";i:1564642385;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:255;s:16:\"popularity_index\";i:116;s:11:\"trend_index\";i:73;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:549;a:18:{s:4:\"tmpl\";i:870;s:2:\"id\";i:11231;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/Post_small1.png\";s:12:\"tmpl_created\";i:1564642380;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:257;s:16:\"popularity_index\";i:145;s:11:\"trend_index\";i:71;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:550;a:18:{s:4:\"tmpl\";i:520;s:2:\"id\";i:5711;s:5:\"title\";s:5:\"FAQ 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_2.png\";s:12:\"tmpl_created\";i:1520443571;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:260;s:16:\"popularity_index\";i:200;s:11:\"trend_index\";i:231;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:551;a:18:{s:4:\"tmpl\";i:523;s:2:\"id\";i:5737;s:5:\"title\";s:6:\"FAQ 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_4.png\";s:12:\"tmpl_created\";i:1520443576;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:261;s:16:\"popularity_index\";i:155;s:11:\"trend_index\";i:112;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:552;a:18:{s:4:\"tmpl\";i:524;s:2:\"id\";i:5746;s:5:\"title\";s:6:\"FAQ 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_4.png\";s:12:\"tmpl_created\";i:1520443578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:264;s:16:\"popularity_index\";i:212;s:11:\"trend_index\";i:305;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:553;a:18:{s:4:\"tmpl\";i:519;s:2:\"id\";i:5703;s:5:\"title\";s:6:\"FAQ 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_2.png\";s:12:\"tmpl_created\";i:1520443569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:265;s:16:\"popularity_index\";i:29;s:11:\"trend_index\";i:38;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:554;a:18:{s:4:\"tmpl\";i:521;s:2:\"id\";i:5719;s:5:\"title\";s:5:\"FAQ 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_3.png\";s:12:\"tmpl_created\";i:1520443573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:267;s:16:\"popularity_index\";i:125;s:11:\"trend_index\";i:251;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:555;a:18:{s:4:\"tmpl\";i:522;s:2:\"id\";i:5729;s:5:\"title\";s:5:\"FAQ 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_3.png\";s:12:\"tmpl_created\";i:1520443575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:269;s:16:\"popularity_index\";i:319;s:11:\"trend_index\";i:327;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:556;a:18:{s:4:\"tmpl\";i:525;s:2:\"id\";i:5755;s:5:\"title\";s:5:\"FAQ 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_5.png\";s:12:\"tmpl_created\";i:1520443580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:271;s:16:\"popularity_index\";i:112;s:11:\"trend_index\";i:180;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:557;a:18:{s:4:\"tmpl\";i:526;s:2:\"id\";i:5764;s:5:\"title\";s:5:\"FAQ 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_5.png\";s:12:\"tmpl_created\";i:1520443582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:273;s:16:\"popularity_index\";i:338;s:11:\"trend_index\";i:474;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:558;a:18:{s:4:\"tmpl\";i:517;s:2:\"id\";i:5684;s:5:\"title\";s:5:\"FAQ 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_1.png\";s:12:\"tmpl_created\";i:1520443565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:274;s:16:\"popularity_index\";i:74;s:11:\"trend_index\";i:193;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:559;a:18:{s:4:\"tmpl\";i:518;s:2:\"id\";i:5693;s:5:\"title\";s:5:\"FAQ 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_1.png\";s:12:\"tmpl_created\";i:1520443567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:276;s:16:\"popularity_index\";i:224;s:11:\"trend_index\";i:515;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:560;a:18:{s:4:\"tmpl\";i:548;s:2:\"id\";i:6053;s:5:\"title\";s:10:\"Features 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_5.png\";s:12:\"tmpl_created\";i:1520443645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:277;s:16:\"popularity_index\";i:179;s:11:\"trend_index\";i:463;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:561;a:18:{s:4:\"tmpl\";i:542;s:2:\"id\";i:5991;s:5:\"title\";s:11:\"Features 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_4.png\";s:12:\"tmpl_created\";i:1520443632;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:279;s:16:\"popularity_index\";i:135;s:11:\"trend_index\";i:265;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:562;a:18:{s:4:\"tmpl\";i:547;s:2:\"id\";i:6044;s:5:\"title\";s:11:\"Features 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_5.png\";s:12:\"tmpl_created\";i:1520443643;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:280;s:16:\"popularity_index\";i:70;s:11:\"trend_index\";i:163;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:563;a:18:{s:4:\"tmpl\";i:566;s:2:\"id\";i:6212;s:5:\"title\";s:11:\"Features 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_7.png\";s:12:\"tmpl_created\";i:1520443684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:281;s:16:\"popularity_index\";i:81;s:11:\"trend_index\";i:98;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:564;a:18:{s:4:\"tmpl\";i:567;s:2:\"id\";i:6220;s:5:\"title\";s:10:\"Features 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_8.png\";s:12:\"tmpl_created\";i:1520443685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:282;s:16:\"popularity_index\";i:88;s:11:\"trend_index\";i:189;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:565;a:18:{s:4:\"tmpl\";i:541;s:2:\"id\";i:5983;s:5:\"title\";s:10:\"Features 3\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_3.png\";s:12:\"tmpl_created\";i:1520443630;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:283;s:16:\"popularity_index\";i:231;s:11:\"trend_index\";i:351;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:566;a:18:{s:4:\"tmpl\";i:540;s:2:\"id\";i:5974;s:5:\"title\";s:10:\"Features 4\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_3.png\";s:12:\"tmpl_created\";i:1520443629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:286;s:16:\"popularity_index\";i:69;s:11:\"trend_index\";i:181;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:567;a:18:{s:4:\"tmpl\";i:516;s:2:\"id\";i:5624;s:5:\"title\";s:10:\"Features 5\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_1.png\";s:12:\"tmpl_created\";i:1520443553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:287;s:16:\"popularity_index\";i:93;s:11:\"trend_index\";i:352;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:568;a:18:{s:4:\"tmpl\";i:515;s:2:\"id\";i:5615;s:5:\"title\";s:10:\"Features 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_5.png\";s:12:\"tmpl_created\";i:1520443551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:290;s:16:\"popularity_index\";i:41;s:11:\"trend_index\";i:119;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:569;a:18:{s:4:\"tmpl\";i:539;s:2:\"id\";i:5963;s:5:\"title\";s:10:\"Features 7\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_2.png\";s:12:\"tmpl_created\";i:1520443626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:291;s:16:\"popularity_index\";i:67;s:11:\"trend_index\";i:133;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:570;a:18:{s:4:\"tmpl\";i:565;s:2:\"id\";i:6204;s:5:\"title\";s:10:\"Features 8\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_6.png\";s:12:\"tmpl_created\";i:1520443681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:292;s:16:\"popularity_index\";i:217;s:11:\"trend_index\";i:223;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:571;a:18:{s:4:\"tmpl\";i:564;s:2:\"id\";i:6196;s:5:\"title\";s:10:\"Features 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_6.png\";s:12:\"tmpl_created\";i:1520443680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:294;s:16:\"popularity_index\";i:106;s:11:\"trend_index\";i:113;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:572;a:18:{s:4:\"tmpl\";i:1033;s:2:\"id\";i:15033;s:5:\"title\";s:28:\"Flooring Company &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/08/404.png\";s:12:\"tmpl_created\";i:1597739459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/flooring-company-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:45:\"[\"404\",\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:296;s:16:\"popularity_index\";i:655;s:11:\"trend_index\";i:671;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:573;a:18:{s:4:\"tmpl\";i:1032;s:2:\"id\";i:15042;s:5:\"title\";s:32:\"Flooring Company &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Blog.png\";s:12:\"tmpl_created\";i:1597739084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/flooring-company-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:297;s:16:\"popularity_index\";i:320;s:11:\"trend_index\";i:275;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:574;a:18:{s:4:\"tmpl\";i:1031;s:2:\"id\";i:15017;s:5:\"title\";s:31:\"Flooring Company &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Footer.png\";s:12:\"tmpl_created\";i:1597738933;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Footer\"]\";s:10:\"menu_order\";i:299;s:16:\"popularity_index\";i:323;s:11:\"trend_index\";i:192;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:575;a:18:{s:4:\"tmpl\";i:1030;s:2:\"id\";i:15007;s:5:\"title\";s:31:\"Flooring Company &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Header.png\";s:12:\"tmpl_created\";i:1597738896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Header\"]\";s:10:\"menu_order\";i:302;s:16:\"popularity_index\";i:459;s:11:\"trend_index\";i:333;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:576;a:18:{s:4:\"tmpl\";i:1029;s:2:\"id\";i:15052;s:5:\"title\";s:36:\"Flooring Company &#8211; Single post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Single.png\";s:12:\"tmpl_created\";i:1597738858;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/flooring-company-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:303;s:16:\"popularity_index\";i:392;s:11:\"trend_index\";i:226;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:577;a:18:{s:4:\"tmpl\";i:651;s:2:\"id\";i:7837;s:5:\"title\";s:9:\"footer 01\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.14.jpg\";s:12:\"tmpl_created\";i:1524582852;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:305;s:16:\"popularity_index\";i:495;s:11:\"trend_index\";i:539;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:578;a:18:{s:4:\"tmpl\";i:647;s:2:\"id\";i:7937;s:5:\"title\";s:10:\"footer 010\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.5.jpg\";s:12:\"tmpl_created\";i:1524582665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-010/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:308;s:16:\"popularity_index\";i:185;s:11:\"trend_index\";i:115;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:579;a:18:{s:4:\"tmpl\";i:646;s:2:\"id\";i:7950;s:5:\"title\";s:10:\"footer 011\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.4.jpg\";s:12:\"tmpl_created\";i:1524582631;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-011/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:310;s:16:\"popularity_index\";i:244;s:11:\"trend_index\";i:203;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:580;a:18:{s:4:\"tmpl\";i:645;s:2:\"id\";i:7959;s:5:\"title\";s:10:\"footer 012\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.3.jpg\";s:12:\"tmpl_created\";i:1524582605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-012/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:311;s:16:\"popularity_index\";i:177;s:11:\"trend_index\";i:140;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:581;a:18:{s:4:\"tmpl\";i:644;s:2:\"id\";i:7982;s:5:\"title\";s:10:\"footer 013\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.2.jpg\";s:12:\"tmpl_created\";i:1524582468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-013/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:314;s:16:\"popularity_index\";i:209;s:11:\"trend_index\";i:212;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:582;a:18:{s:4:\"tmpl\";i:643;s:2:\"id\";i:7997;s:5:\"title\";s:10:\"footer 014\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.1.jpg\";s:12:\"tmpl_created\";i:1524582343;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-014/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:316;s:16:\"popularity_index\";i:64;s:11:\"trend_index\";i:41;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:583;a:18:{s:4:\"tmpl\";i:693;s:2:\"id\";i:9119;s:5:\"title\";s:10:\"footer 015\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/Footer_GetStarted_350.png\";s:12:\"tmpl_created\";i:1532428138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/demo/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:317;s:16:\"popularity_index\";i:240;s:11:\"trend_index\";i:154;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:584;a:18:{s:4:\"tmpl\";i:652;s:2:\"id\";i:7852;s:5:\"title\";s:9:\"footer 02\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.13.jpg\";s:12:\"tmpl_created\";i:1524582875;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:320;s:16:\"popularity_index\";i:199;s:11:\"trend_index\";i:96;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:585;a:18:{s:4:\"tmpl\";i:653;s:2:\"id\";i:7862;s:5:\"title\";s:9:\"footer 03\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.12.jpg\";s:12:\"tmpl_created\";i:1524582903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:321;s:16:\"popularity_index\";i:137;s:11:\"trend_index\";i:91;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:586;a:18:{s:4:\"tmpl\";i:654;s:2:\"id\";i:7871;s:5:\"title\";s:9:\"footer 04\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.11.jpg\";s:12:\"tmpl_created\";i:1524582927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:323;s:16:\"popularity_index\";i:97;s:11:\"trend_index\";i:55;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:587;a:18:{s:4:\"tmpl\";i:655;s:2:\"id\";i:7884;s:5:\"title\";s:9:\"footer 05\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.10.jpg\";s:12:\"tmpl_created\";i:1524582944;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:325;s:16:\"popularity_index\";i:92;s:11:\"trend_index\";i:109;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:588;a:18:{s:4:\"tmpl\";i:656;s:2:\"id\";i:7892;s:5:\"title\";s:9:\"footer 06\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.9.jpg\";s:12:\"tmpl_created\";i:1524583015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:326;s:16:\"popularity_index\";i:132;s:11:\"trend_index\";i:146;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:589;a:18:{s:4:\"tmpl\";i:650;s:2:\"id\";i:7904;s:5:\"title\";s:9:\"footer 07\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.8.jpg\";s:12:\"tmpl_created\";i:1524582814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:328;s:16:\"popularity_index\";i:203;s:11:\"trend_index\";i:186;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:590;a:18:{s:4:\"tmpl\";i:649;s:2:\"id\";i:7917;s:5:\"title\";s:9:\"footer 08\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.7.jpg\";s:12:\"tmpl_created\";i:1524582788;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:329;s:16:\"popularity_index\";i:89;s:11:\"trend_index\";i:144;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:591;a:18:{s:4:\"tmpl\";i:648;s:2:\"id\";i:7927;s:5:\"title\";s:9:\"footer 09\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.6.jpg\";s:12:\"tmpl_created\";i:1524582691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:331;s:16:\"popularity_index\";i:178;s:11:\"trend_index\";i:100;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:592;a:18:{s:4:\"tmpl\";i:642;s:2:\"id\";i:4676;s:5:\"title\";s:8:\"Footer 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_7.png\";s:12:\"tmpl_created\";i:1522014215;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer_7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:338;s:16:\"popularity_index\";i:237;s:11:\"trend_index\";i:346;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:593;a:18:{s:4:\"tmpl\";i:637;s:2:\"id\";i:7627;s:5:\"title\";s:8:\"Footer 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_1.png\";s:12:\"tmpl_created\";i:1521547332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:340;s:16:\"popularity_index\";i:100;s:11:\"trend_index\";i:83;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:594;a:18:{s:4:\"tmpl\";i:638;s:2:\"id\";i:7638;s:5:\"title\";s:8:\"Footer 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_2.png\";s:12:\"tmpl_created\";i:1521547502;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:342;s:16:\"popularity_index\";i:124;s:11:\"trend_index\";i:147;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:595;a:18:{s:4:\"tmpl\";i:888;s:2:\"id\";i:11424;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/08/404_Small.png\";s:12:\"tmpl_created\";i:1567393309;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:13:\"[\"404\",\"Gym\"]\";s:10:\"menu_order\";i:344;s:16:\"popularity_index\";i:679;s:11:\"trend_index\";i:769;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:596;a:18:{s:4:\"tmpl\";i:887;s:2:\"id\";i:11435;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Archiv_Small.png\";s:12:\"tmpl_created\";i:1567393296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:346;s:16:\"popularity_index\";i:441;s:11:\"trend_index\";i:507;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:597;a:18:{s:4:\"tmpl\";i:886;s:2:\"id\";i:11445;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Post_Small.png\";s:12:\"tmpl_created\";i:1567393229;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:349;s:16:\"popularity_index\";i:452;s:11:\"trend_index\";i:479;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:598;a:18:{s:4:\"tmpl\";i:885;s:2:\"id\";i:11453;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Footer_Small.png\";s:12:\"tmpl_created\";i:1567393224;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:16:\"[\"Footer\",\"Gym\"]\";s:10:\"menu_order\";i:351;s:16:\"popularity_index\";i:270;s:11:\"trend_index\";i:331;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:599;a:18:{s:4:\"tmpl\";i:884;s:2:\"id\";i:11461;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-gym-and-fitness.png\";s:12:\"tmpl_created\";i:1567393219;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:16:\"[\"Gym\",\"Header\"]\";s:10:\"menu_order\";i:352;s:16:\"popularity_index\";i:201;s:11:\"trend_index\";i:135;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:600;a:18:{s:4:\"tmpl\";i:635;s:2:\"id\";i:7596;s:5:\"title\";s:8:\"Header 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.12.jpg\";s:12:\"tmpl_created\";i:1521546999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:354;s:16:\"popularity_index\";i:33;s:11:\"trend_index\";i:17;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:601;a:18:{s:4:\"tmpl\";i:663;s:2:\"id\";i:7801;s:5:\"title\";s:9:\"header 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.9.jpg\";s:12:\"tmpl_created\";i:1524583659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:356;s:16:\"popularity_index\";i:51;s:11:\"trend_index\";i:14;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:602;a:18:{s:4:\"tmpl\";i:658;s:2:\"id\";i:7812;s:5:\"title\";s:9:\"header 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.10.jpg\";s:12:\"tmpl_created\";i:1524583298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:358;s:16:\"popularity_index\";i:96;s:11:\"trend_index\";i:103;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:603;a:18:{s:4:\"tmpl\";i:657;s:2:\"id\";i:7825;s:5:\"title\";s:9:\"header 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.11.jpg\";s:12:\"tmpl_created\";i:1524583273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:360;s:16:\"popularity_index\";i:63;s:11:\"trend_index\";i:75;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:604;a:18:{s:4:\"tmpl\";i:694;s:2:\"id\";i:9127;s:5:\"title\";s:9:\"header 13\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2018/07/Header_get_started_1200V3.png\";s:12:\"tmpl_created\";i:1532428699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:362;s:16:\"popularity_index\";i:61;s:11:\"trend_index\";i:58;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:605;a:18:{s:4:\"tmpl\";i:636;s:2:\"id\";i:7615;s:5:\"title\";s:8:\"Header 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.1.jpg\";s:12:\"tmpl_created\";i:1521547237;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:365;s:16:\"popularity_index\";i:30;s:11:\"trend_index\";i:33;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:606;a:18:{s:4:\"tmpl\";i:665;s:2:\"id\";i:7713;s:5:\"title\";s:8:\"header 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.2.jpg\";s:12:\"tmpl_created\";i:1524584780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:367;s:16:\"popularity_index\";i:43;s:11:\"trend_index\";i:28;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:607;a:18:{s:4:\"tmpl\";i:659;s:2:\"id\";i:7724;s:5:\"title\";s:8:\"header 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.3.jpg\";s:12:\"tmpl_created\";i:1524583367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:369;s:16:\"popularity_index\";i:24;s:11:\"trend_index\";i:13;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:608;a:18:{s:4:\"tmpl\";i:660;s:2:\"id\";i:7734;s:5:\"title\";s:8:\"header 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.4.jpg\";s:12:\"tmpl_created\";i:1524583436;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:371;s:16:\"popularity_index\";i:36;s:11:\"trend_index\";i:18;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:609;a:18:{s:4:\"tmpl\";i:666;s:2:\"id\";i:7744;s:5:\"title\";s:8:\"Header 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.5.jpg\";s:12:\"tmpl_created\";i:1524584784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:372;s:16:\"popularity_index\";i:65;s:11:\"trend_index\";i:94;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:610;a:18:{s:4:\"tmpl\";i:664;s:2:\"id\";i:7754;s:5:\"title\";s:8:\"header 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.6.jpg\";s:12:\"tmpl_created\";i:1524583712;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:375;s:16:\"popularity_index\";i:111;s:11:\"trend_index\";i:143;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:611;a:18:{s:4:\"tmpl\";i:661;s:2:\"id\";i:7771;s:5:\"title\";s:8:\"header 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.7.jpg\";s:12:\"tmpl_created\";i:1524583540;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:376;s:16:\"popularity_index\";i:91;s:11:\"trend_index\";i:60;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:612;a:18:{s:4:\"tmpl\";i:662;s:2:\"id\";i:7787;s:5:\"title\";s:8:\"header 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.8.jpg\";s:12:\"tmpl_created\";i:1524583598;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:379;s:16:\"popularity_index\";i:102;s:11:\"trend_index\";i:78;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:613;a:18:{s:4:\"tmpl\";i:572;s:2:\"id\";i:6266;s:5:\"title\";s:6:\"Hero 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_4.png\";s:12:\"tmpl_created\";i:1520443695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:380;s:16:\"popularity_index\";i:52;s:11:\"trend_index\";i:35;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:614;a:18:{s:4:\"tmpl\";i:528;s:2:\"id\";i:5783;s:5:\"title\";s:7:\"Hero 10\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_2.png\";s:12:\"tmpl_created\";i:1520443586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:383;s:16:\"popularity_index\";i:365;s:11:\"trend_index\";i:567;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:615;a:18:{s:4:\"tmpl\";i:527;s:2:\"id\";i:5773;s:5:\"title\";s:7:\"Hero 11\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_1.png\";s:12:\"tmpl_created\";i:1520443584;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:384;s:16:\"popularity_index\";i:39;s:11:\"trend_index\";i:179;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:616;a:18:{s:4:\"tmpl\";i:479;s:2:\"id\";i:5238;s:5:\"title\";s:7:\"Hero 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4.png\";s:12:\"tmpl_created\";i:1520443468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:386;s:16:\"popularity_index\";i:611;s:11:\"trend_index\";i:555;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:617;a:18:{s:4:\"tmpl\";i:573;s:2:\"id\";i:6274;s:5:\"title\";s:6:\"Hero 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_5.png\";s:12:\"tmpl_created\";i:1520443698;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:389;s:16:\"popularity_index\";i:87;s:11:\"trend_index\";i:88;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:618;a:18:{s:4:\"tmpl\";i:569;s:2:\"id\";i:6239;s:5:\"title\";s:6:\"Hero 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_1.png\";s:12:\"tmpl_created\";i:1520443689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:391;s:16:\"popularity_index\";i:23;s:11:\"trend_index\";i:34;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:619;a:18:{s:4:\"tmpl\";i:571;s:2:\"id\";i:6258;s:5:\"title\";s:6:\"Hero 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_3.png\";s:12:\"tmpl_created\";i:1520443693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:393;s:16:\"popularity_index\";i:479;s:11:\"trend_index\";i:470;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:620;a:18:{s:4:\"tmpl\";i:570;s:2:\"id\";i:6249;s:5:\"title\";s:6:\"Hero 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_2.png\";s:12:\"tmpl_created\";i:1520443691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:395;s:16:\"popularity_index\";i:56;s:11:\"trend_index\";i:85;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:621;a:18:{s:4:\"tmpl\";i:568;s:2:\"id\";i:6230;s:5:\"title\";s:6:\"Hero 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_white_1.png\";s:12:\"tmpl_created\";i:1520443687;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:396;s:16:\"popularity_index\";i:406;s:11:\"trend_index\";i:542;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:622;a:18:{s:4:\"tmpl\";i:530;s:2:\"id\";i:5801;s:5:\"title\";s:6:\"Hero 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_4.png\";s:12:\"tmpl_created\";i:1520443589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:398;s:16:\"popularity_index\";i:15;s:11:\"trend_index\";i:37;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:623;a:18:{s:4:\"tmpl\";i:531;s:2:\"id\";i:5811;s:5:\"title\";s:6:\"Hero 8\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_5.png\";s:12:\"tmpl_created\";i:1520443591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:400;s:16:\"popularity_index\";i:105;s:11:\"trend_index\";i:86;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:624;a:18:{s:4:\"tmpl\";i:529;s:2:\"id\";i:5792;s:5:\"title\";s:6:\"Hero 9\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_3.png\";s:12:\"tmpl_created\";i:1520443588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:403;s:16:\"popularity_index\";i:225;s:11:\"trend_index\";i:244;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:625;a:18:{s:4:\"tmpl\";i:978;s:2:\"id\";i:13251;s:5:\"title\";s:27:\"Interior Design &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.png\";s:12:\"tmpl_created\";i:1586148737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/interior-design-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:405;s:16:\"popularity_index\";i:730;s:11:\"trend_index\";i:795;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:626;a:18:{s:4:\"tmpl\";i:979;s:2:\"id\";i:13244;s:5:\"title\";s:30:\"Interior Design &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.png\";s:12:\"tmpl_created\";i:1586148742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Business\",\"Footer\",\"Interior Design\"]\";s:10:\"menu_order\";i:406;s:16:\"popularity_index\";i:322;s:11:\"trend_index\";i:178;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:627;a:18:{s:4:\"tmpl\";i:980;s:2:\"id\";i:13236;s:5:\"title\";s:30:\"Interior Design &#8211; Header\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-interior-design.png\";s:12:\"tmpl_created\";i:1586148746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Business\",\"Header\",\"Interior Design\"]\";s:10:\"menu_order\";i:408;s:16:\"popularity_index\";i:146;s:11:\"trend_index\";i:64;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:628;a:18:{s:4:\"tmpl\";i:977;s:2:\"id\";i:13259;s:5:\"title\";s:36:\"Interior Design &#8211; News Archive\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Archiv-Blog.png\";s:12:\"tmpl_created\";i:1586148733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/interior-design-news-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:410;s:16:\"popularity_index\";i:436;s:11:\"trend_index\";i:132;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:629;a:18:{s:4:\"tmpl\";i:976;s:2:\"id\";i:13267;s:5:\"title\";s:35:\"Interior Design &#8211; Single News\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Post.png\";s:12:\"tmpl_created\";i:1586148728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/interior-design-single-news/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:413;s:16:\"popularity_index\";i:402;s:11:\"trend_index\";i:108;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:630;a:18:{s:4:\"tmpl\";i:975;s:2:\"id\";i:13274;s:5:\"title\";s:38:\"Interior Design &#8211; Single Project\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/04/Single-Project-.png\";s:12:\"tmpl_created\";i:1586148723;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/interior-design-single-project/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:414;s:16:\"popularity_index\";i:601;s:11:\"trend_index\";i:324;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:631;a:18:{s:4:\"tmpl\";i:1011;s:2:\"id\";i:14058;s:5:\"title\";s:36:\"Japanese restaurant &#8211; 404 page\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/06/404-Page.jpg\";s:12:\"tmpl_created\";i:1592290211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/japanese-restaurant-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:38:\"[\"404\",\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:416;s:16:\"popularity_index\";i:724;s:11:\"trend_index\";i:647;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:632;a:18:{s:4:\"tmpl\";i:1012;s:2:\"id\";i:14050;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1592290247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:41:\"[\"Food\",\"Footer\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:419;s:16:\"popularity_index\";i:317;s:11:\"trend_index\";i:238;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:633;a:18:{s:4:\"tmpl\";i:1013;s:2:\"id\";i:14042;s:5:\"title\";s:34:\"Japanese Restaurant &#8211; Header\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2020/06/japanese-restaurant-header.jpg\";s:12:\"tmpl_created\";i:1592290277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:41:\"[\"Food\",\"Header\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:421;s:16:\"popularity_index\";i:411;s:11:\"trend_index\";i:274;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:634;a:18:{s:4:\"tmpl\";i:914;s:2:\"id\";i:12164;s:5:\"title\";s:20:\"Law Firm &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/11/404.png\";s:12:\"tmpl_created\";i:1572846979;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/law-firm-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:422;s:16:\"popularity_index\";i:704;s:11:\"trend_index\";i:716;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:635;a:18:{s:4:\"tmpl\";i:913;s:2:\"id\";i:12170;s:5:\"title\";s:23:\"Law Firm &#8211; Archiv\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/archiv.png\";s:12:\"tmpl_created\";i:1572846967;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:424;s:16:\"popularity_index\";i:431;s:11:\"trend_index\";i:294;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:636;a:18:{s:4:\"tmpl\";i:912;s:2:\"id\";i:12179;s:5:\"title\";s:23:\"Law Firm &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/footer.png\";s:12:\"tmpl_created\";i:1572846958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:425;s:16:\"popularity_index\";i:388;s:11:\"trend_index\";i:240;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:637;a:18:{s:4:\"tmpl\";i:911;s:2:\"id\";i:12194;s:5:\"title\";s:23:\"Law Firm &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-law-firm.png\";s:12:\"tmpl_created\";i:1572846935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:427;s:16:\"popularity_index\";i:80;s:11:\"trend_index\";i:39;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:638;a:18:{s:4:\"tmpl\";i:910;s:2:\"id\";i:12203;s:5:\"title\";s:30:\"Law Firm &#8211; Search Archiv\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/11/search_result.png\";s:12:\"tmpl_created\";i:1572846925;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/law-firm-search-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:430;s:16:\"popularity_index\";i:493;s:11:\"trend_index\";i:433;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:639;a:18:{s:4:\"tmpl\";i:909;s:2:\"id\";i:12212;s:5:\"title\";s:28:\"Law Firm &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/single.png\";s:12:\"tmpl_created\";i:1572846914;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/law-firm-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:432;s:16:\"popularity_index\";i:326;s:11:\"trend_index\";i:214;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:640;a:18:{s:4:\"tmpl\";i:1022;s:2:\"id\";i:14772;s:5:\"title\";s:35:\"Luxury Real Estate &#8211; 404 page\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/07/404.png\";s:12:\"tmpl_created\";i:1595315728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/luxury-real-estate-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:433;s:16:\"popularity_index\";i:759;s:11:\"trend_index\";i:720;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:641;a:18:{s:4:\"tmpl\";i:1023;s:2:\"id\";i:14779;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Footer.png\";s:12:\"tmpl_created\";i:1595315743;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Footer\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:434;s:16:\"popularity_index\";i:536;s:11:\"trend_index\";i:505;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:642;a:18:{s:4:\"tmpl\";i:1024;s:2:\"id\";i:14790;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Header.png\";s:12:\"tmpl_created\";i:1595315760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Header\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:436;s:16:\"popularity_index\";i:101;s:11:\"trend_index\";i:157;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:643;a:18:{s:4:\"tmpl\";i:1026;s:2:\"id\";i:14809;s:5:\"title\";s:45:\"Luxury Real Estate &#8211; Properties Archive\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Properties.png\";s:12:\"tmpl_created\";i:1595315826;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/blocks/luxury-real-estate-properties-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:438;s:16:\"popularity_index\";i:414;s:11:\"trend_index\";i:420;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:644;a:18:{s:4:\"tmpl\";i:1027;s:2:\"id\";i:14816;s:5:\"title\";s:47:\"Luxury Real Estate &#8211; Property single post\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/07/Single-Property-.png\";s:12:\"tmpl_created\";i:1595315847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/blocks/luxury-real-estate-property-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:441;s:16:\"popularity_index\";i:541;s:11:\"trend_index\";i:665;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:645;a:18:{s:4:\"tmpl\";i:1025;s:2:\"id\";i:14799;s:5:\"title\";s:38:\"Luxury Real Estate &#8211; single post\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Post.png\";s:12:\"tmpl_created\";i:1595315792;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/luxury-real-estate-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:442;s:16:\"popularity_index\";i:369;s:11:\"trend_index\";i:441;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:646;a:18:{s:4:\"tmpl\";i:950;s:2:\"id\";i:12635;s:5:\"title\";s:20:\"Magazine &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/01/404_s.png\";s:12:\"tmpl_created\";i:1579060746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/magazine-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:25:\"[\"404\",\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:445;s:16:\"popularity_index\";i:645;s:11:\"trend_index\";i:734;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:647;a:18:{s:4:\"tmpl\";i:949;s:2:\"id\";i:12643;s:5:\"title\";s:24:\"Magazine &#8211; Archiv1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv1_s.png\";s:12:\"tmpl_created\";i:1579060737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:447;s:16:\"popularity_index\";i:346;s:11:\"trend_index\";i:272;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:648;a:18:{s:4:\"tmpl\";i:946;s:2:\"id\";i:12669;s:5:\"title\";s:23:\"Magazine &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Footer_s.png\";s:12:\"tmpl_created\";i:1579060715;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:28:\"[\"Blog\",\"Footer\",\"Magazine\"]\";s:10:\"menu_order\";i:448;s:16:\"popularity_index\";i:442;s:11:\"trend_index\";i:349;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:649;a:18:{s:4:\"tmpl\";i:945;s:2:\"id\";i:12678;s:5:\"title\";s:23:\"Magazine &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-magazine.png\";s:12:\"tmpl_created\";i:1579060701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:28:\"[\"Blog\",\"Header\",\"Magazine\"]\";s:10:\"menu_order\";i:450;s:16:\"popularity_index\";i:295;s:11:\"trend_index\";i:197;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:650;a:18:{s:4:\"tmpl\";i:947;s:2:\"id\";i:12661;s:5:\"title\";s:23:\"Magazine &#8211; Search\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Search_s.png\";s:12:\"tmpl_created\";i:1579060722;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-search/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:452;s:16:\"popularity_index\";i:396;s:11:\"trend_index\";i:509;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:651;a:18:{s:4:\"tmpl\";i:944;s:2:\"id\";i:12688;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 1\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post2_s.png\";s:12:\"tmpl_created\";i:1579060692;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:453;s:16:\"popularity_index\";i:342;s:11:\"trend_index\";i:175;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:652;a:18:{s:4:\"tmpl\";i:943;s:2:\"id\";i:12699;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 2\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post3_s.png\";s:12:\"tmpl_created\";i:1579060680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:454;s:16:\"popularity_index\";i:348;s:11:\"trend_index\";i:129;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:653;a:18:{s:4:\"tmpl\";i:942;s:2:\"id\";i:12707;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post1_s.png\";s:12:\"tmpl_created\";i:1579060669;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:457;s:16:\"popularity_index\";i:476;s:11:\"trend_index\";i:246;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:654;a:18:{s:4:\"tmpl\";i:941;s:2:\"id\";i:12716;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post4_s.png\";s:12:\"tmpl_created\";i:1579060659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/magazine-single-post-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:459;s:16:\"popularity_index\";i:513;s:11:\"trend_index\";i:489;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:655;a:18:{s:4:\"tmpl\";i:948;s:2:\"id\";i:12652;s:5:\"title\";s:17:\"Magazine- Archiv2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv2_s.png\";s:12:\"tmpl_created\";i:1579060730;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:461;s:16:\"popularity_index\";i:525;s:11:\"trend_index\";i:585;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:656;a:18:{s:4:\"tmpl\";i:990;s:2:\"id\";i:13361;s:5:\"title\";s:25:\"Online Course &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.jpg\";s:12:\"tmpl_created\";i:1587474710;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/online-course-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:35:\"[\"404\",\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:462;s:16:\"popularity_index\";i:682;s:11:\"trend_index\";i:498;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:657;a:18:{s:4:\"tmpl\";i:987;s:2:\"id\";i:13387;s:5:\"title\";s:32:\"Online Course &#8211; End Lesson\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-End-.jpg\";s:12:\"tmpl_created\";i:1587474682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/online-course-end-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:464;s:16:\"popularity_index\";i:653;s:11:\"trend_index\";i:408;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:658;a:18:{s:4:\"tmpl\";i:989;s:2:\"id\";i:13369;s:5:\"title\";s:28:\"Online Course &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.jpg\";s:12:\"tmpl_created\";i:1587474701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Footer\"]\";s:10:\"menu_order\";i:466;s:16:\"popularity_index\";i:389;s:11:\"trend_index\";i:308;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:659;a:18:{s:4:\"tmpl\";i:988;s:2:\"id\";i:13378;s:5:\"title\";s:28:\"Online Course &#8211; Header\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-education-online-courses.jpg\";s:12:\"tmpl_created\";i:1587474693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Header\"]\";s:10:\"menu_order\";i:469;s:16:\"popularity_index\";i:492;s:11:\"trend_index\";i:519;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:660;a:18:{s:4:\"tmpl\";i:986;s:2:\"id\";i:13395;s:5:\"title\";s:34:\"Online Course &#8211; Start Lesson\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-Start.jpg\";s:12:\"tmpl_created\";i:1587474673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/online-course-start-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:471;s:16:\"popularity_index\";i:672;s:11:\"trend_index\";i:578;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:661;a:18:{s:4:\"tmpl\";i:953;s:2:\"id\";i:13089;s:5:\"title\";s:23:\"Photography &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/02/404_s.png\";s:12:\"tmpl_created\";i:1582091623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/photography-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:33:\"[\"404\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:473;s:16:\"popularity_index\";i:702;s:11:\"trend_index\";i:706;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:662;a:18:{s:4:\"tmpl\";i:954;s:2:\"id\";i:13096;s:5:\"title\";s:32:\"Photography &#8211; Archiv Media\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Archiv_s.png\";s:12:\"tmpl_created\";i:1582091742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/photography-archiv-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:475;s:16:\"popularity_index\";i:631;s:11:\"trend_index\";i:405;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:663;a:18:{s:4:\"tmpl\";i:955;s:2:\"id\";i:13103;s:5:\"title\";s:26:\"Photography &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Footer_s.png\";s:12:\"tmpl_created\";i:1582091903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:36:\"[\"Footer\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:477;s:16:\"popularity_index\";i:422;s:11:\"trend_index\";i:230;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:664;a:18:{s:4:\"tmpl\";i:957;s:2:\"id\";i:13112;s:5:\"title\";s:26:\"Photography &#8211; Header\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-photography-portfolio.png\";s:12:\"tmpl_created\";i:1582092483;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:36:\"[\"Header\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:478;s:16:\"popularity_index\";i:325;s:11:\"trend_index\";i:205;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:665;a:18:{s:4:\"tmpl\";i:956;s:2:\"id\";i:13120;s:5:\"title\";s:31:\"Photography &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Post_s.png\";s:12:\"tmpl_created\";i:1582092351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/photography-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:480;s:16:\"popularity_index\";i:671;s:11:\"trend_index\";i:645;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:666;a:18:{s:4:\"tmpl\";i:901;s:2:\"id\";i:11807;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/09/404_small.png\";s:12:\"tmpl_created\";i:1569430070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:483;s:16:\"popularity_index\";i:480;s:11:\"trend_index\";i:497;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:667;a:18:{s:4:\"tmpl\";i:900;s:2:\"id\";i:11832;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Footer_small.png\";s:12:\"tmpl_created\";i:1569430019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Footer\",\"Portfolio\"]\";s:10:\"menu_order\";i:484;s:16:\"popularity_index\";i:246;s:11:\"trend_index\";i:102;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:668;a:18:{s:4:\"tmpl\";i:898;s:2:\"id\";i:11847;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Archiv_small.png\";s:12:\"tmpl_created\";i:1569430010;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:487;s:16:\"popularity_index\";i:336;s:11:\"trend_index\";i:455;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:669;a:18:{s:4:\"tmpl\";i:897;s:2:\"id\";i:11854;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/09/Post_small.png\";s:12:\"tmpl_created\";i:1569429983;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:489;s:16:\"popularity_index\";i:482;s:11:\"trend_index\";i:609;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:670;a:18:{s:4:\"tmpl\";i:904;s:2:\"id\";i:11890;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-design-portfolio.png\";s:12:\"tmpl_created\";i:1571907344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Header\",\"Portfolio\"]\";s:10:\"menu_order\";i:491;s:16:\"popularity_index\";i:306;s:11:\"trend_index\";i:364;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:671;a:18:{s:4:\"tmpl\";i:896;s:2:\"id\";i:11861;s:5:\"title\";s:27:\"Portfolio &#8211; Project 1\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project1_small.png\";s:12:\"tmpl_created\";i:1569429975;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:493;s:16:\"popularity_index\";i:643;s:11:\"trend_index\";i:764;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:672;a:18:{s:4:\"tmpl\";i:895;s:2:\"id\";i:11870;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569429964;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:495;s:16:\"popularity_index\";i:662;s:11:\"trend_index\";i:816;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:673;a:18:{s:4:\"tmpl\";i:903;s:2:\"id\";i:11897;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569494236;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/portfolio-project-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:496;s:16:\"popularity_index\";i:733;s:11:\"trend_index\";i:744;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:674;a:18:{s:4:\"tmpl\";i:894;s:2:\"id\";i:11877;s:5:\"title\";s:27:\"Portfolio &#8211; Project 3\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project3_small.png\";s:12:\"tmpl_created\";i:1569429954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:498;s:16:\"popularity_index\";i:692;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:675;a:18:{s:4:\"tmpl\";i:597;s:2:\"id\";i:5019;s:5:\"title\";s:11:\"Portfolio 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_1.png\";s:12:\"tmpl_created\";i:1520520580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:500;s:16:\"popularity_index\";i:170;s:11:\"trend_index\";i:236;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:676;a:18:{s:4:\"tmpl\";i:609;s:2:\"id\";i:5141;s:5:\"title\";s:12:\"Portfolio 10\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_10.png\";s:12:\"tmpl_created\";i:1520520601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:503;s:16:\"popularity_index\";i:416;s:11:\"trend_index\";i:478;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:677;a:18:{s:4:\"tmpl\";i:598;s:2:\"id\";i:5027;s:5:\"title\";s:12:\"Portfolio 11\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_2.png\";s:12:\"tmpl_created\";i:1520520581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:504;s:16:\"popularity_index\";i:304;s:11:\"trend_index\";i:421;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:678;a:18:{s:4:\"tmpl\";i:599;s:2:\"id\";i:5037;s:5:\"title\";s:12:\"Portfolio 12\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_3.png\";s:12:\"tmpl_created\";i:1520520583;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:507;s:16:\"popularity_index\";i:279;s:11:\"trend_index\";i:399;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:679;a:18:{s:4:\"tmpl\";i:600;s:2:\"id\";i:5057;s:5:\"title\";s:12:\"Portfolio 13\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_4.png\";s:12:\"tmpl_created\";i:1520520586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:509;s:16:\"popularity_index\";i:239;s:11:\"trend_index\";i:288;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:680;a:18:{s:4:\"tmpl\";i:601;s:2:\"id\";i:5071;s:5:\"title\";s:12:\"Portfolio 14\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_5.png\";s:12:\"tmpl_created\";i:1520520588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:511;s:16:\"popularity_index\";i:276;s:11:\"trend_index\";i:329;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:681;a:18:{s:4:\"tmpl\";i:603;s:2:\"id\";i:5090;s:5:\"title\";s:12:\"Portfolio 15\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_6.png\";s:12:\"tmpl_created\";i:1520520591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:513;s:16:\"popularity_index\";i:186;s:11:\"trend_index\";i:283;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:682;a:18:{s:4:\"tmpl\";i:604;s:2:\"id\";i:5098;s:5:\"title\";s:12:\"Portfolio 16\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_7.png\";s:12:\"tmpl_created\";i:1520520593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:515;s:16:\"popularity_index\";i:156;s:11:\"trend_index\";i:211;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:683;a:18:{s:4:\"tmpl\";i:606;s:2:\"id\";i:5115;s:5:\"title\";s:12:\"Portfolio 17\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_8.png\";s:12:\"tmpl_created\";i:1520520596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:517;s:16:\"popularity_index\";i:19;s:11:\"trend_index\";i:22;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:684;a:18:{s:4:\"tmpl\";i:608;s:2:\"id\";i:5133;s:5:\"title\";s:12:\"Portfolio 18\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_9.png\";s:12:\"tmpl_created\";i:1520520599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:519;s:16:\"popularity_index\";i:180;s:11:\"trend_index\";i:280;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:685;a:18:{s:4:\"tmpl\";i:610;s:2:\"id\";i:5149;s:5:\"title\";s:11:\"Portfolio 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_10.png\";s:12:\"tmpl_created\";i:1520520602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:521;s:16:\"popularity_index\";i:413;s:11:\"trend_index\";i:635;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:686;a:18:{s:4:\"tmpl\";i:468;s:2:\"id\";i:5045;s:5:\"title\";s:11:\"Portfolio 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_2.png\";s:12:\"tmpl_created\";i:1520443423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:523;s:16:\"popularity_index\";i:636;s:11:\"trend_index\";i:608;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:687;a:18:{s:4:\"tmpl\";i:602;s:2:\"id\";i:5082;s:5:\"title\";s:11:\"Portfolio 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_4.png\";s:12:\"tmpl_created\";i:1520520589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:524;s:16:\"popularity_index\";i:558;s:11:\"trend_index\";i:654;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:688;a:18:{s:4:\"tmpl\";i:605;s:2:\"id\";i:5107;s:5:\"title\";s:11:\"Portfolio 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_7.png\";s:12:\"tmpl_created\";i:1520520594;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:527;s:16:\"popularity_index\";i:380;s:11:\"trend_index\";i:347;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:689;a:18:{s:4:\"tmpl\";i:607;s:2:\"id\";i:5125;s:5:\"title\";s:11:\"Portfolio 6\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_8.png\";s:12:\"tmpl_created\";i:1520520597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:529;s:16:\"popularity_index\";i:236;s:11:\"trend_index\";i:386;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:690;a:18:{s:4:\"tmpl\";i:596;s:2:\"id\";i:5007;s:5:\"title\";s:11:\"Portfolio 7\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_1.png\";s:12:\"tmpl_created\";i:1520520578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:530;s:16:\"popularity_index\";i:44;s:11:\"trend_index\";i:183;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:691;a:18:{s:4:\"tmpl\";i:434;s:2:\"id\";i:4509;s:5:\"title\";s:9:\"Pricing 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_1.png\";s:12:\"tmpl_created\";i:1520443310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:532;s:16:\"popularity_index\";i:703;s:11:\"trend_index\";i:641;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:692;a:18:{s:4:\"tmpl\";i:439;s:2:\"id\";i:4553;s:5:\"title\";s:10:\"Pricing 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_4.png\";s:12:\"tmpl_created\";i:1520443319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:534;s:16:\"popularity_index\";i:511;s:11:\"trend_index\";i:506;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:693;a:18:{s:4:\"tmpl\";i:441;s:2:\"id\";i:4572;s:5:\"title\";s:10:\"Pricing 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_5.png\";s:12:\"tmpl_created\";i:1520443324;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:537;s:16:\"popularity_index\";i:308;s:11:\"trend_index\";i:248;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:694;a:18:{s:4:\"tmpl\";i:442;s:2:\"id\";i:4580;s:5:\"title\";s:10:\"Pricing 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_6.png\";s:12:\"tmpl_created\";i:1520443326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:539;s:16:\"popularity_index\";i:576;s:11:\"trend_index\";i:526;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:695;a:18:{s:4:\"tmpl\";i:444;s:2:\"id\";i:4597;s:5:\"title\";s:10:\"Pricing 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_7.png\";s:12:\"tmpl_created\";i:1520443330;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:540;s:16:\"popularity_index\";i:613;s:11:\"trend_index\";i:450;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:696;a:18:{s:4:\"tmpl\";i:446;s:2:\"id\";i:4613;s:5:\"title\";s:10:\"Pricing 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_8.png\";s:12:\"tmpl_created\";i:1520443334;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:543;s:16:\"popularity_index\";i:581;s:11:\"trend_index\";i:568;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:697;a:18:{s:4:\"tmpl\";i:436;s:2:\"id\";i:4529;s:5:\"title\";s:9:\"Pricing 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_2.png\";s:12:\"tmpl_created\";i:1520443314;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:545;s:16:\"popularity_index\";i:609;s:11:\"trend_index\";i:613;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:698;a:18:{s:4:\"tmpl\";i:438;s:2:\"id\";i:4545;s:5:\"title\";s:9:\"Pricing 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_3.png\";s:12:\"tmpl_created\";i:1520443317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:547;s:16:\"popularity_index\";i:707;s:11:\"trend_index\";i:825;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:699;a:18:{s:4:\"tmpl\";i:440;s:2:\"id\";i:4562;s:5:\"title\";s:9:\"Pricing 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_4.png\";s:12:\"tmpl_created\";i:1520443322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:549;s:16:\"popularity_index\";i:697;s:11:\"trend_index\";i:821;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:700;a:18:{s:4:\"tmpl\";i:443;s:2:\"id\";i:4589;s:5:\"title\";s:9:\"Pricing 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_6.png\";s:12:\"tmpl_created\";i:1520443327;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:551;s:16:\"popularity_index\";i:716;s:11:\"trend_index\";i:639;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:701;a:18:{s:4:\"tmpl\";i:445;s:2:\"id\";i:4605;s:5:\"title\";s:9:\"Pricing 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_7.png\";s:12:\"tmpl_created\";i:1520443332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:553;s:16:\"popularity_index\";i:738;s:11:\"trend_index\";i:773;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:702;a:18:{s:4:\"tmpl\";i:433;s:2:\"id\";i:4500;s:5:\"title\";s:9:\"Pricing 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_1.png\";s:12:\"tmpl_created\";i:1520443308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:554;s:16:\"popularity_index\";i:500;s:11:\"trend_index\";i:451;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:703;a:18:{s:4:\"tmpl\";i:435;s:2:\"id\";i:4521;s:5:\"title\";s:9:\"Pricing 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_2.png\";s:12:\"tmpl_created\";i:1520443312;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:557;s:16:\"popularity_index\";i:311;s:11:\"trend_index\";i:372;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:704;a:18:{s:4:\"tmpl\";i:437;s:2:\"id\";i:4537;s:5:\"title\";s:9:\"Pricing 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_3.png\";s:12:\"tmpl_created\";i:1520443315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:559;s:16:\"popularity_index\";i:589;s:11:\"trend_index\";i:841;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:705;a:18:{s:4:\"tmpl\";i:701;s:2:\"id\";i:9239;s:5:\"title\";s:17:\"product archive 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-1.png\";s:12:\"tmpl_created\";i:1532953482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:561;s:16:\"popularity_index\";i:60;s:11:\"trend_index\";i:25;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:706;a:18:{s:4:\"tmpl\";i:702;s:2:\"id\";i:9247;s:5:\"title\";s:17:\"product archive 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-2.png\";s:12:\"tmpl_created\";i:1532953793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:562;s:16:\"popularity_index\";i:71;s:11:\"trend_index\";i:30;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:707;a:18:{s:4:\"tmpl\";i:703;s:2:\"id\";i:9254;s:5:\"title\";s:17:\"product archive 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-3.png\";s:12:\"tmpl_created\";i:1532954032;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:563;s:16:\"popularity_index\";i:73;s:11:\"trend_index\";i:44;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:708;a:18:{s:4:\"tmpl\";i:1046;s:2:\"id\";i:15204;s:5:\"title\";s:24:\"Psychologist &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/09/404.jpg\";s:12:\"tmpl_created\";i:1600161419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/psychologist-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:564;s:16:\"popularity_index\";i:574;s:11:\"trend_index\";i:493;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:709;a:18:{s:4:\"tmpl\";i:1047;s:2:\"id\";i:15212;s:5:\"title\";s:28:\"Psychologist &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Blog.jpg\";s:12:\"tmpl_created\";i:1600162340;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/psychologist-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:565;s:16:\"popularity_index\";i:379;s:11:\"trend_index\";i:358;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:710;a:18:{s:4:\"tmpl\";i:1048;s:2:\"id\";i:15219;s:5:\"title\";s:27:\"Psychologist &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Footer.jpg\";s:12:\"tmpl_created\";i:1600163069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Footer\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:566;s:16:\"popularity_index\";i:599;s:11:\"trend_index\";i:500;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:711;a:18:{s:4:\"tmpl\";i:1049;s:2:\"id\";i:15230;s:5:\"title\";s:27:\"Psychologist &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Header.png\";s:12:\"tmpl_created\";i:1600163444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Header\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:567;s:16:\"popularity_index\";i:429;s:11:\"trend_index\";i:423;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:712;a:18:{s:4:\"tmpl\";i:1050;s:2:\"id\";i:15240;s:5:\"title\";s:34:\"Psychologist &#8211; single post 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Post.png\";s:12:\"tmpl_created\";i:1600164087;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:568;s:16:\"popularity_index\";i:562;s:11:\"trend_index\";i:570;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:713;a:18:{s:4:\"tmpl\";i:1051;s:2:\"id\";i:15251;s:5:\"title\";s:34:\"Psychologist &#8211; single post 2\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Service-Page.png\";s:12:\"tmpl_created\";i:1600165179;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:569;s:16:\"popularity_index\";i:507;s:11:\"trend_index\";i:368;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:714;a:18:{s:4:\"tmpl\";i:412;s:2:\"id\";i:4313;s:5:\"title\";s:11:\"Services 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_8.png\";s:12:\"tmpl_created\";i:1520443268;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:570;s:16:\"popularity_index\";i:115;s:11:\"trend_index\";i:53;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:715;a:18:{s:4:\"tmpl\";i:413;s:2:\"id\";i:4324;s:5:\"title\";s:11:\"Services 14\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_9.png\";s:12:\"tmpl_created\";i:1520443270;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:571;s:16:\"popularity_index\";i:277;s:11:\"trend_index\";i:138;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:716;a:18:{s:4:\"tmpl\";i:418;s:2:\"id\";i:4368;s:5:\"title\";s:11:\"Services 16\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_13.png\";s:12:\"tmpl_created\";i:1520443279;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:572;s:16:\"popularity_index\";i:62;s:11:\"trend_index\";i:59;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:717;a:18:{s:4:\"tmpl\";i:420;s:2:\"id\";i:4391;s:5:\"title\";s:11:\"Services 17\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_14.png\";s:12:\"tmpl_created\";i:1520443283;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:573;s:16:\"popularity_index\";i:153;s:11:\"trend_index\";i:120;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:718;a:18:{s:4:\"tmpl\";i:403;s:2:\"id\";i:4235;s:5:\"title\";s:11:\"Services 18\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_2.png\";s:12:\"tmpl_created\";i:1520443251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:574;s:16:\"popularity_index\";i:273;s:11:\"trend_index\";i:172;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:719;a:18:{s:4:\"tmpl\";i:417;s:2:\"id\";i:4357;s:5:\"title\";s:11:\"Services 20\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_12.png\";s:12:\"tmpl_created\";i:1520443277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:575;s:16:\"popularity_index\";i:45;s:11:\"trend_index\";i:45;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:720;a:18:{s:4:\"tmpl\";i:415;s:2:\"id\";i:4341;s:5:\"title\";s:11:\"Services 21\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_11.png\";s:12:\"tmpl_created\";i:1520443274;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:576;s:16:\"popularity_index\";i:142;s:11:\"trend_index\";i:114;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:721;a:18:{s:4:\"tmpl\";i:414;s:2:\"id\";i:4332;s:5:\"title\";s:11:\"Services 22\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_10.png\";s:12:\"tmpl_created\";i:1520443272;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:577;s:16:\"popularity_index\";i:138;s:11:\"trend_index\";i:149;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:722;a:18:{s:4:\"tmpl\";i:401;s:2:\"id\";i:4212;s:5:\"title\";s:11:\"Services 23\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_1.png\";s:12:\"tmpl_created\";i:1520443248;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:578;s:16:\"popularity_index\";i:136;s:11:\"trend_index\";i:302;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:723;a:18:{s:4:\"tmpl\";i:408;s:2:\"id\";i:4276;s:5:\"title\";s:11:\"Services 24\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_4.png\";s:12:\"tmpl_created\";i:1520443261;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:579;s:16:\"popularity_index\";i:353;s:11:\"trend_index\";i:514;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:724;a:18:{s:4:\"tmpl\";i:406;s:2:\"id\";i:4260;s:5:\"title\";s:11:\"Services 25\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_3.png\";s:12:\"tmpl_created\";i:1520443257;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:580;s:16:\"popularity_index\";i:184;s:11:\"trend_index\";i:209;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:725;a:18:{s:4:\"tmpl\";i:404;s:2:\"id\";i:4244;s:5:\"title\";s:11:\"Services 26\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_2.png\";s:12:\"tmpl_created\";i:1520443253;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:581;s:16:\"popularity_index\";i:544;s:11:\"trend_index\";i:596;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:726;a:18:{s:4:\"tmpl\";i:421;s:2:\"id\";i:4400;s:5:\"title\";s:11:\"Services 27\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_13.png\";s:12:\"tmpl_created\";i:1520443285;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:582;s:16:\"popularity_index\";i:286;s:11:\"trend_index\";i:438;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:727;a:18:{s:4:\"tmpl\";i:419;s:2:\"id\";i:4376;s:5:\"title\";s:11:\"Services 28\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_12.png\";s:12:\"tmpl_created\";i:1520443281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:583;s:16:\"popularity_index\";i:151;s:11:\"trend_index\";i:249;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:728;a:18:{s:4:\"tmpl\";i:416;s:2:\"id\";i:4349;s:5:\"title\";s:11:\"Services 29\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_11.png\";s:12:\"tmpl_created\";i:1520443275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:584;s:16:\"popularity_index\";i:330;s:11:\"trend_index\";i:483;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:729;a:18:{s:4:\"tmpl\";i:402;s:2:\"id\";i:4227;s:5:\"title\";s:11:\"Services 30\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_1.png\";s:12:\"tmpl_created\";i:1520443250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:585;s:16:\"popularity_index\";i:351;s:11:\"trend_index\";i:553;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:730;a:18:{s:4:\"tmpl\";i:560;s:2:\"id\";i:6162;s:5:\"title\";s:11:\"Services 31\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_1.png\";s:12:\"tmpl_created\";i:1520443668;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:586;s:16:\"popularity_index\";i:372;s:11:\"trend_index\";i:550;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:731;a:18:{s:4:\"tmpl\";i:411;s:2:\"id\";i:4302;s:5:\"title\";s:10:\"Services 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_7.png\";s:12:\"tmpl_created\";i:1520443266;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:587;s:16:\"popularity_index\";i:58;s:11:\"trend_index\";i:97;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:732;a:18:{s:4:\"tmpl\";i:410;s:2:\"id\";i:4293;s:5:\"title\";s:10:\"Services 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_6.png\";s:12:\"tmpl_created\";i:1520443265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:588;s:16:\"popularity_index\";i:288;s:11:\"trend_index\";i:269;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:733;a:18:{s:4:\"tmpl\";i:409;s:2:\"id\";i:4284;s:5:\"title\";s:10:\"Services 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_5.png\";s:12:\"tmpl_created\";i:1520443263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:589;s:16:\"popularity_index\";i:27;s:11:\"trend_index\";i:21;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:734;a:18:{s:4:\"tmpl\";i:407;s:2:\"id\";i:4268;s:5:\"title\";s:10:\"Services 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_4.png\";s:12:\"tmpl_created\";i:1520443259;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:590;s:16:\"popularity_index\";i:173;s:11:\"trend_index\";i:213;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:735;a:18:{s:4:\"tmpl\";i:405;s:2:\"id\";i:4252;s:5:\"title\";s:10:\"Services 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_3.png\";s:12:\"tmpl_created\";i:1520443255;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:591;s:16:\"popularity_index\";i:46;s:11:\"trend_index\";i:99;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:736;a:18:{s:4:\"tmpl\";i:677;s:2:\"id\";i:8676;s:5:\"title\";s:13:\"single page 1\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.6.jpg\";s:12:\"tmpl_created\";i:1527682423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:592;s:16:\"popularity_index\";i:285;s:11:\"trend_index\";i:145;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:737;a:18:{s:4:\"tmpl\";i:678;s:2:\"id\";i:8678;s:5:\"title\";s:13:\"single page 2\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.2.jpg\";s:12:\"tmpl_created\";i:1527682780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:593;s:16:\"popularity_index\";i:140;s:11:\"trend_index\";i:82;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:738;a:18:{s:4:\"tmpl\";i:679;s:2:\"id\";i:8679;s:5:\"title\";s:13:\"single page 3\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.3.jpg\";s:12:\"tmpl_created\";i:1527682847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:594;s:16:\"popularity_index\";i:122;s:11:\"trend_index\";i:23;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:739;a:18:{s:4:\"tmpl\";i:680;s:2:\"id\";i:8680;s:5:\"title\";s:13:\"single page 4\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.1.jpg\";s:12:\"tmpl_created\";i:1527682896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:595;s:16:\"popularity_index\";i:373;s:11:\"trend_index\";i:190;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:740;a:18:{s:4:\"tmpl\";i:681;s:2:\"id\";i:8681;s:5:\"title\";s:13:\"single page 5\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.5.jpg\";s:12:\"tmpl_created\";i:1527682969;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:596;s:16:\"popularity_index\";i:287;s:11:\"trend_index\";i:218;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:741;a:18:{s:4:\"tmpl\";i:682;s:2:\"id\";i:8682;s:5:\"title\";s:13:\"single page 6\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.4.jpg\";s:12:\"tmpl_created\";i:1527683026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:597;s:16:\"popularity_index\";i:412;s:11:\"trend_index\";i:227;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:742;a:18:{s:4:\"tmpl\";i:683;s:2:\"id\";i:8703;s:5:\"title\";s:13:\"single page 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.7.jpg\";s:12:\"tmpl_created\";i:1527683072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:598;s:16:\"popularity_index\";i:401;s:11:\"trend_index\";i:316;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:743;a:18:{s:4:\"tmpl\";i:640;s:2:\"id\";i:7650;s:5:\"title\";s:13:\"Single Post 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_1_v2.jpg\";s:12:\"tmpl_created\";i:1521557736;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:599;s:16:\"popularity_index\";i:119;s:11:\"trend_index\";i:266;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:744;a:18:{s:4:\"tmpl\";i:639;s:2:\"id\";i:7663;s:5:\"title\";s:13:\"Single Post 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_2_v2.jpg\";s:12:\"tmpl_created\";i:1521547761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:600;s:16:\"popularity_index\";i:50;s:11:\"trend_index\";i:139;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:745;a:18:{s:4:\"tmpl\";i:705;s:2:\"id\";i:9296;s:5:\"title\";s:13:\"Single Post 3\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3002.jpg\";s:12:\"tmpl_created\";i:1537440673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:601;s:16:\"popularity_index\";i:213;s:11:\"trend_index\";i:204;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:746;a:18:{s:4:\"tmpl\";i:704;s:2:\"id\";i:9301;s:5:\"title\";s:13:\"Single Post 4\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3003.jpg\";s:12:\"tmpl_created\";i:1537440661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:602;s:16:\"popularity_index\";i:248;s:11:\"trend_index\";i:336;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:747;a:18:{s:4:\"tmpl\";i:706;s:2:\"id\";i:9313;s:5:\"title\";s:13:\"Single Post 5\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3001.jpg\";s:12:\"tmpl_created\";i:1537440798;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:603;s:16:\"popularity_index\";i:197;s:11:\"trend_index\";i:177;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:748;a:18:{s:4:\"tmpl\";i:707;s:2:\"id\";i:9343;s:5:\"title\";s:13:\"Single Post 6\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3004.jpg\";s:12:\"tmpl_created\";i:1537443531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:604;s:16:\"popularity_index\";i:228;s:11:\"trend_index\";i:279;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:749;a:18:{s:4:\"tmpl\";i:708;s:2:\"id\";i:9349;s:5:\"title\";s:13:\"Single Post 7\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3005.jpg\";s:12:\"tmpl_created\";i:1537443903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:605;s:16:\"popularity_index\";i:158;s:11:\"trend_index\";i:253;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:750;a:18:{s:4:\"tmpl\";i:697;s:2:\"id\";i:9174;s:5:\"title\";s:17:\"single product 01\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product01_350.png\";s:12:\"tmpl_created\";i:1532950125;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:606;s:16:\"popularity_index\";i:31;s:11:\"trend_index\";i:6;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:751;a:18:{s:4:\"tmpl\";i:698;s:2:\"id\";i:9178;s:5:\"title\";s:17:\"single product 02\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product02_350new.png\";s:12:\"tmpl_created\";i:1532951997;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:607;s:16:\"popularity_index\";i:66;s:11:\"trend_index\";i:42;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:752;a:18:{s:4:\"tmpl\";i:699;s:2:\"id\";i:9180;s:5:\"title\";s:17:\"single product 03\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product03_350.png\";s:12:\"tmpl_created\";i:1532952302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:608;s:16:\"popularity_index\";i:108;s:11:\"trend_index\";i:66;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:753;a:18:{s:4:\"tmpl\";i:700;s:2:\"id\";i:9182;s:5:\"title\";s:17:\"single product 04\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product040_350.png\";s:12:\"tmpl_created\";i:1532952606;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:609;s:16:\"popularity_index\";i:123;s:11:\"trend_index\";i:81;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:754;a:18:{s:4:\"tmpl\";i:555;s:2:\"id\";i:6114;s:5:\"title\";s:7:\"Stats 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_6.png\";s:12:\"tmpl_created\";i:1520443659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:610;s:16:\"popularity_index\";i:434;s:11:\"trend_index\";i:692;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:755;a:18:{s:4:\"tmpl\";i:562;s:2:\"id\";i:6178;s:5:\"title\";s:8:\"Stats 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_2.png\";s:12:\"tmpl_created\";i:1520443676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:611;s:16:\"popularity_index\";i:435;s:11:\"trend_index\";i:755;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:756;a:18:{s:4:\"tmpl\";i:561;s:2:\"id\";i:6170;s:5:\"title\";s:8:\"Stats 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_2.png\";s:12:\"tmpl_created\";i:1520443670;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:612;s:16:\"popularity_index\";i:366;s:11:\"trend_index\";i:552;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:757;a:18:{s:4:\"tmpl\";i:563;s:2:\"id\";i:6186;s:5:\"title\";s:8:\"Stats 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_3.png\";s:12:\"tmpl_created\";i:1520443678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:613;s:16:\"popularity_index\";i:569;s:11:\"trend_index\";i:811;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:758;a:18:{s:4:\"tmpl\";i:550;s:2:\"id\";i:6071;s:5:\"title\";s:8:\"Stats 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_3.png\";s:12:\"tmpl_created\";i:1520443649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:614;s:16:\"popularity_index\";i:168;s:11:\"trend_index\";i:328;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:759;a:18:{s:4:\"tmpl\";i:554;s:2:\"id\";i:6106;s:5:\"title\";s:7:\"Stats 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_6.png\";s:12:\"tmpl_created\";i:1520443657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:615;s:16:\"popularity_index\";i:361;s:11:\"trend_index\";i:784;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:760;a:18:{s:4:\"tmpl\";i:551;s:2:\"id\";i:6079;s:5:\"title\";s:7:\"Stats 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_4.png\";s:12:\"tmpl_created\";i:1520443651;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:616;s:16:\"popularity_index\";i:284;s:11:\"trend_index\";i:385;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:761;a:18:{s:4:\"tmpl\";i:552;s:2:\"id\";i:6089;s:5:\"title\";s:7:\"Stats 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_5.png\";s:12:\"tmpl_created\";i:1520443653;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:617;s:16:\"popularity_index\";i:205;s:11:\"trend_index\";i:452;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:762;a:18:{s:4:\"tmpl\";i:549;s:2:\"id\";i:6063;s:5:\"title\";s:7:\"Stats 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_2.png\";s:12:\"tmpl_created\";i:1520443647;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:618;s:16:\"popularity_index\";i:181;s:11:\"trend_index\";i:419;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:763;a:18:{s:4:\"tmpl\";i:553;s:2:\"id\";i:6097;s:5:\"title\";s:7:\"Stats 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_2.png\";s:12:\"tmpl_created\";i:1520443655;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:619;s:16:\"popularity_index\";i:264;s:11:\"trend_index\";i:492;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:764;a:18:{s:4:\"tmpl\";i:538;s:2:\"id\";i:5956;s:5:\"title\";s:7:\"Stats 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_1.png\";s:12:\"tmpl_created\";i:1520443623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:620;s:16:\"popularity_index\";i:532;s:11:\"trend_index\";i:541;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:765;a:18:{s:4:\"tmpl\";i:537;s:2:\"id\";i:5947;s:5:\"title\";s:7:\"Stats 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_1.png\";s:12:\"tmpl_created\";i:1520443621;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:621;s:16:\"popularity_index\";i:368;s:11:\"trend_index\";i:531;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:766;a:18:{s:4:\"tmpl\";i:559;s:2:\"id\";i:6152;s:5:\"title\";s:7:\"Stats 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_1.png\";s:12:\"tmpl_created\";i:1520443666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:622;s:16:\"popularity_index\";i:272;s:11:\"trend_index\";i:557;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:767;a:18:{s:4:\"tmpl\";i:469;s:2:\"id\";i:5157;s:5:\"title\";s:11:\"Subscribe 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_1.png\";s:12:\"tmpl_created\";i:1520443448;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:623;s:16:\"popularity_index\";i:340;s:11:\"trend_index\";i:293;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:768;a:18:{s:4:\"tmpl\";i:472;s:2:\"id\";i:5181;s:5:\"title\";s:11:\"Subscribe 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_2.png\";s:12:\"tmpl_created\";i:1520443454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/subscribe-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:624;s:16:\"popularity_index\";i:451;s:11:\"trend_index\";i:340;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:769;a:18:{s:4:\"tmpl\";i:470;s:2:\"id\";i:5165;s:5:\"title\";s:11:\"Subscribe 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_1.png\";s:12:\"tmpl_created\";i:1520443450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:625;s:16:\"popularity_index\";i:520;s:11:\"trend_index\";i:620;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:770;a:18:{s:4:\"tmpl\";i:477;s:2:\"id\";i:5222;s:5:\"title\";s:11:\"Subscribe 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_3.png\";s:12:\"tmpl_created\";i:1520443464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:626;s:16:\"popularity_index\";i:397;s:11:\"trend_index\";i:427;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:771;a:18:{s:4:\"tmpl\";i:471;s:2:\"id\";i:5173;s:5:\"title\";s:11:\"Subscribe 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_2.png\";s:12:\"tmpl_created\";i:1520443452;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:627;s:16:\"popularity_index\";i:261;s:11:\"trend_index\";i:237;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:772;a:18:{s:4:\"tmpl\";i:465;s:2:\"id\";i:4801;s:5:\"title\";s:7:\"Team 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_8.png\";s:12:\"tmpl_created\";i:1520443369;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:628;s:16:\"popularity_index\";i:332;s:11:\"trend_index\";i:188;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:773;a:18:{s:4:\"tmpl\";i:462;s:2:\"id\";i:4770;s:5:\"title\";s:7:\"Team 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_6.png\";s:12:\"tmpl_created\";i:1520443364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/team-12-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:629;s:16:\"popularity_index\";i:432;s:11:\"trend_index\";i:488;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:774;a:18:{s:4:\"tmpl\";i:458;s:2:\"id\";i:4727;s:5:\"title\";s:7:\"Team 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_2.png\";s:12:\"tmpl_created\";i:1520443356;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:630;s:16:\"popularity_index\";i:375;s:11:\"trend_index\";i:345;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:775;a:18:{s:4:\"tmpl\";i:543;s:2:\"id\";i:5999;s:5:\"title\";s:7:\"Team 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_10.png\";s:12:\"tmpl_created\";i:1520443634;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:631;s:16:\"popularity_index\";i:110;s:11:\"trend_index\";i:318;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:776;a:18:{s:4:\"tmpl\";i:455;s:2:\"id\";i:4698;s:5:\"title\";s:7:\"Team 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_1.png\";s:12:\"tmpl_created\";i:1520443350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:632;s:16:\"popularity_index\";i:449;s:11:\"trend_index\";i:410;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:777;a:18:{s:4:\"tmpl\";i:463;s:2:\"id\";i:4781;s:5:\"title\";s:7:\"Team 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_7.png\";s:12:\"tmpl_created\";i:1520443365;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:633;s:16:\"popularity_index\";i:267;s:11:\"trend_index\";i:330;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:778;a:18:{s:4:\"tmpl\";i:558;s:2:\"id\";i:6144;s:5:\"title\";s:7:\"Team 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_11.png\";s:12:\"tmpl_created\";i:1520443664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:634;s:16:\"popularity_index\";i:166;s:11:\"trend_index\";i:365;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:779;a:18:{s:4:\"tmpl\";i:464;s:2:\"id\";i:4793;s:5:\"title\";s:7:\"Team 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_8.png\";s:12:\"tmpl_created\";i:1520443367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:635;s:16:\"popularity_index\";i:207;s:11:\"trend_index\";i:173;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:780;a:18:{s:4:\"tmpl\";i:466;s:2:\"id\";i:4809;s:5:\"title\";s:7:\"Team 19\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_9.png\";s:12:\"tmpl_created\";i:1520443371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:636;s:16:\"popularity_index\";i:300;s:11:\"trend_index\";i:465;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:781;a:18:{s:4:\"tmpl\";i:459;s:2:\"id\";i:4736;s:5:\"title\";s:7:\"Team 20\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_4.png\";s:12:\"tmpl_created\";i:1520443358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:637;s:16:\"popularity_index\";i:144;s:11:\"trend_index\";i:159;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:782;a:18:{s:4:\"tmpl\";i:467;s:2:\"id\";i:4818;s:5:\"title\";s:7:\"Team 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_9.png\";s:12:\"tmpl_created\";i:1520443373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:638;s:16:\"popularity_index\";i:515;s:11:\"trend_index\";i:606;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:783;a:18:{s:4:\"tmpl\";i:461;s:2:\"id\";i:4759;s:5:\"title\";s:7:\"Team 22\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_5.png\";s:12:\"tmpl_created\";i:1520443362;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:639;s:16:\"popularity_index\";i:299;s:11:\"trend_index\";i:376;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:784;a:18:{s:4:\"tmpl\";i:460;s:2:\"id\";i:4746;s:5:\"title\";s:7:\"Team 23\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_4.png\";s:12:\"tmpl_created\";i:1520443360;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:640;s:16:\"popularity_index\";i:282;s:11:\"trend_index\";i:378;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:785;a:18:{s:4:\"tmpl\";i:457;s:2:\"id\";i:4718;s:5:\"title\";s:6:\"Team 4\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_3.png\";s:12:\"tmpl_created\";i:1520443354;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:641;s:16:\"popularity_index\";i:192;s:11:\"trend_index\";i:359;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:786;a:18:{s:4:\"tmpl\";i:456;s:2:\"id\";i:4706;s:5:\"title\";s:6:\"Team 5\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_2.png\";s:12:\"tmpl_created\";i:1520443352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:642;s:16:\"popularity_index\";i:149;s:11:\"trend_index\";i:299;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:787;a:18:{s:4:\"tmpl\";i:544;s:2:\"id\";i:6008;s:5:\"title\";s:6:\"Team 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_10.png\";s:12:\"tmpl_created\";i:1520443636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:643;s:16:\"popularity_index\";i:75;s:11:\"trend_index\";i:277;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:788;a:18:{s:4:\"tmpl\";i:454;s:2:\"id\";i:4690;s:5:\"title\";s:6:\"Team 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_1.png\";s:12:\"tmpl_created\";i:1520443348;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:644;s:16:\"popularity_index\";i:243;s:11:\"trend_index\";i:402;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:789;a:18:{s:4:\"tmpl\";i:586;s:2:\"id\";i:4921;s:5:\"title\";s:14:\"Testimonial 10\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_5.png\";s:12:\"tmpl_created\";i:1520520562;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:645;s:16:\"popularity_index\";i:219;s:11:\"trend_index\";i:198;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:790;a:18:{s:4:\"tmpl\";i:582;s:2:\"id\";i:4889;s:5:\"title\";s:14:\"Testimonial 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-2.jpg\";s:12:\"tmpl_created\";i:1520520556;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:646;s:16:\"popularity_index\";i:557;s:11:\"trend_index\";i:522;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:791;a:18:{s:4:\"tmpl\";i:580;s:2:\"id\";i:4871;s:5:\"title\";s:14:\"Testimonial 12\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_3.png\";s:12:\"tmpl_created\";i:1520520552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:647;s:16:\"popularity_index\";i:262;s:11:\"trend_index\";i:391;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:792;a:18:{s:4:\"tmpl\";i:578;s:2:\"id\";i:4854;s:5:\"title\";s:14:\"Testimonial 13\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_2.png\";s:12:\"tmpl_created\";i:1520520549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:648;s:16:\"popularity_index\";i:637;s:11:\"trend_index\";i:741;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:793;a:18:{s:4:\"tmpl\";i:595;s:2:\"id\";i:4995;s:5:\"title\";s:14:\"Testimonial 14\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_12.png\";s:12:\"tmpl_created\";i:1520520577;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:649;s:16:\"popularity_index\";i:400;s:11:\"trend_index\";i:411;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:794;a:18:{s:4:\"tmpl\";i:593;s:2:\"id\";i:4979;s:5:\"title\";s:14:\"Testimonial 15\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_10.png\";s:12:\"tmpl_created\";i:1520520573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:650;s:16:\"popularity_index\";i:568;s:11:\"trend_index\";i:544;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:795;a:18:{s:4:\"tmpl\";i:576;s:2:\"id\";i:4835;s:5:\"title\";s:14:\"Testimonial 16\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_1.png\";s:12:\"tmpl_created\";i:1520520546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:651;s:16:\"popularity_index\";i:399;s:11:\"trend_index\";i:401;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:796;a:18:{s:4:\"tmpl\";i:594;s:2:\"id\";i:4987;s:5:\"title\";s:14:\"Testimonial 17\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_12-1.png\";s:12:\"tmpl_created\";i:1520520575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:652;s:16:\"popularity_index\";i:159;s:11:\"trend_index\";i:199;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:797;a:18:{s:4:\"tmpl\";i:577;s:2:\"id\";i:4843;s:5:\"title\";s:14:\"Testimonial 18\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_2.png\";s:12:\"tmpl_created\";i:1520520548;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:653;s:16:\"popularity_index\";i:457;s:11:\"trend_index\";i:780;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:798;a:18:{s:4:\"tmpl\";i:579;s:2:\"id\";i:4863;s:5:\"title\";s:14:\"Testimonial 19\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_3.png\";s:12:\"tmpl_created\";i:1520520551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:654;s:16:\"popularity_index\";i:245;s:11:\"trend_index\";i:599;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:799;a:18:{s:4:\"tmpl\";i:581;s:2:\"id\";i:4880;s:5:\"title\";s:14:\"Testimonial 20\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-1.jpg\";s:12:\"tmpl_created\";i:1520520554;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:655;s:16:\"popularity_index\";i:446;s:11:\"trend_index\";i:653;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:800;a:18:{s:4:\"tmpl\";i:583;s:2:\"id\";i:4897;s:5:\"title\";s:14:\"Testimonial 21\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_5.png\";s:12:\"tmpl_created\";i:1520520557;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:656;s:16:\"popularity_index\";i:78;s:11:\"trend_index\";i:289;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:801;a:18:{s:4:\"tmpl\";i:584;s:2:\"id\";i:4905;s:5:\"title\";s:14:\"Testimonial 22\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_6.png\";s:12:\"tmpl_created\";i:1520520559;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:657;s:16:\"popularity_index\";i:121;s:11:\"trend_index\";i:221;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:802;a:18:{s:4:\"tmpl\";i:585;s:2:\"id\";i:4913;s:5:\"title\";s:14:\"Testimonial 23\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_7.png\";s:12:\"tmpl_created\";i:1520520561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:658;s:16:\"popularity_index\";i:247;s:11:\"trend_index\";i:566;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:803;a:18:{s:4:\"tmpl\";i:575;s:2:\"id\";i:4826;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_1.png\";s:12:\"tmpl_created\";i:1520520544;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-24-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:659;s:16:\"popularity_index\";i:256;s:11:\"trend_index\";i:395;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:804;a:18:{s:4:\"tmpl\";i:587;s:2:\"id\";i:4929;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_8.png\";s:12:\"tmpl_created\";i:1520520564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:660;s:16:\"popularity_index\";i:49;s:11:\"trend_index\";i:206;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:805;a:18:{s:4:\"tmpl\";i:591;s:2:\"id\";i:4963;s:5:\"title\";s:14:\"Testimonial 25\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_10.png\";s:12:\"tmpl_created\";i:1520520570;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-25-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:661;s:16:\"popularity_index\";i:417;s:11:\"trend_index\";i:546;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:806;a:18:{s:4:\"tmpl\";i:592;s:2:\"id\";i:4971;s:5:\"title\";s:14:\"Testimonial 26\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_11.png\";s:12:\"tmpl_created\";i:1520520572;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:662;s:16:\"popularity_index\";i:649;s:11:\"trend_index\";i:718;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:807;a:18:{s:4:\"tmpl\";i:589;s:2:\"id\";i:4947;s:5:\"title\";s:14:\"Testimonial 27\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_9.png\";s:12:\"tmpl_created\";i:1520520567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:663;s:16:\"popularity_index\";i:221;s:11:\"trend_index\";i:496;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:808;a:18:{s:4:\"tmpl\";i:590;s:2:\"id\";i:4955;s:5:\"title\";s:14:\"Testimonial 29\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_9.png\";s:12:\"tmpl_created\";i:1520520569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:664;s:16:\"popularity_index\";i:378;s:11:\"trend_index\";i:695;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:809;a:18:{s:4:\"tmpl\";i:588;s:2:\"id\";i:4939;s:5:\"title\";s:13:\"Testimonial 9\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_8.png\";s:12:\"tmpl_created\";i:1520520565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/testimonial-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:665;s:16:\"popularity_index\";i:103;s:11:\"trend_index\";i:341;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:810;a:18:{s:4:\"tmpl\";i:928;s:2:\"id\";i:12509;s:5:\"title\";s:18:\"Travel &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/404.png\";s:12:\"tmpl_created\";i:1575960378;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/travel-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:666;s:16:\"popularity_index\";i:747;s:11:\"trend_index\";i:712;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:811;a:18:{s:4:\"tmpl\";i:929;s:2:\"id\";i:12516;s:5:\"title\";s:27:\"Travel &#8211; Archive Blog\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Archiv_s.png\";s:12:\"tmpl_created\";i:1575960387;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/travel-archive-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:667;s:16:\"popularity_index\";i:496;s:11:\"trend_index\";i:487;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:812;a:18:{s:4:\"tmpl\";i:927;s:2:\"id\";i:12500;s:5:\"title\";s:21:\"Travel &#8211; Header\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-travel-and-tours.png\";s:12:\"tmpl_created\";i:1575960371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:668;s:16:\"popularity_index\";i:443;s:11:\"trend_index\";i:434;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:813;a:18:{s:4:\"tmpl\";i:930;s:2:\"id\";i:12524;s:5:\"title\";s:26:\"Travel &#8211; Single Post\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Post_s.png\";s:12:\"tmpl_created\";i:1575960397;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:669;s:16:\"popularity_index\";i:591;s:11:\"trend_index\";i:663;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:814;a:18:{s:4:\"tmpl\";i:931;s:2:\"id\";i:12531;s:5:\"title\";s:31:\"Travel &#8211; Single Post Tour\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Tour_s.png\";s:12:\"tmpl_created\";i:1575960404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/travel-single-post-tour/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:670;s:16:\"popularity_index\";i:630;s:11:\"trend_index\";i:548;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:815;a:18:{s:4:\"tmpl\";i:926;s:2:\"id\";i:12492;s:5:\"title\";s:14:\"Travel -Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Footer_s.png\";s:12:\"tmpl_created\";i:1575960358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:671;s:16:\"popularity_index\";i:453;s:11:\"trend_index\";i:322;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:816;a:18:{s:4:\"tmpl\";i:1068;s:2:\"id\";i:15498;s:5:\"title\";s:23:\"Travel Blog &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/11/404.jpg\";s:12:\"tmpl_created\";i:1606215636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/travel-blog-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:23:\"[\"404\",\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:672;s:16:\"popularity_index\";i:749;s:11:\"trend_index\";i:759;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:817;a:18:{s:4:\"tmpl\";i:1069;s:2:\"id\";i:15508;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-1-350.jpg\";s:12:\"tmpl_created\";i:1606215649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:673;s:16:\"popularity_index\";i:659;s:11:\"trend_index\";i:468;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:818;a:18:{s:4:\"tmpl\";i:1070;s:2:\"id\";i:15518;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-2-350-Copy.jpg\";s:12:\"tmpl_created\";i:1606215663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:674;s:16:\"popularity_index\";i:688;s:11:\"trend_index\";i:431;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:819;a:18:{s:4:\"tmpl\";i:1071;s:2:\"id\";i:15528;s:5:\"title\";s:26:\"Travel Blog &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Footer.jpg\";s:12:\"tmpl_created\";i:1606215673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:26:\"[\"Blog\",\"Footer\",\"Travel\"]\";s:10:\"menu_order\";i:675;s:16:\"popularity_index\";i:656;s:11:\"trend_index\";i:377;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:820;a:18:{s:4:\"tmpl\";i:1067;s:2:\"id\";i:15536;s:5:\"title\";s:26:\"Travel Blog &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Header.jpg\";s:12:\"tmpl_created\";i:1606215625;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:26:\"[\"Blog\",\"Header\",\"Travel\"]\";s:10:\"menu_order\";i:676;s:16:\"popularity_index\";i:584;s:11:\"trend_index\";i:228;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:821;a:18:{s:4:\"tmpl\";i:1072;s:2:\"id\";i:15545;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-1-350.jpg\";s:12:\"tmpl_created\";i:1606215684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:677;s:16:\"popularity_index\";i:669;s:11:\"trend_index\";i:482;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:822;a:18:{s:4:\"tmpl\";i:1066;s:2:\"id\";i:15556;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 2\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-2-350.jpg\";s:12:\"tmpl_created\";i:1606215613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:678;s:16:\"popularity_index\";i:652;s:11:\"trend_index\";i:454;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}}}", "no");
INSERT INTO `wp_options` VALUES("4423", "_transient_timeout_wc_report_variations_stats_4dfb048fb39f9facde58ae716cb14d4c", "1686554030", "no");
INSERT INTO `wp_options` VALUES("4424", "_transient_wc_report_variations_stats_4dfb048fb39f9facde58ae716cb14d4c", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("417", "elementor_remote_info_feed_data", "a:3:{i:0;a:5:{s:5:\"title\";s:70:\"Introducing Elementor AI – Revolutionize the Way You Create Websites\";s:7:\"excerpt\";s:232:\"Elementor includes a new natively integrated AI product, available as a free trial starting in Elementor 3.13. Benefit from a wide array of use cases available from directly within the Editor to transform the way you build websites.\";s:7:\"created\";i:1682945240;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:124:\"https://elementor.com/blog/introducing-elementor-ai/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:1;a:5:{s:5:\"title\";s:76:\"Introducing Elementor 3.12 – Design Beautiful and Sophisticated Mega Menus\";s:7:\"excerpt\";s:245:\"Elementor 3.12 includes a number of eagerly awaited features that will take your website’s design and navigation to the next level. This version also reveals the first phase of the Elementor interface revamp, and expands existing capabilities.\";s:7:\"created\";i:1680605140;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:146:\"https://elementor.com/blog/new-mega-menu-loop-alternate-template-and-more/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:2;a:5:{s:5:\"title\";s:135:\"Introducing Elementor 3.11 - Introducing Elementor 3.11 – New Loop Carousel Widget to Customize the Display of Your Posts or Products\";s:7:\"excerpt\";s:176:\"Elementor 3.11 includes new features that will expand your ability to customize the design and display of your listings, improve your workflow, and your visitor’s experience.\";s:7:\"created\";i:1677155418;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:154:\"https://elementor.com/blog/new-loop-carousel-copy-paste-between-websites-and-more/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}}", "no");
INSERT INTO `wp_options` VALUES("1262", "elementor_log", "a:18:{s:32:\"780d24dc506bdce3ada8389b622f6a11\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:7:\"1097282\";s:7:\"\0*\0file\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.3\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-05-30 09:59:54\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:74:\"Cannot read properties of null (reading &#039;getBoundingClientRect&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:8;s:14:\"\0*\0times_dates\";a:8:{i:0;s:19:\"2023-05-30 09:59:54\";i:1;s:19:\"2023-06-01 07:59:26\";i:2;s:19:\"2023-06-05 09:47:31\";i:3;s:19:\"2023-06-05 09:47:43\";i:4;s:19:\"2023-06-05 09:48:19\";i:5;s:19:\"2023-06-05 09:52:20\";i:6;s:19:\"2023-06-05 09:53:21\";i:7;s:19:\"2023-06-05 14:14:43\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1685440794\";s:7:\"message\";s:64:\"Cannot read properties of null (reading \'getBoundingClientRect\')\";s:3:\"url\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.3\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:7:\"1097282\";}}s:32:\"e739416b9c47f84ffe80236e96771c7b\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:81:\"C:\\wamp64\\www\\KOOKAgency\\wp-content\\plugins\\elementor\\includes\\managers\\image.php\";s:7:\"\0*\0line\";i:36;s:7:\"\0*\0date\";s:19:\"2023-05-30 12:45:29\";s:7:\"\0*\0type\";s:7:\"warning\";s:10:\"\0*\0message\";s:36:\"Undefined array key &quot;size&quot;\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-05-30 12:45:29\";i:1;s:19:\"2023-05-30 12:45:38\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:7:\"warning\";s:7:\"message\";s:26:\"Undefined array key \"size\"\";s:4:\"file\";s:81:\"C:\\wamp64\\www\\KOOKAgency\\wp-content\\plugins\\elementor\\includes\\managers\\image.php\";s:4:\"line\";i:36;s:5:\"trace\";b:1;}}s:32:\"7a5f07ab833b9ede3dedd8c5ea2446c4\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"681852\";s:7:\"\0*\0file\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.3\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-05-30 11:57:23\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:41:\"this.model.isValidChild is not a function\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 11:57:23\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1685447843\";s:7:\"message\";s:41:\"this.model.isValidChild is not a function\";s:3:\"url\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.3\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"681852\";}}s:32:\"b10ac736bc6841978653c6dd2a6133a3\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:01:30\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:01:30\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"4b0bc32f58f386a7b3aac4aecd667924\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:24\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:24\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"8b7fe7d273ab097c6c7f6cd6f2ebc3de\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:24\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"Elementor/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:24\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"Elementor/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"78d8b8fe05e8b40f8071699a6f7d30f0\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:24\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:46:\"Elementor/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:24\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:46:\"Elementor/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"a8fc12888334890c93d981a372032845\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:24\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:24\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"be816a8c6b56585bc6a541e438bff12e\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:27\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:27\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"b75ebbf5fdbb12e98ee5eaa26dfb12ac\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:30\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:30\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"6e14675c79287dc9ccc5eb4e3797dcd2\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:30\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"Elementor/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:30\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"Elementor/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"40d947536f1334014dc39976d3b9e150\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:30\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:46:\"Elementor/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:30\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:46:\"Elementor/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"dc54d89b7142142e0dcb01e56b77c94f\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-05-30 17:02:30\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-05-30 17:02:30\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:6:\"3.13.3\";s:2:\"to\";s:6:\"3.13.4\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"ca8428d47e5f7557e6699e9134ae6422\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:4:\"8297\";s:7:\"\0*\0file\";s:91:\"http://kookagency/wp-content/plugins/elementor/assets/js/frontend-modules.min.js?ver=3.13.4\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2023-06-01 07:59:46\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:68:\"Cannot read properties of undefined (reading &#039;attributes&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:6;s:14:\"\0*\0times_dates\";a:6:{i:0;s:19:\"2023-06-01 07:59:46\";i:1;s:19:\"2023-06-01 08:06:59\";i:2;s:19:\"2023-06-01 08:10:17\";i:3;s:19:\"2023-06-05 09:40:35\";i:4;s:19:\"2023-06-07 08:08:21\";i:5;s:19:\"2023-06-07 13:11:29\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1685606386\";s:7:\"message\";s:58:\"Cannot read properties of undefined (reading \'attributes\')\";s:3:\"url\";s:91:\"http://kookagency/wp-content/plugins/elementor/assets/js/frontend-modules.min.js?ver=3.13.4\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:4:\"8297\";}}s:32:\"63272d93c575095e3f07201bf91ee489\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"662755\";s:7:\"\0*\0file\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.4\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-06-01 08:06:49\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:58:\"elementorFrontend.elements.window.jQuery is not a function\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-06-01 08:06:49\";i:1;s:19:\"2023-06-05 09:40:27\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1685606809\";s:7:\"message\";s:58:\"elementorFrontend.elements.window.jQuery is not a function\";s:3:\"url\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.4\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"662755\";}}s:32:\"490d4c1a64611fc71d839133f8296455\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:77:\"C:\\wamp64\\www\\KOOKAgency\\wp-content\\plugins\\elementor\\core\\files\\css\\base.php\";s:7:\"\0*\0line\";i:390;s:7:\"\0*\0date\";s:19:\"2023-06-05 09:22:38\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:46:\"Maximum execution time of 120 seconds exceeded\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:3;s:14:\"\0*\0times_dates\";a:3:{i:0;s:19:\"2023-06-05 09:22:38\";i:1;s:19:\"2023-06-05 09:22:44\";i:2;s:19:\"2023-06-05 09:24:55\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:5:\"error\";s:7:\"message\";s:46:\"Maximum execution time of 120 seconds exceeded\";s:4:\"file\";s:77:\"C:\\wamp64\\www\\KOOKAgency\\wp-content\\plugins\\elementor\\core\\files\\css\\base.php\";s:4:\"line\";i:390;s:5:\"trace\";b:1;}}s:32:\"aa486c98fc13de0395a551200067a567\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"312759\";s:7:\"\0*\0file\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.4\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-06-05 09:45:43\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:62:\"Cannot read properties of undefined (reading &#039;html&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:10;s:14:\"\0*\0times_dates\";a:10:{i:0;s:19:\"2023-06-05 09:45:43\";i:1;s:19:\"2023-06-05 09:45:46\";i:2;s:19:\"2023-06-05 09:46:58\";i:3;s:19:\"2023-06-05 09:54:56\";i:4;s:19:\"2023-06-05 09:57:01\";i:5;s:19:\"2023-06-05 13:03:33\";i:6;s:19:\"2023-06-05 13:12:41\";i:7;s:19:\"2023-06-05 13:12:45\";i:8;s:19:\"2023-06-06 07:52:37\";i:9;s:19:\"2023-06-07 12:58:32\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1685958343\";s:7:\"message\";s:52:\"Cannot read properties of undefined (reading \'html\')\";s:3:\"url\";s:81:\"http://kookagency/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.13.4\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"312759\";}}s:32:\"2ddb0e5a99f68555402bcb5ca2290d71\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:97:\"C:\\wamp64\\www\\KOOKAgency\\wp-content\\plugins\\elementor\\includes\\template-library\\sources\\local.php\";s:7:\"\0*\0line\";i:1426;s:7:\"\0*\0date\";s:19:\"2023-06-05 13:42:10\";s:7:\"\0*\0type\";s:7:\"warning\";s:10:\"\0*\0message\";s:39:\"Undefined array key &quot;content&quot;\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-06-05 13:42:10\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:7:\"warning\";s:7:\"message\";s:29:\"Undefined array key \"content\"\";s:4:\"file\";s:97:\"C:\\wamp64\\www\\KOOKAgency\\wp-content\\plugins\\elementor\\includes\\template-library\\sources\\local.php\";s:4:\"line\";i:1426;s:5:\"trace\";b:1;}}}", "no");
INSERT INTO `wp_options` VALUES("816", "_transient_timeout_wc_shipping_method_count", "1688029035", "no");
INSERT INTO `wp_options` VALUES("817", "_transient_wc_shipping_method_count", "a:2:{s:7:\"version\";s:10:\"1685435130\";s:5:\"value\";i:0;}", "no");
INSERT INTO `wp_options` VALUES("457", "forminator_posts_map", "a:2:{i:12081;a:1:{i:0;i:3857;}i:4676;a:1:{i:0;i:4809;}}", "yes");
INSERT INTO `wp_options` VALUES("436", "forminator_appearance_presets", "a:1:{s:7:\"default\";s:24:\"Préréglage par défaut\";}", "yes");
INSERT INTO `wp_options` VALUES("5508", "_transient_timeout_woocommerce_admin_payment_method_promotion_specs", "1686650077", "no");
INSERT INTO `wp_options` VALUES("5509", "_transient_woocommerce_admin_payment_method_promotion_specs", "a:1:{s:5:\"fr_FR\";a:1:{s:20:\"woocommerce_payments\";O:8:\"stdClass\":8:{s:2:\"id\";s:20:\"woocommerce_payments\";s:5:\"title\";s:20:\"WooCommerce Payments\";s:7:\"content\";s:369:\"Payments made simple, with no monthly fees – designed exclusively for WooCommerce stores. Accept credit cards, debit cards, and other popular payment methods.<br/><br/>By clicking “Install”, you agree to the <a href=\"https://wordpress.com/tos/\" target=\"_blank\">Terms of Service</a> and <a href=\"https://automattic.com/privacy/\" target=\"_blank\">Privacy policy</a>.\";s:5:\"image\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/wcpay.svg\";s:7:\"plugins\";a:1:{i:0;s:20:\"woocommerce-payments\";}s:10:\"is_visible\";a:2:{i:0;O:8:\"stdClass\":6:{s:4:\"type\";s:6:\"option\";s:12:\"transformers\";a:2:{i:0;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"dot_notation\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:4:\"path\";s:8:\"industry\";}}i:1;O:8:\"stdClass\":2:{s:3:\"use\";s:12:\"array_column\";s:9:\"arguments\";O:8:\"stdClass\":1:{s:3:\"key\";s:4:\"slug\";}}}s:11:\"option_name\";s:30:\"woocommerce_onboarding_profile\";s:9:\"operation\";s:9:\"!contains\";s:5:\"value\";s:31:\"cbd-other-hemp-derived-products\";s:7:\"default\";a:0:{}}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:2:\"or\";s:8:\"operands\";a:34:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"US\";s:9:\"operation\";s:1:\"=\";}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PR\";s:9:\"operation\";s:1:\"=\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AU\";s:9:\"operation\";s:1:\"=\";}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CA\";s:9:\"operation\";s:1:\"=\";}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DE\";s:9:\"operation\";s:1:\"=\";}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"ES\";s:9:\"operation\";s:1:\"=\";}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FR\";s:9:\"operation\";s:1:\"=\";}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GB\";s:9:\"operation\";s:1:\"=\";}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IE\";s:9:\"operation\";s:1:\"=\";}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"IT\";s:9:\"operation\";s:1:\"=\";}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NZ\";s:9:\"operation\";s:1:\"=\";}i:11;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"AT\";s:9:\"operation\";s:1:\"=\";}i:12;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BE\";s:9:\"operation\";s:1:\"=\";}i:13;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NL\";s:9:\"operation\";s:1:\"=\";}i:14;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PL\";s:9:\"operation\";s:1:\"=\";}i:15;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"PT\";s:9:\"operation\";s:1:\"=\";}i:16;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CH\";s:9:\"operation\";s:1:\"=\";}i:17;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HK\";s:9:\"operation\";s:1:\"=\";}i:18;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SG\";s:9:\"operation\";s:1:\"=\";}i:19;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"CY\";s:9:\"operation\";s:1:\"=\";}i:20;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"DK\";s:9:\"operation\";s:1:\"=\";}i:21;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"EE\";s:9:\"operation\";s:1:\"=\";}i:22;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"FI\";s:9:\"operation\";s:1:\"=\";}i:23;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"GR\";s:9:\"operation\";s:1:\"=\";}i:24;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LU\";s:9:\"operation\";s:1:\"=\";}i:25;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LT\";s:9:\"operation\";s:1:\"=\";}i:26;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"LV\";s:9:\"operation\";s:1:\"=\";}i:27;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"NO\";s:9:\"operation\";s:1:\"=\";}i:28;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"MT\";s:9:\"operation\";s:1:\"=\";}i:29;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SI\";s:9:\"operation\";s:1:\"=\";}i:30;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"SK\";s:9:\"operation\";s:1:\"=\";}i:31;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"BG\";s:9:\"operation\";s:1:\"=\";}i:32;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"HR\";s:9:\"operation\";s:1:\"=\";}i:33;O:8:\"stdClass\":3:{s:4:\"type\";s:21:\"base_location_country\";s:5:\"value\";s:2:\"RO\";s:9:\"operation\";s:1:\"=\";}}}}s:9:\"sub_title\";s:865:\"<img class=\"wcpay-visa-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/visa.svg\" alt=\"Visa\"><img class=\"wcpay-mastercard-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/mastercard.svg\" alt=\"Mastercard\"><img class=\"wcpay-amex-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/amex.svg\" alt=\"Amex\"><img class=\"wcpay-googlepay-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/googlepay.svg\" alt=\"Googlepay\"><img class=\"wcpay-applepay-icon wcpay-icon\" src=\"https://woocommerce.com/wp-content/plugins/wccom-plugins/payment-gateway-suggestions/images/icons/applepay.svg\" alt=\"Applepay\">\";s:15:\"additional_info\";O:8:\"stdClass\":1:{s:18:\"experiment_version\";s:2:\"v2\";}}}}", "no");
INSERT INTO `wp_options` VALUES("5598", "_transient_timeout_kirki_remote_url_contents", "1686655704", "no");
INSERT INTO `wp_options` VALUES("5599", "_transient_kirki_remote_url_contents", "a:1:{s:32:\"57464416737d0655e047cf1ad7307b28\";s:2278:\"/* cyrillic-ext */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu72xMKTU1Kvnz.woff) format(\'woff\');\n  unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu5mxMKTU1Kvnz.woff) format(\'woff\');\n  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu7mxMKTU1Kvnz.woff) format(\'woff\');\n  unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu4WxMKTU1Kvnz.woff) format(\'woff\');\n  unicode-range: U+0370-03FF;\n}\n/* vietnamese */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu7WxMKTU1Kvnz.woff) format(\'woff\');\n  unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu7GxMKTU1Kvnz.woff) format(\'woff\');\n  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n  font-family: \'Roboto\';\n  font-style: normal;\n  font-weight: 400;\n  font-display: swap;\n  src: url(https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu4mxMKTU1Kg.woff) format(\'woff\');\n  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n\";}", "no");
INSERT INTO `wp_options` VALUES("428", "kirki_downloaded_font_files", "a:7:{s:72:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu72xMKTU1Kvnz.woff\";s:82:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu72xMKTU1Kvnz.woff\";s:72:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu5mxMKTU1Kvnz.woff\";s:82:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu5mxMKTU1Kvnz.woff\";s:72:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu7mxMKTU1Kvnz.woff\";s:82:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu7mxMKTU1Kvnz.woff\";s:72:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu4WxMKTU1Kvnz.woff\";s:82:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu4WxMKTU1Kvnz.woff\";s:72:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu7WxMKTU1Kvnz.woff\";s:82:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu7WxMKTU1Kvnz.woff\";s:72:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu7GxMKTU1Kvnz.woff\";s:82:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu7GxMKTU1Kvnz.woff\";s:70:\"https://fonts.gstatic.com/s/roboto/v30/KFOmCnqEu92Fr1Mu4mxMKTU1Kg.woff\";s:80:\"C:\\wamp64\\www\\KOOKAgency/wp-content/fonts/roboto/KFOmCnqEu92Fr1Mu4mxMKTU1Kg.woff\";}", "yes");
INSERT INTO `wp_options` VALUES("429", "xirki_font_local_filenames", "a:1:{s:102:\"https://fonts.gstatic.com/s/opensans/v35/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsg-1y4k.woff\";a:3:{s:4:\"file\";s:115:\"C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsg-1y4k-1.woff\";s:3:\"url\";s:108:\"http://kookagency/wp-content/uploads/2023/05/memSYaGs126MiZpBA-UvWbX2vVnXBbObj2OVZyOOSr4dVJWUgsg-1y4k-1.woff\";s:4:\"type\";s:0:\"\";}}", "yes");
INSERT INTO `wp_options` VALUES("432", "_transient_shipping-transient-version", "1685435130", "yes");
INSERT INTO `wp_options` VALUES("433", "_transient_timeout_wc_shipping_method_count_legacy", "1688027130", "no");
INSERT INTO `wp_options` VALUES("434", "_transient_wc_shipping_method_count_legacy", "a:2:{s:7:\"version\";s:10:\"1685435130\";s:5:\"value\";i:0;}", "no");
INSERT INTO `wp_options` VALUES("437", "wpmudev_notices", "a:3:{s:7:\"plugins\";a:2:{s:10:\"forminator\";i:1685435187;s:8:\"defender\";i:1685709130;}s:5:\"queue\";a:2:{s:10:\"forminator\";a:3:{s:5:\"email\";i:1685435187;s:4:\"rate\";i:1686039987;s:8:\"giveaway\";i:1685607987;}s:8:\"defender\";a:3:{s:5:\"email\";i:1685709130;s:4:\"rate\";i:1686313930;s:8:\"giveaway\";i:1685881930;}}s:4:\"done\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("4288", "hardener_settings", "{\"issues\":[\"disable-file-editor\",\"prevent-php-executed\"],\"fixed\":[\"disable-xml-rpc\",\"wp-version\",\"hide-error\",\"php-version\",\"replace-admin-username\",\"security-key\",\"login-duration\",\"disable-trackback\",\"prevent-enum-users\",\"protect-information\"],\"ignore\":[],\"data\":[],\"last_seen\":\"\",\"last_sent\":\"\",\"automate\":false}", "no");
INSERT INTO `wp_options` VALUES("1946", "_transient_timeout_wc_low_stock_count", "1688108967", "no");
INSERT INTO `wp_options` VALUES("1947", "_transient_wc_low_stock_count", "0", "no");
INSERT INTO `wp_options` VALUES("1948", "_transient_timeout_wc_outofstock_count", "1688108967", "no");
INSERT INTO `wp_options` VALUES("1949", "_transient_wc_outofstock_count", "0", "no");
INSERT INTO `wp_options` VALUES("2069", "_transient_health-check-site-status-result", "{\"good\":\"17\",\"recommended\":\"7\",\"critical\":\"3\"}", "yes");
INSERT INTO `wp_options` VALUES("2941", "_elementor_editor_upgrade_notice_dismissed", "1685609662", "yes");
INSERT INTO `wp_options` VALUES("545", "woocommerce_maybe_regenerate_images_hash", "bc5a7feaf778a5c37b0e684538867885", "yes");
INSERT INTO `wp_options` VALUES("6766", "_transient_timeout_wc_report_products_stats_bcad807d53d9a4ee4013df7a02319abd", "1686813361", "no");
INSERT INTO `wp_options` VALUES("6767", "_transient_wc_report_products_stats_bcad807d53d9a4ee4013df7a02319abd", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-08 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-08 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6768", "_transient_timeout_wc_report_variations_stats_0705aa8f80f10a843fe47c9a127a80f8", "1686813362", "no");
INSERT INTO `wp_options` VALUES("6769", "_transient_wc_report_variations_stats_0705aa8f80f10a843fe47c9a127a80f8", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-08 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-08 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6770", "_transient_timeout_wc_report_orders_stats_1123d3ed71faf0ab00b8049aa856ef5a", "1686813362", "no");
INSERT INTO `wp_options` VALUES("6771", "_transient_wc_report_orders_stats_1123d3ed71faf0ab00b8049aa856ef5a", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":4:{s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:8:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-06\";s:10:\"date_start\";s:19:\"2023-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-07\";s:10:\"date_start\";s:19:\"2023-06-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-06 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:7;a:6:{s:8:\"interval\";s:10:\"2023-06-08\";s:10:\"date_start\";s:19:\"2023-06-08 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-07 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-08 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-08 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:8;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("7018", "_transient_timeout_wpseo-statistics-totals", "1686303257", "no");
INSERT INTO `wp_options` VALUES("7180", "w3tc_extensions_hooks", "{\"actions\":[],\"filters\":[],\"next_check_date\":1686312800}", "yes");
INSERT INTO `wp_options` VALUES("7192", "_transient_wpo_get_current_db_size", "a:2:{i:0;s:8:\"37.53 MB\";i:1;s:7:\"4.33 MB\";}", "no");
INSERT INTO `wp_options` VALUES("7116", "action_scheduler_migration_status", "complete", "yes");
INSERT INTO `wp_options` VALUES("7110", "_transient_timeout_as-post-store-dependencies-met", "1686310035", "no");
INSERT INTO `wp_options` VALUES("7173", "wp-optimize-back_up_original", "1", "yes");
INSERT INTO `wp_options` VALUES("7174", "wp-optimize-back_up_delete_after", "1", "yes");
INSERT INTO `wp_options` VALUES("7175", "wp-optimize-back_up_delete_after_days", "50", "yes");
INSERT INTO `wp_options` VALUES("7176", "wpo_update_version", "3.2.15", "yes");
INSERT INTO `wp_options` VALUES("7177", "wp-optimize-webp_conversion_test", "1", "yes");
INSERT INTO `wp_options` VALUES("7178", "wp-optimize-webp_converters", "a:1:{i:0;s:2:\"gd\";}", "yes");
INSERT INTO `wp_options` VALUES("7111", "_transient_as-post-store-dependencies-met", "yes", "no");
INSERT INTO `wp_options` VALUES("537", "_transient_woocommerce_reports-transient-version", "1685436424", "yes");
INSERT INTO `wp_options` VALUES("5601", "_transient_timeout_orders-all-statuses", "1686655779", "no");
INSERT INTO `wp_options` VALUES("5602", "_transient_orders-all-statuses", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("1887", "woocommerce_default_homepage_layout", "two_columns", "yes");
INSERT INTO `wp_options` VALUES("1888", "woocommerce_task_list_hidden_lists", "a:1:{i:0;s:5:\"setup\";}", "yes");
INSERT INTO `wp_options` VALUES("468", "_transient_product_query-transient-version", "1686142912", "yes");
INSERT INTO `wp_options` VALUES("4425", "_transient_timeout_wc_report_orders_stats_3c308678c1a9db45da87d510cec84888", "1686554030", "no");
INSERT INTO `wp_options` VALUES("4426", "_transient_wc_report_orders_stats_3c308678c1a9db45da87d510cec84888", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":4:{s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-05-30\";s:10:\"date_start\";s:19:\"2023-05-30 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-29 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-30 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-30 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-05-31\";s:10:\"date_start\";s:19:\"2023-05-31 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-30 22:00:00\";s:8:\"date_end\";s:19:\"2023-05-31 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-05-31 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6884", "_transient_timeout_wc_tracks_blog_details", "1686298131", "no");
INSERT INTO `wp_options` VALUES("6885", "_transient_wc_tracks_blog_details", "a:5:{s:3:\"url\";s:17:\"http://kookagency\";s:9:\"blog_lang\";s:5:\"fr_FR\";s:7:\"blog_id\";N;s:14:\"products_count\";s:2:\"35\";s:10:\"wc_version\";s:5:\"7.7.2\";}", "no");
INSERT INTO `wp_options` VALUES("507", "elementor_load_fa4_shim", "", "yes");
INSERT INTO `wp_options` VALUES("508", "elementor_meta_generator_tag", "", "yes");
INSERT INTO `wp_options` VALUES("509", "elementor_experiment-e_font_icon_svg", "default", "yes");
INSERT INTO `wp_options` VALUES("510", "elementor_experiment-container", "default", "yes");
INSERT INTO `wp_options` VALUES("511", "elementor_experiment-container_grid", "default", "yes");
INSERT INTO `wp_options` VALUES("512", "elementor_experiment-editor_v2", "default", "yes");
INSERT INTO `wp_options` VALUES("513", "elementor_experiment-nested-elements", "default", "yes");
INSERT INTO `wp_options` VALUES("514", "elementor_experiment-e_lazyload", "default", "yes");
INSERT INTO `wp_options` VALUES("515", "elementor_experiment-e_dom_optimization", "default", "yes");
INSERT INTO `wp_options` VALUES("516", "elementor_experiment-e_optimized_assets_loading", "default", "yes");
INSERT INTO `wp_options` VALUES("517", "elementor_experiment-e_optimized_css_loading", "default", "yes");
INSERT INTO `wp_options` VALUES("518", "elementor_experiment-a11y_improvements", "default", "yes");
INSERT INTO `wp_options` VALUES("519", "elementor_experiment-additional_custom_breakpoints", "default", "yes");
INSERT INTO `wp_options` VALUES("520", "elementor_experiment-e_swiper_latest", "default", "yes");
INSERT INTO `wp_options` VALUES("521", "elementor_experiment-landing-pages", "default", "yes");
INSERT INTO `wp_options` VALUES("6763", "_transient_wc_report_orders_stats_31dbcd2a15acf6fe22f8fc820d73c24d", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-08 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-08 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6764", "_transient_timeout_wc_report_orders_stats_52571a3df58227c56a3949b893dc169a", "1686813361", "no");
INSERT INTO `wp_options` VALUES("4803", "elementor_library_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("4805", "dsn-blackdsn-categories_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("506", "elementor_google_font", "1", "yes");
INSERT INTO `wp_options` VALUES("3751", "_transient_wc_attribute_taxonomies", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("4296", "defender_config_indexer", "a:1:{s:36:\"wp_defender_config_default1685709146\";s:36:\"wp_defender_config_default1685709146\";}", "no");
INSERT INTO `wp_options` VALUES("4299", "wpdefender_preset_configs_transient_time", "1686147653", "no");
INSERT INTO `wp_options` VALUES("4307", "wpdefender_config_clear_active_tag", "cleared", "no");
INSERT INTO `wp_options` VALUES("3763", "woocommerce_attribute_lookup_enabled", "yes", "yes");
INSERT INTO `wp_options` VALUES("6894", "_transient_timeout_w3tc_activation_wordpress-seo", "1686298252", "no");
INSERT INTO `wp_options` VALUES("6895", "_transient_w3tc_activation_wordpress-seo", "1", "no");
INSERT INTO `wp_options` VALUES("6001", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1686226383;s:7:\"checked\";a:4:{s:8:\"blackdsn\";s:5:\"1.2.3\";s:15:\"twentytwentyone\";s:3:\"1.8\";s:17:\"twentytwentythree\";s:3:\"1.1\";s:15:\"twentytwentytwo\";s:3:\"1.4\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:3:{s:15:\"twentytwentyone\";a:6:{s:5:\"theme\";s:15:\"twentytwentyone\";s:11:\"new_version\";s:3:\"1.8\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentyone/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentyone.1.8.zip\";s:8:\"requires\";s:3:\"5.3\";s:12:\"requires_php\";s:3:\"5.6\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.1\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.1.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.4\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.4.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("4276", "defender_free_install_date", "1685709052", "no");
INSERT INTO `wp_options` VALUES("4279", "wd_db_version", "3.11.0", "no");
INSERT INTO `wp_options` VALUES("4289", "wp_defender_shown_activator", "1", "no");
INSERT INTO `wp_options` VALUES("4290", "wd_login_lockout_settings", "{\"enabled\":true,\"attempt\":5,\"timeframe\":300,\"duration\":300,\"duration_unit\":\"seconds\",\"lockout_type\":\"timeframe\",\"lockout_message\":\"You have been locked out due to too many invalid login attempts.\",\"username_blacklist\":\"\"}", "no");
INSERT INTO `wp_options` VALUES("4291", "wd_notfound_lockout_settings", "{\"enabled\":true,\"attempt\":20,\"timeframe\":300,\"duration\":300,\"duration_unit\":\"seconds\",\"lockout_type\":\"timeframe\",\"blacklist\":\"\",\"whitelist\":\".css\\n.js\\n.map\",\"lockout_message\":\"You have been locked out due to too many attempts to access a file that doesn\'t exist.\",\"detect_logged\":false}", "no");
INSERT INTO `wp_options` VALUES("4292", "wd_user_agent_settings", "{\"enabled\":true,\"blacklist\":\"MJ12Bot\\nAhrefsBot\\nSEMrushBot\\nDotBot\",\"whitelist\":\"a6-indexer\\nadsbot-google\\naolbuild\\napis-google\\nbaidu\\nbingbot\\nbingpreview\\nbutterfly\\ncloudflare\\nchrome\\nduckduckbot\\nembedly\\nfacebookexternalhit\\nfacebot\\ngoogle page speed\\ngooglebot\\nia_archiver\\nlinkedinbot\\nmediapartners-google\\nmsnbot\\nnetcraftsurvey\\noutbrain\\npinterest\\nquora\\nslackbot\\nslurp\\ntweetmemebot\\ntwitterbot\\nuptimerobot\\nurlresolver\\nvkshare\\nw3c_validator\\nwordpress\\nwp rocket\\nyandex\",\"message\":\"You have been blocked from accessing this website.\",\"empty_headers\":false}", "no");
INSERT INTO `wp_options` VALUES("4294", "wd_scan_settings", "{\"integrity_check\":true,\"check_core\":true,\"check_plugins\":false,\"scan_malware\":false,\"check_known_vuln\":true,\"filesize\":10,\"scheduled_scanning\":false,\"frequency\":\"weekly\",\"day\":\"sunday\",\"day_n\":\"1\",\"time\":\"4:00\"}", "no");
INSERT INTO `wp_options` VALUES("4293", "defender_security_tweeks_login-duration", "7", "no");
INSERT INTO `wp_options` VALUES("4295", "wp_defender_config_default1685709146", "a:6:{s:7:\"configs\";a:10:{s:15:\"security_tweaks\";a:8:{s:19:\"notification_repeat\";s:6:\"weekly\";s:11:\"subscribers\";a:0:{}s:12:\"notification\";s:7:\"enabled\";s:8:\"automate\";b:1;s:4:\"data\";a:0:{}s:5:\"fixed\";a:4:{i:0;s:15:\"disable-xml-rpc\";i:1;s:14:\"login-duration\";i:2;s:17:\"disable-trackback\";i:3;s:18:\"prevent-enum-users\";}s:6:\"issues\";a:8:{i:0;s:11:\"php-version\";i:1;s:10:\"wp-version\";i:2;s:20:\"prevent-php-executed\";i:3;s:19:\"protect-information\";i:4;s:22:\"replace-admin-username\";i:5;s:12:\"security-key\";i:6;s:19:\"disable-file-editor\";i:7;s:10:\"hide-error\";}s:6:\"ignore\";a:0:{}}s:4:\"scan\";a:25:{s:15:\"integrity_check\";b:1;s:10:\"check_core\";b:1;s:13:\"check_plugins\";b:0;s:16:\"check_known_vuln\";b:1;s:12:\"scan_malware\";b:0;s:8:\"filesize\";i:3;s:6:\"report\";s:7:\"enabled\";s:11:\"always_send\";b:0;s:18:\"report_subscribers\";a:0:{}s:3:\"day\";s:6:\"sunday\";s:5:\"day_n\";s:1:\"1\";s:4:\"time\";s:4:\"4:00\";s:9:\"frequency\";s:6:\"weekly\";s:7:\"dry_run\";b:0;s:12:\"notification\";s:7:\"enabled\";s:24:\"always_send_notification\";b:0;s:10:\"error_send\";b:0;s:24:\"notification_subscribers\";a:0:{}s:25:\"email_subject_issue_found\";s:70:\"Malware Scan of {SITE_URL} is complete. {ISSUES_COUNT} issue(s) found.\";s:29:\"email_subject_issue_not_found\";s:57:\"Scan of {SITE_URL} complete. {ISSUES_COUNT} issues found.\";s:19:\"email_subject_error\";s:48:\"Couldn’t scan {SITE_URL} for vulnerabilities. \";s:25:\"email_content_issue_found\";s:139:\"Hi {USER_NAME},\n\nMalware Scan identified {ISSUES_COUNT} issue(s) on {SITE_URL}. The identified issue(s) is/are listed below.\n\n{ISSUES_LIST}\";s:29:\"email_content_issue_not_found\";s:67:\"Hi {USER_NAME},\n\nNo vulnerabilities have been found for {SITE_URL}.\";s:19:\"email_content_error\";s:113:\"Hi {USER_NAME},\n\nWe couldn’t scan {SITE_URL} for vulnerabilities. Please visit your site and run a manual scan.\";s:18:\"scheduled_scanning\";b:1;}s:9:\"iplockout\";a:47:{s:16:\"login_protection\";b:1;s:30:\"login_protection_login_attempt\";s:1:\"5\";s:34:\"login_protection_lockout_timeframe\";s:3:\"300\";s:28:\"login_protection_lockout_ban\";s:9:\"timeframe\";s:33:\"login_protection_lockout_duration\";s:1:\"4\";s:38:\"login_protection_lockout_duration_unit\";s:5:\"hours\";s:32:\"login_protection_lockout_message\";s:64:\"You have been locked out due to too many invalid login attempts.\";s:18:\"username_blacklist\";s:86:\"adm\nadmin\nadmin1\nhostname\nmanager\nqwerty\nroot\nsupport\nsysadmin\ntest\nuser\nadministrator\";s:10:\"detect_404\";b:1;s:20:\"detect_404_threshold\";s:2:\"20\";s:20:\"detect_404_timeframe\";s:3:\"300\";s:22:\"detect_404_lockout_ban\";s:9:\"timeframe\";s:27:\"detect_404_lockout_duration\";s:1:\"4\";s:32:\"detect_404_lockout_duration_unit\";s:5:\"hours\";s:26:\"detect_404_lockout_message\";s:86:\"You have been locked out due to too many attempts to access a file that doesn\'t exist.\";s:20:\"detect_404_blacklist\";s:0:\"\";s:20:\"detect_404_whitelist\";s:28:\".css\n.js\n.jpg\n.png\n.gif\n.map\";s:17:\"detect_404_logged\";b:1;s:12:\"ip_blacklist\";s:0:\"\";s:12:\"ip_whitelist\";s:0:\"\";s:17:\"country_blacklist\";s:0:\"\";s:17:\"country_whitelist\";s:0:\"\";s:18:\"ip_lockout_message\";s:66:\"The administrator has blocked your IP from accessing this website.\";s:26:\"login_lockout_notification\";b:1;s:23:\"ip_lockout_notification\";b:1;s:12:\"notification\";s:7:\"enabled\";s:24:\"notification_subscribers\";a:0:{}s:16:\"cooldown_enabled\";b:0;s:23:\"cooldown_number_lockout\";s:1:\"3\";s:15:\"cooldown_period\";s:2:\"24\";s:6:\"report\";s:7:\"enabled\";s:18:\"report_subscribers\";a:0:{}s:16:\"report_frequency\";s:6:\"weekly\";s:3:\"day\";s:6:\"sunday\";s:5:\"day_n\";s:1:\"1\";s:11:\"report_time\";s:4:\"4:00\";s:7:\"dry_run\";b:0;s:12:\"storage_days\";s:3:\"180\";s:8:\"geoIP_db\";s:0:\"\";s:29:\"ip_blocklist_cleanup_interval\";s:5:\"never\";s:18:\"ua_banning_enabled\";b:0;s:18:\"ua_banning_message\";s:50:\"You have been blocked from accessing this website.\";s:20:\"ua_banning_blacklist\";s:35:\"MJ12Bot\nAhrefsBot\nSEMrushBot\nDotBot\";s:20:\"ua_banning_whitelist\";s:379:\"a6-indexer\nadsbot-google\naolbuild\napis-google\nbaidu\nbingbot\nbingpreview\nbutterfly\ncloudflare\nchrome\nduckduckbot\nembedly\nfacebookexternalhit\nfacebot\ngoogle page speed\ngooglebot\nia_archiver\nlinkedinbot\nmediapartners-google\nmsnbot\nnetcraftsurvey\noutbrain\npinterest\nquora\nslackbot\nslurp\ntweetmemebot\ntwitterbot\nuptimerobot\nurlresolver\nvkshare\nw3c_validator\nwordpress\nwp rocket\nyandex\";s:24:\"ua_banning_empty_headers\";b:0;s:19:\"maxmind_license_key\";s:0:\"\";s:14:\"global_ip_list\";b:0;}s:10:\"two_factor\";a:14:{s:7:\"enabled\";b:0;s:10:\"lost_phone\";b:1;s:10:\"force_auth\";b:0;s:15:\"force_auth_mess\";s:69:\"You are required to setup two-factor authentication to use this site.\";s:10:\"user_roles\";a:9:{i:0;s:13:\"administrator\";i:1;s:6:\"editor\";i:2;s:6:\"author\";i:3;s:11:\"contributor\";i:4;s:10:\"subscriber\";i:5;s:8:\"customer\";i:6;s:12:\"shop_manager\";i:7;s:13:\"wpseo_manager\";i:8;s:12:\"wpseo_editor\";}s:16:\"force_auth_roles\";a:0:{}s:14:\"custom_graphic\";b:0;s:19:\"custom_graphic_type\";s:6:\"upload\";s:18:\"custom_graphic_url\";s:0:\"\";s:19:\"custom_graphic_link\";s:0:\"\";s:13:\"email_subject\";s:13:\"Your OTP code\";s:12:\"email_sender\";s:5:\"admin\";s:10:\"email_body\";s:167:\"Hi {{display_name}},\n\nYour temporary password is {{passcode}}. To finish logging in, copy and paste the temporary password into the Password field on the login screen.\";s:9:\"app_title\";s:0:\"\";}s:10:\"mask_login\";a:5:{s:7:\"enabled\";b:0;s:8:\"mask_url\";s:0:\"\";s:16:\"redirect_traffic\";s:3:\"off\";s:20:\"redirect_traffic_url\";s:0:\"\";s:24:\"redirect_traffic_page_id\";i:0;}s:16:\"security_headers\";a:16:{s:9:\"sh_xframe\";b:1;s:14:\"sh_xframe_mode\";s:10:\"sameorigin\";s:14:\"sh_xframe_urls\";s:0:\"\";s:17:\"sh_xss_protection\";b:1;s:22:\"sh_xss_protection_mode\";s:8:\"sanitize\";s:23:\"sh_content_type_options\";b:1;s:28:\"sh_content_type_options_mode\";s:7:\"nosniff\";s:19:\"sh_strict_transport\";b:1;s:12:\"hsts_preload\";b:0;s:17:\"include_subdomain\";b:0;s:19:\"hsts_cache_duration\";s:7:\"30 days\";s:18:\"sh_referrer_policy\";b:1;s:23:\"sh_referrer_policy_mode\";s:24:\"origin-when-cross-origin\";s:17:\"sh_feature_policy\";b:1;s:22:\"sh_feature_policy_mode\";s:4:\"self\";s:22:\"sh_feature_policy_urls\";s:0:\"\";}s:8:\"settings\";a:5:{s:14:\"uninstall_data\";s:4:\"keep\";s:18:\"uninstall_settings\";s:8:\"preserve\";s:9:\"translate\";s:0:\"\";s:14:\"usage_tracking\";b:0;s:18:\"high_contrast_mode\";b:0;}s:15:\"pwned_passwords\";a:3:{s:7:\"enabled\";b:0;s:10:\"user_roles\";a:9:{i:0;s:13:\"administrator\";i:1;s:6:\"editor\";i:2;s:6:\"author\";i:3;s:11:\"contributor\";i:4;s:10:\"subscriber\";i:5;s:8:\"customer\";i:6;s:12:\"shop_manager\";i:7;s:13:\"wpseo_manager\";i:8;s:12:\"wpseo_editor\";}s:14:\"custom_message\";s:110:\"You are required to change your password because the password you are using exists on database breach records.\";}s:5:\"audit\";a:1:{s:7:\"enabled\";b:0;}s:17:\"blocklist_monitor\";a:1:{s:7:\"enabled\";b:0;}}s:7:\"strings\";a:9:{s:15:\"security_tweaks\";a:2:{i:0;s:30:\"4/12 recommendations activated\";i:1;s:26:\"Email notifications active\";}s:4:\"scan\";a:3:{i:0;s:6:\"Active\";i:1;s:26:\"Email notifications active\";i:2;s:66:\"Email report inactive <span class=\"sui-tag sui-tag-pro\">Pro</span>\";}s:9:\"iplockout\";a:5:{i:0;s:23:\"Login protection active\";i:1;s:20:\"404 detection active\";i:2;s:27:\"User agent banning inactive\";i:3;s:26:\"Email notifications active\";i:4;s:66:\"Email report inactive <span class=\"sui-tag sui-tag-pro\">Pro</span>\";}s:10:\"two_factor\";a:1:{i:0;s:8:\"Inactive\";}s:10:\"mask_login\";a:1:{i:0;s:8:\"Inactive\";}s:16:\"security_headers\";a:1:{i:0;s:6:\"Active\";}s:15:\"pwned_passwords\";a:1:{i:0;s:8:\"Inactive\";}s:5:\"audit\";a:1:{i:0;s:53:\"Inactive <span class=\"sui-tag sui-tag-pro\">Pro</span>\";}s:17:\"blocklist_monitor\";a:1:{i:0;s:53:\"Inactive <span class=\"sui-tag sui-tag-pro\">Pro</span>\";}}s:4:\"name\";s:12:\"Basic Config\";s:11:\"description\";s:45:\"Recommended default protection for every site\";s:8:\"immortal\";b:1;s:9:\"is_active\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("3797", "w3tc_minify", "{\"1e62c.js\":[\"\\/wp-includes\\/js\\/jquery\\/jquery.min.js\",\"\\/wp-includes\\/js\\/jquery\\/jquery-migrate.min.js\"],\"45535.js\":[\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/assets\\/js\\/jquery.ajaxqueue-min.js\",\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/js\\/jquery-blockui\\/jquery.blockUI.min.js\"],\"59d55.js\":[\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/js\\/frontend\\/add-to-cart.min.js\"],\"dbe0b.js\":[\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/includes\\/modules\\/add-to-cart\\/assets\\/js\\/add-to-cart-min.js\",\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/public\\/assets\\/vendors\\/velocity-min.js\",\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/assets\\/js\\/jquery.touch-min.js\"],\"f3f83.js\":[\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/public\\/assets\\/js\\/frontend-min.js\"],\"74ee0.js\":[\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/swiper\\/swiper.min.js\",\"\\/wp-includes\\/js\\/jquery\\/ui\\/core.min.js\",\"\\/wp-includes\\/js\\/jquery\\/ui\\/mouse.min.js\",\"\\/wp-includes\\/js\\/jquery\\/ui\\/draggable.min.js\",\"\\/wp-includes\\/js\\/jquery\\/ui\\/droppable.min.js\",\"\\/wp-includes\\/js\\/jquery\\/ui\\/sortable.min.js\"],\"eadfc.js\":[\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/js\\/cdp-global.min.js\"],\"a3b49.js\":[\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/js\\/cdp.min.js\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/js\\/cdp.tooltip.min.js\"],\"9eced.js\":[\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/js\\/cdp-modal.min.js\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/js\\/cdp-user.min.js\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/js\\/cdp-select.min.js\",\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/js\\/js-cookie\\/js.cookie.min.js\"],\"9cf08.js\":[\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/js\\/frontend\\/woocommerce.min.js\"],\"71bcd.js\":[\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/js\\/frontend\\/cart-fragments.min.js\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/plugins\\/modernizr.min.js\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/plugins\\/greensock.min.js\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/plugins\\/splitting.min.js\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/plugins\\/isotope.min.js\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/plugins\\/fontawesome.min.js\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/plugins\\/dsn-grid.min.js\"],\"7296b.js\":[\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/js\\/custom.js\",\"\\/wp-includes\\/js\\/underscore.min.js\"],\"52b0f.js\":[\"\\/wp-includes\\/js\\/wp-util.min.js\"],\"f6480.js\":[\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/js\\/frontend\\/add-to-cart-variation.min.js\",\"\\/wp-includes\\/js\\/jquery\\/ui\\/effect.min.js\",\"\\/wp-includes\\/js\\/backbone.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/backbone\\/backbone.marionette.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/backbone\\/backbone.radio.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/common-modules.min.js\"],\"87b81.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/web-cli.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/dialog\\/dialog.min.js\"],\"fb93f.js\":[\"\\/wp-includes\\/js\\/api-request.min.js\"],\"c1b55.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/dev-tools.min.js\",\"\\/wp-includes\\/js\\/dist\\/vendor\\/wp-polyfill-inert.min.js\",\"\\/wp-includes\\/js\\/dist\\/vendor\\/regenerator-runtime.min.js\",\"\\/wp-includes\\/js\\/dist\\/vendor\\/wp-polyfill.min.js\",\"\\/wp-includes\\/js\\/dist\\/hooks.min.js\",\"\\/wp-includes\\/js\\/dist\\/i18n.min.js\"],\"1c3af.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/common.min.js\"],\"1d63b.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/app-loader.min.js\"],\"8f300.js\":[\"\\/wp-includes\\/js\\/mediaelement\\/mediaelement-and-player.min.js\",\"\\/wp-includes\\/js\\/mediaelement\\/mediaelement-migrate.min.js\"],\"85723.js\":[\"\\/wp-includes\\/js\\/mediaelement\\/wp-mediaelement.min.js\",\"\\/wp-includes\\/js\\/mediaelement\\/renderers\\/vimeo.min.js\",\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/fancybox\\/fancybox.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/e-gallery\\/js\\/e-gallery.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/webpack.runtime.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/frontend-modules.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/waypoints\\/waypoints.min.js\"],\"55655.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/frontend.min.js\"],\"a014e.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/elementor-admin-bar.min.js\",\"\\/wp-includes\\/js\\/hoverintent-js.min.js\",\"\\/wp-includes\\/js\\/admin-bar.min.js\"],\"a32c4.css\":[\"\\/wp-includes\\/css\\/dashicons.min.css\",\"\\/wp-includes\\/css\\/admin-bar.min.css\"],\"cb3ab.css\":[\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/includes\\/customizer\\/controls\\/xt_icons\\/css\\/xt-icons.css\",\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/includes\\/modules\\/add-to-cart\\/assets\\/css\\/add-to-cart.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/eicons\\/css\\/elementor-icons.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/css\\/common.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/css\\/theme-light.min.css\",\"\\/wp-content\\/plugins\\/woocommerce\\/packages\\/woocommerce-blocks\\/build\\/wc-blocks-vendors-style.css\",\"\\/wp-content\\/plugins\\/woocommerce\\/packages\\/woocommerce-blocks\\/build\\/wc-blocks-style.css\",\"\\/wp-includes\\/css\\/classic-themes.min.css\"],\"c1ada.css\":[\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/css\\/cdp-global.min.css\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/css\\/cdp.min.css\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/css\\/cdp-user.min.css\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/css\\/cdp.tooltip.min.css\",\"\\/wp-content\\/plugins\\/copy-delete-posts\\/assets\\/css\\/cdp-select.min.css\",\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/css\\/woocommerce-layout.css\",\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/css\\/woocommerce-smallscreen.css\",\"\\/wp-content\\/plugins\\/woocommerce\\/assets\\/css\\/woocommerce.css\"],\"ac58c.css\":[\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/includes\\/notices\\/assets\\/css\\/frontend-notices.css\",\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/public\\/assets\\/css\\/frontend.css\",\"\\/wp-content\\/plugins\\/wordpress-seo\\/css\\/dist\\/adminbar-2080.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/e-gallery\\/css\\/e-gallery.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/css\\/frontend-lite.min.css\",\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/swiper\\/swiper.min.css\",\"\\/wp-content\\/uploads\\/elementor\\/css\\/post-11417.css\",\"\\/wp-content\\/uploads\\/elementor\\/css\\/post-10485.css\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/css\\/showcase.css\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/css\\/global.min.css\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/css\\/style.css\",\"\\/wp-includes\\/js\\/mediaelement\\/mediaelementplayer-legacy.min.css\",\"\\/wp-includes\\/js\\/mediaelement\\/wp-mediaelement.min.css\"],\"185d8.css\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/font-awesome\\/css\\/fontawesome.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/font-awesome\\/css\\/solid.min.css\"],\"e5c13.css\":[\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/fancybox\\/fancybox.css\",\"\\/wp-content\\/uploads\\/elementor\\/css\\/post-3352.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/font-awesome\\/css\\/brands.min.css\"],\"8c62a.js\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/app-loader.min.js\",\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/fancybox\\/fancybox.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/e-gallery\\/js\\/e-gallery.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/webpack.runtime.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/js\\/frontend-modules.min.js\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/waypoints\\/waypoints.min.js\"],\"d4c9f.css\":[\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/xt-framework\\/includes\\/notices\\/assets\\/css\\/frontend-notices.css\",\"\\/wp-content\\/plugins\\/xt-woo-quick-view-lite\\/public\\/assets\\/css\\/frontend.css\",\"\\/wp-content\\/plugins\\/wordpress-seo\\/css\\/dist\\/adminbar-2080.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/e-gallery\\/css\\/e-gallery.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/css\\/frontend-lite.min.css\",\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/swiper\\/swiper.min.css\",\"\\/wp-content\\/uploads\\/elementor\\/css\\/post-11417.css\",\"\\/wp-content\\/uploads\\/elementor\\/css\\/post-6180.css\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/css\\/showcase.css\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/css\\/global.min.css\",\"\\/wp-content\\/themes\\/blackdsn\\/assets\\/css\\/style.css\"],\"ab3ae.css\":[\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/font-awesome\\/css\\/fontawesome.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/font-awesome\\/css\\/solid.min.css\",\"\\/wp-content\\/plugins\\/elementor\\/assets\\/lib\\/font-awesome\\/css\\/brands.min.css\"],\"31a4f.css\":[\"\\/wp-content\\/plugins\\/blackdsn-helper-plugin\\\\modules\\/fancybox\\/fancybox.css\"]}", "no");
INSERT INTO `wp_options` VALUES("4417", "_transient_timeout_wc_report_orders_stats_fba641227bff391c80b1a1f2d804aa40", "1686554030", "no");
INSERT INTO `wp_options` VALUES("4418", "_transient_wc_report_orders_stats_fba641227bff391c80b1a1f2d804aa40", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("4419", "_transient_timeout_wc_report_orders_stats_fdc3e2b9874abd6da0e691027c7ea258", "1686554030", "no");
INSERT INTO `wp_options` VALUES("4420", "_transient_wc_report_orders_stats_fdc3e2b9874abd6da0e691027c7ea258", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("4421", "_transient_timeout_wc_report_products_stats_2abb1eebcd5c08360d4319780746a5aa", "1686554030", "no");
INSERT INTO `wp_options` VALUES("4422", "_transient_wc_report_products_stats_2abb1eebcd5c08360d4319780746a5aa", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5301", "forminator_version_upgraded", "1", "yes");
INSERT INTO `wp_options` VALUES("5276", "_transient_timeout_wc_report_orders_stats_e747f1923acec4d10bca646addc763ce", "1686640382", "no");
INSERT INTO `wp_options` VALUES("7152", "_transient_timeout_wpseo_total_unindexed_posts_limited", "1686227295", "no");
INSERT INTO `wp_options` VALUES("7153", "_transient_wpseo_total_unindexed_posts_limited", "0", "no");
INSERT INTO `wp_options` VALUES("6765", "_transient_wc_report_orders_stats_52571a3df58227c56a3949b893dc169a", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-08 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-08 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5974", "_transient_wc_report_orders_stats_4fed91b694343b14646910ab2a350c1d", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5975", "_transient_timeout_wc_report_orders_stats_ea233f4cc93aef6dcbee97b074c8dade", "1686727799", "no");
INSERT INTO `wp_options` VALUES("5976", "_transient_wc_report_orders_stats_ea233f4cc93aef6dcbee97b074c8dade", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5977", "_transient_timeout_wc_report_products_stats_bc19aa047d96b1f3438d65e8785ee3a4", "1686727799", "no");
INSERT INTO `wp_options` VALUES("5978", "_transient_wc_report_products_stats_bc19aa047d96b1f3438d65e8785ee3a4", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":6:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:14:\"products_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("5979", "_transient_timeout_wc_report_variations_stats_852aba69f36a427016fa40150cb6e014", "1686727799", "no");
INSERT INTO `wp_options` VALUES("5980", "_transient_wc_report_variations_stats_852aba69f36a427016fa40150cb6e014", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:2:{i:0;a:6:{s:8:\"interval\";s:7:\"2023-23\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:7:\"2023-22\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":5:{s:10:\"items_sold\";i:0;s:11:\"net_revenue\";d:0;s:12:\"orders_count\";i:0;s:16:\"variations_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:2;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("2810", "forminator_form_privacy_settings", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("3686", "w3tc_browsercache_flush_timestamp", "37914", "yes");
INSERT INTO `wp_options` VALUES("3691", "w3tc_generic_widgetservices", "{\"content\":{\"items\":[{\"name\":\"Premium Support Response (Usually <1h First Response)\",\"parameter_name\":\"field4\",\"parameter_value\":\"Premium Support Response (Usually <1h First Response)\",\"form_hash\":\"m5pom8z0qy59rm\"},{\"name\":\"Performance Audit \\/ Consult (Theme, Plugin, Content, Server)\",\"parameter_name\":\"field4\",\"parameter_value\":\"Performance Audit \\/ Consult (Theme, Plugin, Content, Server)\",\"form_hash\":\"m5pom8z0qy59rm\"},{\"name\":\"Plugin Configuration\",\"parameter_name\":\"field4\",\"parameter_value\":\"Plugin Configuration\",\"form_hash\":\"m5pom8z0qy59rm\"},{\"name\":\"SSL Performance Setup\",\"parameter_name\":\"field4\",\"parameter_value\":\"SSL Performance Setup\",\"form_hash\":\"m5pom8z0qy59rm\"},{\"name\":\"Full Site Delivery Setup\",\"parameter_name\":\"field4\",\"parameter_value\":\"Full Site Delivery Setup\",\"form_hash\":\"m5pom8z0qy59rm\"},{\"name\":\"Hosting Environment Troubleshooting\",\"parameter_name\":\"field4\",\"parameter_value\":\"Hosting Environment Troubleshooting\",\"form_hash\":\"m5pom8z0qy59rm\"},{\"name\":\"Performance Monitoring\",\"parameter_name\":\"field4\",\"parameter_value\":\"Performance Monitoring\",\"form_hash\":\"m5pom8z0qy59rm\"}],\"ui_strings\":{\"cdn.maxcdn.signUpAndSave\":\"Sign Up Now and save !\",\"cdn.maxcdn.signUpAndSave.description\":\"MaxCDN is a service that lets you speed up your site even more with W3 Total Cache. Sign up now to recieve a special offer!\",\"cdn.stackpath.signUpAndSave\":\"Sign Up Now and save !\",\"cdn.stackpath.signUpAndSave.description\":\"StackPath is a service that lets you speed up your site even more with W3 Total Cache. Sign up now and save!\",\"cdn.stackpath2.signUpAndSave\":\"Sign Up Now and save !\",\"cdn.stackpath2.signUpAndSave.description\":\"StackPath is a service that lets you speed up your site even more with W3 Total Cache. Sign up now to recieve a special offer!\",\"minify.general.header\":\"Reduce load time by decreasing the size and number of <acronym title=\'Cascading Style Sheet\'>CSS<\\/acronym> and <acronym title=\'JavaScript\'>JS<\\/acronym> files. Automatically remove unncessary data from <acronym title=\'Cascading Style Sheet\'>CSS<\\/acronym>, <acronym title=\'JavaScript\'>JS<\\/acronym>, feed, page and post <acronym title=\'Hypertext Markup Language\'>HTML<\\/acronym>.\",\"newrelic.general.header\":\"New Relic may not be installed or not active on this server. <a href=\'%s\' target=\'_blank\'>Sign up for a (free) account<\\/a>. Visit <a href=\'%s\' target=\'_blank\'>New Relic<\\/a> for installation instructions.\",\"reverseproxy.general.header\":\"A reverse proxy adds scale to an server by handling requests before WordPress does. Purge settings are set on the <a href=\'%s\'>Page Cache settings<\\/a> page and <a href=\'%s\'>Browser Cache settings<\\/a> are set on the browser cache settings page.\",\"cdnfsd.general.header\":\"Host the entire website with your compatible <acronym title=\'Content Delivery Network\'>CDN<\\/acronym> provider to reduce page load time.\",\"cdn.general.header\":\"Host static files with your <acronym title=\'Content Delivery Network\'>CDN<\\/acronym> to reduce page load time.\",\"cdn.stackpath.widget.existing\":\"If you\'re an existing StackPath customer, enable <acronym title=\'Content Delivery Network\'>CDN<\\/acronym> and:\",\"cdn.stackpath2.widget.existing\":\"If you\'re an existing StackPath customer, enable <acronym title=\'Content Delivery Network\'>CDN<\\/acronym> and:\",\"cdn.stackpath2.widget.works_magically\":\"StackPath works magically with W3 Total Cache.\",\"cdn.stackpath.widget.header\":\"Dramatically increase website speeds in just a few clicks! Add the StackPath content delivery network (<acronym title=\'Content Delivery Network\'>CDN<\\/acronym>) service to your site.\",\"cdn.stackpath2.widget.header\":\"Dramatically increase website speeds in just a few clicks! Add the StackPath content delivery network (<acronym title=\'Content Delivery Network\'>CDN<\\/acronym>) service to your site.\"}},\"expires\":1686816659}", "no");
INSERT INTO `wp_options` VALUES("3689", "w3tc_setupguide_completed", "1685626411", "no");
INSERT INTO `wp_options` VALUES("7196", "wp-optimize-lossy_compression", "1", "yes");
INSERT INTO `wp_options` VALUES("7190", "wp-optimize-corrupted-tables-count", "0", "yes");
INSERT INTO `wp_options` VALUES("7171", "wp-optimize-compression_server", "resmushit", "yes");
INSERT INTO `wp_options` VALUES("7172", "wp-optimize-image_quality", "75", "yes");
INSERT INTO `wp_options` VALUES("7198", "wp-optimize-show_smush_metabox", "show", "yes");
INSERT INTO `wp_options` VALUES("6985", "duplicator_ui_view_state", "a:7:{s:22:\"dup-pack-archive-panel\";s:1:\"1\";s:24:\"dup-pack-installer-panel\";s:1:\"1\";s:28:\"dup-settings-diag-opts-panel\";s:1:\"1\";s:29:\"dup-package-dtl-general-panel\";s:1:\"1\";s:29:\"dup-package-dtl-storage-panel\";s:1:\"1\";s:29:\"dup-package-dtl-archive-panel\";s:1:\"1\";s:29:\"dup-package-dtl-install-panel\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("1174", "cdp_copy_logs_times", "a:17:{i:0;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.08750796318054199;s:6:\"perOne\";d:0.08750796318054199;s:4:\"data\";i:1685695858;s:6:\"memory\";i:43970240;s:4:\"peak\";i:46137344;}i:1;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.07753586769104004;s:6:\"perOne\";d:0.07753586769104004;s:4:\"data\";i:1685694823;s:6:\"memory\";i:43969864;s:4:\"peak\";i:46137344;}i:2;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.07789421081542969;s:6:\"perOne\";d:0.07789421081542969;s:4:\"data\";i:1685694370;s:6:\"memory\";i:43968976;s:4:\"peak\";i:46137344;}i:3;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.0781409740447998;s:6:\"perOne\";d:0.0781409740447998;s:4:\"data\";i:1685693350;s:6:\"memory\";i:43968600;s:4:\"peak\";i:46137344;}i:4;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.09737610816955566;s:6:\"perOne\";d:0.09737610816955566;s:4:\"data\";i:1685526216;s:6:\"memory\";i:37787080;s:4:\"peak\";i:39845888;}i:5;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.13472795486450195;s:6:\"perOne\";d:0.13472795486450195;s:4:\"data\";i:1685525422;s:6:\"memory\";i:37786192;s:4:\"peak\";i:39845888;}i:6;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.1104130744934082;s:6:\"perOne\";d:0.1104130744934082;s:4:\"data\";i:1685524869;s:6:\"memory\";i:37785560;s:4:\"peak\";i:39845888;}i:7;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.11730813980102539;s:6:\"perOne\";d:0.11730813980102539;s:4:\"data\";i:1685524304;s:6:\"memory\";i:37785184;s:4:\"peak\";i:39845888;}i:8;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.09398412704467773;s:6:\"perOne\";d:0.09398412704467773;s:4:\"data\";i:1685523762;s:6:\"memory\";i:37784232;s:4:\"peak\";i:39845888;}i:9;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.10305213928222656;s:6:\"perOne\";d:0.10305213928222656;s:4:\"data\";i:1685523174;s:6:\"memory\";i:37783600;s:4:\"peak\";i:39845888;}i:10;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.10600399971008301;s:6:\"perOne\";d:0.10600399971008301;s:4:\"data\";i:1685522556;s:6:\"memory\";i:37786104;s:4:\"peak\";i:39845888;}i:11;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.09111595153808594;s:6:\"perOne\";d:0.09111595153808594;s:4:\"data\";i:1685521684;s:6:\"memory\";i:37900728;s:4:\"peak\";i:39845888;}i:12;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.1017141342163086;s:6:\"perOne\";d:0.1017141342163086;s:4:\"data\";i:1685520444;s:6:\"memory\";i:37780000;s:4:\"peak\";i:39845888;}i:13;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.0897829532623291;s:6:\"perOne\";d:0.0897829532623291;s:4:\"data\";i:1685519612;s:6:\"memory\";i:37876960;s:4:\"peak\";i:44040192;}i:14;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.10158920288085938;s:6:\"perOne\";d:0.10158920288085938;s:4:\"data\";i:1685518477;s:6:\"memory\";i:37893056;s:4:\"peak\";i:39845888;}i:15;a:6:{s:6:\"amount\";s:1:\"3\";s:4:\"time\";d:0.27203798294067383;s:6:\"perOne\";d:0.09067932764689128;s:4:\"data\";i:1685439063;s:6:\"memory\";i:38083400;s:4:\"peak\";i:41943040;}i:16;a:6:{s:6:\"amount\";s:1:\"1\";s:4:\"time\";d:0.1049950122833252;s:6:\"perOne\";d:0.1049950122833252;s:4:\"data\";i:1685438270;s:6:\"memory\";i:37844792;s:4:\"peak\";i:39845888;}}", "yes");
INSERT INTO `wp_options` VALUES("1229", "site_logo", "11994", "yes");
INSERT INTO `wp_options` VALUES("1232", "elementor_scheme_color", "a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}", "yes");
INSERT INTO `wp_options` VALUES("1233", "elementor_scheme_typography", "a:4:{i:1;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"600\";}i:2;a:2:{s:11:\"font_family\";s:11:\"Roboto Slab\";s:11:\"font_weight\";s:3:\"400\";}i:3;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"400\";}i:4;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"500\";}}", "yes");
INSERT INTO `wp_options` VALUES("1234", "elementor_scheme_color-picker", "a:8:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";i:5;s:7:\"#4054b2\";i:6;s:7:\"#23a455\";i:7;s:4:\"#000\";i:8;s:4:\"#fff\";}", "yes");
INSERT INTO `wp_options` VALUES("2034", "cdp_dismiss_perf_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("2000", "cdp_latest_slow_performance", "1", "yes");
INSERT INTO `wp_options` VALUES("6882", "_transient_timeout_wpseo_unindexed_post_link_count", "1686298130", "no");
INSERT INTO `wp_options` VALUES("6883", "_transient_wpseo_unindexed_post_link_count", "0", "no");
INSERT INTO `wp_options` VALUES("6758", "_transient_timeout_action_scheduler_last_pastdue_actions_check", "1686230157", "no");
INSERT INTO `wp_options` VALUES("6759", "_transient_action_scheduler_last_pastdue_actions_check", "1686208557", "no");
INSERT INTO `wp_options` VALUES("6760", "_transient_timeout_elementor_remote_info_api_data_3.13.4", "1686251758", "no");
INSERT INTO `wp_options` VALUES("6761", "_transient_elementor_remote_info_api_data_3.13.4", "a:4:{s:9:\"timestamp\";s:10:\"1686206897\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:64:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:5;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:6;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:16;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:19;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:21;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:22;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:23;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:24;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:25;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:26;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:27;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:28;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:29;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:30;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:31;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:32;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:33;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:34;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:35;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:36;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:37;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:38;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:39;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:40;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:41;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:42;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:43;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:44;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:45;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:46;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:47;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:48;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:49;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:50;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:51;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:52;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:53;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:54;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:55;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:56;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:57;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:58;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:59;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:60;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:61;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:62;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:63;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"6.2.2\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");
INSERT INTO `wp_options` VALUES("6784", "_site_transient_timeout_xirki_googlefonts_cache", "1686295030", "no");
INSERT INTO `wp_options` VALUES("6785", "_site_transient_xirki_googlefonts_cache", "a:1064:{s:7:\"ABeeZee\";a:3:{s:5:\"label\";s:7:\"ABeeZee\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Abel\";a:3:{s:5:\"label\";s:4:\"Abel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Abhaya Libre\";a:3:{s:5:\"label\";s:12:\"Abhaya Libre\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Abril Fatface\";a:3:{s:5:\"label\";s:13:\"Abril Fatface\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Aclonica\";a:3:{s:5:\"label\";s:8:\"Aclonica\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Acme\";a:3:{s:5:\"label\";s:4:\"Acme\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Actor\";a:3:{s:5:\"label\";s:5:\"Actor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Adamina\";a:3:{s:5:\"label\";s:7:\"Adamina\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Advent Pro\";a:3:{s:5:\"label\";s:10:\"Advent Pro\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Aguafina Script\";a:3:{s:5:\"label\";s:15:\"Aguafina Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Akaya Kanadaka\";a:3:{s:5:\"label\";s:14:\"Akaya Kanadaka\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Akaya Telivigala\";a:3:{s:5:\"label\";s:16:\"Akaya Telivigala\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Akronim\";a:3:{s:5:\"label\";s:7:\"Akronim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Aladin\";a:3:{s:5:\"label\";s:6:\"Aladin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Alata\";a:3:{s:5:\"label\";s:5:\"Alata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Alatsi\";a:3:{s:5:\"label\";s:6:\"Alatsi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Aldrich\";a:3:{s:5:\"label\";s:7:\"Aldrich\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Alef\";a:3:{s:5:\"label\";s:4:\"Alef\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Alegreya\";a:3:{s:5:\"label\";s:8:\"Alegreya\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Alegreya SC\";a:3:{s:5:\"label\";s:11:\"Alegreya SC\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"800\";i:5;s:9:\"800italic\";i:6;s:3:\"900\";i:7;s:9:\"900italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Alegreya Sans\";a:3:{s:5:\"label\";s:13:\"Alegreya Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Alegreya Sans SC\";a:3:{s:5:\"label\";s:16:\"Alegreya Sans SC\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Aleo\";a:3:{s:5:\"label\";s:4:\"Aleo\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Alex Brush\";a:3:{s:5:\"label\";s:10:\"Alex Brush\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Alfa Slab One\";a:3:{s:5:\"label\";s:13:\"Alfa Slab One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Alice\";a:3:{s:5:\"label\";s:5:\"Alice\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Alike\";a:3:{s:5:\"label\";s:5:\"Alike\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Alike Angular\";a:3:{s:5:\"label\";s:13:\"Alike Angular\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Allan\";a:3:{s:5:\"label\";s:5:\"Allan\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Allerta\";a:3:{s:5:\"label\";s:7:\"Allerta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Allerta Stencil\";a:3:{s:5:\"label\";s:15:\"Allerta Stencil\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Allura\";a:3:{s:5:\"label\";s:6:\"Allura\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Almarai\";a:3:{s:5:\"label\";s:7:\"Almarai\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:3:\"800\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Almendra\";a:3:{s:5:\"label\";s:8:\"Almendra\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Almendra Display\";a:3:{s:5:\"label\";s:16:\"Almendra Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Almendra SC\";a:3:{s:5:\"label\";s:11:\"Almendra SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Amarante\";a:3:{s:5:\"label\";s:8:\"Amarante\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Amaranth\";a:3:{s:5:\"label\";s:8:\"Amaranth\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Amatic SC\";a:3:{s:5:\"label\";s:9:\"Amatic SC\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Amethysta\";a:3:{s:5:\"label\";s:9:\"Amethysta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Amiko\";a:3:{s:5:\"label\";s:5:\"Amiko\";s:8:\"variants\";a:3:{i:0;s:3:\"600\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Amiri\";a:3:{s:5:\"label\";s:5:\"Amiri\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Amita\";a:3:{s:5:\"label\";s:5:\"Amita\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Anaheim\";a:3:{s:5:\"label\";s:7:\"Anaheim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Andada\";a:3:{s:5:\"label\";s:6:\"Andada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Andika\";a:3:{s:5:\"label\";s:6:\"Andika\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Andika New Basic\";a:3:{s:5:\"label\";s:16:\"Andika New Basic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Angkor\";a:3:{s:5:\"label\";s:6:\"Angkor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:24:\"Annie Use Your Telescope\";a:3:{s:5:\"label\";s:24:\"Annie Use Your Telescope\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Anonymous Pro\";a:3:{s:5:\"label\";s:13:\"Anonymous Pro\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:5:\"Antic\";a:3:{s:5:\"label\";s:5:\"Antic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Antic Didone\";a:3:{s:5:\"label\";s:12:\"Antic Didone\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Antic Slab\";a:3:{s:5:\"label\";s:10:\"Antic Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Anton\";a:3:{s:5:\"label\";s:5:\"Anton\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Antonio\";a:3:{s:5:\"label\";s:7:\"Antonio\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Arapey\";a:3:{s:5:\"label\";s:6:\"Arapey\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Arbutus\";a:3:{s:5:\"label\";s:7:\"Arbutus\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Arbutus Slab\";a:3:{s:5:\"label\";s:12:\"Arbutus Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Architects Daughter\";a:3:{s:5:\"label\";s:19:\"Architects Daughter\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Archivo\";a:3:{s:5:\"label\";s:7:\"Archivo\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Archivo Black\";a:3:{s:5:\"label\";s:13:\"Archivo Black\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Archivo Narrow\";a:3:{s:5:\"label\";s:14:\"Archivo Narrow\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Aref Ruqaa\";a:3:{s:5:\"label\";s:10:\"Aref Ruqaa\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Arima Madurai\";a:3:{s:5:\"label\";s:13:\"Arima Madurai\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Arimo\";a:3:{s:5:\"label\";s:5:\"Arimo\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Arizonia\";a:3:{s:5:\"label\";s:8:\"Arizonia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Armata\";a:3:{s:5:\"label\";s:6:\"Armata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Arsenal\";a:3:{s:5:\"label\";s:7:\"Arsenal\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Artifika\";a:3:{s:5:\"label\";s:8:\"Artifika\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Arvo\";a:3:{s:5:\"label\";s:4:\"Arvo\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Arya\";a:3:{s:5:\"label\";s:4:\"Arya\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Asap\";a:3:{s:5:\"label\";s:4:\"Asap\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Asap Condensed\";a:3:{s:5:\"label\";s:14:\"Asap Condensed\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Asar\";a:3:{s:5:\"label\";s:4:\"Asar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Asset\";a:3:{s:5:\"label\";s:5:\"Asset\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Assistant\";a:3:{s:5:\"label\";s:9:\"Assistant\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Astloch\";a:3:{s:5:\"label\";s:7:\"Astloch\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Asul\";a:3:{s:5:\"label\";s:4:\"Asul\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Athiti\";a:3:{s:5:\"label\";s:6:\"Athiti\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Atma\";a:3:{s:5:\"label\";s:4:\"Atma\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Atomic Age\";a:3:{s:5:\"label\";s:10:\"Atomic Age\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Aubrey\";a:3:{s:5:\"label\";s:6:\"Aubrey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Audiowide\";a:3:{s:5:\"label\";s:9:\"Audiowide\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Autour One\";a:3:{s:5:\"label\";s:10:\"Autour One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Average\";a:3:{s:5:\"label\";s:7:\"Average\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Average Sans\";a:3:{s:5:\"label\";s:12:\"Average Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Averia Gruesa Libre\";a:3:{s:5:\"label\";s:19:\"Averia Gruesa Libre\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Averia Libre\";a:3:{s:5:\"label\";s:12:\"Averia Libre\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Averia Sans Libre\";a:3:{s:5:\"label\";s:17:\"Averia Sans Libre\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Averia Serif Libre\";a:3:{s:5:\"label\";s:18:\"Averia Serif Libre\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"B612\";a:3:{s:5:\"label\";s:4:\"B612\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"B612 Mono\";a:3:{s:5:\"label\";s:9:\"B612 Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:10:\"Bad Script\";a:3:{s:5:\"label\";s:10:\"Bad Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Bahiana\";a:3:{s:5:\"label\";s:7:\"Bahiana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Bahianita\";a:3:{s:5:\"label\";s:9:\"Bahianita\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Bai Jamjuree\";a:3:{s:5:\"label\";s:12:\"Bai Jamjuree\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Ballet\";a:3:{s:5:\"label\";s:6:\"Ballet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Baloo 2\";a:3:{s:5:\"label\";s:7:\"Baloo 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Baloo Bhai 2\";a:3:{s:5:\"label\";s:12:\"Baloo Bhai 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Baloo Bhaina 2\";a:3:{s:5:\"label\";s:14:\"Baloo Bhaina 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Baloo Chettan 2\";a:3:{s:5:\"label\";s:15:\"Baloo Chettan 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Baloo Da 2\";a:3:{s:5:\"label\";s:10:\"Baloo Da 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Baloo Paaji 2\";a:3:{s:5:\"label\";s:13:\"Baloo Paaji 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Baloo Tamma 2\";a:3:{s:5:\"label\";s:13:\"Baloo Tamma 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Baloo Tammudu 2\";a:3:{s:5:\"label\";s:15:\"Baloo Tammudu 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Baloo Thambi 2\";a:3:{s:5:\"label\";s:14:\"Baloo Thambi 2\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Balsamiq Sans\";a:3:{s:5:\"label\";s:13:\"Balsamiq Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Balthazar\";a:3:{s:5:\"label\";s:9:\"Balthazar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Bangers\";a:3:{s:5:\"label\";s:7:\"Bangers\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Barlow\";a:3:{s:5:\"label\";s:6:\"Barlow\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Barlow Condensed\";a:3:{s:5:\"label\";s:16:\"Barlow Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Barlow Semi Condensed\";a:3:{s:5:\"label\";s:21:\"Barlow Semi Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Barriecito\";a:3:{s:5:\"label\";s:10:\"Barriecito\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Barrio\";a:3:{s:5:\"label\";s:6:\"Barrio\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Basic\";a:3:{s:5:\"label\";s:5:\"Basic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Baskervville\";a:3:{s:5:\"label\";s:12:\"Baskervville\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Battambang\";a:3:{s:5:\"label\";s:10:\"Battambang\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Baumans\";a:3:{s:5:\"label\";s:7:\"Baumans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Bayon\";a:3:{s:5:\"label\";s:5:\"Bayon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Be Vietnam\";a:3:{s:5:\"label\";s:10:\"Be Vietnam\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Bebas Neue\";a:3:{s:5:\"label\";s:10:\"Bebas Neue\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Belgrano\";a:3:{s:5:\"label\";s:8:\"Belgrano\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Bellefair\";a:3:{s:5:\"label\";s:9:\"Bellefair\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Belleza\";a:3:{s:5:\"label\";s:7:\"Belleza\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Bellota\";a:3:{s:5:\"label\";s:7:\"Bellota\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Bellota Text\";a:3:{s:5:\"label\";s:12:\"Bellota Text\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"BenchNine\";a:3:{s:5:\"label\";s:9:\"BenchNine\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Benne\";a:3:{s:5:\"label\";s:5:\"Benne\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Bentham\";a:3:{s:5:\"label\";s:7:\"Bentham\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Berkshire Swash\";a:3:{s:5:\"label\";s:15:\"Berkshire Swash\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Beth Ellen\";a:3:{s:5:\"label\";s:10:\"Beth Ellen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Bevan\";a:3:{s:5:\"label\";s:5:\"Bevan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:21:\"Big Shoulders Display\";a:3:{s:5:\"label\";s:21:\"Big Shoulders Display\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:28:\"Big Shoulders Inline Display\";a:3:{s:5:\"label\";s:28:\"Big Shoulders Inline Display\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:25:\"Big Shoulders Inline Text\";a:3:{s:5:\"label\";s:25:\"Big Shoulders Inline Text\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:29:\"Big Shoulders Stencil Display\";a:3:{s:5:\"label\";s:29:\"Big Shoulders Stencil Display\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:26:\"Big Shoulders Stencil Text\";a:3:{s:5:\"label\";s:26:\"Big Shoulders Stencil Text\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Big Shoulders Text\";a:3:{s:5:\"label\";s:18:\"Big Shoulders Text\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Bigelow Rules\";a:3:{s:5:\"label\";s:13:\"Bigelow Rules\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Bigshot One\";a:3:{s:5:\"label\";s:11:\"Bigshot One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Bilbo\";a:3:{s:5:\"label\";s:5:\"Bilbo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Bilbo Swash Caps\";a:3:{s:5:\"label\";s:16:\"Bilbo Swash Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"BioRhyme\";a:3:{s:5:\"label\";s:8:\"BioRhyme\";s:8:\"variants\";a:5:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"BioRhyme Expanded\";a:3:{s:5:\"label\";s:17:\"BioRhyme Expanded\";s:8:\"variants\";a:5:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Biryani\";a:3:{s:5:\"label\";s:7:\"Biryani\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Bitter\";a:3:{s:5:\"label\";s:6:\"Bitter\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"Black And White Picture\";a:3:{s:5:\"label\";s:23:\"Black And White Picture\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Black Han Sans\";a:3:{s:5:\"label\";s:14:\"Black Han Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Black Ops One\";a:3:{s:5:\"label\";s:13:\"Black Ops One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Blinker\";a:3:{s:5:\"label\";s:7:\"Blinker\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Bodoni Moda\";a:3:{s:5:\"label\";s:11:\"Bodoni Moda\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Bokor\";a:3:{s:5:\"label\";s:5:\"Bokor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Bona Nova\";a:3:{s:5:\"label\";s:9:\"Bona Nova\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Bonbon\";a:3:{s:5:\"label\";s:6:\"Bonbon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Boogaloo\";a:3:{s:5:\"label\";s:8:\"Boogaloo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Bowlby One\";a:3:{s:5:\"label\";s:10:\"Bowlby One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Bowlby One SC\";a:3:{s:5:\"label\";s:13:\"Bowlby One SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Brawler\";a:3:{s:5:\"label\";s:7:\"Brawler\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Bree Serif\";a:3:{s:5:\"label\";s:10:\"Bree Serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Brygada 1918\";a:3:{s:5:\"label\";s:12:\"Brygada 1918\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Bubblegum Sans\";a:3:{s:5:\"label\";s:14:\"Bubblegum Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Bubbler One\";a:3:{s:5:\"label\";s:11:\"Bubbler One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Buda\";a:3:{s:5:\"label\";s:4:\"Buda\";s:8:\"variants\";a:1:{i:0;s:3:\"300\";}s:8:\"category\";s:7:\"display\";}s:7:\"Buenard\";a:3:{s:5:\"label\";s:7:\"Buenard\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Bungee\";a:3:{s:5:\"label\";s:6:\"Bungee\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Bungee Hairline\";a:3:{s:5:\"label\";s:15:\"Bungee Hairline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Bungee Inline\";a:3:{s:5:\"label\";s:13:\"Bungee Inline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Bungee Outline\";a:3:{s:5:\"label\";s:14:\"Bungee Outline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Bungee Shade\";a:3:{s:5:\"label\";s:12:\"Bungee Shade\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Butcherman\";a:3:{s:5:\"label\";s:10:\"Butcherman\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Butterfly Kids\";a:3:{s:5:\"label\";s:14:\"Butterfly Kids\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Cabin\";a:3:{s:5:\"label\";s:5:\"Cabin\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Cabin Condensed\";a:3:{s:5:\"label\";s:15:\"Cabin Condensed\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Cabin Sketch\";a:3:{s:5:\"label\";s:12:\"Cabin Sketch\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Caesar Dressing\";a:3:{s:5:\"label\";s:15:\"Caesar Dressing\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Cagliostro\";a:3:{s:5:\"label\";s:10:\"Cagliostro\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Cairo\";a:3:{s:5:\"label\";s:5:\"Cairo\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Caladea\";a:3:{s:5:\"label\";s:7:\"Caladea\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Calistoga\";a:3:{s:5:\"label\";s:9:\"Calistoga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Calligraffitti\";a:3:{s:5:\"label\";s:14:\"Calligraffitti\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Cambay\";a:3:{s:5:\"label\";s:6:\"Cambay\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Cambo\";a:3:{s:5:\"label\";s:5:\"Cambo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Candal\";a:3:{s:5:\"label\";s:6:\"Candal\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Cantarell\";a:3:{s:5:\"label\";s:9:\"Cantarell\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Cantata One\";a:3:{s:5:\"label\";s:11:\"Cantata One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Cantora One\";a:3:{s:5:\"label\";s:11:\"Cantora One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Capriola\";a:3:{s:5:\"label\";s:8:\"Capriola\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Cardo\";a:3:{s:5:\"label\";s:5:\"Cardo\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Carme\";a:3:{s:5:\"label\";s:5:\"Carme\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Carrois Gothic\";a:3:{s:5:\"label\";s:14:\"Carrois Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Carrois Gothic SC\";a:3:{s:5:\"label\";s:17:\"Carrois Gothic SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Carter One\";a:3:{s:5:\"label\";s:10:\"Carter One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Castoro\";a:3:{s:5:\"label\";s:7:\"Castoro\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Catamaran\";a:3:{s:5:\"label\";s:9:\"Catamaran\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Caudex\";a:3:{s:5:\"label\";s:6:\"Caudex\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Caveat\";a:3:{s:5:\"label\";s:6:\"Caveat\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Caveat Brush\";a:3:{s:5:\"label\";s:12:\"Caveat Brush\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:18:\"Cedarville Cursive\";a:3:{s:5:\"label\";s:18:\"Cedarville Cursive\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Ceviche One\";a:3:{s:5:\"label\";s:11:\"Ceviche One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Chakra Petch\";a:3:{s:5:\"label\";s:12:\"Chakra Petch\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Changa\";a:3:{s:5:\"label\";s:6:\"Changa\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Changa One\";a:3:{s:5:\"label\";s:10:\"Changa One\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Chango\";a:3:{s:5:\"label\";s:6:\"Chango\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Charm\";a:3:{s:5:\"label\";s:5:\"Charm\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Charmonman\";a:3:{s:5:\"label\";s:10:\"Charmonman\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Chathura\";a:3:{s:5:\"label\";s:8:\"Chathura\";s:8:\"variants\";a:5:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Chau Philomene One\";a:3:{s:5:\"label\";s:18:\"Chau Philomene One\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Chela One\";a:3:{s:5:\"label\";s:9:\"Chela One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Chelsea Market\";a:3:{s:5:\"label\";s:14:\"Chelsea Market\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Chenla\";a:3:{s:5:\"label\";s:6:\"Chenla\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Cherry Cream Soda\";a:3:{s:5:\"label\";s:17:\"Cherry Cream Soda\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Cherry Swash\";a:3:{s:5:\"label\";s:12:\"Cherry Swash\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Chewy\";a:3:{s:5:\"label\";s:5:\"Chewy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Chicle\";a:3:{s:5:\"label\";s:6:\"Chicle\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Chilanka\";a:3:{s:5:\"label\";s:8:\"Chilanka\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Chivo\";a:3:{s:5:\"label\";s:5:\"Chivo\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Chonburi\";a:3:{s:5:\"label\";s:8:\"Chonburi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Cinzel\";a:3:{s:5:\"label\";s:6:\"Cinzel\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Cinzel Decorative\";a:3:{s:5:\"label\";s:17:\"Cinzel Decorative\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Clicker Script\";a:3:{s:5:\"label\";s:14:\"Clicker Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Coda\";a:3:{s:5:\"label\";s:4:\"Coda\";s:8:\"variants\";a:2:{i:0;s:3:\"800\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Coda Caption\";a:3:{s:5:\"label\";s:12:\"Coda Caption\";s:8:\"variants\";a:1:{i:0;s:3:\"800\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Codystar\";a:3:{s:5:\"label\";s:8:\"Codystar\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Coiny\";a:3:{s:5:\"label\";s:5:\"Coiny\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Combo\";a:3:{s:5:\"label\";s:5:\"Combo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Comfortaa\";a:3:{s:5:\"label\";s:9:\"Comfortaa\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Comic Neue\";a:3:{s:5:\"label\";s:10:\"Comic Neue\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Coming Soon\";a:3:{s:5:\"label\";s:11:\"Coming Soon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Commissioner\";a:3:{s:5:\"label\";s:12:\"Commissioner\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Concert One\";a:3:{s:5:\"label\";s:11:\"Concert One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Condiment\";a:3:{s:5:\"label\";s:9:\"Condiment\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Content\";a:3:{s:5:\"label\";s:7:\"Content\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Contrail One\";a:3:{s:5:\"label\";s:12:\"Contrail One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Convergence\";a:3:{s:5:\"label\";s:11:\"Convergence\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Cookie\";a:3:{s:5:\"label\";s:6:\"Cookie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Copse\";a:3:{s:5:\"label\";s:5:\"Copse\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Corben\";a:3:{s:5:\"label\";s:6:\"Corben\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Cormorant\";a:3:{s:5:\"label\";s:9:\"Cormorant\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Cormorant Garamond\";a:3:{s:5:\"label\";s:18:\"Cormorant Garamond\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Cormorant Infant\";a:3:{s:5:\"label\";s:16:\"Cormorant Infant\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Cormorant SC\";a:3:{s:5:\"label\";s:12:\"Cormorant SC\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Cormorant Unicase\";a:3:{s:5:\"label\";s:17:\"Cormorant Unicase\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Cormorant Upright\";a:3:{s:5:\"label\";s:17:\"Cormorant Upright\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Courgette\";a:3:{s:5:\"label\";s:9:\"Courgette\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Courier Prime\";a:3:{s:5:\"label\";s:13:\"Courier Prime\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"Cousine\";a:3:{s:5:\"label\";s:7:\"Cousine\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:8:\"Coustard\";a:3:{s:5:\"label\";s:8:\"Coustard\";s:8:\"variants\";a:2:{i:0;s:3:\"900\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:21:\"Covered By Your Grace\";a:3:{s:5:\"label\";s:21:\"Covered By Your Grace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Crafty Girls\";a:3:{s:5:\"label\";s:12:\"Crafty Girls\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Creepster\";a:3:{s:5:\"label\";s:9:\"Creepster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Crete Round\";a:3:{s:5:\"label\";s:11:\"Crete Round\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Crimson Pro\";a:3:{s:5:\"label\";s:11:\"Crimson Pro\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Crimson Text\";a:3:{s:5:\"label\";s:12:\"Crimson Text\";s:8:\"variants\";a:6:{i:0;s:3:\"600\";i:1;s:9:\"600italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Croissant One\";a:3:{s:5:\"label\";s:13:\"Croissant One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Crushed\";a:3:{s:5:\"label\";s:7:\"Crushed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Cuprum\";a:3:{s:5:\"label\";s:6:\"Cuprum\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Cute Font\";a:3:{s:5:\"label\";s:9:\"Cute Font\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Cutive\";a:3:{s:5:\"label\";s:6:\"Cutive\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Cutive Mono\";a:3:{s:5:\"label\";s:11:\"Cutive Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"DM Mono\";a:3:{s:5:\"label\";s:7:\"DM Mono\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"DM Sans\";a:3:{s:5:\"label\";s:7:\"DM Sans\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"DM Serif Display\";a:3:{s:5:\"label\";s:16:\"DM Serif Display\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"DM Serif Text\";a:3:{s:5:\"label\";s:13:\"DM Serif Text\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Damion\";a:3:{s:5:\"label\";s:6:\"Damion\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Dancing Script\";a:3:{s:5:\"label\";s:14:\"Dancing Script\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Dangrek\";a:3:{s:5:\"label\";s:7:\"Dangrek\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Darker Grotesque\";a:3:{s:5:\"label\";s:16:\"Darker Grotesque\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"David Libre\";a:3:{s:5:\"label\";s:11:\"David Libre\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Dawning of a New Day\";a:3:{s:5:\"label\";s:20:\"Dawning of a New Day\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Days One\";a:3:{s:5:\"label\";s:8:\"Days One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dekko\";a:3:{s:5:\"label\";s:5:\"Dekko\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Dela Gothic One\";a:3:{s:5:\"label\";s:15:\"Dela Gothic One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Delius\";a:3:{s:5:\"label\";s:6:\"Delius\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:17:\"Delius Swash Caps\";a:3:{s:5:\"label\";s:17:\"Delius Swash Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Delius Unicase\";a:3:{s:5:\"label\";s:14:\"Delius Unicase\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Della Respira\";a:3:{s:5:\"label\";s:13:\"Della Respira\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Denk One\";a:3:{s:5:\"label\";s:8:\"Denk One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Devonshire\";a:3:{s:5:\"label\";s:10:\"Devonshire\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Dhurjati\";a:3:{s:5:\"label\";s:8:\"Dhurjati\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Didact Gothic\";a:3:{s:5:\"label\";s:13:\"Didact Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Diplomata\";a:3:{s:5:\"label\";s:9:\"Diplomata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Diplomata SC\";a:3:{s:5:\"label\";s:12:\"Diplomata SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Do Hyeon\";a:3:{s:5:\"label\";s:8:\"Do Hyeon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dokdo\";a:3:{s:5:\"label\";s:5:\"Dokdo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Domine\";a:3:{s:5:\"label\";s:6:\"Domine\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Donegal One\";a:3:{s:5:\"label\";s:11:\"Donegal One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Doppio One\";a:3:{s:5:\"label\";s:10:\"Doppio One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dorsa\";a:3:{s:5:\"label\";s:5:\"Dorsa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Dosis\";a:3:{s:5:\"label\";s:5:\"Dosis\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"DotGothic16\";a:3:{s:5:\"label\";s:11:\"DotGothic16\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Dr Sugiyama\";a:3:{s:5:\"label\";s:11:\"Dr Sugiyama\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Duru Sans\";a:3:{s:5:\"label\";s:9:\"Duru Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Dynalight\";a:3:{s:5:\"label\";s:9:\"Dynalight\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"EB Garamond\";a:3:{s:5:\"label\";s:11:\"EB Garamond\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Eagle Lake\";a:3:{s:5:\"label\";s:10:\"Eagle Lake\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"East Sea Dokdo\";a:3:{s:5:\"label\";s:14:\"East Sea Dokdo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Eater\";a:3:{s:5:\"label\";s:5:\"Eater\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Economica\";a:3:{s:5:\"label\";s:9:\"Economica\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Eczar\";a:3:{s:5:\"label\";s:5:\"Eczar\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"El Messiri\";a:3:{s:5:\"label\";s:10:\"El Messiri\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Electrolize\";a:3:{s:5:\"label\";s:11:\"Electrolize\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Elsie\";a:3:{s:5:\"label\";s:5:\"Elsie\";s:8:\"variants\";a:2:{i:0;s:3:\"900\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Elsie Swash Caps\";a:3:{s:5:\"label\";s:16:\"Elsie Swash Caps\";s:8:\"variants\";a:2:{i:0;s:3:\"900\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Emblema One\";a:3:{s:5:\"label\";s:11:\"Emblema One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Emilys Candy\";a:3:{s:5:\"label\";s:12:\"Emilys Candy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Encode Sans\";a:3:{s:5:\"label\";s:11:\"Encode Sans\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Encode Sans Condensed\";a:3:{s:5:\"label\";s:21:\"Encode Sans Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Encode Sans Expanded\";a:3:{s:5:\"label\";s:20:\"Encode Sans Expanded\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Encode Sans SC\";a:3:{s:5:\"label\";s:14:\"Encode Sans SC\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:26:\"Encode Sans Semi Condensed\";a:3:{s:5:\"label\";s:26:\"Encode Sans Semi Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"Encode Sans Semi Expanded\";a:3:{s:5:\"label\";s:25:\"Encode Sans Semi Expanded\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Engagement\";a:3:{s:5:\"label\";s:10:\"Engagement\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Englebert\";a:3:{s:5:\"label\";s:9:\"Englebert\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Enriqueta\";a:3:{s:5:\"label\";s:9:\"Enriqueta\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Epilogue\";a:3:{s:5:\"label\";s:8:\"Epilogue\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Erica One\";a:3:{s:5:\"label\";s:9:\"Erica One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Esteban\";a:3:{s:5:\"label\";s:7:\"Esteban\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Euphoria Script\";a:3:{s:5:\"label\";s:15:\"Euphoria Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Ewert\";a:3:{s:5:\"label\";s:5:\"Ewert\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"Exo\";a:3:{s:5:\"label\";s:3:\"Exo\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Exo 2\";a:3:{s:5:\"label\";s:5:\"Exo 2\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Expletus Sans\";a:3:{s:5:\"label\";s:13:\"Expletus Sans\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Fahkwang\";a:3:{s:5:\"label\";s:8:\"Fahkwang\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Fanwood Text\";a:3:{s:5:\"label\";s:12:\"Fanwood Text\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Farro\";a:3:{s:5:\"label\";s:5:\"Farro\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Farsan\";a:3:{s:5:\"label\";s:6:\"Farsan\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fascinate\";a:3:{s:5:\"label\";s:9:\"Fascinate\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Fascinate Inline\";a:3:{s:5:\"label\";s:16:\"Fascinate Inline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Faster One\";a:3:{s:5:\"label\";s:10:\"Faster One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Fasthand\";a:3:{s:5:\"label\";s:8:\"Fasthand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Fauna One\";a:3:{s:5:\"label\";s:9:\"Fauna One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Faustina\";a:3:{s:5:\"label\";s:8:\"Faustina\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Federant\";a:3:{s:5:\"label\";s:8:\"Federant\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Federo\";a:3:{s:5:\"label\";s:6:\"Federo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Felipa\";a:3:{s:5:\"label\";s:6:\"Felipa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Fenix\";a:3:{s:5:\"label\";s:5:\"Fenix\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Festive\";a:3:{s:5:\"label\";s:7:\"Festive\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Finger Paint\";a:3:{s:5:\"label\";s:12:\"Finger Paint\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fira Code\";a:3:{s:5:\"label\";s:9:\"Fira Code\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:9:\"Fira Mono\";a:3:{s:5:\"label\";s:9:\"Fira Mono\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:9:\"Fira Sans\";a:3:{s:5:\"label\";s:9:\"Fira Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Fira Sans Condensed\";a:3:{s:5:\"label\";s:19:\"Fira Sans Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:25:\"Fira Sans Extra Condensed\";a:3:{s:5:\"label\";s:25:\"Fira Sans Extra Condensed\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Fjalla One\";a:3:{s:5:\"label\";s:10:\"Fjalla One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Fjord One\";a:3:{s:5:\"label\";s:9:\"Fjord One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Flamenco\";a:3:{s:5:\"label\";s:8:\"Flamenco\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Flavors\";a:3:{s:5:\"label\";s:7:\"Flavors\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Fondamento\";a:3:{s:5:\"label\";s:10:\"Fondamento\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Fontdiner Swanky\";a:3:{s:5:\"label\";s:16:\"Fontdiner Swanky\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Forum\";a:3:{s:5:\"label\";s:5:\"Forum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Francois One\";a:3:{s:5:\"label\";s:12:\"Francois One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Frank Ruhl Libre\";a:3:{s:5:\"label\";s:16:\"Frank Ruhl Libre\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Fraunces\";a:3:{s:5:\"label\";s:8:\"Fraunces\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Freckle Face\";a:3:{s:5:\"label\";s:12:\"Freckle Face\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Fredericka the Great\";a:3:{s:5:\"label\";s:20:\"Fredericka the Great\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Fredoka One\";a:3:{s:5:\"label\";s:11:\"Fredoka One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Freehand\";a:3:{s:5:\"label\";s:8:\"Freehand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Fresca\";a:3:{s:5:\"label\";s:6:\"Fresca\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Frijole\";a:3:{s:5:\"label\";s:7:\"Frijole\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Fruktur\";a:3:{s:5:\"label\";s:7:\"Fruktur\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Fugaz One\";a:3:{s:5:\"label\";s:9:\"Fugaz One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Fuggles\";a:3:{s:5:\"label\";s:7:\"Fuggles\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"GFS Didot\";a:3:{s:5:\"label\";s:9:\"GFS Didot\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"GFS Neohellenic\";a:3:{s:5:\"label\";s:15:\"GFS Neohellenic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Gabriela\";a:3:{s:5:\"label\";s:8:\"Gabriela\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Gaegu\";a:3:{s:5:\"label\";s:5:\"Gaegu\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Gafata\";a:3:{s:5:\"label\";s:6:\"Gafata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Galada\";a:3:{s:5:\"label\";s:6:\"Galada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Galdeano\";a:3:{s:5:\"label\";s:8:\"Galdeano\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Galindo\";a:3:{s:5:\"label\";s:7:\"Galindo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Gamja Flower\";a:3:{s:5:\"label\";s:12:\"Gamja Flower\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Gayathri\";a:3:{s:5:\"label\";s:8:\"Gayathri\";s:8:\"variants\";a:3:{i:0;s:3:\"100\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Gelasio\";a:3:{s:5:\"label\";s:7:\"Gelasio\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Gentium Basic\";a:3:{s:5:\"label\";s:13:\"Gentium Basic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Gentium Book Basic\";a:3:{s:5:\"label\";s:18:\"Gentium Book Basic\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:3:\"Geo\";a:3:{s:5:\"label\";s:3:\"Geo\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Geostar\";a:3:{s:5:\"label\";s:7:\"Geostar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Geostar Fill\";a:3:{s:5:\"label\";s:12:\"Geostar Fill\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Germania One\";a:3:{s:5:\"label\";s:12:\"Germania One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Gidugu\";a:3:{s:5:\"label\";s:6:\"Gidugu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Gilda Display\";a:3:{s:5:\"label\";s:13:\"Gilda Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Girassol\";a:3:{s:5:\"label\";s:8:\"Girassol\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Give You Glory\";a:3:{s:5:\"label\";s:14:\"Give You Glory\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Glass Antiqua\";a:3:{s:5:\"label\";s:13:\"Glass Antiqua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Glegoo\";a:3:{s:5:\"label\";s:6:\"Glegoo\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Gloria Hallelujah\";a:3:{s:5:\"label\";s:17:\"Gloria Hallelujah\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Goblin One\";a:3:{s:5:\"label\";s:10:\"Goblin One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Gochi Hand\";a:3:{s:5:\"label\";s:10:\"Gochi Hand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Goldman\";a:3:{s:5:\"label\";s:7:\"Goldman\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Gorditas\";a:3:{s:5:\"label\";s:8:\"Gorditas\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Gothic A1\";a:3:{s:5:\"label\";s:9:\"Gothic A1\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Gotu\";a:3:{s:5:\"label\";s:4:\"Gotu\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Goudy Bookletter 1911\";a:3:{s:5:\"label\";s:21:\"Goudy Bookletter 1911\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Graduate\";a:3:{s:5:\"label\";s:8:\"Graduate\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Grand Hotel\";a:3:{s:5:\"label\";s:11:\"Grand Hotel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Grandstander\";a:3:{s:5:\"label\";s:12:\"Grandstander\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Gravitas One\";a:3:{s:5:\"label\";s:12:\"Gravitas One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Great Vibes\";a:3:{s:5:\"label\";s:11:\"Great Vibes\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Grenze\";a:3:{s:5:\"label\";s:6:\"Grenze\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Grenze Gotisch\";a:3:{s:5:\"label\";s:14:\"Grenze Gotisch\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Griffy\";a:3:{s:5:\"label\";s:6:\"Griffy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Gruppo\";a:3:{s:5:\"label\";s:6:\"Gruppo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Gudea\";a:3:{s:5:\"label\";s:5:\"Gudea\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Gugi\";a:3:{s:5:\"label\";s:4:\"Gugi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Gupter\";a:3:{s:5:\"label\";s:6:\"Gupter\";s:8:\"variants\";a:3:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Gurajada\";a:3:{s:5:\"label\";s:8:\"Gurajada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Habibi\";a:3:{s:5:\"label\";s:6:\"Habibi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Hachi Maru Pop\";a:3:{s:5:\"label\";s:14:\"Hachi Maru Pop\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Halant\";a:3:{s:5:\"label\";s:6:\"Halant\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Hammersmith One\";a:3:{s:5:\"label\";s:15:\"Hammersmith One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Hanalei\";a:3:{s:5:\"label\";s:7:\"Hanalei\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Hanalei Fill\";a:3:{s:5:\"label\";s:12:\"Hanalei Fill\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Handlee\";a:3:{s:5:\"label\";s:7:\"Handlee\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Hanuman\";a:3:{s:5:\"label\";s:7:\"Hanuman\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Happy Monkey\";a:3:{s:5:\"label\";s:12:\"Happy Monkey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Harmattan\";a:3:{s:5:\"label\";s:9:\"Harmattan\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Headland One\";a:3:{s:5:\"label\";s:12:\"Headland One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Heebo\";a:3:{s:5:\"label\";s:5:\"Heebo\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Henny Penny\";a:3:{s:5:\"label\";s:11:\"Henny Penny\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Hepta Slab\";a:3:{s:5:\"label\";s:10:\"Hepta Slab\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Herr Von Muellerhoff\";a:3:{s:5:\"label\";s:20:\"Herr Von Muellerhoff\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Hi Melody\";a:3:{s:5:\"label\";s:9:\"Hi Melody\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Hind\";a:3:{s:5:\"label\";s:4:\"Hind\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Hind Guntur\";a:3:{s:5:\"label\";s:11:\"Hind Guntur\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Hind Madurai\";a:3:{s:5:\"label\";s:12:\"Hind Madurai\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Hind Siliguri\";a:3:{s:5:\"label\";s:13:\"Hind Siliguri\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Hind Vadodara\";a:3:{s:5:\"label\";s:13:\"Hind Vadodara\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Holtwood One SC\";a:3:{s:5:\"label\";s:15:\"Holtwood One SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Homemade Apple\";a:3:{s:5:\"label\";s:14:\"Homemade Apple\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Homenaje\";a:3:{s:5:\"label\";s:8:\"Homenaje\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"IBM Plex Mono\";a:3:{s:5:\"label\";s:13:\"IBM Plex Mono\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:13:\"IBM Plex Sans\";a:3:{s:5:\"label\";s:13:\"IBM Plex Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:23:\"IBM Plex Sans Condensed\";a:3:{s:5:\"label\";s:23:\"IBM Plex Sans Condensed\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"IBM Plex Serif\";a:3:{s:5:\"label\";s:14:\"IBM Plex Serif\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"IM Fell DW Pica\";a:3:{s:5:\"label\";s:15:\"IM Fell DW Pica\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"IM Fell DW Pica SC\";a:3:{s:5:\"label\";s:18:\"IM Fell DW Pica SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"IM Fell Double Pica\";a:3:{s:5:\"label\";s:19:\"IM Fell Double Pica\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:22:\"IM Fell Double Pica SC\";a:3:{s:5:\"label\";s:22:\"IM Fell Double Pica SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"IM Fell English\";a:3:{s:5:\"label\";s:15:\"IM Fell English\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"IM Fell English SC\";a:3:{s:5:\"label\";s:18:\"IM Fell English SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"IM Fell French Canon\";a:3:{s:5:\"label\";s:20:\"IM Fell French Canon\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"IM Fell French Canon SC\";a:3:{s:5:\"label\";s:23:\"IM Fell French Canon SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"IM Fell Great Primer\";a:3:{s:5:\"label\";s:20:\"IM Fell Great Primer\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"IM Fell Great Primer SC\";a:3:{s:5:\"label\";s:23:\"IM Fell Great Primer SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Ibarra Real Nova\";a:3:{s:5:\"label\";s:16:\"Ibarra Real Nova\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Iceberg\";a:3:{s:5:\"label\";s:7:\"Iceberg\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Iceland\";a:3:{s:5:\"label\";s:7:\"Iceland\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Imbue\";a:3:{s:5:\"label\";s:5:\"Imbue\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Imprima\";a:3:{s:5:\"label\";s:7:\"Imprima\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Inconsolata\";a:3:{s:5:\"label\";s:11:\"Inconsolata\";s:8:\"variants\";a:8:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:3:\"900\";i:7;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:5:\"Inder\";a:3:{s:5:\"label\";s:5:\"Inder\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Indie Flower\";a:3:{s:5:\"label\";s:12:\"Indie Flower\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Inika\";a:3:{s:5:\"label\";s:5:\"Inika\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Inknut Antiqua\";a:3:{s:5:\"label\";s:14:\"Inknut Antiqua\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Inria Sans\";a:3:{s:5:\"label\";s:10:\"Inria Sans\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Inria Serif\";a:3:{s:5:\"label\";s:11:\"Inria Serif\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Inter\";a:3:{s:5:\"label\";s:5:\"Inter\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Irish Grover\";a:3:{s:5:\"label\";s:12:\"Irish Grover\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Istok Web\";a:3:{s:5:\"label\";s:9:\"Istok Web\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Italiana\";a:3:{s:5:\"label\";s:8:\"Italiana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Italianno\";a:3:{s:5:\"label\";s:9:\"Italianno\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Itim\";a:3:{s:5:\"label\";s:4:\"Itim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Jacques Francois\";a:3:{s:5:\"label\";s:16:\"Jacques Francois\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:23:\"Jacques Francois Shadow\";a:3:{s:5:\"label\";s:23:\"Jacques Francois Shadow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Jaldi\";a:3:{s:5:\"label\";s:5:\"Jaldi\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"JetBrains Mono\";a:3:{s:5:\"label\";s:14:\"JetBrains Mono\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:14:\"Jim Nightshade\";a:3:{s:5:\"label\";s:14:\"Jim Nightshade\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Jockey One\";a:3:{s:5:\"label\";s:10:\"Jockey One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Jolly Lodger\";a:3:{s:5:\"label\";s:12:\"Jolly Lodger\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Jomhuria\";a:3:{s:5:\"label\";s:8:\"Jomhuria\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Jomolhari\";a:3:{s:5:\"label\";s:9:\"Jomolhari\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Josefin Sans\";a:3:{s:5:\"label\";s:12:\"Josefin Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Josefin Slab\";a:3:{s:5:\"label\";s:12:\"Josefin Slab\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Jost\";a:3:{s:5:\"label\";s:4:\"Jost\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Joti One\";a:3:{s:5:\"label\";s:8:\"Joti One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"Jua\";a:3:{s:5:\"label\";s:3:\"Jua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Judson\";a:3:{s:5:\"label\";s:6:\"Judson\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Julee\";a:3:{s:5:\"label\";s:5:\"Julee\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Julius Sans One\";a:3:{s:5:\"label\";s:15:\"Julius Sans One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Junge\";a:3:{s:5:\"label\";s:5:\"Junge\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Jura\";a:3:{s:5:\"label\";s:4:\"Jura\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Just Another Hand\";a:3:{s:5:\"label\";s:17:\"Just Another Hand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:23:\"Just Me Again Down Here\";a:3:{s:5:\"label\";s:23:\"Just Me Again Down Here\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:3:\"K2D\";a:3:{s:5:\"label\";s:3:\"K2D\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Kadwa\";a:3:{s:5:\"label\";s:5:\"Kadwa\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Kalam\";a:3:{s:5:\"label\";s:5:\"Kalam\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Kameron\";a:3:{s:5:\"label\";s:7:\"Kameron\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Kanit\";a:3:{s:5:\"label\";s:5:\"Kanit\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kantumruy\";a:3:{s:5:\"label\";s:9:\"Kantumruy\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Karantina\";a:3:{s:5:\"label\";s:9:\"Karantina\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Karla\";a:3:{s:5:\"label\";s:5:\"Karla\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Karma\";a:3:{s:5:\"label\";s:5:\"Karma\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Katibeh\";a:3:{s:5:\"label\";s:7:\"Katibeh\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Kaushan Script\";a:3:{s:5:\"label\";s:14:\"Kaushan Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Kavivanar\";a:3:{s:5:\"label\";s:9:\"Kavivanar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Kavoon\";a:3:{s:5:\"label\";s:6:\"Kavoon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Kdam Thmor\";a:3:{s:5:\"label\";s:10:\"Kdam Thmor\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Keania One\";a:3:{s:5:\"label\";s:10:\"Keania One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Kelly Slab\";a:3:{s:5:\"label\";s:10:\"Kelly Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Kenia\";a:3:{s:5:\"label\";s:5:\"Kenia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Khand\";a:3:{s:5:\"label\";s:5:\"Khand\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Khmer\";a:3:{s:5:\"label\";s:5:\"Khmer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Khula\";a:3:{s:5:\"label\";s:5:\"Khula\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Kirang Haerang\";a:3:{s:5:\"label\";s:14:\"Kirang Haerang\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Kite One\";a:3:{s:5:\"label\";s:8:\"Kite One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kiwi Maru\";a:3:{s:5:\"label\";s:9:\"Kiwi Maru\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Knewave\";a:3:{s:5:\"label\";s:7:\"Knewave\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"KoHo\";a:3:{s:5:\"label\";s:4:\"KoHo\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kodchasan\";a:3:{s:5:\"label\";s:9:\"Kodchasan\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Kosugi\";a:3:{s:5:\"label\";s:6:\"Kosugi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Kosugi Maru\";a:3:{s:5:\"label\";s:11:\"Kosugi Maru\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kotta One\";a:3:{s:5:\"label\";s:9:\"Kotta One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Koulen\";a:3:{s:5:\"label\";s:6:\"Koulen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Kranky\";a:3:{s:5:\"label\";s:6:\"Kranky\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Kreon\";a:3:{s:5:\"label\";s:5:\"Kreon\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Kristi\";a:3:{s:5:\"label\";s:6:\"Kristi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Krona One\";a:3:{s:5:\"label\";s:9:\"Krona One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Krub\";a:3:{s:5:\"label\";s:4:\"Krub\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Kufam\";a:3:{s:5:\"label\";s:5:\"Kufam\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Kulim Park\";a:3:{s:5:\"label\";s:10:\"Kulim Park\";s:8:\"variants\";a:10:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Kumar One\";a:3:{s:5:\"label\";s:9:\"Kumar One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Kumar One Outline\";a:3:{s:5:\"label\";s:17:\"Kumar One Outline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Kumbh Sans\";a:3:{s:5:\"label\";s:10:\"Kumbh Sans\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Kurale\";a:3:{s:5:\"label\";s:6:\"Kurale\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"La Belle Aurore\";a:3:{s:5:\"label\";s:15:\"La Belle Aurore\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Lacquer\";a:3:{s:5:\"label\";s:7:\"Lacquer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Laila\";a:3:{s:5:\"label\";s:5:\"Laila\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lakki Reddy\";a:3:{s:5:\"label\";s:11:\"Lakki Reddy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Lalezar\";a:3:{s:5:\"label\";s:7:\"Lalezar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Lancelot\";a:3:{s:5:\"label\";s:8:\"Lancelot\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Langar\";a:3:{s:5:\"label\";s:6:\"Langar\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Lateef\";a:3:{s:5:\"label\";s:6:\"Lateef\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Lato\";a:3:{s:5:\"label\";s:4:\"Lato\";s:8:\"variants\";a:10:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"900\";i:7;s:9:\"900italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"League Script\";a:3:{s:5:\"label\";s:13:\"League Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Leckerli One\";a:3:{s:5:\"label\";s:12:\"Leckerli One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Ledger\";a:3:{s:5:\"label\";s:6:\"Ledger\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Lekton\";a:3:{s:5:\"label\";s:6:\"Lekton\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Lemon\";a:3:{s:5:\"label\";s:5:\"Lemon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Lemonada\";a:3:{s:5:\"label\";s:8:\"Lemonada\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Lexend\";a:3:{s:5:\"label\";s:6:\"Lexend\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Deca\";a:3:{s:5:\"label\";s:11:\"Lexend Deca\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Lexend Exa\";a:3:{s:5:\"label\";s:10:\"Lexend Exa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Giga\";a:3:{s:5:\"label\";s:11:\"Lexend Giga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Mega\";a:3:{s:5:\"label\";s:11:\"Lexend Mega\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Peta\";a:3:{s:5:\"label\";s:11:\"Lexend Peta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Lexend Tera\";a:3:{s:5:\"label\";s:11:\"Lexend Tera\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Lexend Zetta\";a:3:{s:5:\"label\";s:12:\"Lexend Zetta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Libre Barcode 128\";a:3:{s:5:\"label\";s:17:\"Libre Barcode 128\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:22:\"Libre Barcode 128 Text\";a:3:{s:5:\"label\";s:22:\"Libre Barcode 128 Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Libre Barcode 39\";a:3:{s:5:\"label\";s:16:\"Libre Barcode 39\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:25:\"Libre Barcode 39 Extended\";a:3:{s:5:\"label\";s:25:\"Libre Barcode 39 Extended\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:30:\"Libre Barcode 39 Extended Text\";a:3:{s:5:\"label\";s:30:\"Libre Barcode 39 Extended Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:21:\"Libre Barcode 39 Text\";a:3:{s:5:\"label\";s:21:\"Libre Barcode 39 Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:24:\"Libre Barcode EAN13 Text\";a:3:{s:5:\"label\";s:24:\"Libre Barcode EAN13 Text\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Libre Baskerville\";a:3:{s:5:\"label\";s:17:\"Libre Baskerville\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Libre Caslon Display\";a:3:{s:5:\"label\";s:20:\"Libre Caslon Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Libre Caslon Text\";a:3:{s:5:\"label\";s:17:\"Libre Caslon Text\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Libre Franklin\";a:3:{s:5:\"label\";s:14:\"Libre Franklin\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Life Savers\";a:3:{s:5:\"label\";s:11:\"Life Savers\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Lilita One\";a:3:{s:5:\"label\";s:10:\"Lilita One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Lily Script One\";a:3:{s:5:\"label\";s:15:\"Lily Script One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Limelight\";a:3:{s:5:\"label\";s:9:\"Limelight\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Linden Hill\";a:3:{s:5:\"label\";s:11:\"Linden Hill\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Literata\";a:3:{s:5:\"label\";s:8:\"Literata\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Liu Jian Mao Cao\";a:3:{s:5:\"label\";s:16:\"Liu Jian Mao Cao\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Livvic\";a:3:{s:5:\"label\";s:6:\"Livvic\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Lobster\";a:3:{s:5:\"label\";s:7:\"Lobster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Lobster Two\";a:3:{s:5:\"label\";s:11:\"Lobster Two\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Londrina Outline\";a:3:{s:5:\"label\";s:16:\"Londrina Outline\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Londrina Shadow\";a:3:{s:5:\"label\";s:15:\"Londrina Shadow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Londrina Sketch\";a:3:{s:5:\"label\";s:15:\"Londrina Sketch\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Londrina Solid\";a:3:{s:5:\"label\";s:14:\"Londrina Solid\";s:8:\"variants\";a:4:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Long Cang\";a:3:{s:5:\"label\";s:9:\"Long Cang\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Lora\";a:3:{s:5:\"label\";s:4:\"Lora\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:21:\"Love Ya Like A Sister\";a:3:{s:5:\"label\";s:21:\"Love Ya Like A Sister\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:17:\"Loved by the King\";a:3:{s:5:\"label\";s:17:\"Loved by the King\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Lovers Quarrel\";a:3:{s:5:\"label\";s:14:\"Lovers Quarrel\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Luckiest Guy\";a:3:{s:5:\"label\";s:12:\"Luckiest Guy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Lusitana\";a:3:{s:5:\"label\";s:8:\"Lusitana\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Lustria\";a:3:{s:5:\"label\";s:7:\"Lustria\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"M PLUS 1p\";a:3:{s:5:\"label\";s:9:\"M PLUS 1p\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"M PLUS Rounded 1c\";a:3:{s:5:\"label\";s:17:\"M PLUS Rounded 1c\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Ma Shan Zheng\";a:3:{s:5:\"label\";s:13:\"Ma Shan Zheng\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Macondo\";a:3:{s:5:\"label\";s:7:\"Macondo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Macondo Swash Caps\";a:3:{s:5:\"label\";s:18:\"Macondo Swash Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Mada\";a:3:{s:5:\"label\";s:4:\"Mada\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Magra\";a:3:{s:5:\"label\";s:5:\"Magra\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Maiden Orange\";a:3:{s:5:\"label\";s:13:\"Maiden Orange\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Maitree\";a:3:{s:5:\"label\";s:7:\"Maitree\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Major Mono Display\";a:3:{s:5:\"label\";s:18:\"Major Mono Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:4:\"Mako\";a:3:{s:5:\"label\";s:4:\"Mako\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Mali\";a:3:{s:5:\"label\";s:4:\"Mali\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Mallanna\";a:3:{s:5:\"label\";s:8:\"Mallanna\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Mandali\";a:3:{s:5:\"label\";s:7:\"Mandali\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Manjari\";a:3:{s:5:\"label\";s:7:\"Manjari\";s:8:\"variants\";a:3:{i:0;s:3:\"100\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Manrope\";a:3:{s:5:\"label\";s:7:\"Manrope\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Mansalva\";a:3:{s:5:\"label\";s:8:\"Mansalva\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Manuale\";a:3:{s:5:\"label\";s:7:\"Manuale\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Marcellus\";a:3:{s:5:\"label\";s:9:\"Marcellus\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Marcellus SC\";a:3:{s:5:\"label\";s:12:\"Marcellus SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Marck Script\";a:3:{s:5:\"label\";s:12:\"Marck Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Margarine\";a:3:{s:5:\"label\";s:9:\"Margarine\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Markazi Text\";a:3:{s:5:\"label\";s:12:\"Markazi Text\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Marko One\";a:3:{s:5:\"label\";s:9:\"Marko One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Marmelad\";a:3:{s:5:\"label\";s:8:\"Marmelad\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Martel\";a:3:{s:5:\"label\";s:6:\"Martel\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Martel Sans\";a:3:{s:5:\"label\";s:11:\"Martel Sans\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Marvel\";a:3:{s:5:\"label\";s:6:\"Marvel\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Mate\";a:3:{s:5:\"label\";s:4:\"Mate\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Mate SC\";a:3:{s:5:\"label\";s:7:\"Mate SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Maven Pro\";a:3:{s:5:\"label\";s:9:\"Maven Pro\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"McLaren\";a:3:{s:5:\"label\";s:7:\"McLaren\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Meddon\";a:3:{s:5:\"label\";s:6:\"Meddon\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"MedievalSharp\";a:3:{s:5:\"label\";s:13:\"MedievalSharp\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Medula One\";a:3:{s:5:\"label\";s:10:\"Medula One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Meera Inimai\";a:3:{s:5:\"label\";s:12:\"Meera Inimai\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Megrim\";a:3:{s:5:\"label\";s:6:\"Megrim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Meie Script\";a:3:{s:5:\"label\";s:11:\"Meie Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Merienda\";a:3:{s:5:\"label\";s:8:\"Merienda\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Merienda One\";a:3:{s:5:\"label\";s:12:\"Merienda One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Merriweather\";a:3:{s:5:\"label\";s:12:\"Merriweather\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Merriweather Sans\";a:3:{s:5:\"label\";s:17:\"Merriweather Sans\";s:8:\"variants\";a:12:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Metal\";a:3:{s:5:\"label\";s:5:\"Metal\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Metal Mania\";a:3:{s:5:\"label\";s:11:\"Metal Mania\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Metamorphous\";a:3:{s:5:\"label\";s:12:\"Metamorphous\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Metrophobic\";a:3:{s:5:\"label\";s:11:\"Metrophobic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Michroma\";a:3:{s:5:\"label\";s:8:\"Michroma\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Milonga\";a:3:{s:5:\"label\";s:7:\"Milonga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Miltonian\";a:3:{s:5:\"label\";s:9:\"Miltonian\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Miltonian Tattoo\";a:3:{s:5:\"label\";s:16:\"Miltonian Tattoo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Mina\";a:3:{s:5:\"label\";s:4:\"Mina\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Miniver\";a:3:{s:5:\"label\";s:7:\"Miniver\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Miriam Libre\";a:3:{s:5:\"label\";s:12:\"Miriam Libre\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Mirza\";a:3:{s:5:\"label\";s:5:\"Mirza\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Miss Fajardose\";a:3:{s:5:\"label\";s:14:\"Miss Fajardose\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Mitr\";a:3:{s:5:\"label\";s:4:\"Mitr\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Modak\";a:3:{s:5:\"label\";s:5:\"Modak\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Modern Antiqua\";a:3:{s:5:\"label\";s:14:\"Modern Antiqua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Mogra\";a:3:{s:5:\"label\";s:5:\"Mogra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Molengo\";a:3:{s:5:\"label\";s:7:\"Molengo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Molle\";a:3:{s:5:\"label\";s:5:\"Molle\";s:8:\"variants\";a:1:{i:0;s:6:\"italic\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Monda\";a:3:{s:5:\"label\";s:5:\"Monda\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Monofett\";a:3:{s:5:\"label\";s:8:\"Monofett\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Monoton\";a:3:{s:5:\"label\";s:7:\"Monoton\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Monsieur La Doulaise\";a:3:{s:5:\"label\";s:20:\"Monsieur La Doulaise\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Montaga\";a:3:{s:5:\"label\";s:7:\"Montaga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Montez\";a:3:{s:5:\"label\";s:6:\"Montez\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Montserrat\";a:3:{s:5:\"label\";s:10:\"Montserrat\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Montserrat Alternates\";a:3:{s:5:\"label\";s:21:\"Montserrat Alternates\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Montserrat Subrayada\";a:3:{s:5:\"label\";s:20:\"Montserrat Subrayada\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Moul\";a:3:{s:5:\"label\";s:4:\"Moul\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Moulpali\";a:3:{s:5:\"label\";s:8:\"Moulpali\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:22:\"Mountains of Christmas\";a:3:{s:5:\"label\";s:22:\"Mountains of Christmas\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Mouse Memoirs\";a:3:{s:5:\"label\";s:13:\"Mouse Memoirs\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Mr Bedfort\";a:3:{s:5:\"label\";s:10:\"Mr Bedfort\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Mr Dafoe\";a:3:{s:5:\"label\";s:8:\"Mr Dafoe\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:14:\"Mr De Haviland\";a:3:{s:5:\"label\";s:14:\"Mr De Haviland\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:19:\"Mrs Saint Delafield\";a:3:{s:5:\"label\";s:19:\"Mrs Saint Delafield\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Mrs Sheppards\";a:3:{s:5:\"label\";s:13:\"Mrs Sheppards\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Mukta\";a:3:{s:5:\"label\";s:5:\"Mukta\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Mukta Mahee\";a:3:{s:5:\"label\";s:11:\"Mukta Mahee\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Mukta Malar\";a:3:{s:5:\"label\";s:11:\"Mukta Malar\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Mukta Vaani\";a:3:{s:5:\"label\";s:11:\"Mukta Vaani\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Mulish\";a:3:{s:5:\"label\";s:6:\"Mulish\";s:8:\"variants\";a:16:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"MuseoModerno\";a:3:{s:5:\"label\";s:12:\"MuseoModerno\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Mystery Quest\";a:3:{s:5:\"label\";s:13:\"Mystery Quest\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:3:\"NTR\";a:3:{s:5:\"label\";s:3:\"NTR\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Nanum Brush Script\";a:3:{s:5:\"label\";s:18:\"Nanum Brush Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Nanum Gothic\";a:3:{s:5:\"label\";s:12:\"Nanum Gothic\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Nanum Gothic Coding\";a:3:{s:5:\"label\";s:19:\"Nanum Gothic Coding\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:14:\"Nanum Myeongjo\";a:3:{s:5:\"label\";s:14:\"Nanum Myeongjo\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"Nanum Pen Script\";a:3:{s:5:\"label\";s:16:\"Nanum Pen Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Nerko One\";a:3:{s:5:\"label\";s:9:\"Nerko One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Neucha\";a:3:{s:5:\"label\";s:6:\"Neucha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Neuton\";a:3:{s:5:\"label\";s:6:\"Neuton\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"New Rocker\";a:3:{s:5:\"label\";s:10:\"New Rocker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"New Tegomin\";a:3:{s:5:\"label\";s:11:\"New Tegomin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"News Cycle\";a:3:{s:5:\"label\";s:10:\"News Cycle\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Newsreader\";a:3:{s:5:\"label\";s:10:\"Newsreader\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Niconne\";a:3:{s:5:\"label\";s:7:\"Niconne\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Niramit\";a:3:{s:5:\"label\";s:7:\"Niramit\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Nixie One\";a:3:{s:5:\"label\";s:9:\"Nixie One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Nobile\";a:3:{s:5:\"label\";s:6:\"Nobile\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Nokora\";a:3:{s:5:\"label\";s:6:\"Nokora\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Norican\";a:3:{s:5:\"label\";s:7:\"Norican\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Nosifer\";a:3:{s:5:\"label\";s:7:\"Nosifer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Notable\";a:3:{s:5:\"label\";s:7:\"Notable\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Nothing You Could Do\";a:3:{s:5:\"label\";s:20:\"Nothing You Could Do\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:12:\"Noticia Text\";a:3:{s:5:\"label\";s:12:\"Noticia Text\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Noto Sans\";a:3:{s:5:\"label\";s:9:\"Noto Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans HK\";a:3:{s:5:\"label\";s:12:\"Noto Sans HK\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans JP\";a:3:{s:5:\"label\";s:12:\"Noto Sans JP\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans KR\";a:3:{s:5:\"label\";s:12:\"Noto Sans KR\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans SC\";a:3:{s:5:\"label\";s:12:\"Noto Sans SC\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Noto Sans TC\";a:3:{s:5:\"label\";s:12:\"Noto Sans TC\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Noto Serif\";a:3:{s:5:\"label\";s:10:\"Noto Serif\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif JP\";a:3:{s:5:\"label\";s:13:\"Noto Serif JP\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif KR\";a:3:{s:5:\"label\";s:13:\"Noto Serif KR\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif SC\";a:3:{s:5:\"label\";s:13:\"Noto Serif SC\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Noto Serif TC\";a:3:{s:5:\"label\";s:13:\"Noto Serif TC\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Nova Cut\";a:3:{s:5:\"label\";s:8:\"Nova Cut\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Nova Flat\";a:3:{s:5:\"label\";s:9:\"Nova Flat\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Nova Mono\";a:3:{s:5:\"label\";s:9:\"Nova Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:9:\"Nova Oval\";a:3:{s:5:\"label\";s:9:\"Nova Oval\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Nova Round\";a:3:{s:5:\"label\";s:10:\"Nova Round\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Nova Script\";a:3:{s:5:\"label\";s:11:\"Nova Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Nova Slim\";a:3:{s:5:\"label\";s:9:\"Nova Slim\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Nova Square\";a:3:{s:5:\"label\";s:11:\"Nova Square\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Numans\";a:3:{s:5:\"label\";s:6:\"Numans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Nunito\";a:3:{s:5:\"label\";s:6:\"Nunito\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Nunito Sans\";a:3:{s:5:\"label\";s:11:\"Nunito Sans\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Odibee Sans\";a:3:{s:5:\"label\";s:11:\"Odibee Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Odor Mean Chey\";a:3:{s:5:\"label\";s:14:\"Odor Mean Chey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Offside\";a:3:{s:5:\"label\";s:7:\"Offside\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:2:\"Oi\";a:3:{s:5:\"label\";s:2:\"Oi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Old Standard TT\";a:3:{s:5:\"label\";s:15:\"Old Standard TT\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Oldenburg\";a:3:{s:5:\"label\";s:9:\"Oldenburg\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Oleo Script\";a:3:{s:5:\"label\";s:11:\"Oleo Script\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:22:\"Oleo Script Swash Caps\";a:3:{s:5:\"label\";s:22:\"Oleo Script Swash Caps\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Open Sans\";a:3:{s:5:\"label\";s:9:\"Open Sans\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Open Sans Condensed\";a:3:{s:5:\"label\";s:19:\"Open Sans Condensed\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Oranienbaum\";a:3:{s:5:\"label\";s:11:\"Oranienbaum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Orbitron\";a:3:{s:5:\"label\";s:8:\"Orbitron\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Oregano\";a:3:{s:5:\"label\";s:7:\"Oregano\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Orelega One\";a:3:{s:5:\"label\";s:11:\"Orelega One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Orienta\";a:3:{s:5:\"label\";s:7:\"Orienta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Original Surfer\";a:3:{s:5:\"label\";s:15:\"Original Surfer\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Oswald\";a:3:{s:5:\"label\";s:6:\"Oswald\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Otomanopee One\";a:3:{s:5:\"label\";s:14:\"Otomanopee One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Over the Rainbow\";a:3:{s:5:\"label\";s:16:\"Over the Rainbow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Overlock\";a:3:{s:5:\"label\";s:8:\"Overlock\";s:8:\"variants\";a:6:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:3:\"900\";i:3;s:9:\"900italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Overlock SC\";a:3:{s:5:\"label\";s:11:\"Overlock SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Overpass\";a:3:{s:5:\"label\";s:8:\"Overpass\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Overpass Mono\";a:3:{s:5:\"label\";s:13:\"Overpass Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:3:\"Ovo\";a:3:{s:5:\"label\";s:3:\"Ovo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Oxanium\";a:3:{s:5:\"label\";s:7:\"Oxanium\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:3:\"800\";i:6;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Oxygen\";a:3:{s:5:\"label\";s:6:\"Oxygen\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Oxygen Mono\";a:3:{s:5:\"label\";s:11:\"Oxygen Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"PT Mono\";a:3:{s:5:\"label\";s:7:\"PT Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"PT Sans\";a:3:{s:5:\"label\";s:7:\"PT Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"PT Sans Caption\";a:3:{s:5:\"label\";s:15:\"PT Sans Caption\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"PT Sans Narrow\";a:3:{s:5:\"label\";s:14:\"PT Sans Narrow\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"PT Serif\";a:3:{s:5:\"label\";s:8:\"PT Serif\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:16:\"PT Serif Caption\";a:3:{s:5:\"label\";s:16:\"PT Serif Caption\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Pacifico\";a:3:{s:5:\"label\";s:8:\"Pacifico\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Padauk\";a:3:{s:5:\"label\";s:6:\"Padauk\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Palanquin\";a:3:{s:5:\"label\";s:9:\"Palanquin\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Palanquin Dark\";a:3:{s:5:\"label\";s:14:\"Palanquin Dark\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Pangolin\";a:3:{s:5:\"label\";s:8:\"Pangolin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Paprika\";a:3:{s:5:\"label\";s:7:\"Paprika\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Parisienne\";a:3:{s:5:\"label\";s:10:\"Parisienne\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:11:\"Passero One\";a:3:{s:5:\"label\";s:11:\"Passero One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Passion One\";a:3:{s:5:\"label\";s:11:\"Passion One\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Pathway Gothic One\";a:3:{s:5:\"label\";s:18:\"Pathway Gothic One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Patrick Hand\";a:3:{s:5:\"label\";s:12:\"Patrick Hand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Patrick Hand SC\";a:3:{s:5:\"label\";s:15:\"Patrick Hand SC\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Pattaya\";a:3:{s:5:\"label\";s:7:\"Pattaya\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Patua One\";a:3:{s:5:\"label\";s:9:\"Patua One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Pavanam\";a:3:{s:5:\"label\";s:7:\"Pavanam\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Paytone One\";a:3:{s:5:\"label\";s:11:\"Paytone One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Peddana\";a:3:{s:5:\"label\";s:7:\"Peddana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Peralta\";a:3:{s:5:\"label\";s:7:\"Peralta\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Permanent Marker\";a:3:{s:5:\"label\";s:16:\"Permanent Marker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:19:\"Petit Formal Script\";a:3:{s:5:\"label\";s:19:\"Petit Formal Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Petrona\";a:3:{s:5:\"label\";s:7:\"Petrona\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Philosopher\";a:3:{s:5:\"label\";s:11:\"Philosopher\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Piazzolla\";a:3:{s:5:\"label\";s:9:\"Piazzolla\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Piedra\";a:3:{s:5:\"label\";s:6:\"Piedra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Pinyon Script\";a:3:{s:5:\"label\";s:13:\"Pinyon Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Pirata One\";a:3:{s:5:\"label\";s:10:\"Pirata One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Plaster\";a:3:{s:5:\"label\";s:7:\"Plaster\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Play\";a:3:{s:5:\"label\";s:4:\"Play\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Playball\";a:3:{s:5:\"label\";s:8:\"Playball\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:16:\"Playfair Display\";a:3:{s:5:\"label\";s:16:\"Playfair Display\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:19:\"Playfair Display SC\";a:3:{s:5:\"label\";s:19:\"Playfair Display SC\";s:8:\"variants\";a:6:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:3:\"900\";i:3;s:9:\"900italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Podkova\";a:3:{s:5:\"label\";s:7:\"Podkova\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Poiret One\";a:3:{s:5:\"label\";s:10:\"Poiret One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Poller One\";a:3:{s:5:\"label\";s:10:\"Poller One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Poly\";a:3:{s:5:\"label\";s:4:\"Poly\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Pompiere\";a:3:{s:5:\"label\";s:8:\"Pompiere\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Pontano Sans\";a:3:{s:5:\"label\";s:12:\"Pontano Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Poor Story\";a:3:{s:5:\"label\";s:10:\"Poor Story\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Poppins\";a:3:{s:5:\"label\";s:7:\"Poppins\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Port Lligat Sans\";a:3:{s:5:\"label\";s:16:\"Port Lligat Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Port Lligat Slab\";a:3:{s:5:\"label\";s:16:\"Port Lligat Slab\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Potta One\";a:3:{s:5:\"label\";s:9:\"Potta One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Pragati Narrow\";a:3:{s:5:\"label\";s:14:\"Pragati Narrow\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Prata\";a:3:{s:5:\"label\";s:5:\"Prata\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Preahvihear\";a:3:{s:5:\"label\";s:11:\"Preahvihear\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"Press Start 2P\";a:3:{s:5:\"label\";s:14:\"Press Start 2P\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Pridi\";a:3:{s:5:\"label\";s:5:\"Pridi\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Princess Sofia\";a:3:{s:5:\"label\";s:14:\"Princess Sofia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Prociono\";a:3:{s:5:\"label\";s:8:\"Prociono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Prompt\";a:3:{s:5:\"label\";s:6:\"Prompt\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Prosto One\";a:3:{s:5:\"label\";s:10:\"Prosto One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Proza Libre\";a:3:{s:5:\"label\";s:11:\"Proza Libre\";s:8:\"variants\";a:10:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Public Sans\";a:3:{s:5:\"label\";s:11:\"Public Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Puritan\";a:3:{s:5:\"label\";s:7:\"Puritan\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Purple Purse\";a:3:{s:5:\"label\";s:12:\"Purple Purse\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Qahiri\";a:3:{s:5:\"label\";s:6:\"Qahiri\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Quando\";a:3:{s:5:\"label\";s:6:\"Quando\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Quantico\";a:3:{s:5:\"label\";s:8:\"Quantico\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Quattrocento\";a:3:{s:5:\"label\";s:12:\"Quattrocento\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:17:\"Quattrocento Sans\";a:3:{s:5:\"label\";s:17:\"Quattrocento Sans\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Questrial\";a:3:{s:5:\"label\";s:9:\"Questrial\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Quicksand\";a:3:{s:5:\"label\";s:9:\"Quicksand\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Quintessential\";a:3:{s:5:\"label\";s:14:\"Quintessential\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Qwigley\";a:3:{s:5:\"label\";s:7:\"Qwigley\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Racing Sans One\";a:3:{s:5:\"label\";s:15:\"Racing Sans One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Radley\";a:3:{s:5:\"label\";s:6:\"Radley\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Rajdhani\";a:3:{s:5:\"label\";s:8:\"Rajdhani\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Rakkas\";a:3:{s:5:\"label\";s:6:\"Rakkas\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Raleway\";a:3:{s:5:\"label\";s:7:\"Raleway\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Raleway Dots\";a:3:{s:5:\"label\";s:12:\"Raleway Dots\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Ramabhadra\";a:3:{s:5:\"label\";s:10:\"Ramabhadra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Ramaraja\";a:3:{s:5:\"label\";s:8:\"Ramaraja\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Rambla\";a:3:{s:5:\"label\";s:6:\"Rambla\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Rammetto One\";a:3:{s:5:\"label\";s:12:\"Rammetto One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Ranchers\";a:3:{s:5:\"label\";s:8:\"Ranchers\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Rancho\";a:3:{s:5:\"label\";s:6:\"Rancho\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:5:\"Ranga\";a:3:{s:5:\"label\";s:5:\"Ranga\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Rasa\";a:3:{s:5:\"label\";s:4:\"Rasa\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Rationale\";a:3:{s:5:\"label\";s:9:\"Rationale\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Ravi Prakash\";a:3:{s:5:\"label\";s:12:\"Ravi Prakash\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Recursive\";a:3:{s:5:\"label\";s:9:\"Recursive\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Red Hat Display\";a:3:{s:5:\"label\";s:15:\"Red Hat Display\";s:8:\"variants\";a:8:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Red Hat Text\";a:3:{s:5:\"label\";s:12:\"Red Hat Text\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Red Rose\";a:3:{s:5:\"label\";s:8:\"Red Rose\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Redressed\";a:3:{s:5:\"label\";s:9:\"Redressed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Reem Kufi\";a:3:{s:5:\"label\";s:9:\"Reem Kufi\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Reenie Beanie\";a:3:{s:5:\"label\";s:13:\"Reenie Beanie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Reggae One\";a:3:{s:5:\"label\";s:10:\"Reggae One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Revalia\";a:3:{s:5:\"label\";s:7:\"Revalia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Rhodium Libre\";a:3:{s:5:\"label\";s:13:\"Rhodium Libre\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Ribeye\";a:3:{s:5:\"label\";s:6:\"Ribeye\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Ribeye Marrow\";a:3:{s:5:\"label\";s:13:\"Ribeye Marrow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Righteous\";a:3:{s:5:\"label\";s:9:\"Righteous\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Risque\";a:3:{s:5:\"label\";s:6:\"Risque\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Roboto\";a:3:{s:5:\"label\";s:6:\"Roboto\";s:8:\"variants\";a:12:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Roboto Condensed\";a:3:{s:5:\"label\";s:16:\"Roboto Condensed\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:6:\"italic\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Roboto Mono\";a:3:{s:5:\"label\";s:11:\"Roboto Mono\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:11:\"Roboto Slab\";a:3:{s:5:\"label\";s:11:\"Roboto Slab\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Rochester\";a:3:{s:5:\"label\";s:9:\"Rochester\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Rock Salt\";a:3:{s:5:\"label\";s:9:\"Rock Salt\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"RocknRoll One\";a:3:{s:5:\"label\";s:13:\"RocknRoll One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Rokkitt\";a:3:{s:5:\"label\";s:7:\"Rokkitt\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Romanesco\";a:3:{s:5:\"label\";s:9:\"Romanesco\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Ropa Sans\";a:3:{s:5:\"label\";s:9:\"Ropa Sans\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Rosario\";a:3:{s:5:\"label\";s:7:\"Rosario\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Rosarivo\";a:3:{s:5:\"label\";s:8:\"Rosarivo\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Rouge Script\";a:3:{s:5:\"label\";s:12:\"Rouge Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Rowdies\";a:3:{s:5:\"label\";s:7:\"Rowdies\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Rozha One\";a:3:{s:5:\"label\";s:9:\"Rozha One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Rubik\";a:3:{s:5:\"label\";s:5:\"Rubik\";s:8:\"variants\";a:14:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Rubik Mono One\";a:3:{s:5:\"label\";s:14:\"Rubik Mono One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Ruda\";a:3:{s:5:\"label\";s:4:\"Ruda\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Rufina\";a:3:{s:5:\"label\";s:6:\"Rufina\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Ruge Boogie\";a:3:{s:5:\"label\";s:11:\"Ruge Boogie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Ruluko\";a:3:{s:5:\"label\";s:6:\"Ruluko\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Rum Raisin\";a:3:{s:5:\"label\";s:10:\"Rum Raisin\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:14:\"Ruslan Display\";a:3:{s:5:\"label\";s:14:\"Ruslan Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Russo One\";a:3:{s:5:\"label\";s:9:\"Russo One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Ruthie\";a:3:{s:5:\"label\";s:6:\"Ruthie\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:3:\"Rye\";a:3:{s:5:\"label\";s:3:\"Rye\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"STIX Two Math\";a:3:{s:5:\"label\";s:13:\"STIX Two Math\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Sacramento\";a:3:{s:5:\"label\";s:10:\"Sacramento\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Sahitya\";a:3:{s:5:\"label\";s:7:\"Sahitya\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Sail\";a:3:{s:5:\"label\";s:4:\"Sail\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Saira\";a:3:{s:5:\"label\";s:5:\"Saira\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Saira Condensed\";a:3:{s:5:\"label\";s:15:\"Saira Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Saira Extra Condensed\";a:3:{s:5:\"label\";s:21:\"Saira Extra Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:20:\"Saira Semi Condensed\";a:3:{s:5:\"label\";s:20:\"Saira Semi Condensed\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:17:\"Saira Stencil One\";a:3:{s:5:\"label\";s:17:\"Saira Stencil One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Salsa\";a:3:{s:5:\"label\";s:5:\"Salsa\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sanchez\";a:3:{s:5:\"label\";s:7:\"Sanchez\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Sancreek\";a:3:{s:5:\"label\";s:8:\"Sancreek\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sansita\";a:3:{s:5:\"label\";s:7:\"Sansita\";s:8:\"variants\";a:8:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:3:\"800\";i:3;s:9:\"800italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Sansita Swashed\";a:3:{s:5:\"label\";s:15:\"Sansita Swashed\";s:8:\"variants\";a:7:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sarabun\";a:3:{s:5:\"label\";s:7:\"Sarabun\";s:8:\"variants\";a:16:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:6:\"italic\";i:15;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Sarala\";a:3:{s:5:\"label\";s:6:\"Sarala\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Sarina\";a:3:{s:5:\"label\";s:6:\"Sarina\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Sarpanch\";a:3:{s:5:\"label\";s:8:\"Sarpanch\";s:8:\"variants\";a:6:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Satisfy\";a:3:{s:5:\"label\";s:7:\"Satisfy\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:15:\"Sawarabi Gothic\";a:3:{s:5:\"label\";s:15:\"Sawarabi Gothic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Sawarabi Mincho\";a:3:{s:5:\"label\";s:15:\"Sawarabi Mincho\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Scada\";a:3:{s:5:\"label\";s:5:\"Scada\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Scheherazade\";a:3:{s:5:\"label\";s:12:\"Scheherazade\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Schoolbell\";a:3:{s:5:\"label\";s:10:\"Schoolbell\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Scope One\";a:3:{s:5:\"label\";s:9:\"Scope One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Seaweed Script\";a:3:{s:5:\"label\";s:14:\"Seaweed Script\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Secular One\";a:3:{s:5:\"label\";s:11:\"Secular One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Sedgwick Ave\";a:3:{s:5:\"label\";s:12:\"Sedgwick Ave\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:20:\"Sedgwick Ave Display\";a:3:{s:5:\"label\";s:20:\"Sedgwick Ave Display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:3:\"Sen\";a:3:{s:5:\"label\";s:3:\"Sen\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"800\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Sevillana\";a:3:{s:5:\"label\";s:9:\"Sevillana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Seymour One\";a:3:{s:5:\"label\";s:11:\"Seymour One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Shadows Into Light\";a:3:{s:5:\"label\";s:18:\"Shadows Into Light\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:22:\"Shadows Into Light Two\";a:3:{s:5:\"label\";s:22:\"Shadows Into Light Two\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Shanti\";a:3:{s:5:\"label\";s:6:\"Shanti\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Share\";a:3:{s:5:\"label\";s:5:\"Share\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Share Tech\";a:3:{s:5:\"label\";s:10:\"Share Tech\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:15:\"Share Tech Mono\";a:3:{s:5:\"label\";s:15:\"Share Tech Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:15:\"Shippori Mincho\";a:3:{s:5:\"label\";s:15:\"Shippori Mincho\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:18:\"Shippori Mincho B1\";a:3:{s:5:\"label\";s:18:\"Shippori Mincho B1\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Shojumaru\";a:3:{s:5:\"label\";s:9:\"Shojumaru\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Short Stack\";a:3:{s:5:\"label\";s:11:\"Short Stack\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Shrikhand\";a:3:{s:5:\"label\";s:9:\"Shrikhand\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Siemreap\";a:3:{s:5:\"label\";s:8:\"Siemreap\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Sigmar One\";a:3:{s:5:\"label\";s:10:\"Sigmar One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Signika\";a:3:{s:5:\"label\";s:7:\"Signika\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Signika Negative\";a:3:{s:5:\"label\";s:16:\"Signika Negative\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Simonetta\";a:3:{s:5:\"label\";s:9:\"Simonetta\";s:8:\"variants\";a:4:{i:0;s:3:\"900\";i:1;s:9:\"900italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Single Day\";a:3:{s:5:\"label\";s:10:\"Single Day\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sintony\";a:3:{s:5:\"label\";s:7:\"Sintony\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Sirin Stencil\";a:3:{s:5:\"label\";s:13:\"Sirin Stencil\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Six Caps\";a:3:{s:5:\"label\";s:8:\"Six Caps\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Skranji\";a:3:{s:5:\"label\";s:7:\"Skranji\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Slabo 13px\";a:3:{s:5:\"label\";s:10:\"Slabo 13px\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Slabo 27px\";a:3:{s:5:\"label\";s:10:\"Slabo 27px\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Slackey\";a:3:{s:5:\"label\";s:7:\"Slackey\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Smokum\";a:3:{s:5:\"label\";s:6:\"Smokum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Smythe\";a:3:{s:5:\"label\";s:6:\"Smythe\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Sniglet\";a:3:{s:5:\"label\";s:7:\"Sniglet\";s:8:\"variants\";a:2:{i:0;s:3:\"800\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Snippet\";a:3:{s:5:\"label\";s:7:\"Snippet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Snowburst One\";a:3:{s:5:\"label\";s:13:\"Snowburst One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Sofadi One\";a:3:{s:5:\"label\";s:10:\"Sofadi One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Sofia\";a:3:{s:5:\"label\";s:5:\"Sofia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Solway\";a:3:{s:5:\"label\";s:6:\"Solway\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Song Myung\";a:3:{s:5:\"label\";s:10:\"Song Myung\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Sonsie One\";a:3:{s:5:\"label\";s:10:\"Sonsie One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Sora\";a:3:{s:5:\"label\";s:4:\"Sora\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Sorts Mill Goudy\";a:3:{s:5:\"label\";s:16:\"Sorts Mill Goudy\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:15:\"Source Code Pro\";a:3:{s:5:\"label\";s:15:\"Source Code Pro\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:15:\"Source Sans Pro\";a:3:{s:5:\"label\";s:15:\"Source Sans Pro\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Source Serif Pro\";a:3:{s:5:\"label\";s:16:\"Source Serif Pro\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Space Grotesk\";a:3:{s:5:\"label\";s:13:\"Space Grotesk\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Space Mono\";a:3:{s:5:\"label\";s:10:\"Space Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:7:\"Spartan\";a:3:{s:5:\"label\";s:7:\"Spartan\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:13:\"Special Elite\";a:3:{s:5:\"label\";s:13:\"Special Elite\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Spectral\";a:3:{s:5:\"label\";s:8:\"Spectral\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Spectral SC\";a:3:{s:5:\"label\";s:11:\"Spectral SC\";s:8:\"variants\";a:14:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:6:\"italic\";i:13;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Spicy Rice\";a:3:{s:5:\"label\";s:10:\"Spicy Rice\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Spinnaker\";a:3:{s:5:\"label\";s:9:\"Spinnaker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Spirax\";a:3:{s:5:\"label\";s:6:\"Spirax\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Squada One\";a:3:{s:5:\"label\";s:10:\"Squada One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Sree Krushnadevaraya\";a:3:{s:5:\"label\";s:20:\"Sree Krushnadevaraya\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Sriracha\";a:3:{s:5:\"label\";s:8:\"Sriracha\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Srisakdi\";a:3:{s:5:\"label\";s:8:\"Srisakdi\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Staatliches\";a:3:{s:5:\"label\";s:11:\"Staatliches\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Stalemate\";a:3:{s:5:\"label\";s:9:\"Stalemate\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Stalinist One\";a:3:{s:5:\"label\";s:13:\"Stalinist One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Stardos Stencil\";a:3:{s:5:\"label\";s:15:\"Stardos Stencil\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Stick\";a:3:{s:5:\"label\";s:5:\"Stick\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:21:\"Stint Ultra Condensed\";a:3:{s:5:\"label\";s:21:\"Stint Ultra Condensed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:20:\"Stint Ultra Expanded\";a:3:{s:5:\"label\";s:20:\"Stint Ultra Expanded\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Stoke\";a:3:{s:5:\"label\";s:5:\"Stoke\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:6:\"Strait\";a:3:{s:5:\"label\";s:6:\"Strait\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Stylish\";a:3:{s:5:\"label\";s:7:\"Stylish\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:19:\"Sue Ellen Francisco\";a:3:{s:5:\"label\";s:19:\"Sue Ellen Francisco\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Suez One\";a:3:{s:5:\"label\";s:8:\"Suez One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:13:\"Sulphur Point\";a:3:{s:5:\"label\";s:13:\"Sulphur Point\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"700\";i:2;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:6:\"Sumana\";a:3:{s:5:\"label\";s:6:\"Sumana\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Sunflower\";a:3:{s:5:\"label\";s:9:\"Sunflower\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"700\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Sunshiney\";a:3:{s:5:\"label\";s:9:\"Sunshiney\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:16:\"Supermercado One\";a:3:{s:5:\"label\";s:16:\"Supermercado One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Sura\";a:3:{s:5:\"label\";s:4:\"Sura\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Suranna\";a:3:{s:5:\"label\";s:7:\"Suranna\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Suravaram\";a:3:{s:5:\"label\";s:9:\"Suravaram\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Suwannaphum\";a:3:{s:5:\"label\";s:11:\"Suwannaphum\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:18:\"Swanky and Moo Moo\";a:3:{s:5:\"label\";s:18:\"Swanky and Moo Moo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Syncopate\";a:3:{s:5:\"label\";s:9:\"Syncopate\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:4:\"Syne\";a:3:{s:5:\"label\";s:4:\"Syne\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Syne Mono\";a:3:{s:5:\"label\";s:9:\"Syne Mono\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:12:\"Syne Tactile\";a:3:{s:5:\"label\";s:12:\"Syne Tactile\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Tajawal\";a:3:{s:5:\"label\";s:7:\"Tajawal\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";i:6;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Tangerine\";a:3:{s:5:\"label\";s:9:\"Tangerine\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Taprom\";a:3:{s:5:\"label\";s:6:\"Taprom\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Tauri\";a:3:{s:5:\"label\";s:5:\"Tauri\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Taviraj\";a:3:{s:5:\"label\";s:7:\"Taviraj\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Teko\";a:3:{s:5:\"label\";s:4:\"Teko\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Telex\";a:3:{s:5:\"label\";s:5:\"Telex\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"Tenali Ramakrishna\";a:3:{s:5:\"label\";s:18:\"Tenali Ramakrishna\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:10:\"Tenor Sans\";a:3:{s:5:\"label\";s:10:\"Tenor Sans\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Text Me One\";a:3:{s:5:\"label\";s:11:\"Text Me One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Texturina\";a:3:{s:5:\"label\";s:9:\"Texturina\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Thasadith\";a:3:{s:5:\"label\";s:9:\"Thasadith\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:18:\"The Girl Next Door\";a:3:{s:5:\"label\";s:18:\"The Girl Next Door\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Tienne\";a:3:{s:5:\"label\";s:6:\"Tienne\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:3:\"900\";i:2;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Tillana\";a:3:{s:5:\"label\";s:7:\"Tillana\";s:8:\"variants\";a:5:{i:0;s:3:\"500\";i:1;s:3:\"600\";i:2;s:3:\"700\";i:3;s:3:\"800\";i:4;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:7:\"Timmana\";a:3:{s:5:\"label\";s:7:\"Timmana\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Tinos\";a:3:{s:5:\"label\";s:5:\"Tinos\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:9:\"Titan One\";a:3:{s:5:\"label\";s:9:\"Titan One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Titillium Web\";a:3:{s:5:\"label\";s:13:\"Titillium Web\";s:8:\"variants\";a:11:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:6:\"italic\";i:10;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Tomorrow\";a:3:{s:5:\"label\";s:8:\"Tomorrow\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Tourney\";a:3:{s:5:\"label\";s:7:\"Tourney\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Trade Winds\";a:3:{s:5:\"label\";s:11:\"Trade Winds\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Train One\";a:3:{s:5:\"label\";s:9:\"Train One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Trirong\";a:3:{s:5:\"label\";s:7:\"Trirong\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Trispace\";a:3:{s:5:\"label\";s:8:\"Trispace\";s:8:\"variants\";a:8:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Trocchi\";a:3:{s:5:\"label\";s:7:\"Trocchi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:7:\"Trochut\";a:3:{s:5:\"label\";s:7:\"Trochut\";s:8:\"variants\";a:3:{i:0;s:3:\"700\";i:1;s:6:\"italic\";i:2;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Truculenta\";a:3:{s:5:\"label\";s:10:\"Truculenta\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";i:7;s:3:\"900\";i:8;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:7:\"Trykker\";a:3:{s:5:\"label\";s:7:\"Trykker\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:10:\"Tulpen One\";a:3:{s:5:\"label\";s:10:\"Tulpen One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:11:\"Turret Road\";a:3:{s:5:\"label\";s:11:\"Turret Road\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Ubuntu\";a:3:{s:5:\"label\";s:6:\"Ubuntu\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:6:\"italic\";i:7;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:16:\"Ubuntu Condensed\";a:3:{s:5:\"label\";s:16:\"Ubuntu Condensed\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Ubuntu Mono\";a:3:{s:5:\"label\";s:11:\"Ubuntu Mono\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:5:\"Uchen\";a:3:{s:5:\"label\";s:5:\"Uchen\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"Ultra\";a:3:{s:5:\"label\";s:5:\"Ultra\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:14:\"Uncial Antiqua\";a:3:{s:5:\"label\";s:14:\"Uncial Antiqua\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Underdog\";a:3:{s:5:\"label\";s:8:\"Underdog\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Unica One\";a:3:{s:5:\"label\";s:9:\"Unica One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:14:\"UnifrakturCook\";a:3:{s:5:\"label\";s:14:\"UnifrakturCook\";s:8:\"variants\";a:1:{i:0;s:3:\"700\";}s:8:\"category\";s:7:\"display\";}s:18:\"UnifrakturMaguntia\";a:3:{s:5:\"label\";s:18:\"UnifrakturMaguntia\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Unkempt\";a:3:{s:5:\"label\";s:7:\"Unkempt\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Unlock\";a:3:{s:5:\"label\";s:6:\"Unlock\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:4:\"Unna\";a:3:{s:5:\"label\";s:4:\"Unna\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:5:\"VT323\";a:3:{s:5:\"label\";s:5:\"VT323\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:11:\"Vampiro One\";a:3:{s:5:\"label\";s:11:\"Vampiro One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Varela\";a:3:{s:5:\"label\";s:6:\"Varela\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"Varela Round\";a:3:{s:5:\"label\";s:12:\"Varela Round\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Varta\";a:3:{s:5:\"label\";s:5:\"Varta\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Vast Shadow\";a:3:{s:5:\"label\";s:11:\"Vast Shadow\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:12:\"Vesper Libre\";a:3:{s:5:\"label\";s:12:\"Vesper Libre\";s:8:\"variants\";a:4:{i:0;s:3:\"500\";i:1;s:3:\"700\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:12:\"Viaoda Libre\";a:3:{s:5:\"label\";s:12:\"Viaoda Libre\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Vibes\";a:3:{s:5:\"label\";s:5:\"Vibes\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:5:\"Vibur\";a:3:{s:5:\"label\";s:5:\"Vibur\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Vidaloka\";a:3:{s:5:\"label\";s:8:\"Vidaloka\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:4:\"Viga\";a:3:{s:5:\"label\";s:4:\"Viga\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:5:\"Voces\";a:3:{s:5:\"label\";s:5:\"Voces\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:7:\"Volkhov\";a:3:{s:5:\"label\";s:7:\"Volkhov\";s:8:\"variants\";a:4:{i:0;s:3:\"700\";i:1;s:9:\"700italic\";i:2;s:6:\"italic\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Vollkorn\";a:3:{s:5:\"label\";s:8:\"Vollkorn\";s:8:\"variants\";a:12:{i:0;s:3:\"500\";i:1;s:9:\"500italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";i:10;s:6:\"italic\";i:11;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Vollkorn SC\";a:3:{s:5:\"label\";s:11:\"Vollkorn SC\";s:8:\"variants\";a:4:{i:0;s:3:\"600\";i:1;s:3:\"700\";i:2;s:3:\"900\";i:3;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Voltaire\";a:3:{s:5:\"label\";s:8:\"Voltaire\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:23:\"Waiting for the Sunrise\";a:3:{s:5:\"label\";s:23:\"Waiting for the Sunrise\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:8:\"Wallpoet\";a:3:{s:5:\"label\";s:8:\"Wallpoet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:15:\"Walter Turncoat\";a:3:{s:5:\"label\";s:15:\"Walter Turncoat\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Warnes\";a:3:{s:5:\"label\";s:6:\"Warnes\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Wellfleet\";a:3:{s:5:\"label\";s:9:\"Wellfleet\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:9:\"Wendy One\";a:3:{s:5:\"label\";s:9:\"Wendy One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:8:\"Wire One\";a:3:{s:5:\"label\";s:8:\"Wire One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Work Sans\";a:3:{s:5:\"label\";s:9:\"Work Sans\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"600\";i:9;s:9:\"600italic\";i:10;s:3:\"700\";i:11;s:9:\"700italic\";i:12;s:3:\"800\";i:13;s:9:\"800italic\";i:14;s:3:\"900\";i:15;s:9:\"900italic\";i:16;s:6:\"italic\";i:17;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Xanh Mono\";a:3:{s:5:\"label\";s:9:\"Xanh Mono\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:9:\"monospace\";}s:17:\"Yanone Kaffeesatz\";a:3:{s:5:\"label\";s:17:\"Yanone Kaffeesatz\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:11:\"Yantramanav\";a:3:{s:5:\"label\";s:11:\"Yantramanav\";s:8:\"variants\";a:6:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:3:\"500\";i:3;s:3:\"700\";i:4;s:3:\"900\";i:5;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:9:\"Yatra One\";a:3:{s:5:\"label\";s:9:\"Yatra One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Yellowtail\";a:3:{s:5:\"label\";s:10:\"Yellowtail\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:9:\"Yeon Sung\";a:3:{s:5:\"label\";s:9:\"Yeon Sung\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Yeseva One\";a:3:{s:5:\"label\";s:10:\"Yeseva One\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:10:\"Yesteryear\";a:3:{s:5:\"label\";s:10:\"Yesteryear\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:6:\"Yomogi\";a:3:{s:5:\"label\";s:6:\"Yomogi\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:4:\"Yrsa\";a:3:{s:5:\"label\";s:4:\"Yrsa\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:11:\"Yusei Magic\";a:3:{s:5:\"label\";s:11:\"Yusei Magic\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:10:\"sans-serif\";}s:12:\"ZCOOL KuaiLe\";a:3:{s:5:\"label\";s:12:\"ZCOOL KuaiLe\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:21:\"ZCOOL QingKe HuangYou\";a:3:{s:5:\"label\";s:21:\"ZCOOL QingKe HuangYou\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"ZCOOL XiaoWei\";a:3:{s:5:\"label\";s:13:\"ZCOOL XiaoWei\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:8:\"Zen Dots\";a:3:{s:5:\"label\";s:8:\"Zen Dots\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:8:\"Zen Loop\";a:3:{s:5:\"label\";s:8:\"Zen Loop\";s:8:\"variants\";a:2:{i:0;s:6:\"italic\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:13:\"Zen Tokyo Zoo\";a:3:{s:5:\"label\";s:13:\"Zen Tokyo Zoo\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}s:6:\"Zeyada\";a:3:{s:5:\"label\";s:6:\"Zeyada\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:13:\"Zhi Mang Xing\";a:3:{s:5:\"label\";s:13:\"Zhi Mang Xing\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:8:\"category\";s:11:\"handwriting\";}s:10:\"Zilla Slab\";a:3:{s:5:\"label\";s:10:\"Zilla Slab\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:6:\"italic\";i:9;s:7:\"regular\";}s:8:\"category\";s:5:\"serif\";}s:20:\"Zilla Slab Highlight\";a:3:{s:5:\"label\";s:20:\"Zilla Slab Highlight\";s:8:\"variants\";a:2:{i:0;s:3:\"700\";i:1;s:7:\"regular\";}s:8:\"category\";s:7:\"display\";}}", "no");
INSERT INTO `wp_options` VALUES("4235", "elementor_tracker_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("5973", "_transient_timeout_wc_report_orders_stats_4fed91b694343b14646910ab2a350c1d", "1686727799", "no");
INSERT INTO `wp_options` VALUES("5596", "_site_transient_timeout_php_check_c9dd5cfbc4fa9554c7110a759bca4ee5", "1686655699", "no");
INSERT INTO `wp_options` VALUES("5597", "_site_transient_php_check_c9dd5cfbc4fa9554c7110a759bca4ee5", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("4432", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1686251775", "no");
INSERT INTO `wp_options` VALUES("4433", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:1:{i:0;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:65:\"Une bonne sécurité pour votre projet WP (en visio / WP Evening)\";s:3:\"url\";s:66:\"https://www.meetup.com/marseille-wordpress-meetup/events/293866995\";s:6:\"meetup\";s:26:\"Marseille WordPress Meetup\";s:10:\"meetup_url\";s:50:\"https://www.meetup.com/Marseille-WordPress-Meetup/\";s:4:\"date\";s:19:\"2023-06-13 21:00:00\";s:8:\"end_date\";s:19:\"2023-06-13 23:00:00\";s:20:\"start_unix_timestamp\";i:1686682800;s:18:\"end_unix_timestamp\";i:1686690000;s:8:\"location\";a:4:{s:8:\"location\";s:6:\"Online\";s:7:\"country\";s:2:\"FR\";s:8:\"latitude\";d:43.31;s:9:\"longitude\";d:5.37;}}}}", "no");
INSERT INTO `wp_options` VALUES("6776", "_transient_timeout_feed_mod_0d2db5fea5a8633b56992c916819b198", "1686251777", "no");
INSERT INTO `wp_options` VALUES("6777", "_transient_feed_mod_0d2db5fea5a8633b56992c916819b198", "1686208577", "no");
INSERT INTO `wp_options` VALUES("6774", "_transient_timeout_feed_0d2db5fea5a8633b56992c916819b198", "1686251777", "no");
INSERT INTO `wp_options` VALUES("6775", "_transient_feed_0d2db5fea5a8633b56992c916819b198", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Blog | WordPress.org Français\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"https://fr.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 Mar 2023 12:54:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fr-FR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.3-alpha-55892\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Blog | WordPress.org Français\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"https://fr.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"WordPress 6.2 « Dolphy »\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"https://fr.wordpress.org/2023/03/30/wordpress-6-2-dolphy/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://fr.wordpress.org/2023/03/30/wordpress-6-2-dolphy/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 Mar 2023 08:32:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Nouvelles versions de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2659\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:401:\"Surnommée «&#160;Dolphy&#160;» en l&#8217;honneur du jazzman américain Eric Allan Dolphy Jr, WordPress&#160;6.2 est la première version majeure de 2023, et contient plus de 900 améliorations et corrections de bugs. Cette version marque une transition dans la feuille de route générale du projet open-source WordPress, car la focalisation va désormais passer de l’éditeur et de la [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:64831:\"\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2023/03/dolphy.png\"><img decoding=\"async\" width=\"1024\" height=\"683\" src=\"https://fr.wordpress.org/files/2023/03/dolphy-1024x683.png\" alt=\"\" class=\"wp-image-2721\" srcset=\"https://fr.wordpress.org/files/2023/03/dolphy-1024x683.png 1024w, https://fr.wordpress.org/files/2023/03/dolphy-300x200.png 300w, https://fr.wordpress.org/files/2023/03/dolphy-768x512.png 768w, https://fr.wordpress.org/files/2023/03/dolphy.png 1200w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<p>Surnommée «&nbsp;Dolphy&nbsp;» en l&rsquo;honneur du jazzman américain Eric Allan Dolphy Jr,  WordPress&nbsp;6.2 est la première version majeure de 2023, et contient plus de 900 améliorations et corrections de bugs. Cette version marque une transition dans la feuille de route générale du projet open-source WordPress, car la focalisation va désormais passer de l’éditeur et de la personnalisation de sites à l&rsquo;exploration des flux de travail et de la collaboration.</p>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-site-editor.png);background-position:25% 48%\"><img decoding=\"async\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-site-editor.png\" alt=\"\" class=\"wp-image-2662 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-site-editor.png 872w, https://fr.wordpress.org/files/2023/03/about-site-editor-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-site-editor-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-site-editor-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Explorez et modifiez tout votre site à partir de l’éditeur</h3>\n\n\n\n<p>L’interface de l&rsquo;édition de site a été revue afin de vous donner plus de contrôle sur l’expérience d’édition de votre site. Vous trouverez une prévisualisation complète de vos modèles et éléments de modèles, et pourrez passer à l’éditeur de site depuis n’importe quel écran.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-navigation.png);background-position:25% 47%\"><img decoding=\"async\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-navigation.png\" alt=\"\" class=\"wp-image-2663 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-navigation.png 872w, https://fr.wordpress.org/files/2023/03/about-navigation-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-navigation-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-navigation-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Améliorations du bloc de navigation</h3>\n\n\n\n<p>La nouvelle colonne latérale de réglages facilite la modification de la navigation de votre site. Ajoutez, supprimez et réordonnez vos éléments de menus plus rapidement, peu importe la complexité de vos menus.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-block-inserter.png);background-position:33% 52%\"><img decoding=\"async\" loading=\"lazy\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-block-inserter.png\" alt=\"\" class=\"wp-image-2664 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-block-inserter.png 872w, https://fr.wordpress.org/files/2023/03/about-block-inserter-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-block-inserter-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-block-inserter-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Une expérience plus fluide pour l’outil d’insertion de blocs</h3>\n\n\n\n<p>L’onglet «&nbsp;média&nbsp;» permet de glisser et déposer du contenu depuis votre médiathèque rapidement. La vue partagée facilite la navigation parmi les catégories et la prévisualisation des compositions.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-split-controls-fixed.png);background-position:24% 50%\"><img decoding=\"async\" loading=\"lazy\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-split-controls-fixed.png\" alt=\"\" class=\"wp-image-2665 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-split-controls-fixed.png 872w, https://fr.wordpress.org/files/2023/03/about-split-controls-fixed-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-split-controls-fixed-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-split-controls-fixed-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Une meilleure interface pour les réglages des blocs</h3>\n\n\n\n<p>La colonne latérale de réglages de vos blocs est mieux organisée, avec des onglets pour les réglages et pour les styles. Les outils dont vous avez besoin sont identifiables et facile d’accès.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-headers.png);background-position:20% 46%\"><img decoding=\"async\" loading=\"lazy\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-headers.png\" alt=\"\" class=\"wp-image-2666 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-headers.png 872w, https://fr.wordpress.org/files/2023/03/about-headers-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-headers-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-headers-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Des en-têtes et des pieds de page prêts à l&#8217;emploi</h3>\n\n\n\n<p>Découvrez une nouvelle collection de compositions d’en-têtes et de pieds de page. Utilisez-les avec n’importe quel thème basé sur des blocs pour en faire un point de départ rapide et de qualité pour les modèles de pages de votre site.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-openverse.png);background-position:27% 48%\"><img decoding=\"async\" loading=\"lazy\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-openverse.png\" alt=\"\" class=\"wp-image-2667 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-openverse.png 872w, https://fr.wordpress.org/files/2023/03/about-openverse-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-openverse-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-openverse-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Explorez les médias Openverse directement depuis l’éditeur</h3>\n\n\n\n<p>La bibliothèque d’Openverse répertorie plus de 600 millions d’images et de fichiers audio gratuits sous licence ouverte, et elle est désormais directement intégrée à l’éditeur.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-distraction-free.png);background-position:50% 50%\"><img decoding=\"async\" loading=\"lazy\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-distraction-free.png\" alt=\"\" class=\"wp-image-2668 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-distraction-free.png 872w, https://fr.wordpress.org/files/2023/03/about-distraction-free-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-distraction-free-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-distraction-free-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Un nouveau mode sans distraction</h3>\n\n\n\n<p>De temps en temps, il est bon de pouvoir se concentrer sur son travail. Vous pouvez maintenant masquer tous les panneaux et réglages pour vous concentrer sur l’écriture de votre contenu.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:30% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://fr.wordpress.org/files/2023/03/about-out-of-beta.png);background-position:44% 50%\"><img decoding=\"async\" loading=\"lazy\" width=\"872\" height=\"872\" src=\"https://fr.wordpress.org/files/2023/03/about-out-of-beta.png\" alt=\"\" class=\"wp-image-2670 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-out-of-beta.png 872w, https://fr.wordpress.org/files/2023/03/about-out-of-beta-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-out-of-beta-150x150.png 150w, https://fr.wordpress.org/files/2023/03/about-out-of-beta-768x768.png 768w\" sizes=\"(max-width: 872px) 100vw, 872px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">L’éditeur de site n’est officiellement plus en version bêta&nbsp;!</h3>\n\n\n\n<p>La version 6.2 est une invitation à découvrir le potentiel de la prochaine génération de thèmes WordPress.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 23%\"><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Un nouveau guide de styles à votre disposition</h3>\n\n\n\n<p>Utilisez le guide de style pour obtenir une vue d’ensemble de l’apparence de chaque bloc de votre site. Tout vos blocs sont affichés en un seul endroit, accessible en un clin d’œil.</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"560\" height=\"560\" src=\"https://fr.wordpress.org/files/2023/03/about-style-book.png\" alt=\"\" class=\"wp-image-2671 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-style-book.png 560w, https://fr.wordpress.org/files/2023/03/about-style-book-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-style-book-150x150.png 150w\" sizes=\"(max-width: 560px) 100vw, 560px\" /></figure></div>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 23%\"><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Copier / coller les styles en un clin d’œil</h3>\n\n\n\n<p>Travaillez votre design sur un type de bloc, puis copiez et collez ces styles sur d’autres blocs pour obtenir exactement l’aspect que vous souhaitez.</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"560\" height=\"560\" src=\"https://fr.wordpress.org/files/2023/03/about-copy-paste.png\" alt=\"\" class=\"wp-image-2672 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-copy-paste.png 560w, https://fr.wordpress.org/files/2023/03/about-copy-paste-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-copy-paste-150x150.png 150w\" sizes=\"(max-width: 560px) 100vw, 560px\" /></figure></div>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 23%\"><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">CSS personnalisé</h3>\n\n\n\n<p>Améliorez votre site à votre guise en ajoutant votre propre CSS sur votre site ou sur vos blocs, pour un niveau de contrôle encore plus important sur l’apparence de votre site.</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"560\" height=\"560\" src=\"https://fr.wordpress.org/files/2023/03/about-custom-css.png\" alt=\"\" class=\"wp-image-2673 size-full\" srcset=\"https://fr.wordpress.org/files/2023/03/about-custom-css.png 560w, https://fr.wordpress.org/files/2023/03/about-custom-css-300x300.png 300w, https://fr.wordpress.org/files/2023/03/about-custom-css-150x150.png 150w\" sizes=\"(max-width: 560px) 100vw, 560px\" /></figure></div>\n\n\n\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Positionnement épinglé</h3>\n\n\n\n<p>Maintenez certains blocs important en haut de page lorsque les internautes la font défiler.</p>\n\n\n\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Importation des widgets</h3>\n\n\n\n<p>Options pour importer vos widgets préférés depuis les thèmes classiques vers les thèmes basés sur des blocs.</p>\n\n\n\n<h3 class=\"wp-block-heading\" style=\"font-size:20px\">Polices embarquées depuis les thèmes</h3>\n\n\n\n<p>Les thèmes par défaut proposés par WordPress offrent un meilleur respect des données personnelles en embarquant les polices Google en local.</p>\n\n\n\n<h3 class=\"wp-block-heading\">En savoir plus sur WordPress 6.2</h3>\n\n\n\n<p>Visitez&nbsp;<a href=\"https://learn.wordpress.org/\">learn.wordpress.org</a>&nbsp;pour des tutoriels vidéos, des ateliers en ligne, des cours et des plans de cours pour les personnes organisant des évènements, et pour des contenus présentant les nouvelles fonctionnalités de WordPress.</p>\n\n\n\n<p>Consultez notre&nbsp;<a href=\"https://fr.wordpress.org/2023/03/10/guide-des-changements-techniques-de-wordpress-6-2/\">guide des changements techniques introduits par WordPress 6.2</a>. Il contient toutes les notes techniques que vous devez connaître si vous développez sur WordPress.</p>\n\n\n\n<p><a href=\"https://wordpress.org/support/wordpress-version/version-6-2/\">Lire les notes de développement de WordPress 6.2 (en anglais)</a>&nbsp;pour obtenir plus d’informations sur les améliorations proposées et les anomalies corrigées, les informations d’installation, les notes et ressources à destination des développeuses et des développeurs, connaître les personnes ayant contribué à cette version et pour obtenir la liste des fichiers modifiés.</p>\n\n\n\n<h2 class=\"wp-block-heading\">L’équipe de direction de WP 6.2</h2>\n\n\n\n<p>Voici l’équipe qui a coordonné le développement et la sortie cette nouvelle version de WordPress&nbsp;:</p>\n\n\n\n<ul>\n<li>Direction générale&nbsp;: <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a></li>\n\n\n\n<li>Coordination de la version&nbsp;: <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a></li>\n\n\n\n<li>Direction technique du cœur WP&nbsp;: <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a></li>\n\n\n\n<li>Direction technique Gutenberg&nbsp;: <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a>, <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a></li>\n\n\n\n<li>Gestion de projet côté cœur WP : <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a></li>\n\n\n\n<li>Gestion de projet côté Gutenberg&nbsp;: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Responsable du design&nbsp;: <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Coordination de la documentation&nbsp;: <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseet</a>, <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a>, <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a></li>\n\n\n\n<li>Coordination de la communication&nbsp;: <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a></li>\n\n\n\n<li>Coordination des tests&nbsp;: <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a>, <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a></li>\n\n\n\n<li>Responsable de l&rsquo;optimisation des performances&nbsp;: <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Merci aux contributeurs et contributrices</h2>\n\n\n\n<p>WordPress 6.2 n&rsquo;aurait pas pu sortir sans la contribution passionnée de plus de 600 personnes provenant d&rsquo;au moins 50 pays différents. Un remerciement tout spécial pour les 178 personnes qui ont contribué au cœur de WordPress pour la première fois avec WP&nbsp;6.2 <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2665.png\" alt=\"♥\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> </p>\n\n\n\n<p>Les personnes listées ci-dessous démontrent la vitalité et le dynamisme de notre belle communauté open-source, merci à elles&nbsp;!</p>\n\n\n\n<p style=\"font-size:12px\"><a href=\"https://profiles.wordpress.org/10upsimon/\">10upsimon</a> · <a href=\"https://profiles.wordpress.org/254volkan/\">254volkan</a> · <a href=\"https://profiles.wordpress.org/mercime/\">@mercime</a> · <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a> · <a href=\"https://profiles.wordpress.org/aeg0125/\">Aaron Graham</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abidhasan112/\">Abid Hasan</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/abtop/\">ABTOP</a> · <a href=\"https://profiles.wordpress.org/ace100/\">ace100</a> · <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/admwgn/\">Adam Wiltgen</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adhun/\">Adhun Anand</a> · <a href=\"https://profiles.wordpress.org/adityaarora010196/\">adityaarora010196</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/afshanadiya/\">Afshana Diya</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/ajmaurya/\">Ajay Maurya</a> · <a href=\"https://profiles.wordpress.org/ajayver/\">ajayver</a> · <a href=\"https://profiles.wordpress.org/seakashdiu/\">Akash Mia</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alanjacobmathew/\">Alan Jacob Mathew</a> · <a href=\"https://profiles.wordpress.org/albarin/\">albarin</a> · <a href=\"https://profiles.wordpress.org/alberuni-azad/\">Alberuni Azad.</a> · <a href=\"https://profiles.wordpress.org/alecgeatches/\">alecgeatches</a> · <a href=\"https://profiles.wordpress.org/aleksganev/\">Aleks Ganev</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alvastar/\">alvastar</a> · <a href=\"https://profiles.wordpress.org/alvitazwar052/\">Alvi Tazwar</a> · <a href=\"https://profiles.wordpress.org/amin7/\">amin</a> · <a href=\"https://profiles.wordpress.org/amirrezatm/\">amirrezatm</a> · <a href=\"https://profiles.wordpress.org/amitbarai013/\">Amit Barai Alit</a> · <a href=\"https://profiles.wordpress.org/paulamit/\">Amit Paul</a> · <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andreaboe/\">andreaboe</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/apmatthe/\">Andrew Matthews</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey “Rarst” Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a> · <a href=\"https://profiles.wordpress.org/aniketpatel/\">Aniket Patel</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/ahortin/\">Anthony Hortin</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonyagrios/\">Antony Agrios</a> · <a href=\"https://profiles.wordpress.org/aparnajl/\">Aparna Adhun</a> · <a href=\"https://profiles.wordpress.org/arrasel403/\">AR Rasel</a> · <a href=\"https://profiles.wordpress.org/arafatjamil01/\">Arafat Jamil</a> · <a href=\"https://profiles.wordpress.org/aravindajith/\">Aravind Ajith</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/arnolp/\">arnolp</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/artz91/\">ArtZ91</a> · <a href=\"https://profiles.wordpress.org/aryamaaru/\">Arun</a> · <a href=\"https://profiles.wordpress.org/mrasharirfan/\">Ashar Irfan</a> · <a href=\"https://profiles.wordpress.org/ashrafulsarkar/\">Ashraful Sarkar Naiem</a> · <a href=\"https://profiles.wordpress.org/nmutua/\">Autumn</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/azurseisme/\">azurseisme</a> · <a href=\"https://profiles.wordpress.org/barryceelen/\">Barry Ceelen</a> · <a href=\"https://profiles.wordpress.org/bart/\">Bart</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/bedas/\">Beda</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benish74/\">benish74</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benoitchantre/\">Benoit Chantre</a> · <a href=\"https://profiles.wordpress.org/kau-boy/\">Bernhard Kau</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/mxbclang/\">Bethany Chobanian Lang</a> · <a href=\"https://profiles.wordpress.org/bgin/\">bgin</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a>&nbsp;· <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> ·&nbsp;<a href=\"https://profiles.wordpress.org/bjorn2404/\">bjorn2404</a> · <a href=\"https://profiles.wordpress.org/bogdanungureanu/\">BogdanUngureanu</a> · <a href=\"https://profiles.wordpress.org/bonjour52/\">bonjour52</a> · <a href=\"https://profiles.wordpress.org/bookwyrm/\">bookwyrm</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/bradyvercher/\">Brady Vercher</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">bronsonquick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke Kaminski</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/buutqn/\">buutqn</a> · <a href=\"https://profiles.wordpress.org/cameronjonesweb/\">Cameron Jones</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia Prim</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/mcaskill/\">Chauncey McAskill</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/chiragrathod103/\">Chirag Rathod</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chocofc1/\">chocofc1</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/chrisbaltazar/\">chrisbaltazar</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/chrystl/\">Chrystl</a> · <a href=\"https://profiles.wordpress.org/ckanderson22/\">ckanderson22</a> · <a href=\"https://profiles.wordpress.org/claytoncollie/\">Clayton Collie</a> · <a href=\"https://profiles.wordpress.org/cnspecialcolor/\">cnspecialcolor</a> · <a href=\"https://profiles.wordpress.org/codesdnc/\">codesdnc</a> · <a href=\"https://profiles.wordpress.org/codingchicken/\">Coding Chicken</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/conner_bw/\">conner_bw</a> · <a href=\"https://profiles.wordpress.org/copons/\">Copons</a> · <a href=\"https://profiles.wordpress.org/corentingautier/\">corentingautier</a> · <a href=\"https://profiles.wordpress.org/coreyw/\">Corey Worrell</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">Cory Birdsong</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">Craig Francis</a> · <a href=\"https://profiles.wordpress.org/craiglpeters/\">craiglpeters</a> · <a href=\"https://profiles.wordpress.org/geisthanen/\">Creative Andrew</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/cu121/\">Cupid Chakma</a> · <a href=\"https://profiles.wordpress.org/dperonne/\">D.PERONNE</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/dalirajab/\">dali-rajab</a> · <a href=\"https://profiles.wordpress.org/dalleyne/\">Damien Alleyne</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/wirecat/\">Daniel Johnson</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/datagutten/\">datagutten</a> · <a href=\"https://profiles.wordpress.org/davilera/\">David Aguilera</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/davefx/\">David Marín Carreño</a> · <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davidvongries/\">David Vongries</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">derekblank</a> · <a href=\"https://profiles.wordpress.org/devanshijoshi/\">devanshijoshi</a> · <a href=\"https://profiles.wordpress.org/dhusakovic/\">dhusakovic</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/doctorlai/\">doctorlai</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donncha/\">Donncha</a> · <a href=\"https://profiles.wordpress.org/drzraf/\">drzraf</a> · <a href=\"https://profiles.wordpress.org/d-signed/\">DSIGNED</a> · <a href=\"https://profiles.wordpress.org/dustinrue/\">dustinrue</a> · <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van&nbsp;Durpe</a> · <a href=\"https://profiles.wordpress.org/emanuelx/\">emanuelx</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/enej/\">Enej Bajgorić</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/ericlewis/\">Eric Andrew Lewis</a> · <a href=\"https://profiles.wordpress.org/edanzer/\">Erick Danzer</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/esratpopy/\">Esrat Sultana Popy</a> · <a href=\"https://profiles.wordpress.org/manuilov/\">Eugene M</a> · <a href=\"https://profiles.wordpress.org/eherman24/\">Evan Herman</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a> · <a href=\"https://profiles.wordpress.org/fosuahmed/\">Faisal Ahmed</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/fasuto/\">fasuto</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/felipelavinz/\">Felipe Lavín</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/fpodhorsky/\">fpodhorsky</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco</a> · <a href=\"https://profiles.wordpress.org/bueltge/\">Frank Bueltge</a> · <a href=\"https://profiles.wordpress.org/franz00/\">franzaurus</a> · <a href=\"https://profiles.wordpress.org/fuadragib/\">Fuad Ragib</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/gamecreature/\">gamecreature</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gisgeo/\">gisgeo</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a> · <a href=\"https://profiles.wordpress.org/grl570810/\">grl570810</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hvar/\">H-var</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hanshenrik/\">hanshenrik</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh S</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/hasanmisbah/\">Hasan Misbah</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/ehtmlu/\">Helmut Wandl</a> · <a href=\"https://profiles.wordpress.org/luehrsen/\">Hendrik Luehrsen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hiren1094/\">hiren sanja</a> · <a href=\"https://profiles.wordpress.org/patelhitesh/\">Hitesh Patel</a> · <a href=\"https://profiles.wordpress.org/hughiemolloy/\">hughie.molloy</a> · <a href=\"https://profiles.wordpress.org/hugodevos/\">hugodevos</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">hztyfoon</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/polevaultweb/\">Iain Poulson</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/iazel/\">Iazel</a> · <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a> · <a href=\"https://profiles.wordpress.org/imanish003/\">imanish003</a> · <a href=\"https://profiles.wordpress.org/ingeniumed/\">ingeniumed</a> · <a href=\"https://profiles.wordpress.org/innovext/\">Innovext</a> · <a href=\"https://profiles.wordpress.org/inwerpsel/\">inwerpsel</a> · <a href=\"https://profiles.wordpress.org/iqbalrony/\">iqbalrony</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">ironprogrammer</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/itpathsolutions/\">IT Path Solutions</a> · <a href=\"https://profiles.wordpress.org/ivanjeronimo/\">ivanjeronimo</a> · <a href=\"https://profiles.wordpress.org/jhoffmann/\">j.hoffmann</a> · <a href=\"https://profiles.wordpress.org/jackreichert/\">Jack Reichert</a> · <a href=\"https://profiles.wordpress.org/jaedm97/\">Jaed Mosharraf</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/outrankjames/\">James</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/james-roberts/\">James Roberts</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a> · <a href=\"https://profiles.wordpress.org/janusdev/\">janusdev</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/ipajen/\">Jarko Piironen</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/carazo/\">Javier Carazo</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jchambo/\">jchambo</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jeanphilippegreen/\">Jean-Philippe Green</a> · <a href=\"https://profiles.wordpress.org/jeawhanlee/\">jeawhanlee</a> · <a href=\"https://profiles.wordpress.org/jeffmatson/\">Jeff Matson</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jmdodd/\">Jennifer M. Dodd</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/lobeless14/\">Jeremy Lind</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">jeryj</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhned/\">jhned</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jipmoors/\">Jip Moors</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joelmadigan/\">joelmadigan</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnwatkins0/\">John Watkins</a> · <a href=\"https://profiles.wordpress.org/jokerrs/\">Jokerrs</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/jongycastillo/\">Jong</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/jornp/\">jornp</a> · <a href=\"https://profiles.wordpress.org/dunhakdis/\">Joseph G.</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a> · <a href=\"https://profiles.wordpress.org/joshuatf/\">joshuatf</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jsh4/\">jsh4</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/welenofsky/\">Justin Welenofsky</a> · <a href=\"https://profiles.wordpress.org/justlevine/\">justlevine</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kacper3355/\">kacper3355</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/kaneva/\">kaneva</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn P.</a> · <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a> · <a href=\"https://profiles.wordpress.org/kbat82/\">Kevin Batdorf</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a> · <a href=\"https://profiles.wordpress.org/konyoldeath/\">konyoldeath</a> · <a href=\"https://profiles.wordpress.org/kowsar89/\">Kowsar Hossain</a> · <a href=\"https://profiles.wordpress.org/krunal265/\">Krunal Bhimajiyani</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kmadhak/\">Kunal Madhak</a> · <a href=\"https://profiles.wordpress.org/lanacodes/\">Lana Codes</a> · <a href=\"https://profiles.wordpress.org/larsmqller/\">larsmqller</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/lenasterg/\">Lena Stergatou</a> · <a href=\"https://profiles.wordpress.org/leonidasmilossis/\">Leo Milo</a> · <a href=\"https://profiles.wordpress.org/lifeboat/\">lifeboat</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/lkraav/\">lkraav</a> · <a href=\"https://profiles.wordpress.org/webaxones/\">Loïc Antignac</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/dreadlox/\">Lox</a> · <a href=\"https://profiles.wordpress.org/lozula/\">lozula</a> · <a href=\"https://profiles.wordpress.org/lucius0101/\">lucius0101</a> · <a href=\"https://profiles.wordpress.org/lucymtc/\">Lucy Tomas</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/pyrobd/\">Lukman Nakib</a> · <a href=\"https://profiles.wordpress.org/pagelab/\">Márcio Duarte</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mahbubshovan/\">Mahbub Shovan</a> · <a href=\"https://profiles.wordpress.org/mahekkalola/\">Mahek Kalola</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manojkpatil/\">Manoj Patil</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/marissamakes/\">Marissa Matthews</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a> · <a href=\"https://profiles.wordpress.org/marksabbath/\">marksabbath</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/matclayton/\">matclayton</a> · <a href=\"https://profiles.wordpress.org/wetah/\">Mateus Machado Luna</a> · <a href=\"https://profiles.wordpress.org/paapst/\">Mathieu Paapst</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">matiasbenedetto</a> · <a href=\"https://profiles.wordpress.org/mattkeys/\">Matt Keys</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/matthiasreinholz/\">Matthias Reinholz</a> · <a href=\"https://profiles.wordpress.org/h4l9k/\">Mauricio</a> · <a href=\"https://profiles.wordpress.org/wppunk/\">Max</a> · <a href=\"https://profiles.wordpress.org/cadic/\">Max Lyuchin</a> · <a href=\"https://profiles.wordpress.org/maximej/\">Maxime J.</a> · <a href=\"https://profiles.wordpress.org/jamilbd07/\">MD Jamil Uddin</a> · <a href=\"https://profiles.wordpress.org/kawserz/\">Md Kawser Ahmed Khan Jami</a> · <a href=\"https://profiles.wordpress.org/rakibwordpress/\">Md Rakib Hossain</a> · <a href=\"https://profiles.wordpress.org/abirhasandipu/\">Md. Abir Hasan Dipu</a> · <a href=\"https://profiles.wordpress.org/reduanmasud/\">Md. Reduan Masud</a> · <a href=\"https://profiles.wordpress.org/mdviralsampat/\">mdviralsampat</a> · <a href=\"https://profiles.wordpress.org/mehulkaklotar/\">Mehul Kaklotar</a> · <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a> · <a href=\"https://profiles.wordpress.org/meyegui/\">meyerdev.ch</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/michael-kelly/\">Michael Kelly</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/michelmany/\">Michel Many</a> · <a href=\"https://profiles.wordpress.org/miguelaxcar/\">Miguel Axcar</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mmtr86/\">Miguel Torres</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikestraw/\">Mike Straw</a> · <a href=\"https://profiles.wordpress.org/dimadin/\">Milan Dinić</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/mitchellaustin/\">mitchellaustin</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a> · <a href=\"https://profiles.wordpress.org/mrwweb/\">mrwweb</a> · <a href=\"https://profiles.wordpress.org/mtias/\">mtias</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/faguni22/\">Mumtahina Faguni</a> · <a href=\"https://profiles.wordpress.org/tanjimtc71/\">Musarrat Anjum Chowdhury</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/mw108/\">mw108</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/nathanatmoz/\">Nathan Johnson</a> · <a href=\"https://profiles.wordpress.org/nazmulhasan103/\">Nazmul Hasan</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/nicholaswilson/\">nicholaswilson</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nick_thegeek/\">Nick the Geek</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/itsnikhilpatel/\">NikhilPatel</a> · <a href=\"https://profiles.wordpress.org/dhrupo/\">Niluthpal Purkayastha</a> · <a href=\"https://profiles.wordpress.org/dasnitesh780/\">Nitesh Das</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/rnitinb/\">Nitin Rathod</a> · <a href=\"https://profiles.wordpress.org/nitman43/\">nitman43</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/nuvopoint/\">nuvoPoint</a> · <a href=\"https://profiles.wordpress.org/oakesjosh/\">oakesjosh</a> · <a href=\"https://profiles.wordpress.org/obayedmamur/\">Obayed Mamur</a> · <a href=\"https://profiles.wordpress.org/ockham/\">ockham</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/oh_hello/\">oh_hello</a> · <a href=\"https://profiles.wordpress.org/hideokamoto/\">Okamoto Hidetaka</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pablohoney/\">PabloHoney</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/paulschreiber/\">Paul Schreiber</a> · <a href=\"https://profiles.wordpress.org/pavelevap/\">pavelevap</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendonça</a> · <a href=\"https://profiles.wordpress.org/pputzer/\">pepe</a> · <a href=\"https://profiles.wordpress.org/petaryoast/\">Petar Ratković</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walbø Johnsgård</a> · <a href=\"https://profiles.wordpress.org/phil-webster/\">Phil Webster</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/iapial/\">Pial</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/knowingart_com/\">PJ Brunet</a> · <a href=\"https://profiles.wordpress.org/pkolenbr/\">pkolenbr</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/ptahdunbar/\">Ptah Dunbar</a> · <a href=\"https://profiles.wordpress.org/pypwalters/\">pypwalters</a> · <a href=\"https://profiles.wordpress.org/raduiason/\">raduiason</a> · <a href=\"https://profiles.wordpress.org/initsogar/\">Rafael Agostini</a> · <a href=\"https://profiles.wordpress.org/rafinkhan/\">Rafin</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajeshraval786/\">Rajesh Raval</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramon-fincken/\">ramon fincken</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/razthee007/\">Razthee Md. Yakini</a> · <a href=\"https://profiles.wordpress.org/renatoagds/\">Renato Augusto Gama dos Santos</a> · <a href=\"https://profiles.wordpress.org/rezakhan995/\">Reza Khan</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/riccardodicurti/\">Riccardo Di Curti</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rinkychowdhury9/\">Rinky Chowdhury</a> · <a href=\"https://profiles.wordpress.org/ritteshpatel/\">Ritesh Patel</a> · <a href=\"https://profiles.wordpress.org/rjasdfiii/\">rjasdfiii</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/robin-labadie/\">Robin Labadie</a> · <a href=\"https://profiles.wordpress.org/rodage/\">rodage</a> · <a href=\"https://profiles.wordpress.org/rodricus/\">rodricus</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/digical/\">Ross Gile</a> · <a href=\"https://profiles.wordpress.org/roytanck/\">Roy Tanck</a> · <a href=\"https://profiles.wordpress.org/ruchirj/\">Ruchir Goswami</a> · <a href=\"https://profiles.wordpress.org/re_enter_rupok/\">Rupok</a> · <a href=\"https://profiles.wordpress.org/rryyaanndd/\">Ryan</a> · <a href=\"https://profiles.wordpress.org/ryankienstra/\">Ryan Kienstra</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/looswebstudio/\">Ryo</a> · <a href=\"https://profiles.wordpress.org/sereedmedia/\">Sé Reed</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">Sérgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">Sören Wrede</a> · <a href=\"https://profiles.wordpress.org/andy786/\">Sahil B.</a> · <a href=\"https://profiles.wordpress.org/stalukder03/\">Sajib Talukder</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/samful/\">Sam Fullalove</a> · <a href=\"https://profiles.wordpress.org/sam1el/\">sam1el</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/samruddhikhandale/\">samruddhikhandale</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/sanjucta/\">sanjucta</a> · <a href=\"https://profiles.wordpress.org/sanketchodavadiya/\">Sanket Chodavadiya</a> · <a href=\"https://profiles.wordpress.org/sannevndrmeulen/\">Sanne van der Meulen</a> · <a href=\"https://profiles.wordpress.org/sapayth/\">sapayth</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarathar/\">Sarath AR</a> · <a href=\"https://profiles.wordpress.org/saumil1611/\">Saumil Nerpagar</a> · <a href=\"https://profiles.wordpress.org/ira2910/\">Sazia Faizunnessa Ira</a> · <a href=\"https://profiles.wordpress.org/sc0ttkclark/\">Scott Kingsley Clark</a> · <a href=\"https://profiles.wordpress.org/countrymusicchicago/\">Scott Winterroth</a> · <a href=\"https://profiles.wordpress.org/hiyascout/\">Scout James</a> · <a href=\"https://profiles.wordpress.org/seanchayes/\">Sean Hayes</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/seriouslysenpai/\">seriouslysenpai</a> · <a href=\"https://profiles.wordpress.org/wandering-aramean/\">Seth Miller</a> · <a href=\"https://profiles.wordpress.org/shahidul95/\">Shahidul Islam</a> · <a href=\"https://profiles.wordpress.org/shamayel007/\">Shamayel</a> · <a href=\"https://profiles.wordpress.org/shamimmiashuhagh/\">Shamim Mia</a> · <a href=\"https://profiles.wordpress.org/smeunus/\">Sharif Mohammad Eunus</a> · <a href=\"https://profiles.wordpress.org/shraboni/\">Shraboni</a> · <a href=\"https://profiles.wordpress.org/shubham1gupta/\">shubham1gupta</a> · <a href=\"https://profiles.wordpress.org/silicium23/\">Silicium</a> · <a href=\"https://profiles.wordpress.org/simongomes02/\">Simon Gomes</a> · <a href=\"https://profiles.wordpress.org/slieschke/\">Simon Lieschke</a> · <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/calvinalkan/\">snicco.io</a> · <a href=\"https://profiles.wordpress.org/sruthi90/\">sruthi90</a> · <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/stentibbing/\">stentibbing</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/stephym/\">Stephy Miehle</a> · <a href=\"https://profiles.wordpress.org/stephymiehle/\">stephymiehle</a> · <a href=\"https://profiles.wordpress.org/stevenkword/\">Steven Word</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sun/\">sun</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva (a11n)</a> · <a href=\"https://profiles.wordpress.org/codemonksuvro/\">Suvro</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/afrin29/\">Syeda Sanjida Afrin</a> · <a href=\"https://profiles.wordpress.org/syhc/\">syhc</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/syntaxart/\">syntaxart</a> · <a href=\"https://profiles.wordpress.org/szaqal21/\">szaqal21</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/tahminar27/\">tahminar27</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/tanazmasaba/\">Tanaz Masaba</a> · <a href=\"https://profiles.wordpress.org/devtanbir/\">Tanbir Ahmod</a> · <a href=\"https://profiles.wordpress.org/tanner-m/\">Tanner Moushey</a> · <a href=\"https://profiles.wordpress.org/rahmantasnia/\">Tasnia Rahman Raima</a> · <a href=\"https://profiles.wordpress.org/teebee/\">teebee</a> · <a href=\"https://profiles.wordpress.org/tekapo/\">tekapo</a> · <a href=\"https://profiles.wordpress.org/thedaysse/\">thedaysse</a> · <a href=\"https://profiles.wordpress.org/iamjaydip/\">thejaydip</a> · <a href=\"https://profiles.wordpress.org/theode/\">theode</a> · <a href=\"https://profiles.wordpress.org/griffinjt/\">Thomas Griffin</a> · <a href=\"https://profiles.wordpress.org/thomasplevy/\">Thomas Patrick Levy</a> · <a href=\"https://profiles.wordpress.org/thomask/\">thomask</a> · <a href=\"https://profiles.wordpress.org/timbroddin/\">timbroddin</a> · <a href=\"https://profiles.wordpress.org/sippis/\">Timi Wahalahti</a> · <a href=\"https://profiles.wordpress.org/spaceshipone/\">Timothée Brosille</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/dziudek/\">Tomasz Dziuda</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemerö</a> · <a href=\"https://profiles.wordpress.org/starbuck/\">Tony G</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/toru/\">Toru Miki</a> · <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul I Chowdhury</a> · <a href=\"https://profiles.wordpress.org/travisaxton/\">travisaxton</a> · <a href=\"https://profiles.wordpress.org/triumvirate/\">triumvirate</a> · <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Szépe</a> · <a href=\"https://profiles.wordpress.org/virgar/\">Virginie Garnier</a> · <a href=\"https://profiles.wordpress.org/elifvish/\">Vishal Kumar</a> · <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a> · <a href=\"https://profiles.wordpress.org/vtad/\">vtad</a> · <a href=\"https://profiles.wordpress.org/vykesmac/\">vykesmac</a> · <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design | Oliver Juhas</a> · <a href=\"https://profiles.wordpress.org/webrocker/\">Webrocker</a> · <a href=\"https://profiles.wordpress.org/websitegenii/\">websitegenii</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/winterpsv/\">winterpsv</a> · <a href=\"https://profiles.wordpress.org/wojsmol/\">wojsmol</a> · <a href=\"https://profiles.wordpress.org/wojtekn/\">Wojtek Naruniec</a> · <a href=\"https://profiles.wordpress.org/wojtekszkutnik/\">Wojtek Szkutnik</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/yuliyan/\">Yuliyan Slavchev</a> · <a href=\"https://profiles.wordpress.org/zebaafiashama/\">Zeba Afia Shama</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zevilz/\">zevilz</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a></p>\n\n\n\n<h3 class=\"wp-block-heading\">Merci aux personnes ayant contribué à traduire WordPress&nbsp;6.2 en français</h3>\n\n\n\n<p>WordPress est un projet international et la version 6.2 est déjà complètement disponible dans plus de 70 langues différentes.</p>\n\n\n\n<p>Nous souhaitons remercier ici les personnes ayant participé à la traduction de WordPress 6.2 en français&nbsp;:</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/btpub\">Bruno Tritsch</a>,&nbsp;<a href=\"https://profiles.wordpress.org/clementpolito\">Clément Polito</a>,&nbsp;<a href=\"https://profiles.wordpress.org/fxbenard\">FX Bénard</a>, <a href=\"https://profiles.wordpress.org/eddystile\">Eddy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/emlebrun\">Emilie LEBRUN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/gaellebesson\">gaellebesson</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>,&nbsp;<a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a>, <a href=\"https://profiles.wordpress.org/webaxones\">Loïc Antignac</a>,&nbsp;<a href=\"https://profiles.wordpress.org/lulucmy\">lulucmy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/oellin\">Magali</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nuryko\">Marianna</a>,&nbsp;<a href=\"https://profiles.wordpress.org/marineevain\">Marine EVAIN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/maxpertici\">Maxime Pertici</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nandow\">nandow</a>,&nbsp;<a href=\"https://profiles.wordpress.org/petitphp\">petitphp</a>,&nbsp;<a href=\"https://profiles.wordpress.org/larrach\">Rachel Peter</a>,&nbsp;<a href=\"https://profiles.wordpress.org/sebastienserre\">Sébastien SERRE</a>,&nbsp;<a href=\"https://profiles.wordpress.org/stephanepoisson\">Stéphane POISSON</a>,&nbsp;<a href=\"https://profiles.wordpress.org/spaceshipone\">Timothée Brosille</a>,&nbsp;<a href=\"https://profiles.wordpress.org/virgar\">Virginie Garnier</a>,&nbsp;<a href=\"https://profiles.wordpress.org/whaze\">whaze</a>,&nbsp;<a href=\"https://profiles.wordpress.org/alexisgrolot\">WordPress Express</a>, et&nbsp;<a href=\"https://profiles.wordpress.org/wplmillet\">wplmillet</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://fr.wordpress.org/2023/03/30/wordpress-6-2-dolphy/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:76:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Guide des changements techniques de WordPress 6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://fr.wordpress.org/2023/03/10/guide-des-changements-techniques-de-wordpress-6-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://fr.wordpress.org/2023/03/10/guide-des-changements-techniques-de-wordpress-6-2/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Mar 2023 12:09:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:5:\"Guide\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:31:\"Nouvelles versions de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2612\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:475:\"Ce guide décrit les principaux changements techniques que vous trouverez sur WordPress&#160;6.2, dont la sortie est prévue le 28 mars 2023. WordPress 6.2 corrige quelque 300 tickets Trac&#160;:&#160;110 sont des améliorations et nouvelles fonctionnalités,&#160;166 sont des corrections de bogues et&#160;20 sont d’autres tâches courantes. On retrouvera 28 améliorations de performances,&#160;15 améliorations d’accessibilité et&#160;18 améliorations de [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:40678:\"\n<p>Ce guide décrit les principaux changements techniques que vous trouverez sur WordPress&nbsp;6.2, dont la sortie est prévue le 28 mars 2023.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2023/03/wp62-field-guide-1.png\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"591\" src=\"https://fr.wordpress.org/files/2023/03/wp62-field-guide-1-1024x591.png\" alt=\"\" class=\"wp-image-2614\" srcset=\"https://fr.wordpress.org/files/2023/03/wp62-field-guide-1-1024x591.png 1024w, https://fr.wordpress.org/files/2023/03/wp62-field-guide-1-300x173.png 300w, https://fr.wordpress.org/files/2023/03/wp62-field-guide-1-768x443.png 768w, https://fr.wordpress.org/files/2023/03/wp62-field-guide-1.png 1486w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<p>WordPress 6.2 corrige <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.2&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">quelque 300 tickets Trac</a>&nbsp;:&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=enhancement&amp;type=feature+request&amp;milestone=6.2&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">110 sont des améliorations et nouvelles fonctionnalités</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=defect+(bug)&amp;milestone=6.2&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">166 sont des corrections de bogues</a> et&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=task+(blessed)&amp;milestone=6.2&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">20 sont d’autres tâches courantes</a>.</p>\n\n\n\n<p>On retrouvera <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;focuses=~performance&amp;milestone=6.2&amp;group=component&amp;col=id&amp;col=summary&amp;col=status&amp;col=focuses&amp;col=owner&amp;col=type&amp;col=priority&amp;order=priority\">28 améliorations de performances</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;focuses=~accessibility&amp;milestone=6.2&amp;group=component&amp;col=id&amp;col=summary&amp;col=status&amp;col=focuses&amp;col=owner&amp;col=type&amp;col=priority&amp;order=priority\">15 améliorations d’accessibilité</a> et&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;focuses=~coding-standards&amp;milestone=6.2&amp;group=component&amp;col=id&amp;col=summary&amp;col=status&amp;col=focuses&amp;col=owner&amp;col=type&amp;col=priority&amp;order=priority\">18 améliorations de code</a> notamment dédiées à la prise en charge des versions les plus récentes de PHP.</p>\n\n\n\n<p>Du côté du projet Gutenberg, <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">1645 pull requests</a> ont été fusionnées au cœur de WordPress&nbsp;: 292 améliorations, 354&nbsp;corrections de bogues et 30 améliorations concernant l’accessibilité de l’éditeur.</p>\n\n\n\n<p>Les modifications apportées par WP&nbsp;6.2 concernent 44&nbsp;composants du cœur WordPress. Vous trouverez dans cet article des précisions concernant les modifications les plus impactantes.</p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#14825a\">En route pour un petit tour d’horizon des<br>nouveautés techniques de WordPress&nbsp;6.2&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f680.png\" alt=\"🚀\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>Tous les liens de cet article pointent vers des notes de développement rédigées en anglais.</p>\n\n\n\n<p>L’objectif est de fournir un panorama général des changements techniques apportés par cette version, en français, puis de diriger les personnes qui souhaitent en savoir plus vers les notes de développement en anglais.</p>\n\n\n\n<p class=\"has-background\" style=\"background-color:#fee7af\">À noter&nbsp;: certaines modifications listées ici vont nécessiter des actions de la part des auteurs et autrices de thèmes et d’extensions, qui devront adapter ou modifier leur code. Si vous êtes concerné·e, veuillez lire les notes de développement listées dans cet article consciencieusement afin de vous assurer que votre code fonctionnera avec WordPress&nbsp;6.2 lorsque cette version sortira le 28&nbsp;mars 2023.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"Themes\">Les polices Google Font sont maintenant incluses localement dans les thèmes natifs</h2>\n\n\n\n<p>Suite aux incertitudes juridiques liées à l’utilisation des polices <em>Google Fonts</em> directement chargées depuis les serveurs de Google, les thèmes natifs qui embarquaient auparavant directement des polices provenant des serveurs de Google ne le feront plus à partir de WordPress 6.2.</p>\n\n\n\n<p>Cela concerne les thèmes suivants&nbsp;:</p>\n\n\n\n<ul>\n<li><em>Twenty Twelve</em> à partir de sa version 3.9</li>\n\n\n\n<li><em>Twenty Thirteen</em> à partir de sa version 3.8</li>\n\n\n\n<li><em>Twenty Fourteen</em> à partir de sa version 3.6</li>\n\n\n\n<li><em>Twenty Fifteen</em> à partir de sa version 3.4</li>\n\n\n\n<li><em>Twenty Sixteen</em> à partir de sa version 2.9</li>\n\n\n\n<li><em>Twenty Seventeen</em> à partir de sa version 3.2</li>\n</ul>\n\n\n\n<p>Les autres thèmes natifs n&rsquo;utilisent pas directement de polices Google et ne sont donc pas concernés par cette modification.</p>\n\n\n\n<p>À partir de maintenant, chaque thème concerné va servir une nouvelle feuille de styles depuis son propre répertoire, au sein du domaine de votre site. Si le thème embarque plusieurs polices différentes, votre thème les embarquera en les plaçant dans une seule feuille de styles pour de meilleures performances.</p>\n\n\n\n<p>Voici par exemple la déclaration de feuille de styles de Twenty Thirteen&nbsp;:</p>\n\n\n<div class=\"wp-block-syntaxhighlighter-code \"><pre class=\"brush: css; title: ; notranslate\">\n&lt;link\n	rel=&quot;stylesheet&quot;\n	id=&quot;twentythirteen-fonts-css&quot;\n	href=&quot;https://example.com/wp-content/themes/twentythirteen/fonts/source-sans-pro-plus-bitter.css?ver=20230328&quot;\n	media=&quot;all&quot;\n/&gt;\n</pre></div>\n\n\n<p>Comme vous pouvez le voir, les polices sont maintenant directement embarquées depuis les thèmes natifs, afin d’éviter toute dépendance tierce.</p>\n\n\n\n<p class=\"has-background\" style=\"background-color:#fee7af\"><strong>Attention&nbsp;: si vous avez déjà modifié ou retiré l’appel <em>Google Fonts</em> via un thème enfant ou via une extension, il est recommandé de vérifier que ce changement n’affecte pas votre site.</strong></p>\n\n\n\n<p>Pour en savoir plus, consultez la note de développement suivante&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"Y9fix8byS8\"><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Google Fonts are included locally in bundled themes&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/embed/#?secret=LQGDbnYuSO#?secret=Y9fix8byS8\" data-secret=\"Y9fix8byS8\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"blockeditor\">L’éditeur de blocs</h2>\n\n\n\n<p>WordPress 6.2 comprend 10 versions du projet Gutenberg –&nbsp;<a href=\"https://make.wordpress.org/core/2022/09/30/whats-new-in-gutenberg-14-2-28-september/\">14.2</a>, <a href=\"https://make.wordpress.org/core/2022/10/13/whats-new-in-gutenberg-14-3-12-october/\">14.3</a>, <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">14.4</a>, <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">14.5</a>, <a href=\"https://make.wordpress.org/core/2022/11/23/whats-new-in-gutenberg-14-6-23-november/\">14.6</a>, <a href=\"https://make.wordpress.org/core/2022/12/09/whats-new-in-gutenberg-14-7-7-december/\">14.7</a>, <a href=\"https://make.wordpress.org/core/2022/12/22/whats-new-in-gutenberg-14-8-21-december/\">14.8</a>, <a href=\"https://make.wordpress.org/core/2023/01/04/whats-new-in-gutenberg-14-9-4-january/\">14.9</a>, <a href=\"https://make.wordpress.org/core/2023/01/20/whats-new-in-gutenberg-15-0-18-january/\">15.0</a> et <a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-1-8-february/\">15.1</a>. Vous y trouverez de nouvelles API, des mises à niveau de bibliothèques, des améliorations très utiles des Styles globaux, encore plus de fonctionnalités prises en charge nativement par les blocs, de nouveaux crochets d’action et filtres, ainsi que <a href=\"https://core.trac.wordpress.org/ticket/57471\">bien d&rsquo;autres modifications ayant été développées sur ces 10 versions de l’extension Gutenberg</a>.</p>\n\n\n\n<p>Pour en savoir plus, consultez les notes de développement suivantes&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"n2WFGSL2CC\"><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Introducing the HTML API in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/embed/#?secret=qWbjG7rDS3#?secret=n2WFGSL2CC\" data-secret=\"n2WFGSL2CC\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"M82WlzFxsu\"><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Upgrading to React 18 and common pitfalls of concurrent mode&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/embed/#?secret=RpUH01kp4I#?secret=M82WlzFxsu\" data-secret=\"M82WlzFxsu\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"twZm3MCaTb\"><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Custom CSS for global styles and per block&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/embed/#?secret=Gw8tU7aWEg#?secret=twZm3MCaTb\" data-secret=\"twZm3MCaTb\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"ZNOpTU85lt\"><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Style Book preview of blocks in global styles&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/embed/#?secret=R3sVocacKE#?secret=ZNOpTU85lt\" data-secret=\"ZNOpTU85lt\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"qZ291B2NN6\"><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Shadows in Global Styles with WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/embed/#?secret=jkJeKyBLSo#?secret=qZ291B2NN6\" data-secret=\"qZ291B2NN6\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"PWtKtg9YUw\"><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Sticky position block support&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/embed/#?secret=AtzJ8mk5KI#?secret=PWtKtg9YUw\" data-secret=\"PWtKtg9YUw\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"U2DStPkdCp\"><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Minimum height dimensions block support&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/embed/#?secret=uWwtmaDTGe#?secret=U2DStPkdCp\" data-secret=\"U2DStPkdCp\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"BUfnEQcoGS\"><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Customize settings for any block in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/embed/#?secret=i3GL0VbSTi#?secret=BUfnEQcoGS\" data-secret=\"BUfnEQcoGS\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"pwoOs2XiSD\"><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Introduction of Block Inspector Tabs&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/embed/#?secret=Kwhyyzdi8U#?secret=pwoOs2XiSD\" data-secret=\"pwoOs2XiSD\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"xxeDIgaDji\"><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Update to content only editing filter namespace&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/embed/#?secret=Od8kWWwqTv#?secret=xxeDIgaDji\" data-secret=\"xxeDIgaDji\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"8kFEsRew5m\"><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Add new prop to ServerSideRender component&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/embed/#?secret=SCVQjiLIpb#?secret=8kFEsRew5m\" data-secret=\"8kFEsRew5m\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"09NBil83hn\"><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Editor Components updates in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/embed/#?secret=oQ4gEUSTac#?secret=09NBil83hn\" data-secret=\"09NBil83hn\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"JCZNnjDtnD\"><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Patterns API expanded to include template_types property&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/embed/#?secret=FcP78xalny#?secret=JCZNnjDtnD\" data-secret=\"JCZNnjDtnD\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"4QJSGLeOEy\"><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Miscellaneous Editor changes in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/embed/#?secret=wSzZ6hh85H#?secret=4QJSGLeOEy\" data-secret=\"4QJSGLeOEy\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Internationalisation</h2>\n\n\n\n<p>Dans WordPress 6.2, le composant internationalisation (abrégé «&nbsp;i18n&nbsp;») propose une nouvelle fonction conteneur et propose de faciliter le changement des traductions de l’administration du site pour chaque compte. Voici la note de développement dédiée aux modifications ayant eu lieu sur ce composant&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"PmeBBCqf9M\"><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;I18N Improvements in 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/embed/#?secret=oN9FSuxaex#?secret=PmeBBCqf9M\" data-secret=\"PmeBBCqf9M\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">API de gestion des fichiers système</h2>\n\n\n\n<p>Si vous utilisiez la fonction <code>copy_dir()</code> pour déplacer des répertoires, vous serez probablement heureux de découvrir la nouvelle fonction <code>move_dir()</code>, qui arrive avec WordPress 6.2.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"iD9AZGTuz0\"><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Introducing move_dir() in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/embed/#?secret=2lu0bdfgVX#?secret=iD9AZGTuz0\" data-secret=\"iD9AZGTuz0\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<p>Notons également l&rsquo;apparition de la fonction <code>wp_opcache_invalidate()</code>&nbsp;qui sert à vider OPcache pour des fichiers PHP individuels après les avoir surchargés. La fonction &nbsp;<code>wp_opcache_invalidate_directory()</code>&nbsp;a été ajoutée dans le cadre du ticket <a href=\"https://core.trac.wordpress.org/ticket/57375\">#57375</a> afin de vider le cache OPcache de façon récursive pour les fichiers PHP après les avoir surchargés. Cette fonction accepte un paramètre unique <code>$dir</code>, pointant vers le répertoire contenant les fichiers PHP pour lesquels OPcache doit être vidé.</p>\n\n\n\n<p>Dans le ticket <a href=\"https://core.trac.wordpress.org/ticket/57375\">#57375</a>, la méthode&nbsp;<code>WP_Filesystem_Direct::move()</code>&nbsp;a reçu la possibilité de gérer des répertoires afin de la rendre cohérente par rapport aux méthodes <code>::move()</code> présentes dans <code>WP_Filesystem_FTPext</code>,&nbsp;<code>WP_Filesystem_ftpsockets</code>&nbsp;et&nbsp;<code>WP_Filesystem_SSH2</code>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Base de données</h2>\n\n\n\n<p>La possibilité de nettoyer les noms de tables et de champs a été ajoutée dans la méthode <code>wpdb::prepare()</code>. Plus d&rsquo;infos dans la note de développement dédiée&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"8Mu29VU4GA\"><a href=\"https://make.wordpress.org/core/2022/10/08/escaping-table-and-field-names-with-wpdbprepare-in-wordpress-6-1/\">Escaping Table and Field names with wpdb::prepare() in WordPress</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Escaping Table and Field names with wpdb::prepare() in WordPress&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/08/escaping-table-and-field-names-with-wpdbprepare-in-wordpress-6-1/embed/#?secret=du2jY7znoa#?secret=8Mu29VU4GA\" data-secret=\"8Mu29VU4GA\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Gestion des publications</h2>\n\n\n\n<p>La fonction <code>get_page_by_title()</code> est maintenant dépréciée en faveur de l&rsquo;utilisation de <code>WP_Query</code>.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"iFjyMSq3Ii\"><a href=\"https://make.wordpress.org/core/2023/03/06/get_page_by_title-deprecated/\">get_page_by_title() deprecated</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;get_page_by_title() deprecated&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/06/get_page_by_title-deprecated/embed/#?secret=LWF768ee3z#?secret=iFjyMSq3Ii\" data-secret=\"iFjyMSq3Ii\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"perfs\">Performances</h2>\n\n\n\n<p>WordPress 6.2 apporte plusieurs gains de temps de chargement importants au cœur du CMS. Cela est clairement visualisable dans les tests que nous avons conduits avec des mesures de <a href=\"https://docs.google.com/spreadsheets/d/1LroIJoYz-O9CpfJzaiKYYMWJ7GbE5RZoW1rf1R4FqyA/edit#gid=996638482\">signaux web essentiels (<em>Web Vitals</em> en anglais)</a> et de <a href=\"https://docs.google.com/spreadsheets/d/1LroIJoYz-O9CpfJzaiKYYMWJ7GbE5RZoW1rf1R4FqyA/edit#gid=0\">chargement côté serveur (<em>Server Timing</em> en anglais)</a>.</p>\n\n\n\n<p>Les performances des thèmes basés sur des blocs ont également été améliorées, avec un <a href=\"https://web.dev/ttfb/\">TTFB (en anglais <em>Time to First Byte</em>, ou temps de chargement du premier octet</a>) qui est environ 20&nbsp;% plus rapide, et aussi 14&nbsp;% d&rsquo;amélioration sur le <a href=\"https://web.dev/lcp/\">LCP (<em>Largest Contenful Paint</em>, représentant le temps avant que la page complète soit lisible)</a>. Sur des pages où vous utilisez de grandes bannières d’images, vous devriez même observer une amélioration du critère LCP d&rsquo;environ 19&nbsp;%.</p>\n\n\n\n<p>Autres améliorations de performances&nbsp;:</p>\n\n\n\n<ul>\n<li>Le nouveau filtre <code>pre_wp_load_alloptions</code> permet de court-circuiter le chargement des options auto-chargées de WordPress avec des conditions personnalisées. Voir le <a href=\"https://core.trac.wordpress.org/ticket/56045\">ticket #56045</a> pour plus d&rsquo;informations.</li>\n\n\n\n<li>Les résultats de la fonction <code>get_adjacent_post()</code> sont maintenant mis en cache. Voir le <a href=\"https://core.trac.wordpress.org/ticket/41131\">ticket #41131</a>.</li>\n\n\n\n<li>Les clés de mise en cache de <code>WP_Term_Query</code> sont dorénavant basées sur du SQL sans variables, afin de pouvoir être mises en cache. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57298\">ticket #57298</a>.</li>\n\n\n\n<li><code>WP_Query</code> ne parcourt désormais plus les publications deux fois avant de les retourner. Ça peut paraître une évidence, mais le <a href=\"https://core.trac.wordpress.org/ticket/57373\">ticket #57373</a> a nécessité beaucoup de travail sur ce point.</li>\n\n\n\n<li>Le chargement différé des métadonnées des termes de taxonomies est à présent plus rapide, grâce à l’utilisation de la fonction <code>wp_cache_get_multiple()</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57150\">ticket #57150</a>.</li>\n\n\n\n<li>Les résultats de <code>wp_get_global_settings()</code> sont maintenant placés en cache au sein d’une seule et unique requête, ce qui améliore de 8&nbsp;% les temps de réponse du cœur WordPress. Pour en savoir plus, voir le <a href=\"https://core.trac.wordpress.org/ticket/57502\">ticket #57502</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thèmes</h2>\n\n\n\n<p>Les développeuses et développeurs de thèmes WordPress pourront apprécier l&rsquo;arrivée de nouvelles fonctionnalités, et devront aussi prendre en compte la suppression de certains fonctionnalités obsolètes&nbsp;:</p>\n\n\n\n<ul>\n<li>La fonctionnalité «&nbsp;Variations de styles&nbsp;» a été ajoutée dans la liste des filtres sur les thèmes sur WordPress.org. Voir le <a href=\"https://core.trac.wordpress.org/ticket/56869\">ticket #56869</a>.</li>\n\n\n\n<li>Le fichier <code>theme.json</code> prend maintenant en charge davantage de pseudo-classes CSS liées aux liens hypertextes, comme <code>:link</code>&nbsp;ou&nbsp;<code>:any-link</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57053\">ticket #57053</a>.</li>\n\n\n\n<li>Les thèmes possédant un nom composé de chiffres sont désormais pris en charge par le CMS via un changement dans&nbsp;<code>WP_Theme::__construct()</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/54645\">ticket #54645</a>.</li>\n\n\n\n<li>Amélioration des performances des fonctions <code>_add_block_template_part_area_info</code> et <code>_add_block_template_info</code> en diminuant les appels à la fonction  <code>get_option</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57077\">ticket #57077</a>.</li>\n\n\n\n<li>Une mise en cache a été ajoutée sur <code>WP_Theme::is_block_theme()</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57114\">ticket #57114</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Bibliothèques externes</h2>\n\n\n\n<p>La bibliothèque jQuery a été mise à jour, elle est passée de la version 3.6.3 à 3.6.4.</p>\n\n\n\n<p>En outre, la bibliothèque <code>Requests</code> a aussi été mise à jour. Une note de développement détaille d&rsquo;ailleurs les changements apportés&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"bkYeQfRrWr\"><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Requests library upgraded to 2.0.5 in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/embed/#?secret=KYn2V4QANu#?secret=bkYeQfRrWr\" data-secret=\"bkYeQfRrWr\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Autres mises à jour</h2>\n\n\n\n<p>Plusieurs crochets d’action et filtres ont été mis à jour, vous les trouverez dans la note de développement suivante&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"NbmRoqD5xC\"><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-developer-changes-in-wordpress-6-2/\">Miscellaneous developer changes in WordPress 6.2</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Miscellaneous developer changes in WordPress 6.2&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-developer-changes-in-wordpress-6-2/embed/#?secret=mwuiUZgXSy#?secret=NbmRoqD5xC\" data-secret=\"NbmRoqD5xC\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"wait\">Mais ce n’est pas tout&nbsp;!</h2>\n\n\n\n<p>Voici d’autres composants qui ont reçu des mises à jour notables.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Processus de chargement de WP</h3>\n\n\n\n<p>Ajout d&rsquo;une vérification que les fonctions&nbsp;<code>mysqli_connect()</code>&nbsp;ou&nbsp;<code>mysql_connect()</code>&nbsp;sont bien disponibles. Cela résout une erreur fatale potentiellement provoquée par l&rsquo;absence de l’extension PHP <code>mysqli</code> sur le serveur, et affiche un message d&rsquo;erreur clair le cas échéant. Voir le ticket <a href=\"https://core.trac.wordpress.org/ticket/51988\">#51988</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Commentaires</h3>\n\n\n\n<p>Ajout de la possibilité de passer le paramètre&nbsp;<code>$comment_ID</code>&nbsp;aux fonctions <code>get_comment_time()</code> et <code>comment_time()</code>. Cela apporte une meilleure cohérence vis-à-vis des fonctions similaires <code>get_comment_date()</code> et <code>comment_date()</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/52322\">ticket #52322</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Mots de passe d’applications</h3>\n\n\n\n<p>Les URL en <code>HTTP</code> sont désormais autorisées pour la création de mots de passe d’applications dans le cadre d’un environnement local. Voir le <a href=\"https://core.trac.wordpress.org/ticket/52617\">ticket #52617</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Bibliothèques externes</h3>\n\n\n\n<p>Les bibliothèques suivantes ont été mises à jour&nbsp;:</p>\n\n\n\n<ul>\n<li>jQuery (voir le <a href=\"https://core.trac.wordpress.org/ticket/57324\">ticket #57324</a>)</li>\n\n\n\n<li>jQuery Migrate (voir le <a href=\"https://core.trac.wordpress.org/ticket/56743\">ticket #56743</a>)</li>\n\n\n\n<li>PHPMailer (voir le <a href=\"https://core.trac.wordpress.org/ticket/57281\">ticket #57281</a>)</li>\n\n\n\n<li>element-closest (voir le <a href=\"https://core.trac.wordpress.org/ticket/52851\">ticket#52851</a>)</li>\n\n\n\n<li>regenerator runtime (voir le <a href=\"https://core.trac.wordpress.org/ticket/57646\">ticket #57646</a>)</li>\n\n\n\n<li>polyfill-library (voir le <a href=\"https://core.trac.wordpress.org/ticket/57646\">ticket #57646</a>)</li>\n\n\n\n<li>Requests 2.0 (voir le <a href=\"https://core.trac.wordpress.org/ticket/54504\">ticket #54504</a>). Pour en savoir plus sur cette mise à jour,&nbsp;<a href=\"https://github.com/WordPress/Requests/blob/stable/docs/upgrading.md\">voir la documentation de la bibliothèque Requests 2.0</a>.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Formattage</h3>\n\n\n\n<p>Optimisation de la fonction de bas niveau&nbsp;<code>wp_kses_bad_protocol()</code>&nbsp;afin d&rsquo;améliorer les performances de la fonction d&rsquo;échappement&nbsp;<code>esc_url()</code>. Voir le <a href=\"https://core.trac.wordpress.org/ticket/52617\">ticket #22951</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Modernisation du code</h3>\n\n\n\n<p>Un énorme travail a été fait pour améliorer encore la conformité de la structure du code de WordPress vis-à-vis des versions de PHP supérieures à 8.0. Voir le <a href=\"https://core.trac.wordpress.org/ticket/56788\">ticket #56788</a>.  </p>\n\n\n\n<h3 class=\"wp-block-heading\">E-mails</h3>\n\n\n\n<p>L&rsquo;ajout de pièce jointes avec noms de fichiers personnalisés dans la fonction <code>wp_mail()</code> est maintenant possible en passant un tableau associatif <code>$attachments</code>, où les chaînes utilisées en tant que clés seront employées pour déterminer les noms de fichiers. Voir le <a href=\"https://core.trac.wordpress.org/ticket/28407\">ticket #28407</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Médias</h3>\n\n\n\n<p>Il est maintenant possible de fournir explicitement une valeur booléenne <code>false</code> au paramètre&nbsp;<code>$attr</code>&nbsp;de la fonction <code>wp_get_attachment_image()</code> afin de s&rsquo;assurer que l&rsquo;attribut <code>decoding</code> n&rsquo;est pas ajouté au média. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57086\">ticket #57086</a>.</p>\n\n\n\n<p>La logique permettant de déterminer les images participant au <a href=\"https://web.dev/lcp/\">LCP (<em>Largest Contenful Paint</em>, représentant le temps avant que la page complète soit lisible)</a> au sein des thèmes basés sur des blocs a été grandement améliorée, afin de s&rsquo;assurer que ces images ne soient pas chargées en différé. Cela permet d&rsquo;améliorer la conformité LCP des thèmes basés sur des blocs. Cette modification tire par ailleurs profit du principe des éléments de modèles de l&rsquo;éditeur de site pour éviter de charger en différé les médias situés dans l&rsquo;entête du site. Un <a href=\"https://core.trac.wordpress.org/ticket/56930#comment:53\">test conduit sur une page créée via un thème basé sur des blocs</a> a permis de souligner une amélioration de <strong>19&nbsp;% du critère LCP sur WordPress 6.2</strong>. Voir les tickets <a href=\"https://core.trac.wordpress.org/ticket/56930\">#56930</a> et <a href=\"https://core.trac.wordpress.org/ticket/57490\">#57490</a> pour plus de détails.</p>\n\n\n\n<h3 class=\"wp-block-heading\">API REST</h3>\n\n\n\n<p>Ajout de la prise en charge de caractères non latins dans la Regex utilisée pour le point de terminaison <code>template</code>. Ces caractères sont encodés afin de pouvoir être utilisés dans une URL (exemple&nbsp;:&nbsp;<code>%cf%84%ce%b5%cf%83%cf%84</code>). Voir le <a href=\"https://core.trac.wordpress.org/ticket/57329\">ticket #57329</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Gestion des comptes</h3>\n\n\n\n<p>Ajout du nouveau crochet d&rsquo;action&nbsp;<code>wp_set_password</code>, déclenché après la création d&rsquo;un mot de passe pour un compte déterminé. Cela aidera les auteur·ices d&rsquo;extensions à intercepter toutes les utilisations de <code>wp_set_password()</code>, qu&rsquo;elles proviennent du cœur de WordPress ou d&rsquo;autres extensions. Voir le <a href=\"https://core.trac.wordpress.org/ticket/57490\">ticket #57436</a>.</p>\n\n\n\n<p class=\"has-background\" style=\"background-color:#fee7af\">Que vous développiez des thèmes ou des extensions, pensez à tester et retester votre code pour vous assurer de sa compatibilité avec ces changements. Vous pouvez utiliser&nbsp;<a rel=\"noreferrer noopener\" href=\"https://wordpress.org/plugins/wordpress-beta-tester/\" target=\"_blank\">l’extension Beta Tester</a>&nbsp;sur un site de test pour vérifier la compatibilité de vos développements avec <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2&nbsp;Release Candidate&nbsp;1</a>.&nbsp;Nous comptons sur vous pour vous assurer que votre code fonctionne correctement avec le cœur du CMS, pour le bien des millions d’utilisateurs et utilisatrices de WordPress&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2665.png\" alt=\"♥\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>Ce guide a été traduit de l&rsquo;anglais puis adapté à partir du <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\"><em>Field Guide</em> de WP 6.2</a> par <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>. Merci à <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a>, <a href=\"https://profiles.wordpress.org/fxbenard/\">FX Bénard</a> et <a href=\"https://profiles.wordpress.org/btpub/\">Bruno Tritsch</a> pour leur relecture attentive.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://fr.wordpress.org/2023/03/10/guide-des-changements-techniques-de-wordpress-6-2/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Questionnaire annuel sur votre expérience d’utilisation de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"https://fr.wordpress.org/2022/12/05/questionnaire-annuel-sur-votre-experience-dutilisation-de-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:112:\"https://fr.wordpress.org/2022/12/05/questionnaire-annuel-sur-votre-experience-dutilisation-de-wordpress/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Dec 2022 10:33:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Questionnaires/sondages\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2577\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:378:\"Chaque année, les membres de la communauté WordPress sont invités à donner leurs retours sur WordPress. Chaque personne gravitant autour de notre CMS est concernée, qu’elle en soit simple utilisatrice, ou qu’elle participe à la conception ou à la production de sites, d’extensions, de thèmes, ou même au développement de WordPress ou de sa communauté. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4827:\"\n<p>Chaque année, les membres de la communauté WordPress sont invités à donner leurs retours sur WordPress. Chaque personne gravitant autour de notre CMS est concernée, qu’elle en soit simple utilisatrice, ou qu’elle participe à la conception ou à la production de sites, d’extensions, de thèmes, ou même au développement de WordPress ou de sa communauté.</p>\n\n\n\n<p>Les retours obtenus par ce questionnaire sont utilisés pour la conférence annuelle du co-fondateur de WordPress, le <a href=\"https://wordpress.org/news/2022/11/state-of-the-word-2022/\"><em lang=\"en\">State of the Word</em></a> et auront une influence sur la direction stratégique du projet dans les années à venir.</p>\n\n\n\n<p>Pour le dire plus simplement, ce questionnaire aide les personnes qui construisent WordPress à en savoir plus sur la façon dont ce logiciel est utilisé.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpressdotorg.survey.fm/fr-2022\">Je participe au questionnaire annuel&nbsp;!</a></div>\n</div>\n\n\n\n<span id=\"more-2577\"></span>\n\n\n\n<p>Cette année encore, le questionnaire est disponible en plusieurs langues – dont le français – grâce à l’aide des différentes équipes de traduction du CMS, merci à elles !</p>\n\n\n\n<p>Ce questionnaire sera accessible jusqu’à la fin de l’année 2022, et la publication des résultats est prévue courant 2023. Cette année, les questions ont été revues afin de faciliter le déroulement, la réalisation et l’analyse de l&rsquo;enquête. Certaines questions ont été supprimées, tandis que quelques nouvelles sont désormais présentes, reflétant le présent et l’avenir de WordPress. Si vous cherchez l’analyse des résultats de l’enquête de 2021, elle sera également partagée début 2023.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Faites passer le message</h2>\n\n\n\n<p>Aidez à faire connaître le questionnaire en le partageant avec votre réseau, via Slack, ou sur vos comptes de réseaux sociaux. Plus il y aura de personnes qui répondront au questionnaire et partageront leur expérience avec WordPress, plus l’ensemble du projet en bénéficiera.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Sécurité et confidentialité</h2>\n\n\n\n<p>La sécurité et la confidentialité des données sont primordiales pour le projet et la communauté WordPress. Dans cet esprit, toutes les données personnelles sont rendues anonymes&nbsp;: aucune adresse e-mail ou adresse IP ne sera associée aux résultats publiés. Pour en savoir plus sur les pratiques de WordPress.org en matière de confidentialité, consultez la <a href=\"https://fr.wordpress.org/about/privacy/\">politique de confidentialité</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Merci</h2>\n\n\n\n<p>Nous remercions les contributeurs et contributrices WordPress suivants pour leur aide à la mise en œuvre de ce questionnaire annuel, comprenant la création des questions, la réflexion stratégique, l’élaboration de l’enquête et sa traduction&nbsp;:</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/dansoschin/\">dansoschin</a>, <a href=\"https://profiles.wordpress.org/_dorsvenabili/\">_dorsvenabili</a>, <a href=\"https://profiles.wordpress.org/angelasjin/\">angelasjin</a>, <a href=\"https://profiles.wordpress.org/arkangel/\">arkangel</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">audrasjb</a>, <a href=\"https://profiles.wordpress.org/atachibana/\">atachibana</a>, <a href=\"https://profiles.wordpress.org/bjmcsherry/\">bjmcsherry</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">chanthaboune</a>, <a href=\"https://profiles.wordpress.org/eidolonnight/\">eidolonnight</a>, <a href=\"https://profiles.wordpress.org/fernandot/\">fernandot</a>, <a href=\"https://profiles.wordpress.org/fierevere/\">fierevere</a>, <a href=\"https://profiles.wordpress.org/fxbenard/\">fxbenard</a>, <a href=\"https://profiles.wordpress.org/jdy68/\">jdy68</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">jpantani</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">laurlittle</a>, <a href=\"https://profiles.wordpress.org/nao/\">nao</a>, <a href=\"https://profiles.wordpress.org/nielslange/\">nielslange</a>, <a href=\"https://profiles.wordpress.org/peiraisotta/\">peiraisotta</a>, <a href=\"https://profiles.wordpress.org/piermario/\">piermario</a>, <a href=\"https://profiles.wordpress.org/rmartinezduque/\">rmartinezduque</a>, <a href=\"https://profiles.wordpress.org/santanainniss/\">santanainniss</a>.</p>\n\n\n\n<p class=\"has-text-align-right\"><small><em>Traduction du communiqué par <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a> et <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>.</em></small></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"https://fr.wordpress.org/2022/12/05/questionnaire-annuel-sur-votre-experience-dutilisation-de-wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"WordPress 6.1 « Misha »\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://fr.wordpress.org/2022/11/02/wordpress-6-1-misha/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://fr.wordpress.org/2022/11/02/wordpress-6-1-misha/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Nov 2022 03:12:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Nouvelles versions de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2551\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:418:\"La troisième version majeure de WordPress pour l&#8217;année 2022 est disponible. Elle a été baptisée «&#160;Misha&#160;» en l&#8217;honneur du pianiste de jazz Michail Jefimowitsch Alperin. Nous vous invitons à effectuer cette mise à jour afin de bénéficier des améliorations de stabilité, de performances, et d&#8217;utilisabilité que propose cette nouvelle version majeure. Quoi de neuf dans [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:80292:\"\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2022/11/misha.png\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"679\" src=\"https://fr.wordpress.org/files/2022/11/misha-1024x679.png\" alt=\"\" class=\"wp-image-2554\" srcset=\"https://fr.wordpress.org/files/2022/11/misha-1024x679.png 1024w, https://fr.wordpress.org/files/2022/11/misha-300x199.png 300w, https://fr.wordpress.org/files/2022/11/misha-768x509.png 768w, https://fr.wordpress.org/files/2022/11/misha-1536x1019.png 1536w, https://fr.wordpress.org/files/2022/11/misha.png 1996w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<p><span style=\"font-weight: 400\">La troisième version majeure de WordPress pour l&rsquo;année 2022 est disponible.</span> Elle a été baptisée «&nbsp;Misha&nbsp;» en l&rsquo;honneur du pianiste de jazz Michail Jefimowitsch Alperin.</p>\n\n\n\n<p>Nous vous invitons à effectuer cette mise à jour afin de bénéficier des améliorations de stabilité, de performances, et d&rsquo;utilisabilité que propose cette nouvelle version majeure.</p>\n\n\n\n<span id=\"more-2551\"></span>\n\n\n\n<h2 class=\"wp-block-heading\">Quoi de neuf dans WordPress&nbsp;6.1&nbsp;?</h2>\n\n\n\n<h3 class=\"wp-block-heading\">Twenty Twenty-Three&nbsp;: un nouveau thème natif proposant 10 variations de styles distinctes</h3>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/11/Style-Variation-News-1024x601.png\" alt=\"\" class=\"wp-image-13816\" /></figure>\n\n\n\n<p>S’appuyant sur les principes fondamentaux des versions 5.9 et 6.0 pour les thèmes de blocs et les variations de style, le nouveau thème par défaut, nommé <em>Twenty Twenty-Three</em>, comprend&nbsp;<a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">10 variations de styles différentes</a>&nbsp;et est&nbsp;<a href=\"https://make.wordpress.org/themes/handbook/review/accessibility/\">accessible</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Une meilleure expérience de création avec de nouveaux modèles entièrement revus</h3>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/11/Templates-News-1024x601.png\" alt=\"\" class=\"wp-image-13818\" /></figure>\n\n\n\n<p>Les&nbsp;<a href=\"https://make.wordpress.org/core/2022/07/21/core-editor-improvement-deeper-customization-with-more-template-options/\">nouveaux modèles (note de développement, en anglais)</a>&nbsp;comprennent un modèle personnalisé pour les publications dans l’éditeur de site. Les outils de recherche/remplacement accélèrent la conception des&nbsp;<a href=\"https://make.wordpress.org/core/2022/08/25/core-editor-improvement-refining-the-template-creation-experience/\">éléments de modèles (en anglais)</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Plus de cohérence et de contrôle sur les outils de conception</h3>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-2 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" data-id=\"13819\" src=\"https://wordpress.org/news/files/2022/11/Design-Tools-News-1024x601.png\" alt=\"\" class=\"wp-image-13819\" /></figure>\n</figure>\n\n\n\n<p>L’amélioration des&nbsp;commandes pour les éléments de conception et les blocs&nbsp;rendent le processus de mise en page et de création de site plus cohérent, complet et intuitif.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Les menus peuvent être créés et modifiés plus facilement</h3>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/11/Navigation-1024x601.png\" alt=\"\" class=\"wp-image-13821\" /></figure>\n\n\n\n<p>Les&nbsp;<a href=\"https://make.wordpress.org/core/2022/09/27/navigation-block-fallback-behavior-in-wp-6-1-dev-note/\">nouvelles options de récupération du bloc Navigation (en anglais)</a>&nbsp;vous permettent de modifier le menu que vous avez ouvert sans avoir besoin d’effectuer de recherche. De plus, les commandes pour choisir et travailler sur les menus sont dorénavant placées dans les réglages du bloc. Le système de menu mobile bénéficie également d’une mise à jour avec de nouvelles fonctionnalités comprenant plusieurs options d’icônes pour personnaliser le menu.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Amélioration de la mise en page et de la visualisation des réglages des publications</h3>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/11/Document-settings-News-1024x601.png\" alt=\"\" class=\"wp-image-13825\" /></figure>\n\n\n\n<p>Un affichage plus propre et mieux organisé vous permet de visualiser et de gérer facilement les réglages importants des publications, en particulier au niveau du sélecteur de modèles et de l’outil de planification.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Réglage de verrouillage en un clic pour tous les blocs internes</h3>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-4 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" data-id=\"13824\" src=\"https://wordpress.org/news/files/2022/11/Lock-News-1024x601.png\" alt=\"\" class=\"wp-image-13824\" /></figure>\n</figure>\n\n\n\n<p>Lorsque vous verrouillez des blocs, une nouvelle option vous permet d’appliquer vos réglages de verrouillage à tous les blocs d’un bloc conteneur tel que le bloc Groupe, Couverture ou encore Colonnes.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Amélioration des textes indicatifs des blocs</h3>\n\n\n\n<p>Les textes indicatifs de plusieurs blocs ont été améliorés, afin de mieux refléter les options de personnalisation qui vous permettent de concevoir votre site et son contenu. Par exemple, le texte d’aide du bloc Image affiche les réglages personnalisés des bordures et des filtres duotones avant même de sélectionner l’image à afficher.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Composez des listes et des citations enrichies en y plaçant des blocs internes</h3>\n\n\n\n<p>Les blocs Liste et Citation prennent désormais en charge les blocs internes, ce qui permet des compositions plus flexibles et plus riches, par exemple en vous permettant d’ajouter des titres à l’intérieur de vos blocs de citations.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Du texte plus <em>responsive</em> avec une typographie fluide</h3>\n\n\n\n<p>La <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/#fluid-typography-support\"></a><a href=\"https://make.wordpress.org/core/2022/10/03/fluid-font-sizes-in-wordpress-6-1/\">typographie fluide (en anglais)</a>&nbsp;vous permet de définir des tailles de police qui s’adaptent pour faciliter la lecture sur n’importe quelle taille d’écran.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Ajoutez des suggestions de compositions pour vos types de publications</h3>\n\n\n\n<p>Dans WordPress 6.0, lorsque vous ajoutiez une nouvelle page, vous pouviez voir des suggestions de compositions afin d’éviter de partir d’une page vide. Avec WordPress 6.1 vous verrez cette fenêtre modale lors de la création de n’importe quel type de publication.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Facilitation de la recherche de thèmes basés sur des blocs</h3>\n\n\n\n<p>Le répertoire des thèmes contient&nbsp;<a href=\"https://fr.wordpress.org/themes/tags/full-site-editing/\">un filtre pour les thèmes basés sur des blocs</a>, et l’aperçu des compositions donne une meilleure idée de ce à quoi le thème pourrait ressembler lorsque vous explorez les thèmes et les compositions.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Conservez les réglages de l’éditeur de site pour plus tard</h3>\n\n\n\n<p>Les réglages de l’éditeur de site sont désormais&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/\">persistants pour chaque compte</a>. Cela signifie que vos réglages seront désormais cohérents sur tous les navigateurs et appareils.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Un système de gestion des styles simplifié</h3>\n\n\n\n<p>Les règles CSS pour les marges internes et externes, la typographie, les couleurs et les bordures du&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/\">moteur de styles</a>&nbsp;sont désormais regroupées au même endroit, ce qui diminue le temps consacré aux tâches de mise en page et aide à générer des noms de classes sémantiques.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Amélioration de l’accessibilité de l’administration et de l’éditeur</h3>\n\n\n\n<p>Plus de 40 améliorations de l’accessibilité ont été réalisées, comprenant la résolution des problèmes de perte de focus dans l’éditeur, l’amélioration des libellés de formulaires et de la restitution vocale des messages, l’amélioration de l’interface de modifications des textes alternatifs, la correction du débordement du menu d’administration sur les petits écrans ou en zoom navigateur. En savoir plus sur les&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">améliorations d’accessibilité apportées par WP 6.1</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Autres changements importants</h2>\n\n\n\n<h3 class=\"wp-block-heading\">Éléments de modèles de blocs dans les thèmes classiques</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\"></a>Les éléments de modèles de blocs peuvent désormais être <a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\">définis dans les thèmes classiques (en anglais)</a>&nbsp;en ajoutant les fichiers HTML appropriés au répertoire&nbsp;<code>parts</code>&nbsp;à la racine du thème.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Évolution des blocs de boucle de requête</h3>\n\n\n\n<p>Les&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/10/extending-the-query-loop-block/\">nouveaux filtres</a>&nbsp;permettent aux variantes du bloc de requête de prendre en charge des requêtes personnalisées afin de créer des variantes plus spécifiques et des options avancées de filtrage des types de publication hiérarchiques.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Des filtres pour tous vos styles</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/\"><a href=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/\">Exploitez les filtres</a> dans la barre latérale « Styles » pour contrôler les réglages sur quatre niveaux de votre site, du moins spécifique au plus spécifique : principal, thème, compte, bloc.</a></p>\n\n\n\n<h3 class=\"wp-block-heading\">Préréglages d’espacement pour une conception plus rapide et cohérente</h3>\n\n\n\n<p>Gagnez du temps et évitez de coder en dur des déclarations dans un thème grâce aux&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/07/introduction-of-presets-across-padding-margin-and-block-gap/\">valeurs de marge internes et externes prédéfinies pour de multiples blocs</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Modification limitée au contenu sur les blocs conteneurs</h3>\n\n\n\n<p>Grâce au&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/11/content-locking-features-and-updates/\">réglage de modification limitée au contenu</a>, les mises en page peuvent être verrouillées au sein des blocs conteneurs. Dans un bloc de contenu seul, ses blocs enfants sont invisibles dans la vue en liste et ne sont pas modifiables. Vous contrôlez donc la mise en page tandis que vos rédactrices et rédacteurs peuvent se concentrer sur le contenu.</p>\n\n\n\n<p>Combinez-la avec les options de verrouillage des blocs pour un contrôle encore plus poussé de vos blocs.</p>\n\n\n\n<h3 class=\"wp-block-heading\">De meilleures performances</h3>\n\n\n\n<p>WordPress 6.1 résout 25 tickets dédiés à l’amélioration des performances. De&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/10/performance-improvements-to-the-rest-api/\">l’API REST</a>&nbsp;au&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/10/multisite-improvements-in-wordpress-6-1/\">multisite</a>, en passant par&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/07/improvements-to-wp_query-performance-in-6-1/\"><code>WP_Query</code></a>&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/07/improved-php-performance-for-core-blocks-registration/\">l’enregistrement des blocs du cœur WordPress</a>&nbsp;et par de&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/06/new-cache-site-health-checks-in-wordpress-6-1/\">nouvelles vérifications sur l’outil Santé du site</a>, ou par l’ajout des attributs&nbsp;<code>async</code>&nbsp;aux images, il y a des améliorations bénéfiques pour tous les types de sites. Un récapitulatif complet est disponible dans le&nbsp;<a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">guide dédié aux performance de WP&nbsp;6.1</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Guide des changements techniques de WordPress 6.1</h2>\n\n\n\n<p>WordPress 6.1 comprend encore bien plus de nouvelles fonctionnalités et d’améliorations. Pour en savoir plus, et notamment si vous développez des sites WordPress, <a href=\"https://fr.wordpress.org/2022/10/12/guide-des-changements-techniques-de-wordpress-6-1/\" data-type=\"post\" data-id=\"2509\">consultez le guide des changements techniques de cette version</a>.</p>\n\n\n\n<h1 class=\"wp-block-heading\">Plus d’informations sur WordPress 6.1</h1>\n\n\n\n<p>Découvrez WordPress 6.1 en fonctionnement&nbsp;! Notre&nbsp;<a href=\"https://youtu.be/1w9oywSa6Hw\">vidéo de présentation</a>&nbsp;propose une vue d’ensemble des principales fonctionnalités qui sont sorties avec WordPress 6.1.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"612\" height=\"345\" src=\"https://www.youtube.com/embed/1w9oywSa6Hw?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=fr-FR&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<p><br></p>\n\n\n\n<p>Visitez&nbsp;<a href=\"https://learn.wordpress.org/\">learn.wordpress.org</a>&nbsp;pour des tutoriels vidéos, des ateliers en ligne, des cours et des plans de cours pour les personnes organisant des évènements, et pour des contenus présentant les nouvelles fonctionnalités de WordPress.</p>\n\n\n\n<p>Consultez notre&nbsp;<a href=\"https://fr.wordpress.org/2022/10/12/guide-des-changements-techniques-de-wordpress-6-1/\">guide des changements techniques introduits par WordPress 6.0</a>. Il contient toutes les notes techniques que vous devez connaître si vous développez sur WordPress.</p>\n\n\n\n<h2 class=\"wp-block-heading\">L’équipe de direction de WordPress&nbsp;6.1</h2>\n\n\n\n<p><span style=\"font-weight: 400\">Les personnes mentionnées ci-dessous ont participé à la direction de cette version majeure du CMS&nbsp;:</span></p>\n\n\n\n<ul>\n<li><span style=\"font-weight: 400\">Direction générale&nbsp;: </span><a href=\"https://profiles.wordpress.org/matt/\"><span style=\"font-weight: 400\">Matt Mullenweg</span></a><span style=\"font-weight: 400\">&nbsp;</span></li>\n\n\n\n<li><span style=\"font-weight: 400\">Coordinateurs de cette version&nbsp;: </span><a href=\"https://profiles.wordpress.org/priethor/\"><span style=\"font-weight: 400\">Héctor Prieto</span></a><span style=\"font-weight: 400\"> et </span><a href=\"https://profiles.wordpress.org/desrosj/\"><span style=\"font-weight: 400\">Jonathan Desrosiers</span></a><span style=\"font-weight: 400\">&nbsp;</span></li>\n\n\n\n<li><span style=\"font-weight: 400\">Direction technique côté Core&nbsp;: </span><a href=\"https://profiles.wordpress.org/mikeschroder/\"><span style=\"font-weight: 400\">Mike Schroder</span></a><span style=\"font-weight: 400\">, </span><a href=\"https://profiles.wordpress.org/davidbaumwald/\"><span style=\"font-weight: 400\">David Baumwald</span></a><span style=\"font-weight: 400\">, et </span><a href=\"https://profiles.wordpress.org/jeffpaul/\"><span style=\"font-weight: 400\">Jeff Paul</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\"><span style=\"font-weight: 400\">Direction</span> technique côté Gutenberg&nbsp;: </span><a href=\"https://profiles.wordpress.org/czapla/\"><span style=\"font-weight: 400\">Michal Czaplinski</span></a><span style=\"font-weight: 400\">, </span><a href=\"https://profiles.wordpress.org/bernhard-reiter/\"><span style=\"font-weight: 400\">Bernie Reiter</span></a><span style=\"font-weight: 400\">, et </span><a href=\"https://profiles.wordpress.org/cbravobernal/\"><span style=\"font-weight: 400\">Carlos Bravo</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\">Gestion de projet côté cœur&nbsp;: </span><a href=\"https://profiles.wordpress.org/audrasjb/\"><span style=\"font-weight: 400\">JB Audras</span></a><span style=\"font-weight: 400\"> et </span><a href=\"https://profiles.wordpress.org/chaion07/\"><span style=\"font-weight: 400\">Ahmed Chaion</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\"><span style=\"font-weight: 400\">Gestion de projet côté</span></span> Gutenberg&nbsp;<span style=\"font-weight: 400\">: </span><a href=\"https://profiles.wordpress.org/ndiego/\"><span style=\"font-weight: 400\">Nick Diego</span></a> <span style=\"font-weight: 400\">et </span><a href=\"https://profiles.wordpress.org/annezazu/\"><span style=\"font-weight: 400\">Anne McCarthy</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\">Documentation&nbsp;: </span><a href=\"https://profiles.wordpress.org/bph/\"><span style=\"font-weight: 400\">Birgit Pauli-Haack</span></a><span style=\"font-weight: 400\">, </span><a href=\"https://profiles.wordpress.org/milana_cap/\"><span style=\"font-weight: 400\">Milana Cap</span></a><span style=\"font-weight: 400\">, et </span><a href=\"https://profiles.wordpress.org/femkreations/\"><span style=\"font-weight: 400\">Femy Praseeth</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\">Communication&nbsp;:</span> <a href=\"https://profiles.wordpress.org/jpantani/\"><span style=\"font-weight: 400\">Jonathan Pantani</span></a> <span style=\"font-weight: 400\">et </span><a href=\"https://profiles.wordpress.org/dansoschin/\"><span style=\"font-weight: 400\">Dan Soschin</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\">Tests&nbsp;: </span><a href=\"https://profiles.wordpress.org/ironprogrammer/\"><span style=\"font-weight: 400\">Brian Alexander</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\">Design : </span><a href=\"https://profiles.wordpress.org/richtabor/\"><span style=\"font-weight: 400\">Rich Tabor</span></a></li>\n\n\n\n<li><span style=\"font-weight: 400\">Design et développement du nouveau thème natif&nbsp;: </span><a href=\"https://profiles.wordpress.org/beafialho/\"><span style=\"font-weight: 400\">Beatriz Fialho</span></a><span style=\"font-weight: 400\"> et </span><a href=\"https://profiles.wordpress.org/mikachan/\"><span style=\"font-weight: 400\">Sarah Norris</span></a></li>\n</ul>\n\n\n\n<p>Il n&rsquo;aurait pas été possible de sortir WordPress 6.1 sans le travail acharné de plus de 800 personnes situées dans au moins 60 pays différents. Merci à toutes celles et ceux qui ont travaillé sur cette nouvelle version de WordPress&nbsp;!</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a> · <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/hurayraiit/\">Abu Hurayra</a> · <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a> · <a href=\"https://profiles.wordpress.org/adampickering/\">Adam Pickering</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/admwgn/\">Adam Wiltgen</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zielinski</a> · <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a> · <a href=\"https://profiles.wordpress.org/oztaser/\">Adil Öztaşer</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/aezazshekh/\">Aezaz Shekh</a> · <a href=\"https://profiles.wordpress.org/afrid1719/\">afrid1719</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/engahmeds3ed/\">Ahmed Saeed</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/kamig478/\">Akram Ul Haq</a> · <a href=\"https://profiles.wordpress.org/akshitsethi/\">Akshit Sethi</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alamgircsebd/\">alamgircsebd</a> · <a href=\"https://profiles.wordpress.org/alanp57/\">AlanP57</a> · <a href=\"https://profiles.wordpress.org/alansyue/\">alansyue</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">albatross10</a> · <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juhé Lluveras</a> · <a href=\"https://profiles.wordpress.org/alberuni-azad/\">Alberuni Azad.</a> · <a href=\"https://profiles.wordpress.org/elpanda13gmailcom/\">Alejandro J. Sanchez P.</a> · <a href=\"https://profiles.wordpress.org/zutigrm/\">Aleksej</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/viper007bond/\">Alex Mills</a> · <a href=\"https://profiles.wordpress.org/acoulombe/\">Alexis Coulombe</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">alexstine</a> · <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a> · <a href=\"https://profiles.wordpress.org/allisonplus/\">allisonplus</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro Gómez</a> · <a href=\"https://profiles.wordpress.org/amirkamizi/\">amirkamizi</a> · <a href=\"https://profiles.wordpress.org/amjadr360/\">Amjad Ali</a> · <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a> · <a href=\"https://profiles.wordpress.org/anariel-design/\">Anariel Design</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/deksar/\">Andreas</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/_smartik_/\">Andrei Surdu</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/eatingrules/\">Andrew Wilder</a> · <a href=\"https://profiles.wordpress.org/andrewnz/\">AndrewNZ</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey « Rarst » Savchenko</a> · <a href=\"https://profiles.wordpress.org/andrija/\">Andrija Naglic</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/andykeith/\">Andy Keith</a> · <a href=\"https://profiles.wordpress.org/aniketpatel/\">Aniket Patel</a> · <a href=\"https://profiles.wordpress.org/anitanenova/\">anitanenova</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/annabansaghi/\">Anna Bansaghi</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/alaca/\">Ante Laca</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/apedog/\">apedog</a> · <a href=\"https://profiles.wordpress.org/apokalyptik/\">apokalyptik</a> · <a href=\"https://profiles.wordpress.org/arrasel403/\">AR Rasel</a> · <a href=\"https://profiles.wordpress.org/arcangelini/\">arcangelini</a> · <a href=\"https://profiles.wordpress.org/archon810/\">archon810</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/yellyc/\">Ariel Chinn</a> · <a href=\"https://profiles.wordpress.org/xylocone/\">Arjun Singh</a> · <a href=\"https://profiles.wordpress.org/armondal/\">Arnab Mondal</a> · <a href=\"https://profiles.wordpress.org/passoniate/\">Arslan Kalwar</a> · <a href=\"https://profiles.wordpress.org/arturgrabo/\">Artur Grabowski</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/aspexi/\">Aspexi</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/filosofo/\">Austin Matzko</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/baned/\">BaneD</a> · <a href=\"https://profiles.wordpress.org/barneydavey/\">barneydavey</a> · <a href=\"https://profiles.wordpress.org/bbobnis/\">Bartosz Bobnis</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/bengreeley/\">Ben Greeley</a> · <a href=\"https://profiles.wordpress.org/utz119/\">Benachi</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benoitchantre/\">Benoit Chantre</a> · <a href=\"https://profiles.wordpress.org/bernhard reiter/\">Bernhard Reiter</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/elten/\">Bing</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/blockify/\">Blockify</a> · <a href=\"https://profiles.wordpress.org/boblindner/\">Bob</a> · <a href=\"https://profiles.wordpress.org/bobbingwide/\">bobbingwide</a> · <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/cantuaria/\">Bruno Cantuaria</a> · <a href=\"https://profiles.wordpress.org/ribaricplusplus/\">Bruno Ribaric</a> · <a href=\"https://profiles.wordpress.org/burgiuk/\">burgiuk</a> · <a href=\"https://profiles.wordpress.org/burhandodhy/\">Burhan Nasir</a> · <a href=\"https://profiles.wordpress.org/bwbama/\">bwbama</a> · <a href=\"https://profiles.wordpress.org/cadlec/\">cadlec</a> · <a href=\"https://profiles.wordpress.org/cagsmith/\">cagsmith</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia Prim</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cavalierlife/\">cavalierlife</a> · <a href=\"https://profiles.wordpress.org/cdbessig/\">cdbessig</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/nhuja/\">Chandra M</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/chrisbudd1/\">Chris Budd</a> · <a href=\"https://profiles.wordpress.org/chrishardie/\">Chris Hardie</a> · <a href=\"https://profiles.wordpress.org/czarate/\">Chris Zarate</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/chrisguitarguy/\">chrisguitarguy</a> · <a href=\"https://profiles.wordpress.org/cwbudde/\">Christian-W. Budde</a> · <a href=\"https://profiles.wordpress.org/christinavoudouris/\">Christina Voudouris</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/cfinke/\">Christopher Finke</a> · <a href=\"https://profiles.wordpress.org/ryno267/\">Chuck Reynolds</a> · <a href=\"https://profiles.wordpress.org/chynnabenton/\">chynnabenton</a> · <a href=\"https://profiles.wordpress.org/ckanderson22/\">ckanderson22</a> · <a href=\"https://profiles.wordpress.org/design_dolphin/\">CodePoet</a> · <a href=\"https://profiles.wordpress.org/codewhy/\">codewhy</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/collieit/\">Collie-IT, Anne K. Frey</a> · <a href=\"https://profiles.wordpress.org/colonelphantom/\">colonelphantom</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">Cory Birdsong</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">craigfrancis</a> · <a href=\"https://profiles.wordpress.org/crazycoders/\">crazycoders</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/cu121/\">Cupid Chakma</a> · <a href=\"https://profiles.wordpress.org/curdin/\">Curdin Krummenacher</a> · <a href=\"https://profiles.wordpress.org/cyrillbolliger/\">cyrillbolliger</a> · <a href=\"https://profiles.wordpress.org/dxd5001/\">Daijiro Miyazawa</a> · <a href=\"https://profiles.wordpress.org/dainemawer/\">dainemawer</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/daledupreez/\">Dale du Preez</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/damonganto/\">damonganto</a> · <a href=\"https://profiles.wordpress.org/danfarrow/\">Dan Farrow</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/danieliser/\">Daniel Iser</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/schutzsmith/\">Daniel Schutzsmith</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/dariak/\">Daria</a> · <a href=\"https://profiles.wordpress.org/dkotter/\">Darin Kotter</a> · <a href=\"https://profiles.wordpress.org/darkog/\">Darko G.</a> · <a href=\"https://profiles.wordpress.org/darkskipper/\">darkskipper</a> · <a href=\"https://profiles.wordpress.org/uofaberdeendarren/\">Darren Coutts</a> · <a href=\"https://profiles.wordpress.org/htdat/\">Dat Hoang</a> · <a href=\"https://profiles.wordpress.org/datainterlock/\">datainterlock</a> · <a href=\"https://profiles.wordpress.org/dhilditch/\">Dave Hilditch</a> · <a href=\"https://profiles.wordpress.org/dave1010/\">dave1010</a> · <a href=\"https://profiles.wordpress.org/davidanderson/\">David Anderson</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dcowgill/\">David C</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/desmith/\">David E. Smith</a> · <a href=\"https://profiles.wordpress.org/dg12345/\">David Goring</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/daviedr/\">David Rozando</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/daxelrod/\">daxelrod</a> · <a href=\"https://profiles.wordpress.org/daymobrew/\">daymobrew</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/denis-de-bernardy/\">Denis de Bernardy</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/denishua/\">denishua</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">derekblank</a> · <a href=\"https://profiles.wordpress.org/pcfreak30/\">Derrick Hammer</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhl/\">dhl</a> · <a href=\"https://profiles.wordpress.org/dianeco/\">Diane Co</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dingdang/\">dingdang</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/dipakparmar443/\">Dipak Parmar</a> · <a href=\"https://profiles.wordpress.org/divyeshgodhani/\">divyeshgodhani</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donmhico/\">donmhico</a> · <a href=\"https://profiles.wordpress.org/dougwollison/\">Doug Wollison</a> · <a href=\"https://profiles.wordpress.org/dougal/\">Dougal Campbell</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/drivingralle/\">Drivingralle</a> · <a href=\"https://profiles.wordpress.org/drzraf/\">drzraf</a> · <a href=\"https://profiles.wordpress.org/dsas/\">dsas</a> · <a href=\"https://profiles.wordpress.org/dwainm/\">Dwain Maralack</a> · <a href=\"https://profiles.wordpress.org/kucrut/\">Dzikri Aziz</a> · <a href=\"https://profiles.wordpress.org/dovyp/\">Dōvy Paukstys</a> · <a href=\"https://profiles.wordpress.org/eclev91/\">eclev91</a> · <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a> · <a href=\"https://profiles.wordpress.org/eedee/\">eedee</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham S.</a> · <a href=\"https://profiles.wordpress.org/eliezerspp/\">Eliezer Peña</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van&nbsp;Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/ethitter/\">Erick Hitter</a> · <a href=\"https://profiles.wordpress.org/codekraft/\">Erik</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">estelaris</a> · <a href=\"https://profiles.wordpress.org/madpixels/\">eugene.manuilov</a> · <a href=\"https://profiles.wordpress.org/eugenemanuilov/\">Eugene.Manuilov</a> · <a href=\"https://profiles.wordpress.org/eherman24/\">Evan Herman</a> · <a href=\"https://profiles.wordpress.org/aaemnnosttv/\">Evan Mattson</a> · <a href=\"https://profiles.wordpress.org/circlecube/\">Evan Mullins</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/faison/\">Faison</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/fellyph/\">Fellyph Cintra</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/florianbrinkmann/\">Florian Brinkmann</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco</a> · <a href=\"https://profiles.wordpress.org/fuadragib/\">Fuad Ragib</a> · <a href=\"https://profiles.wordpress.org/furi3r/\">furi3r</a> · <a href=\"https://profiles.wordpress.org/gabri3lmarques/\">gabri3lmarques</a> · <a href=\"https://profiles.wordpress.org/gdetassigny/\">Gabriel de Tassigny</a> · <a href=\"https://profiles.wordpress.org/gabertronic/\">Gabriel Rose</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/garymatthews919/\">garymatthews919</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">gigitux</a> · <a href=\"https://profiles.wordpress.org/giox069/\">giox069</a> · <a href=\"https://profiles.wordpress.org/giuseppemazzapica/\">giuseppemazzapica</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/goldenapples/\">goldenapples</a> · <a href=\"https://profiles.wordpress.org/greglone/\">Grégory Viguier</a> · <a href=\"https://profiles.wordpress.org/graham73may/\">graham73may</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a> · <a href=\"https://profiles.wordpress.org/greg24/\">greg24</a> · <a href=\"https://profiles.wordpress.org/gregorlove/\">gRegor Morrill</a> · <a href=\"https://profiles.wordpress.org/gunterer/\">gunterer</a> · <a href=\"https://profiles.wordpress.org/bordoni/\">Gustavo Bordoni</a> · <a href=\"https://profiles.wordpress.org/h2ham/\">h2ham (Hiromu Hasegawa)</a> · <a href=\"https://profiles.wordpress.org/hakanca/\">hakanca</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hansjovisyoast/\">Hans-Christiaan Braun</a> · <a href=\"https://profiles.wordpress.org/thakkarhardik/\">Hardik Thakkar</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshvaishnav/\">harshvaishnav</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/azhiyadev/\">Hauwa Abashiya</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/iamarinoh/\">Henrique Iamarino</a> · <a href=\"https://profiles.wordpress.org/henrywright/\">Henry Wright</a> · <a href=\"https://profiles.wordpress.org/here/\">here</a> · <a href=\"https://profiles.wordpress.org/herregroen/\">Herre Groen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hiren1094/\">hiren sanja</a> · <a href=\"https://profiles.wordpress.org/hiyascout/\">hiyascout</a> · <a href=\"https://profiles.wordpress.org/howdy_mcgee/\">Howdy_McGee</a> · <a href=\"https://profiles.wordpress.org/hugodevos/\">hugodevos</a> · <a href=\"https://profiles.wordpress.org/huubl/\">huubl</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">hztyfoon</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/iansvo/\">iansvo</a> · <a href=\"https://profiles.wordpress.org/icaspar/\">iCaspar</a> · <a href=\"https://profiles.wordpress.org/igmoweb/\">Ignacio Cruz Moreno</a> · <a href=\"https://profiles.wordpress.org/igorsch/\">Igor</a> · <a href=\"https://profiles.wordpress.org/igrigorik/\">igrigorik</a> · <a href=\"https://profiles.wordpress.org/ilovecats7/\">ilovecats7</a> · <a href=\"https://profiles.wordpress.org/ilunabar/\">ilunabar</a> · <a href=\"https://profiles.wordpress.org/imadarshakshat/\">imadarshakshat</a> · <a href=\"https://profiles.wordpress.org/ipajen/\">ipajen</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/irecinius/\">irecinius</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/iulia-cazan/\">Iulia Cazan</a> · <a href=\"https://profiles.wordpress.org/ivanjeronimo/\">ivanjeronimo</a> · <a href=\"https://profiles.wordpress.org/iviweb/\">iviweb</a> · <a href=\"https://profiles.wordpress.org/jdgrimes/\">J.D. Grimes</a> · <a href=\"https://profiles.wordpress.org/primetimejas/\">Jacob Schweitzer</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/jamesckemp/\">James Kemp</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/jamieburchell/\">jamieburchell</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a> · <a href=\"https://profiles.wordpress.org/jarretc/\">Jarret</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/trapsta/\">Jasper Kinoti</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/grandeljay/\">Jay Trees</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jeawhanlee/\">jeawhanlee</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeff Paul</a> · <a href=\"https://profiles.wordpress.org/juberstine/\">Jeff Uberstine</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/jeroenreumkens/\">JeroenReumkens</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhart35/\">jhart35</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jnz31/\">jnz31</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joelhardi/\">joelhardi</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnregan3/\">John Regan</a> · <a href=\"https://profiles.wordpress.org/johnmark8080/\">johnmark8080</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/jonsurrell/\">Jon Surrell</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/jonmackintosh/\">jonmackintosh</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jonny-s/\">jonny-s</a> · <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a> · <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josvelasco/\">Jos Velasco</a> · <a href=\"https://profiles.wordpress.org/joegrainger/\">Joseph Grainger</a> · <a href=\"https://profiles.wordpress.org/jostnes/\">Josepha Dambul</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a> · <a href=\"https://profiles.wordpress.org/jhabdas/\">Josh Habdas</a> · <a href=\"https://profiles.wordpress.org/joshuaabenazer/\">Joshua Abenazer</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jrbeilke/\">jrbeilke</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a> · <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a> · <a href=\"https://profiles.wordpress.org/juliemoynat/\">Julie Moynat</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/just0nequestion/\">just0nequestion</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/justinsainton/\">Justin Sainton</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/welenofsky/\">Justin Welenofsky</a> · <a href=\"https://profiles.wordpress.org/jyolsna/\">jyolsna</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/akabarikalpesh/\">Kalpesh Akabari</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karinclimber/\">Kari Anderson</a> · <a href=\"https://profiles.wordpress.org/karlgroves/\">karlgroves</a> · <a href=\"https://profiles.wordpress.org/karlijnbk/\">Karlijn Bok</a> · <a href=\"https://profiles.wordpress.org/kasparsd/\">Kaspars</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn Presner</a> · <a href=\"https://profiles.wordpress.org/kbrownkd/\">kbrownkd</a> · <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a> · <a href=\"https://profiles.wordpress.org/kevinb/\">Kevin Behrens</a> · <a href=\"https://profiles.wordpress.org/khag7/\">Kevin Hagerty</a> · <a href=\"https://profiles.wordpress.org/khoipro/\">Khoi Pro</a> · <a href=\"https://profiles.wordpress.org/khokansardar/\">Khokan Sardar</a> · <a href=\"https://profiles.wordpress.org/killua99/\">killua99</a> · <a href=\"https://profiles.wordpress.org/kishanjasani/\">Kishan Jasani</a> · <a href=\"https://profiles.wordpress.org/kitchin/\">kitchin</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/kkmuffme/\">kkmuffme</a> · <a href=\"https://profiles.wordpress.org/blackawxs/\">klewis</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/vdwijngaert/\">Koen Van den Wijngaert</a> · <a href=\"https://profiles.wordpress.org/konradyoast/\">Konrad.K</a> · <a href=\"https://profiles.wordpress.org/kovshenin/\">Konstantin Kovshenin</a> · <a href=\"https://profiles.wordpress.org/kanlukasz/\">Kris Kelvin</a> · <a href=\"https://profiles.wordpress.org/krishaweb/\">KrishaWeb</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kmadhak/\">Kunal Madhak</a> · <a href=\"https://profiles.wordpress.org/kurtpayne/\">Kurt Payne</a> · <a href=\"https://profiles.wordpress.org/kwillmorth/\">kwillmorth</a> · <a href=\"https://profiles.wordpress.org/kbjohnson90/\">Kyle B. Johnson</a> · <a href=\"https://profiles.wordpress.org/devnel/\">Kyle Nel</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/laurent22777/\">laurent22777</a> · <a href=\"https://profiles.wordpress.org/lazam786/\">lazam786</a> · <a href=\"https://profiles.wordpress.org/leewillis77/\">Lee Willis</a> · <a href=\"https://profiles.wordpress.org/leemon/\">leemon</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leogermani/\">leogermani</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/linsoftware/\">Linnea Huxford</a> · <a href=\"https://profiles.wordpress.org/lonnylot/\">lonnylot</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/lovor/\">Lovro Hrust</a> · <a href=\"https://profiles.wordpress.org/lucasbustamante/\">Lucas Bustamante</a> · <a href=\"https://profiles.wordpress.org/lucilastancato/\">lucilastancato</a> · <a href=\"https://profiles.wordpress.org/luigipulcini/\">luigipulcini</a> · <a href=\"https://profiles.wordpress.org/zaguiini/\">Luis Felipe Zaguini</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/infolu/\">Luiz Araújo</a> · <a href=\"https://profiles.wordpress.org/mitweka/\">Lukas Niebler</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/msnewas/\">M S Newaz</a> · <a href=\"https://profiles.wordpress.org/maartenj/\">Maarten</a> · <a href=\"https://profiles.wordpress.org/mashikag/\">Maciej</a> · <a href=\"https://profiles.wordpress.org/maciejmackowiak/\">maciejmackowiak</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/patopaiar/\">magicoders</a> · <a href=\"https://profiles.wordpress.org/maahrokh/\">Mahrokh</a> · <a href=\"https://profiles.wordpress.org/maksimkuzmin/\">maksimkuzmin</a> · <a href=\"https://profiles.wordpress.org/malthert/\">malthert</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manishsongirkar36/\">Manish Songirkar</a> · <a href=\"https://profiles.wordpress.org/manzoorwanijk/\">Manzoor Wani</a> · <a href=\"https://profiles.wordpress.org/manzurahammed/\">Manzur Ahammed</a> · <a href=\"https://profiles.wordpress.org/marcyoast/\">Marc</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/nuryko/\">Marianna</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markbiek/\">Mark Biek</a> · <a href=\"https://profiles.wordpress.org/markhowellsmead/\">Mark Howells-Mead</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markparnell/\">Mark Parnell</a> · <a href=\"https://profiles.wordpress.org/markoheijnen/\">Marko Heijnen</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/hinjiriyo/\">Martin Stehle</a> · <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/mashukushibiki/\">Mashu</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">masteradhoc</a> · <a href=\"https://profiles.wordpress.org/msurdi/\">Matías Emanuel Surdi</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">matiasbenedetto</a> · <a href=\"https://profiles.wordpress.org/mattchowning/\">Matt Chowning</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mattwondra/\">Matt Wondra</a> · <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a> · <a href=\"https://profiles.wordpress.org/mattheweppelsheimer/\">Matthew Eppelsheimer</a> · <a href=\"https://profiles.wordpress.org/matthiaspabst/\">Matthias Pabst</a> · <a href=\"https://profiles.wordpress.org/matthiasreinholz/\">Matthias Reinholz</a> · <a href=\"https://profiles.wordpress.org/mattyrob/\">mattyrob</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maximej/\">Maxime J.</a> · <a href=\"https://profiles.wordpress.org/maximemeganck/\">Maxime Meganck</a> · <a href=\"https://profiles.wordpress.org/mayankmajeji/\">Mayank Majeji</a> · <a href=\"https://profiles.wordpress.org/maythamalsudany/\">maythamalsudany</a> · <a href=\"https://profiles.wordpress.org/mayuge/\">Mayuge</a> · <a href=\"https://profiles.wordpress.org/mcliwanow/\">mcliwanow</a> · <a href=\"https://profiles.wordpress.org/rakibwordpress/\">Md Rakib Hossain</a> · <a href=\"https://profiles.wordpress.org/russel07/\">Md. Russel Hussain</a> · <a href=\"https://profiles.wordpress.org/mdrago/\">mdrago</a> · <a href=\"https://profiles.wordpress.org/mehedi890/\">Mehedi Foysal</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/mehulkaklotar/\">Mehul Kaklotar</a> · <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/meloniq/\">meloniq</a> · <a href=\"https://profiles.wordpress.org/merkys/\">Merkys Maliukevičius</a> · <a href=\"https://profiles.wordpress.org/meysamnorouzi/\">meysam norouzi</a> · <a href=\"https://profiles.wordpress.org/mfgmicha/\">Micha Krapp</a> · <a href=\"https://profiles.wordpress.org/michaelbourne/\">Michael Bourne</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mihaidumitrascu/\">Mihai Dumitrascu</a> · <a href=\"https://profiles.wordpress.org/mihai2u/\">Mike Crantea</a> · <a href=\"https://profiles.wordpress.org/mdgl/\">Mike Glendinning</a> · <a href=\"https://profiles.wordpress.org/mikehansenme/\">Mike Hansen</a> · <a href=\"https://profiles.wordpress.org/mikejolley/\">Mike Jolley (a11n)</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikemanzo/\">mikemanzo</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/milindmore22/\">Milind More</a> · <a href=\"https://profiles.wordpress.org/mimitips/\">mimi</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/mlajo/\">Mladen</a> · <a href=\"https://profiles.wordpress.org/batmoo/\">Mohammad Jangda</a> · <a href=\"https://profiles.wordpress.org/mjkhajeh/\">MohammadJafar Khajeh</a> · <a href=\"https://profiles.wordpress.org/mohitdadhich10/\">Mohit Dadhich</a> · <a href=\"https://profiles.wordpress.org/boemedia/\">Monique Dubbelman</a> · <a href=\"https://profiles.wordpress.org/mt8biz/\">moto hachi</a> · <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a> · <a href=\"https://profiles.wordpress.org/mrobit/\">mrobit</a> · <a href=\"https://profiles.wordpress.org/msolution/\">msolution</a> · <a href=\"https://profiles.wordpress.org/mtias/\">mtias</a> · <a href=\"https://profiles.wordpress.org/wparslan/\">Muhammad Arslan</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/mmaumio/\">Muntasir Mahmud</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/mvraghavan/\">mvraghavan</a> · <a href=\"https://profiles.wordpress.org/mweichert/\">mweichert</a> · <a href=\"https://profiles.wordpress.org/n8finch/\">n8finch</a> · <a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\">Nalini Thakor</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/nareshbheda/\">Naresh Bheda</a> · <a href=\"https://profiles.wordpress.org/nateallen/\">Nate Allen</a> · <a href=\"https://profiles.wordpress.org/nhadsall/\">Nathan</a> · <a href=\"https://profiles.wordpress.org/nathanatmoz/\">Nathan Johnson</a> · <a href=\"https://profiles.wordpress.org/navigatrum/\">navigatrum</a> · <a href=\"https://profiles.wordpress.org/neffff/\">neffff</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a> · <a href=\"https://profiles.wordpress.org/nico23/\">Nico</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/nikkigagency/\">nikkigagency</a> · <a href=\"https://profiles.wordpress.org/im_niloy/\">Niloy</a> · <a href=\"https://profiles.wordpress.org/ninos-ego/\">Ninos</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/nlpro/\">nlpro</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/noplanman/\">noplanman</a> · <a href=\"https://profiles.wordpress.org/nouarah/\">nouarah</a> · <a href=\"https://profiles.wordpress.org/numidwasnotavailable/\">NumidWasNotAvailable</a> · <a href=\"https://profiles.wordpress.org/nunomorgadinho/\">Nuno Morgadinho</a> · <a href=\"https://profiles.wordpress.org/zikubd/\">Nurul Umbhiya</a> · <a href=\"https://profiles.wordpress.org/nvartolomei/\">nvartolomei</a> · <a href=\"https://profiles.wordpress.org/obayedmamur/\">Obayed Mamur</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/oliverstapelfeldt/\">Oliver Stapelfeldt</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/oneearth27/\">oneearth27</a> · <a href=\"https://profiles.wordpress.org/onnimonni/\">Onni Hakala</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/ovidiul/\">ovidiul</a> · <a href=\"https://profiles.wordpress.org/p_enrique/\">p_enrique</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/poliuk/\">Pablo Postigo</a> · <a href=\"https://profiles.wordpress.org/pablohoney/\">PabloHoney</a> · <a href=\"https://profiles.wordpress.org/palmiak/\">palmiak</a> · <a href=\"https://profiles.wordpress.org/pls78/\">Paolo L. Scala</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/xparham/\">Parham Ghaffarian</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/patrickgroot/\">Patrick Groot</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/figureone/\">Paul Ryan</a> · <a href=\"https://profiles.wordpress.org/paulohcruz/\">Paulo Cruz</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pavelschoffer/\">pavelschoffer</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendonça</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walbø Johnsgård</a> · <a href=\"https://profiles.wordpress.org/johnstonphilip/\">Phil Johnston</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/strategio/\">Pierre Sylvestre</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/mordauk/\">Pippin Williamson</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/praful2111/\">Praful Patel</a> · <a href=\"https://profiles.wordpress.org/pratiweb/\">Pratiksha</a> · <a href=\"https://profiles.wordpress.org/nikeo/\">presscustomizr</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/presstoke/\">presstoke</a> · <a href=\"https://profiles.wordpress.org/priyomukul/\">Priyo Mukul</a> · <a href=\"https://profiles.wordpress.org/prokium/\">prokium</a> · <a href=\"https://profiles.wordpress.org/itsjonq/\">Q</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/larrach/\">Rachel Peter</a> · <a href=\"https://profiles.wordpress.org/raduiason/\">raduiason</a> · <a href=\"https://profiles.wordpress.org/rafiahmedd/\">Rafi Ahmed</a> · <a href=\"https://profiles.wordpress.org/tan007/\">Rahi Prajapati</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajeshraval786/\">Rajesh Raval</a> · <a href=\"https://profiles.wordpress.org/ralucastn/\">ralucastn</a> · <a href=\"https://profiles.wordpress.org/superpoincare/\">Ramanan</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/rcorrales/\">Ramon Corrales</a> · <a href=\"https://profiles.wordpress.org/ramon-fincken/\">ramon fincken</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/randhirexpresstech/\">randhirexpresstech</a> · <a href=\"https://profiles.wordpress.org/ravipatel/\">Ravikumar Patel</a> · <a href=\"https://profiles.wordpress.org/rcanepa/\">rcanepa</a> · <a href=\"https://profiles.wordpress.org/rebasaurus/\">rebasaurus</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/tabrisrp/\">Remy Perona</a> · <a href=\"https://profiles.wordpress.org/renathoc/\">Renatho (a11n)</a> · <a href=\"https://profiles.wordpress.org/renegeuze/\">renegeuze</a> · <a href=\"https://profiles.wordpress.org/laboiteare/\">Reuhno</a> · <a href=\"https://profiles.wordpress.org/rflw/\">rflw</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rinatkhaziev/\">Rinat</a> · <a href=\"https://profiles.wordpress.org/rinkychowdhury9/\">Rinky Chowdhury</a> · <a href=\"https://profiles.wordpress.org/rishishah/\">Rishi Shah</a> · <a href=\"https://profiles.wordpress.org/rkaiser0324/\">rkaiser0324</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/miqrogroove/\">Robert Chapin</a> · <a href=\"https://profiles.wordpress.org/robertghetau/\">robertght</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/robmiller/\">robmiller</a> · <a href=\"https://profiles.wordpress.org/rodrigosevero/\">rodrigosevero</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/rolfsiebers/\">Rolf Siebers</a> · <a href=\"https://profiles.wordpress.org/rollybueno/\">rollybueno</a> · <a href=\"https://profiles.wordpress.org/rherault/\">Romain Herault</a> · <a href=\"https://profiles.wordpress.org/romulodl/\">romulodl</a> · <a href=\"https://profiles.wordpress.org/ross_ritchey/\">ross_ritchey</a> · <a href=\"https://profiles.wordpress.org/lev0/\">Roy</a> · <a href=\"https://profiles.wordpress.org/geekstreetwp/\">Russell Aaron</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/ryanmurphy/\">Ryan Murphy</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">Sébastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">Sérgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">Sören Wrede</a> · <a href=\"https://profiles.wordpress.org/sabbirmc/\">Sabbir Ahmed</a> · <a href=\"https://profiles.wordpress.org/sajjad67/\">Sajjad Hossain Sagor</a> · <a href=\"https://profiles.wordpress.org/saggre/\">Sakri Koskimies</a> · <a href=\"https://profiles.wordpress.org/samikeijonen/\">Sami Keijonen</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/sandipmondal/\">Sandip Mondal &#8211; a11n</a> · <a href=\"https://profiles.wordpress.org/sandrasanzdev/\">Sandra Sanz</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">santosguillamot</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarahricker/\">sarahricker</a> · <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a> · <a href=\"https://profiles.wordpress.org/isaumya/\">Saumya Majumder</a> · <a href=\"https://profiles.wordpress.org/xconsau/\">Saurabh Sharma</a> · <a href=\"https://profiles.wordpress.org/scofennellgmailcom/\">Scott Fennell</a> · <a href=\"https://profiles.wordpress.org/sc0ttkclark/\">Scott Kingsley Clark</a> · <a href=\"https://profiles.wordpress.org/gmagicscott/\">Scott Lesovic</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/seakashdiu/\">seakashdiu</a> · <a href=\"https://profiles.wordpress.org/sean212/\">Sean Fisher</a> · <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a> · <a href=\"https://profiles.wordpress.org/monolithon/\">seieric</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/seedsca/\">Sergio Scabuzzo</a> · <a href=\"https://profiles.wordpress.org/seriouslysenpai/\">seriouslysenpai</a> · <a href=\"https://profiles.wordpress.org/sethta/\">Seth Alling</a> · <a href=\"https://profiles.wordpress.org/shanjidah/\">shangidah afroz</a> · <a href=\"https://profiles.wordpress.org/enchiridion/\">Shannon Little</a> · <a href=\"https://profiles.wordpress.org/sharjeelkhanvmi/\">Sharjeel Khan</a> · <a href=\"https://profiles.wordpress.org/shetheliving/\">shetheliving</a> · <a href=\"https://profiles.wordpress.org/shoaibkarimali/\">Shoaib Ali</a> · <a href=\"https://profiles.wordpress.org/shraboni/\">Shraboni</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/shuvo586/\">shuvo586</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth ravikumar</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/siobhyb/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirzooro/\">sirzooro</a> · <a href=\"https://profiles.wordpress.org/slaffik/\">Slava Abakumov</a> · <a href=\"https://profiles.wordpress.org/slobodanmanic/\">Slobodan Manic</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/sobatkras/\">sobatkras</a> · <a href=\"https://profiles.wordpress.org/khromov/\">Stanislav Khromov</a> · <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a> · <a href=\"https://profiles.wordpress.org/ste_95/\">Stefano</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/camwynsp/\">Stephen Page</a> · <a href=\"https://profiles.wordpress.org/sterlo/\">Sterling Hamilton</a> · <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a> · <a href=\"https://profiles.wordpress.org/steveo2000/\">steveo2000</a> · <a href=\"https://profiles.wordpress.org/studiolxv/\">studiolxv</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/5um17/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh (WP Lovers)</a> · <a href=\"https://profiles.wordpress.org/csesumonpro/\">Sumon Sarker</a> · <a href=\"https://profiles.wordpress.org/sunil25393/\">SunilPrajapati</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/system909/\">system909</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/devtanbir/\">Tanbir Ahmod</a> · <a href=\"https://profiles.wordpress.org/tanvirul/\">Tanvirul Haque</a> · <a href=\"https://profiles.wordpress.org/taskotr/\">Taras Dashkevych</a> · <a href=\"https://profiles.wordpress.org/targz/\">targz</a> · <a href=\"https://profiles.wordpress.org/tlovett1/\">Taylor Lovett</a> · <a href=\"https://profiles.wordpress.org/tazotodua/\">tazotodua</a> · <a href=\"https://profiles.wordpress.org/tbember/\">tbember</a> · <a href=\"https://profiles.wordpress.org/tykoted/\">Teddy Patriarca</a> · <a href=\"https://profiles.wordpress.org/tellyworth/\">Tellyworth</a> · <a href=\"https://profiles.wordpress.org/edent/\">Terence Eden</a> · <a href=\"https://profiles.wordpress.org/tharsheblows/\">tharsheblows</a> · <a href=\"https://profiles.wordpress.org/iamjaydip/\">thejaydip</a> · <a href=\"https://profiles.wordpress.org/tweetythierry/\">Thierry Muller</a> · <a href=\"https://profiles.wordpress.org/thijso/\">Thijs</a> · <a href=\"https://profiles.wordpress.org/griffinjt/\">Thomas Griffin</a> · <a href=\"https://profiles.wordpress.org/hyperbrand/\">Thorsten Schraut</a> · <a href=\"https://profiles.wordpress.org/threadi/\">threadi</a> · <a href=\"https://profiles.wordpress.org/baxbridge/\">Tiffany Bridge</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Krüss</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmooredev/\">Titus Moore</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tomjdv/\">Tom de Visser</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/tj692/\">Tom Janssen</a> · <a href=\"https://profiles.wordpress.org/tommusrhodus/\">Tom Rhodes</a> · <a href=\"https://profiles.wordpress.org/tomasztunik/\">Tomasz Tunik</a> · <a href=\"https://profiles.wordpress.org/tomepajk/\">tomepajk</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemerö</a> · <a href=\"https://profiles.wordpress.org/tonylocalword/\">tony.localword</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/transl8or/\">transl8or</a> · <a href=\"https://profiles.wordpress.org/wpsmith/\">Travis Smith</a> · <a href=\"https://profiles.wordpress.org/tremidkhar/\">Tremi Dkhar</a> · <a href=\"https://profiles.wordpress.org/trevorpfromsandee/\">TrevorPolischuk</a> · <a href=\"https://profiles.wordpress.org/nathannoom/\">Trinadin</a> · <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a> · <a href=\"https://profiles.wordpress.org/turtlepod/\">turtlepod</a> · <a href=\"https://profiles.wordpress.org/tushar284/\">Tushar</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a> · <a href=\"https://profiles.wordpress.org/utsavmadaan823/\">utsavmadaan823</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/evildon/\">varma</a> · <a href=\"https://profiles.wordpress.org/vasartam/\">vasartam</a> · <a href=\"https://profiles.wordpress.org/vdankbaar/\">vdankbaar</a> · <a href=\"https://profiles.wordpress.org/velochicdunord/\">Velochicdunord</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/vikasprogrammer/\">vikasprogrammer</a> · <a href=\"https://profiles.wordpress.org/virgar/\">Virginie Garnier</a> · <a href=\"https://profiles.wordpress.org/vishalkakadiya/\">Vishal Kakadiya</a> · <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a> · <a href=\"https://profiles.wordpress.org/webbeetle/\">webbeetle</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/whissi/\">Whissi</a> · <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a> · <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a> · <a href=\"https://profiles.wordpress.org/withinboredom/\">withinboredom</a> · <a href=\"https://profiles.wordpress.org/woji29911/\">woji29911</a> · <a href=\"https://profiles.wordpress.org/yahil/\">Yahil Madakiya</a> · <a href=\"https://profiles.wordpress.org/yannielsen/\">Yan Knudtskov</a> · <a href=\"https://profiles.wordpress.org/collet/\">Yann</a> · <a href=\"https://profiles.wordpress.org/yoavf/\">Yoav Farhi</a> · <a href=\"https://profiles.wordpress.org/byohann6/\">Yohann Billard</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/omaeyusuke/\">yuu</a> · <a href=\"https://profiles.wordpress.org/zaerl/\">zaerl</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/ziposc/\">ziposc</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a> · <a href=\"https://profiles.wordpress.org/shenyanzhi/\">沈唁</a></p>\n\n\n\n<p>Merci également à toutes celles et ceux qui ont traduit cette version en français&nbsp;:</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/bonaldi\">Bonaldi</a>,&nbsp;<a href=\"https://profiles.wordpress.org/btpub\">Bruno Tritsch</a>,&nbsp;<a href=\"https://profiles.wordpress.org/chouby\">Chouby</a>,&nbsp;<a href=\"https://profiles.wordpress.org/wolforg\">Didier Demory</a>, <a href=\"https://profiles.wordpress.org/eddystile\">Eddy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/emlebrun\">Emilie LEBRUN</a>, <a href=\"https://profiles.wordpress.org/fxbenard\">FX&nbsp;Bénard</a>,&nbsp;<a href=\"https://profiles.wordpress.org/florianv\">florianv</a>,&nbsp;<a href=\"https://profiles.wordpress.org/fred5550\">Frederic Nuyts</a>,&nbsp;<a href=\"https://profiles.wordpress.org/ggwptranslate\">Gilbert GAYRAUD</a>,&nbsp;<a href=\"https://profiles.wordpress.org/guillaumeturpin\">Guillaume TURPIN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/ioanamuresan\">Ioana M.</a>,&nbsp;<a href=\"https://profiles.wordpress.org/jaz_on\">Jason Rouet</a>, <a href=\"https://profiles.wordpress.org/jdy68\">Jenny Dupuy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/loulou51\">Loulou51</a>, <a href=\"https://profiles.wordpress.org/lulucmy\">lulucmy</a>, <a href=\"https://profiles.wordpress.org/maecatnou\">maecatnou</a>,&nbsp;<a href=\"https://profiles.wordpress.org/oellin\">Magali</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nuryko\">Marianna</a>, <a href=\"https://profiles.wordpress.org/chaton666\">Marie Comet</a>, <a href=\"https://profiles.wordpress.org/marineevain\">Marine EVAIN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/maxpertici\">Maxime Pertici</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nandow\">nandow</a>,&nbsp;<a href=\"https://profiles.wordpress.org/pasglop\">pasglop</a>,&nbsp;<a href=\"https://profiles.wordpress.org/larrach\">Rachel Peter</a>,&nbsp;<a href=\"https://profiles.wordpress.org/sebastienserre\">Sébastien SERRE</a>,&nbsp;<a href=\"https://profiles.wordpress.org/solaack\">solaack</a>,&nbsp;<a href=\"https://profiles.wordpress.org/stephanepoisson\">Stéphane POISSON</a>,&nbsp;<a href=\"https://profiles.wordpress.org/spaceshipone\">Timothée Brosille</a>,&nbsp;<a href=\"https://profiles.wordpress.org/translationsbyautomattic\">Translations by Automattic</a>,&nbsp;<a href=\"https://profiles.wordpress.org/virgar\">Virginie Garnier</a>,&nbsp;<a href=\"https://profiles.wordpress.org/virginienacci\">virginienacci</a>, <a href=\"https://profiles.wordpress.org/whaze\">whaze</a>,&nbsp;<a href=\"https://profiles.wordpress.org/whodunitagency\">Whodunit</a>,&nbsp;<a href=\"https://profiles.wordpress.org/wptranslationsorg\">WP-Translations</a>, et&nbsp;<a href=\"https://profiles.wordpress.org/wplmillet\">wplmillet</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://fr.wordpress.org/2022/11/02/wordpress-6-1-misha/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:77:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Guide des changements techniques de WordPress 6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://fr.wordpress.org/2022/10/12/guide-des-changements-techniques-de-wordpress-6-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"https://fr.wordpress.org/2022/10/12/guide-des-changements-techniques-de-wordpress-6-1/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Oct 2022 16:20:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:13:\"Documentation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:5:\"Guide\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2509\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"Tour d\'horizon des changements techniques apportés par WordPress 6.1, la prochaine version majeure du CMS.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:66:\"https://make.wordpress.org/design/files/2022/09/tt3_variations.mp4\";s:6:\"length\";s:6:\"996018\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:45796:\"\n<p>La version&nbsp;<em>Release Candidate</em>&nbsp;de&nbsp;<strong>WordPress&nbsp;6.1</strong>&nbsp;est sortie mardi 11 octobre. Il est donc temps de parcourir les différents changements techniques qu’apportera cette prochaine version majeure de notre CMS.</p>\n\n\n\n<p><strong>La sortie finale de cette nouvelle version est planifiée pour le 1<sup>er</sup>&nbsp;novembre 2022.</strong></p>\n\n\n\n<figure class=\"wp-block-image\"><img decoding=\"async\" loading=\"lazy\" width=\"2328\" height=\"1158\" src=\"https://fr.wordpress.org/files/2022/10/wp61-guide.png\" alt=\"WordPress 6.1 : Guide des changements techniques\" class=\"wp-image-2472\" srcset=\"https://fr.wordpress.org/files/2022/10/wp61-guide.png 2328w, https://fr.wordpress.org/files/2022/10/wp61-guide-300x149.png 300w, https://fr.wordpress.org/files/2022/10/wp61-guide-1024x509.png 1024w, https://fr.wordpress.org/files/2022/10/wp61-guide-768x382.png 768w, https://fr.wordpress.org/files/2022/10/wp61-guide-1536x764.png 1536w, https://fr.wordpress.org/files/2022/10/wp61-guide-2048x1019.png 2048w\" sizes=\"(max-width: 2328px) 100vw, 2328px\" /></figure>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/6-1/\">L’équipe de direction de WP 6.1</a>&nbsp;et plusieurs centaines de contributeurs et contributrices ont travaillé sur plus de&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=enhancement&amp;type=feature+request&amp;milestone=6.1&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">120 améliorations et nouvelles fonctionnalités</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=defect+(bug)&amp;milestone=6.1&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">241 correctifs</a>&nbsp;et&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=task+(blessed)&amp;milestone=6.1&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">42 autres tâches variées</a>, ce qui représente plus de&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.1&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">400 tickets sur Trac</a>.</p>\n\n\n\n<p>À cela, il faut ajouter plus de&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56467\">50 pull requests</a>&nbsp;ayant permis de fusionner les différentes versions de Gutenberg dans le cœur du CMS. Du côté du projet Gutenberg il y a eu en tout 1684 pull requests apportant 425 nouvelles fonctionnalités et améliorations et 428&nbsp;correctifs de bugs, le reste concernant des tâches courantes de revue de qualité du code, de documentation ou d&rsquo;amélioration des outils de déploiement.</p>\n\n\n\n<p class=\"is-style-serif has-text-color\" style=\"color:#d95e43;font-size:18px\">En route pour un petit tour d’horizon des<br>nouveautés techniques de WordPress&nbsp;6.1&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f680.png\" alt=\"🚀\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<span id=\"more-2509\"></span>\n\n\n\n<p>Tous les liens de cet article pointent vers des notes de développement rédigées en anglais.</p>\n\n\n\n<p>L’objectif est de fournir un panorama général des changements techniques apportés par cette version, en français, puis de diriger les personnes qui souhaitent en savoir plus vers les notes de développement en anglais.</p>\n\n\n\n<p class=\"has-text-color has-background\" style=\"color:#ac270c;background-color:#f4e3da\">À noter&nbsp;: certaines modifications listées ici vont nécessiter des actions de la part des auteurs et autrices de thèmes et d’extensions, qui devront adapter ou modifier leur code. Si vous êtes concerné·e, veuillez lire les notes de développement listées dans cet article consciencieusement afin de vous assurer que votre code fonctionnera avec WordPress&nbsp;6.1 lorsque cette version sortira le 1<sup>er</sup>&nbsp;novembre 2022.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Performances</h2>\n\n\n\n<p>Avec&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;focuses=~performance&amp;milestone=6.1&amp;group=component&amp;col=id&amp;col=summary&amp;col=version&amp;col=focuses&amp;col=keywords&amp;order=priority\">45 tickets sur Trac</a>&nbsp;pour WP&nbsp;6.1, l’amélioration des performances et des temps de chargement de WordPress a été l’un des enjeux principaux de cette version. Les changements les plus significatifs portent sur les requêtes&nbsp;<code>WP_Query</code>&nbsp;et sur l’API REST, deux points qui impactent grandement les temps de chargement de votre site. L’un des changements les plus attendus concernait notamment la mise en cache des requêtes&nbsp;<code>WP_Query</code>, et c’est maintenant une réalité avec WP&nbsp;6.1.</p>\n\n\n\n<p>De nouveaux points de contrôle ont aussi été ajoutés dans l’écran de&nbsp;<em>Santé du site</em>, qui vous indiquera maintenant si la mise en cache des pages et le cache persistant fonctionnent correctement sur votre site.</p>\n\n\n\n<p>Plusieurs améliorations conséquentes sur l’API de mise en cache de WordPress ont également été mises en œuvre, et l’ordre d’exécution général des crochets d’action a été optimisé pour retarder le moins possible l’affichage des pages.</p>\n\n\n\n<p>L’enregistrement de blocs personnalisés pour l’éditeur à l’aide de fichiers&nbsp;<code>block.json</code>&nbsp;a aussi été rendu bien plus performant.</p>\n\n\n\n<p>Et ce n’est qu’une petite partie des améliorations de performances de WP 6.1. Pour en découvrir plus, voici un guide spécifique sur les performances dans cette nouvelle version de WP&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"qnD9kaPwLM\"><a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">Performance Field Guide for WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Performance Field Guide for WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/embed/#?secret=S9AxfZHdKy#?secret=qnD9kaPwLM\" data-secret=\"qnD9kaPwLM\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Accessibilité</h2>\n\n\n\n<p>Il s’agit du second focus principal de WordPress 6.1, avec&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;focuses=~accessibility&amp;milestone=6.1&amp;group=component&amp;col=id&amp;col=summary&amp;col=focuses&amp;col=version&amp;col=keywords&amp;order=priority\">28 tickets sur Trac</a>, concernant 13 des principaux composants du CMS. De nombreuses améliorations ont été faites sur l’éditeur de blocs et sur la fonctionnalité d’édition complète du site, quelques éléments encore non conformes sur les différents écrans d’administration ont été corrigés, et beaucoup d’autres améliorations ont été faites pour faciliter l’utilisation de WordPress par toutes et tous.</p>\n\n\n\n<p>Une attention particulière a également été portée sur la gestion des champs requis sur les différents formulaires de l’interface d’administration&nbsp;: pour faciliter leur maintenance, une petite API a été créée afin de gérer de façon centralisée leur affichage. Celle-ci est publique et peut donc être utilisée par les personnes réalisant des développements sur mesure.</p>\n\n\n\n<p>Notons également qu’avec WordPress 6.1, les deux thèmes natifs&nbsp;<a href=\"https://core.trac.wordpress.org/changeset/54467\">Twenty Twenty-Three</a>&nbsp;(nous reparlerons de celui-là dans un article dédié&nbsp;!) et&nbsp;<a href=\"https://github.com/WordPress/wordpress-develop/pull/2324/files\">Twenty Twenty-Two</a>&nbsp;font leur entrée parmi les premiers&nbsp;<em>Block Themes</em>&nbsp;(ces thèmes entièrement modifiables avec l’éditeur de blocs) ayant obtenu le libellé&nbsp;<code>accessibility-ready</code>&nbsp;sur le répertoire de thèmes WordPress.org.</p>\n\n\n\n<p>Pour en savoir plus sur toutes ces améliorations concernant l’accessibilité de WordPress, consultez le guide spécifique proposé par l’équipe&nbsp;<em>Accessibility</em>&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"gOxSBctZIG\"><a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">WordPress 6.1 Accessibility Improvements</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;WordPress 6.1 Accessibility Improvements&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/embed/#?secret=Rp2Ep8E3XI#?secret=gOxSBctZIG\" data-secret=\"gOxSBctZIG\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">L’éditeur de blocs</h2>\n\n\n\n<p>C’est évidemment encore et toujours un des axes concentrant le plus d’évolutions d’une version à une autre&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f60a.png\" alt=\"😊\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>WordPress 6.1 embarque les versions&nbsp;<a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>,&nbsp;<a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, et&nbsp;<a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>&nbsp;du projet Gutenberg.</p>\n\n\n\n<p>Parmi les nombreux changements de ces 10 versions de l’extension Gutenberg, un gros effort a été fait pour rendre les blocs et autres fonctionnalités de l’éditeur de plus en plus disponibles pour les thèmes «&nbsp;classiques&nbsp;», c’est à dire les thèmes qui ne prennent pas encore en charge l’édition complète du site à l’aide de blocs, une fonctionnalité introduite dans le CMS en 2022 avec WordPress&nbsp;5.9.</p>\n\n\n\n<p>L’objectif est de faciliter le travail des développeuses et des développeurs pour effectuer une transition de leurs thèmes «&nbsp;classiques&nbsp;» vers le principe du thème basé sur des blocs, que celui-ci soit entièrement ou partiellement modifiable dans l’éditeur. Nous espérons que cela poussera encore plus les personnes développant des thèmes WordPress à exploiter au maximum les fonctionnalités de l’éditeur.</p>\n\n\n\n<p>Par ailleurs, de nombreuses fonctionnalités utiles au quotidien ont été ajoutées dans cette version&nbsp;: filtrage des données du&nbsp;<code>theme.json</code>, nouveau système de gestion des préférences dans l’éditeur, possibilité de modifier et étendre le bloc «&nbsp;Boucle de requête&nbsp;», et bien plus encore.</p>\n\n\n\n<p>Vous trouverez ci-dessous les différentes notes de développement concernant l’éditeur de WordPress&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"dBrmxcR9rG\"><a href=\"https://make.wordpress.org/core/2022/10/12/block-api-changes-in-wordpress-6-1/\">Block API changes in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Block API changes in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/12/block-api-changes-in-wordpress-6-1/embed/#?secret=yffoVF22CZ#?secret=dBrmxcR9rG\" data-secret=\"dBrmxcR9rG\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"Fjn1oGyqWW\"><a href=\"https://make.wordpress.org/core/2022/10/07/create-block-scaffolding-tool-updates/\">Create-block scaffolding tool updates</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Create-block scaffolding tool updates&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/07/create-block-scaffolding-tool-updates/embed/#?secret=VtlSw1eM1t#?secret=Fjn1oGyqWW\" data-secret=\"Fjn1oGyqWW\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"zyyLlU97ov\"><a href=\"https://make.wordpress.org/core/2022/10/10/extending-the-query-loop-block/\">Extending the Query Loop block</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Extending the Query Loop block&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/extending-the-query-loop-block/embed/#?secret=LIiTYZPDuG#?secret=zyyLlU97ov\" data-secret=\"zyyLlU97ov\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"zexxXNky1n\"><a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\">Block-based &#8220;template parts&#8221; in traditional themes</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Block-based &#8220;template parts&#8221; in traditional themes&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/embed/#?secret=jGN0kLdfpO#?secret=zexxXNky1n\" data-secret=\"zexxXNky1n\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"TQjPI7jtgJ\"><a href=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/\">Block styles generation (Style Engine)</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Block styles generation (Style Engine)&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/embed/#?secret=hpcPvjxOC0#?secret=TQjPI7jtgJ\" data-secret=\"TQjPI7jtgJ\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"3JmOVCNc5n\"><a href=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/\">Changes to block editor preferences in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Changes to block editor preferences in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/embed/#?secret=71OVXmY0eo#?secret=3JmOVCNc5n\" data-secret=\"3JmOVCNc5n\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"vifHRi3Twr\"><a href=\"https://make.wordpress.org/core/2022/10/10/editor-components-updates-for-wordpress-6-1/\">Editor Components updates in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Editor Components updates in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/editor-components-updates-for-wordpress-6-1/embed/#?secret=qPmCZKf0U8#?secret=vifHRi3Twr\" data-secret=\"vifHRi3Twr\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"h3aDnp2W04\"><a href=\"https://make.wordpress.org/core/2022/10/11/simplified-data-access-with-new-react-hooks-in-wordpress-6-1/\">Simplified data access with new React hooks in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Simplified data access with new React hooks in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/11/simplified-data-access-with-new-react-hooks-in-wordpress-6-1/embed/#?secret=0IPHFMNGSf#?secret=h3aDnp2W04\" data-secret=\"h3aDnp2W04\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"bRnyzICqAu\"><a href=\"https://make.wordpress.org/core/2022/10/10/miscellaneous-editor-changes-for-wordpress-6-1/\">Miscellaneous editor changes for WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Miscellaneous editor changes for WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/miscellaneous-editor-changes-for-wordpress-6-1/embed/#?secret=5zY0ol61lV#?secret=bRnyzICqAu\" data-secret=\"bRnyzICqAu\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<p>Par ailleurs, la note de développement suivante fournit un état des lieux très pratique des blocs natifs et de leurs différentes possibilités de formatage&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"wq78upcC0e\"><a href=\"https://make.wordpress.org/core/2022/10/11/roster-of-design-tools-per-block/\">Roster of design tools per block</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Roster of design tools per block&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/11/roster-of-design-tools-per-block/embed/#?secret=0coW6ckdnA#?secret=wq78upcC0e\" data-secret=\"wq78upcC0e\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Développement de thèmes WordPress</h2>\n\n\n\n<p>Les notes de développement suivantes présentent des changements qui concernent tout particulièrement les développeuses et développeurs de thèmes.</p>\n\n\n\n<p>Tout d’abord, l’entête&nbsp;<code>Update URI</code>&nbsp;qui doit être utilisé si vous développez des thèmes sur mesure n’ayant pas vocation à être déployés sur le répertoire WordPress.org. Cela évitera que votre site propose une mise à jour et écrase votre thème dans le cas où un thème du répertoire officiel porterait le même identifiant (slug) que le vôtre&nbsp;!</p>\n\n\n\n<p>Ensuite nous avons plusieurs notes de développement concernant les interactions entre les thèmes et l’éditeur de site. Et notamment la possibilité de créer des éléments de modèles basés sur des blocs au sein d’un thème classique, c’est à dire d’un thème ne proposant au départ pas de compatibilité avec l’édition complète de site (<em>full site editing</em>).</p>\n\n\n\n<p>Enfin, on notera l&rsquo;arrivée de la gestion fluide des polices typographiques, qui permettent de définir la taille de typo de façon à ce qu&rsquo;elle s&rsquo;adapte dynamiquement à la largeur de l&rsquo;écran.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"kTK0wJfy87\"><a href=\"https://make.wordpress.org/core/2022/10/06/introducing-update-uri-theme-header-in-wordpress-6-1/\">Introducing “Update URI” theme header in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Introducing “Update URI” theme header in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/06/introducing-update-uri-theme-header-in-wordpress-6-1/embed/#?secret=qitshxDkLe#?secret=kTK0wJfy87\" data-secret=\"kTK0wJfy87\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"zexxXNky1n\"><a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\">Block-based &#8220;template parts&#8221; in traditional themes</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Block-based &#8220;template parts&#8221; in traditional themes&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/embed/#?secret=jGN0kLdfpO#?secret=zexxXNky1n\" data-secret=\"zexxXNky1n\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"WzczIz4yg6\"><a href=\"https://make.wordpress.org/core/2022/10/03/fluid-font-sizes-in-wordpress-6-1/\">Fluid font sizes in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Fluid font sizes in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/03/fluid-font-sizes-in-wordpress-6-1/embed/#?secret=SLMWQp7RNK#?secret=WzczIz4yg6\" data-secret=\"WzczIz4yg6\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"z0vYQmLM5z\"><a href=\"https://make.wordpress.org/core/2022/09/27/navigation-block-fallback-behavior-in-wp-6-1-dev-note/\">Navigation Block Fallback Behavior in WP 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Navigation Block Fallback Behavior in WP 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/09/27/navigation-block-fallback-behavior-in-wp-6-1-dev-note/embed/#?secret=tx4090NC9A#?secret=z0vYQmLM5z\" data-secret=\"z0vYQmLM5z\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"GWWtPp4NS7\"><a href=\"https://make.wordpress.org/core/2022/10/10/styling-elements-in-block-themes/\">Styling elements in block themes</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Styling elements in block themes&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/styling-elements-in-block-themes/embed/#?secret=DNb1wiOY5K#?secret=GWWtPp4NS7\" data-secret=\"GWWtPp4NS7\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"iGV1yvHNkk\"><a href=\"https://make.wordpress.org/core/2022/10/10/updated-editor-layout-support-in-6-1-after-refactor/\">Updated editor layout support in 6.1 after refactor</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Updated editor layout support in 6.1 after refactor&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/updated-editor-layout-support-in-6-1-after-refactor/embed/#?secret=ldKH3CQjOT#?secret=iGV1yvHNkk\" data-secret=\"iGV1yvHNkk\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"90Yib2AXch\"><a href=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/\">Filters for theme.json data</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Filters for theme.json data&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/embed/#?secret=5Qfg0Q38Dk#?secret=90Yib2AXch\" data-secret=\"90Yib2AXch\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"PrZ6RePCEE\"><a href=\"https://make.wordpress.org/core/2022/10/07/introduction-of-presets-across-padding-margin-and-block-gap/\">Introduction of presets across padding, margin and block gap</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Introduction of presets across padding, margin and block gap&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/07/introduction-of-presets-across-padding-margin-and-block-gap/embed/#?secret=9fmr75XcT7#?secret=PrZ6RePCEE\" data-secret=\"PrZ6RePCEE\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Twenty Twenty-Three, le nouveau thème natif</h2>\n\n\n\n<p><em>Twenty Twenty-Three</em>&nbsp;est le nouveau thème par défaut de WordPress.</p>\n\n\n\n<p>Comme son prédécesseur, il exploite à 100&nbsp;% les fonctionnalités de l’éditeur de site. Il va même beaucoup plus loin en intégrant nativement 10 variations de styles permettant de modifier complètement l’interface depuis l’administration.</p>\n\n\n\n<p>Ces 10 variations de styles ont été sélectionnées à l’aide d’un appel à contribution. L’objectif est de montrer par l’exemple comment se comportent les nouvelles fonctionnalités de l’éditeur de site, et notamment comment exploiter le fichier&nbsp;<code>theme.json</code>.</p>\n\n\n\n<p>Vous trouverez ci-dessous une vidéo balayant les 10 variations de styles de ce thème.</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://make.wordpress.org/design/files/2022/09/tt3_variations.mp4\"></video></figure>\n\n\n\n<p>Comme d’habitude, ce thème natif a été développé sur GitHub (où vous retrouverez l’historique du projet) puis intégré au cœur de WordPress pendant la phase de développement de la version 6.1.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Autres améliorations</h2>\n\n\n\n<h3 class=\"wp-block-heading\">API REST</h3>\n\n\n\n<p>L’API REST a vu l’arrivée d’améliorations concernant le point de terminaison&nbsp;<code>/search</code>&nbsp;ainsi que de l’affichage des réponses JSON pouvant être controlées via le filtre&nbsp;<code>rest_json_encode_options</code>. Toutes les améliorations de l’API sont décrites dans la note de développement suivante&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"wqhN6S07e4\"><a href=\"https://make.wordpress.org/core/2022/10/11/miscellaneous-rest-api-improvements-in-wordpress-6-1/\">Miscellaneous REST API improvements in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Miscellaneous REST API improvements in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/11/miscellaneous-rest-api-improvements-in-wordpress-6-1/embed/#?secret=99O3BHkhq9#?secret=wqhN6S07e4\" data-secret=\"wqhN6S07e4\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Page de connexion</h3>\n\n\n\n<p>Une nouvelle fonction attendue depuis plus de 10 ans a fait son entrée dans la boîte à outils des développeuses et développeurs&nbsp;:&nbsp;<code>is_login()</code>&nbsp;permet de déterminer si l’on se trouve sur la page de connexion ou non.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"T8g55XKRps\"><a href=\"https://make.wordpress.org/core/2022/09/11/new-is_login-function-for-determining-if-a-page-is-the-login-screen/\">New is_login() function for determining if a page is the login screen</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;New is_login() function for determining if a page is the login screen&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/09/11/new-is_login-function-for-determining-if-a-page-is-the-login-screen/embed/#?secret=JQ3aBVlXl1#?secret=T8g55XKRps\" data-secret=\"T8g55XKRps\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Tableaux de listes de l’admin</h3>\n\n\n\n<p>Une nouvelle méthode fait son apparition, afin de pouvoir interagir et filtrer plus facilement les liens de visualisation présents dans ces tableaux.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"at2b0OL7mT\"><a href=\"https://make.wordpress.org/core/2022/10/09/introducing-wp_list_tableget_views_links-in-wordpress-6-1/\">Introducing WP_List_Table::get_views_links() in WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Introducing WP_List_Table::get_views_links() in WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/09/introducing-wp_list_tableget_views_links-in-wordpress-6-1/embed/#?secret=iitc3BtHzA#?secret=at2b0OL7mT\" data-secret=\"at2b0OL7mT\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Médias</h3>\n\n\n\n<p>Avec la version 5.8, nous avons accueilli&nbsp;<a href=\"https://make.wordpress.org/core/2021/06/07/wordpress-5-8-adds-webp-support/\">la prise en charge du format WebP</a>&nbsp;et nous prévoyions initialement d’intégrer la génération automatique et par défaut d’images dans ce format dans WordPress 6.1, mais le&nbsp;<em>commit</em>&nbsp;associé a finalement été&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/54226\">annulé</a>&nbsp;avec la&nbsp;<a href=\"https://make.wordpress.org/core/2022/09/11/webp-in-core-for-6-1/\">recommandation</a>&nbsp;de plutôt intégrer cette fonctionnalité dans une&nbsp;<a href=\"https://make.wordpress.org/core/2022/09/11/canonical-plugins-revisited/\">extension canonique</a>.</p>\n\n\n\n<p>En revanche, la propriété&nbsp;<code>muted</code>&nbsp;est maintenant disponible pour les vidéos insérées dans l’éditeur, ce qui permet de rendre silencieuse les vidéos ayant vocation à être lancées automatiquement (propriété&nbsp;<code>autoplay</code>). Ceci est obligatoire pour les vidéos automatiques.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Autres changements techniques</h3>\n\n\n\n<p>WordPress 6.1 introduit de nombreuses nouvelles fonctions et crochets d’action ou filtres. Ces changements sont détaillés dans la note de développement suivante&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"eKrGcN1LRi\"><a href=\"https://make.wordpress.org/core/2022/10/11/miscellaneous-core-changes-for-wordpress-6-1/\">Miscellaneous Core changes for WordPress 6.1</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Miscellaneous Core changes for WordPress 6.1&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/10/11/miscellaneous-core-changes-for-wordpress-6-1/embed/#?secret=wygMCG7gVe#?secret=eKrGcN1LRi\" data-secret=\"eKrGcN1LRi\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<p>En plus de tous ces changements, on notera les évolutions suivantes, triées par composant du cœur WP&nbsp;:</p>\n\n\n\n<ul>\n<li><strong>Mots de passe d’applications :</strong>&nbsp;les super&nbsp;admins peuvent mettre en place un mot de passe d’application sur un site auquel ils n’ont pas été rattachés (<a href=\"https://core.trac.wordpress.org/ticket/53224\">#53224</a>)</li>\n\n\n\n<li><strong>Sauvegardes automatiques :</strong>&nbsp;les utilisateur·ices ayant un blocage via la fonctionnalité&nbsp;<code>post lock</code>&nbsp;pouvaient auparavant tricher en surchargeant les modifications via les sauvegardes automatiques&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/55659\">#55659</a>)</li>\n\n\n\n<li><strong>API de gestion du cache&nbsp;:&nbsp;</strong>ajout des fonctions&nbsp;<code>wp_cache_flush_group</code>&nbsp;et&nbsp;<code>wp_cache_supports</code>&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/4476\">#4476</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56605\">#56605</a>)</li>\n\n\n\n<li><strong>Charset&nbsp;:</strong>&nbsp;ajout de l’échappement des caractères unicode NFD dans&nbsp;<code>remove_accents()</code>&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/35951\">#35951</a>)</li>\n\n\n\n<li><strong>API Cron :</strong>&nbsp;ajout de la journalisation des erreurs et de crochets associés dans&nbsp;<code>wp-cron.php</code>&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/56048\">#56048</a>)</li>\n\n\n\n<li><strong>Éditeur&nbsp;:</strong>&nbsp;clarification du fait que&nbsp;<code>get_page_template()</code>&nbsp;ne fonctionne pas sur les thèmes basés sur des blocs&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/56394\">#56394</a>)</li>\n\n\n\n<li><strong>Compositions de blocs :</strong>&nbsp;ajout d’une catégorie «&nbsp;Pieds de page&nbsp;»&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/56416\">#56416</a>)</li>\n\n\n\n<li><strong>Bibliothèque tierces :</strong>\n<ul>\n<li>Correction sur Thickbox pour la prise en charge des images WebP&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55786\">#55786</a></li>\n\n\n\n<li>Mise à jour de PHPMailer à la version 6.6.4&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55976\">#55976</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56016\">#56016</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56413\">#56413</a></li>\n\n\n\n<li>Mise à jour de Underscore à la version 6.1&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56030\">#56030</a></li>\n\n\n\n<li>Mise à jour de Moment à la version 6.1&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56031\">#56031</a></li>\n\n\n\n<li>Mise à jour de jQuery&nbsp;UI à la version 6.1&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56239\">#56239</a></li>\n\n\n\n<li>Mise à jour de mediaelement.js à la version 4.2.17&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56319\">#56319</a></li>\n\n\n\n<li>Mise à jour de jQuery à la version 3.6.1&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56451\">#56451</a></li>\n\n\n\n<li>Mise à jour de Sodium Compat à la version 1.19.0&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56564\">#56564</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56653\">#56653</a></li>\n\n\n\n<li>Mise à jour de GetID3 à la version 1.9.22&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56692\">#56692</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Formatage :</strong>\n<ul>\n<li>Suppression des accents combinés dans&nbsp;<code>remove_accents()</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/24661\">#24661</a></li>\n\n\n\n<li>Inversement de l’encapsulation de&nbsp;<code>sanitize_url()</code>&nbsp;et&nbsp;<code>esc_url_raw()</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55852\">#55852</a></li>\n\n\n\n<li>Correction de la valeur retournée par&nbsp;<code>safecss_filter_attr()</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55966\">#55966</a></li>\n\n\n\n<li>Autorisation de l’utilisation de propriétés CSS spécifiques à la mise en page dans le filtre&nbsp;<code>safe_style_css</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56122\">#56122</a></li>\n\n\n\n<li>Autorisation de l’utilisation de variables CSS dans&nbsp;<code>safecss_filter_attr</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56353\">#56353</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Général :</strong>\n<ul>\n<li>Mise à jour de&nbsp;<code>is_serialized</code>&nbsp;pour accepter les Enums&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/53299\">#53299</a></li>\n\n\n\n<li>Remplacement des appels à&nbsp;<code>phpversion()</code>&nbsp;par la constante PHP_VERSION&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55680\">#55680</a></li>\n\n\n\n<li>Suppression des doublons d’utilisation de&nbsp;<code>realpath()</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56636\">#56636</a></li>\n\n\n\n<li>Suppression des doublons d’utilisation de&nbsp;<code>file_get_contents</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56637\">#56637</a></li>\n\n\n\n<li>Suppression des appels à&nbsp;<code>file_exists()</code>&nbsp;sur les variables utilisant&nbsp;<code>realpath()</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56654\">#56654</a></li>\n\n\n\n<li>Suppression des doublons d’utilisation de&nbsp;<code>get_theme_file_path</code>&nbsp;dans&nbsp;<code>register_block_style_handle</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/56666\">#56666</a></li>\n\n\n\n<li>Correction du retour obtenu en utilisant&nbsp;<code>wp_rand( 0, 0)</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55194\">#55194</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Internationalisation :</strong>&nbsp;correction d’un bug conduisant&nbsp;<code>switch_to_locale()</code>&nbsp;à annuler le chargement des traductions des thèmes et des extensions&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/39210\">#39210</a></li>\n\n\n\n<li><strong>Page de connexion/inscription :</strong>\n<ul>\n<li>Les champs obligatoires de la page d’inscription sur les multisites n’avaient pas d’attribut&nbsp;<code>required</code>&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/54344\">#54344</a></li>\n\n\n\n<li>Ajout de description ARIA sur les champs d’erreur de connexion&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/54483\">#54483</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Médias :</strong>&nbsp;correction d’un bug sur l’interprétation de l’orientation des images via leurs données EXIF&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/54937\">#54937</a></li>\n\n\n\n<li><strong>Multisite :</strong>\n<ul>\n<li>Suppression complète des termes globaux <a href=\"https://core.trac.wordpress.org/ticket/21734\">#21734</a></li>\n\n\n\n<li>Utilisation de l’API&nbsp;des métadonnées pour les options du réseau <a href=\"https://core.trac.wordpress.org/ticket/37181\">#37181</a></li>\n\n\n\n<li>Stockage de l&rsquo;ID du site principal dans les options du réseau multisite <a href=\"https://core.trac.wordpress.org/ticket/55802\">#55802</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Chargement des scripts :</strong> mise en place des scripts en front-end via&nbsp;<code>viewScript</code> pour les blocs dynamiques <a href=\"https://core.trac.wordpress.org/ticket/56470\">#56470</a></li>\n\n\n\n<li><strong>Publications :</strong> correction de la vérification des publications non existantes dans&nbsp;<code>get_post_permalink()</code> <a href=\"https://core.trac.wordpress.org/ticket/45329\">#45329</a></li>\n\n\n\n<li><strong>Taxonomies :</strong>\n<ul>\n<li>Dans <code>wp_insert_term</code>, passage de <code>$args</code> en tant que paramètre additionnel pour les actions d’après-insertion (<code>create_term</code>, <code>created_term</code>, etc.)&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55441\">#55441</a></li>\n\n\n\n<li>Les liens d&rsquo;archives de catégories n&rsquo;incluent plus par défaut la description dans l&rsquo;attribut  <code>title</code> du lien&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55530\">#55530</a></li>\n\n\n\n<li>Les champs des termes sont maintenant associés avec leurs description dans l&rsquo;admin&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/55651\">#55651</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Mises à jour :</strong>\n<ul>\n<li>Ajout d&rsquo;un suivi de l&rsquo;usage des modules PHP installés sur les sites WP&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/48116\">#48116</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Widgets :</strong>\n<ul>\n<li>Suppression de requêtes inutiles vers la base de données&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/54677\">#54677</a></li>\n</ul>\n</li>\n</ul>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p>Que vous développiez des thèmes ou des extensions, pensez à tester et retester votre code pour vous assurer de sa compatibilité avec ces changements. Vous pouvez utiliser&nbsp;<a rel=\"noreferrer noopener\" href=\"https://wordpress.org/plugins/wordpress-beta-tester/\" target=\"_blank\">l’extension Beta Tester</a>&nbsp;sur un site de test pour vérifier la compatibilité de vos développements avec WordPress 6.1&nbsp;RC&nbsp;1.&nbsp;Nous comptons sur vous pour vous assurer que votre code fonctionne correctement avec le cœur du CMS, pour le bien des millions d’utilisateurs et utilisatrices de WordPress&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2665.png\" alt=\"♥\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p style=\"font-size:13px\">Ce guide en français a été rédigé par <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a> avec l’aide de <a href=\"https://profiles.wordpress.org/fxbenard\">FX Bénard</a> et <a href=\"https://profiles.wordpress.org/jdy68\">Jenny Dupuy</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://fr.wordpress.org/2022/10/12/guide-des-changements-techniques-de-wordpress-6-1/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"Arrêt définitif des mises à jour de sécurité pour les versions de WordPress 3.7 à 4.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:122:\"https://fr.wordpress.org/2022/09/07/arret-definitif-des-mises-a-jour-de-securite-pour-les-versions-de-wordpress-3-7-a-4-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"https://fr.wordpress.org/2022/09/07/arret-definitif-des-mises-a-jour-de-securite-pour-les-versions-de-wordpress-3-7-a-4-0/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 07 Sep 2022 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"WordPress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2445\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:147:\"À partir du 1er décembre 2022, l\'équipe de sécurité de WordPress ne fournira plus de mises à jour de sécurité pour les versions 3.7 à 4.0.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4398:\"\n<p>Jusqu&rsquo;à présent, l&rsquo;équipe de sécurité de WordPress proposait des correctifs de sécurité pour toutes les versions de WordPress reposant sur les versions 3.7 à la version actuelle (6.0, sachant que WordPress&nbsp;6.1 sortira cet automne). Cela faisait donc un grand nombre de versions à maintenir, alors qu&rsquo;elles ne représentent qu&rsquo;un nombre très minoritaire de sites (les statistiques sont disponibles publiquement <a href=\"https://fr.wordpress.org/about/stats/\">sur cette page</a>).</p>\n\n\n\n<p>À partir du 1<sup>er</sup> décembre 2022, l&rsquo;équipe dédiée à la sécurité de WordPress ne fournira plus de mises à jour de sécurité pour les versions 3.7 à 4.0.</p>\n\n\n\n<span id=\"more-2445\"></span>\n\n\n\n<p>Ces versions datant maintenant de 8 ans ou plus, il y a peu de chances que votre site soit concerné, mais vous pouvez vous en assurer en vous connectant à votre tableau de bord et en vérifiant la version de WordPress indiquée dans l’encart «&nbsp;D&rsquo;un coup d&rsquo;œil&nbsp;» (sur les versions les plus anciennes, cet encart est intitulé «&nbsp;Aujourd’hui&nbsp;»).</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2022/09/widget-wordpress-duncoupdoeil.png\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"300\" src=\"https://fr.wordpress.org/files/2022/09/widget-wordpress-duncoupdoeil-1024x300.png\" alt=\"\" class=\"wp-image-2448\" srcset=\"https://fr.wordpress.org/files/2022/09/widget-wordpress-duncoupdoeil-1024x300.png 1024w, https://fr.wordpress.org/files/2022/09/widget-wordpress-duncoupdoeil-300x88.png 300w, https://fr.wordpress.org/files/2022/09/widget-wordpress-duncoupdoeil-768x225.png 768w, https://fr.wordpress.org/files/2022/09/widget-wordpress-duncoupdoeil.png 1132w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<p>Dans le cas où vous disposeriez d&rsquo;une installation tournant sur WordPress 4.0 ou inférieur, vous devrez faire une mise à jour vers une version plus récente (nous recommandons la dernière version disponible) afin de garder votre site sécurisé. Consultez notre <a href=\"https://fr.wordpress.org/support/article/updating-wordpress/\">documentation sur la mise à niveau de votre site WordPress</a> pour plus d&rsquo;informations.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord.png\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"564\" src=\"https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord-1024x564.png\" alt=\"\" class=\"wp-image-2452\" srcset=\"https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord-1024x564.png 1024w, https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord-300x165.png 300w, https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord-768x423.png 768w, https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord-1536x846.png 1536w, https://fr.wordpress.org/files/2022/09/maj-wordpress-tableau-de-bord-2048x1128.png 2048w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<p>Dans tous les cas, il est important de noter que <strong>la seule version de WordPress activement maintenue est la version courante</strong> (à ce jour, la version 6.0). Les versions plus anciennes ne font que bénéficier de correctifs de sécurité et ne reçoivent généralement aucun correctif de bug.</p>\n\n\n\n<p>Dans les prochains mois, l&rsquo;arrêt du support d&rsquo;un nouveau groupe d’anciennes versions de WordPress sera annoncé, selon un calendrier qui est en cours d&rsquo;élaboration au sein de l&rsquo;équipe de sécurité de WP.</p>\n\n\n\n<p>Pour plus d&rsquo;informations sur le processus d&rsquo;arrêt du support des anciennes versions de WordPress, vous pouvez consulter <a href=\"https://make.wordpress.org/security/?p=73\">cet article de l&rsquo;équipe de sécurité de WordPress (en anglais)</a>.</p>\n\n\n\n<p class=\"has-small-font-size\"><em>Article publié par <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a> de l&rsquo;équipe de sécurité de WP. Merci aux co-responsables du site fr.wordpress.org <a href=\"https://profiles.wordpress.org/wolforg/\">Didier Demory</a>, <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a> et <a href=\"https://profiles.wordpress.org/fxbenard/\">FX Bénard</a> pour la relecture.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:127:\"https://fr.wordpress.org/2022/09/07/arret-definitif-des-mises-a-jour-de-securite-pour-les-versions-de-wordpress-3-7-a-4-0/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"WordPress 6.0 « Arturo »\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"https://fr.wordpress.org/2022/05/25/wordpress-6-0-arturo/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://fr.wordpress.org/2022/05/25/wordpress-6-0-arturo/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 25 May 2022 06:16:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Nouvelles versions de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2400\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:376:\"Bienvenue sur WordPress 6.0 «&#160;Arturo&#160;» Nous vous souhaitons la bienvenue sur WordPress 6.0, version inspirée par le musicien de jazz Arturo O’Farrill. Célèbre pour son influence sur le jazz latino contemporain, Arturo a publié plus de 15 albums sur 50 ans de carrière. Prenez le temps d’explorer WordPress 6.0. Cette version a été conçue afin [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Jenny Dupuy\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:54838:\"\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2022/05/Main-image-News-post.png\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"694\" src=\"https://fr.wordpress.org/files/2022/05/Main-image-News-post-1024x694.png\" alt=\"\" class=\"wp-image-2401\" srcset=\"https://fr.wordpress.org/files/2022/05/Main-image-News-post-1024x694.png 1024w, https://fr.wordpress.org/files/2022/05/Main-image-News-post-300x203.png 300w, https://fr.wordpress.org/files/2022/05/Main-image-News-post-768x521.png 768w, https://fr.wordpress.org/files/2022/05/Main-image-News-post-1536x1042.png 1536w, https://fr.wordpress.org/files/2022/05/Main-image-News-post-2048x1389.png 2048w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Bienvenue sur WordPress 6.0 «&nbsp;Arturo&nbsp;»</h2>\n\n\n\n<p>Nous vous souhaitons la bienvenue sur WordPress 6.0, version inspirée par le musicien de jazz <a href=\"https://en.wikipedia.org/wiki/Arturo_O\'Farrill\">Arturo O’Farrill</a>. Célèbre pour son influence sur le jazz latino contemporain, Arturo a publié plus de 15 albums sur 50 ans de carrière.</p>\n\n\n\n<p>Prenez le temps d’explorer WordPress 6.0. Cette version a été conçue afin de vous aider à développer votre inspiration créative et pour rendre l’expérience éditoriale encore plus intuitive. Pendant que vous découvrez les nouveautés de cette version, n’hésitez pas à lancer une liste de lecture comprenant les meilleures chansons d’Arturo&nbsp;!</p>\n\n\n\n<p>Avec presque 1 000 améliorations et corrections, la deuxième version majeure de l’année 2022 est là. <a href=\"https://fr.wordpress.org/latest-fr_FR.zip\">Cliquez ici pour télécharger WordPress 6.0 !</a></p>\n\n\n\n<span id=\"more-2400\"></span>\n\n\n\n<p>Les propriétaires de sites devraient mettre à jour leurs installations WordPress afin de profiter des avantages de sa stabilité, de ses améliorations de performances, et de ses améliorations en terme d&rsquo;ergonomie. Les personnes créant du contenu avec WordPress apprécieront toutes les nouvelles fonctionnalités améliorant l&rsquo;expérience éditoriale et de mise en page.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://fr.wordpress.org/latest-fr_FR.zip\">Télécharger WordPress 6.0 en français – ZIP 22,5 Mo </a></div>\n</div>\n\n\n\n<h3 class=\"wp-block-heading\">Le contenu de WordPress 6.0</h3>\n\n\n\n<p>Pour en savoir plus sur le contenu technique de la version, lisez <a href=\"https://fr.wordpress.org/2022/05/04/guide-des-changements-techniques-de-wordpress-6-0/\" data-type=\"post\" data-id=\"2369\">le guide que nous avons publié il y a quelques semaines</a>.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://i2.wp.com/wordpress.org/news/files/2022/05/Writing-Improvements-1.png?fit=1204%2C700&amp;ssl=1\" alt=\"Selecting multiple lines of text from two blocks\" class=\"wp-image-12887\" /></figure>\n\n\n\n<h4 class=\"wp-block-heading\">Une expérience d’édition améliorée</h4>\n\n\n\n<p>Les améliorations éditoriales ne manquent pas, que vous écriviez un tout nouvel article ou que vous ajoutiez des éléments à une page existante. Explorez les façons d’améliorer votre processus de création de contenu avec&nbsp;:</p>\n\n\n\n<ul>\n<li>Sélectionnez du texte à cheval sur plusieurs blocs pour le modifier en une seule fois.</li>\n\n\n\n<li>Saisissez deux crochets ouvrants&nbsp;<code>[[</code>&nbsp;pour accéder rapidement au gestionnaire de liens.</li>\n\n\n\n<li>Conservez les styles existants lorsque vous transformez des blocs d’un certain type en un autre type de bloc, par exemple lorsque vous transformez un bloc paragraphe en un bloc code.</li>\n\n\n\n<li>Créez des boutons personnalisés et tous les nouveaux boutons que vous créerez par la suite conserveront automatiquement ces styles personnalisés.</li>\n\n\n\n<li>Rendez les nuages d’étiquettes et les icônes de réseaux sociaux encore plus attrayants avec leurs nouveaux réglages. Un nouveau style de contour est aussi disponible pour le nuage d’étiquettes.</li>\n</ul>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/05/Style-switcher-big.gif?fit=1204%2C700&amp;ssl=1\" alt=\"Style variations of Twenty Twenty Two theme\" class=\"wp-image-12893\" /></figure>\n\n\n\n<h4 class=\"wp-block-heading\">Changements de styles</h4>\n\n\n\n<p>Les thèmes basés sur des blocs permettent désormais de multiples variations de style. Cela étend le nouveau système de gestion des styles et ajoute des raccourcis permettant de changer l’affichage de votre site avec un seul et même thème. Vous pouvez modifier les réglages disponibles, tels que la graisse de la police et autres options de mise en forme comme la palette de couleurs disponible par défaut. Vous pouvez modifier le rendu de votre site en quelques clics seulement.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://i2.wp.com/wordpress.org/news/files/2022/05/Expanded-templates.png?fit=1204%2C700&amp;ssl=1\" alt=\"Popover listing available templates\" class=\"wp-image-12889\" /></figure>\n\n\n\n<h4 class=\"wp-block-heading\">Plus de choix de modèles</h4>\n\n\n\n<p>WordPress 6.0 inclut cinq nouveaux modèles pour les thèmes basés sur des blocs&nbsp;: auteur/autrice, date, catégorie, étiquette et taxonomie. Ces modèles additionnels offrent encore plus de flexibilité pour créer du contenu. Adaptez-les avec les outils que vous connaissez déjà ou bien en utilisant les nouvelles fonctionnalités de cette version&nbsp;:</p>\n\n\n\n<ul>\n<li>Les images mises en avant peuvent être utilisées dans le bloc bannière.</li>\n\n\n\n<li>Les nouveaux contrôles de la taille des images mises en avant vous permettent d’obtenir exactement ce que vous souhaitez.</li>\n\n\n\n<li>Lorsque vous modifiez un modèle, l’outil d’insertion rapide vous affiche les compositions et les éléments de modèles qui vous aideront à travailler plus rapidement et à découvrir de nouvelles options de mise en page.</li>\n\n\n\n<li>Le bloc Boucle de requête prend en charge le filtrage en fonction de multiples auteurs ou autrices, en fonction de taxonomies personnalisées, ainsi que la personnalisation de ce qui est affiché lorsqu’aucune publication n’est trouvée.</li>\n</ul>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://i1.wp.com/wordpress.org/news/files/2022/05/Integrated-Patterns.png?fit=1204%2C700&amp;ssl=1\" alt=\"Browsing footer patterns in the quick inserter\" class=\"wp-image-12890\" /></figure>\n\n\n\n<h4 class=\"wp-block-heading\">Compositions intégrées</h4>\n\n\n\n<p>Les compositions s’affichent désormais là où vous en avez besoin, comme dans l’outil d’insertion rapide ou lors de la création d’un nouvel en-tête ou pied de page. Si vous créez des thèmes basés sur des blocs, vous pouvez même&nbsp;<a href=\"https://make.wordpress.org/core/2022/05/02/new-features-for-working-with-patterns-and-themes-in-wordpress-6-0/\">déclarer des compositions provenant du répertoire de compositions via le fichier&nbsp;<code>theme.json</code></a>, ce qui vous permet de prioriser les compositions qui vous semblent les plus utiles pour les personnes utilisant votre thème.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Une vue en liste améliorée</h4>\n\n\n\n<p>De nouveaux raccourcis clavier vous permettent de sélectionner plusieurs blocs dans la vue en liste, de les modifier en une fois et de les glisser-déposer dans la liste. La vue en liste peut maintenant être ouverte et fermée plus facilement. Au départ, elle est en affichage réduit puis elle s’étend automatiquement à la sélection actuelle lorsque que vous sélectionnez un bloc.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Verrouillage des blocs</h4>\n\n\n\n<p>Vous pouvez dorénavant verrouiller vos blocs, ce qui permet de désactiver la possibilité de les déplacer ou de les retirer. Cela facilite la gestion de projet pour les pros, en permettant à leurs clientèle d’exprimer leur créativité au sein d’un cadre limitant les risques de casser leur site.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://i1.wp.com/wordpress.org/news/files/2022/05/Block-Locking-Controls.png?fit=1204%2C700&amp;ssl=1\" alt=\"Unlocking the block in the block toolbar\" class=\"wp-image-12892\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\">De nouveaux outils de design</h3>\n\n\n\n<p>Les outils de design deviennent plus puissants et intuitifs à chaque nouvelle version.<br>Parmi les principaux changements de la version 6.0, on trouvera&nbsp;:</p>\n\n\n\n<ul>\n<li>Un nouveau panneau de gestion des couleurs qui économise de la place sur l’éditeur, tout en montrant toutes les options en un coup d’œil.</li>\n\n\n\n<li>Les nouveaux contrôles des bordures offrent une façon plus simple de définir les bordures de vos conteneurs.</li>\n\n\n\n<li>Les niveaux de transparence vous permettent des choix colorimétriques encore plus créatifs.</li>\n\n\n\n<li>Contrôlez les espacements, les marges ou la typographie de vos blocs en une fois via le bloc groupe.</li>\n\n\n\n<li>Basculez entre les variations «&nbsp;empilé&nbsp;», «&nbsp;en ligne&nbsp;» ou «&nbsp;groupé&nbsp;» pour positionner des groupes de blocs avec une plus grande flexibilité de mise en page.</li>\n\n\n\n<li>Utilisez la fonctionnalité de gestion des espacements du bloc galerie pour créer toute une variété de mises en page en faisant varier l’espacement entre les images, ou tout simplement en le supprimant.</li>\n</ul>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/05/List-view.png?fit=1204%2C700&amp;ssl=1\" alt=\"Selecting multiple blocks in the list view\" class=\"wp-image-12891\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\">De meilleures performances</h3>\n\n\n\n<p>Cette version comprend plusieurs améliorations des performances de WordPress. Elles portent sur le chargement des publications, la réduction du temps d’exécution des requêtes, la mise en cache, le chargement des menus de navigation et bien plus encore. Notre équipe dédiée aux performances travaille au quotidien pour améliorer l&rsquo;expérience d&rsquo;utilisation de votre site WordPress.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Une meilleure accessibilité</h3>\n\n\n\n<p>Rendre le web plus accessible fait partie des missions du CMS WordPress. Cette nouvelle version comprend plus de 50 améliorations de l’accessibilité de WP.</p>\n\n\n\n<h2 class=\"wp-block-heading\">En savoir plus sur WordPress 6.0</h2>\n\n\n\n<p>Découvrez WordPress 6.0 en action&nbsp;! Notre&nbsp;<a href=\"https://www.youtube.com/watch?v=oe452WcY7fA\">vidéo de présentation</a>&nbsp;propose une vue d’ensemble des principales fonctionnalités qui sont arrivées avec WordPress 6.0.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"612\" height=\"345\" src=\"https://www.youtube.com/embed/oe452WcY7fA?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=fr-FR&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<p>Nous invitons les développeurs et développeuses à explorer <a href=\"https://make.wordpress.org/core/2022/05/03/wordpress-6-0-field-guide/\">le guide de changements techniques de WordPress&nbsp;6.0</a>.</p>\n\n\n\n<p>N’hésitez aussi pas à lire le <a href=\"https://wordpress.org/support/wordpress-version/version-6-0/\">journal de version de WordPress 6.0</a> pour plus d&rsquo;informations sur les fichiers créés, modifiés et supprimés dans cette version.</p>\n\n\n\n<h2 class=\"wp-block-heading\">L’équipe de direction de WP 6.0</h2>\n\n\n\n<ul>\n<li>Directeur de la version&nbsp;: <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a>&nbsp;</li>\n\n\n\n<li>Coordinateur·ice·s de la version&nbsp;: <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> et <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a></li>\n\n\n\n<li>Directeur technique Cœur&nbsp;: <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a></li>\n\n\n\n<li>Directeurs techniques Éditeur&nbsp;: <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zieliński</a> et <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a></li>\n\n\n\n<li>Responsables de projet Cœur&nbsp;: <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> et <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a></li>\n\n\n\n<li>Responsable de projet Éditeur&nbsp;: <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Directeur·ice·s de la documentation&nbsp;: <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> et <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a></li>\n\n\n\n<li>Responsable de la communication&nbsp;: <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a></li>\n\n\n\n<li>Responsable des tests&nbsp;: <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> et <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a></li>\n\n\n\n<li>Responsable du design&nbsp;: <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Merci aux plus de 500 contributeurs et contributrices&nbsp;!</h2>\n\n\n\n<p>La livraison de WordPress 6.0 n’aurait jamais été possible sans la participation de ces personnes provenant de plus de 58 pays différents&nbsp;!</p>\n\n\n\n<p><small><a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/abdullahramzan/\">Abdullah Ramzan</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zielinski</a> · <a href=\"https://profiles.wordpress.org/adi64bit/\">adi64bit</a> · <a href=\"https://profiles.wordpress.org/aadilali/\">Adil Ali</a> · <a href=\"https://profiles.wordpress.org/agepcom/\">agepcom</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/atachibana/\">Akira Tachibana</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alanjacobmathew/\">Alan Jacob Mathew</a> · <a href=\"https://profiles.wordpress.org/alansyue/\">alansyue</a> · <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juhé Lluveras</a> · <a href=\"https://profiles.wordpress.org/albertomake/\">albertomake</a> · <a href=\"https://profiles.wordpress.org/alefesouza/\">Alefe Souza</a> · <a href=\"https://profiles.wordpress.org/alex897/\">Aleksandar Kostov</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/viper007bond/\">Alex Mills</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/aliakseyenkaihar/\">aliakseyenkaihar</a> · <a href=\"https://profiles.wordpress.org/alkesh7/\">Alkesh Miyani</a> · <a href=\"https://profiles.wordpress.org/alokstha1/\">Alok Shrestha</a> · <a href=\"https://profiles.wordpress.org/shedonist/\">Amanda Giles</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/_smartik_/\">Andrei Surdu</a> · <a href=\"https://profiles.wordpress.org/aandrewdixon/\">Andrew Dixon</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey “Rarst” Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/la-geek/\">Angelika Reisiger</a> · <a href=\"https://profiles.wordpress.org/rilwis/\">Anh Tran</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/anoopranawat/\">Anoop Ranawat</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/paranoia1906/\">Anthony Ledesma</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonrinas/\">antonrinas</a> · <a href=\"https://profiles.wordpress.org/arcangelini/\">arcangelini</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/arnee/\">Arne</a> · <a href=\"https://profiles.wordpress.org/arpitgshah/\">Arpit G Shah</a> · <a href=\"https://profiles.wordpress.org/artdecotech/\">artdecotech</a> · <a href=\"https://profiles.wordpress.org/madeinua/\">ArteMa</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/asaquzzaman/\">Asaquzzaman mishu</a> · <a href=\"https://profiles.wordpress.org/atomicjack/\">atomicjack</a> · <a href=\"https://profiles.wordpress.org/ajoah/\">Aurélien Joahny</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/barryhughes/\">Barry</a> · <a href=\"https://profiles.wordpress.org/barryceelen/\">Barry Ceelen</a> · <a href=\"https://profiles.wordpress.org/bartoszgadomski/\">Bartosz Gadomski</a> · <a href=\"https://profiles.wordpress.org/bedas/\">Beda</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/utz119/\">Benachi</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernhard Reiter</a> · <a href=\"https://profiles.wordpress.org/bettyjj/\">BettyJJ</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/binarymoon/\">binarymoon</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/supercleanse/\">Blair Williams</a> · <a href=\"https://profiles.wordpress.org/blogaid/\">BlogAid</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/wpe_bdurette/\">Brandon DuRette</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">bronsonquick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/ribaricplusplus/\">Bruno Ribaric</a> · <a href=\"https://profiles.wordpress.org/caraya/\">caraya</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cbigler/\">cbigler</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/charleyparkerdesign/\">charleyparkerdesign</a> · <a href=\"https://profiles.wordpress.org/charlyox/\">charlyox</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/clubkert/\">Chris Lubkert</a> · <a href=\"https://profiles.wordpress.org/chrisvanpatten/\">Chris Van Patten</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/clonemykey/\">clonemykey</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/conner_bw/\">conner_bw</a> · <a href=\"https://profiles.wordpress.org/cr0ybot/\">Cory Hughart</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/danieldudzic/\">danieldudzic</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/htdat/\">Dat Hoang</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">Dave Smith</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a> · <a href=\"https://profiles.wordpress.org/devutpol/\">Deb Nath Utpol</a> · <a href=\"https://profiles.wordpress.org/delowardev/\">Delowar Hossain</a> · <a href=\"https://profiles.wordpress.org/denishua/\">denishua</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/dhanendran/\">Dhanendran</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhusakovic/\">dhusakovic</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donmhico/\">donmhico</a> · <a href=\"https://profiles.wordpress.org/drago239/\">drago239</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/dromero20/\">dromero20</a> · <a href=\"https://profiles.wordpress.org/eddystile/\">Eddy</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">ehtis</a> · <a href=\"https://profiles.wordpress.org/eliezerspp/\">Eliezer Peña</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/eric3d/\">eric3d</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/espiat/\">espiat</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a> · <a href=\"https://profiles.wordpress.org/etaproducto/\">etaproducto</a> · <a href=\"https://profiles.wordpress.org/everpress/\">EverPress</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a> · <a href=\"https://profiles.wordpress.org/iogui/\">Fabio Blanco</a> · <a href=\"https://profiles.wordpress.org/faison/\">Faison</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/florianbrinkmann/\">Florian Brinkmann</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/foliovision/\">FolioVision</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco Vera</a> · <a href=\"https://profiles.wordpress.org/frankei/\">frankei</a> · <a href=\"https://profiles.wordpress.org/furi3r/\">furi3r</a> · <a href=\"https://profiles.wordpress.org/gadhiyaravi/\">gadhiyaravi</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/genosseeinhorn/\">genosseeinhorn</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a> · <a href=\"https://profiles.wordpress.org/geriux/\">geriux</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/greglone/\">Grégory Viguier</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a> · <a href=\"https://profiles.wordpress.org/gregoiresailland/\">gregoiresailland</a> · <a href=\"https://profiles.wordpress.org/wido/\">Guido Scialfa</a> · <a href=\"https://profiles.wordpress.org/gumacahin/\">gumacahin</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hasnainashfaq/\">Hasnain Ashfaq</a> · <a href=\"https://profiles.wordpress.org/azhiyadev/\">Hauwa Abashiya</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/henrywright/\">Henry Wright</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hitendra-chopda/\">Hitendra Chopda</a> · <a href=\"https://profiles.wordpress.org/hristok/\">HristoK</a> · <a href=\"https://profiles.wordpress.org/hlashbrooke/\">Hugh Lashbrooke</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/ianatkins/\">ianatkins</a> · <a href=\"https://profiles.wordpress.org/ianmjones/\">ianmjones</a> · <a href=\"https://profiles.wordpress.org/credo61/\">ImanGM</a> · <a href=\"https://profiles.wordpress.org/imokol/\">imokol</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/ishitaka/\">ishitaka</a> · <a href=\"https://profiles.wordpress.org/itsamoreh/\">itsamoreh</a> · <a href=\"https://profiles.wordpress.org/iulia-cazan/\">Iulia Cazan</a> · <a href=\"https://profiles.wordpress.org/ivanlutrov/\">Ivan Lutrov</a> · <a href=\"https://profiles.wordpress.org/jadpm/\">jadpm</a> · <a href=\"https://profiles.wordpress.org/whyisjake/\">Jake Spurlock</a> · <a href=\"https://profiles.wordpress.org/jakeparis/\">jakeparis</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/codente/\">Jamie</a> · <a href=\"https://profiles.wordpress.org/rumpel2116/\">Jan Weiss</a> · <a href=\"https://profiles.wordpress.org/janh2/\">janh2</a> · <a href=\"https://profiles.wordpress.org/jarretc/\">Jarret</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/madtownlems/\">Jason LeMahieu (MadtownLems)</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/jprieton/\">Javier Prieto</a> · <a href=\"https://profiles.wordpress.org/grandeljay/\">Jay Trees</a> · <a href=\"https://profiles.wordpress.org/jazbek/\">jazbek</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jblz/\">Jeff Bowen</a> · <a href=\"https://profiles.wordpress.org/jeffmatson/\">Jeff Matson</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeff Paul</a> · <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a> · <a href=\"https://profiles.wordpress.org/miss_jwo/\">Jenny Wong</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/jeremyyip/\">Jeremy Yip</a> · <a href=\"https://profiles.wordpress.org/sausajez/\">Jez Emery</a> · <a href=\"https://profiles.wordpress.org/jhned/\">jhned</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jiteshdhamaniya/\">jiteshdhamaniya</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/goaroundagain/\">Johannes Kinast</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnregan3/\">John Regan</a> · <a href=\"https://profiles.wordpress.org/johnwatkins0/\">John Watkins</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/jrchamp/\">Jonathan Champ</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a> · <a href=\"https://profiles.wordpress.org/jorgecontreras/\">Jorge</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josearcos/\">José Arcos</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha</a> · <a href=\"https://profiles.wordpress.org/jostnes/\">Josepha Dambul</a> · <a href=\"https://profiles.wordpress.org/joshf/\">Joshua Fredrickson</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jrivett/\">jrivett</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a> · <a href=\"https://profiles.wordpress.org/juanlopez4691/\">juanlopez4691</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/junaidkbr/\">Junaid Ahmed</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/justinbusa/\">Justin Busa</a> · <a href=\"https://profiles.wordpress.org/certainstrings/\">Justin Tucker</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/kapacity/\">kapacity</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/kasparsd/\">Kaspars</a> · <a href=\"https://profiles.wordpress.org/kbat82/\">kbatdorf</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/w33zy/\">Kemory Grubb</a> · <a href=\"https://profiles.wordpress.org/gwwar/\">Kerry Liu</a> · <a href=\"https://profiles.wordpress.org/kprovance/\">Kev Provance</a> · <a href=\"https://profiles.wordpress.org/kharisblank/\">Kharis Sulistiyono</a> · <a href=\"https://profiles.wordpress.org/kirtan95/\">Kirtan Gajjar</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/kmix39/\">KMix</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/konradyoast/\">Konrad.K</a> · <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a> · <a href=\"https://profiles.wordpress.org/kpegoraro/\">kpegoraro</a> · <a href=\"https://profiles.wordpress.org/kubiq/\">kubiq</a> · <a href=\"https://profiles.wordpress.org/sainthkh/\">Kukhyeon Heo</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/lenasterg/\">lenasterg</a> · <a href=\"https://profiles.wordpress.org/uzumymw/\">leskam</a> · <a href=\"https://profiles.wordpress.org/layotte/\">Lew Ayotte</a> · <a href=\"https://profiles.wordpress.org/linux4me2/\">linux4me2</a> · <a href=\"https://profiles.wordpress.org/lschuyler/\">Lisa Schuyler</a> · <a href=\"https://profiles.wordpress.org/lkraav/\">lkraav</a> · <a href=\"https://profiles.wordpress.org/louislaugesen/\">Louis</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/karpstrucking/\">Lucas Karpiuk</a> · <a href=\"https://profiles.wordpress.org/zaguiini/\">Luis Felipe Zaguini</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/pyrobd/\">Lukman Nakib</a> · <a href=\"https://profiles.wordpress.org/michelangelovandam/\">M. van Dam</a> · <a href=\"https://profiles.wordpress.org/macbookandrew/\">macbookandrew</a> · <a href=\"https://profiles.wordpress.org/mashikag/\">Maciej</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/maguijo/\">maguijo</a> · <a href=\"https://profiles.wordpress.org/mhimon/\">Mahbub Hasan Imon</a> · <a href=\"https://profiles.wordpress.org/malthert/\">malthert</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/marv2/\">marv2</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a> · <a href=\"https://profiles.wordpress.org/paapst/\">Mathieu</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">matiasbenedetto</a> · <a href=\"https://profiles.wordpress.org/mattchowning/\">Matt Chowning</a> · <a href=\"https://profiles.wordpress.org/sivel/\">Matt Martz</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/themattroyal/\">Matt Royal</a> · <a href=\"https://profiles.wordpress.org/mjstoney/\">Matt Stoney</a> · <a href=\"https://profiles.wordpress.org/mattwiebe/\">Matt Wiebe</a> · <a href=\"https://profiles.wordpress.org/mauriac/\">maur</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maxkellermann/\">Max Kellermann</a> · <a href=\"https://profiles.wordpress.org/mehedi890/\">Mehedi Foysal</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mauteri/\">Mike Auteri</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/miken32/\">miken32</a> · <a href=\"https://profiles.wordpress.org/dimadin/\">Milan Dinić</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/mirkolofio/\">Mirco Babini</a> · <a href=\"https://profiles.wordpress.org/mmdeveloper/\">MMDeveloper</a> · <a href=\"https://profiles.wordpress.org/mohadeseghasemi/\">Mohadese Ghasemi</a> · <a href=\"https://profiles.wordpress.org/ahsan03/\">Mohammad Ahsan Habib</a> · <a href=\"https://profiles.wordpress.org/opurockey/\">Mohammad Rockeybul Alam</a> · <a href=\"https://profiles.wordpress.org/mjkhajeh/\">MohammadJafar Khajeh</a> · <a href=\"https://profiles.wordpress.org/mor10/\">Morten Rand-Hendriksen</a> · <a href=\"https://profiles.wordpress.org/moushik/\">moushik</a> · <a href=\"https://profiles.wordpress.org/computerguru/\">mqudsi</a> · <a href=\"https://profiles.wordpress.org/muhammadfaizanhaidar/\">Muhammad Faizan Haidar</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/nabil_kadimi/\">Nabil</a> · <a href=\"https://profiles.wordpress.org/nagpai/\">Nagesh Pai – a11n</a> · <a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\">Nalini Thakor</a> · <a href=\"https://profiles.wordpress.org/nhadsall/\">Nathan</a> · <a href=\"https://profiles.wordpress.org/nayana123/\">Nayana Maradia</a> · <a href=\"https://profiles.wordpress.org/nextend_ramona/\">Nextend Support – Ramona</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/nickciske/\">Nick Ciske</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/rahe/\">Nicolas Juen</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/knilkantha/\">Nil</a> · <a href=\"https://profiles.wordpress.org/nmschaller/\">nmschaller</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/oakesjosh/\">oakesjosh</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/domainsupport/\">Oliver Campion</a> · <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/otshelnik-fm/\">Otshelnik-Fm</a> · <a href=\"https://profiles.wordpress.org/overclokk/\">overclokk</a> · <a href=\"https://profiles.wordpress.org/ovidiul/\">ovidiul</a> · <a href=\"https://profiles.wordpress.org/pablohoneyhoney/\">Pablo Honey</a> · <a href=\"https://profiles.wordpress.org/pls78/\">Paolo L. Scala</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/figureone/\">Paul Ryan</a> · <a href=\"https://profiles.wordpress.org/pschrottky/\">Paul Von Schrottky</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">paulkevan</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/malinevskiy/\">Pavlo</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendonça</a> · <a href=\"https://profiles.wordpress.org/petaryoast/\">Petar Ratković</a> · <a href=\"https://profiles.wordpress.org/psmits1567/\">Peter Smits</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petrosparaskevopoulos/\">petrosparaskevopoulos</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walbø Johnsgård</a> · <a href=\"https://profiles.wordpress.org/pgpagely/\">pgpagely</a> · <a href=\"https://profiles.wordpress.org/johnstonphilip/\">Phil Johnston</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/pikamander2/\">pikamander2</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/presstoke/\">presstoke</a> · <a href=\"https://profiles.wordpress.org/priyank9033/\">Priyank</a> · <a href=\"https://profiles.wordpress.org/pypwalters/\">pypwalters</a> · <a href=\"https://profiles.wordpress.org/r-a-y/\">r-a-y</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/rafiahmedd/\">Rafi Ahmed</a> · <a href=\"https://profiles.wordpress.org/superpoincare/\">Ramanan</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/jontyravi/\">Ravi Vaghela</a> · <a href=\"https://profiles.wordpress.org/ravipatel/\">ravipatel</a> · <a href=\"https://profiles.wordpress.org/razvanonofrei/\">Razvan Onofrei</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/tabrisrp/\">Remy Perona</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/rianrietveld/\">Rian Rietveld</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/richybkreckel/\">Richard B. Kreckel</a> · <a href=\"https://profiles.wordpress.org/ricomoorman/\">ricomoorman</a> · <a href=\"https://profiles.wordpress.org/r0bsc0tt/\">Rob Scott</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/rolfsiebers/\">Rolf Siebers</a> · <a href=\"https://profiles.wordpress.org/costasovo/\">Rostislav Wolný</a> · <a href=\"https://profiles.wordpress.org/rufus87/\">Rufus87</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/bookdude13/\">Ryan Fredlund</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">Sébastien SERRE</a> · <a href=\"https://profiles.wordpress.org/soean/\">Sören Wrede</a> · <a href=\"https://profiles.wordpress.org/sabbir1991/\">Sabbir Ahmed</a> · <a href=\"https://profiles.wordpress.org/sabbirshouvo/\">Sabbir Hasan</a> · <a href=\"https://profiles.wordpress.org/samiff/\">Sami Falah</a> · <a href=\"https://profiles.wordpress.org/sanzeeb3/\">Sanjeev Aryal</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">santosguillamot</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/arasae/\">Sarah Snow</a> · <a href=\"https://profiles.wordpress.org/sarayourfriend/\">sarayourfriend</a> · <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a> · <a href=\"https://profiles.wordpress.org/sayedulsayem/\">Sayedul Sayem</a> · <a href=\"https://profiles.wordpress.org/sbossarte/\">sbossarte</a> · <a href=\"https://profiles.wordpress.org/sclayf1/\">sclayf1</a> · <a href=\"https://profiles.wordpress.org/swb1192/\">Scott Buscemi</a> · <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/omaeyusuke/\">Segayuu</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/sheepysheep60/\">sheepysheep60</a> · <a href=\"https://profiles.wordpress.org/shital-patel/\">Shital Marakana</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/silb3r/\">silb3r</a> · <a href=\"https://profiles.wordpress.org/lumpysimon/\">Simon Blackbourn</a> · <a href=\"https://profiles.wordpress.org/pross/\">Simon Prosser</a> · <a href=\"https://profiles.wordpress.org/simonhammes/\">simonhammes</a> · <a href=\"https://profiles.wordpress.org/siobhyb/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/snapfractalpop/\">snapfractalpop</a> · <a href=\"https://profiles.wordpress.org/socalchristina/\">socalchristina</a> · <a href=\"https://profiles.wordpress.org/spencercameron/\">Spencer Cameron-Morin</a> · <a href=\"https://profiles.wordpress.org/stacimc/\">stacimc</a> · <a href=\"https://profiles.wordpress.org/stefanfisk/\">stefanfisk</a> · <a href=\"https://profiles.wordpress.org/satollo/\">Stefano Lissa</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/stephenharris/\">Stephen Harris</a> · <a href=\"https://profiles.wordpress.org/stevegrunwell/\">Steve Grunwell</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/5um17/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/csesumonpro/\">Sumon Sarker</a> · <a href=\"https://profiles.wordpress.org/sunil25393/\">SunilPrajapati</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva</a> · <a href=\"https://profiles.wordpress.org/mahype/\">Sven Wagener</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/tharsheblows/\">tharsheblows</a> · <a href=\"https://profiles.wordpress.org/legendusmaximus/\">Theo H</a> · <a href=\"https://profiles.wordpress.org/thimalw/\">Thimal Wickremage</a> · <a href=\"https://profiles.wordpress.org/twistermc/\">Thomas McMahon</a> · <a href=\"https://profiles.wordpress.org/thomasplevy/\">Thomas Patrick Levy</a> · <a href=\"https://profiles.wordpress.org/xiven/\">Thomas Pike</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Krüss</a> · <a href=\"https://profiles.wordpress.org/waterfire/\">Tim Blankenship</a> · <a href=\"https://profiles.wordpress.org/tnolte/\">Tim Nolte</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tomjdevisser/\">Tom</a> · <a href=\"https://profiles.wordpress.org/tomasztunik/\">tomasztunik</a> · <a href=\"https://profiles.wordpress.org/tomalec/\">Tomek</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/ttahmouch/\">Tony Tahmouch</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/sierratr/\">Tracy</a> · <a href=\"https://profiles.wordpress.org/trex005/\">trex005</a> · <a href=\"https://profiles.wordpress.org/tszming/\">tszming</a> · <a href=\"https://profiles.wordpress.org/tumas2/\">tumas2</a> · <a href=\"https://profiles.wordpress.org/twstokes/\">twstokes</a> · <a href=\"https://profiles.wordpress.org/junsuijin/\">Tynan Beatty</a> · <a href=\"https://profiles.wordpress.org/tzipporahwitty/\">tzipporahwitty</a> · <a href=\"https://profiles.wordpress.org/uday17035/\">Uday Kokitkar</a> · <a href=\"https://profiles.wordpress.org/ugljanin/\">ugljanin</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich</a> · <a href=\"https://profiles.wordpress.org/utkarshpatel/\">Utkarsh</a> · <a href=\"https://profiles.wordpress.org/valer1e/\">valer1e</a> · <a href=\"https://profiles.wordpress.org/versusbassz/\">versusbassz</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/elifvish/\">Vishal Kumar</a> · <a href=\"https://profiles.wordpress.org/vladolaru/\">vlad.olaru</a> · <a href=\"https://profiles.wordpress.org/volodymyrkolesnykov/\">Volodymyr Kolesnykov</a> · <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a> · <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design | Oliver Juhas</a> · <a href=\"https://profiles.wordpress.org/wendyjchen/\">Wendy Chen</a> · <a href=\"https://profiles.wordpress.org/west7/\">Wes Theron</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whoisnegrello/\">whoisnegrello</a> · <a href=\"https://profiles.wordpress.org/antonynz/\">wpcharged</a> · <a href=\"https://profiles.wordpress.org/wpmakenorg/\">wpmakenorg</a> · <a href=\"https://profiles.wordpress.org/wpsoul/\">wpsoul</a> · <a href=\"https://profiles.wordpress.org/wraithkenny/\">WraithKenny</a> · <a href=\"https://profiles.wordpress.org/wslyhbb/\">wslyhbb</a> · <a href=\"https://profiles.wordpress.org/upsuper/\">Xidorn Quan</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/dolphingg/\">Yunus Ertuğrul</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/znuff/\">znuff</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a></small></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Merci également aux personnes qui ont traduit WordPress 6.0 en français&nbsp;: <a href=\"https://profiles.wordpress.org/fxbenard\">FX Bénard</a>, <a href=\"https://profiles.wordpress.org/jdy68\">Jenny Dupuy</a>, <a style=\"font-size: revert;, sans-serif\" href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/wolforg\">Didier Demory</a>, <a href=\"https://profiles.wordpress.org/ajoah\">Aurélien Joahny</a>,&nbsp;<a href=\"https://profiles.wordpress.org/bonaldi\">Bonaldi</a>,&nbsp;<a href=\"https://profiles.wordpress.org/btpub\">Bruno Tritsch</a>,&nbsp;<a href=\"https://profiles.wordpress.org/clementpolito\">Clément Polito</a>,&nbsp;<a href=\"https://profiles.wordpress.org/eddystile\">Eddy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/emlebrun\">Emilie LEBRUN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/fred5550\">Frederic Nuyts</a>,&nbsp;<a href=\"https://profiles.wordpress.org/guillaumeturpin\">Guillaume TURPIN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/ioanamuresan\">Ioana M</a>,&nbsp;<a href=\"https://profiles.wordpress.org/jaz_on\">Jason Rouet</a>,&nbsp;<a href=\"https://profiles.wordpress.org/lulucmy\">lulucmy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/oellin\">Magali</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nuryko\">Marianna</a>,&nbsp;<a href=\"https://profiles.wordpress.org/chaton666\">Marie Comet</a>,&nbsp;<a href=\"https://profiles.wordpress.org/marineevain\">Marine EVAIN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/maxpertici\">Maxime Pertici</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nandow\">Nandor Wiener</a>,&nbsp;<a href=\"https://profiles.wordpress.org/pasglop\">pasglop</a>,&nbsp;<a href=\"https://profiles.wordpress.org/larrach\">Rachel Peter</a>,&nbsp;<a href=\"https://profiles.wordpress.org/spaceshipone\">Timothée Brosille</a>,&nbsp;<a href=\"https://profiles.wordpress.org/virgar\">Virginie Garnier</a>,&nbsp;<a href=\"https://profiles.wordpress.org/virginienacci\">Virginie Nacci</a>,&nbsp;<a href=\"https://profiles.wordpress.org/whodunitagency\">Whodunit</a>,&nbsp;<a href=\"https://profiles.wordpress.org/wptranslationsorg\">WP-Translations</a> et&nbsp;<a href=\"https://profiles.wordpress.org/wplmillet\">wplmillet</a>.</p>\n\n\n\n<p class=\"has-text-align-right\"><small>Merci à <a href=\'https://profiles.wordpress.org/fxbenard/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>fxbenard</a> <a href=\'https://profiles.wordpress.org/wolforg/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>wolforg</a> et <a href=\'https://profiles.wordpress.org/em-m/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>em-m</a> pour la relecture de communiqué</small></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://fr.wordpress.org/2022/05/25/wordpress-6-0-arturo/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Guide des changements techniques de WordPress 6.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://fr.wordpress.org/2022/05/04/guide-des-changements-techniques-de-wordpress-6-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://fr.wordpress.org/2022/05/04/guide-des-changements-techniques-de-wordpress-6-0/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 04 May 2022 12:16:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Nouvelles versions de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2369\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:349:\"Maintenant que la première version Release Candidate de WordPress 6.0 est sortie, il est grand temps d&#8217;explorer les modifications apportées par cette future version, dont la sortie est prévue pour le 24 mai 2022. WordPress 6.0 est une version majeure de même niveau que WP 5.8 ou WP 5.9. Elle apportera le principe des variations [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:38078:\"\n<p>Maintenant que la première version <em>Release Candidate</em> de WordPress 6.0 est sortie, il est grand temps d&rsquo;explorer les modifications apportées par cette future version, dont la sortie est prévue pour le 24 mai 2022. WordPress 6.0 est une version majeure de même niveau que WP 5.8 ou WP 5.9. Elle apportera le principe des variations de styles, l’interface de verrouillage des blocs, plusieurs améliorations de l&rsquo;éditeur, encore plus d’outils de design, de nouveaux crochets et filtres, des mises à jour des différentes bibliothèques utilisées par WP, et bien plus encore&nbsp;!</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fr.wordpress.org/files/2022/05/wordpress-60-provisoire.png\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"702\" src=\"https://fr.wordpress.org/files/2022/05/wordpress-60-provisoire-1024x702.png\" alt=\"\" class=\"wp-image-2376\" srcset=\"https://fr.wordpress.org/files/2022/05/wordpress-60-provisoire-1024x702.png 1024w, https://fr.wordpress.org/files/2022/05/wordpress-60-provisoire-300x206.png 300w, https://fr.wordpress.org/files/2022/05/wordpress-60-provisoire-768x527.png 768w, https://fr.wordpress.org/files/2022/05/wordpress-60-provisoire.png 1446w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure>\n\n\n\n<span id=\"more-2369\"></span>\n\n\n\n<p>Au bas mot, ce seront au moins <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=enhancement&amp;type=feature+request&amp;milestone=6.0&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">97 améliorations et nouvelles fonctionnalités</a>, <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=defect+(bug)&amp;milestone=6.0&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">131 corrections de bogues</a>, <a href=\"https://core.trac.wordpress.org/ticket/55567\">13 correctifs sur l’éditeur de bloc</a>, ainsi que <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=task+(blessed)&amp;milestone=6.0&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">23 autres changements divers</a>, ce qui représente au total <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.0&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">231 tickets Trac</a>.</p>\n\n\n\n<p>La nouvelle équipe chargée des performances de WordPress a aussi travaillé dur pour améliorer diverses parties du CMS. De nombreuses requêtes ont été optimisées et certaines d&rsquo;entre elles ont été retirées, la gestion du cache a été perfectionnée, et de nombreux doublons de traductions ont été enlevés afin d&rsquo;améliorer la vitesse de chargement de WP sur les installations non anglophones.</p>\n\n\n\n<p class=\"is-style-plain has-medium-font-size\">C&rsquo;est parti pour un petit tour d’horizon des nouveautés de WordPress 6.0&nbsp;!</p>\n\n\n\n<p>Tous les liens de cet article pointent vers des notes de développement rédigées en anglais. L&rsquo;objectif est de fournir un panorama général des changements techniques apportés par cette version, en français.</p>\n\n\n\n<p class=\"has-text-color has-background\" style=\"color:#03517f;background-color:#cceaff\">À noter&nbsp;: certaines modifications listées ici vont nécessiter des actions des auteurs et autrices de thèmes et d’extensions, qui devront adapter ou modifier leur code. Si vous êtes concerné·e, veuillez lire les notes de développement listées dans cet article consciencieusement afin de vous assurer que votre code fonctionnera avec WordPress 6.0 lorsque cette version sortira le 24 mai 2022.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Accessibilité</h2>\n\n\n\n<p>De même que pour les performances, l’accessibilité de WordPress a été grandement améliorée. La note de développement suivante détaille les différentes améliorations effectuées.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"aylbLUKVvp\"><a href=\"https://make.wordpress.org/core/2022/04/20/wordpress-6-0-accessibility-improvements/\">WordPress 6.0 Accessibility Improvements</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;WordPress 6.0 Accessibility Improvements&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/04/20/wordpress-6-0-accessibility-improvements/embed/#?secret=1ZIEsiLvDE#?secret=aylbLUKVvp\" data-secret=\"aylbLUKVvp\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">L’éditeur de blocs</h2>\n\n\n\n<p>L’éditeur a bien entendu reçu de nombreuses améliorations&nbsp;:</p>\n\n\n\n<ul>\n<li>Possibilité de construire de multiples variations de styles pour les thèmes basés sur des blocs&nbsp;;</li>\n\n\n\n<li>Possibilité de créer des compositions de contenu de pages que les rédacteurs et rédactrices pourront utiliser ou non pour construire leurs pages de contenu&nbsp;;</li>\n\n\n\n<li>Nouvelle propriété <code>ancestor</code> dans le fichier <code>block.json</code> afin de permettre la restriction des endroits où les rédacteurs et rédactrices peuvent placer leurs blocs&nbsp;;</li>\n\n\n\n<li>Une nouvelle interface de verrouillage des blocs à l&rsquo;aide de l&rsquo;attribut <code>lock</code>&nbsp;;</li>\n\n\n\n<li>Déclaration et enregistrement de blocs au sein des thèmes&nbsp;;</li>\n\n\n\n<li>Amélioration de la préservation des contenus non reconnus comme des blocs dans l’éditeur&nbsp;;</li>\n\n\n\n<li>Une fonctionnalité d&rsquo;exportation des blocs des thèmes plus robuste au sein de l’éditeur&nbsp;;</li>\n\n\n\n<li>Des mises à jour du balisage des blocs image, citation, liste et groupe&nbsp;;</li>\n\n\n\n<li>De nouveaux blocs tels que le bloc de commentaires de la publication, le bloc «&nbsp;Aucun résultat&nbsp;», et bien plus encore…</li>\n</ul>\n\n\n\n<p>À noter que si vous utilisez la version <em>extension</em> de Gutenberg (ce qui ne devrait être le cas que sur un site destiné à des expérimentations), vous devrez impérativement la mettre à jour vers sa toute dernière version <em>avant</em> de mettre à jour votre site avec la version 6.0 de WordPress.</p>\n\n\n\n<p>Sans plus attendre, voici les notes de développement liées à l’éditeur&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"O4MaN7Al9W\"><a href=\"https://make.wordpress.org/core/2022/05/03/page-creation-patterns-in-wordpress-6-0/\">Page creation patterns in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Page creation patterns in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/page-creation-patterns-in-wordpress-6-0/embed/#?secret=Vva1kiTUdO#?secret=O4MaN7Al9W\" data-secret=\"O4MaN7Al9W\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"yNgdvwFZyq\"><a href=\"https://make.wordpress.org/core/2022/05/03/global-styles-variations-in-wordpress-6-0/\">Global Styles variations in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Global Styles variations in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/global-styles-variations-in-wordpress-6-0/embed/#?secret=LouvK1NNRH#?secret=yNgdvwFZyq\" data-secret=\"yNgdvwFZyq\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"gEKvxlYKbw\"><a href=\"https://make.wordpress.org/core/2022/05/03/support-for-handling-resolution-errors-for-editor-data-module/\">Support for handling resolution errors for Editor data module</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Support for handling resolution errors for Editor data module&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/support-for-handling-resolution-errors-for-editor-data-module/embed/#?secret=ok7NQ4NnkH#?secret=gEKvxlYKbw\" data-secret=\"gEKvxlYKbw\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"yzhtIAVRNf\"><a href=\"https://make.wordpress.org/core/2022/05/03/block-markup-updates-for-image-quote-list-and-group-blocks/\">Block markup updates for image, quote, list and group blocks</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Block markup updates for image, quote, list and group blocks&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/block-markup-updates-for-image-quote-list-and-group-blocks/embed/#?secret=udFFQ8yHBA#?secret=yzhtIAVRNf\" data-secret=\"yzhtIAVRNf\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"kC6j5E5zKf\"><a href=\"https://make.wordpress.org/core/2022/05/03/separator-block-updated-to-use-block-supports-color-settings/\">Separator block: Updated to use block supports color settings</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Separator block: Updated to use block supports color settings&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/separator-block-updated-to-use-block-supports-color-settings/embed/#?secret=EVWwVqSsK8#?secret=kC6j5E5zKf\" data-secret=\"kC6j5E5zKf\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"e8Tty8IzRp\"><a href=\"https://make.wordpress.org/core/2022/05/03/block-editor-miscellaneous-dev-notes-for-wordpress-6-0/\">Block Editor miscellaneous Dev Notes for WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Block Editor miscellaneous Dev Notes for WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/block-editor-miscellaneous-dev-notes-for-wordpress-6-0/embed/#?secret=5wJqoOGfuk#?secret=e8Tty8IzRp\" data-secret=\"e8Tty8IzRp\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Processus de chargement de WordPress</h2>\n\n\n\n<p>Entre autres améliorations concernant les performances du logiciel, le processus de chargement de WordPress (le «&nbsp;bootstrap&nbsp;») a été amélioré afin de permettre aux développeurs et développeuses d’ignorer les requêtes non nécessaires avec le filtre <code>do_parse_request</code>.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"QGN6nyDZZx\"><a href=\"https://make.wordpress.org/core/2022/04/27/changes-to-do_parse_request-filter-in-wordpress-6-0/\">Changes to do_parse_request filter in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Changes to do_parse_request filter in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/04/27/changes-to-do_parse_request-filter-in-wordpress-6-0/embed/#?secret=JGyFNpM8Vw#?secret=QGN6nyDZZx\" data-secret=\"QGN6nyDZZx\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">API de gestion du cache</h2>\n\n\n\n<p>Avec WordPress 6.0, l’API <code>wp_cache_*_multiple</code> devient une API complètement CRUD (voir le <a href=\"https://fr.wikipedia.org/wiki/CRUD\">terme «&nbsp;CRUD&nbsp;» sur Wikipédia</a>). Par ailleurs, une option permettant de réinitialiser le temps d’exécution du cache sans réinitialiser l&rsquo;entièreté du cache persistant a été ajoutée.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"HixiB7GUbB\"><a href=\"https://make.wordpress.org/core/2022/04/29/caching-improvements-in-wordpress-6-0/\">Caching improvements in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Caching improvements in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/04/29/caching-improvements-in-wordpress-6-0/embed/#?secret=eSHwD0gV8N#?secret=HixiB7GUbB\" data-secret=\"HixiB7GUbB\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Médias</h2>\n\n\n\n<p>La gestion des médias a elle aussi reçu de nouveaux filtres et plusieurs améliorations d’interface&nbsp;:</p>\n\n\n\n<ul>\n<li>Activation de la modification des tailles d’images personnalisées à l’aide du filtre&nbsp;<code>edit_custom_thumbnail_sizes</code>&nbsp;qui permet aux développeuses et développeurs de modifier les tailles d’images personnalisées individuelles (<a href=\"https://core.trac.wordpress.org/ticket/28277\">Voir le ticket #28277</a>)&nbsp;;</li>\n\n\n\n<li>&nbsp;Ajout d’une fonction «&nbsp;copier l’URL dans le presse-papier&nbsp;» sur la vue en liste des médias (<a href=\"https://core.trac.wordpress.org/ticket/54426\">Voir le ticket #54426</a>).</li>\n</ul>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"yxx2tJKflU\"><a href=\"https://make.wordpress.org/core/2022/04/27/new-filter-to-modify-content-images-in-wordpress-6-0/\">New filter to modify content images in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;New filter to modify content images in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/04/27/new-filter-to-modify-content-images-in-wordpress-6-0/embed/#?secret=8kaC2NHwuW#?secret=yxx2tJKflU\" data-secret=\"yxx2tJKflU\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<p>Le composant Médias a par ailleurs lui aussi reçu des améliorations de performances&nbsp;:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"rzdrAmmrI6\"><a href=\"https://make.wordpress.org/core/2022/05/02/media-storing-file-size-as-part-of-metadata/\">Media: storing file size as part of metadata</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Media: storing file size as part of metadata&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/02/media-storing-file-size-as-part-of-metadata/embed/#?secret=7VfVtwQN76#?secret=rzdrAmmrI6\" data-secret=\"rzdrAmmrI6\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Types de publications</h2>\n\n\n\n<p>WordPress 6.0 introduit encore davantage de crochets et filtres dynamiques pour les types de publications et les taxonomies.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"WJDM87k4sz\"><a href=\"https://make.wordpress.org/core/2022/05/02/object-type-specific-registration-hooks-in-6-0/\">Object type specific registration hooks in 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Object type specific registration hooks in 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/02/object-type-specific-registration-hooks-in-6-0/embed/#?secret=wYXFAV3b98#?secret=WJDM87k4sz\" data-secret=\"WJDM87k4sz\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Taxonomies</h2>\n\n\n\n<p>Les taxonomies ont reçues des améliorations de performances, notamment à travers la mise en cache des requêtes sur les termes de taxonomies, et via l’ajout de limites aux requêtes concernant les taxonomies, mais aussi au niveau des éléments de menus de navigation.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"VtwOOxjJuQ\"><a href=\"https://make.wordpress.org/core/2022/04/28/taxonomy-performance-improvements-in-wordpress-6-0/\">Taxonomy performance improvements in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Taxonomy performance improvements in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/04/28/taxonomy-performance-improvements-in-wordpress-6-0/embed/#?secret=90lFxU7Wbk#?secret=VtwOOxjJuQ\" data-secret=\"VtwOOxjJuQ\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Thèmes</h2>\n\n\n\n<p>Cette nouvelle version offre aux auteurs et autrices de thèmes une façon encore plus efficace de travailler avec les compositions de blocs, la prise en charge de multiples fichiers <code>theme.json</code> avec l’éditeur de site, et bien plus encore.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"pTkwNLfniL\"><a href=\"https://make.wordpress.org/core/2022/05/02/new-features-for-working-with-patterns-and-themes-in-wordpress-6-0/\">New features for working with patterns and themes in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;New features for working with patterns and themes in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/02/new-features-for-working-with-patterns-and-themes-in-wordpress-6-0/embed/#?secret=z1ichmCsB3#?secret=pTkwNLfniL\" data-secret=\"pTkwNLfniL\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"ZTyMFeyCFv\"><a href=\"https://make.wordpress.org/core/2022/05/02/theme-export-in-wordpress-6-0/\">Theme export in WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Theme export in WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/02/theme-export-in-wordpress-6-0/embed/#?secret=AIOHcWsoD9#?secret=ZTyMFeyCFv\" data-secret=\"ZTyMFeyCFv\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Les thèmes basés sur des blocs peuvent maintenant se passer du fichier&nbsp;index.php</h3>\n\n\n\n<p>Avec cette modification, il n&rsquo;est maintenant plus nécessaire d&rsquo;avoir un fichier modèle&nbsp;<code>index.php</code>. Jusqu&rsquo;à présent, il était nécessaire d&rsquo;en avoir un même s&rsquo;il n&rsquo;était pas utilisé. Dorénavant, ce fichier est remplacé par le fichier&nbsp;<code>templates/index.html</code>. <a href=\"https://core.trac.wordpress.org/ticket/54272\">Voir le ticket #54272</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Correction de la logique d’affichage des avertissements&nbsp;_doing_it_wrong()&nbsp;pour&nbsp;add_theme_support( &lsquo;html5&rsquo; )</h3>\n\n\n\n<ul>\n<li>Le fait d’appeler&nbsp;<code>add_theme_support( \'html5\' )</code>&nbsp;sans passer un tableau de types pris en charges affiche maintenant un avertissement&nbsp;<code>_doing_it_wrong()</code>&nbsp;: «&nbsp;Vous devez passer un tableau de types&nbsp;» ;</li>\n\n\n\n<li>Si le second paramètre n’est pas spécifié, un tableau contenant&nbsp;<code>comment-list</code>,&nbsp;<code>comment-form</code>, et&nbsp;<code>search-form</code>&nbsp;sera automatiquement passé en tant que solution de repli, pour assurer la rétrocompatibilité de la fonction&nbsp;;</li>\n\n\n\n<li>Si le second paramètre n’est pas un tableau, la fonction retournera&nbsp;<code>false</code>.</li>\n</ul>\n\n\n\n<p>Pour plus d&rsquo;informations, <a href=\"https://core.trac.wordpress.org/ticket/51657\">voir le ticket #51657</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Comptes</h2>\n\n\n\n<p>Avec WP 6.0, les installations comprenant plus de 10&nbsp;000 comptes ont reçu des améliorations de performances sur les requêtes concernant les comptes.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"BHtC3yStBd\"><a href=\"https://make.wordpress.org/core/2022/04/29/wp_user_query-now-accepts-fields-options-in-wordpress-6-0/\">WP_User_Query now accepts fields options in WordPress 6.0 </a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;WP_User_Query now accepts fields options in WordPress 6.0 &#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/04/29/wp_user_query-now-accepts-fields-options-in-wordpress-6-0/embed/#?secret=YDNq2zqbDE#?secret=BHtC3yStBd\" data-secret=\"BHtC3yStBd\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"WrP1XxUcf7\"><a href=\"https://make.wordpress.org/core/2022/05/02/performance-increase-for-sites-with-large-user-counts-now-also-available-on-single-site/\">Performance increase for sites with large user counts (now also available on single site)</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Performance increase for sites with large user counts (now also available on single site)&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/02/performance-increase-for-sites-with-large-user-counts-now-also-available-on-single-site/embed/#?secret=xdlkVPVFnI#?secret=WrP1XxUcf7\" data-secret=\"WrP1XxUcf7\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Autres changements techniques</h2>\n\n\n\n<p>WordPress 6.0 apporte également&nbsp;: </p>\n\n\n\n<ul>\n<li>Un filtre destiné aux auteurs et autrices d’extensions qui leur permet de modifier la description de leur extension telle qu’elle est affichée sur l&rsquo;écran <strong>Extensions &gt; Ajouter</strong> et/ou sur l&rsquo;écran&nbsp;<strong>Administration du réseau&nbsp;&gt; Extensions &gt; Ajouter</strong>&nbsp;;</li>\n\n\n\n<li>La possibilité de filtrer l’ensemble de la notification e-mail envoyée par <code>retrieve_password</code>&nbsp;;</li>\n\n\n\n<li>La possibilité de retirer les icônes de sites sur les réseaux multisites.</li>\n</ul>\n\n\n\n<figure class=\"wp-block-embed is-type-wp-embed is-provider-make-wordpress-core wp-block-embed-make-wordpress-core\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\" data-secret=\"ET2xV9XcVa\"><a href=\"https://make.wordpress.org/core/2022/05/03/miscellaneous-dev-notes-for-wordpress-6-0/\">Miscellaneous Dev Notes for WordPress 6.0</a></blockquote><iframe class=\"wp-embedded-content\" sandbox=\"allow-scripts\" security=\"restricted\" title=\"&#8220;Miscellaneous Dev Notes for WordPress 6.0&#8221; &#8212; Make WordPress Core\" src=\"https://make.wordpress.org/core/2022/05/03/miscellaneous-dev-notes-for-wordpress-6-0/embed/#?secret=Z0RAvcrbpa#?secret=ET2xV9XcVa\" data-secret=\"ET2xV9XcVa\" width=\"600\" height=\"338\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Et bien plus encore…</h2>\n\n\n\n<p>Plus de&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=defect+(bug)&amp;milestone=6.0&amp;group=component&amp;col=id&amp;col=summary&amp;col=type&amp;col=owner&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">131 corrections de bugs</a>,&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=enhancement&amp;type=feature+request&amp;milestone=6.0&amp;max=500&amp;col=id&amp;col=summary&amp;col=type&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=priority&amp;order=priority\">97 améliorations et nouvelles fonctionnalité</a>, ainsi que&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;type=task+(blessed)&amp;milestone=6.0&amp;group=component&amp;col=id&amp;col=summary&amp;col=type&amp;col=owner&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">23 tâches diverses</a>&nbsp;ont été&nbsp;<a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.0&amp;group=component&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">ajoutés dans WordPress 6.0</a>.</p>\n\n\n\n<p>Voici quelques modifications qui méritent d’être soulignées&nbsp;:</p>\n\n\n\n<ul>\n<li><strong>Administration&nbsp;:</strong> ajout d’un filtre&nbsp;<code>media_date_column_time</code>&nbsp;à la colonne de date de l&rsquo;écran de liste des médias. De façon similaire au filtre existant <code>post_date_column_time</code>&nbsp;pour les publications, ce filtre permet de modifier l’affichage du contenu de la colonne «&nbsp;Date&nbsp;» (<a href=\"https://core.trac.wordpress.org/ticket/42942\">voir le ticket #42942</a>)&nbsp;;</li>\n\n\n\n<li><strong>Outils de <em>build</em> et de tests&nbsp;:</strong>\n<ul>\n<li>Mise à jour de webpack vers la version v5.x. Cela rapproche WordPress de la façon dont l’extension Gutenberg gère ses paquets&nbsp;;</li>\n\n\n\n<li>WordPress 6.0 active également la prise en charge de <em>«&nbsp;React Fast Refresh&nbsp;»</em> pour le développement de blocs avec <code>@wordpress/scripts</code>&nbsp;;</li>\n\n\n\n<li>Cette nouvelle version ajoute aussi la dernière version de&nbsp;<code>caniuse-lite</code>&nbsp;qui permet de s’assurer que les outils de <em>build</em> de WP ciblent la dernière version des navigateurs pris en charge par WordPress (voir les tickets <a href=\"https://core.trac.wordpress.org/ticket/51750\">#51750</a> et <a href=\"https://core.trac.wordpress.org/ticket/55505\">#55505</a>)&nbsp;;</li>\n\n\n\n<li>Un fichier <code>.git-blame-ignore-revs</code> a été ajouté au répertoire de développement de WP afin de rendre la fonctionnalité <code>git blame</code> plus efficace sur GitHub (<a href=\"https://core.trac.wordpress.org/ticket/55422\">voir le ticket #55422</a>)&nbsp;;</li>\n\n\n\n<li>La commande <code>npm install</code> a été corrigée pour les contributeurs et contributrices utilisant des appareils <em>«&nbsp;Apple M series silicone&nbsp;»</em> en mettant à jour la dépendance technique <code>grunt-contrib-qunit</code>&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/52690\">voir le ticket #52690</a>)&nbsp;;</li>\n</ul>\n</li>\n\n\n\n<li><strong>Thèmes natifs&nbsp;:</strong> si vous rencontriez des soucis avec l’ordre des éléments dans le formulaire de commentaires du thème Twenty Nineteen, nous avons une bonne nouvelle&nbsp;: ceci a été corrigé dans le ticket <a href=\"https://core.trac.wordpress.org/ticket/46600\">#46600</a>&nbsp;; </li>\n\n\n\n<li><strong>URL canoniques&nbsp;:</strong> la fonction <code>redirect_guess_404_permalink()</code> inclue maintenant tous les états publics des publications, et pas uniquement l’état «&nbsp;publié&nbsp;» / <code>publish</code>, dans les redirections 404 de recherche (<a href=\"https://core.trac.wordpress.org/ticket/47911\">voir le ticket #47911</a>)&nbsp;;</li>\n\n\n\n<li><strong>Commentaires&nbsp;:</strong>&nbsp;accélération du chargement SQL du tableau de bord et de la modération des commentaires (<a href=\"https://core.trac.wordpress.org/ticket/19901\">voir le ticket #19901</a>)&nbsp;;</li>\n\n\n\n<li><strong>Emojis :</strong> mise à jour de la bibliothèque Twemoji vers la version 14.0.2. Cette version introduit la prise en charge des derniers Emojis ajoutés dans la version 14 (<a href=\"https://core.trac.wordpress.org/ticket/55395\">voir le ticket #55395</a>)&nbsp;;</li>\n\n\n\n<li><strong>Bibliothèques externes&nbsp;:</strong>\n<ul>\n<li>Mise à jour de Jcrop à la version 0.9.15 (<a href=\"https://core.trac.wordpress.org/ticket/54035\">ticket #54035</a>)&nbsp;;</li>\n\n\n\n<li>Mise à jour de jQuery Color à la version 2.2.0. Suppression de la version embarquée (qui existait toujours dans le cœur WP) en faveur de l&rsquo;amélioration du processus Grunt pour plutôt inclure le paquet depuis NPM (<a href=\"https://core.trac.wordpress.org/ticket/55016\">ticket #55016</a>)&nbsp;;</li>\n\n\n\n<li>Mise à jour de <code>random_compat</code> à la version 2.0.21. Cela améliore la compatibilité avec PHP 8.1 et corrige des bogues avec les plateformes Windows (<a href=\"https://core.trac.wordpress.org/ticket/55181\">ticket #55181</a>) ;</li>\n\n\n\n<li>Mise à niveau de PHPMailer à la version 6.5.4. Amélioration de compatibilité PHP et sécurisation contre les hébergeurs désactivant certaines fonctions de sécurité. <strong>Note aux hébergeurs&nbsp;: ne désactivez pas les fonctions&nbsp;<code>escapeshellarg()</code>&nbsp;et&nbsp;<code>escapeshellcmd()</code>, cela présente un risque de sécurité&nbsp;!</strong> (<a href=\"https://core.trac.wordpress.org/ticket/55187\">ticket #55187</a>)&nbsp;;</li>\n\n\n\n<li>Mise à niveau de PHPMailer à la version 6.6.0 (<a href=\"https://core.trac.wordpress.org/ticket/55277\">ticket #55277</a>)&nbsp;;</li>\n\n\n\n<li>Mise à jour de sodium_compat à la version 1.17.1. Amélioration de la compatibilité PHP 8.1 (<a href=\"https://core.trac.wordpress.org/ticket/55453\">ticket #55453</a>)</li>\n\n\n\n<li>Mise à jour de <code>backbone</code>&nbsp;de la version&nbsp;<code>1.4.0</code>&nbsp;à la version&nbsp;<code>1.4.1</code>&nbsp;;</li>\n\n\n\n<li>Mise à jour de <code>underscore</code>&nbsp;de la version&nbsp;<code>1.13.1</code>&nbsp;à la version&nbsp;<code>1.13.2</code>&nbsp;;</li>\n\n\n\n<li>Mise à jour de <code>clipboard</code>&nbsp;de la version&nbsp;<code>2.0.8</code>&nbsp;à la version&nbsp;<code>2.0.10</code> (<a href=\"https://core.trac.wordpress.org/ticket/55547\">ticket #55547</a>)&nbsp;;</li>\n</ul>\n</li>\n\n\n\n<li><strong>Formatage :</strong>\n<ul>\n<li>Ajout de la prise en charge des formatage de tailles PB, EB, ZB, and YB (<a href=\"https://core.trac.wordpress.org/ticket/40875\">ticket #40875</a>)</li>\n</ul>\n</li>\n\n\n\n<li><strong>KSES&nbsp;:</strong>\n<ul>\n<li>Prise en charge de l&rsquo;élément&nbsp;<code>&lt;ruby&gt;</code>&nbsp;et des autres éléments liés. Cela est particulièrement utile pour le contenu écrit en japonais ou chinois, via les éléments HTML&nbsp;<code>&lt;ruby&gt;</code>,&nbsp;<code>&lt;rt&gt;</code> et&nbsp;<code>&lt;rp&gt;</code>&nbsp;dans le&nbsp;<a href=\"https://html.spec.whatwg.org/multipage/text-level-semantics.html#the-ruby-element\">standard HTML</a>, ainsi que&nbsp;<code>&lt;rb&gt;</code>&nbsp;et&nbsp;<code>&lt;rtc&gt;</code>&nbsp;pour des options de formatage avancées (<a href=\"https://core.trac.wordpress.org/ticket/54698\">ticket #54698</a>)&nbsp;;</li>\n\n\n\n<li>Ajout global de la prise en charge des attributs&nbsp;<code>lang</code>,&nbsp;<code>xml:lang</code>,&nbsp;<code>dir</code>&nbsp;en tant qu’attributs utilisables sur n&rsquo;importe quel élément HTML, ce qui améliore considérablement les possibilités de produire du contenu accessible (<a href=\"https://core.trac.wordpress.org/ticket/54699\">ticket #54699</a>)&nbsp;;</li>\n\n\n\n<li>La fonction <code>get_the_author_link()</code> devient filtrable sur WordPress 6.0, via le filtre <code>get_the_author_link</code>, afin de permettre l&rsquo;altération de l’affichage du lien vers l’auteur/autrice de chaque publication (<a href=\"https://core.trac.wordpress.org/ticket/51859\">ticket #51859</a>)&nbsp;;</li>\n</ul>\n</li>\n\n\n\n<li><strong>Internationnalisation&nbsp;:</strong>\n<ul>\n<li>Le séparateur des éléments de liste est maintenant une propriété de <code>WP_Locale</code> (<a href=\"https://core.trac.wordpress.org/ticket/39733\">voir le ticket #39733</a>)&nbsp;;</li>\n\n\n\n<li>Les chemins de langues sont maintenant définissables dans la fonction  <code>register_block_type</code>&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/54797\">ticket #54797</a>)&nbsp;;</li>\n</ul>\n</li>\n\n\n\n<li><strong>Médias&nbsp;:</strong> suppression du filtre&nbsp;<code>attachment_fields_to_save</code>&nbsp;filter et dépréciation de la fonction&nbsp;<code>image_attachment_fields_to_save()</code>. Cette fonction n’était plus utilisée par le cœur WP&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/39108\">ticket #39108</a>)&nbsp;;</li>\n\n\n\n<li><strong>Réseaux multisites&nbsp;:</strong> amélioration de la génération du cache des clés sur <code>WP_Site_Query</code>&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/55462\">ticket #55462</a>)&nbsp;;</li>\n\n\n\n<li><strong>Extensions&nbsp;:</strong>\n<ul>\n<li>Ajout du filtre&nbsp;<code>plugin_install_description</code> (<a href=\"https://core.trac.wordpress.org/ticket/55480\">ticket #55480</a>)</li>\n\n\n\n<li>Conversion de&nbsp;<code>apply_filters()</code>&nbsp;en une vraie fonction variadique. Une fonction variadique est une fonction d&rsquo;arité indéfinie, c&rsquo;est-à-dire qu&rsquo;elle accepte un nombre variable de paramètres (<a href=\"https://core.trac.wordpress.org/ticket/53218\">voir le ticket #53218</a>)&nbsp;;</li>\n</ul>\n</li>\n\n\n\n<li><strong>Publications et types de publications&nbsp;:</strong> passage du paramètre <code>$update</code>&nbsp;aux filtres <code>wp_insert_post_data</code>&nbsp;et&nbsp;<code>wp_insert_attachment_data</code>. Cela facilite la détermination de l&rsquo;existence d&rsquo;une publication lors de sa mise à jour (<a href=\"https://core.trac.wordpress.org/ticket/46228\">ticket #46228</a>)&nbsp;;</li>\n\n\n\n<li><strong>Taxonomies :</strong> mutualisation de la traduction des libellés de taxonomies afin d&rsquo;améliorer les performances générales de l&rsquo;administration WordPress&nbsp;(<a href=\"https://core.trac.wordpress.org/ticket/26746\">ticket #26746</a>).</li>\n</ul>\n\n\n\n<p>Que vous développiez des thèmes ou des extensions, pensez à tester et retester votre code pour vous assurer de sa compatibilité avec ces changements. Vous pouvez utiliser&nbsp;<a rel=\"noreferrer noopener\" href=\"https://wordpress.org/plugins/wordpress-beta-tester/\" target=\"_blank\">l’extension Beta Tester</a>&nbsp;sur un site de test pour vérifier la compatibilité de vos développements avec WordPress 6.0 RC1.&nbsp;Nous comptons sur vous pour vous assurer que votre code fonctionne correctement avec le cœur du CMS, pour le bien des millions d’utilisateurs et utilisatrices de WordPress&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2665.png\" alt=\"♥\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p class=\"has-small-font-size\"><em>Rédigé par <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a> d&rsquo;après le <a href=\"https://make.wordpress.org/core/2022/05/03/wordpress-6-0-field-guide/\">Field Guide en anglais</a>. Merci à <a href=\"https://profiles.wordpress.org/valer1e/\">Valérie Galassi</a>, <a href=\"https://profiles.wordpress.org/fxbenard/\">FX Bénard</a> et <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a> pour la relecture.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://fr.wordpress.org/2022/05/04/guide-des-changements-techniques-de-wordpress-6-0/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"WordPress 5.9 « Joséphine »\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fr.wordpress.org/2022/01/25/wordpress-5-9/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://fr.wordpress.org/2022/01/25/wordpress-5-9/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jan 2022 21:05:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Nouvelles versions de WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2330\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:450:\"Bienvenue sur WordPress 5.9 «&#160;Joséphine&#160;»&#160;! Nous vous présentons WordPress 5.9, nommée «&#160;Joséphine&#160;» en l’honneur de la chanteuse internationale de jazz Joséphine Baker. Vous pouvez&#160;télécharger cette version ici&#160;ou effectuer la mise à jour directement depuis votre tableau de bord. En tant que militante des droits civiques depuis toujours, Joséphine Baker pensait que tout le monde pouvait [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:62335:\"\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"682\" src=\"https://fr.wordpress.org/files/2022/01/5-9-josephine-1024x682.png\" alt=\"\" class=\"wp-image-2341\" srcset=\"https://fr.wordpress.org/files/2022/01/5-9-josephine-1024x682.png 1024w, https://fr.wordpress.org/files/2022/01/5-9-josephine-300x200.png 300w, https://fr.wordpress.org/files/2022/01/5-9-josephine-768x512.png 768w, https://fr.wordpress.org/files/2022/01/5-9-josephine.png 1264w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"bienvenue-sur-wordpress-5-9-josephine\">Bienvenue sur WordPress 5.9 «&nbsp;Joséphine&nbsp;»&nbsp;!</h2>\n\n\n\n<p>Nous vous présentons WordPress 5.9, nommée «&nbsp;Joséphine&nbsp;» en l’honneur de la chanteuse internationale de jazz Joséphine Baker. Vous pouvez&nbsp;<a href=\"https://wordpress.org/download/\">télécharger cette version ici</a>&nbsp;ou effectuer la mise à jour directement depuis votre tableau de bord.</p>\n\n\n\n<p>En tant que militante des droits civiques depuis toujours, Joséphine Baker pensait que tout le monde pouvait vivre en harmonie ensemble, tout comme les différents instruments d&rsquo;un groupe de jazz se mélangent pour former un morceau complet. Mentionnons également que Joséphine Baker était naturalisée française et est d&rsquo;ailleurs entrée au Panthéon l’année dernière, en 2021.</p>\n\n\n\n<p>Activez donc une liste de lecture de votre service de musique préféré et profitez de ses célèbres interprétations de <em>« You are the greatest love »</em>, <em>« Sans Amour »</em> et <em>« Love is a dreamer »</em> tout en découvrant les fonctionnalités de cette toute nouvelle version de WordPress.</p>\n\n\n\n<span id=\"more-2330\"></span>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"l-edition-complete-de-votre-site-est-la\">L’édition complète de votre site est là.</h2>\n\n\n\n<p>Cela vous donne le contrôle sur l’ensemble de votre site, directement depuis votre administration WordPress.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-1.png\" alt=\"\" class=\"wp-image-12101\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"decouvrez-twenty-twenty-two\">Découvrez Twenty Twenty-Two</h3>\n\n\n\n<p>Et saluez l’arrivée du premier thème natif basé sur des blocs dans l’histoire de WordPress. Cela représente bien plus qu’un thème natif&nbsp;: c’est une toute nouvelle façon de travailler avec les thèmes WordPress.</p>\n\n\n\n<p>Les <a href=\"https://fr.wordpress.org/support/article/block-themes/\">thèmes basés sur des blocs</a> placent un large choix de conception dans vos mains, des jeux de couleurs aux combinaisons typographiques, en passant par les modèles de pages et les filtres d’images. Tout cela est compris sur <a href=\"https://fr.wordpress.org/support/article/site-editor/\">la nouvelle interface d’édition de site</a>. En un seul et même endroit, vous trouverez tout ce qu’il faut pour donner votre touche graphique à <em>Twenty Twenty‑Two</em>, et vous pourrez donner un nouveau départ à votre site.</p>\n\n\n\n<p>Le thème Twenty Twenty‑Two est déjà sans doute disponible sur votre site si vous l’avez mis à jour vers WP 5.9. Il a été installé en même temps que WordPress 5.9. Vous le trouverez avec&nbsp;les autres thèmes que vous avez installés.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-2.png\" alt=\"\" class=\"wp-image-12102\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"votre-palette-de-peinture-vous-attend\">Votre palette de peinture vous attend</h3>\n\n\n\n<p>D’autres thèmes basés sur des blocs et implémentant des fonctionnalités d’édition de site sont disponibles dans le répertoire officiel des thèmes, aux côtés de Twenty Twenty‑Two. Ils attendent simplement d’être essayés. Et bien d’autres viendront avec le temps&nbsp;!</p>\n\n\n\n<p>Lorsque vous utiliserez l’un de ces nouveaux thèmes, vous n’aurez plus besoin de l’outil de personnalisation. À la place, vous découvrirez la puissance de l’interface de gestion des styles globaux comprise dans l’éditeur de site. Tout comme avec Twenty Twenty‑Two, vous pourrez y bâtir l’apparence de votre site avec des outils prêts à l’emploi et une interface fluide et dynamique.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-3.png\" alt=\"\" class=\"wp-image-12103\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"le-bloc-navigation\">Le bloc navigation</h3>\n\n\n\n<p>Les blocs font leur entrée dans les menus de navigation, le cœur de l’expérience de visite de votre site.</p>\n\n\n\n<p>Le nouveau bloc Navigation vous donne la possibilité de choisir&nbsp;: un menu fluide ou plutôt un menu adapté à la taille d’écran de l’internaute. Qu’importe le menu que vous créez, vous pourrez le réutiliser partout où vous le souhaitez, que ce soit dans un nouveau modèle de page ou même après avoir changé de thème.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"encore-plus-d-ameliorations-et-de-mises-a-jour\">Encore plus d’améliorations et de mises à jour</h2>\n\n\n\n<p>Vous aimez bloguer ou produire de contenu&nbsp;? De nouveaux ajustements aideront votre expérience éditoriale et la rendront plus efficace.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-4.png\" alt=\"\" class=\"wp-image-12104\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"de-meilleurs-outils-de-controle-pour-les-blocs\">De meilleurs outils de contrôle pour les blocs</h3>\n\n\n\n<p>WordPress 5.9 contient de nouveaux outils typographiques et vous permet de contrôler votre mise en page, comme par exemple sur des détails tels que les espacements, les bordures, et bien plus encore. Cela vous aidera à apporter autant de soin à l’apparence générale de votre site qu’aux détails des contenus de vos pages.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-5.png\" alt=\"\" class=\"wp-image-12105\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"le-pouvoir-des-compositions\">Le pouvoir des compositions</h3>\n\n\n\n<p>Le répertoire de compositions de WordPress contient un grand nombre de compositions de blocs construites pour vous faire gagner du temps. Vous pouvez les utiliser et les modifier autant que vous le souhaitez. Vous voulez un en-tête ou un pied de page différent pour votre site&nbsp;? Vous pourrez en installer de nouveaux en quelques clics.</p>\n\n\n\n<p>Avec sa vue en grande largeur qui vous montre tous les détails de chaque élément, l’outil d’exploration de compositions vous permet de comparer les compositions entre elles et de choisir la plus adaptée pour votre site.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-6.png\" alt=\"\" class=\"wp-image-12106\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"une-refonte-de-la-vue-en-liste\">Une refonte de la vue en liste</h3>\n\n\n\n<p>Dans WP 5.9, la vue en liste vous permet de glisser-déposer votre contenu exactement où vous le souhaitez. Gérer des documents complexes est encore plus simple&nbsp;: des boutons vous permettent de déplier-replier les sections pendant que vous bâtissez votre site, et d’ajouter des ancres à vos blocs pour aider les internautes à naviguer dans la page.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://wordpress.org/news/files/2022/01/5-9-release-7.png\" alt=\"\" class=\"wp-image-12107\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"un-meilleur-bloc-galerie\">Un meilleur bloc galerie</h3>\n\n\n\n<p>Manipulez chaque image de vos blocs galeries de la même façon que vous manipuleriez un bloc image indépendant.</p>\n\n\n\n<p>Mettez en forme chaque image de votre galerie de façon indépendante des autres (par exemple avec un recadrage différent ou un filtre duotone), ou faites-les toutes se ressembler. Vous pourrez ensuite modifier la mise en page de la galerie avec un simple glisser-déposer.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"wordpress-5-9-pour-les-developpeurs-et-les-developpeuses\">WordPress 5.9 pour les développeurs et les développeuses</h2>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"le-fichier-theme-json-pour-les-themes-enfants\">Le fichier theme.json pour les thèmes enfants</h3>\n\n\n\n<p>Avec WP 5.9, le fichier <code>theme.json</code> prendra maintenant en charge les thèmes enfants. Cela signifie que vous pourrez construire un thème enfant directement depuis l’interface d’administration de WordPress, sans écrire la moindre ligne de code.&nbsp;</p>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/01/04/block-themes-a-new-way-to-build-themes-in-wordpress-5-9/\">Voir la note de développement sur la fonctionnalité theme.json pour les thèmes enfants (en anglais)</a></p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"verrouillage-des-blocs\">Verrouillage des blocs</h3>\n\n\n\n<p>Vous pouvez maintenant verrouiller tout ou partie des blocs au sein d’une composition, juste en ajoutant un attribut de verrouillage dans ses réglages au sein du fichier block.json. Laissez les rédacteur·ice·s libres de modifier le reste de la composition pour adapter son contenu.</p>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/01/04/block-themes-a-new-way-to-build-themes-in-wordpress-5-9/\">Voir la note de développement sur la fonctionnalité de verrouillage des blocs (en anglais)</a></p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"plusieurs-feuilles-de-styles-pour-chaque-bloc\">Plusieurs feuilles de styles pour chaque bloc</h3>\n\n\n\n<p>Vous pouvez maintenant déclarer plus qu’une seule feuille de style par bloc. Cela vous permet de partager des styles entre différents blocs que vous avez créés, ou pour charger des styles pour des blocs individuels, ce qui fait que vos styles ne sont chargés que lorsque le bloc est utilisé. Pour en savoir plus, apprenez à&nbsp;<a href=\"https://make.wordpress.org/core/2021/12/15/using-multiple-stylesheets-per-block/\">charger plusieurs feuilles de styles sur un bloc (en anglais)</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"un-bloc-galerie-remodele-de-a-a-z\">Un bloc galerie remodelé de A à Z</h3>\n\n\n\n<p>Les modifications du bloc galerie listées ci-dessus sont le résultat d’un remodelage complet. Si vous avez construit un thème ou une extension qui l’utilise, assurez-vous de lire la&nbsp;<a href=\"https://make.wordpress.org/core/2021/08/20/gallery-block-refactor-dev-note/\">note technique de compatibilité du bloc galerie (en anglais)</a>.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h3 class=\"wp-block-heading\" id=\"en-savoir-plus-sur-les-fonctionnalites-de-wp-5-9\">En savoir plus sur les fonctionnalités de WP&nbsp;5.9</h3>\n\n\n\n<p>Vous voulez plonger dans 5.9 mais ne savez pas par où commencer&nbsp;? Rendez-vous sur&nbsp;<a href=\"https://learn.wordpress.org/\">learn.wordpress.org</a>&nbsp;pour consulter des ressources sur les nouvelles fonctionnalités de WordPress 5.9.</p>\n\n\n\n<p>Si vous cherchez des ressources en français, nous vous conseillons aussi de <a href=\"https://fr.wordpress.org/2022/01/17/wordpress-5-9-documentation-en-francais-des-fonctionnalites-de-lediteur-de-site/\" data-type=\"post\" data-id=\"2304\">consulter la documentation produite par l&rsquo;équipe de traduction de WordPress en français tout spécialement pour WordPress&nbsp;5.9</a>.</p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h3 class=\"wp-block-heading\" id=\"consultez-le-guide-de-la-version-pour-en-savoir-plus\">Consultez le guide de la version pour en savoir plus&nbsp;!</h3>\n\n\n\n<p>Consultez le guide des changements techniques de WordPress&nbsp;5.9. Il met en avant les notes de développement pour chaque modification que vous souhaiteriez approfondir&nbsp;:&nbsp;<a href=\"https://fr.wordpress.org/2022/01/12/guide-des-changements-techniques-a-venir-sur-wordpress-5-9/\" data-type=\"post\" data-id=\"2264\">guide des changements techniques de WordPress 5.9 en français</a></p>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"l-equipe-de-direction-de-wordpress-5-9\"><strong>L’équipe de direction de WordPress&nbsp;5.9</strong></h2>\n\n\n\n<p>La version 5.9 de WordPress 5.9 a été dirigée par <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a>, avec l’assistance de l’équipe de direction suivante&nbsp;:</p>\n\n\n\n<ul><li>Directeur de la version&nbsp;: <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a></li><li>Directrice technique et coordinatrice de la version&nbsp;: <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a></li><li>Responsables projet&nbsp;: <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a> et <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a></li><li>Responsables techniques côté éditeur/Gutenberg&nbsp;: <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> et <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a></li><li>Responsables du nouveau thème&nbsp;: <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> et <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a></li><li>Rédacteur technique&nbsp;: <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a></li><li>Responsables de la documentation&nbsp;: <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a> et <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a></li><li>Responsables marketing &amp; communications&nbsp;: <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> et <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a></li><li>Responsables des tests&nbsp;: <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> et <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a></li></ul>\n\n\n\n<p>WordPress 5.9 reflète l’impressionnant travail accompli par of 624 contributrices et contributeurs bénévoles. Cela a abouti à <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=5.9&amp;group=component&amp;col=id&amp;col=summary&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=priority\">370 tickets sur Trac</a> et plus de <a href=\"https://github.com/WordPress/gutenberg/compare/v10.8.0...v11.9.0\">1900 <em>pull requests</em> sur GitHub</a>. Merci à toutes et à tous&nbsp;:</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/2linctools/\">2linctools</a>, <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a>, <a href=\"https://profiles.wordpress.org/abesell132/\">abesell132</a>, <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a>, <a href=\"https://profiles.wordpress.org/acosmin/\">acosmin</a>, <a href=\"https://profiles.wordpress.org/wpmudev-support8/\">Adam &#8211; WPMU DEV Support</a>, <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a>, <a href=\"https://profiles.wordpress.org/adam3128/\">Adam Morgan</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zielinski</a>, <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a>, <a href=\"https://profiles.wordpress.org/aadilali/\">Adil Ali</a>, <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a>, <a href=\"https://profiles.wordpress.org/aezazshekh/\">Aezaz Shekh</a>, <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a>, <a href=\"https://profiles.wordpress.org/ajotka/\">ajotka</a>, <a href=\"https://profiles.wordpress.org/soniakash/\">Akash Soni</a>, <a href=\"https://profiles.wordpress.org/atachibana/\">Akira Tachibana</a>, <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/alanjacobmathew/\">Alan Jacob Mathew</a>, <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a>, <a href=\"https://profiles.wordpress.org/alexvorn2/\">Alexandru Vornicescu</a>, <a href=\"https://profiles.wordpress.org/alexeydemidov/\">alexeydemidov</a>, <a href=\"https://profiles.wordpress.org/alexislloyd/\">Alexis Lloyd</a>, <a href=\"https://profiles.wordpress.org/alexstine/\">alexstine</a>, <a href=\"https://profiles.wordpress.org/algala/\">AlGala</a>, <a href=\"https://profiles.wordpress.org/firewatch/\">allilevine</a>, <a href=\"https://profiles.wordpress.org/almendron/\">almendron</a>, <a href=\"https://profiles.wordpress.org/amandariu/\">Amanda Riu</a>, <a href=\"https://profiles.wordpress.org/anandau14/\">Anand Upadhyay</a>, <a href=\"https://profiles.wordpress.org/nosolosw/\">André</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a>, <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/anevins/\">Andrew Nevins</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a>, <a href=\"https://profiles.wordpress.org/oandregal/\">André</a>, <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a>, <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a>, <a href=\"https://profiles.wordpress.org/andy-schmidt/\">Andy Schmidt</a>, <a href=\"https://profiles.wordpress.org/andynick/\">andynick</a>, <a href=\"https://profiles.wordpress.org/la-geek/\">Angelika Reisiger</a>, <a href=\"https://profiles.wordpress.org/anjanavasan/\">Anjana Vasan</a>, <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a>, <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a>, <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a>, <a href=\"https://profiles.wordpress.org/anthonyeden/\">Anthony Eden</a>, <a href=\"https://profiles.wordpress.org/paranoia1906/\">Anthony Ledesma</a>, <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a>, <a href=\"https://profiles.wordpress.org/antonisme/\">Antonis Lilis</a>, <a href=\"https://profiles.wordpress.org/arena/\">arena</a>, <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a>, <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a>, <a href=\"https://profiles.wordpress.org/ashfame/\">Ashfame</a>, <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a>, <a href=\"https://profiles.wordpress.org/baelx/\">baelx</a>, <a href=\"https://profiles.wordpress.org/allerune/\">Bartlomiej</a>, <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a>, <a href=\"https://profiles.wordpress.org/beaulebens/\">Beau Lebens</a>, <a href=\"https://profiles.wordpress.org/bedas/\">Beda</a>, <a href=\"https://profiles.wordpress.org/utz119/\">Benachi</a>, <a href=\"https://profiles.wordpress.org/benitolopez/\">benitolopez</a>, <a href=\"https://profiles.wordpress.org/rainbowgeek/\">Benjamin Denis</a>, <a href=\"https://profiles.wordpress.org/benjamingosset/\">Benjamin Gosset</a>, <a href=\"https://profiles.wordpress.org/benjaminanakena/\">benjamin.anakena</a>, <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernhard Reiter</a>, <a href=\"https://profiles.wordpress.org/bgardner/\">bgardner</a>, <a href=\"https://profiles.wordpress.org/bijayyadav/\">bijayyadav</a>, <a href=\"https://profiles.wordpress.org/binarykitten/\">BinaryKitten</a>, <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a>, <a href=\"https://profiles.wordpress.org/bobbingwide/\">bobbingwide</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a>, <a href=\"https://profiles.wordpress.org/bradparbs/\">Brad Parbs</a>, <a href=\"https://profiles.wordpress.org/bradleyt/\">Bradley Taylor</a>, <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/bravokeyl/\">bravokeyl</a>, <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a>, <a href=\"https://profiles.wordpress.org/rzen/\">Brian Richards</a>, <a href=\"https://profiles.wordpress.org/bronsonquick/\">bronsonquick</a>, <a href=\"https://profiles.wordpress.org/ribaricplusplus/\">Bruno Ribaric</a>, <a href=\"https://profiles.wordpress.org/brylie/\">Brylie Christopher Oxley</a>, <a href=\"https://profiles.wordpress.org/icaleb/\">Caleb Burks</a>, <a href=\"https://profiles.wordpress.org/calebwoodbridge/\">calebwoodbridge</a>, <a href=\"https://profiles.wordpress.org/carepsules/\">carepsules</a>, <a href=\"https://profiles.wordpress.org/carike/\">Carike</a>, <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a>, <a href=\"https://profiles.wordpress.org/vefusion/\">Carlos Garcia</a>, <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a>, <a href=\"https://profiles.wordpress.org/cdyerkes/\">cdyerkes</a>, <a href=\"https://profiles.wordpress.org/ceyhun0/\">Ceyhun Ozugur</a>, <a href=\"https://profiles.wordpress.org/shireling/\">Chad</a>, <a href=\"https://profiles.wordpress.org/chiaki/\">Chiaki</a>, <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a>, <a href=\"https://profiles.wordpress.org/chipsnyder/\">Chip Snyder</a>, <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a>, <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a>, <a href=\"https://profiles.wordpress.org/cklosows/\">Chris Klosowski</a>, <a href=\"https://profiles.wordpress.org/chrisvanpatten/\">Chris Van Patten</a>, <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a>, <a href=\"https://profiles.wordpress.org/christianztamayo/\">Christian Tamayo</a>, <a href=\"https://profiles.wordpress.org/amethystanswers/\">Christina Workman</a>, <a href=\"https://profiles.wordpress.org/vimes1984/\">Christopher Churchill</a>, <a href=\"https://profiles.wordpress.org/clucasrowlands/\">clucasrowlands</a>, <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/callye/\">Collieth Clarke</a>, <a href=\"https://profiles.wordpress.org/collizo4sky/\">Collins Agbonghama</a>, <a href=\"https://profiles.wordpress.org/copons/\">Copons</a>, <a href=\"https://profiles.wordpress.org/coreyw/\">Corey</a>, <a href=\"https://profiles.wordpress.org/cr0ybot/\">Cory Hughart</a>, <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a>, <a href=\"https://profiles.wordpress.org/craigfrancis/\">craigfrancis</a>, <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a>, <a href=\"https://profiles.wordpress.org/critterverse/\">critterverse</a>, <a href=\"https://profiles.wordpress.org/littlebigthing/\">Csaba (LittleBigThings)</a>, <a href=\"https://profiles.wordpress.org/davidszabo/\">Dávid Szabó</a>, <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a>, <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a>, <a href=\"https://profiles.wordpress.org/danfarrow/\">Dan Farrow</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/danielpost/\">Daniel Post</a>, <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a>, <a href=\"https://profiles.wordpress.org/chthnc/\">Daniel Shaw</a>, <a href=\"https://profiles.wordpress.org/danieldudzic/\">danieldudzic</a>, <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a>, <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a>, <a href=\"https://profiles.wordpress.org/dariak/\">Daria</a>, <a href=\"https://profiles.wordpress.org/daschmi/\">Daschmi</a>, <a href=\"https://profiles.wordpress.org/datagutten/\">datagutten</a>, <a href=\"https://profiles.wordpress.org/datainterlock/\">datainterlock</a>, <a href=\"https://profiles.wordpress.org/davecpage/\">Dave Page</a>, <a href=\"https://profiles.wordpress.org/davidanderson/\">David Anderson</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a>, <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a>, <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a>, <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/davidkryzaniak/\">David Kryzaniak</a>, <a href=\"https://profiles.wordpress.org/davidmosterd/\">David Mosterd</a>, <a href=\"https://profiles.wordpress.org/daviedr/\">David Rozando</a>, <a href=\"https://profiles.wordpress.org/dryanpress/\">David Ryan</a>, <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a>, <a href=\"https://profiles.wordpress.org/davidwebca/\">davidwebca</a>, <a href=\"https://profiles.wordpress.org/dkarfa/\">Debabrata Karfa</a>, <a href=\"https://profiles.wordpress.org/deepaklalwani/\">Deepak Lalwani</a>, <a href=\"https://profiles.wordpress.org/denisco/\">Denis Yanchevskiy</a>, <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a>, <a href=\"https://profiles.wordpress.org/dhanendran/\">Dhanendran</a>, <a href=\"https://profiles.wordpress.org/dhusakovic/\">dhusakovic</a>, <a href=\"https://profiles.wordpress.org/diedeexterkate/\">DiedeExterkate</a>, <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a>, <a href=\"https://profiles.wordpress.org/dingo_d/\">dingo-d</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/dlt101/\">dlt101</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/donmhico/\">donmhico</a>, <a href=\"https://profiles.wordpress.org/codezen8/\">Donna Botti</a>, <a href=\"https://profiles.wordpress.org/dontgo2sleep/\">dontgo2sleep</a>, <a href=\"https://profiles.wordpress.org/dougwollison/\">Doug Wollison</a>, <a href=\"https://profiles.wordpress.org/dpegasusm/\">dpegasusm</a>, <a href=\"https://profiles.wordpress.org/raubvogel/\">Dr. Ronny Harbich</a>, <a href=\"https://profiles.wordpress.org/dratwas/\">dratwas</a>, <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/drosmog/\">drosmog</a>, <a href=\"https://profiles.wordpress.org/dustinrue/\">dustinrue</a>, <a href=\"https://profiles.wordpress.org/seedsca/\">ecotechie</a>, <a href=\"https://profiles.wordpress.org/ehtis/\">ehtis</a>, <a href=\"https://profiles.wordpress.org/ekojr/\">EkoJR</a>, <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a>, <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a>, <a href=\"https://profiles.wordpress.org/empatogen/\">empatogen</a>, <a href=\"https://profiles.wordpress.org/enchiridion/\">Enchiridion</a>, <a href=\"https://profiles.wordpress.org/enej/\">Enej Bajgorić</a>, <a href=\"https://profiles.wordpress.org/nrqsnchz/\">Enrique Sánchez</a>, <a href=\"https://profiles.wordpress.org/erayalakese/\">erayalakese</a>, <a href=\"https://profiles.wordpress.org/teachlynx/\">Eric Malalel</a>, <a href=\"https://profiles.wordpress.org/ethitter/\">Erick Hitter</a>, <a href=\"https://profiles.wordpress.org/kebbet/\">Erik</a>, <a href=\"https://profiles.wordpress.org/etoledo/\">etoledo</a>, <a href=\"https://profiles.wordpress.org/circlecube/\">Evan Mullins</a>, <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a>, <a href=\"https://profiles.wordpress.org/gaambo/\">Fabian Todt</a>, <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a>, <a href=\"https://profiles.wordpress.org/fedepia/\">fedepia</a>, <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a>, <a href=\"https://profiles.wordpress.org/felipeloureirosantos/\">Felipe Santos</a>, <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a>, <a href=\"https://profiles.wordpress.org/fpcsjames/\">FPCSJames</a>, <a href=\"https://profiles.wordpress.org/piewp/\">fperdaan</a>, <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/fcolombo/\">Francesco</a>, <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">fullofcaffeine</a>, <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a>, <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a>, <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/gazchap/\">gazchap</a>, <a href=\"https://profiles.wordpress.org/generosus/\">generosus</a>, <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a>, <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a>, <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a>, <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a>, <a href=\"https://profiles.wordpress.org/gilbitron/\">Gilbert Pellegrom</a>, <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a>, <a href=\"https://profiles.wordpress.org/goldsounds/\">goldsounds</a>, <a href=\"https://profiles.wordpress.org/gkloveweb/\">Govind</a>, <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a>, <a href=\"https://profiles.wordpress.org/gregrickaby/\">Greg Rickaby</a>, <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a>, <a href=\"https://profiles.wordpress.org/guillaumeturpin/\">Guillaume TURPIN</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a>, <a href=\"https://profiles.wordpress.org/hansjovisyoast/\">Hans-Christiaan Braun</a>, <a href=\"https://profiles.wordpress.org/haosun/\">haosun</a>, <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh</a>, <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a>, <a href=\"https://profiles.wordpress.org/azhiyadev/\">Hauwa Abashiya</a>, <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a>, <a href=\"https://profiles.wordpress.org/henrywright/\">Henry Wright</a>, <a href=\"https://profiles.wordpress.org/herbmiller/\">herbmiller</a>, <a href=\"https://profiles.wordpress.org/hermpheus/\">Herm Martini</a>, <a href=\"https://profiles.wordpress.org/herregroen/\">Herre Groen</a>, <a href=\"https://profiles.wordpress.org/hilayt24/\">hilayt24</a>, <a href=\"https://profiles.wordpress.org/hirofumi2012/\">hirofumi2012</a>, <a href=\"https://profiles.wordpress.org/hitendra-chopda/\">Hitendra Chopda</a>, <a href=\"https://profiles.wordpress.org/h71/\">Hossein Farahani</a>, <a href=\"https://profiles.wordpress.org/htmgarcia/\">htmgarcia</a>, <a href=\"https://profiles.wordpress.org/hudson-atwell/\">Hudson Atwell</a>, <a href=\"https://profiles.wordpress.org/hlashbrooke/\">Hugh Lashbrooke</a>, <a href=\"https://profiles.wordpress.org/hugod/\">hugod</a>, <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianhayes94/\">ianhayes94</a>, <a href=\"https://profiles.wordpress.org/ianmjones/\">ianmjones</a>, <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a>, <a href=\"https://profiles.wordpress.org/ibenic/\">Igor Benic</a>, <a href=\"https://profiles.wordpress.org/ilovecats7/\">ilovecats7</a>, <a href=\"https://profiles.wordpress.org/infected/\">infected</a>, <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/iluy/\">Isaac</a>, <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/ismaeld/\">ismaeld</a>, <a href=\"https://profiles.wordpress.org/jdgrimes/\">J.D. Grimes</a>, <a href=\"https://profiles.wordpress.org/jackreichert/\">Jack Reichert</a>, <a href=\"https://profiles.wordpress.org/whyisjake/\">Jake Spurlock</a>, <a href=\"https://profiles.wordpress.org/jakubtyrcha/\">jakub.tyrcha</a>, <a href=\"https://profiles.wordpress.org/mcjambi/\">Jam Viet</a>, <a href=\"https://profiles.wordpress.org/macmanx/\">James Huff</a>, <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a>, <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a>, <a href=\"https://profiles.wordpress.org/janwoostendorp/\">janw.oostendorp</a>, <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a>, <a href=\"https://profiles.wordpress.org/evermail/\">Jason R. Johnston</a>, <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a>, <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a>, <a href=\"https://profiles.wordpress.org/jayupadhyay01/\">Jay Upadhyay</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a>, <a href=\"https://profiles.wordpress.org/teucrium/\">Jean-Philippe</a>, <a href=\"https://profiles.wordpress.org/jblz/\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a>, <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a>, <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a>, <a href=\"https://profiles.wordpress.org/jeremyescott/\">Jeremy Scott</a>, <a href=\"https://profiles.wordpress.org/jeremyyip/\">Jeremy Yip</a>, <a href=\"https://profiles.wordpress.org/amieiro/\">Jesús Amieiro</a>, <a href=\"https://profiles.wordpress.org/engelen/\">Jesper van Engelen</a>, <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a>, <a href=\"https://profiles.wordpress.org/jigneshnakrani/\">Jignesh Nakrani</a>, <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/joegasper/\">joegasper</a>, <a href=\"https://profiles.wordpress.org/joelcj91/\">Joel James</a>, <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/johnillo/\">John Espiritu</a>, <a href=\"https://profiles.wordpress.org/johnny5/\">John Godley</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/zenithcity/\">john zenith</a>, <a href=\"https://profiles.wordpress.org/lwangaman/\">JohnRDOrazio (CLPTE)</a>, <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a>, <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a>, <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a>, <a href=\"https://profiles.wordpress.org/josklever/\">Jos Klever</a>, <a href=\"https://profiles.wordpress.org/josephdickson/\">Joseph Dickson</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a>, <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a>, <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a>, <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a>, <a href=\"https://profiles.wordpress.org/juanruitina/\">juanruitina</a>, <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a>, <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a>, <a href=\"https://profiles.wordpress.org/junaidbhura/\">Junaid Bhura</a>, <a href=\"https://profiles.wordpress.org/nukaga/\">Junko Nukaga</a>, <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a>, <a href=\"https://profiles.wordpress.org/justindocanto/\">Justin DoCanto</a>, <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a>, <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a>, <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a>, <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a>, <a href=\"https://profiles.wordpress.org/kallookoo/\">kallookoo</a>, <a href=\"https://profiles.wordpress.org/akabarikalpesh/\">Kalpesh Akabari</a>, <a href=\"https://profiles.wordpress.org/kaneva/\">kaneva</a>, <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a>, <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a>, <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a>, <a href=\"https://profiles.wordpress.org/keoshi/\">keoshi</a>, <a href=\"https://profiles.wordpress.org/sourav926/\">Keramot UL Islam</a>, <a href=\"https://profiles.wordpress.org/kingkero/\">kero</a>, <a href=\"https://profiles.wordpress.org/gwwar/\">Kerry Liu</a>, <a href=\"https://profiles.wordpress.org/kevinfodness/\">Kevin Fodness</a>, <a href=\"https://profiles.wordpress.org/keyur5/\">keyur5</a>, <a href=\"https://profiles.wordpress.org/kharisblank/\">Kharis Sulistiyono</a>, <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a>, <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/vdwijngaert/\">Koen Van den Wijngaert</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/xkon/\">Konstantinos Xenos</a>, <a href=\"https://profiles.wordpress.org/kurudrive/\">kurudrive</a>, <a href=\"https://profiles.wordpress.org/kwisatz/\">kwisatz</a>, <a href=\"https://profiles.wordpress.org/devnel/\">Kyle Nel</a>, <a href=\"https://profiles.wordpress.org/kzeni/\">KZeni</a>, <a href=\"https://profiles.wordpress.org/lalitjalandhar/\">lalitjalandhar</a>, <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a>, <a href=\"https://profiles.wordpress.org/laxman-prajapati/\">Laxman Prajapati</a>, <a href=\"https://profiles.wordpress.org/leemon/\">leemon</a>, <a href=\"https://profiles.wordpress.org/leogermani/\">leogermani</a>, <a href=\"https://profiles.wordpress.org/lgladdy/\">Liam Gladdy</a>, <a href=\"https://profiles.wordpress.org/liammitchell/\">liammitchell</a>, <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a>, <a href=\"https://profiles.wordpress.org/linux4me2/\">linux4me2</a>, <a href=\"https://profiles.wordpress.org/webaxones/\">Loïc Antignac</a>, <a href=\"https://profiles.wordpress.org/loranrendel/\">Loran A. Rendel</a>, <a href=\"https://profiles.wordpress.org/karpstrucking/\">Lucas Karpiuk</a>, <a href=\"https://profiles.wordpress.org/lucasw89/\">lucasw89</a>, <a href=\"https://profiles.wordpress.org/lucatume/\">lucatume</a>, <a href=\"https://profiles.wordpress.org/zaguiini/\">Luis Felipe Zaguini</a>, <a href=\"https://profiles.wordpress.org/lukecarbis/\">Luke Carbis</a>, <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a>, <a href=\"https://profiles.wordpress.org/luovalabs/\">luovalabs</a>, <a href=\"https://profiles.wordpress.org/lynk/\">lynk</a>, <a href=\"https://profiles.wordpress.org/asif2bd/\">M Asif Rahman</a>, <a href=\"https://profiles.wordpress.org/gorby31/\">Madalin Gorbanescu</a>, <a href=\"https://profiles.wordpress.org/aetherunbound/\">Madison</a>, <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a>, <a href=\"https://profiles.wordpress.org/mai21/\">Mai</a>, <a href=\"https://profiles.wordpress.org/malae/\">Malae</a>, <a href=\"https://profiles.wordpress.org/malthert/\">malthert</a>, <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a>, <a href=\"https://profiles.wordpress.org/manishamakhija/\">Manisha Makhija</a>, <a href=\"https://profiles.wordpress.org/manzoorwanijk/\">Manzoor Wani</a>, <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a>, <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a>, <a href=\"https://profiles.wordpress.org/marekhrabe/\">Marek Hrabe</a>, <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a>, <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a>, <a href=\"https://profiles.wordpress.org/mark-k/\">Mark-k</a>, <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a>, <a href=\"https://profiles.wordpress.org/wetah/\">Mateus Machado Luna</a>, <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a>, <a href=\"https://profiles.wordpress.org/mhuntdesign/\">Matt</a>, <a href=\"https://profiles.wordpress.org/mattchowning/\">Matt Chowning</a>, <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a>, <a href=\"https://profiles.wordpress.org/mattwiebe/\">Matt Wiebe</a>, <a href=\"https://profiles.wordpress.org/mattoakley/\">mattoakley</a>, <a href=\"https://profiles.wordpress.org/wppunk/\">Max</a>, <a href=\"https://profiles.wordpress.org/max-dayala/\">MaxD</a>, <a href=\"https://profiles.wordpress.org/maximeculea/\">Maxime Culea</a>, <a href=\"https://profiles.wordpress.org/mclaurent/\">mclaurent</a>, <a href=\"https://profiles.wordpress.org/medusor/\">MEDUSOR</a>, <a href=\"https://profiles.wordpress.org/megphillips91/\">Meg Phillips</a>, <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a>, <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a>, <a href=\"https://profiles.wordpress.org/wpscholar/\">Micah Wood</a>, <a href=\"https://profiles.wordpress.org/mdawaffe/\">Michael Adams (mdawaffe)</a>, <a href=\"https://profiles.wordpress.org/tw2113/\">Michael Beckwith</a>, <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a>, <a href=\"https://profiles.wordpress.org/mnelson4/\">Michael Nelson</a>, <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a>, <a href=\"https://profiles.wordpress.org/michelwppi/\">Michel &#8211; xiligroup dev</a>, <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a>, <a href=\"https://profiles.wordpress.org/mikaelmayer/\">mikaelmayer</a>, <a href=\"https://profiles.wordpress.org/mikejolley/\">Mike Jolley (a11n)</a>, <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/dimadin/\">Milan Dinić</a>, <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a>, <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a>, <a href=\"https://profiles.wordpress.org/0mirka00/\">mirka</a>, <a href=\"https://profiles.wordpress.org/mjaschen/\">mjaschen</a>, <a href=\"https://profiles.wordpress.org/mjulian7/\">mjulian7</a>, <a href=\"https://profiles.wordpress.org/mmxxi/\">mmxxi</a>, <a href=\"https://profiles.wordpress.org/moch11/\">moch11</a>, <a href=\"https://profiles.wordpress.org/opurockey/\">Mohammad Rockeybul Alam</a>, <a href=\"https://profiles.wordpress.org/mt8biz/\">moto hachi</a>, <a href=\"https://profiles.wordpress.org/computerguru/\">mqudsi</a>, <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a>, <a href=\"https://profiles.wordpress.org/mrjoeldean/\">mrjoeldean</a>, <a href=\"https://profiles.wordpress.org/mtoensing/\">mtoensing</a>, <a href=\"https://profiles.wordpress.org/wparslan/\">Muhammad Arslan</a>, <a href=\"https://profiles.wordpress.org/muhammadfaizanhaidar/\">Muhammad Faizan Haidar</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/musabshakeel/\">Musab Shakeel</a>, <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a>, <a href=\"https://profiles.wordpress.org/assassinateur/\">Nadir Seghir</a>, <a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\">Nalini Thakor</a>, <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a>, <a href=\"https://profiles.wordpress.org/nao/\">Naoko Takano</a>, <a href=\"https://profiles.wordpress.org/natewr/\">NateWr</a>, <a href=\"https://profiles.wordpress.org/greatislander/\">Ned Zimmerman</a>, <a href=\"https://profiles.wordpress.org/nettsite/\">NettSite</a>, <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a>, <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nickcernis/\">nickcernis</a>, <a href=\"https://profiles.wordpress.org/nico23/\">Nico</a>, <a href=\"https://profiles.wordpress.org/jainnidhi/\">Nidhi Jain</a>, <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a>, <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a>, <a href=\"https://profiles.wordpress.org/nikschavan/\">Nikhil Chavan</a>, <a href=\"https://profiles.wordpress.org/nlpro/\">nlpro</a>, <a href=\"https://profiles.wordpress.org/ockham/\">ockham</a>, <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a>, <a href=\"https://profiles.wordpress.org/domainsupport/\">Oliver Campion</a>, <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a>, <a href=\"https://profiles.wordpress.org/omarreiss/\">Omar Reiss</a>, <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a>, <a href=\"https://profiles.wordpress.org/ellenbauer/\">Outzen Larkin</a>, <a href=\"https://profiles.wordpress.org/ov3rfly/\">Ov3rfly</a>, <a href=\"https://profiles.wordpress.org/ovann86/\">ovann86</a>, <a href=\"https://profiles.wordpress.org/ovidiul/\">ovidiul</a>, <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a>, <a href=\"https://profiles.wordpress.org/pablohoneyhoney/\">Pablo Honey</a>, <a href=\"https://profiles.wordpress.org/iaaxpage/\">page-carbajal</a>, <a href=\"https://profiles.wordpress.org/palmiak/\">palmiak</a>, <a href=\"https://profiles.wordpress.org/pankajmohale/\">Pankaj Mohale</a>, <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/patrick-b/\">Patrick B</a>, <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a>, <a href=\"https://profiles.wordpress.org/pabline/\">Paul Bunkham</a>, <a href=\"https://profiles.wordpress.org/rixeo/\">Paul Kevin</a>, <a href=\"https://profiles.wordpress.org/paulschreiber/\">Paul Schreiber</a>, <a href=\"https://profiles.wordpress.org/pschrottky/\">Paul Von Schrottky</a>, <a href=\"https://profiles.wordpress.org/psrpinto/\">Paulo Pinto</a>, <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a>, <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendonça</a>, <a href=\"https://profiles.wordpress.org/pputzer/\">pepe</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walbø Johnsgård</a>, <a href=\"https://profiles.wordpress.org/johnstonphilip/\">Phil Johnston</a>, <a href=\"https://profiles.wordpress.org/philipmjackson/\">Philip Jackson</a>, <a href=\"https://profiles.wordpress.org/pierlo/\">Pierre Gordon</a>, <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a>, <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a>, <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a>, <a href=\"https://profiles.wordpress.org/powerbuoy/\">powerbuoy</a>, <a href=\"https://profiles.wordpress.org/praem90/\">praem90</a>, <a href=\"https://profiles.wordpress.org/promz/\">Pramod Jodhani</a>, <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/presstoke/\">presstoke</a>, <a href=\"https://profiles.wordpress.org/procodewp/\">procodewp</a>, <a href=\"https://profiles.wordpress.org/psealock/\">psealock</a>, <a href=\"https://profiles.wordpress.org/psufan/\">psufan</a>, <a href=\"https://profiles.wordpress.org/pwtyler/\">pwtyler</a>, <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/radixweb/\">Radixweb</a>, <a href=\"https://profiles.wordpress.org/rtm909/\">Rahul Mehta</a>, <a href=\"https://profiles.wordpress.org/ralucastn/\">ralucastn</a>, <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a>, <a href=\"https://profiles.wordpress.org/ramonopoly/\">ramonopoly</a>, <a href=\"https://profiles.wordpress.org/ravipatel/\">ravipatel</a>, <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a>, <a href=\"https://profiles.wordpress.org/renathoc/\">Renatho (a11n)</a>, <a href=\"https://profiles.wordpress.org/retrofox/\">retrofox</a>, <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/rianrietveld/\">Rian Rietveld</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, <a href=\"https://profiles.wordpress.org/richardfoley/\">Richard Foley</a>, <a href=\"https://profiles.wordpress.org/richards1052/\">richards1052</a>, <a href=\"https://profiles.wordpress.org/rickcurran/\">Rick Curran</a>, <a href=\"https://profiles.wordpress.org/rbrishabh/\">Rishabh Budhiraja</a>, <a href=\"https://profiles.wordpress.org/saju4wordpress/\">Riyadh Ahmed</a>, <a href=\"https://profiles.wordpress.org/rmartinezduque/\">rmartinezduque</a>, <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a>, <a href=\"https://profiles.wordpress.org/robertghetau/\">robertght</a>, <a href=\"https://profiles.wordpress.org/robtarr/\">robtarr</a>, <a href=\"https://profiles.wordpress.org/kreppar/\">Rodrigo Arias</a>, <a href=\"https://profiles.wordpress.org/rohan013/\">Rohan Rawat</a>, <a href=\"https://profiles.wordpress.org/rhnsharma/\">Rohan Sharma</a>, <a href=\"https://profiles.wordpress.org/ronakganatra/\">Ronak Ganatra</a>, <a href=\"https://profiles.wordpress.org/rkohilakis/\">Roxy Kohilakis</a>, <a href=\"https://profiles.wordpress.org/russhylov/\">Ruslan</a>, <a href=\"https://profiles.wordpress.org/rviscomi/\">rviscomi</a>, <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a>, <a href=\"https://profiles.wordpress.org/skierpage/\">S Page</a>, <a href=\"https://profiles.wordpress.org/sebastienserre/\">Sébastien SERRE</a>, <a href=\"https://profiles.wordpress.org/soean/\">Sören Wrede</a>, <a href=\"https://profiles.wordpress.org/sabbirshouvo/\">Sabbir Hasan</a>, <a href=\"https://profiles.wordpress.org/sabrib/\">Sabri Bouchaala</a>, <a href=\"https://profiles.wordpress.org/zeo/\">Safirul Alredha</a>, <a href=\"https://profiles.wordpress.org/solarissmoke/\">Samir Shah</a>, <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a>, <a href=\"https://profiles.wordpress.org/sandipmondal/\">Sandip Mondal &#8211; a11n</a>, <a href=\"https://profiles.wordpress.org/sanketchodavadiya/\">Sanket Chodavadiya</a>, <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a>, <a href=\"https://profiles.wordpress.org/sarayourfriend/\">sarayourfriend</a>, <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a>, <a href=\"https://profiles.wordpress.org/savicmarko1985/\">savicmarko1985</a>, <a href=\"https://profiles.wordpress.org/sayedulsayem/\">Sayedul Sayem</a>, <a href=\"https://profiles.wordpress.org/swb1192/\">Scott Buscemi</a>, <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a>, <a href=\"https://profiles.wordpress.org/scruffian/\">scruffian</a>, <a href=\"https://profiles.wordpress.org/seanmcmillan/\">Sean McMillan</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/omaeyusuke/\">Segayuu</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/sergiocinos/\">Sergio Cinos</a>, <a href=\"https://profiles.wordpress.org/sergioestevao/\">SergioEstevao</a>, <a href=\"https://profiles.wordpress.org/shaharyar10/\">Shaharyar Afzal</a>, <a href=\"https://profiles.wordpress.org/shaunandrews/\">shaunandrews</a>, <a href=\"https://profiles.wordpress.org/shohag121/\">Shazahanul Islam Shohag</a>, <a href=\"https://profiles.wordpress.org/shimon246/\">shimon246</a>, <a href=\"https://profiles.wordpress.org/shital-patel/\">Shital Marakana</a>, <a href=\"https://profiles.wordpress.org/shivapoudel/\">Shiva Poudel</a>, <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth</a>, <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a>, <a href=\"https://profiles.wordpress.org/siliconforks/\">siliconforks</a>, <a href=\"https://profiles.wordpress.org/simonhammes/\">simonhammes</a>, <a href=\"https://profiles.wordpress.org/siobhyb/\">Siobhan</a>, <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a>, <a href=\"https://profiles.wordpress.org/sirreal/\">sirreal</a>, <a href=\"https://profiles.wordpress.org/sjlevy/\">sjlevy</a>, <a href=\"https://profiles.wordpress.org/skunkbad/\">skunkbad</a>, <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a>, <a href=\"https://profiles.wordpress.org/snapfractalpop/\">snapfractalpop</a>, <a href=\"https://profiles.wordpress.org/sourovroy/\">Sourov Roy</a>, <a href=\"https://profiles.wordpress.org/spytzo/\">spytzo</a>, <a href=\"https://profiles.wordpress.org/ssergei/\">ssergei</a>, <a href=\"https://profiles.wordpress.org/stacimc/\">stacimc</a>, <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a>, <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a>, <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a>, <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/strider72/\">Stephen Rider</a>, <a href=\"https://profiles.wordpress.org/dufresnesteven/\">Steve Dufresne</a>, <a href=\"https://profiles.wordpress.org/stevehenty/\">Steve Henty</a>, <a href=\"https://profiles.wordpress.org/stevegs/\">stevegs</a>, <a href=\"https://profiles.wordpress.org/stormrockwell/\">Storm Rockwell</a>, <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a>, <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a>, <a href=\"https://profiles.wordpress.org/szaqal21/\">szaqal21</a>, <a href=\"https://profiles.wordpress.org/tacoverdo/\">Taco Verdonschot</a>, <a href=\"https://profiles.wordpress.org/takahashi_fumiki/\">Takahashi Fumiki</a>, <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/sparklingrobots/\">Tara King</a>, <a href=\"https://profiles.wordpress.org/tareiking/\">Tarei King</a>, <a href=\"https://profiles.wordpress.org/tellyworth/\">Tellyworth</a>, <a href=\"https://profiles.wordpress.org/terraling/\">terraling</a>, <a href=\"https://profiles.wordpress.org/terriann/\">Terri Ann</a>, <a href=\"https://profiles.wordpress.org/wildworks/\">Tetsuaki Hamano</a>, <a href=\"https://profiles.wordpress.org/themiked/\">theMikeD</a>, <a href=\"https://profiles.wordpress.org/tweetythierry/\">Thierry Muller</a>, <a href=\"https://profiles.wordpress.org/thulshof/\">Thijs Hulshof</a>, <a href=\"https://profiles.wordpress.org/thimalw/\">Thimal Wickremage</a>, <a href=\"https://profiles.wordpress.org/thisiswilliam/\">thisiswilliam</a>, <a href=\"https://profiles.wordpress.org/thomasplevy/\">Thomas Patrick Levy</a>, <a href=\"https://profiles.wordpress.org/timlappe/\">timlappe</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/titsmaker/\">titsmaker</a>, <a href=\"https://profiles.wordpress.org/tjcafferkey/\">tjcafferkey</a>, <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a>, <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a>, <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a>, <a href=\"https://profiles.wordpress.org/tomalec/\">Tomek</a>, <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a>, <a href=\"https://profiles.wordpress.org/starbuck/\">Tony G</a>, <a href=\"https://profiles.wordpress.org/ttahmouch/\">Tony Tahmouch</a>, <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a>, <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a>, <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a>, <a href=\"https://profiles.wordpress.org/sierratr/\">Tracy</a>, <a href=\"https://profiles.wordpress.org/travisnorthcutt/\">Travis Northcutt</a>, <a href=\"https://profiles.wordpress.org/tubys/\">tubys</a>, <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a>, <a href=\"https://profiles.wordpress.org/twstokes/\">twstokes</a>, <a href=\"https://profiles.wordpress.org/desaiuditd/\">Udit Desai</a>, <a href=\"https://profiles.wordpress.org/umesh84/\">umesh84</a>, <a href=\"https://profiles.wordpress.org/devutpol/\">Utpol Deb Nath</a>, <a href=\"https://profiles.wordpress.org/webulous/\">Venkat Raj</a>, <a href=\"https://profiles.wordpress.org/versusbassz/\">versusbassz</a>, <a href=\"https://profiles.wordpress.org/bartoszgrzesik/\">verybg</a>, <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a>, <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Szépe</a>, <a href=\"https://profiles.wordpress.org/vishitshah/\">Vishit Shah</a>, <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a>, <a href=\"https://profiles.wordpress.org/vondelphia/\">Vondelphia.com</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, <a href=\"https://profiles.wordpress.org/wb1234/\">wb1234</a>, <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design | Oliver Juhas</a>, <a href=\"https://profiles.wordpress.org/west7/\">Wes Theron</a>, <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/wfmattr/\">WFMattR</a>, <a href=\"https://profiles.wordpress.org/skorasaurus/\">Will Skora</a>, <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a>, <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a>, <a href=\"https://profiles.wordpress.org/wojsmol/\">wojsmol</a>, <a href=\"https://profiles.wordpress.org/woodyhayday/\">woodyhayday</a>, <a href=\"https://profiles.wordpress.org/wp_kc/\">wp_kc</a>, <a href=\"https://profiles.wordpress.org/wpnomad/\">wpnomad a11n</a>, <a href=\"https://profiles.wordpress.org/wpweaver/\">wpweaver</a>, <a href=\"https://profiles.wordpress.org/yagniksangani/\">Yagnik Sangani</a>, <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a>, <a href=\"https://profiles.wordpress.org/yvettesonneveld/\">Yvette Sonneveld</a>, <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a>, and <a href=\"https://profiles.wordpress.org/zoiec/\">zoiec</a>.</p>\n\n\n\n<p>Lors de la publication de ce communiqué de presse officiel, WordPress 5.9 est déjà disponible dans 71 langues ayant traduit 90&nbsp;% ou plus de la version. Les traductrices et traducteurs de la communauté travaillent dur pour vous permettre d’utiliser WordPress dans votre langue natale.</p>\n\n\n\n<p>Merci en particulier à toutes les personnes qui ont aidé à traduire WordPress 5.9 en français&nbsp;:</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/jdy68\">Jenny Dupuy</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/fxbenard\">FX Bénard</a>, <a href=\"https://profiles.wordpress.org/wolforg\">Didier Demory</a>, <a href=\"https://profiles.wordpress.org/arpe5\">Arpe5</a>,&nbsp;<a href=\"https://profiles.wordpress.org/btpub\">Bruno Tritsch</a>,&nbsp;<a href=\"https://profiles.wordpress.org/chouby\">Chouby</a>,&nbsp;<a href=\"https://profiles.wordpress.org/clementpolito\">Clément Polito</a>,&nbsp;<a href=\"https://profiles.wordpress.org/eddystile\">Eddy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/emlebrun\">Emilie LEBRUN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/guerneves\">guerneves</a>,&nbsp;<a href=\"https://profiles.wordpress.org/juliobox\">Julio Potier</a>,&nbsp;<a href=\"https://profiles.wordpress.org/webaxones\">Loïc Antignac</a>,&nbsp;<a href=\"https://profiles.wordpress.org/oellin\">Magali</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nuryko\">Marianna</a>,&nbsp;<a href=\"https://profiles.wordpress.org/chaton666\">Marie Comet</a>,&nbsp;<a href=\"https://profiles.wordpress.org/marineevain\">Marine EVAIN</a>,&nbsp;<a href=\"https://profiles.wordpress.org/nicolasricher\">Nicolas Richer</a>,&nbsp;<a href=\"https://profiles.wordpress.org/larrach\">Rachel Peter</a>,&nbsp;<a href=\"https://profiles.wordpress.org/sebastienserre\">Sébastien SERRE</a>,&nbsp;<a href=\"https://profiles.wordpress.org/spaceshipone\">Timothée Brosille</a>,&nbsp;<a href=\"https://profiles.wordpress.org/valer1e\">valer1e</a>,&nbsp;<a href=\"https://profiles.wordpress.org/weartdevelopment\">WeArt Development</a>, et&nbsp;<a href=\"https://profiles.wordpress.org/wplmillet\">wplmillet</a>.</p>\n\n\n\n<p>Merci également aux personnes qui contribuent bénévolement aux <a href=\"https://wordpress.org/support/\">forums de support officiels</a>. Elles répondent aux questions que se posent les gens qui utilisent WordPress partout dans le monde. Cela entretien le succès de WordPress depuis la toute première version sortie en 2003.</p>\n\n\n\n<p><em>Si vous souhaitez contribuer à WordPress, nous vous invitons à découvrir le fonctionnement de ce CMS open source sur le site <a href=\"https://make.wordpress.org/\">Make WordPress</a> et à en savoir plus sur le fonctionnement de l’équipe cœur de WP sur son <a href=\"https://make.wordpress.org/core/\">blog de développement</a>.</em></p>\n\n\n\n<p>Bonne mise à jour&nbsp;!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://fr.wordpress.org/2022/01/25/wordpress-5-9/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"WordPress 5.9 : documentation en français des fonctionnalités de l’éditeur de site\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://fr.wordpress.org/2022/01/17/wordpress-5-9-documentation-en-francais-des-fonctionnalites-de-lediteur-de-site/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:125:\"https://fr.wordpress.org/2022/01/17/wordpress-5-9-documentation-en-francais-des-fonctionnalites-de-lediteur-de-site/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 17 Jan 2022 15:40:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Documentation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://fr.wordpress.org/?p=2304\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:374:\"À quelques jours de la sortie de WordPress 5.9 (prévue mardi 25 janvier 2022), l’équipe de documentation de WordPress en français vient de publier de nouveaux contenus afin de documenter les nouveautés de cette version. Ces pages de documentation sont enrichies de nombreuses captures d’écran et de quelques vidéos, et sont en particulier destinées aux [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Jenny Dupuy\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3539:\"\n<p>À quelques jours de la sortie de WordPress 5.9 (prévue mardi 25 janvier 2022), l’équipe de documentation de WordPress en français vient de publier de nouveaux contenus afin de documenter les nouveautés de cette version.</p>\n\n\n\n<span id=\"more-2304\"></span>\n\n\n\n<p>Ces pages de documentation sont enrichies de nombreuses captures d’écran et de quelques vidéos, et sont en particulier destinées aux profils de webmasters.</p>\n\n\n\n<p>Si vous avez un profil plus technique nous vous conseillons également la lecture de <a href=\"https://fr.wordpress.org/2022/01/12/guide-des-changements-techniques-a-venir-sur-wordpress-5-9/\" data-type=\"post\" data-id=\"2264\">cet article détaillant les changements techniques à venir sur WordPress 5.9</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"la-fonctionnalite-d-edition-complete-de-site-full-site-editing\">La fonctionnalité d’édition complète de site (<em>full site editing</em>)</h2>\n\n\n\n<p>Avec WordPress 5.9, de nouvelles fonctionnalités font leur apparition dans votre éditeur et vont vous permettre de modifier l’apparence et la mise en page de l’ensemble de votre site (vous retrouverez souvent ce concept sous son appellation anglophone <em>full site editing</em>), de l’en-tête au pied de page, en passant par la création de vos propres modèles de pages personnalisés.</p>\n\n\n\n<p>Avec ces nouvelles pages de documentation, vous pourrez avoir une connaissance plus précise de ce que propose l’<a href=\"https://fr.wordpress.org/support/article/site-editor/\">éditeur de site</a>, de ce que sont les <a href=\"https://fr.wordpress.org/support/article/theme-base-sur-des-blocs/\">thèmes basés sur des blocs</a>, mais aussi avoir une <a href=\"https://fr.wordpress.org/support/article/styles-overview/\">vue d’ensemble des styles globaux</a>, de comprendre comment utiliser <a href=\"https://fr.wordpress.org/support/article/template-editor/\">l’éditeur de modèles</a>, et de prendre en main les nouveaux blocs avancés&nbsp;: le <a href=\"https://fr.wordpress.org/support/article/navigation-block/\">bloc Navigation</a>, le <a href=\"https://fr.wordpress.org/support/article/template-part-block/\">bloc Élément de modèle</a>, ou encore le <a href=\"https://fr.wordpress.org/support/article/query-loop-block/\">bloc Boucle de requête</a>.</p>\n\n\n\n<p>Vous retrouverez toutes ces pages dans la nouvelle catégorie <a href=\"https://fr.wordpress.org/support/category/editeur-de-site/\">Éditeur de site</a> au sein de la documentation officielle de WordPress en français.</p>\n\n\n\n<p>Merci à toutes les personnes qui ont contribué à l’écriture ou à la relecture de ces nouvelles pages de documentation&nbsp;: <a href=\"https://profiles.wordpress.org/jdy68\">Jenny Dupuy</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/pasglop\">Patrick Olivaud</a>, <a href=\"https://profiles.wordpress.org/chaton666\">Marie Comet</a>, <a href=\"https://profiles.wordpress.org/wolforg\">Didier Demory</a>, <a href=\"https://profiles.wordpress.org/webaxones\">Loïc Antignac</a> et <a href=\"https://profiles.wordpress.org/valer1e/\">Valérie Galassi</a>.</p>\n\n\n\n<p>Si vous avez des suggestions d’améliorations et de corrections, vous pouvez rejoindre l’équipe de documentation de WordPress en français sur le <a href=\"https://wpfr.net/slack\">Slack WordPress francophone</a>, canal <code>#documentation-fr</code>.</p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">Communiqué co-rédigé par Jenny Dupuy et Jb Audras</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"https://fr.wordpress.org/2022/01/17/wordpress-5-9-documentation-en-francais-des-fonctionnalites-de-lediteur-de-site/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:35:\"https://fr.wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:10:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 08 Jun 2023 07:16:18 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Mon, 05 Jun 2023 01:05:22 GMT\";s:4:\"link\";s:61:\"<https://fr.wordpress.org/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 2\";}}s:5:\"build\";s:14:\"20230509133115\";}", "no");
INSERT INTO `wp_options` VALUES("6780", "_transient_timeout_feed_mod_48c2a7450ae14f12ef8a9b58ca9f0748", "1686251778", "no");
INSERT INTO `wp_options` VALUES("6781", "_transient_feed_mod_48c2a7450ae14f12ef8a9b58ca9f0748", "1686208578", "no");
INSERT INTO `wp_options` VALUES("6778", "_transient_timeout_feed_48c2a7450ae14f12ef8a9b58ca9f0748", "1686251778", "no");
INSERT INTO `wp_options` VALUES("6779", "_transient_feed_48c2a7450ae14f12ef8a9b58ca9f0748", "a:4:{s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"feed\";a:1:{i:0;a:6:{s:4:\"data\";s:126:\"\n    \n    \n    \n    \n    \n    \n\n        \n        \n        \n        \n        \n        \n        \n        \n        \n        \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Planet WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"subtitle\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Planet WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:36:\"https://rss.wpfr.net/feed/wp-planet/\";s:3:\"rel\";s:4:\"self\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"https://rss.wpfr.net/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"2023-06-08T07:17:32+00:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"\n        WP RSS Aggregator\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:3:\"uri\";s:27:\"https://wprssaggregator.com\";s:7:\"version\";s:6:\"4.23.1\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"entry\";a:10:{i:0;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"https://wpmarmite.com/all-in-one-seo/?utm_source=rss&#038;utm_medium=rss&%23038;utm_campaign=all-in-one-seo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"All in One SEO peut-il devenir votre plugin de référencement numéro un ?\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:107:\"https://wpmarmite.com/all-in-one-seo/?utm_source=rss&#038;utm_medium=rss&%23038;utm_campaign=all-in-one-seo\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-06-06T08:00:00.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-06-06T08:00:00.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:393:\"« Simple », « puissante » et « conviviale » pour les débutants. Tel est le portrait robot dressé par les concepteurs de ce plugin de référencement naturel.  À votre avis, qui se cache derrière tout ça ? Vous mettez...\nAll in One SEO peut-il devenir votre plugin de référencement numéro un ? est un article de WPMarmite, le blog qui vous aide à tirer le meilleur de WordPress.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:727:\"\n        <p><img width=\"1500\" height=\"830\" src=\"https://wpmarmite.com/wp-content/uploads/2023/06/cover-aioseo.jpg\" class=\"attachment-full size-full wp-post-image\" alt=\"All in One SEO\" //></p>\n<p>« Simple », « puissante » et « conviviale » pour les débutants. Tel est le portrait robot dressé par les concepteurs de ce plugin de référencement naturel.&nbsp; À votre avis, qui se cache derrière tout ça ? Vous mettez...</p>\n<p><a rel=\"nofollow\" href=\"https://wpmarmite.com/all-in-one-seo/\">All in One SEO peut-il devenir votre plugin de référencement numéro un ?</a> est un article de <a rel=\"nofollow\" href=\"https://wpmarmite.com\">WPMarmite</a>, le blog qui vous aide à tirer le meilleur de WordPress.</p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"Thibaut &amp;#124; WPMarmite\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"http://feedpress.me/WPMarmite\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"WP Marmite\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:1;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://kinsta.com/fr/blog/authentification-laravel-breeze/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"Authentification dans Laravel avec Breeze\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:59:\"https://kinsta.com/fr/blog/authentification-laravel-breeze/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-06-02T08:55:34.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-06-02T08:55:34.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:258:\"Cet article présente les caractéristiques de Laravel Breeze, le compare à d’autres kits de démarrage Laravel et vous guide tout au long du processus d’installation. En ...\nThe post Authentification dans Laravel avec Breeze appeared first on Kinsta®.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:427:\"\n        <p>Cet article présente les caractéristiques de Laravel Breeze, le compare à d’autres kits de démarrage Laravel et vous guide tout au long du processus d’installation. En ...</p>\n<p>The post <a rel=\"nofollow\" href=\"https://kinsta.com/fr/blog/authentification-laravel-breeze/\">Authentification dans Laravel avec Breeze</a> appeared first on <a rel=\"nofollow\" href=\"https://kinsta.com/fr\">Kinsta®</a>.</p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"aprodilles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://kinsta.com/fr/blog/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Kinsta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:2;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://www.whodunit.fr/woa-22-hebergeurs-et-greenwashing/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"WOA ! #22 Hébergeurs et greenwashing\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:58:\"https://www.whodunit.fr/woa-22-hebergeurs-et-greenwashing/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-26T08:48:52.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-26T08:48:52.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:805:\"Dans cet épisode de notre podcast, nous abordons l\'importance de la sécurité et des sauvegardes pour les sites WordPress, ainsi que la nouvelle fonctionnalité de notifications qui arrivera prochainement avec WordPress 6.3. De plus, nous vous présentons une édition spéciale d\'un magazine entièrement consacré à WordPress ! Nous avons le plaisir d\'accueillir Pierre Lannoy, expert en hébergement éthique et responsable et créateur d\'HOSTERRA, à notre conversation. Ensemble, nous dévoilons les pratiques trompeuses de greenwashing dans l\'industrie de l\'hébergement WordPress et leur impact néfaste sur l\'environnement, tout en fournissant des informations sur des alternatives durables.\nL’article WOA ! #22 Hébergeurs et greenwashing est apparu en premier sur Agence WordPress Whodunit.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:8807:\"\n        \n<h2 class=\"wp-block-heading\" data-block-type=\"core\"><strong>Protéger votre site WordPress et choisir un hébergement éco-responsable: Pierre Lannoy nous dévoile la face cachée du greenwashing dans l&#8217;industrie</strong></h2>\n\n\n\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-ecoutez-le-podcast-sur\" data-block-type=\"core\">Ecoutez le podcast sur </h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-5\" data-block-type=\"core\">\n<div class=\"wp-block-column is-layout-flow\" data-block-type=\"core\">\n<figure class=\"wp-block-image size-large\" data-block-type=\"core\"><a href=\"https://podcasts.apple.com/fr/podcast/woa-wordpress-on-air/id1482779414\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"https://www.whodunit.fr/wp-content/uploads/2019/10/apple-podcasts-e1571142591535.jpg\" alt=\"\" class=\"wp-image-66447\" //></a></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" data-block-type=\"core\">\n<figure class=\"wp-block-image size-large\" data-block-type=\"core\"><a href=\"https://open.spotify.com/show/5rEMqG2cyoKYxpTTUAKSPp\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"https://www.whodunit.fr/wp-content/uploads/2019/10/unknown.png\" alt=\"\" class=\"wp-image-66448\" //></a></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" data-block-type=\"core\">\n<figure class=\"wp-block-image size-large\" data-block-type=\"core\"><a href=\"https://www.deezer.com/fr/show/586602\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"https://www.whodunit.fr/wp-content/uploads/2019/10/deezer-1024x196.png\" alt=\"\" class=\"wp-image-66449\" //></a></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" data-block-type=\"core\">\n<figure class=\"wp-block-image size-large\" data-block-type=\"core\"><a href=\"http://podplayer.net/?podId=2447675\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"https://www.whodunit.fr/wp-content/uploads/2019/10/podcast-addict-for-windows-pc.jpg\" alt=\"\" class=\"wp-image-66450\" //></a></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-image-fill\" style=\"grid-template-columns:31% auto\" data-block-type=\"core\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/pierre_400x400-1080x1080.jpg);background-position:55% 45%\"><img loading=\"lazy\" width=\"1080\" height=\"1080\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/05/pierre_400x400-1080x1080.jpg\" alt=\"\" class=\"wp-image-75786 size-full\" //></figure><div class=\"wp-block-media-text__content\">\n<p>Dans cet épisode de notre podcast, nous abordons l&#8217;importance de la sécurité et des sauvegardes pour les sites WordPress, ainsi que la nouvelle fonctionnalité de notifications qui arrivera prochainement avec WordPress 6.3. De plus, nous vous présentons une édition spéciale d&#8217;un magazine entièrement consacré à WordPress ! Nous avons le plaisir d&#8217;accueillir <strong>Pierre Lannoy</strong>, expert en hébergement éthique et responsable et créateur d&#8217;HOSTERRA, à notre conversation. Ensemble, nous dévoilons les pratiques trompeuses de greenwashing dans l&#8217;industrie de l&#8217;hébergement WordPress et leur impact néfaste sur l&#8217;environnement, tout en fournissant des informations sur des alternatives durables.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-image-fill\" data-block-type=\"core\"><div class=\"wp-block-media-text__content\">\n<p>Dans cet interview, nous explorons les différentes méthodes de refroidissement innovantes pour les data centers, les indicateurs d&#8217;efficacité tels que le PUE (Power Usage Effectiveness) et le WUE (Water Usage Effectiveness) et les moyens d&#8217;utiliser les énergies renouvelables. Pierre et moi discutons également du rôle essentiel de la transparence dans la mesure et l&#8217;amélioration de la durabilité des data centers, des complexités liées à la réutilisation de l&#8217;eau dans les centres de données et de la responsabilité des fournisseurs et des clients à créer un environnement plus efficace et éco-responsable. Rejoignez-nous dans cette conversation éclairante et donnez-vous les moyens de faire des choix plus responsables en matière de solutions d&#8217;hébergement.</p>\n</div><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/image.jpeg);background-position:50% 50%\"><img loading=\"lazy\" width=\"960\" height=\"640\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/05/image.jpeg\" alt=\"\" class=\"wp-image-75787 size-full\" //></figure></div>\n\n\n\n<hr data-block-type=\"core\"/>\n\n\n\n<p><strong>Sommaire de l&#8217;épisode :</strong></p>\n\n\n\n<p>⏱️ 00:58 &#8211; Le chiffre du jour sur la sécurité</p>\n\n\n\n<p>⏱️ 02:12 &#8211; Les nouveauté WordPress : Notifications dans l’admin WP</p>\n\n\n\n<p>⏱️ 03:16 &#8211; Les nouveauté WordPress : Backup des extensions avant mise à jour</p>\n\n\n\n<p>⏱️ 03 : 48 &#8211; Insolite : Magazine papier sur WordPress</p>\n\n\n\n<p>⏱️ 04:22 &#8211; Droit : Utilisation de la marque WordPress</p>\n\n\n\n<p>⏱️05:02 &#8211; Dossier du jour : Hébergeurs et greenwashing</p>\n\n\n\n<p>⏱️ 35:55 &#8211; Merci à la communauté WP</p>\n\n\n\n<p>Voici quelques points forts de l&#8217;interview :</p>\n\n\n\n<ul data-block-type=\"core\">\n<li data-block-type=\"core\">Les pratiques de greenwashing dans l&#8217;industrie de l&#8217;hébergement WordPress</li>\n\n\n\n<li data-block-type=\"core\">Les défis environnementaux liés aux data centers traditionnels</li>\n\n\n\n<li data-block-type=\"core\">Les méthodes de refroidissement innovantes pour les data centers, telles que l&#8217;immersion et le refroidissement adiabatique</li>\n\n\n\n<li data-block-type=\"core\">L&#8217;utilisation des indicateurs PUE et WUE pour mesurer l&#8217;efficacité des centres de données</li>\n\n\n\n<li data-block-type=\"core\">La transparence dans la mesure et l&#8217;amélioration de la durabilité des data centers</li>\n\n\n\n<li data-block-type=\"core\">Les complexités de la réutilisation de l&#8217;eau dans les centres de données</li>\n\n\n\n<li data-block-type=\"core\">La responsabilité des fournisseurs et des clients à créer un environnement plus efficace et éco-responsable</li>\n</ul>\n\n\n\n<p>Ne manquez pas cet épisode passionnant et instructif pour vous aider à faire des choix éclairés et responsables en matière d&#8217;hébergement web. Écoutez dès maintenant et découvrez comment protéger votre site WordPress et choisir un hébergement éco-responsable !</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-les-liens-de-l-emission\" data-block-type=\"core\">Les liens de l&#8217;émission</h2>\n\n\n\n<ul data-block-type=\"core\">\n<li data-block-type=\"core\"><a href=\"https://www.ibm.com/fr-fr/reports/data-breach?utm_content=SRCWW&amp;p1=Search&amp;p4=43700075504168505&amp;p5=e&amp;gclid=Cj0KCQjwjryjBhD0ARIsAMLvnF9Wsrn0tYEX5Aj5ck5TpQH1O2QZd8oc4fgxGg9rhteI72CxzJAEEZMaAvypEALw_wcB&amp;gclsrc=aw.ds\" target=\"_blank\" rel=\"noreferrer noopener\">Coût d’une violation de données en 2022 (IBM)</a></li>\n\n\n\n<li data-block-type=\"core\"><a href=\"https://make.wordpress.org/core/2023/04/25/wp-feature-notifications-2023-status-update/\" target=\"_blank\" rel=\"noreferrer noopener\">Roadmap pour les notifications en admin</a></li>\n\n\n\n<li data-block-type=\"core\"><a href=\"https://make.wordpress.org/core/6-3/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress 6.3 Development Cycle</a></li>\n\n\n\n<li data-block-type=\"core\"><a href=\"https://hosterra.eu/?language=french\" target=\"_blank\" rel=\"noreferrer noopener\">Hosterra</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-j-attends-vos-retours-avec-impatience\" data-block-type=\"core\">J&#8217;attends vos retours avec impatience !</h2>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile\" style=\"grid-template-columns:20% auto\" data-block-type=\"core\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" width=\"1080\" height=\"1080\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/05/template-carre-1080x1080.jpg\" alt=\"\" class=\"wp-image-75791 size-full\" //></figure><div class=\"wp-block-media-text__content\">\n<p>N&#8217;hésitez pas à laisser un commentaire, ça nous fera plaisir et surtout ça nous aidera à nous améliorer.</p>\n\n\n\n<p>Vous souhaitez intervenir ? Envoyez un mail à eddy@whodunit.fr ou rejoignez-moi sur LinkedIn <a href=\"https://www.linkedin.com/in/eddy-boels/\" target=\"_blank\" rel=\"noreferrer noopener\">https://www.linkedin.com/in/eddy-boels/</a> pour en discuter.</p>\n</div></div>\n<p>L’article <a rel=\"nofollow\" href=\"https://www.whodunit.fr/woa-22-hebergeurs-et-greenwashing/\">WOA ! #22 Hébergeurs et greenwashing</a> est apparu en premier sur <a rel=\"nofollow\" href=\"https://www.whodunit.fr\">Agence WordPress Whodunit</a>.</p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Eddy Boels\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"https://www.whodunit.fr/podcasts/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Podcast WordPress on Air!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:3;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://www.whodunit.fr/histoire-de-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"20ème anniversaire de WordPress : l’histoire du projet de 2003 à 2023\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:46:\"https://www.whodunit.fr/histoire-de-wordpress/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-25T10:18:30.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-25T10:18:30.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:281:\"De l\'explosion du blogging à la conquête du web : découvrez la timeline des 20 ans de WordPress année par année depuis sa création ! \nL’article 20ème anniversaire de WordPress : l’histoire du projet de 2003 à 2023 est apparu en premier sur Agence WordPress Whodunit.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:63672:\"\n        \n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 31%\" data-block-type=\"core\"><div class=\"wp-block-media-text__content\">\n<p>Alors que WordPress fête ses 20 ans, on vous a préparé un historique année par année du CMS depuis sa création.</p>\n\n\n\n<p>Replongeons-nous dans les grands jalons du CMS qui nous accompagne depuis tant d&#8217;années. Une belle histoire qui n&#8217;est pas partie pour s&#8217;arrêter&nbsp;!</p>\n\n\n\n<p class=\"has-small-font-size\">Et pour celles et ceux qui ne le sauraient pas, chaque version majeure (identifiée par les deux premiers chiffres du numéro de version) de WordPress porte le nom d’une grande vedette du&nbsp;jazz.</p>\n</div><figure class=\"wp-block-media-text__media\"><img width=\"845\" height=\"835\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/05/wordpress-20-anniversaire-couleur-whodunit.png\" alt=\"\" class=\"wp-image-75662 size-full\" //></figure></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-a0f8d91\" data-block-id=\"a0f8d91\">.stk-a0f8d91 .stk--block-align-a0f8d91{align-items:center !important}.stk-a0f8d91{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-top:50px !important;margin-bottom:50px !important}.stk-a0f8d91 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-a0f8d91-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-a0f8d91 stk-block-content stk-content-align stk-a0f8d91-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-365b029 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"365b029\">.stk-365b029{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1879.png) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-365b029-inner-blocks{justify-content:center !important}.stk-365b029-container{min-height:250px !important}@media screen and (min-width:768px){.stk-365b029{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-365b029-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-365b029-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-643cfca\" data-block-id=\"643cfca\">.stk-643cfca .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-643cfca .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2003</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-7edbbfd\" data-v=\"4\" data-block-id=\"7edbbfd\">.stk-7edbbfd{align-self:center !important}@media screen and (min-width:768px){.stk-7edbbfd{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-7edbbfd-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-7edbbfd-inner-blocks\">\n<p><strong>27 mai 2003 :</strong> Matt Mullenweg et Mike Little publient la première version de WordPress sous la forme d&#8217;un projet open source créé à partir d’un fork du CMS Cafelog auparavant fondé par le développeur corse Michel Valdrighi.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-a645378\" data-block-id=\"a645378\">.stk-a645378 .stk--block-align-a645378{align-items:center !important}.stk-a645378{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-a645378 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-a645378-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-a645378 stk-block-content stk-content-align stk-a645378-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-a63cc32 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"a63cc32\">.stk-a63cc32{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1878.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-a63cc32-inner-blocks{justify-content:center !important}.stk-a63cc32-container{min-height:250px !important}@media screen and (min-width:768px){.stk-a63cc32{flex:1 1 calc(44.1% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-a63cc32-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-a63cc32-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-f386ef3\" data-block-id=\"f386ef3\">.stk-f386ef3 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-f386ef3 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2004</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-24279f7\" data-v=\"4\" data-block-id=\"24279f7\">.stk-24279f7{align-self:center !important}@media screen and (min-width:768px){.stk-24279f7{flex:1 1 calc(55.9% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-24279f7-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-24279f7-inner-blocks\">\n<p><strong>WordPress 1.2 «&nbsp;Mingus&nbsp;» </strong>sort en introduisant la possibilité d’ajouter des extensions, créant le principe d’extensibilité qui fera le succès de WordPress et de sa communauté&nbsp;!</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-e8c065b\" data-block-id=\"e8c065b\">.stk-e8c065b .stk--block-align-e8c065b{align-items:center !important}.stk-e8c065b{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-e8c065b &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-e8c065b-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-e8c065b stk-block-content stk-content-align stk-e8c065b-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-4913171 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"4913171\">.stk-4913171{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1877.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-4913171-inner-blocks{justify-content:center !important}.stk-4913171-container{min-height:250px !important}@media screen and (min-width:768px){.stk-4913171{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-4913171-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-4913171-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-702a86f\" data-block-id=\"702a86f\">.stk-702a86f .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-702a86f .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2005</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-73a0f80\" data-v=\"4\" data-block-id=\"73a0f80\">.stk-73a0f80{align-self:center !important}@media screen and (min-width:768px){.stk-73a0f80{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-73a0f80-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-73a0f80-inner-blocks\">\n<p><strong><strong><strong>WordPress 1.5 «&nbsp;Strayhorn&nbsp;»</strong></strong> </strong>sort avec des améliorations majeures dans la gestion des pages, des liens et des commentaires. Cette version apporte aussi et surtout le système de Thèmes, qui permet de gérer l&#8217;apparence de votre site&nbsp;!</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-3064892\" data-block-id=\"3064892\">.stk-3064892 .stk--block-align-3064892{align-items:center !important}.stk-3064892{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-3064892 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-3064892-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-3064892 stk-block-content stk-content-align stk-3064892-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-66a7ddf stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"66a7ddf\">.stk-66a7ddf{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/frame-2.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-66a7ddf-inner-blocks{justify-content:center !important}.stk-66a7ddf-container{min-height:250px !important}@media screen and (min-width:768px){.stk-66a7ddf{flex:1 1 calc(44.1% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-66a7ddf-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-66a7ddf-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-6f55c03\" data-block-id=\"6f55c03\">.stk-6f55c03 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-6f55c03 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2006</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-3fb1525\" data-v=\"4\" data-block-id=\"3fb1525\">.stk-3fb1525{align-self:center !important}@media screen and (min-width:768px){.stk-3fb1525{flex:1 1 calc(55.9% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-3fb1525-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-3fb1525-inner-blocks\">\n<p><strong><strong><strong>Le tout <strong>premier WordCamp</strong> est organisé à San Francisco</strong></strong></strong>, c&#8217;est le premier évènement officiel rassemblant les utilisateurs et utilisatrices du CMS.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-e3ee1f9\" data-block-id=\"e3ee1f9\">.stk-e3ee1f9 .stk--block-align-e3ee1f9{align-items:center !important}.stk-e3ee1f9{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-e3ee1f9 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-e3ee1f9-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-e3ee1f9 stk-block-content stk-content-align stk-e3ee1f9-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-bcb6001 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"bcb6001\">.stk-bcb6001{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1876.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-bcb6001-inner-blocks{justify-content:center !important}.stk-bcb6001-container{min-height:250px !important}@media screen and (min-width:768px){.stk-bcb6001{flex:1 1 calc(44% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-bcb6001-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-bcb6001-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-8bf7d70\" data-block-id=\"8bf7d70\">.stk-8bf7d70 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-8bf7d70 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2007</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-70b7924\" data-v=\"4\" data-block-id=\"70b7924\">.stk-70b7924{align-self:center !important}@media screen and (min-width:768px){.stk-70b7924{flex:1 1 calc(56% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-70b7924-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-70b7924-inner-blocks\">\n<p><strong><strong><strong><strong>WordPress 2.1 «&nbsp;Ella&nbsp;»</strong> </strong></strong></strong>améliore la gestion des extensions et des thèmes, ainsi que la recherche.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-a2eba89\" data-block-id=\"a2eba89\">.stk-a2eba89 .stk--block-align-a2eba89{align-items:center !important}.stk-a2eba89{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-a2eba89 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-a2eba89-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-a2eba89 stk-block-content stk-content-align stk-a2eba89-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-0c3da54 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"0c3da54\">.stk-0c3da54{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1875.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-0c3da54-inner-blocks{justify-content:center !important}.stk-0c3da54-container{min-height:250px !important}@media screen and (min-width:768px){.stk-0c3da54{flex:1 1 calc(44.6% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-0c3da54-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-0c3da54-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-52feb0d\" data-block-id=\"52feb0d\">.stk-52feb0d .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-52feb0d .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2008</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-a940ef7\" data-v=\"4\" data-block-id=\"a940ef7\">.stk-a940ef7{align-self:center !important}@media screen and (min-width:768px){.stk-a940ef7{flex:1 1 calc(55.4% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-a940ef7-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-a940ef7-inner-blocks\">\n<p><strong>WordPress 2.5 «&nbsp;Brecker&nbsp;»</strong> lance une 1ère refonte complète de l&#8217;interface d’administration.</p>\n\n\n\n<p class=\"has-small-font-size\">On notera aussi la création de l&#8217;association <a href=\"https://wpfr.net/\">WPFR</a>, qui a pour but de promouvoir WordPress dans la sphère francophone.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-3d5820f\" data-block-id=\"3d5820f\">.stk-3d5820f .stk--block-align-3d5820f{align-items:center !important}.stk-3d5820f{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-3d5820f &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-3d5820f-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-3d5820f stk-block-content stk-content-align stk-3d5820f-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-09f3e69 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"09f3e69\">.stk-09f3e69{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/frame-2-1.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-09f3e69-inner-blocks{justify-content:center !important}.stk-09f3e69-container{min-height:250px !important}@media screen and (min-width:768px){.stk-09f3e69{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-09f3e69-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-09f3e69-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-c4833f3\" data-block-id=\"c4833f3\">.stk-c4833f3 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-c4833f3 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2009</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-8fea3e6\" data-v=\"4\" data-block-id=\"8fea3e6\">.stk-8fea3e6{align-self:center !important}@media screen and (min-width:768px){.stk-8fea3e6{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-8fea3e6-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-8fea3e6-inner-blocks\">\n<p><strong>WordPress 2.9 «&nbsp;Carmen&nbsp;»</strong> apporte le support des Embed, ce format permettant de partager un contenu embarqué provenant de n&#8217;importe quelle plateforme de diffusion de contenus web le prenant en charge.</p>\n\n\n\n<p class=\"has-small-font-size\">Et c&#8217;est aussi l&#8217;année de création de l&#8217;agence <strong>Whodunit</strong>&nbsp;!</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-e9c8b26\" data-block-id=\"e9c8b26\">.stk-e9c8b26 .stk--block-align-e9c8b26{align-items:center !important}.stk-e9c8b26{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-e9c8b26 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-e9c8b26-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-e9c8b26 stk-block-content stk-content-align stk-e9c8b26-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-999e711 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"999e711\">.stk-999e711{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1874.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-999e711-inner-blocks{justify-content:center !important}.stk-999e711-container{min-height:250px !important}@media screen and (min-width:768px){.stk-999e711{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-999e711-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-999e711-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-1ed8b98\" data-block-id=\"1ed8b98\">.stk-1ed8b98 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-1ed8b98 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2010</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-895ddc8\" data-v=\"4\" data-block-id=\"895ddc8\">.stk-895ddc8{align-self:center !important}@media screen and (min-width:768px){.stk-895ddc8{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-895ddc8-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-895ddc8-inner-blocks\">\n<p><strong><strong>WordPress 3.0 «&nbsp;Thelonious&nbsp;»</strong> </strong>introduit les types de publications personnalisés, transformant WordPress en vrai CMS puisque nous ne sommes plus limités aux articles et aux pages, ouvrant notamment la voie aux extensions e-commerce puis qu’il devient possible de gérer des produits.</p>\n\n\n\n<p class=\"has-small-font-size\">C’est également l’année de création de la <a href=\"https://wordpressfoundation.org/\">Fondation WordPress</a>, association à but non lucratif chargée de gérer la marque WordPress.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-73c2793\" data-block-id=\"73c2793\">.stk-73c2793 .stk--block-align-73c2793{align-items:center !important}.stk-73c2793{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-73c2793 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-73c2793-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-73c2793 stk-block-content stk-content-align stk-73c2793-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-210be57 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"210be57\">.stk-210be57{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1873.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-210be57-inner-blocks{justify-content:center !important}.stk-210be57-container{min-height:250px !important}@media screen and (min-width:768px){.stk-210be57{flex:1 1 calc(45.3% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-210be57-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-210be57-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-9ae94ad\" data-block-id=\"9ae94ad\">.stk-9ae94ad .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-9ae94ad .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2011</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-c4c9cf0\" data-v=\"4\" data-block-id=\"c4c9cf0\">.stk-c4c9cf0{align-self:center !important}@media screen and (min-width:768px){.stk-c4c9cf0{flex:1 1 calc(54.7% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-c4c9cf0-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-c4c9cf0-inner-blocks\">\n<p><strong><strong><strong>WordPress 3.1 «&nbsp;Reinhardt&nbsp;»</strong></strong></strong> ajoute la barre d’administration toujours présente aujourd’hui, puis <strong><strong><strong>WordPress 3.2 «&nbsp;Gershwin&nbsp;»</strong></strong></strong> est publié avec le nouveau thème natif Twenty Eleven.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-beabe27\" data-block-id=\"beabe27\">.stk-beabe27 .stk--block-align-beabe27{align-items:center !important}.stk-beabe27{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-beabe27 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-beabe27-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-beabe27 stk-block-content stk-content-align stk-beabe27-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-25bbcd2 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"25bbcd2\">.stk-25bbcd2{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/frame-1-1.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-25bbcd2-inner-blocks{justify-content:center !important}.stk-25bbcd2-container{min-height:250px !important}@media screen and (min-width:768px){.stk-25bbcd2{flex:1 1 calc(44.5% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-25bbcd2-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-25bbcd2-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-fd28c9b\" data-block-id=\"fd28c9b\">.stk-fd28c9b .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-fd28c9b .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2012</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-79553e5\" data-v=\"4\" data-block-id=\"79553e5\">.stk-79553e5{align-self:center !important}@media screen and (min-width:768px){.stk-79553e5{flex:1 1 calc(55.5% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-79553e5-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-79553e5-inner-blocks\">\n<p><strong><strong><strong><strong>WordPress 3.4 « Green »</strong> </strong></strong></strong>apporte le <em>Customizer</em>, outil permettant de personnaliser certains éléments des thèmes.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-f4890d5\" data-block-id=\"f4890d5\">.stk-f4890d5 .stk--block-align-f4890d5{align-items:center !important}.stk-f4890d5{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-f4890d5 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-f4890d5-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-f4890d5 stk-block-content stk-content-align stk-f4890d5-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-e0ecbd4 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"e0ecbd4\">.stk-e0ecbd4{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1872.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-e0ecbd4-inner-blocks{justify-content:center !important}.stk-e0ecbd4-container{min-height:250px !important}@media screen and (min-width:768px){.stk-e0ecbd4{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-e0ecbd4-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-e0ecbd4-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-809e6fb\" data-block-id=\"809e6fb\">.stk-809e6fb .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-809e6fb .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2013</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-1fb48d8\" data-v=\"4\" data-block-id=\"1fb48d8\">.stk-1fb48d8{align-self:center !important}@media screen and (min-width:768px){.stk-1fb48d8{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-1fb48d8-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-1fb48d8-inner-blocks\">\n<p><strong><strong><strong><strong><strong>WordPress 3.7 «&nbsp;Count Basie&nbsp;»</strong> </strong></strong></strong></strong>apporte une fonctionnalité-clé&nbsp;: le système de mise à jour automatique des versions mineures. Plus besoin de réaliser les mises à jour à la main via son FTP et surtout, il devient possible pour l’équipe de développement de WP de déployer des mises à jour de sécurité.</p>\n\n\n\n<p class=\"has-small-font-size\">La version 3.7 sera maintenue pendant près de 10 ans (!), car son support n’a été abandonné que l’année dernière en 2022&nbsp;!</p>\n\n\n\n<p>Enfin, la <strong>version 3.8 «&nbsp;Parker&nbsp;»</strong> apporte une refonte de l’interface d’admin, la faisant ressembler à ce qu’elle est aujourd’hui.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-ada38cc\" data-block-id=\"ada38cc\">.stk-ada38cc .stk--block-align-ada38cc{align-items:center !important}.stk-ada38cc{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-ada38cc &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-ada38cc-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-ada38cc stk-block-content stk-content-align stk-ada38cc-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-368a14e stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"368a14e\">.stk-368a14e{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1871.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-368a14e-inner-blocks{justify-content:center !important}.stk-368a14e-container{min-height:250px !important}@media screen and (min-width:768px){.stk-368a14e{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-368a14e-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-368a14e-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-ea3392e\" data-block-id=\"ea3392e\">.stk-ea3392e .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-ea3392e .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2014</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-f5519cf\" data-v=\"4\" data-block-id=\"f5519cf\">.stk-f5519cf{align-self:center !important}@media screen and (min-width:768px){.stk-f5519cf{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-f5519cf-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-f5519cf-inner-blocks\">\n<p>Naissance de l’initiative <strong><a href=\"https://wordpress.org/five-for-the-future/\"><em><span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">Five for the Future</span></em></a></strong>, visant à encourager les entreprises vivant de WordPress à offrir 5% de leur temps à contribuer au développement du cœur du CMS, à sa traduction, et au développement de la communauté WP en général.<br>Si l&#8217;entreprise où vous travaillez utilise WordPress au quotidien, sachez que ce don de 5% de temps de travail est <strong>indispensable</strong> pour assurer le futur du CMS qui vous apporte votre business&nbsp;!</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-166b117\" data-block-id=\"166b117\">.stk-166b117 .stk--block-align-166b117{align-items:center !important}.stk-166b117{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-166b117 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-166b117-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-166b117 stk-block-content stk-content-align stk-166b117-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-6a31676 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"6a31676\">.stk-6a31676{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1870.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-6a31676-inner-blocks{justify-content:center !important}.stk-6a31676-container{min-height:250px !important}@media screen and (min-width:768px){.stk-6a31676{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-6a31676-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-6a31676-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-6ca0243\" data-block-id=\"6ca0243\">.stk-6ca0243 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-6ca0243 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2015</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-e381f1b\" data-v=\"4\" data-block-id=\"e381f1b\">.stk-e381f1b{align-self:center !important}@media screen and (min-width:768px){.stk-e381f1b{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-e381f1b-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-e381f1b-inner-blocks\">\n<p><strong>WordPress 4.4 «&nbsp;Clifford&nbsp;»</strong> apporte une nouveauté de taille&nbsp;: l’API REST qui est indispensable pour manipuler les données des sites WordPress. <br>Cette API permettra la mise en place d’installations <em>headless</em> (c’est à dire de séparation stricte de la gestion de contenus et de leur affichage), mais surtout, cette API est indispensable au fonctionnement du projet Gutenberg qui verra le jour 3 ans plus tard&nbsp;!</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-7535545\" data-block-id=\"7535545\">.stk-7535545 .stk--block-align-7535545{align-items:center !important}.stk-7535545{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-7535545 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-7535545-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-7535545 stk-block-content stk-content-align stk-7535545-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-7c04616 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"7c04616\">.stk-7c04616{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/frame-1-1-1.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-7c04616-inner-blocks{justify-content:center !important}.stk-7c04616-container{min-height:250px !important}@media screen and (min-width:768px){.stk-7c04616{flex:1 1 calc(44.5% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-7c04616-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-7c04616-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-7c9f59b\" data-block-id=\"7c9f59b\">.stk-7c9f59b .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-7c9f59b .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2016</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-334bc8f\" data-v=\"4\" data-block-id=\"334bc8f\">.stk-334bc8f{align-self:center !important}@media screen and (min-width:768px){.stk-334bc8f{flex:1 1 calc(55.5% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-334bc8f-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-334bc8f-inner-blocks\">\n<p>Alors que le record du nombre de participant·e·s à un évènement WP est battu au WordCamp Europe de Vienne (nous y étions évidemment&nbsp;!), la version <strong>4.7 «&nbsp;Vaughan&nbsp;»</strong> sort en fin d’année et permet aux différents admins d’un site de chacun disposer d’un back-office dans la langue de son choix.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-979b6dd\" data-block-id=\"979b6dd\">.stk-979b6dd .stk--block-align-979b6dd{align-items:center !important}.stk-979b6dd{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-979b6dd &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-979b6dd-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-979b6dd stk-block-content stk-content-align stk-979b6dd-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-18a33b7 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"18a33b7\">.stk-18a33b7{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1867.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-18a33b7-inner-blocks{justify-content:center !important}.stk-18a33b7-container{min-height:250px !important}@media screen and (min-width:768px){.stk-18a33b7{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-18a33b7-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-18a33b7-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-c2800fe\" data-block-id=\"c2800fe\">.stk-c2800fe .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-c2800fe .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2017</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-be41b20\" data-v=\"4\" data-block-id=\"be41b20\">.stk-be41b20{align-self:center !important}@media screen and (min-width:768px){.stk-be41b20{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-be41b20-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-be41b20-inner-blocks\">\n<p>Début officiel du développement du projet Gutenberg. <strong>WordPress 4.9 «&nbsp;Tipton&nbsp;»</strong> sort et pour la 1ère fois, il faudra attendre plus d’un an avant la prochaine version majeure.</p>\n\n\n\n<p class=\"has-small-font-size\">Pendant ce temps là, la <strong>version mineure 4.9.8</strong> sera sortie afin de faciliter la mise en conformité de vos sites par rapport au RGPD.</p>\n\n\n\n<p class=\"has-small-font-size\">C&#8217;est aussi l&#8217;année où le <a href=\"https://europe.wordcamp.org/2017/your-wordcamp-europe-memories/\">WordCamp Europe a élu domicile à Paris</a>, et notre CEO Emilie était l&#8217;une des leads de l&#8217;évènement&nbsp;! </p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-f723fd4\" data-block-id=\"f723fd4\">.stk-f723fd4 .stk--block-align-f723fd4{align-items:center !important}.stk-f723fd4{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;padding-right:20px !important;margin-bottom:50px !important}.stk-f723fd4 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-f723fd4-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-f723fd4 stk-block-content stk-content-align stk-f723fd4-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-2577b27 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"2577b27\">.stk-2577b27{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1866.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-2577b27-inner-blocks{justify-content:center !important}.stk-2577b27-container{min-height:250px !important}@media screen and (min-width:768px){.stk-2577b27{flex:1 1 33.3% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-2577b27-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-2577b27-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-a3a9fb1\" data-block-id=\"a3a9fb1\">.stk-a3a9fb1 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-a3a9fb1 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2018</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-fa5d654\" data-v=\"4\" data-block-id=\"fa5d654\">.stk-fa5d654{align-self:center !important}@media screen and (min-width:768px){.stk-fa5d654{flex:1 1 66.7% !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-fa5d654-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-fa5d654-inner-blocks\">\n<p>Hourra&nbsp;! <strong>WordPress 5.0 «&nbsp;Bebo&nbsp;»</strong> dévoile l&#8217;éditeur de blocs Gutenberg&nbsp;!</p>\n\n\n\n<p class=\"has-small-font-size\">Bien que ce nouvel éditeur ne fasse au début pas l’unanimité (loin de là&nbsp;!) dans la communauté, nous décidons chez Whodunit de faire un <em>all-in</em> et de tout miser sur cet éditeur&nbsp;: à partir de cette date, 100% des projets de l’agence utiliseront Gutenberg.</p>\n\n\n\n<p class=\"has-small-font-size\">Bien entendu ce fut relativement complexe au début (montée en compétences sur React, adaptation des projets), mais au final l’avenir nous a donné raison et surtout nous avons bénéficié d’une grosse avance concurrentielle en étant la seule agence française ayant refondu sa conduite de projets pour Gutenberg dès la sortie de l&#8217;éditeur. </p>\n\n\n\n<p class=\"has-small-font-size\">Un choix déterminant pour le futur de l’agence&nbsp;!</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns aligncenter stk-block-columns stk-block stk-81b296e\" data-block-id=\"81b296e\">.stk-81b296e .stk--block-align-81b296e{align-items:center !important}.stk-81b296e{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-81b296e &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-81b296e-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-81b296e stk-block-content stk-content-align stk-81b296e-column\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-9e740d1 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"9e740d1\">.stk-9e740d1{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1868.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-9e740d1-inner-blocks{justify-content:center !important}.stk-9e740d1-container{min-height:250px !important}@media screen and (min-width:768px){.stk-9e740d1{flex:1 1 calc(44.5% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-9e740d1-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-9e740d1-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-109664c\" data-block-id=\"109664c\">.stk-109664c .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-109664c .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2019</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-f242cff\" data-v=\"4\" data-block-id=\"f242cff\">.stk-f242cff{align-self:center !important}@media screen and (min-width:768px){.stk-f242cff{flex:1 1 calc(55.5% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-f242cff-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-f242cff-inner-blocks\">\n<p><strong>WordPress 5.1 «&nbsp;Betty&nbsp;»</strong> apporte le nouvel écran de «&nbsp;Santé du site&nbsp;» puis <strong>WP 5.3 «&nbsp;Kirk&nbsp;»</strong> apporte des modifications du design de l’interface d’administration afin de la rendre plus accessible.</p>\n\n\n\n<p class=\"has-small-font-size\">Un projet sur lequel Whodunit s&#8217;est d&#8217;ailleurs beaucoup investi via Jean-Baptiste qui était le <em><span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">Lead Accessibility</span></em> de cette version.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-90fcffb\" data-block-id=\"90fcffb\">.stk-90fcffb .stk--block-align-90fcffb{align-items:center !important}.stk-90fcffb{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;align-items:center !important;margin-bottom:50px !important;display:flex !important}.stk-90fcffb &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-90fcffb-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-90fcffb stk-block-content stk-content-align stk-90fcffb-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-22a4c72 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"22a4c72\">.stk-22a4c72{align-self:flex-start !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/frame-1.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-22a4c72-inner-blocks{justify-content:center !important}.stk-22a4c72-container{min-height:250px !important}@media screen and (min-width:768px){.stk-22a4c72{flex:1 1 calc(33.333% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-22a4c72-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-22a4c72-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-0a8d8ae\" data-block-id=\"0a8d8ae\">.stk-0a8d8ae .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-0a8d8ae .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2020</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-5247868\" data-v=\"4\" data-block-id=\"5247868\">.stk-5247868{align-self:center !important}@media screen and (min-width:768px){.stk-5247868{flex:1 1 calc(66.66699999999999% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-5247868-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-5247868-inner-blocks\">\n<p><strong><strong>WordPress 5.5 «&nbsp;Eckstine&nbsp;»</strong> </strong>apporte le système de mise à jour automatique des thèmes et des extensions, une grande fierté pour Whodunit, car nous avons leadé le développement de cette fonctionnalité&nbsp;!</p>\n\n\n\n<p class=\"has-medium-font-size\">Pour la 1ère fois, l’équipe Core de WordPress est représentée par deux européens&nbsp;: l’italienne Francesca Marano et notre CTO Jb Audras, pour un mandat de 2 ans.</p>\n\n\n\n<p>Autre évènement important de l’année 2020, <strong>WordPress 5.6 « Simone »</strong> est la première version 100% conduite par une équipe de direction entièrement féminine (ou non binaire). Cela apportera un très important appel d’air au sein de l’équipe Core du CMS et plusieurs contributrices de cette version prendront des rôles importants au sein du CMS par la suite.</p>\n\n\n\n<p>Enfin, l’équipe de traduction de WordPress en français en profite pour revoir l’ensemble de l’interface d’admin de WP <a href=\"https://fr.wordpress.org/2020/11/26/wordpress-5-6-des-changements-visant-a-ameliorer-linclusivite-de-linterface-dadministration/\">afin de la rendre entièrement épicène</a> — <a href=\"https://www.paris-web.fr/2021/conferences/wordpress-et-ecriture-inclusive.php\">voir la conférence tenue à Paris Web à ce sujet</a></p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-c66ac78\" data-block-id=\"c66ac78\">.stk-c66ac78 .stk--block-align-c66ac78{align-items:center !important}.stk-c66ac78{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-c66ac78 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-c66ac78-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-c66ac78 stk-block-content stk-content-align stk-c66ac78-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-75c3d5d stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"75c3d5d\">.stk-75c3d5d{align-self:center !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1864.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-75c3d5d-inner-blocks{justify-content:center !important}.stk-75c3d5d-container{min-height:250px !important}@media screen and (min-width:768px){.stk-75c3d5d{flex:1 1 calc(33.333% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-75c3d5d-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-75c3d5d-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-c829172\" data-block-id=\"c829172\">.stk-c829172 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-c829172 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2021</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-8c23b4f\" data-v=\"4\" data-block-id=\"8c23b4f\">.stk-8c23b4f{align-self:center !important}@media screen and (min-width:768px){.stk-8c23b4f{flex:1 1 calc(66.66699999999999% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-8c23b4f-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-8c23b4f-inner-blocks\">\n<p>Avec <strong>WordPress 5.7 «&nbsp;Esperanza&nbsp;»</strong>, WordPress se débarrasse enfin de ses 50 nuances de grey 😀 cette version est l’occasion de redéfinir la charte colorimétrique de l’administration afin de réduire le nombre de couleurs utilisées au strict minimum, pour plus de cohérence. </p>\n\n\n\n<p><strong>WordPress 5.8 «&nbsp;Tatum&nbsp;»</strong> apporte de son côté la première pierre à la phase 2 du projet Gutenberg en permettant de définir les réglages de mise en page des blocs utilisés sur le site au sein du nouveau fichier <code>theme.json</code>.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-07147c6\" data-block-id=\"07147c6\">.stk-07147c6 .stk--block-align-07147c6{align-items:center !important}.stk-07147c6{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-07147c6 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-07147c6-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-07147c6 stk-block-content stk-content-align stk-07147c6-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-86c7483 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"86c7483\">.stk-86c7483{align-self:flex-start !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1863.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-86c7483-inner-blocks{justify-content:center !important}.stk-86c7483-container{min-height:250px !important}@media screen and (min-width:768px){.stk-86c7483{flex:1 1 calc(33.333% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-86c7483-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-86c7483-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-f4f2029\" data-block-id=\"f4f2029\">.stk-f4f2029 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-f4f2029 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2022</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-4c04532\" data-v=\"4\" data-block-id=\"4c04532\">.stk-4c04532{align-self:center !important}@media screen and (min-width:768px){.stk-4c04532{flex:1 1 calc(66.66699999999999% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-4c04532-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-4c04532-inner-blocks\">\n<p><strong>WordPress 5.9 «&nbsp;Joséphine&nbsp;»</strong> marque la sortie de la phase 2 du projet Gutenberg (le Full Site Editing), permettant de modifier son thème directement depuis l’éditeur.</p>\n\n\n\n<p>La version <strong>6.1 «&nbsp;Misha&nbsp;»</strong> inclut quant à elle le nouveau thème Twenty Twenty-Three, qui implémente l’ensemble des fonctionnalités du full site editing et propose 10 variations de styles issues d’un appel à contribution au sein de la communauté.</p>\n\n\n\n<p class=\"has-small-font-size\">2022, c&#8217;est aussi le retour du WordCamp Europe après 2 ans d&#8217;interruption pour cause de covid… Et toute l&#8217;équipe Whodunit était présente à Porto pour cet évènement où notre chargé d&#8217;affaires Jason faisait même partie de l&#8217;équipe d&#8217;organisation.</p>\n</div></div></div>\n</div></div>\n\n\n\n<div class=\"wp-block-stackable-columns alignwide stk-block-columns stk-block stk-17c9b08\" data-block-id=\"17c9b08\">.stk-17c9b08 .stk--block-align-17c9b08{align-items:center !important}.stk-17c9b08{border-radius:1px !important;overflow:hidden !important;box-shadow:0 5px 30px -10px rgba(18,63,82,0.3) !important;margin-bottom:50px !important}.stk-17c9b08 &gt; .stk-separator__bottom svg{filter:drop-shadow(0px 0 2px rgba(120,120,120,0.5)) !important}.stk-17c9b08-column{--stk-column-gap:45px !important}<div class=\"stk-row stk-inner-blocks stk--block-align-17c9b08 stk-block-content stk-content-align stk-17c9b08-column alignwide\">\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-e3599e6 stk-block-background stk--has-background-overlay\" data-v=\"4\" data-block-id=\"e3599e6\">.stk-e3599e6{align-self:flex-start !important;background-image:url(https://www.whodunit.fr/wp-content/uploads/2023/05/group-1862.jpg) !important;background-repeat:no-repeat !important;background-size:cover !important}.stk-e3599e6-inner-blocks{justify-content:center !important}.stk-e3599e6-container{min-height:250px !important}@media screen and (min-width:768px){.stk-e3599e6{flex:1 1 calc(33.333% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-e3599e6-container stk--no-background stk--no-padding\"><div class=\"stk--column-flex stk-block-content stk-inner-blocks stk-e3599e6-inner-blocks\">\n<div class=\"wp-block-stackable-text stk-block-text stk-block stk-1c71289\" data-block-id=\"1c71289\">.stk-1c71289 .stk-block-text__text{font-size:50px !important;color:var(--paletteColor5,#ffffff) !important;font-weight:900 !important}@media screen and (max-width:1023px){.stk-1c71289 .stk-block-text__text{font-size:50px !important}}<p class=\"stk-block-text__text has-text-color has-text-align-center\">2023</p></div>\n</div></div></div>\n\n\n\n<div class=\"wp-block-stackable-column stk-block-column stk-column stk-block stk-f9d4160\" data-v=\"4\" data-block-id=\"f9d4160\">.stk-f9d4160{align-self:center !important}@media screen and (min-width:768px){.stk-f9d4160{flex:1 1 calc(66.66699999999999% - var(--stk-column-gap,0px) * 1 / 2 ) !important}}<div class=\"stk-column-wrapper stk-block-column__content stk-container stk-f9d4160-container stk--no-background stk--no-padding\"><div class=\"stk-block-content stk-inner-blocks stk-f9d4160-inner-blocks\">\n<p><strong>WordPress 6.2 «&nbsp;Dolphy&nbsp;»</strong>, dont notre CTO Jean-Baptiste a assuré la direction technique, marque l&#8217;aboutissement du développement de la phase 2 du projet Gutenberg. Le full site editing sort de sa phase beta et l’équipe de développement se prépare à entrer dans la phase 3 du projet Gutenberg, axée sur la collaboration.</p>\n\n\n\n<p>6.2 c&#8217;est également la fin de la dépendance des thèmes natifs aux serveurs de Google&nbsp;: les polices Google Fonts sont rapatriées au sein de chaque thème pour un meilleur respect des données privées de vos visiteurs.</p>\n\n\n\n<p><strong>WordPress 6.3</strong> qui sortira en août introduira une fonctionnalité importante&nbsp;: le rollback automatique des thèmes et des extensions&nbsp;: si une mise à jour se passe mal et casse votre site, celui-ci sera capable de revenir automatiquement à la version précédente du thème ou de l’extension&nbsp;!</p>\n\n\n\n<p>En fin d’année, <strong>WordPress 6.4</strong> sera, pour la deuxième fois, une version conduite par une équipe de direction 100% féminine !</p>\n</div></div></div>\n</div></div>\n\n\n\n<p>WordPress continue d&#8217;évoluer avec de nouvelles versions publiées régulièrement. Il est aujourd&#8217;hui le CMS le plus populaire qui soit, alimentant plus de 40% des sites web dans le monde.</p>\n\n\n\n<p>Mais WordPress, ce n’est pas qu’un logiciel&nbsp;! C’est surtout une communauté soudée et c’est avant tout celle-ci qui a permis à WordPress de devenir en 20 ans la technologie la plus utilisée pour publier du contenu sur le web. </p>\n\n\n\n<p>Vive l’open-source et vive WordPress !</p>\n<p>L’article <a rel=\"nofollow\" href=\"https://www.whodunit.fr/histoire-de-wordpress/\">20ème anniversaire de WordPress : l’histoire du projet de 2003 à 2023</a> est apparu en premier sur <a rel=\"nofollow\" href=\"https://www.whodunit.fr\">Agence WordPress Whodunit</a>.</p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"Jean-Baptiste Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://www.whodunit.fr/wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Whodunit\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:4;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://beapi.fr/blog/linspirant-parcours-damaury-balmer-un-pionnier-francais-de-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"L’inspirant parcours d’Amaury Balmer, un pionnier français de WordPress\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:91:\"https://beapi.fr/blog/linspirant-parcours-damaury-balmer-un-pionnier-francais-de-wordpress/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-24T16:57:29.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-24T16:57:29.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:488:\"Cette année, WordPress fête ses 20 ans : un véritable milestone que nous avons décidé de célébrer en replongeant dans le parcours passionnant du CEO de Be API, dont la trajectoire professionnelle est très liée au développement de WordPress en France. Derrière son humilité et son authenticité, on trouve un esprit visionnaire animé par de […]\nThe post L’inspirant parcours d’Amaury Balmer, un pionnier français de WordPress appeared first on Be API, agence WordPress.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:12424:\"\n        \n<p>Cette année, <strong>WordPress fête ses 20 ans</strong> : un véritable milestone que nous avons décidé de célébrer en replongeant dans le parcours passionnant du CEO de Be API, dont la trajectoire professionnelle est très liée au développement de WordPress en France. Derrière son humilité et son authenticité, on trouve un esprit visionnaire animé par de solides convictions. Le bon mix qui l&rsquo;a conduit à co-fonder la communauté WordPress francophone en 2005, puis quelques années plus tard, la première agence WordPress française. Bien que cette histoire ne débute pas dans un garage, elle témoigne du succès de celui qui a oeuvré depuis ses débuts pour <strong>positionner le CMS au cœur du marché de l&rsquo;entreprise</strong>.</p>\n\n\n\n<p>Ensemble, nous revenons sur les débuts de WPFR, l&rsquo;âge d&rsquo;or du web 2.0 et la place de l’humain dans la réussite de l’agence.</p>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress &amp; WPFR: les origines</h2>\n\n\n\n<p>En 2005, Amaury Balmer entame ses études supérieures en ingénierie informatique à Valenciennes, pour apprendre la programmation. Rapidement, il se démarque en manifestant un intérêt pour Internet et son aspect communautaire &#8211; une passion qui trouve peu d&rsquo;écho parmi ses camarades, qui considèrent alors le web comme une introduction à la programmation. Malgré cela, Amaury persévère et commence à créer des sites Internet en parallèle de ses études.</p>\n\n\n\n<p>Nous sommes alors en plein âge d&rsquo;or du blog : de nombreux acteurs cherchent à investir le web pour toucher un public plus large. Les contributeurs prennent progressivement le pas sur les webmasters, suscitant ainsi une demande sans précédent.</p>\n\n\n\n<p>Ce qui attire particulièrement Amaury, ce sont les communautés qui animent les plateformes de blogging. <strong>Il fait la découverte de WordPress en 2005</strong>, alors que le CMS n&rsquo;a que deux ans d&rsquo;existence. En France, la communauté se compose principalement de deux personnes : Mathieu Bellon et Xavier Borderie. Attiré par cet outil prometteur et le projet naissant, Amaury propose de se joindre à eux, mettant à profit ses compétences de développeur informatique.</p>\n\n\n\n<div class=\"wp-block-media-text has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 57%\"><div class=\"wp-block-media-text__content\">\n<p><strong>Sous l&rsquo;impulsion de ce trio, l&rsquo;association WordPress francophone &#8211; WPFR &#8211; voit le jour. </strong>Amaury pose les bases du site WPFR et crée le forum d&rsquo;entraide. Durant ces années, il consacre un temps considérable à intervenir sur le forum, accumulant plusieurs milliers messages à son actif.</p>\n</div><figure class=\"wp-block-media-text__media\"><img width=\"1024\" height=\"774\" src=\"https://beapi.fr/app/uploads/2023/05/wpfr-premiere-version-1024x774.png\" alt=\"\" class=\"wp-image-3602 size-full\" //></figure></div>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p><em>J’ai toujours été un « faux développer ». Dans les groupes de travail, j’étais celui qui se demandait si le projet était pratique pour les utilisateurs</em>.</p>\n<cite>Amaury Balmer</cite></blockquote>\n\n\n\n<p><strong>En plaçant la contribution, l&rsquo;accessibilité et la facilité de navigation au cœur de ses préoccupations, Amaury répond aux besoins des utilisateurs </strong>à une époque où les blogs ne sont pas encore un outil grand public : ce sont les professionnels qui viennent directement frapper à sa porte.</p>\n\n\n\n<p>Grâce à son engagement actif sur le forum WPFR, il gagne en visibilité. Bien que son implication ait débuté de manière bénévole et désintéressée, elle lui offre ses premières opportunités professionnelles en 2006. Contacté par une agence de communication, il se voit confier la création d’un blog de festival hippique, ce qui l&rsquo;amène à créer son statut d&rsquo;auto-entrepreneur. De fil en aiguille, les demandes se multiplient, lui permettant d&rsquo;acquérir une précieuse expérience.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Du virtuel au réel</h2>\n\n\n\n<p>Dans le cadre de ses études, Amaury commence un stage en agence web en 2007. C&rsquo;est là qu&rsquo;il travaille sur son premier projet d&rsquo;envergure pour le journal Sud Ouest, qui commande une plateforme de blogs à l&rsquo;occasion de l&rsquo;élection présidentielle. Le projet conforte Amaury dans l’idée que l&rsquo;aventure WordPress ne fait que commencer. Se sentant peu en adéquation avec les valeurs de l&rsquo;entreprise, il démissionne après seulement quelques mois de stage pour se lancer dans l&rsquo;entrepreneuriat et créer sa première entreprise, <a href=\"http://wp-box.fr\">wp-box.fr</a>. Cette société lui permet de proposer diverses missions liées à WordPress,<strong> faisant de lui l&rsquo;un des premiers acteurs français à vivre grâce au CMS.</strong></p>\n\n\n\n<p>Parallèlement, Amaury reste extrêmement actif au sein de la communauté francophone, alors en plein essor. Aux côtés de Xavier et Matthieu, il organise les premiers BarCamps français. Le concept est simple : « <em>On se retrouve dans un café et ceux qui souhaitent échanger sur WordPress sont les bienvenus.</em> » C&rsquo;est artisanal, simple&#8230; mais efficace ! Ces ateliers participatifs prennent de l&rsquo;ampleur et attirent de plus en plus de participants. Amaury joue un rôle clé en tant que responsable technique. “<em>Là, on passe du virtuel au réel. La communauté, l’entraide : ça devient tangible</em>”.</p>\n\n\n\n<p>Il contribue également en open source, en participant notamment à la traduction de WP-MU et en créant plus d&rsquo;une dizaine de plugins open-source en parallèle de ses missions professionnelles. Depuis le début de sa carrière, il intègre à son quotidien la notion de « giving back », qui consiste à <strong>donner de son temps et de son expertise au CMS en retour des possibilités qu’offre l’outil</strong>.</p>\n\n\n\n<p>Lors d&rsquo;un de ces fameux BarCamps, les trois amis reçoivent la visite de Matthew Mullenweg, le créateur américain de WordPress. Il salue l&rsquo;initiative française, ravi de voir son projet porté et animé avec passion. La journée se termine par un repas sur le toit du restaurant Georges Pompidou, un souvenir mémorable agrémenté d&rsquo;un petit moment de solitude : « <em>Lui parle avec un fort accent américain et moi je peine à déchiffrer. Alors Xavier traduit et j&rsquo;écoute en buvant des bières.</em> » Une reconnaissance importante qui reste gravée dans la mémoire de notre CEO.</p>\n\n\n\n<p>Les années passent et la demande ne cesse de croître. C&rsquo;est à ce moment-là qu&rsquo;Amaury fonde sa deuxième entreprise en s&rsquo;associant à l&rsquo;un de ses clients, Patrick Dahan, alors directeur de l&rsquo;agence Media Factory.</p>\n\n\n\n<p>Ainsi naît Be API, <strong>la première agence pure-player WordPress en France.</strong></p>\n\n\n\n<h2 class=\"wp-block-heading\">Be API : WordPress vers l’infini et au-delà</h2>\n\n\n\n<p>Une période de croissance insouciante débute pour Be API, marquée par l&rsquo;arrivée des premiers clients, qui entraîne également les premiers recrutements. Des développeurs sont d’abord engagés pour épauler Amaury, puis des chefs de projets sont embauchés afin d&rsquo;accompagner les clients sur des projets plus conséquents. Fidèle à lui même, le CEO accorde une grande importance au critère humain : <strong>il recherche des experts, mais aussi des personnes bienveillantes, respectueuses et positives</strong>. Cette philosophie, qui se démarque dans le secteur des agences, conduit certains membres de l&rsquo;équipe à rester engagés dans l&rsquo;aventure depuis plus de dix ans &#8211; les plus anciens sont même devenus associés (salutations Nicolas, Alexandre et Yann !)</p>\n\n\n\n<p>Au niveau de sa stratégie, l’agence reste fidèle à ce qui a fait le succès de WordPress : une approche centrée sur les contributeurs. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p><em>Nous ne voulions pas être une agence du passé, qui facture des modifications de texte sur un site. </em></p>\n\n\n\n<p><em>Ça, c&rsquo;était interdit pour moi</em>. </p>\n<cite>Amaury Balmer</cite></blockquote>\n\n\n\n<p>Dans les projets, tout doit être contribuable et l&rsquo;objectif ultime est de rendre le client autonome. Avec cette approche et en répondant aux besoins techniques et organisationnels, l&rsquo;agence réussit à mener une véritable mission d&rsquo;évangélisation et démontre la pertinence de WordPress pour soutenir des projets digitaux de grande envergure.</p>\n\n\n\n<p><strong>Be API se structure pour accompagner des DSI et des clients grands comptes sur des budgets et des enjeux de plus en plus ambitieux</strong>: l’offre et la méthodologie évoluent pour répondre à des besoins sur des sites à fort trafic et travailler sur des projets complexes de création, de refonte ou de maintenance WordPress. On est loin des blogs des débuts !</p>\n\n\n\n<p>En parallèle, Amaury et son équipe s’assurent de garder du temps pour <strong>continuer à s’impliquer dans la communauté française WordPress</strong>. Lorsque les WordCamps arrivent en France à partir de 2012, l&rsquo;agence y participe en tant que soutien logistique, artistique, technique et financier. Les membres de l&rsquo;équipe s&rsquo;impliquent également dans de nombreux événements professionnels inter-CMS, tels que l&rsquo;agoraCMS et le CMSday.</p>\n\n\n\n<p>Cet engagement et la réalisation de projets ambitieux sont récompensés en 2019, lorsque <strong>Be API devient la première agence française partenaire de WordPress VIP.</strong> </p>\n\n\n\n<h2 class=\"wp-block-heading\">Perspectives &amp; avenir</h2>\n\n\n\n<p>Mais alors, est-ce une fin en soi? Bien sûr que non ! L&rsquo;esprit visionnaire des débuts reste attentif au marché et reconnait l&rsquo;importance de faire évoluer l&rsquo;agence pour répondre aux nouveaux besoins. « C<em>e n’est jamais figée. Il faut constamment faire évoluer les équipes, les process, les méthodologies pour s&rsquo;adapter aux problématiques des clients et pour atteindre nos objectifs</em>« . Ainsi, <strong>l’heure est au développement, avec de nombreuses idées actuellement en cours de chantier </strong>&#8211; oui, c’est presque un teasing !</p>\n\n\n\n<p>En ce qui concerne son sentiment sur le chemin parcouru, une pointe de nostalgie se fait ressentir lorsque Amaury se remémore l’ère prospère des CMS. Une période de croissance rapide et une solution technique disruptive qui venaient perturber le marché &#8211; un véritable « game changer ». Aujourd&rsquo;hui, avec le succès de WordPress à l’échelle mondiale et l&rsquo;ampleur de son écosystème, le défi est différent.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p><em>L&rsquo;enjeu est de montrer que la valeur ajoutée ne provient pas que de l&rsquo;outil, mais aussi de l&rsquo;expertise qui l&rsquo;accompagne, pour créer des solutions adaptées</em></p>\n<cite>Amaury Balmer</cite></blockquote>\n\n\n\n<p>Enfin, au-delà des enjeux commerciaux, Amaury conclut sur l’aspect qui lui tient le plus à coeur au regard du parcours: l&rsquo;expérience humaine exceptionnelle qu&rsquo;a représenté la création de WPFR, puis de Be API, qu’il décrit comme un véritable succès collectif.</p>\n\n\n\n<p>« <em>En 15 ans, plus de 150 personnes ont contribué au succès de l’agence. Elle a révélé des vocations, créé des relations solides et construit de belles histoires. C&rsquo;est grâce à toutes ces personnes que nous sommes arrivés là où nous en sommes aujourd&rsquo;hui”.</em></p>\n\n\n\n<p></p>\n\n\n\n<p>Un grand merci à Amaury pour cet entretien ! </p>\n\n\n\n<p>Ça vous a plu? <a href=\"https://www.linkedin.com/in/amaurybalmer/\">Retrouvez-le sur LinkedIn</a> pour découvrir son parcours en détail, ou suivez <a href=\"https://www.linkedin.com/company/beapi/\">la page Be API</a>, pour ne rater aucun des prochains récits.</p>\n<p>The post <a rel=\"nofollow\" href=\"https://beapi.fr/blog/linspirant-parcours-damaury-balmer-un-pionnier-francais-de-wordpress/\">L’inspirant parcours d’Amaury Balmer, un pionnier français de WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://beapi.fr\">Be API, agence WordPress</a>.</p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Alizée Ragoin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://beapi.fr/blog/categories/wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BeAPI\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:5;a:6:{s:4:\"data\";s:57:\"\n    \n    \n    \n    \n    \n    \n    \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:8:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://api.follow.it/track-rss-story-click/v3/8GP0TN3yObgizrhginHnwm7fhEn5oRuR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Bulk Post Status Update\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:79:\"https://api.follow.it/track-rss-story-click/v3/8GP0TN3yObgizrhginHnwm7fhEn5oRuR\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-02T22:13:21.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-05-02T22:13:21.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Changez en masse le statut de vos articles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:244:\"\n        <img src=\"https://api.follow.it/track-rss-story-loaded/v1/Sm1nFSGa2YTS2JYC0C3WfJs0ohxaO6Yr\" border=\"0\" width=\"1\" height=\"1\" alt=\"Bulk Post Status Update\" title=\"Bulk Post Status Update\"/> Changez en masse le statut de vos articles\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://feeds.feedburner.com/LechodespluginsWp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"L’écho des plugins WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:6;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://www.seomix.fr/optimiser-arborescence-site-web/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"Arborescence d’un site web : comment bien l’optimiser ?\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:54:\"https://www.seomix.fr/optimiser-arborescence-site-web/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-04-19T07:30:00.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-04-19T07:30:00.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:862:\"Il existe plusieurs optimisations SEO à effectuer sur un site web pour avoir de la visibilité dans les moteurs de recherche : optimisations techniques, optimisations sémantiques, netlinking, maillage interne, mais l’arborescence est un élément central ! En effet, c’est par là que Google et les internautes vont découvrir la plupart des pages et URL d’un site internet. Mettre en place une arborescence optimisée vous donnera plus de chances d’être bien positionné en référencement naturel. Dans cet article, vous trouverez donc les meilleurs conseils pour optimiser au mieux votre arborescence web et avoir un référencement Google optimal. Qu’est-ce qu’une arborescence d’un site web ? Tout d’abord, pour introduire le sujet de cet article, nous […]Lire la suite : Arborescence d’un site web : comment bien l’optimiser ?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:1219:\"\n        <div><img width=\"180\" height=\"101\" src=\"https://www.seomix.fr/wp-content/uploads/2023/04/arborescence-site-web-180x101.png\" class=\"attachment-thumbnail size-thumbnail wp-post-image\" alt=\"arborescence site web\"/></div>Il existe plusieurs optimisations SEO à effectuer sur un site web pour avoir de la visibilité dans les moteurs de recherche&#160;: optimisations techniques, optimisations sémantiques, netlinking, maillage interne, mais l’arborescence est un élément central&#160;! En effet, c&#8217;est par là que Google et les internautes vont découvrir la plupart des pages et URL d&#8217;un site internet. Mettre en place une arborescence optimisée vous donnera plus de chances d’être bien positionné en référencement naturel. Dans cet article, vous trouverez donc les meilleurs conseils pour optimiser au mieux votre arborescence web et avoir un référencement Google optimal. Qu’est-ce qu’une arborescence d’un site web&#160;? Tout d’abord, pour introduire le sujet de cet article, nous [&#8230;]<br><strong>Lire la suite : </strong><a href=\"https://www.seomix.fr/optimiser-arborescence-site-web/\">Arborescence d’un site web&#160;: comment bien l&#8217;optimiser&#160;?</a>\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Morgane Voisin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://www.seomix.fr/wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"SeoMix\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:7;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:127:\"https://wpchannel.com/woocommerce/plugins-woocommerce/configurer-prix-remises-dynamiques-woocommerce-dynamic-pricing-discounts/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"Comment configurer des prix et des remises dynamiques avec WooCommerce Dynamic Pricing &amp; Discounts\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:127:\"https://wpchannel.com/woocommerce/plugins-woocommerce/configurer-prix-remises-dynamiques-woocommerce-dynamic-pricing-discounts/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-04-16T11:20:14.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-04-16T11:20:14.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:152:\"Si vous gérez une boutique en ligne, vous savez que proposer des réductions et des promotions peut être un excellent moyen d’attirer de nouveaux...\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:379:\"\n        <div class=\"post-thumbnail\"><img width=\"1024\" height=\"724\" src=\"https://wpchannel.com/images/2023/04/shop-with-lot-of-products-1024x724.png\" class=\"attachment-medium size-medium wp-post-image\" alt=\"\" //></div>Si vous gérez une boutique en ligne, vous savez que proposer des réductions et des promotions peut être un excellent moyen d&#8217;attirer de nouveaux...\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Aurélien Denis\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wpchannel.com/feed\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"WP channel\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:8;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://jeanbaptisteaudras.com/2023/04/contribution-stats-for-wordpress-6-2-dolphy/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"Contribution Stats for WordPress 6.2 « Dolphy »\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:83:\"https://jeanbaptisteaudras.com/2023/04/contribution-stats-for-wordpress-6-2-dolphy/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-04-01T09:17:30.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-04-01T09:17:30.000+02:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:536:\"L’article Contribution Stats for WordPress 6.2 « Dolphy » provient de Jean-Baptiste Audras - CTO @ Whodunit & WordPress Core Developer\nWordPress 6.2 « Dolphy » was released on March 29, 2023. This version is named « Dolphy », after the American jazzer pianist Eric Allan Dolphy Jr. I was involved in this release as Tech Lead and as a core committer. It was a pleasure to […]\nL’article Contribution Stats for WordPress 6.2 « Dolphy » provient de Jean-Baptiste Audras - CTO @ Whodunit & WordPress Core Developer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:15867:\"\n        <p>L’article <a rel=\"nofollow\" href=\"https://jeanbaptisteaudras.com/2023/04/contribution-stats-for-wordpress-6-2-dolphy/\">Contribution Stats for WordPress 6.2 « Dolphy »</a> provient de <a rel=\"nofollow\" href=\"https://jeanbaptisteaudras.com\">Jean-Baptiste Audras - CTO @ Whodunit &amp; WordPress Core Developer</a></p>\n\n<p>WordPress 6.2 «&nbsp;Dolphy&nbsp;»&nbsp;was released on March 29, 2023. This version is named&nbsp;<em>«&nbsp;Dolphy&nbsp;»</em>, after the American jazzer pianist Eric Allan Dolphy <abbr title=\"Junior\">Jr</abbr>.</p>\n\n\n\n<p>I was involved in this release as <em>Tech Lead</em> and as a <a href=\"https://github.com/WordPress/wordpress-develop/commits?author=audrasjb\">core committer</a>. It was a pleasure to work with the release squad. A big <em>thank you</em> to all the talented people who worked hard to put together WP&nbsp;6.2 <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2764.png\" alt=\"❤\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //></p>\n\n\n\n<p>As for previous releases, let’s have a look on a few stats about this release.</p>\n\n\n\n<p>In the past, I already published some contributions stats for versions&nbsp;<a href=\"https://jeanbaptisteaudras.com/en/2019/11/distribution-of-wordpress-5-3-contributors-by-country-2/\">5.3</a>,&nbsp;<a href=\"https://jeanbaptisteaudras.com/en/2020/03/wordpress-5-4-core-contribution-statistics/\">5.4</a>,&nbsp;<a href=\"https://jeanbaptisteaudras.com/en/2020/08/wordpress-5-5-core-stats-contributions-by-country-company/\">5.5</a>,&nbsp;<a href=\"https://jeanbaptisteaudras.com/en/2020/12/wordpress-5-6-core-stats-contributions-by-country-company/\">5.6</a>,&nbsp;<a href=\"https://datastudio.google.com/u/0/reporting/a496c333-7e64-412c-9299-9ea2c84e5d2c/page/j595B\">5.7</a>, <a href=\"https://jeanbaptisteaudras.com/en/2022/01/wordpress-5-9-core-contribution-statistics/\">5.9</a>, <a href=\"https://jeanbaptisteaudras.com/en/2022/05/wp-6-0-arturo-contribution-stats/\">6.0</a> and <a href=\"https://jeanbaptisteaudras.com/en/2022/11/contribution-stats-for-wordpress-6-1-misha/\">6.1</a>. I did it again for WP 6.2, so we can have an eye on the relative « influence » of countries and companies on WordPress Core.</p>\n\n\n\n<p>Before diving into WordPress 6.2 Core contributions stats, I wanted to share a few disclaimers, for better context:</p>\n\n\n\n<ul>\n<li>These stats were generated after the last Release Candidate of WP 6.2. Thanks to <a href=\"https://profiles.wordpress.org/desrosj/\" target=\"_blank\" rel=\"noreferrer noopener\">Jon</a> who collected the props list for the release squad.</li>\n\n\n\n<li>These statistics only relate to Core contributions (= props gained for source code contributions) of WordPress. There is a lot of other types of contributions, not listed here: marketing, communication, translation, testing…</li>\n\n\n\n<li>To get these stats, I parsed the WordPress.org profile page of each contributor to get some public informations about them: country, employer, and wether they already contributed to WordPress Core or not.</li>\n\n\n\n<li>It includes both Core contributions on Trac and Gutenberg pull requests on GitHub.</li>\n\n\n\n<li>Those stats are based on what’s declared in each contributors’s wp.org profile.&nbsp;<strong>Users with empty profile informations are not taken into account.</strong></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading alignwide\">WordPress 6.2 overall stats</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-3\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<p><strong>607</strong>&nbsp;<strong>people</strong>&nbsp;from at least&nbsp;<strong>50 countries</strong>&nbsp;and <strong>145 identified companies</strong> contributed to WordPress&nbsp;6.2.</p>\n\n\n\n<p>Worth noting that&nbsp;<strong>178 people contributed to WordPress Core for the very first time!</strong>&nbsp;That’s&nbsp;around&nbsp;<strong>30%</strong>&nbsp;of the total number of contributors!</p>\n\n\n\n<p>The ratio of new contributors represents quite a great onboarding figure for an open-source project!</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:75%\">\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/evolution-release-wp62.svg\"><img src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/evolution-release-wp62.svg\" alt=\"\" class=\"wp-image-145036\" width=\"783\" height=\"507\" //></a><figcaption class=\"wp-element-caption\">Overall contribution evolution across recent releases</figcaption></figure>\n</div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading alignwide\">Country ranking by number of contributions</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-6\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33.33%\">\n<p>It’s interesting to see how much WordPress is a worldwide project. Contributions come from all over the planet <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2665.png\" alt=\"♥\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //></p>\n\n\n\n<p><strong>USA</strong>&nbsp;is still number one by far with 803 contributions, and&nbsp;<strong>Russia</strong>&nbsp;comes 2nd with 449 contributions (still led by <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey</a>, the person who made the highest number of individual contributions on this version). <strong>France</strong>&nbsp;follows with 303 contributions, and&nbsp;<strong>Australia</strong>&nbsp;with 241 props.&nbsp;<strong>Bulgaria</strong>, <strong>India</strong>, and <strong>Greece</strong> are following.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:66.66%\">\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-country-contributions.svg\"><img loading=\"lazy\" src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-country-contributions.svg\" alt=\"\" class=\"wp-image-145037\" width=\"691\" height=\"691\" //></a></figure>\n</div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading alignwide\">Country ranking by number of contributors</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-9\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:66.66%\">\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-country-contributors.svg\"><img loading=\"lazy\" src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-country-contributors.svg\" alt=\"\" class=\"wp-image-145039\" width=\"633\" height=\"633\" //></a></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33.33%\">\n<p>Still, contributions are not everything. <strong>Let&rsquo;s talk about contributors</strong>. Instead of counting contributions, we can count the individuals who worked on this release (=&nbsp;number of people credited in Trac tickets or GitHub PRs)… and we have the following results&nbsp;:</p>\n\n\n\n<p><strong>USA</strong>&nbsp;is still on the top of the game with 91 people. <strong>Bangladesh</strong> overtakes <strong>India</strong> for the first time with 65 contributors (and 49 for India).</p>\n\n\n\n<p>These countries are followed by <strong>Germany</strong> with 18, then <strong>France</strong> and <strong>United Kingdom</strong> with 14 contributors.</p>\n\n\n\n<p>USA still completely dominates the stats by number of independent contributors, and by number of contributions (props count). Contributors from Bangladesh and India also have a great number of people involved, but not so much props.</p>\n</div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">Company ranking by contributions</h2>\n\n\n\n<p><strong>Automattic</strong> is still the most prolific company with employees credited in no less than 1793 contributions (by 82 contributors), and is followed by plugin editor <strong>Yoast</strong> with 712 contributions (by 11 contributors) and <strong>Whodunit</strong> French agency (280 contributions by 4 people). Next, we have the international WP agencies <strong>10up</strong> (244 contributions by 18 people), hosting companies like <strong>GoDaddy</strong> (156 contributions) or <strong>Bluehost</strong> (111), a freelancer <strong>Advies en zo</strong> (130), and <strong>Google</strong> with 110 contributions.</p>\n\n\n\n<p>Worth noting that major stakeholders can still be categorized in three sorts of companies: agencies, plugins/themes editors and hosting companies. And of course, well… Automattic <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f61c.png\" alt=\"😜\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //></p>\n\n\n\n<p>In the graphic below, you&rsquo;ll see all the company credited in WordPress 6.2 and the number of contributions of their employees.</p>\n\n\n\n<figure class=\"wp-block-image alignwide size-large\"><a href=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-company-contributions.svg\"><img loading=\"lazy\" width=\"1200\" height=\"1200\" src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-company-contributions.svg\" alt=\"\" class=\"wp-image-145044\" //></a></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Company ranking by contributors</h2>\n\n\n\n<p>Of the 145 identified companies that contributed to WordPress 6.2, <strong>Automattic</strong> had by far the largest number of contributors, with 82 people involved. For the first time, <strong>WPDeveloper</strong> is the second biggest company in terms of contributors, with 35 people. <strong>10up</strong> comes third with 18 people. <strong>AuthLab</strong> and <strong>Yoast</strong> come fourth with 11 people. Then, we have <strong>Multidots</strong> and <strong>rtCamp</strong>, with more than 6 contributors.</p>\n\n\n\n<figure class=\"wp-block-image alignwide size-large\"><a href=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-company-contributors.svg\"><img loading=\"lazy\" width=\"1200\" height=\"1200\" src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/WP62-company-contributors.svg\" alt=\"\" class=\"wp-image-145047\" //></a></figure>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" //>\n\n\n\n<figure class=\"wp-block-pullquote is-style-default\"><blockquote><p>Thank you to everyone who helped <br>to release WordPress&nbsp;6.2. <br>Big or small, each of the above company contributes <br>to the <a href=\"https://wordpress.org/five-for-the-future/\"><em>Five for the future</em> initiative</a>&nbsp;<img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f499.png\" alt=\"💙\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //></p></blockquote></figure>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" //>\n\n\n\n<h2 class=\"wp-block-heading\">Individuals ranking – WordPress&nbsp;6.2</h2>\n\n\n\n<p>Here is the top 30 of WordPress 6.2 contributors. You can also checkout the full table <a href=\"https://docs.google.com/spreadsheets/d/1snF4iV3ejOKvifix5GYD08ydWHHQsIRCYEZPkLMDFCg/edit?usp=sharing\" target=\"_blank\" rel=\"noreferrer noopener nofollow\">on this spreadsheet</a>.</p>\n\n\n\n<figure class=\"wp-block-table alignwide is-style-stripes\"><table class=\"has-fixed-layout\"><thead><tr><th>Contributor</th><th>Contributions</th><th>Country</th><th>Company</th></tr></thead><tbody><tr><td>sergeybiryukov</td><td>448</td><td>Russia</td><td>Yoast</td></tr><tr><td>audrasjb</td><td>277</td><td>France</td><td>Whodunit</td></tr><tr><td>tyxla</td><td>227</td><td>Bulgaria</td><td>Automattic</td></tr><tr><td>costdev</td><td>149</td><td></td><td></td></tr><tr><td>mamaduka</td><td>147</td><td>Georgia</td><td>GoDaddy</td></tr><tr><td>hellofromtonya</td><td>134</td><td>United States</td><td>Automattic</td></tr><tr><td>poena</td><td>130</td><td>Sweden</td><td>Yoast</td></tr><tr><td>jrf</td><td>130</td><td>Netherlands</td><td>Advies en zo</td></tr><tr><td>scruffian</td><td>116</td><td></td><td>Automattic</td></tr><tr><td>desrosj</td><td>111</td><td>United States</td><td>Bluehost</td></tr><tr><td>aristath</td><td>108</td><td>Greece</td><td>Yoast</td></tr><tr><td>mukesh27</td><td>104</td><td>India</td><td>10up</td></tr><tr><td>ntsekouras</td><td>102</td><td>Greece</td><td>Automattic</td></tr><tr><td>peterwilsoncc</td><td>99</td><td>Australia</td><td>10up</td></tr><tr><td>wildworks</td><td>92</td><td>Japan</td><td></td></tr><tr><td>youknowriad</td><td>86</td><td>Algeria</td><td>Automattic</td></tr><tr><td>mciampini</td><td>75</td><td></td><td>Automattic</td></tr><tr><td>justinahinon</td><td>71</td><td>Benin</td><td>WebDevStudios</td></tr><tr><td>flixos90</td><td>69</td><td>United States</td><td>Google</td></tr><tr><td>getdave</td><td>68</td><td></td><td></td></tr><tr><td>spacedmonkey</td><td>66</td><td>United Kingdom</td><td>XWP</td></tr><tr><td>sabernhardt</td><td>61</td><td>United States</td><td></td></tr><tr><td>aaronrobertshaw</td><td>52</td><td></td><td>Automattic</td></tr><tr><td>azaozz</td><td>51</td><td>Canada</td><td>Automattic</td></tr><tr><td>ramonopoly</td><td>50</td><td></td><td></td></tr><tr><td>andraganescu</td><td>50</td><td>Romania</td><td>Automattic</td></tr><tr><td>jsnajdr</td><td>49</td><td></td><td></td></tr><tr><td>jorgefilipecosta</td><td>49</td><td>Portugal</td><td>Automattic</td></tr><tr><td>oandregal</td><td>48</td><td>Spain</td><td>Automattic</td></tr><tr><td>0mirka00</td><td>48</td><td>Japan</td><td>Automattic</td></tr></tbody></table></figure>\n\n\n\n<div class=\"wp-block-group alignfull is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" //>\n\n\n<div class=\"wp-block-image is-style-rounded\">\n<figure class=\"aligncenter size-full is-resized\"><img loading=\"lazy\" src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2019/11/photo-avatar-jb-make-e1598437997298.jpg\" alt=\"Mon texte alternatif\" class=\"wp-image-99017\" width=\"127\" height=\"127\" //></figure></div>\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large alignwide\">\n<p>I hope you liked that post! Comments &amp; shares are welcome&nbsp;<strong><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f60d.png\" alt=\"😍\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //></strong></p>\n\n\n\n<p><span style=\"color: inherit;font-family: inherit;letter-spacing: -0.0357143em\">You can also </span><a href=\"https://www.paypal.me/audrasjb\" target=\"_blank\" rel=\"noreferrer noopener\">buy me a beer or a coffee</a><span style=\"color: inherit;font-family: inherit;letter-spacing: -0.0357143em\"> if you want <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f37b.png\" alt=\"🍻\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2615.png\" alt=\"☕\" class=\"wp-smiley\" style=\"height: 1em;max-height: 1em\" //></span></p>\n\n\n\n<p>Feel free to reuse any graphic or data used in this post, without any limitation. The raw data are available <a href=\"https://docs.google.com/spreadsheets/d/1snF4iV3ejOKvifix5GYD08ydWHHQsIRCYEZPkLMDFCg/edit?usp=sharing\">on this spreadsheet</a>.</p>\n\n\n\n<p>Contact me if you have any question.</p>\n</blockquote>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" //>\n</div></div>\n\n\n\n<figure class=\"wp-block-image alignfull size-large\"><img loading=\"lazy\" width=\"1024\" height=\"401\" src=\"https://jeanbaptisteaudras.com/2019/wp-content/uploads/2023/04/banner-dolphy-wordpress-62-1024x401.png\" alt=\"\" class=\"wp-image-145033\" //></figure>\n<p>L’article <a rel=\"nofollow\" href=\"https://jeanbaptisteaudras.com/2023/04/contribution-stats-for-wordpress-6-2-dolphy/\">Contribution Stats for WordPress 6.2 « Dolphy »</a> provient de <a rel=\"nofollow\" href=\"https://jeanbaptisteaudras.com\">Jean-Baptiste Audras - CTO @ Whodunit &amp; WordPress Core Developer</a></p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"Jb\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://jeanbaptisteaudras.com/wordpress/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}i:9;a:6:{s:4:\"data\";s:70:\"\n    \n    \n    \n    \n    \n    \n    \n            \n                \n    \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:9:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://www.whodunit.fr/wordpress-le-point-sur-ce-qui-vous-attend-en-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"WordPress : le point sur ce qui vous attend en 2023\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:4:\"href\";s:74:\"https://www.whodunit.fr/wordpress-le-point-sur-ce-qui-vous-attend-en-2023/\";s:3:\"rel\";s:9:\"alternate\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"updated\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-02-07T11:22:37.000+01:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"published\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"2023-02-07T11:22:37.000+01:00\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"summary\";a:1:{i:0;a:5:{s:4:\"data\";s:743:\"La sortie en novembre dernier de la version 6.1 de WordPress est l’occasion idéale de faire le point sur le CMS qui a vu le jour en 2003 et qui compte aujourd’hui plus de 60 millions de sites actifs à travers le monde. Il est important voire indispensable d’anticiper les prochaines évolutions de WordPress afin de se poser les bonnes questions, de faire les bons choix techniques, d’informer les clients… Voici pour vous un récapitulatif des nouveautés de WordPress en 2022, une présentation des prochaines fonctionnalités attendues en 2023, le tout agrémenté de quelques spoilers alerts sur le futur de…\nL’article WordPress : le point sur ce qui vous attend en 2023 est apparu en premier sur Agence WordPress Whodunit.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"content\";a:1:{i:0;a:5:{s:4:\"data\";s:20637:\"\n        \n<p>La sortie en novembre dernier de la version 6.1 de WordPress est l’occasion idéale de faire le point sur le <abbr title=\"Système de gestion de contenu\">CMS</abbr> qui a vu le jour en 2003 et qui compte aujourd’hui plus de 60 millions de sites actifs à travers le monde.</p>\n\n\n\n<p>Il est important voire indispensable d’anticiper les prochaines évolutions de WordPress afin de se poser les bonnes questions, de faire les bons choix techniques, d’informer les clients…</p>\n\n\n\n<p>Voici pour vous un récapitulatif des nouveautés de WordPress en 2022, une présentation des prochaines fonctionnalités attendues en 2023, le tout agrémenté de quelques <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">spoilers alerts</span> sur le futur de WordPress et tout plein de conseils <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">made in</span> Whodunit </p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n\n</div></figure>\n\n\n\n<p>Les intervenants : Jean-Baptiste Audras, CTO Whodunit et Développeur Core de WordPress et Eddy Boels, Customer Happiness Manager Whodunit </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-l-histoire-de-wordpress-et-son-evolution-au-fil-des-ans\" data-block-type=\"core\">L’histoire de WordPress et son évolution au fil des ans</h2>\n\n\n\n<figure class=\"wp-block-image size-full\" data-block-type=\"core\"><img loading=\"lazy\" width=\"813\" height=\"472\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/02/evolution-des-parts-de-marche-cms-en-10-ans-1.png\" alt=\"Evolution des parts de marché de WordPress sur 10 ans : WP est passé de moins de 20% de parts de marché à 43%\" class=\"wp-image-75428\" //></figure>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-les-versions-majeures-en-2022\" data-block-type=\"core\">Les versions majeures en 2022</h3>\n\n\n\n<ul data-block-type=\"core\">\n<li data-block-type=\"core\">La version 5.9 a vu apparaître le <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">full site editing</span> (édition complète du site). Cela offre par exemple la possibilité d’éditer l’entête et le pied de page de son site et différents modèles de pages. Elle représente ainsi une grosse évolution pour le CMS.</li>\n\n\n\n<li data-block-type=\"core\">La version 6.0 : cette “petite” version majeure a servi à fignoler l’expérience d’édition de sites</li>\n\n\n\n<li data-block-type=\"core\">La version 6.0.3 : plus grosse version de sécurité de l’histoire du CMS, elle a contenu 15 correctifs de failles de sécurité remontées par des audits externes et des chercheurs en sécurité.</li>\n\n\n\n<li data-block-type=\"core\">La dernière version 6.1 : version très attendue car elle a implémenté le full site editing de façon encore plus profonde avec l’édition de style et variations de styles. Et un nouveau thème natif <a href=\"https://fr.wordpress.org/themes/twentytwentythree/\">T</a><a href=\"https://fr.wordpress.org/themes/twentytwentythree/\" target=\"_blank\" rel=\"noreferrer noopener\">wenty Twenty-Three</a>, un thème canevas vierge et qui contient tout ce qu’il faut pour réaliser un site accessible. Cette version représente un record en termes de contributeurs et contributrices (1399 personnes dont 656 qui n’avaient jamais contribué au développement de WP avant). Ceci peut s’expliquer en partie par la présence du JavaScript moderne utilisé par l’éditeur Gutenberg qui attire de nouveaux développeurs et développeuses.</li>\n</ul>\n\n\n\n<p>La team performance de WordPress a été créée, permettant d’améliorer les performances de 20 à 30% notamment en back office.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-comment-wordpress-s-est-adapte-aux-changements-technologiques-et-aux-nouvelles-tendances-du-web\" data-block-type=\"core\">Comment WordPress s’est adapté aux changements technologiques et aux nouvelles tendances du web</h3>\n\n\n\n<p>Aujourd&#8217;hui avec WordPress 6.1, il est possible de dire que WordPress supporte PHP 8 et 8.1. C’est à dire que vous n’aurez pas d&#8217;erreurs majeures si vous passez votre serveur en php 8.0, ou 8.1. En revanche, ce n’est pas encore forcément le cas de toutes les extensions et de tous les thèmes.</p>\n\n\n\n<p>En effet, il va falloir du temps pour s&#8217;assurer que tous les thèmes et toutes les extensions soient compatibles. D&#8217;ailleurs toutes ne le seront pas, il y a des extensions qui n’ont pas été mises à jour depuis trois ou quatre ans et dans ce cas là on risque d&#8217;avoir des problèmes d&#8217;incompatibilité.</p>\n\n\n\n<p>Il y a un travail en cours du côté de l&#8217;équipe Meta <a href=\"http://WordPress.org\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress.org</a> pour pouvoir ajouter un tag sur les extensions du répertoire et pouvoir identifier facilement les extensions qui sont compatibles ou celles qui ne le sont pas. C’est un travail de test assez complet et assez complexe à mettre en oeuvre mais c&#8217;est quelque chose qui pourrait voir le jour pour 2023.</p>\n\n\n\n<p>On vous a préparé une liste non exhaustive des fonctionnalités qu’on aime sur WP 6.1 :</p>\n\n\n\n<ul data-block-type=\"core\">\n<li data-block-type=\"core\">Les variations de styles : en un seul clic on peut changer l&#8217;apparence complète du site, la gestion des styles globaux, les palettes de couleurs, les typos…</li>\n\n\n\n<li data-block-type=\"core\">On trouve désormais dans l’éditeur des modèles de page et donc la possibilité de créer des modèles de page avec différents <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">headers</span> et <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">footers</span></li>\n\n\n\n<li data-block-type=\"core\">La liste des blocs Gutenberg indispensables</li>\n\n\n\n<li data-block-type=\"core\">La gestion des espaces qui était très attendue : marges internes, externes, espacements…</li>\n\n\n\n<li data-block-type=\"core\">Le développement des compositions de blocs : on trouve des modèles de composition de blocs tout faits, des bibliothèques très intéressantes qu’il suffit de copier-coller </li>\n</ul>\n\n\n\n<figure class=\"wp-block-image size-large\" data-block-type=\"core\"><img loading=\"lazy\" width=\"1080\" height=\"748\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/02/capture-decran-2023-01-24-a-09-30-29-1080x748.png\" alt=\"\" class=\"wp-image-75444\" //></figure>\n\n\n\n<p>Il y a eu un gros travail sur la bibliothèque de compositions de blocs, un développeur ou une développeuse peut créer ses propres compositions, utiliser celles qui sont natives, celles proposées directement par le thème qu’on aura installé mais on peut aussi aller chercher celles de <a href=\"http://wordpress.org\" target=\"_blank\" rel=\"noreferrer noopener\">wordpress</a><a href=\"http://wordpress.org\">.org</a>.</p>\n\n\n\n<p>L’étape suivante sera de créer ses propres compositions directement dans l&#8217;éditeur et c&#8217;est ainsi que nous en arrivons à ce qui est en cours de développement.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-etat-des-lieux-de-wordpress\" data-block-type=\"core\">État des lieux de WordPress</h2>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-l-editeur-gutenberg-s-emancipe\" data-block-type=\"core\">L’éditeur Gutenberg s’émancipe</h3>\n\n\n\n<p>Nous voyons le projet Gutenberg sortir de l’écosystème WordPress lui-même, de sa zone de contenus.</p>\n\n\n\n<p>Il y a quelques semaines, un projet en Sass monté sur <a href=\"https://laravel.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Laravel</a> et qui utilise Gutenberg a été présenté au <a href=\"https://wordpress.org/news/2022/11/state-of-the-word-2022/\" target=\"_blank\" rel=\"noreferrer noopener\"><span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">State of the word</span></a>, la conférence annuelle du cofondateur WordPress.</p>\n\n\n\n<p>On a vu aussi apparaître l’extension <a href=\"https://fr.wordpress.org/plugins/blocks-everywhere/\" target=\"_blank\" rel=\"noreferrer noopener\">Blocks Everywhere</a> disponible sur WordPress.org. Comme son nom l&#8217;indique elle permet d&#8217;embarquer l&#8217;éditeur de bloc dans les commentaires par exemple. Elle permet aussi d&#8217;utiliser l&#8217;éditeur sur les espaces collaboratifs d&#8217;extensions telles que Buddypress ou BBpress qui servent à gérer des communautés ou des forums.</p>\n\n\n\n<p>On sait aussi que ça n’est qu’une question de temps avant que l&#8217;éditeur ne puisse être utilisé pour directement éditer les archives de catégories, ce qui est une fonctionnalité très attendue notamment pour des sites de e-commerce.</p>\n\n\n\n<p>Gutenberg est également sorti de WordPress pour être directement implémenté dans Tumblr, une vieille plateforme de blogging et microblogging rachetée il y a maintenant quelques temps par Automattic, l&#8217;entreprise fondée par le co-fondateur de WordPress.org, Matt Mullenweg.</p>\n\n\n\n<p><mark class=\"has-inline-color has-palette-color-3-color\"><strong>On observe donc que le Projet Gutenberg a tendance à devenir plus gros que WordPress lui-même, l&#8217;objectif visé étant d’en faire un éditeur universel.</strong></mark></p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-wp-playground-l-application-qui-permet-de-simuler-wordpress\" data-block-type=\"core\"><a href=\"https://developer.wordpress.org/playground/\" target=\"_blank\" rel=\"noreferrer noopener\"><span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">WP Playground</span></a>, l’application qui permet de simuler WordPress</h3>\n\n\n\n<figure class=\"wp-block-image size-large\" data-block-type=\"core\"><img loading=\"lazy\" width=\"1080\" height=\"341\" src=\"https://www.whodunit.fr/wp-content/uploads/2023/02/capture-decran-2023-01-24-a-11-09-24-1080x341.png\" alt=\"\" class=\"wp-image-75429\" //></figure>\n\n\n\n<p>Cette initiative présentée récemment par <a href=\"https://fr.wikipedia.org/wiki/Matthew_Mullenweg\" target=\"_blank\" rel=\"noreferrer noopener\">Matt Mullenweg</a> est en fait une application qui va se charger directement dans un onglet du navigateur et permettre de simuler un WordPress vierge dans lequel nous pourrons installer des extensions, installer des thèmes, créer du contenu et le publier…</p>\n\n\n\n<p>C&#8217;est bien sûr une installation provisoire c&#8217;est à dire que tout le contenu qui aura été rédigé sera détruit au moment où le navigateur sera fermé mais d’un point de vue pédagogique, la possibilité de pouvoir faire une démonstration de WordPress est grandement appréciée.</p>\n\n\n\n<p>Il y a également une application de <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">WP playground</span> encore en développement qui donnera la possibilité d’avoir ce mini WordPress sur la page du répertoire des extensions et des thèmes.</p>\n\n\n\n<p>En clair, on pourra tester la compatibilité des extensions qui nous intéressent.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-create-block-theme\" data-block-type=\"core\"><span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">Create Block Theme</span></h3>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/create-block-theme/\" target=\"_blank\" rel=\"noreferrer noopener\"><span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">Create Block Theme</span></a> est vraiment une extension d&#8217;actualité. Créée par les équipes de développement de WordPress, elle permet de créer un thème basé sur des blocs utilisant le <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">full site editing</span> et de le paramétrer entièrement depuis l’administration.</p>\n\n\n\n<p>C’est un outil <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">no code</span> c&#8217;est à dire que l’on créé un thème directement depuis notre administration sans créer la moindre ligne de code. Ça va vraiment créer les fichiers physiques sur le serveur, on pourra les zipper et les récupérer pour notre site donc c’est une extension très prometteuse !</p>\n\n\n\n<p>Pour en savoir plus, n’hésitez pas à écouter notre <a href=\"https://www.whodunit.fr/woa-20-le-no-code-avec-stephane-menet/\" target=\"_blank\" rel=\"noreferrer noopener\">dernier podcast</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-openverse\" data-block-type=\"core\">Openverse</h3>\n\n\n\n<p><a href=\"https://wordpress.org/openverse/\" target=\"_blank\" rel=\"noreferrer noopener\">Openverse</a> est un projet qui appartenait à la fondation <em>Creative Commons</em> mais faute d’équipe pour s’en occuper, c’est WordPress.org qui a souhaité le récupérer. Il s’agit une bibliothèque de partage de médias libres de droit. Que ce soit des images, des vidéos ou des fichiers audio. Ce qui en fait pour être très clair un concurrent de Unsplash par exemple. Openverse est vraiment un projet 100% open source et ici ce n&#8217;est pas de code dont il est question mais de médias et de création artistique et graphique.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-roadmap-2023\" data-block-type=\"core\">RoadMap 2023</h2>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-les-differentes-phases-du-projet-gutenberg\" data-block-type=\"core\">Les différentes phases du projet Gutenberg</h3>\n\n\n\n<p><strong><span style=\"color: var(--paletteColor1, #ff3475)\" class=\"stk-highlight\">Phase 1</span></strong></p>\n\n\n\n<p>Pour rappel c&#8217;était l&#8217;éditeur de bloc donc l’édition de la zone de contenu d&#8217;une page, d&#8217;un article ou de n&#8217;importe quel type de publication avec des blocs.</p>\n\n\n\n<p><strong><span style=\"color: var(--paletteColor1, #ff3475)\" class=\"stk-highlight\">Phase 2</span></strong></p>\n\n\n\n<p>C’était le <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\"><em>Full Site Editing</em></span> qui d&#8217;ailleurs a été renommé en <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\"><em>Site Editor</em></span> tout simplement. Il permet donc de modifier l&#8217;ensemble du site et pas uniquement la zone de contenu d&#8217;une page ou d&#8217;un article.</p>\n\n\n\n<p><strong><span style=\"color: var(--paletteColor1, #ff3475)\" class=\"stk-highlight\">Phase 3</span></strong></p>\n\n\n\n<p>C&#8217;est la phase collaborative, qui est la phase qui parle le moins finalement aux gens de la communauté WordPress. Pourquoi ? Parce que la plupart des gens de la communauté WordPress utilisent WordPress pour créer un site vitrine, une boutique et l’administrer.</p>\n\n\n\n<p>Il faut se souvenir que le Projet Gutenberg est un projet qui est un petit peu séparé de WordPress c&#8217;est-à-dire qu&#8217;il est développé pour WordPress évidemment puisqu’il est son premier lieu d&#8217;expression et depuis le début il est dit que Gutenberg doit pouvoir être utilisé en dehors de WordPress, pour n&#8217;importe quel CMS, n&#8217;importe quel usage.</p>\n\n\n\n<p>L’idée du Projet Gutenberg est bien d’en faire l&#8217;éditeur universel de contenus sur le web.</p>\n\n\n\n<p>Mais l&#8217;édition de contenu n’est pas réservée aux sites internet et ce que fait WordPress avec Gutenberg c&#8217;est clairement lorgner sur des outils comme Google Docs par exemple.</p>\n\n\n\n<p>Gutenberg a donc besoin d&#8217;outils de <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">workflow</span> éditorial, de <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">workflow</span> de flux collaboratif et c’est vraiment cette phase 3 qui va être lancée en 2023.</p>\n\n\n\n<p>Elle commence dès janvier avec des travaux en cours sur la gestion des flux éditoriaux, donc de la collaboration dans l&#8217;éditeur, une collaboration asynchrone ou en temps réel avec la possibilité sur du contenu de laisser des notes et des commentaires.</p>\n\n\n\n<p>En cours également une refonte complète du système de révision WordPress : Le système de révision c&#8217;est ce qui permet de revenir en arrière sur ce qui a été fait. Très utile lorsqu&#8217;on a fait une bêtise…</p>\n\n\n\n<p>A noter aussi que Gutenberg a désormais la double licence GPL (<span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">GNU Public License</span>) et MPL (<span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">Mozilla Public License</span>) Cette deuxième licence était obligatoire au Projet Gutenberg pour qu&#8217;il puisse être porté sur de l&#8217;applicatif mobile comme sur les <span lang=\"en\" dir=\"ltr\" class=\"lang-attribute\">stores</span> Google ou Apple.</p>\n\n\n\n<p><strong><span style=\"color: var(--paletteColor1, #ff3475)\" class=\"stk-highlight\">Phase 4</span></strong></p>\n\n\n\n<p>C&#8217;est le multilingue. Cette phase 4 était censée arriver une fois que la phase 3 serait en place mais en réalité ça va probablement arriver un peu en même temps. Il va y avoir des développements en parallèle donc on peut attendre effectivement le multilingue avec des premiers développements en 2023 puis des premiers déploiements in situ en 2024.</p>\n\n\n\n<p>En tout cas le multilingue va être intégré directement dans l&#8217;éditeur donc ça sera pas du tout le même fonctionnement que les extensions qu&#8217;on connaît toutes et tous comme <a href=\"https://fr.wordpress.org/plugins/polylang/\">Polylang</a>, notre petite extension favorite de multilingue. Il va y avoir quelque chose de complémentaire et qui permettra d&#8217;aller encore un peu plus loin sur cette partie là et de façon simplifiée, sans extension.</p>\n\n\n\n<p><strong><span style=\"color: var(--paletteColor1, #ff3475)\" class=\"stk-highlight\">Les autres évolutions à venir :</span></strong></p>\n\n\n\n<ul data-block-type=\"core\">\n<li data-block-type=\"core\">On se dirige vers une refonte complète de la médiathèque, la bibliothèque de médias de WordPress. Ce sujet est très attendu car beaucoup de personnes se plaignent depuis maintenant des années du fait qu&#8217;on ne puisse pas catégoriser les médias, qu&#8217;on puisse pas les ranger dans des dossiers… L’autre souci c’est qu’en voulant insérer une image, Gutenberg va charger la médiathèque qui est lourde et très lente alors que Gutenberg lui est plutôt rapide. On a hâte !</li>\n\n\n\n<li data-block-type=\"core\">D’autres petites choses aussi qui vont être développées en 2023 sont l&#8217;affichage des blocs en fonction du contexte mobile, comptes connectés ou non…</li>\n\n\n\n<li data-block-type=\"core\">On va retrouver l&#8217;éditeur de composition c&#8217;est à dire le fait de pouvoir créer des patterns directement, les exporter et ainsi de suite. C&#8217;est quelque chose que nous proposons dans une petite extension développée début 2022 pour nos clients : <a href=\"https://fr.wordpress.org/plugins/mywp-custom-patterns/\" target=\"_blank\" rel=\"noreferrer noopener\">MyWP Custom Patterns</a></li>\n\n\n\n<li data-block-type=\"core\">On aura un nouveau type d&#8217;extension sur le répertoire des extensions WordPress.org : ce sont les canonical plugins (les extensions canoniques en français). Ce sont des extensions qui seront maintenues par WordPress.org officiellement. Gutenberg est déjà une extension de ce type mais aussi toutes les extensions d&#8217;import et d&#8217;export de contenu seront des extensions canoniques. C’est à la fois un gage de sécurité et un gage de performance parce que c&#8217;est maintenu par les équipes du cœur mais en même temps tout le monde peut y contribuer.</li>\n\n\n\n<li data-block-type=\"core\">On a aussi l’extension <a href=\"https://fr.wordpress.org/plugins/performance-lab/\" target=\"_blank\" rel=\"noreferrer noopener\">Performance Lab</a> (le laboratoire d’amélioration des performances de WordPress) Toutes ces améliorations sont développées sous la forme d’une extension canonique, certaines fonctionnalités sont portées dans le coeur de WordPress tandis que les autres restent dans l’extension.</li>\n</ul>\n\n\n\n<p>L’idée c’est que ces extensions puissent servir de laboratoire.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-les-20-ans-de-wordpress\" data-block-type=\"core\">Les 20 ans de WordPress</h3>\n\n\n\n<p>Une équipe travaille sur les festivités des 20 ans de WordPress, on peut s&#8217;attendre à beaucoup de surprises au printemps 2023 !</p>\n\n\n\n<p>Plus de détails à venir ici : <a href=\"https://wp20.wordpress.net/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress turns 20 in 2023 (en anglais)</a></p>\n\n\n\n<p>A noter également que WordPress, qui ne serait rien sans sa communauté, connaît une reprise de ses fameux WordCamps, un WordCamp Suisse va avoir lieu au printemps et un WordCamp Paris est aussi probablement attendu courant 2023. </p>\n<p>L’article <a rel=\"nofollow\" href=\"https://www.whodunit.fr/wordpress-le-point-sur-ce-qui-vous-attend-en-2023/\">WordPress : le point sur ce qui vous attend en 2023</a> est apparu en premier sur <a rel=\"nofollow\" href=\"https://www.whodunit.fr\">Agence WordPress Whodunit</a>.</p>\n\n    \";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:4:\"type\";s:4:\"html\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"author\";a:1:{i:0;a:6:{s:4:\"data\";s:46:\"\n            \n                                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"name\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Gaelle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:6:\"source\";a:1:{i:0;a:6:{s:4:\"data\";s:67:\"\n                    \n                            \n                \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:27:\"http://www.w3.org/2005/Atom\";a:2:{s:2:\"id\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://www.whodunit.fr/videos/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Whodunit Videos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:512;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:12:\"nginx/1.21.4\";s:4:\"date\";s:29:\"Thu, 08 Jun 2023 07:17:32 GMT\";s:12:\"content-type\";s:20:\"application/atom+xml\";s:12:\"x-powered-by\";s:10:\"PHP/8.0.13\";s:13:\"last-modified\";s:29:\"Wed, 15 Dec 2021 21:33:54 GMT\";s:4:\"etag\";s:34:\"\"2ffe8d75591b5b1ed5ca7f66d3c037d3\"\";s:4:\"link\";s:57:\"<https://rss.wpfr.net/wp-json/>; rel=\"https://api.w.org/\"\";s:13:\"cache-control\";s:35:\"no-cache, no-store, must-revalidate\";s:6:\"pragma\";s:8:\"no-cache\";s:7:\"expires\";s:1:\"0\";s:25:\"strict-transport-security\";s:16:\"max-age=63072000\";}}s:5:\"build\";s:14:\"20230509133115\";}", "no");
INSERT INTO `wp_options` VALUES("6782", "_transient_timeout_dash_v2_bd94b8f41e74bae2f4dc72e9bd8379af", "1686251778", "no");
INSERT INTO `wp_options` VALUES("6783", "_transient_dash_v2_bd94b8f41e74bae2f4dc72e9bd8379af", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://fr.wordpress.org/2023/03/30/wordpress-6-2-dolphy/\'>WordPress 6.2 « Dolphy »</a></li><li><a class=\'rsswidget\' href=\'https://fr.wordpress.org/2023/03/10/guide-des-changements-techniques-de-wordpress-6-2/\'>Guide des changements techniques de WordPress 6.2</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wpmarmite.com/all-in-one-seo/?utm_source=rss&#038;utm_medium=rss&#038;%23038;utm_campaign=all-in-one-seo\'>All in One SEO peut-il devenir votre plugin de référencement numéro un ?</a></li><li><a class=\'rsswidget\' href=\'https://kinsta.com/fr/blog/authentification-laravel-breeze/\'>Authentification dans Laravel avec Breeze</a></li><li><a class=\'rsswidget\' href=\'https://www.whodunit.fr/woa-22-hebergeurs-et-greenwashing/\'>WOA ! #22 Hébergeurs et greenwashing</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("6556", "_transient_timeout_wc_report_orders_stats_3ceda03b4e8f92c250cc84a860bebb93", "1686750192", "no");
INSERT INTO `wp_options` VALUES("6557", "_transient_wc_report_orders_stats_3ceda03b4e8f92c250cc84a860bebb93", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":10:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-06\";s:10:\"date_start\";s:19:\"2023-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-07\";s:10:\"date_start\";s:19:\"2023-06-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-06 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6558", "_transient_timeout_wc_report_orders_stats_53b47e7e3833f4e35077ac32eddab869", "1686750193", "no");
INSERT INTO `wp_options` VALUES("6559", "_transient_wc_report_orders_stats_53b47e7e3833f4e35077ac32eddab869", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":10:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2022-06-01\";s:10:\"date_start\";s:19:\"2022-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2022-06-02\";s:10:\"date_start\";s:19:\"2022-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2022-06-03\";s:10:\"date_start\";s:19:\"2022-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2022-06-04\";s:10:\"date_start\";s:19:\"2022-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2022-06-05\";s:10:\"date_start\";s:19:\"2022-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2022-06-06\";s:10:\"date_start\";s:19:\"2022-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2022-06-07\";s:10:\"date_start\";s:19:\"2022-06-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2022-06-06 22:00:00\";s:8:\"date_end\";s:19:\"2022-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2022-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":9:{s:11:\"gross_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:11:\"net_revenue\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"total_sales\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6560", "_transient_timeout_wc_report_orders_stats_328577d95d601d567b4211a9f6a03462", "1686750194", "no");
INSERT INTO `wp_options` VALUES("6561", "_transient_wc_report_orders_stats_328577d95d601d567b4211a9f6a03462", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":15:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"products\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-06-07\";s:10:\"date_start\";s:19:\"2023-06-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-06 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-06-06\";s:10:\"date_start\";s:19:\"2023-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":14:{s:12:\"orders_count\";i:0;s:14:\"num_items_sold\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"coupons\";d:0;s:13:\"coupons_count\";i:0;s:7:\"refunds\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:19:\"avg_items_per_order\";d:0;s:15:\"avg_order_value\";d:0;s:15:\"total_customers\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6562", "_transient_timeout_wc_report_orders_stats_790be788156f84a7f849c096b2a93f1f", "1686750194", "no");
INSERT INTO `wp_options` VALUES("6563", "_transient_wc_report_orders_stats_790be788156f84a7f849c096b2a93f1f", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":11:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-06\";s:10:\"date_start\";s:19:\"2023-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-07\";s:10:\"date_start\";s:19:\"2023-06-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-06 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":10:{s:12:\"orders_count\";i:0;s:11:\"gross_sales\";d:0;s:11:\"total_sales\";d:0;s:7:\"refunds\";d:0;s:7:\"coupons\";d:0;s:5:\"taxes\";d:0;s:8:\"shipping\";d:0;s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6564", "woocommerce_revenue_report_date_tour_shown", "yes", "yes");
INSERT INTO `wp_options` VALUES("6554", "_transient_timeout_wc_marketing_recommended_plugins", "1686404589", "no");
INSERT INTO `wp_options` VALUES("6555", "_transient_wc_marketing_recommended_plugins", "a:21:{i:0;a:10:{s:5:\"title\";s:23:\"Google Listings and Ads\";s:11:\"description\";s:121:\"Get in front of shoppers and drive traffic so you can grow your business with Smart Shopping Campaigns and free listings.\";s:3:\"url\";s:122:\"https://woocommerce.com/products/google-listings-and-ads/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:96:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/google.svg\";s:7:\"product\";s:23:\"google-listings-and-ads\";s:6:\"plugin\";s:51:\"google-listings-and-ads/google-listings-and-ads.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:14:\"sales-channels\";s:4:\"name\";s:14:\"Sales channels\";}}s:4:\"tags\";a:1:{i:0;a:2:{s:4:\"slug\";s:20:\"built-by-woocommerce\";s:4:\"name\";s:20:\"Built by WooCommerce\";}}}i:1;a:11:{s:5:\"title\";s:25:\"Pinterest for WooCommerce\";s:11:\"description\";s:165:\"Grow your business on Pinterest! Use this official plugin to allow shoppers to Pin products while browsing your store, track conversions, and advertise on Pinterest.\";s:3:\"url\";s:124:\"https://woocommerce.com/products/pinterest-for-woocommerce/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:99:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/pinterest.svg\";s:7:\"product\";s:25:\"pinterest-for-woocommerce\";s:6:\"plugin\";s:55:\"pinterest-for-woocommerce/pinterest-for-woocommerce.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:14:\"sales-channels\";s:4:\"name\";s:14:\"Sales channels\";}}s:4:\"tags\";a:1:{i:0;a:2:{s:4:\"slug\";s:20:\"built-by-woocommerce\";s:4:\"name\";s:20:\"Built by WooCommerce\";}}s:25:\"show_extension_promotions\";b:1;}i:2;a:10:{s:5:\"title\";s:22:\"TikTok for WooCommerce\";s:11:\"description\";s:92:\"Create advertising campaigns and reach one billion global users with TikTok for WooCommerce.\";s:3:\"url\";s:121:\"https://woocommerce.com/products/tiktok-for-woocommerce/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:96:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/tiktok.jpg\";s:7:\"product\";s:19:\"tiktok-for-business\";s:6:\"plugin\";s:46:\"tiktok-for-business/tiktok-for-woocommerce.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:14:\"sales-channels\";s:4:\"name\";s:14:\"Sales channels\";}}s:4:\"tags\";a:0:{}}i:3;a:10:{s:5:\"title\";s:50:\"Amazon, eBay & Walmart Integration for WooCommerce\";s:11:\"description\";s:221:\"Convert WooCommerce into a fully-featured omnichannel commerce platform, leveraging powerful automation and real-time sync to connect your brand with millions of new customers on the world’s largest online marketplaces.\";s:3:\"url\";s:122:\"https://woocommerce.com/products/amazon-ebay-integration/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/amazon-ebay.svg\";s:7:\"product\";s:23:\"amazon-ebay-integration\";s:6:\"plugin\";s:75:\"woocommerce-amazon-ebay-integration/woocommerce-amazon-ebay-integration.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:14:\"sales-channels\";s:4:\"name\";s:14:\"Sales channels\";}}s:4:\"tags\";a:0:{}}i:4;a:10:{s:5:\"title\";s:8:\"MailPoet\";s:11:\"description\";s:111:\"Create and send purchase follow-up emails, newsletters, and promotional campaigns straight from your dashboard.\";s:3:\"url\";s:107:\"https://woocommerce.com/products/mailpoet/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:98:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/mailpoet.svg\";s:7:\"product\";s:8:\"mailpoet\";s:6:\"plugin\";s:21:\"mailpoet/mailpoet.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:5:\"email\";s:4:\"name\";s:5:\"Email\";}}s:4:\"tags\";a:1:{i:0;a:2:{s:4:\"slug\";s:20:\"built-by-woocommerce\";s:4:\"name\";s:20:\"Built by WooCommerce\";}}}i:5;a:10:{s:5:\"title\";s:25:\"Mailchimp for WooCommerce\";s:11:\"description\";s:73:\"Send targeted campaigns, recover abandoned carts and more with Mailchimp.\";s:3:\"url\";s:124:\"https://woocommerce.com/products/mailchimp-for-woocommerce/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:99:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/mailchimp.svg\";s:7:\"product\";s:25:\"mailchimp-for-woocommerce\";s:6:\"plugin\";s:51:\"mailchimp-for-woocommerce/mailchimp-woocommerce.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:5:\"email\";s:4:\"name\";s:5:\"Email\";}}s:4:\"tags\";a:0:{}}i:6;a:10:{s:5:\"title\";s:29:\"Creative Mail for WooCommerce\";s:11:\"description\";s:99:\"Create on-brand store campaigns, fast email promotions and customer retargeting with Creative Mail.\";s:3:\"url\";s:128:\"https://woocommerce.com/products/creative-mail-for-woocommerce/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:123:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/creative-mail-by-constant-contact.png\";s:7:\"product\";s:33:\"creative-mail-by-constant-contact\";s:6:\"plugin\";s:58:\"creative-mail-by-constant-contact/creative-mail-plugin.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:5:\"email\";s:4:\"name\";s:5:\"Email\";}}s:4:\"tags\";a:0:{}}i:7;a:10:{s:5:\"title\";s:11:\"AutomateWoo\";s:11:\"description\";s:86:\"Convert and retain customers with automated marketing that does the hard work for you.\";s:3:\"url\";s:110:\"https://woocommerce.com/products/automatewoo/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/automatewoo.svg\";s:7:\"product\";s:11:\"automatewoo\";s:6:\"plugin\";s:27:\"automatewoo/automatewoo.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:11:\"automations\";s:4:\"name\";s:11:\"Automations\";}}s:4:\"tags\";a:1:{i:0;a:2:{s:4:\"slug\";s:20:\"built-by-woocommerce\";s:4:\"name\";s:20:\"Built by WooCommerce\";}}}i:8;a:10:{s:5:\"title\";s:26:\"AutomateWoo Refer a Friend\";s:11:\"description\";s:89:\"Boost your organic sales by adding a customer referral program to your WooCommerce store.\";s:3:\"url\";s:125:\"https://woocommerce.com/products/automatewoo-refer-a-friend/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/automatewoo.svg\";s:7:\"product\";s:21:\"automatewoo-referrals\";s:6:\"plugin\";s:47:\"automatewoo-referrals/automatewoo-referrals.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:11:\"automations\";s:4:\"name\";s:11:\"Automations\";}}s:4:\"tags\";a:1:{i:0;a:2:{s:4:\"slug\";s:20:\"built-by-woocommerce\";s:4:\"name\";s:20:\"Built by WooCommerce\";}}}i:9;a:10:{s:5:\"title\";s:21:\"AutomateWoo Birthdays\";s:11:\"description\";s:119:\"Delight customers and boost organic sales with a special WooCommerce birthday email (and coupon!) on their special day.\";s:3:\"url\";s:120:\"https://woocommerce.com/products/automatewoo-birthdays/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/automatewoo.svg\";s:7:\"product\";s:21:\"automatewoo-birthdays\";s:6:\"plugin\";s:47:\"automatewoo-birthdays/automatewoo-birthdays.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:11:\"automations\";s:4:\"name\";s:11:\"Automations\";}}s:4:\"tags\";a:1:{i:0;a:2:{s:4:\"slug\";s:20:\"built-by-woocommerce\";s:4:\"name\";s:20:\"Built by WooCommerce\";}}}i:10;a:10:{s:5:\"title\";s:18:\"Trustpilot Reviews\";s:11:\"description\";s:59:\"Collect and showcase verified reviews that consumers trust.\";s:3:\"url\";s:117:\"https://woocommerce.com/products/trustpilot-reviews/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:100:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/trustpilot.png\";s:7:\"product\";s:18:\"trustpilot-reviews\";s:6:\"plugin\";s:36:\"trustpilot-reviews/wc_trustpilot.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:10:\"conversion\";s:4:\"name\";s:10:\"Conversion\";}}s:4:\"tags\";a:0:{}}i:11;a:10:{s:5:\"title\";s:21:\"Vimeo for WooCommerce\";s:11:\"description\";s:111:\"Turn your product images into stunning videos that engage and convert audiences - no video experience required.\";s:3:\"url\";s:104:\"https://woocommerce.com/products/vimeo/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:95:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/vimeo.png\";s:7:\"product\";s:5:\"vimeo\";s:6:\"plugin\";s:14:\"vimeo/Core.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:10:\"conversion\";s:4:\"name\";s:10:\"Conversion\";}}s:4:\"tags\";a:0:{}}i:12;a:10:{s:5:\"title\";s:27:\"Jetpack CRM for WooCommerce\";s:11:\"description\";s:190:\"Harness data from WooCommerce to grow your business. Manage leads, customers, and segments, through automation, quotes, invoicing, billing, and email marketing. Power up your store with CRM.\";s:3:\"url\";s:110:\"https://woocommerce.com/products/jetpack-crm/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:1;s:4:\"icon\";s:101:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/jetpack-crm.svg\";s:7:\"product\";s:11:\"zero-bs-crm\";s:6:\"plugin\";s:25:\"zero-bs-crm/ZeroBSCRM.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:3:\"crm\";s:4:\"name\";s:3:\"CRM\";}}s:4:\"tags\";a:0:{}}i:13;a:10:{s:5:\"title\";s:18:\"WooCommerce Zapier\";s:11:\"description\";s:100:\"Integrate your WooCommerce store with 5000+ cloud apps and services today. Trusted by 11,000+ users.\";s:3:\"url\";s:117:\"https://woocommerce.com/products/woocommerce-zapier/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:96:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/zapier.png\";s:7:\"product\";s:18:\"woocommerce-zapier\";s:6:\"plugin\";s:41:\"woocommerce-zapier/woocommerce-zapier.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:3:\"crm\";s:4:\"name\";s:3:\"CRM\";}}s:4:\"tags\";a:0:{}}i:14;a:10:{s:5:\"title\";s:10:\"Salesforce\";s:11:\"description\";s:125:\"Sync your website\'s data like contacts, products, and orders over Salesforce CRM with Salesforce Integration for WooCommerce.\";s:3:\"url\";s:142:\"https://woocommerce.com/products/integration-with-salesforce-for-woocommerce/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:100:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/salesforce.jpg\";s:7:\"product\";s:27:\"integration-with-salesforce\";s:6:\"plugin\";s:59:\"integration-with-salesforce/integration-with-salesforce.php\";s:10:\"categories\";a:1:{i:0;s:9:\"marketing\";}s:13:\"subcategories\";a:1:{i:0;a:2:{s:4:\"slug\";s:3:\"crm\";s:4:\"name\";s:3:\"CRM\";}}s:4:\"tags\";a:0:{}}i:15;a:10:{s:5:\"title\";s:20:\"Personalized Coupons\";s:11:\"description\";s:86:\"Generate dynamic personalized coupons for your customers that increase purchase rates.\";s:3:\"url\";s:110:\"https://woocommerce.com/products/automatewoo/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:122:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/automatewoo-personalized-coupons.svg\";s:7:\"product\";s:11:\"automatewoo\";s:6:\"plugin\";s:27:\"automatewoo/automatewoo.php\";s:10:\"categories\";a:1:{i:0;s:7:\"coupons\";}s:13:\"subcategories\";a:0:{}s:4:\"tags\";a:0:{}}i:16;a:10:{s:5:\"title\";s:13:\"Smart Coupons\";s:11:\"description\";s:100:\"Powerful, \"all in one\" solution for gift certificates, store credits, discount coupons and vouchers.\";s:3:\"url\";s:112:\"https://woocommerce.com/products/smart-coupons/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:115:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/woocommerce-smart-coupons.svg\";s:7:\"product\";s:25:\"woocommerce-smart-coupons\";s:6:\"plugin\";s:55:\"woocommerce-smart-coupons/woocommerce-smart-coupons.php\";s:10:\"categories\";a:1:{i:0;s:7:\"coupons\";}s:13:\"subcategories\";a:0:{}s:4:\"tags\";a:0:{}}i:17;a:10:{s:5:\"title\";s:11:\"URL Coupons\";s:11:\"description\";s:108:\"Create a unique URL that applies a discount and optionally adds one or more products to the customer\'s cart.\";s:3:\"url\";s:110:\"https://woocommerce.com/products/url-coupons/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:113:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/woocommerce-url-coupons.svg\";s:7:\"product\";s:23:\"woocommerce-url-coupons\";s:6:\"plugin\";s:51:\"woocommerce-url-coupons/woocommerce-url-coupons.php\";s:10:\"categories\";a:1:{i:0;s:7:\"coupons\";}s:13:\"subcategories\";a:0:{}s:4:\"tags\";a:0:{}}i:18;a:10:{s:5:\"title\";s:24:\"WooCommerce Store Credit\";s:11:\"description\";s:77:\"Create \"store credit\" coupons for customers which are redeemable at checkout.\";s:3:\"url\";s:111:\"https://woocommerce.com/products/store-credit/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:114:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/woocommerce-store-credit.svg\";s:7:\"product\";s:24:\"woocommerce-store-credit\";s:6:\"plugin\";s:53:\"woocommerce-store-credit/woocommerce-store-credit.php\";s:10:\"categories\";a:1:{i:0;s:7:\"coupons\";}s:13:\"subcategories\";a:0:{}s:4:\"tags\";a:0:{}}i:19;a:10:{s:5:\"title\";s:17:\"Free Gift Coupons\";s:11:\"description\";s:59:\"Give away a free item to any customer with the coupon code.\";s:3:\"url\";s:116:\"https://woocommerce.com/products/free-gift-coupons/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:119:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/woocommerce-free-gift-coupons.svg\";s:7:\"product\";s:29:\"woocommerce-free-gift-coupons\";s:6:\"plugin\";s:63:\"woocommerce-free-gift-coupons/woocommerce-free-gift-coupons.php\";s:10:\"categories\";a:1:{i:0;s:7:\"coupons\";}s:13:\"subcategories\";a:0:{}s:4:\"tags\";a:0:{}}i:20;a:10:{s:5:\"title\";s:13:\"Group Coupons\";s:11:\"description\";s:137:\"Coupons for groups. Provides the option to have coupons that are restricted to group members or roles. Works with the free Groups plugin.\";s:3:\"url\";s:112:\"https://woocommerce.com/products/group-coupons/?utm_source=marketingtab&utm_medium=product&utm_campaign=wcaddons\";s:14:\"direct_install\";b:0;s:4:\"icon\";s:115:\"https://woocommerce.com/wp-content/plugins/wccom-plugins/marketing-tab-rest-api/icons/woocommerce-group-coupons.svg\";s:7:\"product\";s:25:\"woocommerce-group-coupons\";s:6:\"plugin\";s:55:\"woocommerce-group-coupons/woocommerce-group-coupons.php\";s:10:\"categories\";a:1:{i:0;s:7:\"coupons\";}s:13:\"subcategories\";a:0:{}s:4:\"tags\";a:0:{}}}", "no");
INSERT INTO `wp_options` VALUES("6762", "_transient_timeout_wc_report_orders_stats_31dbcd2a15acf6fe22f8fc820d73c24d", "1686813361", "no");
INSERT INTO `wp_options` VALUES("6553", "woocommerce_task_list_tracked_completed_tasks", "a:2:{i:0;s:8:\"purchase\";i:1;s:8:\"products\";}", "yes");
INSERT INTO `wp_options` VALUES("6547", "_transient_timeout_wc_onboarding_themes", "1686231768", "no");
INSERT INTO `wp_options` VALUES("6548", "_transient_wc_onboarding_themes", "a:72:{s:8:\"blackdsn\";a:6:{s:4:\"slug\";s:8:\"blackdsn\";s:5:\"title\";s:8:\"Blackdsn\";s:5:\"price\";s:4:\"0.00\";s:12:\"is_installed\";b:1;s:5:\"image\";s:59:\"http://kookagency/wp-content/themes/blackdsn/screenshot.jpg\";s:23:\"has_woocommerce_support\";b:1;}s:10:\"storefront\";a:16:{s:5:\"title\";s:10:\"Storefront\";s:5:\"image\";s:90:\"https://woocommerce.com/wp-content/uploads/2014/11/woocommerce-theme-storefront-iupsib.png\";s:7:\"excerpt\";s:161:\"Storefront is an intuitive &amp; flexible, free theme offering deep integration with WooCommerce.\r\n\r\nIt\'s the perfect platform for your next WooCommerce project.\";s:4:\"link\";s:113:\"https://woocommerce.com/products/storefront/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:42:\"https://themes.woocommerce.com/storefront/\";s:5:\"price\";s:9:\"&#36;0.00\";s:4:\"hash\";s:32:\"5714dad8f8d0b930bd6cc9c99657b930\";s:4:\"slug\";s:10:\"storefront\";s:2:\"id\";i:565154;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"WooCommerce\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/woocommerce/\";s:4:\"icon\";s:76:\"https://woocommerce.com/wp-content/uploads/2016/02/woo-Storefront-ipreuh.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:4:\"heim\";a:16:{s:5:\"title\";s:4:\"Heim\";s:5:\"image\";s:64:\"https://woocommerce.com/wp-content/uploads/2023/05/thumbnail.jpg\";s:7:\"excerpt\";s:117:\"Create an impressive WooCommerce store with Heim, a clean, minimalist WordPress theme optimized for the Block Editor.\";s:4:\"link\";s:107:\"https://woocommerce.com/products/heim/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:28:\"https://heim.nordicmade.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"b05c099a-2570-45f8-94ee-956c0389b783\";s:4:\"slug\";s:4:\"heim\";s:2:\"id\";i:18734001964004;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"NordicMade\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/nordicmade/\";s:4:\"icon\";s:59:\"https://woocommerce.com/wp-content/uploads/2023/05/icon.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"kedai\";a:16:{s:5:\"title\";s:5:\"Kedai\";s:5:\"image\";s:69:\"https://woocommerce.com/wp-content/uploads/2023/05/prodcut-header.jpg\";s:7:\"excerpt\";s:62:\"Use Kedai for your Electronics, dropship and affiliate stores.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/kedai/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:30:\"http://kedai.madrasthemes.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"9d9c3b60-cef8-433a-a882-5382f225301f\";s:4:\"slug\";s:5:\"kedai\";s:2:\"id\";i:18734001868382;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:12:\"MadrasThemes\";s:10:\"vendor_url\";s:44:\"https://woocommerce.com/vendor/madrasthemes/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2023/05/product-icon-80-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"labeaute\";a:16:{s:5:\"title\";s:10:\"La Beauté\";s:5:\"image\";s:90:\"https://woocommerce.com/wp-content/uploads/2023/04/la-beaute-regular-card-product-logo.jpg\";s:7:\"excerpt\";s:139:\"Create a sophisticated WooCommerce health or beauty store with the La Beauté theme—featuring a responsive design and a Dark Mode option.\";s:4:\"link\";s:112:\"https://woocommerce.com/products/la-beaute/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:42:\"https://labeaute.merchantsbestfriends.com/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"d048ac21-966e-4caf-9e66-ef29e15bb7c5\";s:4:\"slug\";s:8:\"labeaute\";s:2:\"id\";i:18734001781152;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:28:\"Merchants&#039; Best Friends\";s:10:\"vendor_url\";s:54:\"https://woocommerce.com/vendor/merchants-best-friends/\";s:4:\"icon\";s:77:\"https://woocommerce.com/wp-content/uploads/2023/04/la-beaute-product-icon.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"decor\";a:16:{s:5:\"title\";s:5:\"Decor\";s:5:\"image\";s:81:\"https://woocommerce.com/wp-content/uploads/2023/03/decor-regular-card-product.jpg\";s:7:\"excerpt\";s:161:\"Create a modern e-commerce website for your home decoration shop with the WooCommerce theme — build pages using the simple yet powerful WordPress Block Editor.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/decor/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.goodlayers.com/wc/decor/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"69a4b3ed-100b-42a5-af58-e0c6a7a45168\";s:4:\"slug\";s:5:\"decor\";s:2:\"id\";i:18734001675261;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"GoodLayers\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/goodlayers/\";s:4:\"icon\";s:75:\"https://woocommerce.com/wp-content/uploads/2023/03/decor-product-icon-1.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"apparel\";a:16:{s:5:\"title\";s:7:\"Apparel\";s:5:\"image\";s:74:\"https://woocommerce.com/wp-content/uploads/2023/03/apparel-theme-thumb.jpg\";s:7:\"excerpt\";s:97:\"Experience minimalist and chic design with Apparel - a theme with exceptional dark-mode function.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/apparel/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:41:\"https://apparel.merchantsbestfriends.com/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"57f83c3a-5e69-499c-b0be-855bcb101b52\";s:4:\"slug\";s:7:\"apparel\";s:2:\"id\";i:18734001675209;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:28:\"Merchants&#039; Best Friends\";s:10:\"vendor_url\";s:54:\"https://woocommerce.com/vendor/merchants-best-friends/\";s:4:\"icon\";s:81:\"https://woocommerce.com/wp-content/uploads/2023/03/apparel-theme-product-icon.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"bagberry\";a:16:{s:5:\"title\";s:8:\"Bagberry\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/uploads/2023/03/Featured-image-538x403-1.png\";s:7:\"excerpt\";s:106:\"Sell purses, handbags, clothes, and accessories with the vibrant Bagberry theme for WooCommerce boutiques.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/bagberry/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.agnidesigns.com/bagberry\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"e5d61123-4127-43b2-8b59-16ded16b76af\";s:4:\"slug\";s:8:\"bagberry\";s:2:\"id\";i:18734001627281;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:6:\"AgniHD\";s:10:\"vendor_url\";s:38:\"https://woocommerce.com/vendor/agnihd/\";s:4:\"icon\";s:67:\"https://woocommerce.com/wp-content/uploads/2023/03/Icon-80x80-3.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"cozynest\";a:16:{s:5:\"title\";s:8:\"Cozynest\";s:5:\"image\";s:70:\"https://woocommerce.com/wp-content/uploads/2023/03/Untitled-design.png\";s:7:\"excerpt\";s:95:\"Build a contemporary furniture or home décor store with the modern, minimalist Cozynest theme.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/cozynest/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:36:\"https://cozynest.boostifythemes.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"1e2c8809-6da6-480b-8de2-459b517ee6c0\";s:4:\"slug\";s:8:\"cozynest\";s:2:\"id\";i:18734001546475;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"BoostifyThemes\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/boostifythemes/\";s:4:\"icon\";s:69:\"https://woocommerce.com/wp-content/uploads/2023/02/cozynest-logo2.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"ledge\";a:16:{s:5:\"title\";s:5:\"Ledge\";s:5:\"image\";s:86:\"https://woocommerce.com/wp-content/uploads/2023/02/Regular-Card-Product-Logo.jpg?w=620\";s:7:\"excerpt\";s:122:\"Stream your music, sell your merch, and offer a smooth shopping experience for your fans with the Ledge WooCommerce theme.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/ledge/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://demos.wolfthemes.live/ledge\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"c68f61bc-97d4-497e-ae08-b8877f3d656d\";s:4:\"slug\";s:5:\"ledge\";s:2:\"id\";i:18734001545617;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"WolfThemes\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/wolfthemes/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2023/02/Product-Icon.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"scentina\";a:16:{s:5:\"title\";s:8:\"Scentina\";s:5:\"image\";s:76:\"https://woocommerce.com/wp-content/uploads/2023/02/Scentina-Arhive.jpg?w=620\";s:7:\"excerpt\";s:118:\"Create a stunning WooCommerce store using Scentina, a contemporary WordPress theme built for perfume and candle shops.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/scentina/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://scentina.themeskingdom.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"f375e96e-87be-4a0d-8813-0644d607dd34\";s:4:\"slug\";s:8:\"scentina\";s:2:\"id\";i:18734001540926;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:73:\"https://woocommerce.com/wp-content/uploads/2023/02/Scentina-logo.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:4:\"yuna\";a:16:{s:5:\"title\";s:4:\"Yuna\";s:5:\"image\";s:70:\"https://woocommerce.com/wp-content/uploads/2023/01/yuna-main-image.jpg\";s:7:\"excerpt\";s:90:\"Build a positive, inviting website for your nonprofit with the Yuna theme for WooCommerce.\";s:4:\"link\";s:107:\"https://woocommerce.com/products/yuna/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:60:\"https://demo.anarieldesign.com/yuna-children/home-ecommerce/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"4b00af3d-e5e0-419c-94c0-0665eac5e183\";s:4:\"slug\";s:4:\"yuna\";s:2:\"id\";i:18734001473651;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:63:\"https://woocommerce.com/wp-content/uploads/2023/01/yuna-160.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:9:\"treehouse\";a:16:{s:5:\"title\";s:9:\"Treehouse\";s:5:\"image\";s:77:\"https://woocommerce.com/wp-content/uploads/2023/01/treehouse-product-card.jpg\";s:7:\"excerpt\";s:105:\"Use the Treehouse theme for WooCommerce to build a toy or children\'s store with a playful, colorful look.\";s:4:\"link\";s:112:\"https://woocommerce.com/products/treehouse/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://treehouse.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"f7165b78-5148-45ee-8f92-a6fc41c2897d\";s:4:\"slug\";s:9:\"treehouse\";s:2:\"id\";i:18734001473068;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:69:\"https://woocommerce.com/wp-content/uploads/2023/01/treehouse-icon.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"vastra\";a:16:{s:5:\"title\";s:6:\"Vastra\";s:5:\"image\";s:89:\"https://woocommerce.com/wp-content/uploads/2023/02/vastra-regular-card-product-logo-2.png\";s:7:\"excerpt\";s:92:\"Create a stylish online clothing boutique with the fashionable Vastra theme for WooCommerce.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/vastra/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://themegrilldemos.com/vastra/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"72d5a5fe-ee99-46c0-bff0-121840aea7ea\";s:4:\"slug\";s:6:\"vastra\";s:2:\"id\";i:18734001472700;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"ThemeGrill\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/themegrill/\";s:4:\"icon\";s:84:\"https://woocommerce.com/wp-content/uploads/2023/01/vastra-product-icon-160x160-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:11:\"epentatonic\";a:16:{s:5:\"title\";s:11:\"ePentatonic\";s:5:\"image\";s:70:\"https://woocommerce.com/wp-content/uploads/2023/01/epentatonic-woo.jpg\";s:7:\"excerpt\";s:107:\"Use the ePentatonic block theme to quickly build an attractive WooCommerce website for your music business.\";s:4:\"link\";s:114:\"https://woocommerce.com/products/epentatonic/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:40:\"https://fse.catchthemes.com/epentatonic/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"d578a622-188b-4d7d-a165-f4fc6ddcafc1\";s:4:\"slug\";s:11:\"epentatonic\";s:2:\"id\";i:18734001458387;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:12:\"Catch Themes\";s:10:\"vendor_url\";s:44:\"https://woocommerce.com/vendor/catch-themes/\";s:4:\"icon\";s:84:\"https://woocommerce.com/wp-content/uploads/2023/01/epentatonic-product-icon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:9:\"freshcart\";a:16:{s:5:\"title\";s:9:\"FreshCart\";s:5:\"image\";s:75:\"https://woocommerce.com/wp-content/uploads/2023/02/freshcart-main-image.png\";s:7:\"excerpt\";s:67:\"Use the FreshCart theme to build a vibrant ecommerce grocery store.\";s:4:\"link\";s:112:\"https://woocommerce.com/products/freshcart/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:45:\"https://freshcart.madrasthemes.com/gutenberg/\";s:5:\"price\";s:10:\"&#36;59.00\";s:4:\"hash\";s:36:\"dbf52776-dc51-4a14-81e6-2e1061b87d0c\";s:4:\"slug\";s:9:\"freshcart\";s:2:\"id\";i:18734001458195;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:12:\"MadrasThemes\";s:10:\"vendor_url\";s:44:\"https://woocommerce.com/vendor/madrasthemes/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2023/01/product-icon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"avalon\";a:16:{s:5:\"title\";s:6:\"Avalon\";s:5:\"image\";s:66:\"https://woocommerce.com/wp-content/uploads/2023/01/avalon-main.jpg\";s:7:\"excerpt\";s:70:\"Design a modern fashion website with the Avalon theme for WooCommerce.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/avalon/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:38:\"https://demo.anarieldesign.com/avalon/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"dca90580-e46a-4ff7-8975-36871c61a220\";s:4:\"slug\";s:6:\"avalon\";s:2:\"id\";i:18734001455848;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:65:\"https://woocommerce.com/wp-content/uploads/2023/01/avalon-160.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:11:\"coffee-shop\";a:16:{s:5:\"title\";s:11:\"Coffee Shop\";s:5:\"image\";s:65:\"https://woocommerce.com/wp-content/uploads/2023/01/responsive.jpg\";s:7:\"excerpt\";s:105:\"Sell artisan food or beverages with the easy-to-customize, block-based Coffee Shop theme for WooCommerce.\";s:4:\"link\";s:113:\"https://woocommerce.com/products/coffeeshop/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:42:\"https://demo.goodlayers.com/wc/coffeeshop/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"542c4939-61c9-4a81-8d41-56c251214df2\";s:4:\"slug\";s:11:\"coffee-shop\";s:2:\"id\";i:18734001400965;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"GoodLayers\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/goodlayers/\";s:4:\"icon\";s:62:\"https://woocommerce.com/wp-content/uploads/2023/01/cf-logo.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"beleco\";a:16:{s:5:\"title\";s:6:\"Beleco\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2022/12/Arhive-Image.jpg?w=620\";s:7:\"excerpt\";s:111:\"Create a gorgeous WooCommerce shop using Beleco, a minimal WordPress theme built for beauty and skincare shops.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/beleco/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:33:\"https://beleco.themeskingdom.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"82b565ef-eee6-46fa-adfa-f8aa540a39a5\";s:4:\"slug\";s:6:\"beleco\";s:2:\"id\";i:18734001349628;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:71:\"https://woocommerce.com/wp-content/uploads/2022/12/Group-176-2.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:10:\"copenhagen\";a:16:{s:5:\"title\";s:10:\"Copenhagen\";s:5:\"image\";s:77:\"https://woocommerce.com/wp-content/uploads/2023/02/copenhagen-theme-thumb.jpg\";s:7:\"excerpt\";s:107:\"Create a stylish modern home furniture store or home décor shop with the Copenhagen theme for WooCommerce.\";s:4:\"link\";s:113:\"https://woocommerce.com/products/copenhagen/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:44:\"https://copenhagen.merchantsbestfriends.com/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"8013f3e4-5368-4918-afbf-e9662f967d03\";s:4:\"slug\";s:10:\"copenhagen\";s:2:\"id\";i:18734001349053;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:28:\"Merchants&#039; Best Friends\";s:10:\"vendor_url\";s:54:\"https://woocommerce.com/vendor/merchants-best-friends/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2022/12/Product-Icon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:9:\"macchiato\";a:16:{s:5:\"title\";s:9:\"Macchiato\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/uploads/2022/12/Featured-image-538x403-1.png\";s:7:\"excerpt\";s:106:\"Showcase your small-batch artisan goods, coffees, or baked goods with the Macchiato theme for WooCommerce.\";s:4:\"link\";s:112:\"https://woocommerce.com/products/macchiato/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:39:\"https://demo.agnidesigns.com/macchiato/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"e0887d46-5336-47fa-a570-ee7406f11c8f\";s:4:\"slug\";s:9:\"macchiato\";s:2:\"id\";i:18734001282642;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:6:\"AgniHD\";s:10:\"vendor_url\";s:38:\"https://woocommerce.com/vendor/agnihd/\";s:4:\"icon\";s:67:\"https://woocommerce.com/wp-content/uploads/2022/12/Icon-80x80-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"gizmo\";a:16:{s:5:\"title\";s:5:\"Gizmo\";s:5:\"image\";s:92:\"https://woocommerce.com/wp-content/uploads/2022/11/gizmo-regular-card-product-logo.jpg?w=620\";s:7:\"excerpt\";s:94:\"Quickly build a store for your technology products with the Gizmo block theme for WooCommerce.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/gizmo/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:34:\"https://themegrilldemos.com/gizmo/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"7f1eba93-d661-4593-a232-f7fef903338b\";s:4:\"slug\";s:5:\"gizmo\";s:2:\"id\";i:18734001201194;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"ThemeGrill\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/themegrill/\";s:4:\"icon\";s:88:\"https://woocommerce.com/wp-content/uploads/2022/11/gizmo-product-icon-160x160-1.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"nokul\";a:16:{s:5:\"title\";s:5:\"Nokul\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2022/11/Product-logo.jpg?w=620\";s:7:\"excerpt\";s:120:\"Make a tasty WooCommerce shop using Nokul, a delicious WordPress Block Theme that will take your shop to the next level.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/nokul/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:32:\"https://nokul.themeskingdom.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"9c3602fb-a6c4-4399-a970-817c7a7f37f4\";s:4:\"slug\";s:5:\"nokul\";s:2:\"id\";i:18734001178991;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:64:\"https://woocommerce.com/wp-content/uploads/2022/11/noktua-cl.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:12:\"contemporary\";a:16:{s:5:\"title\";s:12:\"Contemporary\";s:5:\"image\";s:65:\"https://woocommerce.com/wp-content/uploads/2022/11/screenshot.jpg\";s:7:\"excerpt\";s:92:\"Build a stylish modern store for handmade goods with the Contemporary theme for WooCommerce.\";s:4:\"link\";s:115:\"https://woocommerce.com/products/contemporary/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:36:\"https://contemporary.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"885a302b-b292-45a0-9f77-23af84ce5926\";s:4:\"slug\";s:12:\"contemporary\";s:2:\"id\";i:18734001138725;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:61:\"https://woocommerce.com/wp-content/uploads/2022/11/icon-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"vignette\";a:16:{s:5:\"title\";s:8:\"Vignette\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2022/10/vignettecard.jpg?w=538\";s:7:\"excerpt\";s:99:\"Use the modern, minimalist Vignette block theme to quickly and easily build your WooCommerce store.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/vignette/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.vivathemes.com/vignette/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"70354257-7eca-4baf-8941-78f423cd3010\";s:4:\"slug\";s:8:\"vignette\";s:2:\"id\";i:18734001081977;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Viva Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/viva-themes/\";s:4:\"icon\";s:68:\"https://woocommerce.com/wp-content/uploads/2022/10/vignette-icon.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"lenis\";a:16:{s:5:\"title\";s:5:\"Lenis\";s:5:\"image\";s:71:\"https://woocommerce.com/wp-content/uploads/2022/10/Lenis-woo-cover2.jpg\";s:7:\"excerpt\";s:66:\"Attract fashion-forward shoppers with the ultramodern Lenis theme.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/lenis/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:32:\"https://lenis.themeskingdom.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"95c74bf8-9547-406a-abe6-58866658e348\";s:4:\"slug\";s:5:\"lenis\";s:2:\"id\";i:18734001064271;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:74:\"https://woocommerce.com/wp-content/uploads/2022/10/Lenis-woo-logo.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"wardrobe\";a:16:{s:5:\"title\";s:8:\"Wardrobe\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/uploads/2022/09/Featured-image-538x403-1.png\";s:7:\"excerpt\";s:91:\"Launch your online store with Wardrobe—the best minimalist fashion theme for WooCommerce.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/wardrobe/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.agnidesigns.com/wardrobe\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"85578262-4919-448e-997b-151b8093e1d6\";s:4:\"slug\";s:8:\"wardrobe\";s:2:\"id\";i:18734000968064;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:6:\"AgniHD\";s:10:\"vendor_url\";s:38:\"https://woocommerce.com/vendor/agnihd/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2022/09/Icon-80x80-1.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"libreria\";a:16:{s:5:\"title\";s:8:\"Libreria\";s:5:\"image\";s:91:\"https://woocommerce.com/wp-content/uploads/2022/08/libreria-regular-card-product-logo-2.jpg\";s:7:\"excerpt\";s:135:\"The ideal theme for booksellers and other shop owners who want their customers to feel relaxed and spend time browsing in their stores.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/libreria/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://themegrilldemos.com/libreria/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"4189cf3c-68fa-4c8c-82c0-516ffa67303d\";s:4:\"slug\";s:8:\"libreria\";s:2:\"id\";i:18734000805478;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"ThemeGrill\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/themegrill/\";s:4:\"icon\";s:91:\"https://woocommerce.com/wp-content/uploads/2022/08/libreria-product-icon-160x160-1.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"aspicio\";a:16:{s:5:\"title\";s:7:\"Aspicio\";s:5:\"image\";s:72:\"https://woocommerce.com/wp-content/uploads/2022/07/Group-173-1.jpg?w=620\";s:7:\"excerpt\";s:107:\"Build your e-commerce store with Aspicio, a high-converting, minimalistic block theme with floral elements.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/aspicio/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:34:\"https://aspicio.themeskingdom.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"82386eea-2eef-469f-92b2-d079324f49ee\";s:4:\"slug\";s:7:\"aspicio\";s:2:\"id\";i:18734000787343;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:69:\"https://woocommerce.com/wp-content/uploads/2022/07/Group-172.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"noctua\";a:16:{s:5:\"title\";s:6:\"Noctua\";s:5:\"image\";s:70:\"https://woocommerce.com/wp-content/uploads/2022/07/Group-177.png?w=620\";s:7:\"excerpt\";s:85:\"Create or update your WooCommerce site with Noctua, a modern, minimalist block theme.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/noctua/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:33:\"https://noctua.themeskingdom.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"9ae5c6d1-ab1b-48b3-a74d-21607c3467d4\";s:4:\"slug\";s:6:\"noctua\";s:2:\"id\";i:18734000741159;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:69:\"https://woocommerce.com/wp-content/uploads/2022/07/Group-176.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"luminate\";a:16:{s:5:\"title\";s:8:\"Luminate\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/uploads/2022/07/Featured-image-538x403-2.png\";s:7:\"excerpt\";s:139:\"Build your lighting store with the clean, modern Luminate block theme and showcase light fixtures, light bulbs, and lighting accessories.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/luminate/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:38:\"https://demo.agnidesigns.com/luminate/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"8ff7a61b-c8c0-488a-8439-670908940d1c\";s:4:\"slug\";s:8:\"luminate\";s:2:\"id\";i:18734000713982;s:6:\"rating\";i:5;s:13:\"reviews_count\";i:3;s:11:\"vendor_name\";s:6:\"AgniHD\";s:10:\"vendor_url\";s:38:\"https://woocommerce.com/vendor/agnihd/\";s:4:\"icon\";s:67:\"https://woocommerce.com/wp-content/uploads/2022/07/Icon-80x80-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"basti\";a:16:{s:5:\"title\";s:5:\"Basti\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2022/07/basti-main-image-5.png\";s:7:\"excerpt\";s:94:\"Create your website with Basti—a fully customizable, minimalist Block Theme for WooCommerce.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/basti/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.anarieldesign.com/basti/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"f1a328c8-fb85-4349-ae79-9bd20feb21eb\";s:4:\"slug\";s:5:\"basti\";s:2:\"id\";i:18734000691786;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:69:\"https://woocommerce.com/wp-content/uploads/2022/07/basti-160.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"bonum\";a:16:{s:5:\"title\";s:5:\"Bonum\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2022/05/Bonum-Card-Product.png\";s:7:\"excerpt\";s:114:\"Add the Bonum theme to your WooCommerce store to present your handmade products in an elegant, minimalist setting.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/bonum/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:31:\"https://bonum.themeskingdom.com\";s:5:\"price\";s:10:\"&#36;89.00\";s:4:\"hash\";s:36:\"746f83fd-8eaa-4d72-97c8-63713d06adea\";s:4:\"slug\";s:5:\"bonum\";s:2:\"id\";i:18734000410291;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"ThemesKingdom\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themeskingdom/\";s:4:\"icon\";s:70:\"https://woocommerce.com/wp-content/uploads/2022/05/bonum-cite-logo.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"skincare\";a:16:{s:5:\"title\";s:8:\"SkinCare\";s:5:\"image\";s:89:\"https://woocommerce.com/wp-content/uploads/2022/05/skincare-regular-card-product-logo.png\";s:7:\"excerpt\";s:77:\"Sell wellness and beauty products with the beautiful, minimal theme SkinCare.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/skincare/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://themegrilldemos.com/skincare/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"2d32ce47-891e-4d8e-b806-b994e2209cf0\";s:4:\"slug\";s:8:\"skincare\";s:2:\"id\";i:18734000404445;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"ThemeGrill\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/themegrill/\";s:4:\"icon\";s:78:\"https://woocommerce.com/wp-content/uploads/2022/05/skincare-160x160-1.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"lumiere\";a:16:{s:5:\"title\";s:8:\"Lumière\";s:5:\"image\";s:85:\"https://woocommerce.com/wp-content/uploads/2022/04/lumiere-regular-product-card-1.png\";s:7:\"excerpt\";s:171:\"Create a stunning website, add an elegant look to your online store and increase conversions with the Lumière theme for WooCommerce — a clean and versatile block theme.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/lumiere/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://lumiere.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;59.00\";s:4:\"hash\";s:36:\"08d2e487-251e-4604-bafa-a4864441b980\";s:4:\"slug\";s:7:\"lumiere\";s:2:\"id\";i:18734000293581;s:6:\"rating\";d:3.7;s:13:\"reviews_count\";i:3;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:74:\"https://woocommerce.com/wp-content/uploads/2022/04/lumiere-logo-icon-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:4:\"bass\";a:16:{s:5:\"title\";s:4:\"Bass\";s:5:\"image\";s:69:\"https://woocommerce.com/wp-content/uploads/2022/02/basscard.jpg?w=538\";s:7:\"excerpt\";s:112:\"Sell merchandise and art and impress your fans when you customize your site with the Bass for WooCommerce theme.\";s:4:\"link\";s:107:\"https://woocommerce.com/products/bass/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:33:\"https://demo.vivathemes.com/bass/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"e746182e-da9c-4655-bf9d-db8fae4a6945\";s:4:\"slug\";s:4:\"bass\";s:2:\"id\";i:18734000229477;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Viva Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/viva-themes/\";s:4:\"icon\";s:68:\"https://woocommerce.com/wp-content/uploads/2022/02/bassicon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"blooms\";a:16:{s:5:\"title\";s:6:\"Blooms\";s:5:\"image\";s:81:\"https://woocommerce.com/wp-content/uploads/2022/02/blooms-regular-card-xbdwaz.png\";s:7:\"excerpt\";s:96:\"Showcase your flowers, plants, or other natural products with the clean and lovely Blooms theme.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/blooms/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:30:\"https://blooms.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"dc4d2136-308f-4e39-8a1f-532ae43d55d1\";s:4:\"slug\";s:6:\"blooms\";s:2:\"id\";i:18734000119314;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:66:\"https://woocommerce.com/wp-content/uploads/2022/02/icon-5.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:15:\"vegan-food-shop\";a:16:{s:5:\"title\";s:15:\"Vegan Food Shop\";s:5:\"image\";s:86:\"https://woocommerce.com/wp-content/uploads/2022/02/vegan-product-card-large-ltsscl.png\";s:7:\"excerpt\";s:172:\"A mobile-friendly theme suitable for all food and drinks stores, grocery markets or food delivery services. Add it to your online store and start attracting more customers!\";s:4:\"link\";s:118:\"https://woocommerce.com/products/vegan-food-shop/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:41:\"https://veganfoodshop.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"deec353e-5603-40ba-9734-3ad0172e3b97\";s:4:\"slug\";s:15:\"vegan-food-shop\";s:2:\"id\";i:18734000077086;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:70:\"https://woocommerce.com/wp-content/uploads/2022/02/vegan-logo-icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"outer\";a:16:{s:5:\"title\";s:5:\"Outer\";s:5:\"image\";s:87:\"https://woocommerce.com/wp-content/uploads/2022/02/Regular-Card-Product-Logo-af549w.png\";s:7:\"excerpt\";s:129:\"Take your shop design to the next level with Outer, a scalable theme powered by sharp, minimal design and flexible theme options.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/outer/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:31:\"https://demo.codestag.com/outer\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"fef7b047-2152-44dc-ac1a-05796d0977f5\";s:4:\"slug\";s:5:\"outer\";s:2:\"id\";i:18734000055124;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:8:\"Codestag\";s:10:\"vendor_url\";s:40:\"https://woocommerce.com/vendor/codestag/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2021/12/Product-Icon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:12:\"cbd-retailer\";a:16:{s:5:\"title\";s:12:\"CBD Retailer\";s:5:\"image\";s:81:\"https://woocommerce.com/wp-content/uploads/2022/01/cbd-retailer-regular-card.webp\";s:7:\"excerpt\";s:132:\"CBD Retailer is a clean and flexible block theme suitable for a CBD-based online store selling beauty, health, or cosmetic products.\";s:4:\"link\";s:115:\"https://woocommerce.com/products/cbd-retailer/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:39:\"https://cbdretailer.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"2f8e2c03-b4a0-4bcc-aafb-bca83714f6d8\";s:4:\"slug\";s:12:\"cbd-retailer\";s:2:\"id\";i:9098384;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:79:\"https://woocommerce.com/wp-content/uploads/2022/01/cbd-retailer-logo-icon-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:10:\"wine-house\";a:16:{s:5:\"title\";s:10:\"Wine House\";s:5:\"image\";s:65:\"https://woocommerce.com/wp-content/uploads/2022/01/screenshot.jpg\";s:7:\"excerpt\";s:70:\"Sell food and drinks with the clean, subtle, upscale Wine House theme.\";s:4:\"link\";s:113:\"https://woocommerce.com/products/wine-house/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:33:\"https://winehouse.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"a4566e8d-ea8e-4e8f-af6e-5bcf01834abb\";s:4:\"slug\";s:10:\"wine-house\";s:2:\"id\";i:9055701;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:61:\"https://woocommerce.com/wp-content/uploads/2021/12/icon-2.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"dololo\";a:16:{s:5:\"title\";s:6:\"Dololo\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2021/12/main-dololo-je34s3.png\";s:7:\"excerpt\";s:104:\"Dololo is an elegant block-based theme ideal for WooCommerce stores selling children\'s apparel and toys.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/dololo/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:38:\"https://demo.anarieldesign.com/dololo/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"607c22b6-339f-468a-95fd-d46ae33544da\";s:4:\"slug\";s:6:\"dololo\";s:2:\"id\";i:9011976;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:74:\"https://woocommerce.com/wp-content/uploads/2021/12/product-icon-1.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"emoly\";a:16:{s:5:\"title\";s:5:\"Emoly\";s:5:\"image\";s:83:\"https://woocommerce.com/wp-content/uploads/2021/12/emoly-wordpress-theme-ugrxpl.png\";s:7:\"excerpt\";s:112:\"Showcase and sell wedding fashion, accessories, and services with Emoly, a modern block-based WooCommerce theme.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/emoly/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.anarieldesign.com/emoly/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"3a614885-1d63-4905-81c9-51997a88e186\";s:4:\"slug\";s:5:\"emoly\";s:2:\"id\";i:9011975;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2021/12/product-icon.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:11:\"marketplace\";a:16:{s:5:\"title\";s:11:\"Marketplace\";s:5:\"image\";s:82:\"https://woocommerce.com/wp-content/uploads/2021/12/marketplace-featured-lyiykm.jpg\";s:7:\"excerpt\";s:100:\"Create a multi-vendor eCommerce website like Etsy or Amazon using the WooCommerce Marketplace theme.\";s:4:\"link\";s:114:\"https://woocommerce.com/products/marketplace/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:43:\"https://organicthemes.com/demo/marketplace/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"49c1e6f0-5791-42c1-8f67-3c8a8cb1974c\";s:4:\"slug\";s:11:\"marketplace\";s:2:\"id\";i:8958726;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Organic Themes\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/organic-themes/\";s:4:\"icon\";s:76:\"https://woocommerce.com/wp-content/uploads/2021/11/marketplace-logo.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"affiche\";a:16:{s:5:\"title\";s:7:\"Affiche\";s:5:\"image\";s:85:\"https://woocommerce.com/wp-content/uploads/2021/12/affiche-regular-product-card-1.png\";s:7:\"excerpt\";s:139:\"Add a clean, stylish, and artistic block-based theme to your store with Affiche and you will definitely have an edge over the other sites.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/affiche/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://affiche.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"ebbeaae6-20e6-4911-8c3c-2abe99fc8475\";s:4:\"slug\";s:7:\"affiche\";s:2:\"id\";i:8903388;s:6:\"rating\";d:3.7;s:13:\"reviews_count\";i:3;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:80:\"https://woocommerce.com/wp-content/uploads/2021/11/affiche-product-icon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"olorien\";a:16:{s:5:\"title\";s:7:\"Olorien\";s:5:\"image\";s:69:\"https://woocommerce.com/wp-content/uploads/2021/11/olorien-main-1.jpg\";s:7:\"excerpt\";s:122:\"Olorien is a modern block-based WooCommerce theme with sophisticated look ideal for selling cosmetics and beauty products.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/olorien/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:39:\"https://demo.anarieldesign.com/olorien/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"a5f932ff-9408-4ba8-8962-38db8d1ee96c\";s:4:\"slug\";s:7:\"olorien\";s:2:\"id\";i:8839595;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:72:\"https://woocommerce.com/wp-content/uploads/2021/11/product-icon.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:10:\"urban-wear\";a:16:{s:5:\"title\";s:10:\"Urban Wear\";s:5:\"image\";s:64:\"https://woocommerce.com/wp-content/uploads/2021/11/urbanwear.png\";s:7:\"excerpt\";s:207:\"Urban Wear is a modern block-based theme ideal for fashion-forward sites with street wear style. Streamline your customers shopping experience and maximize your conversion rate with this storytelling theme.\";s:4:\"link\";s:113:\"https://woocommerce.com/products/urban-wear/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:36:\"https://urbanwear.thunder-stores.com\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"6a726af7-ca42-4510-a99a-61d611d673b9\";s:4:\"slug\";s:10:\"urban-wear\";s:2:\"id\";i:8744465;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:77:\"https://woocommerce.com/wp-content/uploads/2021/11/urban-wear-logo-icon-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"webshop\";a:16:{s:5:\"title\";s:7:\"WebShop\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/uploads/2021/09/webshop-theme-screenshot.jpg\";s:7:\"excerpt\";s:108:\"WebShop for WooCommerce is a clean, Gutenberg-powered, modern theme set on a background of open white space.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/webshop/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:36:\"https://themegrilldemos.com/webshop/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"1f3798fd-529d-4e6e-807f-93f8be709f16\";s:4:\"slug\";s:7:\"webshop\";s:2:\"id\";i:8578321;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"ThemeGrill\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/themegrill/\";s:4:\"icon\";s:83:\"https://woocommerce.com/wp-content/uploads/2021/09/ws-logo-color-80x80-1-virg1d.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:11:\"wild-sports\";a:16:{s:5:\"title\";s:11:\"Wild Sports\";s:5:\"image\";s:65:\"https://woocommerce.com/wp-content/uploads/2021/09/wildsports.jpg\";s:7:\"excerpt\";s:93:\"A sports-oriented WooCommerce theme with bright accent colors to help you express your brand.\";s:4:\"link\";s:114:\"https://woocommerce.com/products/wild-sports/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:34:\"https://wildsports.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"7d09a71c-ff8f-4b94-8c84-a2f500a0f031\";s:4:\"slug\";s:11:\"wild-sports\";s:2:\"id\";i:8521104;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:64:\"https://woocommerce.com/wp-content/uploads/2021/09/icon.png?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"nelly\";a:16:{s:5:\"title\";s:5:\"Nelly\";s:5:\"image\";s:91:\"https://woocommerce.com/wp-content/uploads/2021/09/nelly-pets-fashion-wordpress-theme-1.jpg\";s:7:\"excerpt\";s:122:\"Nelly is an eye-catching WooCommerce theme crafted for selling fashion products and accessories for our animal companions.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/nelly/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:37:\"https://demo.anarieldesign.com/nelly/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"18dec028-fb28-489b-8ae5-a5ff79e2ffef\";s:4:\"slug\";s:5:\"nelly\";s:2:\"id\";i:8512788;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Anariel Design\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/anariel-design/\";s:4:\"icon\";s:69:\"https://woocommerce.com/wp-content/uploads/2021/08/thumbnail.jpg?w=80\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:16:\"organic-goodness\";a:16:{s:5:\"title\";s:16:\"Organic Goodness\";s:5:\"image\";s:84:\"https://woocommerce.com/wp-content/uploads/2021/08/organic-goodness-theme-cover.webp\";s:7:\"excerpt\";s:178:\"A mobile-friendly theme suitable for health and beauty stores. Clean, flexible and with an intuitive visual interface, your online store will definitely stand out from the crowd.\";s:4:\"link\";s:119:\"https://woocommerce.com/products/organic-goodness/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:43:\"https://organicgoodness.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"705fea70-54f7-4b0b-a0f5-b87c32fc1a17\";s:4:\"slug\";s:16:\"organic-goodness\";s:2:\"id\";i:8485741;s:6:\"rating\";d:4.8;s:13:\"reviews_count\";i:5;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:83:\"https://woocommerce.com/wp-content/uploads/2021/08/organic-goodness-logo-icon-1.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"maudern\";a:16:{s:5:\"title\";s:7:\"Maudern\";s:5:\"image\";s:76:\"https://woocommerce.com/wp-content/uploads/2021/08/regular-product-card.webp\";s:7:\"excerpt\";s:161:\"A contemporary block-based theme that helps you effortlessly design a minimalistic online store with WooCommerce and present your product collection beautifully.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/maudern/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://maudern.thunder-stores.com/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"e5afb6cf-4a53-4aed-9b05-280d3df3afc1\";s:4:\"slug\";s:7:\"maudern\";s:2:\"id\";i:8424179;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"Thunderstores\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/thunderstores/\";s:4:\"icon\";s:82:\"https://woocommerce.com/wp-content/uploads/2021/08/maudern-product-icon-f1qi03.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"olymp\";a:16:{s:5:\"title\";s:5:\"Olymp\";s:5:\"image\";s:71:\"https://woocommerce.com/wp-content/uploads/2021/05/screenshot-olymp.png\";s:7:\"excerpt\";s:135:\"Olymp is a WooCommerce and Gutenberg WordPress theme. Fully responsive and beautifully designed will get you up and running in no time.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/olymp/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:41:\"https://demo.vivathemes.com/themes/olymp/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"5f900199-70e6-4c0a-b533-293f0c4ba707\";s:4:\"slug\";s:5:\"olymp\";s:2:\"id\";i:8384551;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Viva Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/viva-themes/\";s:4:\"icon\";s:64:\"https://woocommerce.com/wp-content/uploads/2021/08/olympicon.jpg\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:9:\"miniature\";a:16:{s:5:\"title\";s:9:\"Miniature\";s:5:\"image\";s:74:\"https://woocommerce.com/wp-content/uploads/2021/07/featured_miniature2.jpg\";s:7:\"excerpt\";s:185:\"Miniature is a playful WordPress theme designed for stores selling children’s products. Fun and lively, Miniature will definitely add an extra touch of character to your online store.\";s:4:\"link\";s:112:\"https://woocommerce.com/products/miniature/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:49:\"https://www.cssigniter.com/woocommerce/miniature/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"28b97cd1-5b52-415c-8c9a-7f697e013a87\";s:4:\"slug\";s:9:\"miniature\";s:2:\"id\";i:8292607;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"CSSIgniter\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/cssigniter/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:5:\"frame\";a:16:{s:5:\"title\";s:5:\"Frame\";s:5:\"image\";s:60:\"https://woocommerce.com/wp-content/uploads/2021/06/frame.jpg\";s:7:\"excerpt\";s:114:\"Frame is a Gutenberg Powered WooCommerce theme suitable for stores with a large number of products and categories.\";s:4:\"link\";s:108:\"https://woocommerce.com/products/frame/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:29:\"https://frame.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"1b480c21-8122-478e-a728-68e235b0b9cf\";s:4:\"slug\";s:5:\"frame\";s:2:\"id\";i:8152078;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:60:\"https://woocommerce.com/wp-content/uploads/2021/06/frame.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:10:\"smart-home\";a:16:{s:5:\"title\";s:10:\"Smart Home\";s:5:\"image\";s:62:\"https://woocommerce.com/wp-content/uploads/2021/04/browser.jpg\";s:7:\"excerpt\";s:131:\"Smart Home is a beautiful Gutenberg-powered theme with a technology-style look suitable for all stores selling smart home products.\";s:4:\"link\";s:113:\"https://woocommerce.com/products/smart-home/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:33:\"https://smarthome.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"d1d581ad-3efa-40c2-b7e0-bb6722779a0b\";s:4:\"slug\";s:10:\"smart-home\";s:2:\"id\";i:7916465;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:59:\"https://woocommerce.com/wp-content/uploads/2021/04/icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"skinny\";a:16:{s:5:\"title\";s:6:\"Skinny\";s:5:\"image\";s:71:\"https://woocommerce.com/wp-content/uploads/2021/04/SKfeatured.png?w=800\";s:7:\"excerpt\";s:123:\"Create a beautiful online shop with Skinny, and optionally allow your site visitors to switch between light and dark skins.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/skinny/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:32:\"https://demo.codestag.com/skinny\";s:5:\"price\";s:10:\"&#36;69.00\";s:4:\"hash\";s:36:\"a21bf5b9-3c45-4d6c-bf24-74ddae21023f\";s:4:\"slug\";s:6:\"skinny\";s:2:\"id\";i:7753168;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:8:\"Codestag\";s:10:\"vendor_url\";s:40:\"https://woocommerce.com/vendor/codestag/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:12:\"pure-fashion\";a:16:{s:5:\"title\";s:12:\"Pure Fashion\";s:5:\"image\";s:62:\"https://woocommerce.com/wp-content/uploads/2021/03/browser.jpg\";s:7:\"excerpt\";s:88:\"Beautiful WooCommerce theme with soft colors and a unique layout using Gutenberg editor.\";s:4:\"link\";s:115:\"https://woocommerce.com/products/pure-fashion/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://purefashion.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"9d7ed165-8435-4b0f-8315-8e4a5868f0b0\";s:4:\"slug\";s:12:\"pure-fashion\";s:2:\"id\";i:7704815;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:59:\"https://woocommerce.com/wp-content/uploads/2021/03/icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"overline\";a:16:{s:5:\"title\";s:8:\"Overline\";s:5:\"image\";s:63:\"https://woocommerce.com/wp-content/uploads/2020/11/overline.jpg\";s:7:\"excerpt\";s:171:\"Overline is designed for the new generation of beauty brands and influencers opening their own e-commerce shops. Custom Gutenberg elements allow for increased flexibility.\";s:4:\"link\";s:111:\"https://woocommerce.com/products/overline/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:32:\"https://overline.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"6eab91f2-ca09-4f7e-9022-df55fd8540a9\";s:4:\"slug\";s:8:\"overline\";s:2:\"id\";i:7320744;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:59:\"https://woocommerce.com/wp-content/uploads/2021/01/icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"agency\";a:16:{s:5:\"title\";s:6:\"Agency\";s:5:\"image\";s:70:\"https://woocommerce.com/wp-content/uploads/2020/10/agency-featured.jpg\";s:7:\"excerpt\";s:134:\"Agency is a Gutenberg and WooCommerce optimized WordPress theme for marketing, advertising, and creative agencies. Sell your services!\";s:4:\"link\";s:109:\"https://woocommerce.com/products/agency/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:38:\"https://organicthemes.com/demo/agency/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"4a3a3a22-a5f0-4fa4-8c09-4f37575602ef\";s:4:\"slug\";s:6:\"agency\";s:2:\"id\";i:6674855;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Organic Themes\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/organic-themes/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:6:\"rhodes\";a:16:{s:5:\"title\";s:6:\"Rhodes\";s:5:\"image\";s:66:\"https://woocommerce.com/wp-content/uploads/2020/09/rhodes-home.jpg\";s:7:\"excerpt\";s:193:\"The perfect WooCommerce theme for retailers. Whether you\'re selling high-street fashion, beauty products, or home accessories, Rhodes will just stand out of the way letting your products shine.\";s:4:\"link\";s:109:\"https://woocommerce.com/products/rhodes/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:46:\"https://www.cssigniter.com/woocommerce/rhodes/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"b95c0103-23b9-43f3-af49-ee7eaa35e49b\";s:4:\"slug\";s:6:\"rhodes\";s:2:\"id\";i:6509339;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:10:\"CSSIgniter\";s:10:\"vendor_url\";s:42:\"https://woocommerce.com/vendor/cssigniter/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:11:\"restoration\";a:16:{s:5:\"title\";s:11:\"Restoration\";s:5:\"image\";s:78:\"https://woocommerce.com/wp-content/uploads/2020/09/restoration-woocommerce.jpg\";s:7:\"excerpt\";s:90:\"An elegant and sophisticated mobile-first, Gutenberg-powered theme for WooCommerce stores.\";s:4:\"link\";s:114:\"https://woocommerce.com/products/restoration/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://restoration.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"e793e6af-f338-4e92-b268-e0576ddb137b\";s:4:\"slug\";s:11:\"restoration\";s:2:\"id\";i:6454820;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:59:\"https://woocommerce.com/wp-content/uploads/2020/09/icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"matthew\";a:16:{s:5:\"title\";s:7:\"Matthew\";s:5:\"image\";s:73:\"https://woocommerce.com/wp-content/uploads/2020/07/matthew-screenshot.jpg\";s:7:\"excerpt\";s:145:\"Matthew is a Gutenberg-powered WooCommerce theme designed for building a professional online store so that you can sell goods or services online.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/matthew/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:38:\"https://demo.themesharbor.com/matthew/\";s:5:\"price\";s:11:\"&#36;129.00\";s:4:\"hash\";s:36:\"b3983408-c4f6-4751-8bd7-ae65ae34cf3b\";s:4:\"slug\";s:7:\"matthew\";s:2:\"id\";i:6214538;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:13:\"Themes Harbor\";s:10:\"vendor_url\";s:45:\"https://woocommerce.com/vendor/themes-harbor/\";s:4:\"icon\";s:67:\"https://woocommerce.com/wp-content/uploads/2020/07/matthew-icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:11:\"fifthavenue\";a:16:{s:5:\"title\";s:12:\"Fifth Avenue\";s:5:\"image\";s:78:\"https://woocommerce.com/wp-content/uploads/2020/06/fifthavenue-woocommerce.jpg\";s:7:\"excerpt\";s:103:\"Beautiful Gutenberg powered WooCommerce theme designed to be easily customized for all types of stores.\";s:4:\"link\";s:115:\"https://woocommerce.com/products/fifth-avenue/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:35:\"https://fifthavenue.fuelthemes.net/\";s:5:\"price\";s:10:\"&#36;99.00\";s:4:\"hash\";s:36:\"9e093a9f-3d49-4fcd-bec7-c87b097d9df8\";s:4:\"slug\";s:11:\"fifthavenue\";s:2:\"id\";i:5989481;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"Fuel Themes\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/fuel-themes/\";s:4:\"icon\";s:59:\"https://woocommerce.com/wp-content/uploads/2020/06/icon.png\";s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"artisan\";a:16:{s:5:\"title\";s:7:\"Artisan\";s:5:\"image\";s:71:\"https://woocommerce.com/wp-content/uploads/2020/03/artisan-featured.jpg\";s:7:\"excerpt\";s:79:\"Sell your hand-crafted products online using the Artisan Theme for WooCommerce.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/artisan/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:39:\"https://organicthemes.com/demo/artisan/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"64529812-81f6-4efd-9686-ecb34e527421\";s:4:\"slug\";s:7:\"artisan\";s:2:\"id\";i:5576887;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Organic Themes\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/organic-themes/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:7:\"threads\";a:16:{s:5:\"title\";s:7:\"Threads\";s:5:\"image\";s:75:\"https://woocommerce.com/wp-content/uploads/2019/08/threads-home-cropped.jpg\";s:7:\"excerpt\";s:79:\"Create a stunning website for your apparel brand using Threads for WooCommerce.\";s:4:\"link\";s:110:\"https://woocommerce.com/products/threads/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:39:\"https://organicthemes.com/demo/threads/\";s:5:\"price\";s:10:\"&#36;79.00\";s:4:\"hash\";s:36:\"7ca579a6-6aaf-498c-9ee7-e15280ace9e9\";s:4:\"slug\";s:7:\"threads\";s:2:\"id\";i:4663191;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:14:\"Organic Themes\";s:10:\"vendor_url\";s:46:\"https://woocommerce.com/vendor/organic-themes/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:10:\"block-shop\";a:16:{s:5:\"title\";s:10:\"Block Shop\";s:5:\"image\";s:79:\"https://woocommerce.com/wp-content/uploads/2019/08/block-shop-theme-preview.jpg\";s:7:\"excerpt\";s:159:\"A hassle-free theme for your next WooCommerce online store. You can call it hassle-free Online Store Builder. Compatible with WordPress 6.x and WooCommerce 7.x\";s:4:\"link\";s:113:\"https://woocommerce.com/products/block-shop/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:34:\"https://blockshop.wp-theme.design/\";s:5:\"price\";s:10:\"&#36;59.00\";s:4:\"hash\";s:36:\"21fa433c-6c31-4be7-83ab-8d2cc8986130\";s:4:\"slug\";s:10:\"block-shop\";s:2:\"id\";i:4660093;s:6:\"rating\";d:2.8;s:13:\"reviews_count\";i:5;s:11:\"vendor_name\";s:11:\"Get Bowtied\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/get-bowtied/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:4:\"deli\";a:16:{s:5:\"title\";s:4:\"Deli\";s:5:\"image\";s:59:\"https://woocommerce.com/wp-content/uploads/2015/03/deli.jpg\";s:7:\"excerpt\";s:135:\"Deli is a Storefront child theme featuring a texturised, earthy design, perfect for stores selling natural, organic or hand made goods.\";s:4:\"link\";s:107:\"https://woocommerce.com/products/deli/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:36:\"https://themes.woocommerce.com/deli/\";s:5:\"price\";s:9:\"&#36;0.00\";s:4:\"hash\";s:32:\"83c6db94c8ebf9da56b59fb97f724e88\";s:4:\"slug\";s:4:\"deli\";s:2:\"id\";i:784823;s:6:\"rating\";N;s:13:\"reviews_count\";N;s:11:\"vendor_name\";s:11:\"WooCommerce\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/woocommerce/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:8:\"boutique\";a:16:{s:5:\"title\";s:8:\"Boutique\";s:5:\"image\";s:63:\"https://woocommerce.com/wp-content/uploads/2015/01/boutique.png\";s:7:\"excerpt\";s:168:\"Boutique is a simple, traditionally designed Storefront child theme, ideal for small stores or boutiques. Add your logo, create a unique color scheme and start selling!\";s:4:\"link\";s:111:\"https://woocommerce.com/products/boutique/?utm_source=extensionsscreen&utm_medium=product&utm_campaign=wcaddons\";s:8:\"demo_url\";s:40:\"https://themes.woocommerce.com/boutique/\";s:5:\"price\";s:9:\"&#36;0.00\";s:4:\"hash\";s:32:\"71815288e266d58031727d48d6deee25\";s:4:\"slug\";s:8:\"boutique\";s:2:\"id\";i:605777;s:6:\"rating\";i:5;s:13:\"reviews_count\";i:5;s:11:\"vendor_name\";s:11:\"WooCommerce\";s:10:\"vendor_url\";s:43:\"https://woocommerce.com/vendor/woocommerce/\";s:4:\"icon\";N;s:12:\"is_installed\";b:0;s:23:\"has_woocommerce_support\";b:1;}s:15:\"twentytwentyone\";a:6:{s:4:\"slug\";s:15:\"twentytwentyone\";s:5:\"title\";s:17:\"Twenty Twenty-One\";s:5:\"price\";s:4:\"0.00\";s:12:\"is_installed\";b:1;s:5:\"image\";s:66:\"http://kookagency/wp-content/themes/twentytwentyone/screenshot.png\";s:23:\"has_woocommerce_support\";b:1;}s:17:\"twentytwentythree\";a:6:{s:4:\"slug\";s:17:\"twentytwentythree\";s:5:\"title\";s:19:\"Twenty Twenty-Three\";s:5:\"price\";s:4:\"0.00\";s:12:\"is_installed\";b:1;s:5:\"image\";s:68:\"http://kookagency/wp-content/themes/twentytwentythree/screenshot.png\";s:23:\"has_woocommerce_support\";b:1;}s:15:\"twentytwentytwo\";a:6:{s:4:\"slug\";s:15:\"twentytwentytwo\";s:5:\"title\";s:17:\"Twenty Twenty-Two\";s:5:\"price\";s:4:\"0.00\";s:12:\"is_installed\";b:1;s:5:\"image\";s:66:\"http://kookagency/wp-content/themes/twentytwentytwo/screenshot.png\";s:23:\"has_woocommerce_support\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("6966", "_transient_timeout_wpseo_total_unindexed_general_items", "1686300854", "no");
INSERT INTO `wp_options` VALUES("6967", "_transient_wpseo_total_unindexed_general_items", "0", "no");
INSERT INTO `wp_options` VALUES("6968", "_transient_timeout_wpseo_unindexed_term_link_count", "1686300854", "no");
INSERT INTO `wp_options` VALUES("6969", "_transient_wpseo_unindexed_term_link_count", "0", "no");
INSERT INTO `wp_options` VALUES("7151", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1686226395;s:8:\"response\";a:0:{}s:12:\"translations\";a:2:{i:0;a:7:{s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:10:\"duplicator\";s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"1.5.4\";s:7:\"updated\";s:19:\"2023-04-12 07:10:44\";s:7:\"package\";s:77:\"https://downloads.wordpress.org/translation/plugin/duplicator/1.5.4/fr_FR.zip\";s:10:\"autoupdate\";b:1;}i:1;a:7:{s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:11:\"wp-optimize\";s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:6:\"3.2.15\";s:7:\"updated\";s:19:\"2023-05-02 08:37:34\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/plugin/wp-optimize/3.2.15/fr_FR.zip\";s:10:\"autoupdate\";b:1;}}s:9:\"no_update\";a:18:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"5.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/akismet/assets/banner-1544x500.png?rev=2900731\";s:2:\"1x\";s:62:\"https://ps.w.org/akismet/assets/banner-772x250.png?rev=2900731\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.0\";}s:36:\"contact-form-7/wp-contact-form-7.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/contact-form-7\";s:4:\"slug\";s:14:\"contact-form-7\";s:6:\"plugin\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:11:\"new_version\";s:5:\"5.7.7\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/contact-form-7/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/contact-form-7.5.7.7.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:59:\"https://ps.w.org/contact-form-7/assets/icon.svg?rev=2339255\";s:3:\"svg\";s:59:\"https://ps.w.org/contact-form-7/assets/icon.svg?rev=2339255\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/contact-form-7/assets/banner-1544x500.png?rev=860901\";s:2:\"1x\";s:68:\"https://ps.w.org/contact-form-7/assets/banner-772x250.png?rev=880427\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:39:\"copy-delete-posts/copy-delete-posts.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:31:\"w.org/plugins/copy-delete-posts\";s:4:\"slug\";s:17:\"copy-delete-posts\";s:6:\"plugin\";s:39:\"copy-delete-posts/copy-delete-posts.php\";s:11:\"new_version\";s:5:\"1.4.0\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/copy-delete-posts/\";s:7:\"package\";s:66:\"https://downloads.wordpress.org/plugin/copy-delete-posts.1.4.0.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:70:\"https://ps.w.org/copy-delete-posts/assets/icon-128x128.gif?rev=2476221\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:72:\"https://ps.w.org/copy-delete-posts/assets/banner-772x250.jpg?rev=2267040\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:33:\"defender-security/wp-defender.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:31:\"w.org/plugins/defender-security\";s:4:\"slug\";s:17:\"defender-security\";s:6:\"plugin\";s:33:\"defender-security/wp-defender.php\";s:11:\"new_version\";s:6:\"3.11.0\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/defender-security/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/defender-security.3.11.0.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/defender-security/assets/icon-256x256.png?rev=2746819\";s:2:\"1x\";s:70:\"https://ps.w.org/defender-security/assets/icon-128x128.png?rev=2746819\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/defender-security/assets/banner-1544x500.png?rev=2625059\";s:2:\"1x\";s:72:\"https://ps.w.org/defender-security/assets/banner-772x250.png?rev=2625059\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.2\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"1.5.4\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.1.5.4.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:23:\"elementor/elementor.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:6:\"3.13.4\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/elementor.3.13.4.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=2597493\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=2597493\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.9\";}s:25:\"forminator/forminator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/forminator\";s:4:\"slug\";s:10:\"forminator\";s:6:\"plugin\";s:25:\"forminator/forminator.php\";s:11:\"new_version\";s:6:\"1.24.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/forminator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/forminator.1.24.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/forminator/assets/icon-256x256.png?rev=2746202\";s:2:\"1x\";s:63:\"https://ps.w.org/forminator/assets/icon-128x128.png?rev=2746202\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/forminator/assets/banner-1544x500.png?rev=2626060\";s:2:\"1x\";s:65:\"https://ps.w.org/forminator/assets/banner-772x250.png?rev=2626060\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.2\";}s:9:\"hello.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:5:\"1.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/hello-dolly.1.7.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=2052855\";s:2:\"1x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=2052855\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/hello-dolly/assets/banner-1544x500.jpg?rev=2645582\";s:2:\"1x\";s:66:\"https://ps.w.org/hello-dolly/assets/banner-772x250.jpg?rev=2052855\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:47:\"json-content-importer/json-content-importer.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:35:\"w.org/plugins/json-content-importer\";s:4:\"slug\";s:21:\"json-content-importer\";s:6:\"plugin\";s:47:\"json-content-importer/json-content-importer.php\";s:11:\"new_version\";s:6:\"1.3.17\";s:3:\"url\";s:52:\"https://wordpress.org/plugins/json-content-importer/\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/plugin/json-content-importer.1.3.17.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/json-content-importer/assets/icon-256x256.png?rev=1102355\";s:2:\"1x\";s:74:\"https://ps.w.org/json-content-importer/assets/icon-128x128.png?rev=1102355\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:76:\"https://ps.w.org/json-content-importer/assets/banner-772x250.png?rev=1102355\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:15:\"kirki/kirki.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:19:\"w.org/plugins/kirki\";s:4:\"slug\";s:5:\"kirki\";s:6:\"plugin\";s:15:\"kirki/kirki.php\";s:11:\"new_version\";s:5:\"4.1.0\";s:3:\"url\";s:36:\"https://wordpress.org/plugins/kirki/\";s:7:\"package\";s:48:\"https://downloads.wordpress.org/plugin/kirki.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:58:\"https://ps.w.org/kirki/assets/icon-256x256.png?rev=2682560\";s:2:\"1x\";s:58:\"https://ps.w.org/kirki/assets/icon-256x256.png?rev=2682560\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:61:\"https://ps.w.org/kirki/assets/banner-1544x500.png?rev=2290025\";s:2:\"1x\";s:60:\"https://ps.w.org/kirki/assets/banner-772x250.png?rev=2290025\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.2\";}s:39:\"theme-demo-import/theme-demo-import.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:31:\"w.org/plugins/theme-demo-import\";s:4:\"slug\";s:17:\"theme-demo-import\";s:6:\"plugin\";s:39:\"theme-demo-import/theme-demo-import.php\";s:11:\"new_version\";s:5:\"1.1.1\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/theme-demo-import/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/theme-demo-import.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/theme-demo-import/assets/icon-256x256.png?rev=1523494\";s:2:\"1x\";s:70:\"https://ps.w.org/theme-demo-import/assets/icon-128x128.png?rev=1523494\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/theme-demo-import/assets/banner-1544x500.png?rev=1523494\";s:2:\"1x\";s:72:\"https://ps.w.org/theme-demo-import/assets/banner-772x250.png?rev=1523494\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.7\";}s:33:\"w3-total-cache/w3-total-cache.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/w3-total-cache\";s:4:\"slug\";s:14:\"w3-total-cache\";s:6:\"plugin\";s:33:\"w3-total-cache/w3-total-cache.php\";s:11:\"new_version\";s:5:\"2.3.2\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/w3-total-cache/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/w3-total-cache.2.3.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/w3-total-cache/assets/icon-256x256.png?rev=1041806\";s:2:\"1x\";s:67:\"https://ps.w.org/w3-total-cache/assets/icon-128x128.png?rev=1041806\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/w3-total-cache/assets/banner-772x250.jpg?rev=1041806\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.3\";}s:53:\"widget-importer-exporter/widget-importer-exporter.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:38:\"w.org/plugins/widget-importer-exporter\";s:4:\"slug\";s:24:\"widget-importer-exporter\";s:6:\"plugin\";s:53:\"widget-importer-exporter/widget-importer-exporter.php\";s:11:\"new_version\";s:5:\"1.6.1\";s:3:\"url\";s:55:\"https://wordpress.org/plugins/widget-importer-exporter/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/widget-importer-exporter.1.6.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:76:\"https://ps.w.org/widget-importer-exporter/assets/icon-256x256.jpg?rev=990577\";s:2:\"1x\";s:76:\"https://ps.w.org/widget-importer-exporter/assets/icon-128x128.jpg?rev=990577\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:79:\"https://ps.w.org/widget-importer-exporter/assets/banner-1544x500.jpg?rev=775677\";s:2:\"1x\";s:78:\"https://ps.w.org/widget-importer-exporter/assets/banner-772x250.jpg?rev=741218\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"3.5\";}s:27:\"woocommerce/woocommerce.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:6:\"plugin\";s:27:\"woocommerce/woocommerce.php\";s:11:\"new_version\";s:5:\"7.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/woocommerce/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/woocommerce.7.7.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/woocommerce/assets/icon-256x256.gif?rev=2869506\";s:2:\"1x\";s:64:\"https://ps.w.org/woocommerce/assets/icon-128x128.gif?rev=2869506\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/woocommerce/assets/banner-1544x500.png?rev=2366418\";s:2:\"1x\";s:66:\"https://ps.w.org/woocommerce/assets/banner-772x250.png?rev=2366418\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:41:\"wordpress-importer/wordpress-importer.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/wordpress-importer\";s:4:\"slug\";s:18:\"wordpress-importer\";s:6:\"plugin\";s:41:\"wordpress-importer/wordpress-importer.php\";s:11:\"new_version\";s:5:\"0.8.1\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/wordpress-importer/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/wordpress-importer.0.8.1.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:63:\"https://ps.w.org/wordpress-importer/assets/icon.svg?rev=2791650\";s:3:\"svg\";s:63:\"https://ps.w.org/wordpress-importer/assets/icon.svg?rev=2791650\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:72:\"https://ps.w.org/wordpress-importer/assets/banner-772x250.png?rev=547654\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.2\";}s:27:\"wp-optimize/wp-optimize.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/wp-optimize\";s:4:\"slug\";s:11:\"wp-optimize\";s:6:\"plugin\";s:27:\"wp-optimize/wp-optimize.php\";s:11:\"new_version\";s:6:\"3.2.15\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/wp-optimize/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-optimize.3.2.15.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/wp-optimize/assets/icon-256x256.png?rev=1552899\";s:2:\"1x\";s:64:\"https://ps.w.org/wp-optimize/assets/icon-128x128.png?rev=1552899\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/wp-optimize/assets/banner-1544x500.png?rev=2125385\";s:2:\"1x\";s:66:\"https://ps.w.org/wp-optimize/assets/banner-772x250.png?rev=2125385\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.5\";}s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:36:\"w.org/plugins/xt-woo-quick-view-lite\";s:4:\"slug\";s:22:\"xt-woo-quick-view-lite\";s:6:\"plugin\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";s:11:\"new_version\";s:5:\"1.9.9\";s:3:\"url\";s:53:\"https://wordpress.org/plugins/xt-woo-quick-view-lite/\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/plugin/xt-woo-quick-view-lite.1.9.9.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/xt-woo-quick-view-lite/assets/icon-256x256.png?rev=2783600\";s:2:\"1x\";s:75:\"https://ps.w.org/xt-woo-quick-view-lite/assets/icon-128x128.png?rev=2783600\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:78:\"https://ps.w.org/xt-woo-quick-view-lite/assets/banner-1544x500.png?rev=2783600\";s:2:\"1x\";s:77:\"https://ps.w.org/xt-woo-quick-view-lite/assets/banner-772x250.png?rev=2783600\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:24:\"wordpress-seo/wp-seo.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:27:\"w.org/plugins/wordpress-seo\";s:4:\"slug\";s:13:\"wordpress-seo\";s:6:\"plugin\";s:24:\"wordpress-seo/wp-seo.php\";s:11:\"new_version\";s:4:\"20.8\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/wordpress-seo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wordpress-seo.20.8.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:58:\"https://ps.w.org/wordpress-seo/assets/icon.svg?rev=2363699\";s:3:\"svg\";s:58:\"https://ps.w.org/wordpress-seo/assets/icon.svg?rev=2363699\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/wordpress-seo/assets/banner-1544x500.png?rev=2643727\";s:2:\"1x\";s:68:\"https://ps.w.org/wordpress-seo/assets/banner-772x250.png?rev=2643727\";}s:11:\"banners_rtl\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/wordpress-seo/assets/banner-1544x500-rtl.png?rev=2643727\";s:2:\"1x\";s:72:\"https://ps.w.org/wordpress-seo/assets/banner-772x250-rtl.png?rev=2643727\";}s:8:\"requires\";s:3:\"6.1\";}}s:7:\"checked\";a:20:{s:19:\"dsn_acf_pro/acf.php\";s:4:\"5.12\";s:19:\"akismet/akismet.php\";s:3:\"5.1\";s:49:\"blackdsn-helper-plugin/blackdsn-helper-plugin.php\";s:5:\"1.2.3\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:5:\"5.7.7\";s:39:\"copy-delete-posts/copy-delete-posts.php\";s:5:\"1.4.0\";s:33:\"defender-security/wp-defender.php\";s:6:\"3.11.0\";s:25:\"duplicator/duplicator.php\";s:5:\"1.5.4\";s:23:\"elementor/elementor.php\";s:6:\"3.13.4\";s:25:\"forminator/forminator.php\";s:6:\"1.24.1\";s:9:\"hello.php\";s:5:\"1.7.2\";s:47:\"json-content-importer/json-content-importer.php\";s:6:\"1.3.17\";s:15:\"kirki/kirki.php\";s:5:\"4.1.1\";s:39:\"theme-demo-import/theme-demo-import.php\";s:5:\"1.1.1\";s:33:\"w3-total-cache/w3-total-cache.php\";s:5:\"2.3.2\";s:53:\"widget-importer-exporter/widget-importer-exporter.php\";s:5:\"1.6.1\";s:27:\"woocommerce/woocommerce.php\";s:5:\"7.7.2\";s:41:\"wordpress-importer/wordpress-importer.php\";s:5:\"0.8.1\";s:27:\"wp-optimize/wp-optimize.php\";s:6:\"3.2.15\";s:44:\"xt-woo-quick-view-lite/xt-woo-quick-view.php\";s:5:\"1.9.9\";s:24:\"wordpress-seo/wp-seo.php\";s:4:\"20.8\";}}", "no");
INSERT INTO `wp_options` VALUES("6972", "duplicator_version_plugin", "1.5.4", "yes");
INSERT INTO `wp_options` VALUES("6974", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("6975", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("6976", "duplicator_settings", "a:19:{s:7:\"version\";s:5:\"1.5.4\";s:18:\"uninstall_settings\";s:1:\"1\";s:15:\"uninstall_files\";s:1:\"1\";s:13:\"package_debug\";s:1:\"0\";s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";s:0:\"\";s:21:\"unhook_third_party_js\";s:0:\"\";s:22:\"unhook_third_party_css\";s:0:\"\";s:17:\"active_package_id\";i:4;i:0;b:0;s:17:\"wpfront_integrate\";s:1:\"0\";s:17:\"trace_log_enabled\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("6977", "duplicator_activated", "a:1:{s:4:\"lite\";i:1686214455;}", "yes");
INSERT INTO `wp_options` VALUES("6988", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-08 12:36:27\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"8.0.31\";s:10:\"VersionPHP\";s:6:\"8.0.26\";s:9:\"VersionOS\";s:5:\"WINNT\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"KOOKAgency_08062023\";s:4:\"Hash\";s:35:\"a640deb2369248547168_20230608123627\";s:8:\"NameHash\";s:55:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:65:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:243:\"C:/wamp64/www/KOOKAgency/wp-content/uploads;C:/wamp64/www/KOOKAgency/wp-content/uploads/2022/08;C:/wamp64/www/KOOKAgency/wp-content/uploads/2023/05;C:/wamp64/www/KOOKAgency/wp-content/uploads/2023/06;C:/wamp64/www/KOOKAgency/wp-content/wflogs;\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:1;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:24:\"C:/wamp64/www/KOOKAgency\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:4924;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:21461;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-06-08 12:36:27\";s:7:\"Version\";s:5:\"1.5.4\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"8.0.31\";s:10:\"VersionPHP\";s:6:\"8.0.26\";s:9:\"VersionOS\";s:5:\"WINNT\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"KOOKAgency_08062023\";s:4:\"Hash\";s:35:\"a640deb2369248547168_20230608123627\";s:8:\"NameHash\";s:55:\"KOOKAgency_08062023_a640deb2369248547168_20230608123627\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:9:\"localhost\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:10:\"kookagency\";s:10:\"OptsDBUser\";s:4:\"root\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:38:\"C:/wamp64/www/KOOKAgency/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server - GPL\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:1;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:33:\"C:/wamp64/www/KOOKAgency/wp-admin\";i:1;s:36:\"C:/wamp64/www/KOOKAgency/wp-includes\";i:2;s:45:\"C:/wamp64/www/KOOKAgency/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:24:\"C:/wamp64/www/KOOKAgency\";i:1;s:24:\"C:/wamp64/www/KOOKAgency\";i:2;s:35:\"C:/wamp64/www/KOOKAgency/wp-content\";i:3;s:43:\"C:/wamp64/www/KOOKAgency/wp-content/uploads\";i:4;s:43:\"C:/wamp64/www/KOOKAgency/wp-content/plugins\";i:5;s:46:\"C:/wamp64/www/KOOKAgency/wp-content/mu-plugins\";i:6;s:42:\"C:/wamp64/www/KOOKAgency/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:56:\"C:/wamp64/www/KOOKAgency/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:143;}", "yes");
INSERT INTO `wp_options` VALUES("7261", "_transient_timeout_wc_related_11868", "1686314195", "no");
INSERT INTO `wp_options` VALUES("7019", "_transient_wpseo-statistics-totals", "a:1:{i:1;a:2:{s:6:\"scores\";a:1:{i:0;a:4:{s:8:\"seo_rank\";s:2:\"na\";s:5:\"label\";s:45:\"Articles <strong>sans</strong> requête cible\";s:5:\"count\";i:25;s:4:\"link\";s:94:\"http://kookagency/wp-admin/edit.php?post_status=publish&#038;post_type=post&#038;seo_filter=na\";}}s:8:\"division\";a:5:{s:3:\"bad\";i:0;s:2:\"ok\";i:0;s:4:\"good\";i:0;s:2:\"na\";i:1;s:7:\"noindex\";i:0;}}}", "no");
INSERT INTO `wp_options` VALUES("5981", "_transient_timeout_wc_report_orders_stats_38c040f2a39fa37ec58438ce3a833b93", "1686727799", "no");
INSERT INTO `wp_options` VALUES("5982", "_transient_wc_report_orders_stats_38c040f2a39fa37ec58438ce3a833b93", "a:2:{s:7:\"version\";s:10:\"1685436424\";s:5:\"value\";O:8:\"stdClass\":5:{s:6:\"totals\";O:8:\"stdClass\":4:{s:11:\"net_revenue\";d:0;s:8:\"products\";i:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}s:9:\"intervals\";a:7:{i:0;a:6:{s:8:\"interval\";s:10:\"2023-06-01\";s:10:\"date_start\";s:19:\"2023-06-01 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-05-31 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-01 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-01 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:1;a:6:{s:8:\"interval\";s:10:\"2023-06-02\";s:10:\"date_start\";s:19:\"2023-06-02 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-01 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-02 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-02 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:2;a:6:{s:8:\"interval\";s:10:\"2023-06-03\";s:10:\"date_start\";s:19:\"2023-06-03 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-02 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-03 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-03 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:3;a:6:{s:8:\"interval\";s:10:\"2023-06-04\";s:10:\"date_start\";s:19:\"2023-06-04 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-03 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-04 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-04 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:4;a:6:{s:8:\"interval\";s:10:\"2023-06-05\";s:10:\"date_start\";s:19:\"2023-06-05 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-04 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-05 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-05 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:5;a:6:{s:8:\"interval\";s:10:\"2023-06-06\";s:10:\"date_start\";s:19:\"2023-06-06 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-05 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-06 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-06 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}i:6;a:6:{s:8:\"interval\";s:10:\"2023-06-07\";s:10:\"date_start\";s:19:\"2023-06-07 00:00:00\";s:14:\"date_start_gmt\";s:19:\"2023-06-06 22:00:00\";s:8:\"date_end\";s:19:\"2023-06-07 23:59:59\";s:12:\"date_end_gmt\";s:19:\"2023-06-07 21:59:59\";s:9:\"subtotals\";O:8:\"stdClass\":3:{s:11:\"net_revenue\";d:0;s:13:\"coupons_count\";i:0;s:8:\"segments\";a:0:{}}}}s:5:\"total\";i:7;s:5:\"pages\";i:1;s:7:\"page_no\";i:1;}}", "no");
INSERT INTO `wp_options` VALUES("6899", "_transient_timeout_feed_c47db4c963e2d6948a299a85f4c71991", "1686255068", "no");
INSERT INTO `wp_options` VALUES("6900", "_transient_feed_c47db4c963e2d6948a299a85f4c71991", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:5:\"\n\n	\n	\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:370:\"\n\n		\n		\n		\n				\n		\n		\n\n		\n		\n			\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n				\n				\n\n							\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress.org Forums » [W3 Total Cache] Support\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"https://wordpress.org/support/plugin/w3-total-cache/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 Jun 2023 07:51:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://bbpress.org/?v=2.7.0-alpha-2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:30:{i:0;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/support/topic/website-response-time-is-sometimes-too-slow/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"Website response time is sometimes too slow\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/support/topic/website-response-time-is-sometimes-too-slow/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 Jun 2023 04:13:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1176:\"\n						\n						<p>Replies: 0</p>\n						<p>Hi,</p>\n\n\n\n<p>I am currently facing an issue where my website&#8217;s response time is sometimes too slow, taking approximately 30 seconds or more, and it even leads to a 524 response from Cloudflare. However, when accessing the website with a logged-in account, the response time is within 2 seconds.</p>\n\n\n\n<p>I have tried tracing the code and found that the callback in the &#8220;ob_start&#8221; function takes a long time to execute. (In Generic_Plugin.php)</p>\n\n\n\n<p>Additionally, I have checked the purge log, and in the part related to the database purge log, there are 2 to 6 purge actions occurring every second. I&#8217;m wondering if the slow response time could be due to too many purge actions.</p>\n\n\n\n<p>The current version being used is 2.2.9, and the enabled caches are as follows:</p>\n\n\n\n<p>Page Cache (Disk: Enhanced)<br />Opcode Cache<br />Database Cache (Redis)<br />Object Cache (Redis)<br />Fragment Cache (Disk)</p>\n\n\n\n<p>I would like to know how to adjust the settings for better performance. Do you have any recommendations for Apache and PHP configurations?</p>\n\n\n\n<p>(Translated by ChatGPT)</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"kinolien\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wordpress.org/support/topic/same-functionality-as-wp-fastest-cache/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"Same functionality as &amp;#8220;WP Fastest Cache&amp;#8221;?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wordpress.org/support/topic/same-functionality-as-wp-fastest-cache/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Jun 2023 07:00:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1225:\"\n						\n						<p>Replies: 3</p>\n						<p>Hi,</p>\n\n\n\n<p>my wordpress website contains a custom post type and several custom taxonomies. It reads data from a people database using mySQL. Since the age of the people changes daily, I clear the cache at midnight.</p>\n\n\n\n<p>I use &#8220;WP Fastest Cache&#8221; until now for the following reasons:</p>\n\n\n\n<ul>\n<li>I can preload all pages via Plesk-cronjob, which crawls the website every minute.</li>\n\n\n\n<li>I can increase the number of pages, I want to preload per minute.</li>\n\n\n\n<li>I can define what kind of objects I want to preload (posts, pages, custom post type, custom taxonomies …)</li>\n\n\n\n<li>I can clear the cache via Plesk-cronjob at midnight, afterwards the preload starts again automatically</li>\n</ul>\n\n\n\n<p>Since the settings options are very limited in &#8220;WP Fastest Cache&#8221;, I would like to try &#8220;W3 Total Cache&#8221;. Could you tell me please, if the mentioned features are (similarly) possible?</p>\n\n\n\n<p>And if so, is it possible in &#8220;W3 Total Cache&#8221;, to disable &#8220;Cache-Control: no-store&#8221; in the header for using back-forward-cache?</p>\n\n\n\n<p>Thank you very much for your help in advance!<br />Andreas</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Andreas 2013\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/support/topic/error-in-the-plugin-is-crashing-my-website/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Error in the Plugin is Crashing My Website\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/support/topic/error-in-the-plugin-is-crashing-my-website/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 03 Jun 2023 19:04:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1195:\"\n						\n						<p>Replies: 4</p>\n						<p>An error in the plugin is causing a fatal error on my website. It is blocking me from accessing my admin panel. This is the error message: </p>\n\n\n\n<p><strong>Fatal error</strong>: Uncaught Error: Call to undefined function wp_kses() in /home/ii52nq66ke5s/public_html/wp-content/db.php:28 Stack trace: #0 /home/ii52nq66ke5s/public_html/wp-includes/load.php(570): require_once() #1 /home/ii52nq66ke5s/public_html/wp-settings.php(124): require_wp_db() #2 /home/ii52nq66ke5s/public_html/wp-config.php(92): require_once(&#8216;/home/ii52nq66k&#8230;&#8217;) #3 /home/ii52nq66ke5s/public_html/wp-load.php(50): require_once(&#8216;/home/ii52nq66k&#8230;&#8217;) #4 /home/ii52nq66ke5s/public_html/wp-admin/admin.php(34): require_once(&#8216;/home/ii52nq66k&#8230;&#8217;) #5 /home/ii52nq66ke5s/public_html/wp-admin/index.php(10): require_once(&#8216;/home/ii52nq66k&#8230;&#8217;) #6 {main} thrown in&nbsp;<strong>/home/ii52nq66ke5s/public_html/wp-content/db.php</strong>&nbsp;on line&nbsp;<strong>28</strong></p>\n\n\n\n<p>There has been a critical error on this website.</p>\n\n\n\n<p>Can you please fix this or is there something I can do to fix it? </p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Hillary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wordpress.org/support/topic/w3-total-cache-error-files-and-directories-could-not-be-automatically-created-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"W3 Total Cache Error: Files and directories could not be automatically created\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wordpress.org/support/topic/w3-total-cache-error-files-and-directories-could-not-be-automatically-created-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 02 Jun 2023 10:21:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:375:\"\n						\n						<p>Replies: 1</p>\n						<p>Hello, </p>\n\n\n\n<p>I got the known error for directory: /bitnami/wordpress/wp-content/cache/object.  I tried changing the permissions to 755/644 (Folder/Files) and it didn&#8217;t work.  However, when changing permissions to 775/644 worked.  I am wondering what the issue might be.  Thank you in advance for your help.</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"omgraj\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/support/topic/cdn-blob-failed-to-authenticate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"CDN, blob, failed to authenticate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/support/topic/cdn-blob-failed-to-authenticate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 02 Jun 2023 08:59:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:342:\"\n						\n						<p>Replies: 1</p>\n						<figure class=\"wp-block-image size-large\"><img src=\"https://imgtr.ee/images/2023/06/02/SYVCb.png\" alt=\"\" /></figure>\n\n\n\n<p>I have strange thing with uploading CDN. I already try to reset settings etc. Even copied files with azcopy. Page is uploading fully but always gettings this erros.</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"dawidmos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wordpress.org/support/topic/pagespeed-criticises-caching-of-fonts-etc/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"PageSpeed criticises &amp;#8220;caching of fonts&amp;#8221; etc.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wordpress.org/support/topic/pagespeed-criticises-caching-of-fonts-etc/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jun 2023 17:06:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14171:\"\n						\n						<p>Replies: 4</p>\n						<p>I have used Google PageSpeed and it reports &#8220;Delivering static content with an efficient cache policy&#8221;. In the .htaccess file, however, I see entries for woff and woff2, for example, yet such files are shown as resources in the test result.</p>\n\n\n\n<p>My .htaccess file looks like this:</p>\n\n\n\n<pre class=\"wp-block-code\"><code>RewriteEngine On\nRewriteCond %{HTTP_USER_AGENT} ^.*(AspiegelBot|YaBrowser|Vivaldi|FB_IAB|FBAV|aspiegel|SemrushBot|PetalBot|petalbot|HUAWEI|BLEXBot|PetalBot|aspiegel).*$ &#091;NC]\nRewriteRule .* - &#091;F,L]\n\n&lt;IfModule mod_rewrite.c&gt;\n	RewriteEngine On\n	RewriteCond %{REQUEST_URI} ^/?wp\\-content/+debug\\.log$\n	RewriteRule .* - &#091;F,L,NC]\n&lt;/IfModule&gt;\n&lt;IfModule !mod_rewrite.c&gt;\n	&lt;Files \"debug.log\"&gt;\n		&lt;IfModule mod_authz_core.c&gt;\n			Require all denied\n		&lt;/IfModule&gt;\n		&lt;IfModule !mod_authz_core.c&gt;\n			Order deny,allow\n			Deny from all\n		&lt;/IfModule&gt;\n	&lt;/Files&gt;\n&lt;/IfModule&gt;\n\n&lt;IfModule mod_rewrite.c&gt;\n	RewriteEngine On\n	RewriteCond %{HTTP_ACCEPT} image/webp\n	RewriteCond %{REQUEST_FILENAME} (.*)\\.(jpe?g|png|gif)$\n	RewriteCond %{REQUEST_FILENAME}\\.webp -f\n	RewriteCond %{QUERY_STRING} !type=original\n	RewriteRule (.+)\\.(jpe?g|png|gif)$ %{REQUEST_URI}.webp &#091;T=image/webp,L]\n&lt;/IfModule&gt;\n&lt;IfModule mod_headers.c&gt;\n	&lt;FilesMatch \"\\.(jpe?g|png|gif)$\"&gt;\n		Header append Vary Accept\n	&lt;/FilesMatch&gt;\n&lt;/IfModule&gt;\nAddType image/webp .webp\n\n&lt;IfModule mod_expires.c&gt;\n	ExpiresActive On\n	ExpiresByType image/jpg \"access plus 1 year\"\n	ExpiresByType image/jpeg \"access plus 1 year\"\n	ExpiresByType image/gif \"access plus 1 year\"\n	ExpiresByType image/png \"access plus 1 year\"\n	ExpiresByType text/css \"access plus 1 month\"\n	ExpiresByType text/html \"access plus 1 month\"\n	ExpiresByType application/pdf \"access plus 1 month\"\n	ExpiresByType text/x-javascript \"access plus 1 month\"\n	ExpiresByType application/x-shockwave-flash \"access plus 1 month\"\n	ExpiresByType image/x-icon \"access plus 1 year\"\n	ExpiresDefault \"access plus 1 month\"\n&lt;/IfModule&gt;\n\n&lt;IfModule mod_deflate.c&gt;\n	AddOutputFilterByType DEFLATE text/plain\n	AddOutputFilterByType DEFLATE text/html\n	AddOutputFilterByType DEFLATE text/xml\n	AddOutputFilterByType DEFLATE text/shtml\n	AddOutputFilterByType DEFLATE text/css\n	AddOutputFilterByType DEFLATE application/xml\n	AddOutputFilterByType DEFLATE application/xhtml+xml\n	AddOutputFilterByType DEFLATE application/rss+xml\n	AddOutputFilterByType DEFLATE application/javascript\n	AddOutputFilterByType DEFLATE application/x-javascript\n&lt;/IfModule&gt;\n\n# BEGIN W3TC Browser Cache\n&lt;IfModule mod_mime.c&gt;\n    AddType text/css .css\n    AddType text/x-component .htc\n    AddType application/x-javascript .js\n    AddType application/javascript .js2\n    AddType text/javascript .js3\n    AddType text/x-js .js4\n    AddType text/html .html .htm\n    AddType text/richtext .rtf .rtx\n    AddType text/plain .txt\n    AddType text/xsd .xsd\n    AddType text/xsl .xsl\n    AddType text/xml .xml\n    AddType video/asf .asf .asx .wax .wmv .wmx\n    AddType video/avi .avi\n    AddType image/avif .avif\n    AddType image/avif-sequence .avifs\n    AddType image/bmp .bmp\n    AddType application/java .class\n    AddType video/divx .divx\n    AddType application/msword .doc .docx\n    AddType application/vnd.ms-fontobject .eot\n    AddType application/x-msdownload .exe\n    AddType image/gif .gif\n    AddType application/x-gzip .gz .gzip\n    AddType image/x-icon .ico\n    AddType image/jpeg .jpg .jpeg .jpe\n    AddType image/webp .webp\n    AddType application/json .json\n    AddType application/vnd.ms-access .mdb\n    AddType audio/midi .mid .midi\n    AddType video/quicktime .mov .qt\n    AddType audio/mpeg .mp3 .m4a\n    AddType video/mp4 .mp4 .m4v\n    AddType video/mpeg .mpeg .mpg .mpe\n    AddType video/webm .webm\n    AddType application/vnd.ms-project .mpp\n    AddType application/x-font-otf .otf\n    AddType application/vnd.ms-opentype ._otf\n    AddType application/vnd.oasis.opendocument.database .odb\n    AddType application/vnd.oasis.opendocument.chart .odc\n    AddType application/vnd.oasis.opendocument.formula .odf\n    AddType application/vnd.oasis.opendocument.graphics .odg\n    AddType application/vnd.oasis.opendocument.presentation .odp\n    AddType application/vnd.oasis.opendocument.spreadsheet .ods\n    AddType application/vnd.oasis.opendocument.text .odt\n    AddType audio/ogg .ogg\n    AddType video/ogg .ogv\n    AddType application/pdf .pdf\n    AddType image/png .png\n    AddType application/vnd.ms-powerpoint .pot .pps .ppt .pptx\n    AddType audio/x-realaudio .ra .ram\n    AddType image/svg+xml .svg .svgz\n    AddType application/x-shockwave-flash .swf\n    AddType application/x-tar .tar\n    AddType image/tiff .tif .tiff\n    AddType application/x-font-ttf .ttf .ttc\n    AddType application/vnd.ms-opentype ._ttf\n    AddType audio/wav .wav\n    AddType audio/wma .wma\n    AddType application/vnd.ms-write .wri\n    AddType application/font-woff .woff\n    AddType application/font-woff2 .woff2\n    AddType application/vnd.ms-excel .xla .xls .xlsx .xlt .xlw\n    AddType application/zip .zip\n&lt;/IfModule&gt;\n&lt;IfModule mod_expires.c&gt;\n    ExpiresActive On\n    ExpiresByType text/css A31536000\n    ExpiresByType text/x-component A31536000\n    ExpiresByType application/x-javascript A31536000\n    ExpiresByType application/javascript A31536000\n    ExpiresByType text/javascript A31536000\n    ExpiresByType text/x-js A31536000\n    ExpiresByType text/html A3600\n    ExpiresByType text/richtext A3600\n    ExpiresByType text/plain A3600\n    ExpiresByType text/xsd A3600\n    ExpiresByType text/xsl A3600\n    ExpiresByType text/xml A3600\n    ExpiresByType video/asf A31536000\n    ExpiresByType video/avi A31536000\n    ExpiresByType image/avif A31536000\n    ExpiresByType image/avif-sequence A31536000\n    ExpiresByType image/bmp A31536000\n    ExpiresByType application/java A31536000\n    ExpiresByType video/divx A31536000\n    ExpiresByType application/msword A31536000\n    ExpiresByType application/vnd.ms-fontobject A31536000\n    ExpiresByType application/x-msdownload A31536000\n    ExpiresByType image/gif A31536000\n    ExpiresByType application/x-gzip A31536000\n    ExpiresByType image/x-icon A31536000\n    ExpiresByType image/jpeg A31536000\n    ExpiresByType image/webp A31536000\n    ExpiresByType application/json A31536000\n    ExpiresByType application/vnd.ms-access A31536000\n    ExpiresByType audio/midi A31536000\n    ExpiresByType video/quicktime A31536000\n    ExpiresByType audio/mpeg A31536000\n    ExpiresByType video/mp4 A31536000\n    ExpiresByType video/mpeg A31536000\n    ExpiresByType video/webm A31536000\n    ExpiresByType application/vnd.ms-project A31536000\n    ExpiresByType application/x-font-otf A31536000\n    ExpiresByType application/vnd.ms-opentype A31536000\n    ExpiresByType application/vnd.oasis.opendocument.database A31536000\n    ExpiresByType application/vnd.oasis.opendocument.chart A31536000\n    ExpiresByType application/vnd.oasis.opendocument.formula A31536000\n    ExpiresByType application/vnd.oasis.opendocument.graphics A31536000\n    ExpiresByType application/vnd.oasis.opendocument.presentation A31536000\n    ExpiresByType application/vnd.oasis.opendocument.spreadsheet A31536000\n    ExpiresByType application/vnd.oasis.opendocument.text A31536000\n    ExpiresByType audio/ogg A31536000\n    ExpiresByType video/ogg A31536000\n    ExpiresByType application/pdf A31536000\n    ExpiresByType image/png A31536000\n    ExpiresByType application/vnd.ms-powerpoint A31536000\n    ExpiresByType audio/x-realaudio A31536000\n    ExpiresByType image/svg+xml A31536000\n    ExpiresByType application/x-shockwave-flash A31536000\n    ExpiresByType application/x-tar A31536000\n    ExpiresByType image/tiff A31536000\n    ExpiresByType application/x-font-ttf A31536000\n    ExpiresByType application/vnd.ms-opentype A31536000\n    ExpiresByType audio/wav A31536000\n    ExpiresByType audio/wma A31536000\n    ExpiresByType application/vnd.ms-write A31536000\n    ExpiresByType application/font-woff A31536000\n    ExpiresByType application/font-woff2 A31536000\n    ExpiresByType application/vnd.ms-excel A31536000\n    ExpiresByType application/zip A31536000\n&lt;/IfModule&gt;\n&lt;IfModule mod_deflate.c&gt;\n        AddOutputFilterByType DEFLATE text/css text/x-component application/x-javascript application/javascript text/javascript text/x-js text/html text/richtext text/plain text/xsd text/xsl text/xml image/bmp application/java application/msword application/vnd.ms-fontobject application/x-msdownload image/x-icon application/json application/vnd.ms-access video/webm application/vnd.ms-project application/x-font-otf application/vnd.ms-opentype application/vnd.oasis.opendocument.database application/vnd.oasis.opendocument.chart application/vnd.oasis.opendocument.formula application/vnd.oasis.opendocument.graphics application/vnd.oasis.opendocument.presentation application/vnd.oasis.opendocument.spreadsheet application/vnd.oasis.opendocument.text audio/ogg application/pdf application/vnd.ms-powerpoint image/svg+xml application/x-shockwave-flash image/tiff application/x-font-ttf application/vnd.ms-opentype audio/wav application/vnd.ms-write application/font-woff application/font-woff2 application/vnd.ms-excel\n    &lt;IfModule mod_mime.c&gt;\n        # DEFLATE by extension\n        AddOutputFilter DEFLATE js css htm html xml\n    &lt;/IfModule&gt;\n&lt;/IfModule&gt;\n&lt;FilesMatch \"\\.(css|htc|less|js|js2|js3|js4|CSS|HTC|LESS|JS|JS2|JS3|JS4)$\"&gt;\n    FileETag MTime Size\n    &lt;IfModule mod_headers.c&gt;\n        Header set Pragma \"public\"\n        Header append Cache-Control \"public\"\n        Header unset Set-Cookie\n    &lt;/IfModule&gt;\n&lt;/FilesMatch&gt;\n&lt;FilesMatch \"\\.(html|htm|rtf|rtx|txt|xsd|xsl|xml|HTML|HTM|RTF|RTX|TXT|XSD|XSL|XML)$\"&gt;\n    FileETag MTime Size\n    &lt;IfModule mod_headers.c&gt;\n        Header set Pragma \"public\"\n        Header append Cache-Control \"public\"\n    &lt;/IfModule&gt;\n&lt;/FilesMatch&gt;\n&lt;FilesMatch \"\\.(asf|asx|wax|wmv|wmx|avi|avif|avifs|bmp|class|divx|doc|docx|eot|exe|gif|gz|gzip|ico|jpg|jpeg|jpe|webp|json|mdb|mid|midi|mov|qt|mp3|m4a|mp4|m4v|mpeg|mpg|mpe|webm|mpp|otf|_otf|odb|odc|odf|odg|odp|ods|odt|ogg|ogv|pdf|png|pot|pps|ppt|pptx|ra|ram|svg|svgz|swf|tar|tif|tiff|ttf|ttc|_ttf|wav|wma|wri|woff|woff2|xla|xls|xlsx|xlt|xlw|zip|ASF|ASX|WAX|WMV|WMX|AVI|AVIF|AVIFS|BMP|CLASS|DIVX|DOC|DOCX|EOT|EXE|GIF|GZ|GZIP|ICO|JPG|JPEG|JPE|WEBP|JSON|MDB|MID|MIDI|MOV|QT|MP3|M4A|MP4|M4V|MPEG|MPG|MPE|WEBM|MPP|OTF|_OTF|ODB|ODC|ODF|ODG|ODP|ODS|ODT|OGG|OGV|PDF|PNG|POT|PPS|PPT|PPTX|RA|RAM|SVG|SVGZ|SWF|TAR|TIF|TIFF|TTF|TTC|_TTF|WAV|WMA|WRI|WOFF|WOFF2|XLA|XLS|XLSX|XLT|XLW|ZIP)$\"&gt;\n    FileETag MTime Size\n    &lt;IfModule mod_headers.c&gt;\n        Header set Pragma \"public\"\n        Header append Cache-Control \"public\"\n        Header unset Set-Cookie\n    &lt;/IfModule&gt;\n&lt;/FilesMatch&gt;\n&lt;IfModule mod_headers.c&gt;\n    Header set Referrer-Policy \"no-referrer-when-downgrade\"\n&lt;/IfModule&gt;\n# END W3TC Browser Cache\n# BEGIN W3TC Page Cache core\n&lt;IfModule mod_rewrite.c&gt;\n    RewriteEngine On\n    RewriteBase /\n    RewriteCond %{HTTPS} =on\n    RewriteRule .* - &#091;E=W3TC_SSL:_ssl]\n    RewriteCond %{SERVER_PORT} =443\n    RewriteRule .* - &#091;E=W3TC_SSL:_ssl]\n    RewriteCond %{HTTP:X-Forwarded-Proto} =https &#091;NC]\n    RewriteRule .* - &#091;E=W3TC_SSL:_ssl]\n    RewriteCond %{HTTP:Accept-Encoding} gzip\n    RewriteRule .* - &#091;E=W3TC_ENC:_gzip]\n    RewriteCond %{HTTP_COOKIE} w3tc_preview &#091;NC]\n    RewriteRule .* - &#091;E=W3TC_PREVIEW:_preview]\n    RewriteCond %{REQUEST_URI} \\/$\n    RewriteRule .* - &#091;E=W3TC_SLASH:_slash]\n    RewriteCond %{REQUEST_METHOD} !=POST\n    RewriteCond %{QUERY_STRING} =\"\"\n    RewriteCond %{HTTP_COOKIE} !(comment_author|wp\\-postpass|w3tc_logged_out|wordpress_logged_in|wptouch_switch_toggle) &#091;NC]\n    RewriteCond \"%{DOCUMENT_ROOT}/wp-content/cache/page_enhanced/%{HTTP_HOST}/%{REQUEST_URI}/_index%{ENV:W3TC_SLASH}%{ENV:W3TC_SSL}%{ENV:W3TC_PREVIEW}.html%{ENV:W3TC_ENC}\" -f\n    RewriteRule .* \"/wp-content/cache/page_enhanced/%{HTTP_HOST}/%{REQUEST_URI}/_index%{ENV:W3TC_SLASH}%{ENV:W3TC_SSL}%{ENV:W3TC_PREVIEW}.html%{ENV:W3TC_ENC}\" &#091;L]\n    RewriteCond %{REQUEST_METHOD} !=POST\n    RewriteCond %{QUERY_STRING} =\"\"\n    RewriteCond %{HTTP_COOKIE} !(comment_author|wp\\-postpass|w3tc_logged_out|wordpress_logged_in|wptouch_switch_toggle) &#091;NC]\n    RewriteCond \"%{DOCUMENT_ROOT}/wp-content/cache/page_enhanced/%{HTTP_HOST}/%{REQUEST_URI}/_index%{ENV:W3TC_SLASH}%{ENV:W3TC_SSL}%{ENV:W3TC_PREVIEW}.xml%{ENV:W3TC_ENC}\" -f\n    RewriteRule .* \"/wp-content/cache/page_enhanced/%{HTTP_HOST}/%{REQUEST_URI}/_index%{ENV:W3TC_SLASH}%{ENV:W3TC_SSL}%{ENV:W3TC_PREVIEW}.xml%{ENV:W3TC_ENC}\" &#091;L]\n&lt;/IfModule&gt;\n# END W3TC Page Cache core\n# BEGIN WordPress\n# Die Anweisungen (Zeilen) zwischen „BEGIN WordPress“ und „END WordPress“ sind\n# dynamisch generiert und sollten nur über WordPress-Filter geändert werden.\n# Alle Änderungen an den Anweisungen zwischen diesen Markierungen werden überschrieben.\n&lt;IfModule mod_rewrite.c&gt;\nRewriteEngine On\nRewriteRule .* - &#091;E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]\nRewriteBase /\nRewriteRule ^index\\.php$ - &#091;L]\nRewriteCond %{REQUEST_FILENAME} !-f\nRewriteCond %{REQUEST_FILENAME} !-d\nRewriteRule . /index.php &#091;L]\n&lt;/IfModule&gt;\n\n# END WordPress</code></pre>\n\n\n\n<p>Google complains about woff, woff2, svg, jpeg, .min.js. Here&#8217;s a screenshot: <a href=\"https://ibb.co/ryPcC9K\" rel=\"nofollow ugc\">https://ibb.co/ryPcC9K</a></p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img src=\"https://ibb.co/ryPcC9K\" alt=\"\" /></figure>\n\n\n\n<p>What can I do to fix this message? Thanks.</p>\n\n\n\n<p></p>\n\n\n<ul id=\"bbp-topic-revision-log-16787079\" class=\"bbp-topic-revision-log\">\n\n	<li id=\"bbp-topic-revision-log-16787079-item-16787101\" class=\"bbp-topic-revision-log-item\">\n		This topic was modified 6 days, 14 hours ago by <a href=\"https://wordpress.org/support/users/kankadev/\" title=\"View kankadev&#039;s profile\" class=\"bbp-author-link\"><span  class=\"bbp-author-name\">kankadev</span></a>.\n	</li>\n\n</ul>\n\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"kankadev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wordpress.org/support/topic/users-login-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:132:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Users login\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wordpress.org/support/topic/users-login-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jun 2023 11:52:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"\n						\n						<p>Replies: 4</p>\n						<p>Hello,<br />with your plugin activated users must enter their username and password twice to log in.</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"konstantinospapagalakis\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wordpress.org/support/topic/php-warning-undefined-array-key-1-in-varnish_flush-php-on-line-139/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"PHP Warning: Undefined array key 1 in /Varnish_Flush.php on line 139\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wordpress.org/support/topic/php-warning-undefined-array-key-1-in-varnish_flush-php-on-line-139/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 31 May 2023 09:06:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:524:\"\n						\n						<p>Replies: 2</p>\n						<p>Hi! I`m receiving an ongoing issue with Varnish enabled feature. It was discovered in the error log.</p>\n\n\n\n<p>The reserve proxy section was configured as 127.0.0.1:6083 but it doesn&#8217;t work correctly. Can you please advise how to check and fix it?</p>\n\n\n\n<pre class=\"wp-block-code\"><code>Got error \'PHP message: PHP Warning: Undefined array key 1 in /wp-content/plugins/w3-total-cache/Varnish_Flush.php on line 139\', referer: https://site.com/contact/</code></pre>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"zevs3000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/support/topic/conflict-with-security-header-plugin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"Conflict with Security Header Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/support/topic/conflict-with-security-header-plugin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 31 May 2023 02:52:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:651:\"\n						\n						<p>Replies: 4</p>\n						<p>Hello Boldgrid team,</p>\n\n\n\n<p>We have a problem on our website. Currently, we&#8217;re using some security header plugin (XSS, HSTS, etc) to handle&#8230; security header.</p>\n\n\n\n<p>Unfortunately, when we activating W3 Total Cache page cache, the security header configuration that already validated before is gone and undetected. Its strange because the security snippet code in .htaccess is already there but the security header audit apps cant detect it. And now, when we deactivate the W3 page cache, the audit can detect those code again</p>\n\n\n\n<p>What should we do? Thank you</p>\n\n\n\n<p></p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Antah\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://wordpress.org/support/topic/understanding-database-cache-and-object-cache/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:166:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Understanding Database Cache and Object Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://wordpress.org/support/topic/understanding-database-cache-and-object-cache/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 30 May 2023 11:40:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:445:\"\n						\n						<p>Replies: 1</p>\n						<p>Hi. We used a fully managed shared server and I have just installed W3 Total Cache on many of the websites we manage. I am struggling to understand fully about Database Cache and Object Cache and my question is this:</p>\n\n\n\n<p>When testing Database Cache and Object Cache, if &#8220;Disk&#8221; is faster than &#8220;none&#8221;, should I select it?</p>\n\n\n\n<p>Thanks very much</p>\n\n\n\n<p></p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"industrialmarketing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:112:\"https://wordpress.org/support/topic/function-wp_cache_flush_runtime-was-called-incorrectly-message-in-debug-log/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"Function wp_cache_flush_runtime was called incorrectly message in debug log\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:112:\"https://wordpress.org/support/topic/function-wp_cache_flush_runtime-was-called-incorrectly-message-in-debug-log/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 29 May 2023 09:29:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:243:\"\n						\n						<p>Replies: 8</p>\n						<p>I am experiencing problems with internal 500 error on our WP site running 6.2.2. </p>\n\n\n\n<p>I have enabled debug and see this message in the logs. </p>\n\n\n\n<p>Is there anything I can do?</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"tobyw7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/support/topic/my-plugin-didnt-do-the-job-i-guess/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;My plugin didn’t do the job I guess\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/support/topic/my-plugin-didnt-do-the-job-i-guess/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 28 May 2023 01:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:546:\"\n						\n						<p>Replies: 1</p>\n						<p>Hi </p>\n\n\n\n<p></p>\n\n\n\n<p>I have SEO audit report With important issues to be fixed like css and JavaScript files not being minified , also my page makes 147 requests which slowing my website, I tried to enable the Minify option in the plugin but a warning message comes up saying it’s a trial &amp; error process.</p>\n\n\n\n<p></p>\n\n\n\n<p>Also, the SEO plugin showing a red bar with error message saying I need to give access to API, not sure what to do to fix the errors.</p>\n\n\n\n<p>thanks </p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"rawan2021\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/support/topic/w3-total-cache-error-49/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"W3 Total Cache Error\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/support/topic/w3-total-cache-error-49/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 26 May 2023 22:45:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:842:\"\n						\n						<p>Replies: 3</p>\n						<p>Getting <strong>W3 Total Cache Error</strong> after updating WP footer information.  I have tried to reset the site to a previous version that seemed to help fix the broken menu issue.  But when I update the address in the footer it seems to be going back to the old broken menu version.  File permissions are already set to 755. The .htaccess and .wpconfig permissions are already set to 644. I reached out the my hosting service Cloudways and they requested I contact the web developer to fix the issue which we have troubleshot using the above steps. What else could cause the notices.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img src=\"https://ibb.co/2jPRnGD\" alt=\"\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img src=\"https://ibb.co/k1NfCfv\" alt=\"\" /></figure>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"ckathrotia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/support/topic/when-plugin-activating-admin-is-not-working/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"When plugin activating admin is not working\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/support/topic/when-plugin-activating-admin-is-not-working/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 26 May 2023 05:57:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:796:\"\n						\n						<p>Replies: 13</p>\n						<p>Hello,</p>\n\n\n\n<p>When i am activating your w3 total cache plugin time WordPress admin is not working and displays a blank white page. When i am deactivating then admin works fine. Please help me with this. Please check the below URL for refer <a href=\"https://prnt.sc/FevYGcPU5UbC\" rel=\"nofollow ugc\">https://prnt.sc/FevYGcPU5UbC</a></p>\n\n\n<ul id=\"bbp-topic-revision-log-16770105\" class=\"bbp-topic-revision-log\">\n\n	<li id=\"bbp-topic-revision-log-16770105-item-16770185\" class=\"bbp-topic-revision-log-item\">\n		This topic was modified 1 week, 6 days ago by <a href=\"https://wordpress.org/support/users/prajwal90/\" title=\"View prajwal90&#039;s profile\" class=\"bbp-author-link\"><span  class=\"bbp-author-name\">prajwal90</span></a>.\n	</li>\n\n</ul>\n\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"prajwal90\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"https://wordpress.org/support/topic/tons-of-php-deprecated-messages-in-error_log-under-php-8-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:201:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Tons of &amp;#8220;PHP Deprecated&amp;#8221; messages in error_log under PHP 8.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"https://wordpress.org/support/topic/tons-of-php-deprecated-messages-in-error_log-under-php-8-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 May 2023 15:35:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:946:\"\n						\n						<p>Replies: 2</p>\n						<p>Hello,</p>\n\n\n\n<p>after switching from PHP 7.4.x to 8.2.x I found tons of the following messages in my “error_log” file:</p>\n\n\n\n<p><code>PHP message: PHP Deprecated: Creation of dynamic property W3TC\\UserExperience_LazyLoad_Mutator_Unmutable::$placeholder_base is deprecated in /var/www/vhosts/my.domain.com/httpdocs/portal/wp-content/plugins/w3-total-cache/UserExperience_LazyLoad_Mutator_Unmutable.php on line 10;</code></p>\n\n\n\n<p><code>PHP message: PHP Deprecated: Creation of dynamic property W3TCL\\Minify\\Minify_HTML::$_html is deprecated in /var/www/vhosts/my.domain.com/httpdocs/portal/wp-content/plugins/w3-total-cache/lib/Minify/Minify/HTML.php on line 73\'</code></p>\n\n\n\n<p>I know this are no critical bugs. However, it would be great if you would fix this, because the “error_log” file grows unnecessarily to several megabytes every day.</p>\n\n\n\n<p>Many thanks in advance.</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"knubew\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wordpress.org/support/topic/create-an-exception-for-dont-cache-pages-for-logged-in-users/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:214:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Create an exception for &amp;#8220;Don&amp;#8217;t cache pages for logged in users&amp;#8221;\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wordpress.org/support/topic/create-an-exception-for-dont-cache-pages-for-logged-in-users/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 May 2023 15:35:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:439:\"\n						\n						<p>Replies: 3</p>\n						<p>Hi,</p>\n\n\n\n<p>as per default setting, I checked the &#8220;Don&#8217;t cache pages for logged in users&#8221; in the &#8220;Page Cache&#8221; section. However, I would like to create an exception, that is set a page (the homepage) and make it cached regardless of whether the user is logged in or not, since the page is identical for both users.</p>\n\n\n\n<p>How can I do that? Thanks</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"myfinanceclub\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/support/topic/website-too-slow-after-using-w3-total-cache/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Website too slow after using W3 total Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wordpress.org/support/topic/website-too-slow-after-using-w3-total-cache/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 May 2023 13:34:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:408:\"\n						\n						<p>Replies: 1</p>\n						<p>Hi. I installed this plugin to speed up my website. However, its now slower than ever. Even after minifying css and js files, there are too many render blocking elements and unused css. It now takes about 10-12 seconds for the page to fully load which is beyond acceptable. The media doesnt load at all until the last second. Can someone help please?</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"chevalb\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/support/topic/image-service-webp/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:139:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Image Service Webp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/support/topic/image-service-webp/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 May 2023 11:30:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:426:\"\n						\n						<p>Replies: 1</p>\n						<p>Hello, i enabled &#8220;Image Service&#8221; and converted an image as you can see in following links: </p>\n\n\n\n<p><a href=\"https://ibb.co/yPdwCdD\" rel=\"nofollow ugc\">https://ibb.co/yPdwCdD</a><br /><a href=\"https://ibb.co/swtL28r\" rel=\"nofollow ugc\">https://ibb.co/swtL28r</a></p>\n\n\n\n<p>Now where is the webp format? I still see .png image in my post</p>\n\n\n\n<p>Regards</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"fabioweb\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/support/topic/redirects-main-page/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:140:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Redirects main page\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/support/topic/redirects-main-page/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 May 2023 06:49:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:144:\"\n						\n						<p>Replies: 1</p>\n						<p>After installation plugin redirects directly to blog instead main page. any ideas why?</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"vadimpetrenko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wordpress.org/support/topic/language-domains-aliases-and-multiple-sitemaps/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:169:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Language domains , aliases and multiple sitemaps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wordpress.org/support/topic/language-domains-aliases-and-multiple-sitemaps/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 23 May 2023 11:31:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:380:\"\n						\n						<p>Replies: 3</p>\n						<p>I recently moved my site&#8217;s language versions from .eu domain to .eu + .us + .pl domains, like this: page.us + page.eu + page.pl. Now my page has slowed down. Do I need to configure Aliases (if so, how?) to tell w3tc to use both page.eu/sitemap.xml, page.us/sitemap.xml and page.pl/sitemap.xml? thank you for any help</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"protestkit\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wordpress.org/support/topic/w3tc-cloudflare-extension-or-cloudflare-apo-plugin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:172:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;W3TC Cloudflare extension or Cloudflare APO plugin?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wordpress.org/support/topic/w3tc-cloudflare-extension-or-cloudflare-apo-plugin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 22 May 2023 11:20:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:221:\"\n						\n						<p>Replies: 6</p>\n						<p>Hi,</p>\n\n\n\n<p>I have an active subscription for Cloudflare APO and W3TC License. Which of the two should I use? W3TC Cloudflare extension or Cloudflare APO plugin?</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"diplatis\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wordpress.org/support/topic/latest-version-2-3-2-breaks-the-system/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;latest version 2.3.2 breaks the system\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wordpress.org/support/topic/latest-version-2-3-2-breaks-the-system/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 22 May 2023 07:15:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:408:\"\n						\n						<p>Replies: 2</p>\n						<p>when URL <a href=\"http://www.baliasli.com.au/staging\" rel=\"nofollow ugc\">http://www.baliasli.com.au/staging</a> is submitted to get home page, it fails and instead provides a list of all the page titles.</p>\n\n\n\n<p>I had no problem prior to release of version 2.3.2</p>\n\n\n\n<p>If I deactivate W3 Total Cache everything works fine. I am running WP 6.2.2</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"BaliAsli\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wordpress.org/support/topic/create-xml-sitemaps-with-query-params-for-priming/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:170:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Create XML sitemaps with query params for priming\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wordpress.org/support/topic/create-xml-sitemaps-with-query-params-for-priming/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 21 May 2023 08:08:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:706:\"\n						\n						<p>Replies: 3</p>\n						<p>I like the priming functionality, that uses an XML sitemap to pre-build the cache. Right now, I use Yoast to build my sitemap. But I also use a product filtering plugin, that adds query params to save the current filter to the URL. If I manually trigger caching, by for instance filtering on a certain product category, the URL will be cached (I use Redis and enabled caching of query params). That means that filtering on that same category a second time will be very fast.</p>\n\n\n\n<p>But, Yoast won&#8217;t build me URL&#8217;s for every possible combination of filters. Is there some plugin or other way that people have tackled this in the past?</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Guido Goluke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://wordpress.org/support/topic/cache-expiry-time/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:139:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Cache Expiry Time?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://wordpress.org/support/topic/cache-expiry-time/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 20 May 2023 05:03:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:498:\"\n						\n						<p>Replies: 1</p>\n						<p>With reference to this thread (<a href=\"https://wordpress.org/support/topic/cache-preload-vs-garbage-collection/\" rel=\"ugc\">Cache Preload vs Garbage Collection | WordPress.org</a>), it seems w3tc has no cache expiry time setting, in that the administrator can configure how long until a cache page is &#8220;expired&#8221; even when there&#8217;s no update?</p>\n\n\n\n<p>There is only the garbage collection setting for removing expired pages.</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"loyukfai\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/support/topic/premium-refund-no-answear/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Premium refund &amp;#8211; no answear\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/support/topic/premium-refund-no-answear/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 19 May 2023 13:02:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1108:\"\n						\n						<p>Replies: 1</p>\n						<p>Hey</p>\n\n\n\n<p>I&#8217;ve requested a refund 4 days ago and didn&#8217;t hear from you. I&#8217;ve used this form:</p>\n\n\n\n<p><a href=\"https://www.w3-edge.com/contact/\" rel=\"nofollow ugc\">https://www.w3-edge.com/contact/</a></p>\n\n\n\n<p>Payment id: #49615</p>\n\n\n\n<p>Date: May 15, 2023</p>\n\n\n\n<p>Why does it take so long?</p>\n\n\n\n<p>Thank You</p>\n\n\n<ul id=\"bbp-topic-revision-log-16751524\" class=\"bbp-topic-revision-log\">\n\n	<li id=\"bbp-topic-revision-log-16751524-item-16751527\" class=\"bbp-topic-revision-log-item\">\n		This topic was modified 2 weeks, 5 days ago by <a href=\"https://wordpress.org/support/users/eliot35/\" title=\"View eliot35&#039;s profile\" class=\"bbp-author-link\"><span  class=\"bbp-author-name\">eliot35</span></a>.\n	</li>\n	<li id=\"bbp-topic-revision-log-16751524-item-16751529\" class=\"bbp-topic-revision-log-item\">\n		This topic was modified 2 weeks, 5 days ago by <a href=\"https://wordpress.org/support/users/eliot35/\" title=\"View eliot35&#039;s profile\" class=\"bbp-author-link\"><span  class=\"bbp-author-name\">eliot35</span></a>.\n	</li>\n\n</ul>\n\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"eliot35\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/support/topic/cdn-fusion-avada/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:139:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;CDN, Fusion, Avada\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/support/topic/cdn-fusion-avada/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 19 May 2023 11:05:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:470:\"\n						\n						<p>Replies: 8</p>\n						<p>Plugin don&#8217;t put CDN cache div background image in header of Avada (part Fusion Builder). In my case it&#8217;s larger filer &#8211; more important in page like rest. It&#8217;s added automatically, not manual.</p>\n\n\n\n<p>&#8220;data-preload-img&#8221; it&#8217;s correct but &#8220;awb-background-image:url&#8221; is not.</p>\n\n\n\n<p>&#8220;evilsoft_header2-1200&#215;240-1.webp&#8221;</p>\n\n\n\n<p></p>\n\n\n\n<p> </p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"dawidmos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://wordpress.org/support/topic/urgent-site-access-impossible-just-after-w3-total-cache-installation/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:190:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Urgent. Site access impossible just after W3 Total Cache Installation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://wordpress.org/support/topic/urgent-site-access-impossible-just-after-w3-total-cache-installation/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 19 May 2023 10:03:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:987:\"\n						\n						<p>Replies: 1</p>\n						<p>HI, </p>\n\n\n\n<p>My WordPress is on OVH OneClick installation. I just installed W3 Total Cache, did the tests (Except the last step with special setting). It was ok.<br />And I have lost the access of my website ! </p>\n\n\n\n<p>Front Office and Back Office : </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p><strong>Internal Server Error</strong></p>\n\n\n\n<p>The server encountered an internal error or misconfiguration and was unable to complete your request.</p>\n\n\n\n<p>Please contact the server administrator at <a href=\"mailto:postmaster@zerodechettroyes.org\" rel=\"nofollow ugc\">postmaster@zerodechettroyes.org</a> to inform them of the time this error occurred, and the actions you performed just before this error.</p>\n\n\n\n<p>More information about this error may be available in the server error log.</p>\n</blockquote>\n\n\n\n<p>My internet connection is OK !</p>\n\n\n\n<p>My website is donwn thank for a feedback</p>\n\n\n\n<p></p>\n\n\n\n<p>jrd10</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"jrd10\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wordpress.org/support/topic/google-news-8/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:132:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Google news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://wordpress.org/support/topic/google-news-8/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 18 May 2023 22:20:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:539:\"\n						\n						<p>Replies: 4</p>\n						<p>Hello!<br />I just started using this plugin.<br />My problem is as follows:<br />I have suspected that the oldest add-on I had for my memory was affecting my publications on google news.<br />Days can pass while I publish articles and nothing appears in google news.<br />When I removed all the plugins of the temporary memory for a while, it magically updated and the latest articles appeared on google news.</p>\n\n\n\n<p>In short, I think it&#8217;s due to the cache. You can help?</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Ilias Georgopoulos\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/support/topic/buy-pro-license-but-not-active/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:151:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Buy Pro license but not active\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/support/topic/buy-pro-license-but-not-active/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 18 May 2023 06:24:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:147:\"\n						\n						<p>Replies: 1</p>\n						<p>i buy a pro license but in dashboard i not have the code and i see only community version</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Thomas Camaran\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:67:\"\n					\n					\n					\n					\n					\n\n					\n					\n\n					\n					\n					\n				\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/support/topic/browser-cache-wont-save-any-settings/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:157:\"&lt;span class=&quot;resolved&quot; aria-label=&quot;Resolved&quot; title=&quot;Topic is resolved.&quot;&gt;&lt;/span&gt;Browser Cache Wont Save Any Settings\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/support/topic/browser-cache-wont-save-any-settings/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 17 May 2023 18:03:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"\n						\n						<p>Replies: 1</p>\n						<p>can not change anything on browser cache page. clicking save reverts all config back to same settings</p>\n						\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"titansecuritysupply\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:57:\"https://wordpress.org/support/plugin/w3-total-cache/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:28:\"http://www.w3.org/1999/xhtml\";a:1:{s:4:\"meta\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:7:\"content\";s:7:\"noindex\";s:4:\"name\";s:6:\"robots\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:18:{s:12:\"content-type\";s:23:\"text/xml; charset=utf-8\";s:4:\"vary\";s:46:\"Sec-Fetch-Dest, Sec-Fetch-Mode, Sec-Fetch-Site\";s:12:\"feedburnerv2\";s:0:\"\";s:13:\"last-modified\";s:28:\"Thu, 8 Jun 2023 07:52:03 GMT\";s:13:\"cache-control\";s:46:\"no-cache, no-store, max-age=0, must-revalidate\";s:6:\"pragma\";s:8:\"no-cache\";s:7:\"expires\";s:29:\"Mon, 01 Jan 1990 00:00:00 GMT\";s:4:\"date\";s:29:\"Thu, 08 Jun 2023 08:11:09 GMT\";s:26:\"cross-origin-opener-policy\";s:11:\"same-origin\";s:28:\"cross-origin-resource-policy\";s:9:\"same-site\";s:9:\"accept-ch\";s:191:\"Sec-CH-UA-Arch, Sec-CH-UA-Bitness, Sec-CH-UA-Full-Version, Sec-CH-UA-Full-Version-List, Sec-CH-UA-Model, Sec-CH-UA-WoW64, Sec-CH-UA-Form-Factor, Sec-CH-UA-Platform, Sec-CH-UA-Platform-Version\";s:23:\"content-security-policy\";s:243:\"script-src \'report-sample\' \'nonce-qXbHf586pVoYx5t_TopSmw\' \'unsafe-inline\';object-src \'none\';base-uri \'self\';report-uri /_/RaichuFeedServer/cspreport;worker-src \'self\', require-trusted-types-for \'script\';report-uri /_/RaichuFeedServer/cspreport\";s:18:\"permissions-policy\";s:173:\"ch-ua-arch=*, ch-ua-bitness=*, ch-ua-full-version=*, ch-ua-full-version-list=*, ch-ua-model=*, ch-ua-wow64=*, ch-ua-form-factor=*, ch-ua-platform=*, ch-ua-platform-version=*\";s:16:\"content-encoding\";s:4:\"gzip\";s:6:\"server\";s:3:\"ESF\";s:16:\"x-xss-protection\";s:1:\"0\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:22:\"x-content-type-options\";s:7:\"nosniff\";}}s:5:\"build\";s:14:\"20230509133115\";}", "no");
INSERT INTO `wp_options` VALUES("6901", "_transient_timeout_feed_mod_c47db4c963e2d6948a299a85f4c71991", "1686255068", "no");
INSERT INTO `wp_options` VALUES("6902", "_transient_feed_mod_c47db4c963e2d6948a299a85f4c71991", "1686211868", "no");
INSERT INTO `wp_options` VALUES("6903", "_transient_timeout_dash_91cf481bdcff97d36bc4763744848eba", "1686255068", "no");
INSERT INTO `wp_options` VALUES("6904", "_transient_dash_91cf481bdcff97d36bc4763744848eba", "<h4>\n	<a href=\"https://wordpress.org/support/topic/website-response-time-is-sometimes-too-slow/\">\n		Website response time is sometimes too slow	</a>\n</h4>\n<h4>\n	<a href=\"https://wordpress.org/support/topic/same-functionality-as-wp-fastest-cache/\">\n		Same functionality as &#8220;WP Fastest Cache&#8221;?	</a>\n</h4>\n<h4>\n	<a href=\"https://wordpress.org/support/topic/error-in-the-plugin-is-crashing-my-website/\">\n		Error in the Plugin is Crashing My Website	</a>\n</h4>\n\n<p style=\"text-align: center;\">\n	<a href=\"https://api.w3-edge.com/v1/redirects/product-rss\" target=\"_blank\">View Feed</a>\n</p>\n", "no");
INSERT INTO `wp_options` VALUES("6907", "_transient_timeout_feed_mod_d2b270cc29119be740b4642f0b60fdea", "1686255069", "no");
INSERT INTO `wp_options` VALUES("6908", "_transient_feed_mod_d2b270cc29119be740b4642f0b60fdea", "1686211869", "no");
INSERT INTO `wp_options` VALUES("6905", "_transient_timeout_feed_d2b270cc29119be740b4642f0b60fdea", "1686255069", "no");
INSERT INTO `wp_options` VALUES("6906", "_transient_feed_d2b270cc29119be740b4642f0b60fdea", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"W3 EDGE\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://www.w3-edge.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"Innovation Redefined\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 09 May 2023 16:50:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.3.2 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2023/05/w3-total-cache-v2-3-2-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2023/05/w3-total-cache-v2-3-2-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 09 May 2023 16:50:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14332\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:344:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this patch release, we’ve fixed the issues reported by the wp.org [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1471:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this patch <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Correct interpolation of a symlinked cache directory</li>\n<li>Fix: Memcached test using SASL authentication</li>\n<li>Fix: Multi-site authorization request returning to incorrect URL</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2023/05/w3-total-cache-v2-3-2-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.3.1 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2023/03/w3-total-cache-v2-3-1-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2023/03/w3-total-cache-v2-3-1-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Mar 2023 16:08:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14325\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:353:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this release, we’ve added enhancements, and also fixed the issues reported [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1731:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements, and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: PHP 8 compatibility: Invalid return type if Browser Cache is disabled</li>\n<li>Fix: Added AWS SNS message classes (aws/aws-php-sns-message-validator)</li>\n<li>Fix: PageSpeed service: messages and escaping</li>\n<li>Fix: Image Service meta query handling</li>\n<li>Update: Dependency version updates</li>\n<li>Update: Content-Security-Policy (CSP) and Content-Security-Policy-Report-Only (CSPRO) header field configuration</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2023/03/w3-total-cache-v2-3-1-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.3.0 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2023/02/w3-total-cache-v2-3-0-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2023/02/w3-total-cache-v2-3-0-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Feb 2023 17:19:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14319\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:351:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this major release, we’ve added a new feature PageSpeed Insights reports [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2518:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this major <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added a new feature PageSpeed Insights reports and performance page widget</p>\n<p>Make sure to check out our <a href=\"https://www.boldgrid.com/support/w3-total-cache/google-pagespeed-tool/\">W3 Total Cache Page Speed Tool article</a> for more details about the feature.</p>\n<p>We’ve also added enhancements and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Feature: Added basic OpenLiteSpeed support</li>\n<li>Feature: Add Permissions-Policy to mirror Feature-Policy directives</li>\n<li>Fix: PHP 8.2 compatibility</li>\n<li>Fix: GuzzleHttp 7 conflict with Azure</li>\n<li>Fix: Allow object cache updates when using WP-CLI</li>\n<li>Fix: Added missing Page Cache configuration &#8220;host&#8221; value</li>\n<li>Fix: Missing on_comment_status action callback</li>\n<li>Fix: Flush cache on attachment update</li>\n<li>Fix: Varnish flush for posts</li>\n<li>Update: Improved comment status logic for flushing database and object caches</li>\n<li>Update: Adjusted FTP form style</li>\n<li>Update: Removed deprecated MaxCDN and NetDNA components and added a notice if one was used</li>\n<li>Update: Removed deprecated FeedBurner</li>\n<li>Fix: Comment status change error</li>\n<li>Fix: Varnish flush post arguments</li>\n</ul>\n<p>&nbsp;</p>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users, and of course our GitHub users that contributed this release.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2023/02/w3-total-cache-v2-3-0-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"W3 Total Cache v2.2.12  Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-12-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-12-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Jan 2023 17:10:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14315\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:344:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this patch release, we’ve fixed the issues reported by the wp.org [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1360:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this patch <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Comment status change error</li>\n<li>Fix: Varnish flush post arguments</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-12-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"W3 Total Cache v2.2.11 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-11-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-11-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jan 2023 17:28:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14309\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:355:\"&#160; Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this release, we’ve added enhancements, and also fixed the issues reported by the wp.org community and the users [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1674:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements, and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Optimized and fixed object cache flushing</li>\n<li>Fix: Scheduled post page cache flushing</li>\n<li>Fix: Admin bar flush cache for current page with disabled purge policy</li>\n<li>Fix: Loop when disabling Minify HTTP/2 push setting</li>\n<li>Fix: Extension admin notice missing links</li>\n<li>Update: Removed custom translation files</li>\n<li>Fix: Error when flushing page cache after an attachment update</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-11-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.2.9 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2022/12/w3-total-cache-v2-2-9-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2022/12/w3-total-cache-v2-2-9-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 13 Dec 2022 14:56:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14307\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:353:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this release, we’ve added enhancements, and also fixed the issues reported [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1783:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements, and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Reset our textdomain for translations</li>\n<li>Fix: Escape output in compatibility checker, minify, and New Relic pages</li>\n<li>Fix: Admin notice buttons on non-plugin pages</li>\n<li>Fix: Namespace on exception type in a minify class</li>\n<li>Fix: Translation issues due to hooks and typos</li>\n<li>Fix: Broken JavaScript in admin_print_scripts calls when language is not English</li>\n<li>Fix: Deprecated warnings in JS and CSS minify</li>\n<li>Update: Translation files</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2022/12/w3-total-cache-v2-2-9-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.2.7 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2022/11/w3-total-cache-v2-2-7-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2022/11/w3-total-cache-v2-2-7-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Nov 2022 14:40:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14304\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:350:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this patch release, we’ve added enhancements, and also fixed the issues [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1638:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this patch <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements, and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Updated database cache connection class to avoid deprecated warnings in WordPress 6.1</li>\n<li>Fix: Redis: Fixed handling of retry interval and timeout options for usage statistics</li>\n<li>Enhancement: Redis: Added TLS/SSL certificate verification option</li>\n<li>Enhancement: Page cache: Added query string exemptions</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2022/11/w3-total-cache-v2-2-7-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.2.6 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2022/10/w3-total-cache-v2-2-6-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2022/10/w3-total-cache-v2-2-6-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Oct 2022 14:34:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14300\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:350:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this patch release, we’ve added enhancements, and also fixed the issues [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1918:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this patch <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements, and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Error clearing all cache when using Cloudfront full CDN in Pro</li>\n<li>Fix: Revert WooCommerce Variation Image Gallery plugin CDN filter</li>\n<li>Fix: DB cache syntax error in PHP 5.6</li>\n<li>Fix: Added missing space to S3 CDN bucket label</li>\n<li>Fix: JS error for CloudFront CDN-related check on non-W3TC pages</li>\n<li>Fix: Page cache unpack warning for empty/malformed files</li>\n<li>Enhancement: Image Service pre_get_posts anonymous action now hooked (w3tc_modify_query_obj)</li>\n<li>Enhancement: Image Service ajax_query_attachments_args anonymous action now hooked (w3tc_filter_ajax_args)</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2022/10/w3-total-cache-v2-2-6-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"W3 Total Cache v2.2.4 Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://www.w3-edge.com/weblog/2022/08/w3-total-cache-v2-2-4-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://www.w3-edge.com/weblog/2022/08/w3-total-cache-v2-2-4-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 09 Aug 2022 16:25:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14297\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:352:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this release, we’ve added enhancements and also fixed the issues reported [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2182:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Extensions URL in settings</li>\n<li>Fix: Redis undefined array key warnings</li>\n<li>Fix: Redis connect issue based on phpredis version</li>\n<li>Fix: Sanitization of licensing messages</li>\n<li>Fix: DB cache error in Ajax</li>\n<li>Fix: Call to undefined function in DB cache query class</li>\n<li>Fix: PHP 8 compatibility: join</li>\n<li>Fix: WooCommerce Variation Image Gallery plugin CDN filter</li>\n<li>Enhancement: Add setting for AWS S3 public objects in ACL</li>\n<li>Enhancement: Check if post is empty before cache flush</li>\n<li>Enhancement: Add max lifetime setting for non-disk page cache</li>\n<li>Enhancement: Add notice when selecting CDN using CloudFront</li>\n<li>Update: CSS Tidy 1.7.3 =&gt; 2.0.1</li>\n<li>Update: Add sns-message-validator</li>\n<li>Security: Ensure cache writes in cache folders</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit Pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users, and of course our GitHub users that contributed this release.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://www.w3-edge.com/weblog/2022/08/w3-total-cache-v2-2-4-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:42:\"\n		\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\n		\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"W3 Total Cache v2.2.3 Patch Fix Released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://www.w3-edge.com/weblog/2022/06/w3-total-cache-v2-2-3-patch-fix-released/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://www.w3-edge.com/weblog/2022/06/w3-total-cache-v2-2-3-patch-fix-released/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Jun 2022 15:09:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://www.w3-edge.com/?p=14294\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:355:\"&#160; Thank you for using W3 Total Cache! Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade. In this patch release, we’ve added enhancements, and minor security updates and [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"Marko\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1657:\"<p>&nbsp;</p>\n<p>Thank you for using W3 Total Cache!</p>\n<p>Thank you for using W3 Total Cache, the only web host agnostic Web Performance Optimization (WPO) framework for WordPress trusted by millions of publishers, web developers, and web hosts worldwide for more than a decade.</p>\n<p>In this patch <a href=\"https://wordpress.org/plugins/w3-total-cache/#developers\">release</a>, we’ve added enhancements, and minor security updates and also fixed the issues reported by the wp.org community and the users active in our GitHub repository:</p>\n<ul>\n<li>Fix: Redis Cache: Removed exception on warnings</li>\n<li>Fix: Compatibility check for WP_CACHE</li>\n<li>Fix: Flush all cache except Cloudflare button</li>\n<li>Fix: License terms update notice escaping</li>\n<li>Fix: Feature Showcase: Image Service activate button</li>\n<li>Security: Updated guzzlehttp/guzzle to 6.5.8</li>\n</ul>\n<p>In our public repository on <a href=\"https://github.com/W3EDGE/w3-total-cache\">GitHub</a>, you can review our source code, post issues, and even submit pull requests. You are welcome to join us there, and we really appreciate all users that have contributed, both past and present.</p>\n<p>We are always looking for ways to improve W3 Total Cache with new features, UI improvements, and of course, improvements to the user experience. If you like what we have done, please be sure to take some time and rate our plugin <a href=\"https://wordpress.org/support/plugin/w3-total-cache/reviews/\">on the WordPress Plugin Repository</a>.</p>\n<p>Once again, we are sending a big thanks to all of our supporters, including those who are active in the forums helping end-users.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://www.w3-edge.com/weblog/2022/06/w3-total-cache-v2-2-3-patch-fix-released/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:29:\"https://www.w3-edge.com/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:18:{s:12:\"content-type\";s:23:\"text/xml; charset=utf-8\";s:4:\"vary\";s:46:\"Sec-Fetch-Dest, Sec-Fetch-Mode, Sec-Fetch-Site\";s:12:\"feedburnerv2\";s:0:\"\";s:13:\"last-modified\";s:28:\"Tue, 9 May 2023 17:35:43 GMT\";s:13:\"cache-control\";s:46:\"no-cache, no-store, max-age=0, must-revalidate\";s:6:\"pragma\";s:8:\"no-cache\";s:7:\"expires\";s:29:\"Mon, 01 Jan 1990 00:00:00 GMT\";s:4:\"date\";s:29:\"Thu, 08 Jun 2023 08:11:10 GMT\";s:9:\"accept-ch\";s:191:\"Sec-CH-UA-Arch, Sec-CH-UA-Bitness, Sec-CH-UA-Full-Version, Sec-CH-UA-Full-Version-List, Sec-CH-UA-Model, Sec-CH-UA-WoW64, Sec-CH-UA-Form-Factor, Sec-CH-UA-Platform, Sec-CH-UA-Platform-Version\";s:26:\"cross-origin-opener-policy\";s:11:\"same-origin\";s:28:\"cross-origin-resource-policy\";s:9:\"same-site\";s:23:\"content-security-policy\";s:243:\"require-trusted-types-for \'script\';report-uri /_/RaichuFeedServer/cspreport, script-src \'report-sample\' \'nonce-btf6THHfgf8rZaXodQ8hbA\' \'unsafe-inline\';object-src \'none\';base-uri \'self\';report-uri /_/RaichuFeedServer/cspreport;worker-src \'self\'\";s:18:\"permissions-policy\";s:173:\"ch-ua-arch=*, ch-ua-bitness=*, ch-ua-full-version=*, ch-ua-full-version-list=*, ch-ua-model=*, ch-ua-wow64=*, ch-ua-form-factor=*, ch-ua-platform=*, ch-ua-platform-version=*\";s:16:\"content-encoding\";s:4:\"gzip\";s:6:\"server\";s:3:\"ESF\";s:16:\"x-xss-protection\";s:1:\"0\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:22:\"x-content-type-options\";s:7:\"nosniff\";}}s:5:\"build\";s:14:\"20230509133115\";}", "no");
INSERT INTO `wp_options` VALUES("6909", "_transient_timeout_dash_54e0612bb2ce53db0827d5e7c3c1b7dc", "1686255069", "no");
INSERT INTO `wp_options` VALUES("6910", "_transient_dash_54e0612bb2ce53db0827d5e7c3c1b7dc", "<h4>\n	<a href=\"https://www.w3-edge.com/weblog/2023/05/w3-total-cache-v2-3-2-released/\">\n		W3 Total Cache v2.3.2 Released	</a>\n</h4>\n<h4>\n	<a href=\"https://www.w3-edge.com/weblog/2023/03/w3-total-cache-v2-3-1-released/\">\n		W3 Total Cache v2.3.1 Released	</a>\n</h4>\n<h4>\n	<a href=\"https://www.w3-edge.com/weblog/2023/02/w3-total-cache-v2-3-0-released/\">\n		W3 Total Cache v2.3.0 Released	</a>\n</h4>\n<h4>\n	<a href=\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-12-released/\">\n		W3 Total Cache v2.2.12  Released	</a>\n</h4>\n<h4>\n	<a href=\"https://www.w3-edge.com/weblog/2023/01/w3-total-cache-v2-2-11-released/\">\n		W3 Total Cache v2.2.11 Released	</a>\n</h4>\n\n<p style=\"text-align: center;\">\n	<a href=\"https://api.w3-edge.com/v1/redirects/company-rss\" target=\"_blank\">View Feed</a>\n</p>\n", "no");
INSERT INTO `wp_options` VALUES("7191", "_transient_timeout_wpo_get_current_db_size", "1686230023", "no");
INSERT INTO `wp_options` VALUES("7181", "_transient_timeout_w3tc.verify_plugins", "1686831201", "no");
INSERT INTO `wp_options` VALUES("7182", "_transient_w3tc.verify_plugins", "1", "no");
INSERT INTO `wp_options` VALUES("7184", "wp-optimize-install-or-update-notice-show-time", "1686226418", "yes");
INSERT INTO `wp_options` VALUES("7248", "wpo_cache_config", "a:21:{s:19:\"enable_page_caching\";b:0;s:23:\"page_cache_length_value\";i:24;s:22:\"page_cache_length_unit\";s:5:\"hours\";s:17:\"page_cache_length\";i:86400;s:32:\"cache_exception_conditional_tags\";a:0:{}s:20:\"cache_exception_urls\";a:0:{}s:23:\"cache_exception_cookies\";a:0:{}s:30:\"cache_exception_browser_agents\";a:0:{}s:22:\"enable_sitemap_preload\";b:0;s:23:\"enable_schedule_preload\";b:0;s:21:\"preload_schedule_type\";s:0:\"\";s:21:\"enable_mobile_caching\";b:0;s:19:\"enable_user_caching\";b:0;s:8:\"site_url\";s:18:\"http://kookagency/\";s:24:\"enable_cache_per_country\";b:0;s:19:\"permalink_structure\";s:36:\"/%year%/%monthnum%/%day%/%postname%/\";s:7:\"uploads\";s:43:\"C:/wamp64/www/KOOKAgency/wp-content/uploads\";s:10:\"gmt_offset\";d:2;s:15:\"use_webp_images\";b:0;s:17:\"wpo_cache_cookies\";a:0:{}s:25:\"wpo_cache_query_variables\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("7186", "updraft_lock_wpo_page_cache_preloader_creating_tasks", "0", "no");
INSERT INTO `wp_options` VALUES("7187", "updraft_lock_wpo_minify_preloader_creating_tasks", "0", "no");
INSERT INTO `wp_options` VALUES("7188", "_transient_timeout_wpo_minify_get_cached_files", "1686314134", "no");
INSERT INTO `wp_options` VALUES("7189", "_transient_wpo_minify_get_cached_files", "a:7:{s:2:\"js\";a:2:{i:0;a:5:{s:3:\"uid\";s:8:\"ce3a0bac\";s:8:\"filename\";s:33:\"wpo-minify-footer-28e354fe.min.js\";s:8:\"file_url\";s:97:\"http://kookagency/wp-content/cache/wpo-minify/1686227672/assets/wpo-minify-footer-28e354fe.min.js\";s:3:\"log\";O:8:\"stdClass\":2:{s:6:\"header\";s:82:\"PROCESSED on Thu, 08 Jun 2023 12:35:28 +0000 from http://kookagency/author/kilian/\";s:5:\"files\";O:8:\"stdClass\":15:{s:6:\"swiper\";O:8:\"stdClass\":2:{s:3:\"url\";s:71:\"/wp-content/plugins/blackdsn-helper-plugin/modules/swiper/swiper.min.js\";s:7:\"success\";b:1;}s:9:\"js-cookie\";O:8:\"stdClass\":2:{s:3:\"url\";s:68:\"/wp-content/plugins/woocommerce/assets/js/js-cookie/js.cookie.min.js\";s:7:\"success\";b:1;}s:11:\"woocommerce\";O:8:\"stdClass\":2:{s:3:\"url\";s:69:\"/wp-content/plugins/woocommerce/assets/js/frontend/woocommerce.min.js\";s:7:\"success\";b:1;}s:17:\"wc-cart-fragments\";O:8:\"stdClass\":2:{s:3:\"url\";s:72:\"/wp-content/plugins/woocommerce/assets/js/frontend/cart-fragments.min.js\";s:7:\"success\";b:1;}s:9:\"modernizr\";O:8:\"stdClass\":2:{s:3:\"url\";s:62:\"/wp-content/themes/blackdsn/assets/js/plugins/modernizr.min.js\";s:7:\"success\";b:1;}s:9:\"greensock\";O:8:\"stdClass\":2:{s:3:\"url\";s:62:\"/wp-content/themes/blackdsn/assets/js/plugins/greensock.min.js\";s:7:\"success\";b:1;}s:9:\"splitting\";O:8:\"stdClass\":2:{s:3:\"url\";s:62:\"/wp-content/themes/blackdsn/assets/js/plugins/splitting.min.js\";s:7:\"success\";b:1;}s:7:\"isotope\";O:8:\"stdClass\":2:{s:3:\"url\";s:60:\"/wp-content/themes/blackdsn/assets/js/plugins/isotope.min.js\";s:7:\"success\";b:1;}s:11:\"fontawesome\";O:8:\"stdClass\":2:{s:3:\"url\";s:64:\"/wp-content/themes/blackdsn/assets/js/plugins/fontawesome.min.js\";s:7:\"success\";b:1;}s:8:\"dsn-grid\";O:8:\"stdClass\":2:{s:3:\"url\";s:61:\"/wp-content/themes/blackdsn/assets/js/plugins/dsn-grid.min.js\";s:7:\"success\";b:1;}s:16:\"blackdsn-scripts\";O:8:\"stdClass\":2:{s:3:\"url\";s:47:\"/wp-content/themes/blackdsn/assets/js/custom.js\";s:7:\"success\";b:1;}s:10:\"underscore\";O:8:\"stdClass\":2:{s:3:\"url\";s:33:\"/wp-includes/js/underscore.min.js\";s:7:\"success\";b:1;}s:7:\"wp-util\";O:8:\"stdClass\":2:{s:3:\"url\";s:30:\"/wp-includes/js/wp-util.min.js\";s:7:\"success\";b:1;}s:24:\"wc-add-to-cart-variation\";O:8:\"stdClass\":2:{s:3:\"url\";s:79:\"/wp-content/plugins/woocommerce/assets/js/frontend/add-to-cart-variation.min.js\";s:7:\"success\";b:1;}s:19:\"jquery-effects-core\";O:8:\"stdClass\":2:{s:3:\"url\";s:39:\"/wp-includes/js/jquery/ui/effect.min.js\";s:7:\"success\";b:1;}}}s:5:\"fsize\";s:9:\"443.96 KB\";}i:1;a:5:{s:3:\"uid\";s:8:\"ce0f0bae\";s:8:\"filename\";s:33:\"wpo-minify-header-e9b27a1c.min.js\";s:8:\"file_url\";s:97:\"http://kookagency/wp-content/cache/wpo-minify/1686227672/assets/wpo-minify-header-e9b27a1c.min.js\";s:3:\"log\";O:8:\"stdClass\":2:{s:6:\"header\";s:82:\"PROCESSED on Thu, 08 Jun 2023 12:35:27 +0000 from http://kookagency/author/kilian/\";s:5:\"files\";O:8:\"stdClass\":9:{s:11:\"jquery-core\";O:8:\"stdClass\":2:{s:3:\"url\";s:36:\"/wp-includes/js/jquery/jquery.min.js\";s:7:\"success\";b:1;}s:14:\"jquery-migrate\";O:8:\"stdClass\":2:{s:3:\"url\";s:44:\"/wp-includes/js/jquery/jquery-migrate.min.js\";s:7:\"success\";b:1;}s:19:\"xt-jquery-ajaxqueue\";O:8:\"stdClass\":2:{s:3:\"url\";s:89:\"/wp-content/plugins/xt-woo-quick-view-lite/xt-framework/assets/js/jquery.ajaxqueue-min.js\";s:7:\"success\";b:1;}s:14:\"jquery-blockui\";O:8:\"stdClass\":2:{s:3:\"url\";s:78:\"/wp-content/plugins/woocommerce/assets/js/jquery-blockui/jquery.blockUI.min.js\";s:7:\"success\";b:1;}s:14:\"wc-add-to-cart\";O:8:\"stdClass\":2:{s:3:\"url\";s:69:\"/wp-content/plugins/woocommerce/assets/js/frontend/add-to-cart.min.js\";s:7:\"success\";b:1;}s:24:\"xt_framework_add-to-cart\";O:8:\"stdClass\":2:{s:3:\"url\";s:113:\"/wp-content/plugins/xt-woo-quick-view-lite/xt-framework/includes/modules/add-to-cart/assets/js/add-to-cart-min.js\";s:7:\"success\";b:1;}s:11:\"xt-velocity\";O:8:\"stdClass\":2:{s:3:\"url\";s:80:\"/wp-content/plugins/xt-woo-quick-view-lite/public/assets/vendors/velocity-min.js\";s:7:\"success\";b:1;}s:15:\"xt-jquery-touch\";O:8:\"stdClass\":2:{s:3:\"url\";s:85:\"/wp-content/plugins/xt-woo-quick-view-lite/xt-framework/assets/js/jquery.touch-min.js\";s:7:\"success\";b:1;}s:17:\"xt-woo-quick-view\";O:8:\"stdClass\":2:{s:3:\"url\";s:75:\"/wp-content/plugins/xt-woo-quick-view-lite/public/assets/js/frontend-min.js\";s:7:\"success\";b:1;}}}s:5:\"fsize\";s:9:\"263.25 KB\";}}s:3:\"css\";a:3:{i:0;a:5:{s:3:\"uid\";s:8:\"d36a0b88\";s:8:\"filename\";s:34:\"wpo-minify-header-8c521306.min.css\";s:8:\"file_url\";s:98:\"http://kookagency/wp-content/cache/wpo-minify/1686227672/assets/wpo-minify-header-8c521306.min.css\";s:3:\"log\";O:8:\"stdClass\":2:{s:6:\"header\";s:82:\"PROCESSED on Thu, 08 Jun 2023 12:35:27 +0000 from http://kookagency/author/kilian/\";s:5:\"files\";O:8:\"stdClass\":1:{s:23:\"woocommerce-smallscreen\";O:8:\"stdClass\":2:{s:3:\"url\";s:70:\"/wp-content/plugins/woocommerce/assets/css/woocommerce-smallscreen.css\";s:7:\"success\";b:1;}}}s:5:\"fsize\";s:7:\"6.88 KB\";}i:1;a:5:{s:3:\"uid\";s:8:\"d3cf0b96\";s:8:\"filename\";s:34:\"wpo-minify-header-91b83676.min.css\";s:8:\"file_url\";s:98:\"http://kookagency/wp-content/cache/wpo-minify/1686227672/assets/wpo-minify-header-91b83676.min.css\";s:3:\"log\";O:8:\"stdClass\":2:{s:6:\"header\";s:82:\"PROCESSED on Thu, 08 Jun 2023 12:35:27 +0000 from http://kookagency/author/kilian/\";s:5:\"files\";O:8:\"stdClass\":6:{s:19:\"woocommerce-general\";O:8:\"stdClass\":2:{s:3:\"url\";s:58:\"/wp-content/plugins/woocommerce/assets/css/woocommerce.css\";s:7:\"success\";b:1;}s:11:\"xtfw_notice\";O:8:\"stdClass\":2:{s:3:\"url\";s:104:\"/wp-content/plugins/xt-woo-quick-view-lite/xt-framework/includes/notices/assets/css/frontend-notices.css\";s:7:\"success\";b:1;}s:17:\"xt-woo-quick-view\";O:8:\"stdClass\":2:{s:3:\"url\";s:73:\"/wp-content/plugins/xt-woo-quick-view-lite/public/assets/css/frontend.css\";s:7:\"success\";b:1;}s:17:\"blackdsn-showcase\";O:8:\"stdClass\":2:{s:3:\"url\";s:51:\"/wp-content/themes/blackdsn/assets/css/showcase.css\";s:7:\"success\";b:1;}s:15:\"blackdsn-global\";O:8:\"stdClass\":2:{s:3:\"url\";s:53:\"/wp-content/themes/blackdsn/assets/css/global.min.css\";s:7:\"success\";b:1;}s:21:\"blackdsn-custom-style\";O:8:\"stdClass\":2:{s:3:\"url\";s:48:\"/wp-content/themes/blackdsn/assets/css/style.css\";s:7:\"success\";b:1;}}}s:5:\"fsize\";s:9:\"301.38 KB\";}i:2;a:5:{s:3:\"uid\";s:8:\"db520c26\";s:8:\"filename\";s:34:\"wpo-minify-header-cf7e38e5.min.css\";s:8:\"file_url\";s:98:\"http://kookagency/wp-content/cache/wpo-minify/1686227672/assets/wpo-minify-header-cf7e38e5.min.css\";s:3:\"log\";O:8:\"stdClass\":2:{s:6:\"header\";s:82:\"PROCESSED on Thu, 08 Jun 2023 12:35:26 +0000 from http://kookagency/author/kilian/\";s:5:\"files\";O:8:\"stdClass\":6:{s:8:\"xt-icons\";O:8:\"stdClass\":2:{s:3:\"url\";s:110:\"/wp-content/plugins/xt-woo-quick-view-lite/xt-framework/includes/customizer/controls/xt_icons/css/xt-icons.css\";s:7:\"success\";b:1;}s:24:\"xt_framework_add-to-cart\";O:8:\"stdClass\":2:{s:3:\"url\";s:111:\"/wp-content/plugins/xt-woo-quick-view-lite/xt-framework/includes/modules/add-to-cart/assets/css/add-to-cart.css\";s:7:\"success\";b:1;}s:23:\"wc-blocks-vendors-style\";O:8:\"stdClass\":2:{s:3:\"url\";s:93:\"/wp-content/plugins/woocommerce/packages/woocommerce-blocks/build/wc-blocks-vendors-style.css\";s:7:\"success\";b:1;}s:15:\"wc-blocks-style\";O:8:\"stdClass\":2:{s:3:\"url\";s:85:\"/wp-content/plugins/woocommerce/packages/woocommerce-blocks/build/wc-blocks-style.css\";s:7:\"success\";b:1;}s:20:\"classic-theme-styles\";O:8:\"stdClass\":2:{s:3:\"url\";s:39:\"/wp-includes/css/classic-themes.min.css\";s:7:\"success\";b:1;}s:18:\"woocommerce-layout\";O:8:\"stdClass\":2:{s:3:\"url\";s:65:\"/wp-content/plugins/woocommerce/assets/css/woocommerce-layout.css\";s:7:\"success\";b:1;}}}s:5:\"fsize\";s:9:\"305.68 KB\";}}s:5:\"stamp\";s:13:\"1686227732064\";s:9:\"cachesize\";s:18:\"1.58 MB (15 files)\";s:16:\"total_cache_size\";s:18:\"2.87 MB (52 files)\";s:9:\"cacheTime\";s:19:\"8 juin 2023 @ 14h34\";s:9:\"cachePath\";s:70:\"C:\\wamp64\\www\\KOOKAgency/wp-content/cache/wpo-minify/1686227672/assets\";}", "no");
INSERT INTO `wp_options` VALUES("7158", "wp-optimize-installed-for", "1686226395", "yes");
INSERT INTO `wp_options` VALUES("7159", "wp-optimize-newly-activated", "1", "yes");
INSERT INTO `wp_options` VALUES("7160", "wp-optimize-schedule", "false", "yes");
INSERT INTO `wp_options` VALUES("7161", "wp-optimize-last-optimized", "Never", "yes");
INSERT INTO `wp_options` VALUES("7162", "wp-optimize-schedule-type", "wpo_weekly", "yes");
INSERT INTO `wp_options` VALUES("7163", "wp-optimize-retention-enabled", "false", "yes");
INSERT INTO `wp_options` VALUES("7164", "wp-optimize-retention-period", "2", "yes");
INSERT INTO `wp_options` VALUES("7165", "wp-optimize-enable-admin-menu", "false", "yes");
INSERT INTO `wp_options` VALUES("7166", "wp-optimize-total-cleaned", "0", "yes");
INSERT INTO `wp_options` VALUES("7167", "wp-optimize-auto", "a:8:{s:6:\"drafts\";s:4:\"true\";s:8:\"optimize\";s:5:\"false\";s:9:\"revisions\";s:4:\"true\";s:5:\"spams\";s:4:\"true\";s:9:\"transient\";s:5:\"false\";s:5:\"trash\";s:4:\"true\";s:10:\"unapproved\";s:5:\"false\";s:8:\"usermeta\";s:5:\"false\";}", "yes");
INSERT INTO `wp_options` VALUES("7168", "wp-optimize-settings", "a:14:{s:11:\"user-drafts\";s:4:\"true\";s:16:\"user-commentmeta\";s:4:\"true\";s:13:\"user-optimize\";s:4:\"true\";s:15:\"user-orphandata\";s:4:\"true\";s:14:\"user-pingbacks\";s:4:\"true\";s:13:\"user-postmeta\";s:4:\"true\";s:14:\"user-revisions\";s:4:\"true\";s:10:\"user-spams\";s:4:\"true\";s:15:\"user-trackbacks\";s:4:\"true\";s:14:\"user-transient\";s:4:\"true\";s:10:\"user-trash\";s:4:\"true\";s:15:\"user-unapproved\";s:4:\"true\";s:13:\"user-usermeta\";s:4:\"true\";s:13:\"last_saved_in\";s:6:\"3.2.15\";}", "yes");
INSERT INTO `wp_options` VALUES("7169", "wpo_minify_config", "a:53:{s:5:\"debug\";b:0;s:19:\"enabled_css_preload\";b:0;s:18:\"enabled_js_preload\";b:0;s:11:\"hpreconnect\";s:0:\"\";s:8:\"hpreload\";s:0:\"\";s:7:\"loadcss\";b:0;s:10:\"remove_css\";b:0;s:17:\"critical_path_css\";s:0:\"\";s:31:\"critical_path_css_is_front_page\";s:0:\"\";s:30:\"preserve_settings_on_uninstall\";b:1;s:22:\"disable_when_logged_in\";b:0;s:16:\"default_protocol\";s:7:\"dynamic\";s:17:\"html_minification\";b:1;s:16:\"clean_header_one\";b:0;s:13:\"emoji_removal\";b:1;s:18:\"merge_google_fonts\";b:1;s:19:\"enable_display_swap\";b:1;s:18:\"remove_googlefonts\";b:0;s:13:\"gfonts_method\";s:7:\"inherit\";s:15:\"fawesome_method\";s:7:\"inherit\";s:10:\"enable_css\";b:1;s:23:\"enable_css_minification\";b:1;s:21:\"enable_merging_of_css\";b:1;s:23:\"remove_print_mediatypes\";b:0;s:10:\"inline_css\";b:0;s:9:\"enable_js\";b:1;s:22:\"enable_js_minification\";b:1;s:20:\"enable_merging_of_js\";b:1;s:15:\"enable_defer_js\";s:10:\"individual\";s:13:\"defer_js_type\";s:5:\"defer\";s:12:\"defer_jquery\";b:1;s:18:\"enable_js_trycatch\";b:0;s:19:\"exclude_defer_login\";b:1;s:7:\"cdn_url\";s:0:\"\";s:9:\"cdn_force\";b:0;s:9:\"async_css\";s:0:\"\";s:8:\"async_js\";s:0:\"\";s:24:\"disable_css_inline_merge\";b:1;s:6:\"ualist\";a:8:{i:0;s:12:\"x11.*fox\\/54\";i:1;s:20:\"oid\\s4.*xus.*ome\\/62\";i:2;s:12:\"x11.*ome\\/62\";i:3;s:5:\"oobot\";i:4;s:5:\"ighth\";i:5;s:5:\"tmetr\";i:6;s:6:\"eadles\";i:7;s:5:\"ingdo\";}s:32:\"exclude_js_from_page_speed_tools\";b:0;s:33:\"exclude_css_from_page_speed_tools\";b:0;s:9:\"blacklist\";a:0:{}s:11:\"ignore_list\";a:0:{}s:10:\"exclude_js\";s:0:\"\";s:11:\"exclude_css\";s:0:\"\";s:23:\"edit_default_exclutions\";b:0;s:18:\"merge_allowed_urls\";s:0:\"\";s:7:\"enabled\";b:1;s:17:\"last-cache-update\";i:1686227672;s:14:\"plugin_version\";s:5:\"0.0.0\";s:14:\"cache_lifespan\";i:30;s:25:\"merge_inline_extra_css_js\";b:1;s:19:\"include_ui_elements\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("7170", "updraft_task_manager_dbversion", "1.1", "yes");
INSERT INTO `wp_options` VALUES("7197", "wp-optimize-autosmush", "1", "yes");
INSERT INTO `wp_options` VALUES("7194", "wp-optimize-enable-auto-backup", "false", "yes");
INSERT INTO `wp_options` VALUES("7201", "Re_Smush_It_Task", "1686226533", "yes");
INSERT INTO `wp_options` VALUES("4305", "defender_scan_ignore_index", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("7203", "wp-optimize-completed_task_count", "89", "yes");
INSERT INTO `wp_options` VALUES("7204", "wp-optimize-total_bytes_saved", "0", "yes");
INSERT INTO `wp_options` VALUES("7205", "wp-optimize-total_percent_saved", "0", "yes");
INSERT INTO `wp_options` VALUES("7251", "updraft_lock_minify-load-url-task", "1686228023", "no");
INSERT INTO `wp_options` VALUES("7211", "wp-optimize-failed_task_count", "0", "yes");
INSERT INTO `wp_options` VALUES("7250", "wp-optimize-wpo_last_minify_preload_type", "sitemap", "yes");
INSERT INTO `wp_options` VALUES("7254", "_transient_product-transient-version", "1686227742", "yes");
INSERT INTO `wp_options` VALUES("7255", "_transient_timeout_wc_var_prices_11795", "1688819742", "no");
INSERT INTO `wp_options` VALUES("7256", "_transient_wc_var_prices_11795", "{\"version\":\"1686227742\",\"f9e544f77b7eac7add281ef28ca5559f\":{\"price\":{\"11816\":\"45.00\",\"11811\":\"42.00\",\"11814\":\"45.00\",\"11815\":\"45.00\"},\"regular_price\":{\"11816\":\"45.00\",\"11811\":\"45.00\",\"11814\":\"45.00\",\"11815\":\"45.00\"},\"sale_price\":{\"11816\":\"45.00\",\"11811\":\"42.00\",\"11814\":\"45.00\",\"11815\":\"45.00\"}}}", "no");
INSERT INTO `wp_options` VALUES("7257", "_transient_timeout_wc_var_prices_11850", "1688819742", "no");
INSERT INTO `wp_options` VALUES("7258", "_transient_wc_var_prices_11850", "{\"version\":\"1686227742\",\"f9e544f77b7eac7add281ef28ca5559f\":{\"price\":{\"11871\":\"45.00\",\"11866\":\"42.00\",\"11869\":\"45.00\",\"11870\":\"45.00\"},\"regular_price\":{\"11871\":\"45.00\",\"11866\":\"45.00\",\"11869\":\"45.00\",\"11870\":\"45.00\"},\"sale_price\":{\"11871\":\"45.00\",\"11866\":\"42.00\",\"11869\":\"45.00\",\"11870\":\"45.00\"}}}", "no");
INSERT INTO `wp_options` VALUES("7262", "_transient_wc_related_11868", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11868\";a:1:{i:0;s:5:\"11813\";}}", "no");
INSERT INTO `wp_options` VALUES("7263", "_transient_timeout_wc_related_11813", "1686314198", "no");
INSERT INTO `wp_options` VALUES("7264", "_transient_wc_related_11813", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11813\";a:1:{i:0;s:5:\"11868\";}}", "no");
INSERT INTO `wp_options` VALUES("7265", "_transient_timeout_wc_related_11858", "1686314201", "no");
INSERT INTO `wp_options` VALUES("7266", "_transient_wc_related_11858", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11858\";a:5:{i:0;s:5:\"11795\";i:1;s:5:\"11796\";i:2;s:5:\"11803\";i:3;s:5:\"11850\";i:4;s:5:\"11851\";}}", "no");
INSERT INTO `wp_options` VALUES("7267", "_transient_timeout_wc_related_11857", "1686314205", "no");
INSERT INTO `wp_options` VALUES("7268", "_transient_wc_related_11857", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11857\";a:6:{i:0;s:5:\"11795\";i:1;s:5:\"11796\";i:2;s:5:\"11803\";i:3;s:5:\"11850\";i:4;s:5:\"11851\";i:5;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7269", "_transient_timeout_wc_related_11856", "1686314208", "no");
INSERT INTO `wp_options` VALUES("7270", "_transient_wc_related_11856", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11856\";a:8:{i:0;s:5:\"11801\";i:1;s:5:\"11812\";i:2;s:5:\"11867\";i:3;s:5:\"11130\";i:4;s:5:\"11799\";i:5;s:5:\"11800\";i:6;s:5:\"11854\";i:7;s:5:\"11855\";}}", "no");
INSERT INTO `wp_options` VALUES("7271", "_transient_timeout_wc_related_11855", "1686314212", "no");
INSERT INTO `wp_options` VALUES("7272", "_transient_wc_related_11855", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11855\";a:8:{i:0;s:5:\"11130\";i:1;s:5:\"11799\";i:2;s:5:\"11800\";i:3;s:5:\"11801\";i:4;s:5:\"11812\";i:5;s:5:\"11854\";i:6;s:5:\"11856\";i:7;s:5:\"11867\";}}", "no");
INSERT INTO `wp_options` VALUES("7273", "_transient_timeout_wc_related_11803", "1686314215", "no");
INSERT INTO `wp_options` VALUES("7274", "_transient_wc_related_11803", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11803\";a:5:{i:0;s:5:\"11795\";i:1;s:5:\"11796\";i:2;s:5:\"11850\";i:3;s:5:\"11851\";i:4;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7275", "_transient_timeout_wc_related_11797", "1686314219", "no");
INSERT INTO `wp_options` VALUES("7276", "_transient_wc_related_11797", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11797\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11798\";i:2;s:5:\"11804\";i:3;s:5:\"11805\";i:4;s:5:\"11849\";i:5;s:5:\"11852\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7277", "_transient_timeout_wc_var_prices_11794", "1688819819", "no");
INSERT INTO `wp_options` VALUES("7278", "_transient_wc_var_prices_11794", "{\"version\":\"1686227742\",\"f9e544f77b7eac7add281ef28ca5559f\":{\"price\":{\"11808\":\"20.00\",\"11809\":\"20.00\",\"11810\":\"15.00\"},\"regular_price\":{\"11808\":\"20.00\",\"11809\":\"20.00\",\"11810\":\"15.00\"},\"sale_price\":{\"11808\":\"20.00\",\"11809\":\"20.00\",\"11810\":\"15.00\"}}}", "no");
INSERT INTO `wp_options` VALUES("7300", "_transient_timeout_wc_related_11805", "1686314363", "no");
INSERT INTO `wp_options` VALUES("7282", "_transient_timeout_wc_var_prices_11849", "1688819908", "no");
INSERT INTO `wp_options` VALUES("7283", "_transient_wc_var_prices_11849", "{\"version\":\"1686227742\",\"f9e544f77b7eac7add281ef28ca5559f\":{\"price\":{\"11863\":\"20.00\",\"11864\":\"20.00\",\"11865\":\"15.00\"},\"regular_price\":{\"11863\":\"20.00\",\"11864\":\"20.00\",\"11865\":\"15.00\"},\"sale_price\":{\"11863\":\"20.00\",\"11864\":\"20.00\",\"11865\":\"15.00\"}}}", "no");
INSERT INTO `wp_options` VALUES("7284", "_transient_timeout_wc_related_11867", "1686314338", "no");
INSERT INTO `wp_options` VALUES("7285", "_transient_wc_related_11867", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11867\";a:8:{i:0;s:5:\"11801\";i:1;s:5:\"11812\";i:2;s:5:\"11856\";i:3;s:5:\"11130\";i:4;s:5:\"11799\";i:5;s:5:\"11800\";i:6;s:5:\"11854\";i:7;s:5:\"11855\";}}", "no");
INSERT INTO `wp_options` VALUES("7286", "_transient_timeout_wc_related_11812", "1686314341", "no");
INSERT INTO `wp_options` VALUES("7287", "_transient_wc_related_11812", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11812\";a:8:{i:0;s:5:\"11801\";i:1;s:5:\"11856\";i:2;s:5:\"11867\";i:3;s:5:\"11130\";i:4;s:5:\"11799\";i:5;s:5:\"11800\";i:6;s:5:\"11854\";i:7;s:5:\"11855\";}}", "no");
INSERT INTO `wp_options` VALUES("7288", "_transient_timeout_wc_related_11862", "1686314344", "no");
INSERT INTO `wp_options` VALUES("7289", "_transient_wc_related_11862", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11862\";a:4:{i:0;s:5:\"11138\";i:1;s:5:\"11806\";i:2;s:5:\"11807\";i:3;s:5:\"11861\";}}", "no");
INSERT INTO `wp_options` VALUES("7290", "_transient_timeout_wc_related_11807", "1686314347", "no");
INSERT INTO `wp_options` VALUES("7291", "_transient_wc_related_11807", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11807\";a:4:{i:0;s:5:\"11138\";i:1;s:5:\"11806\";i:2;s:5:\"11861\";i:3;s:5:\"11862\";}}", "no");
INSERT INTO `wp_options` VALUES("7292", "_transient_timeout_wc_related_11861", "1686314350", "no");
INSERT INTO `wp_options` VALUES("7293", "_transient_wc_related_11861", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11861\";a:4:{i:0;s:5:\"11138\";i:1;s:5:\"11806\";i:2;s:5:\"11807\";i:3;s:5:\"11862\";}}", "no");
INSERT INTO `wp_options` VALUES("7294", "_transient_timeout_wc_related_11860", "1686314352", "no");
INSERT INTO `wp_options` VALUES("7295", "_transient_wc_related_11860", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11860\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11804\";i:4;s:5:\"11805\";i:5;s:5:\"11849\";i:6;s:5:\"11852\";i:7;s:5:\"11853\";i:8;s:5:\"11859\";}}", "no");
INSERT INTO `wp_options` VALUES("7296", "_transient_timeout_wc_related_11859", "1686314355", "no");
INSERT INTO `wp_options` VALUES("7297", "_transient_wc_related_11859", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11859\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11804\";i:4;s:5:\"11805\";i:5;s:5:\"11849\";i:6;s:5:\"11852\";i:7;s:5:\"11853\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7298", "_transient_timeout_wc_related_11806", "1686314360", "no");
INSERT INTO `wp_options` VALUES("7299", "_transient_wc_related_11806", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11806\";a:4:{i:0;s:5:\"11138\";i:1;s:5:\"11807\";i:2;s:5:\"11861\";i:3;s:5:\"11862\";}}", "no");
INSERT INTO `wp_options` VALUES("7301", "_transient_wc_related_11805", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11805\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11804\";i:4;s:5:\"11849\";i:5;s:5:\"11852\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7302", "_transient_timeout_wc_related_11804", "1686314366", "no");
INSERT INTO `wp_options` VALUES("7303", "_transient_wc_related_11804", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11804\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11805\";i:4;s:5:\"11849\";i:5;s:5:\"11852\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7304", "_transient_timeout_wc_related_11802", "1686314369", "no");
INSERT INTO `wp_options` VALUES("7305", "_transient_wc_related_11802", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11802\";a:6:{i:0;s:5:\"11795\";i:1;s:5:\"11796\";i:2;s:5:\"11803\";i:3;s:5:\"11850\";i:4;s:5:\"11851\";i:5;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7309", "_transient_timeout_wc_related_11800", "1686314375", "no");
INSERT INTO `wp_options` VALUES("7307", "_transient_timeout_wc_related_11801", "1686314372", "no");
INSERT INTO `wp_options` VALUES("7308", "_transient_wc_related_11801", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11801\";a:8:{i:0;s:5:\"11812\";i:1;s:5:\"11856\";i:2;s:5:\"11867\";i:3;s:5:\"11130\";i:4;s:5:\"11799\";i:5;s:5:\"11800\";i:6;s:5:\"11854\";i:7;s:5:\"11855\";}}", "no");
INSERT INTO `wp_options` VALUES("7310", "_transient_wc_related_11800", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11800\";a:8:{i:0;s:5:\"11130\";i:1;s:5:\"11799\";i:2;s:5:\"11801\";i:3;s:5:\"11812\";i:4;s:5:\"11854\";i:5;s:5:\"11855\";i:6;s:5:\"11856\";i:7;s:5:\"11867\";}}", "no");
INSERT INTO `wp_options` VALUES("7311", "_transient_timeout_wc_related_11854", "1686314378", "no");
INSERT INTO `wp_options` VALUES("7312", "_transient_wc_related_11854", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11854\";a:8:{i:0;s:5:\"11130\";i:1;s:5:\"11799\";i:2;s:5:\"11800\";i:3;s:5:\"11801\";i:4;s:5:\"11812\";i:5;s:5:\"11855\";i:6;s:5:\"11856\";i:7;s:5:\"11867\";}}", "no");
INSERT INTO `wp_options` VALUES("7313", "_transient_timeout_wc_related_11853", "1686314381", "no");
INSERT INTO `wp_options` VALUES("7314", "_transient_wc_related_11853", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11853\";a:10:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11804\";i:4;s:5:\"11805\";i:5;s:5:\"11849\";i:6;s:5:\"11852\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";i:9;s:5:\"11146\";}}", "no");
INSERT INTO `wp_options` VALUES("7315", "_transient_timeout_wc_related_11852", "1686314384", "no");
INSERT INTO `wp_options` VALUES("7316", "_transient_wc_related_11852", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11852\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11804\";i:4;s:5:\"11805\";i:5;s:5:\"11849\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7317", "_transient_timeout_wc_related_11799", "1686314387", "no");
INSERT INTO `wp_options` VALUES("7318", "_transient_wc_related_11799", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11799\";a:8:{i:0;s:5:\"11130\";i:1;s:5:\"11800\";i:2;s:5:\"11801\";i:3;s:5:\"11812\";i:4;s:5:\"11854\";i:5;s:5:\"11855\";i:6;s:5:\"11856\";i:7;s:5:\"11867\";}}", "no");
INSERT INTO `wp_options` VALUES("7319", "_transient_timeout_wc_related_11798", "1686314390", "no");
INSERT INTO `wp_options` VALUES("7320", "_transient_wc_related_11798", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11798\";a:10:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11804\";i:3;s:5:\"11805\";i:4;s:5:\"11849\";i:5;s:5:\"11852\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";i:9;s:5:\"11146\";}}", "no");
INSERT INTO `wp_options` VALUES("7321", "_transient_timeout_wc_related_11851", "1686314393", "no");
INSERT INTO `wp_options` VALUES("7322", "_transient_wc_related_11851", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11851\";a:5:{i:0;s:5:\"11795\";i:1;s:5:\"11796\";i:2;s:5:\"11803\";i:3;s:5:\"11850\";i:4;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7323", "_transient_timeout_wc_child_has_weight_11850", "1688819997", "no");
INSERT INTO `wp_options` VALUES("7324", "_transient_wc_child_has_weight_11850", "0", "no");
INSERT INTO `wp_options` VALUES("7325", "_transient_timeout_wc_child_has_dimensions_11850", "1688819997", "no");
INSERT INTO `wp_options` VALUES("7326", "_transient_wc_child_has_dimensions_11850", "0", "no");
INSERT INTO `wp_options` VALUES("7327", "_transient_timeout_wc_related_11850", "1686314397", "no");
INSERT INTO `wp_options` VALUES("7328", "_transient_wc_related_11850", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11850\";a:5:{i:0;s:5:\"11795\";i:1;s:5:\"11796\";i:2;s:5:\"11803\";i:3;s:5:\"11851\";i:4;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7329", "_transient_timeout_wc_child_has_weight_11849", "1688820000", "no");
INSERT INTO `wp_options` VALUES("7330", "_transient_wc_child_has_weight_11849", "0", "no");
INSERT INTO `wp_options` VALUES("7331", "_transient_timeout_wc_child_has_dimensions_11849", "1688820000", "no");
INSERT INTO `wp_options` VALUES("7332", "_transient_wc_child_has_dimensions_11849", "0", "no");
INSERT INTO `wp_options` VALUES("7333", "_transient_timeout_wc_related_11849", "1686314400", "no");
INSERT INTO `wp_options` VALUES("7334", "_transient_wc_related_11849", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11849\";a:9:{i:0;s:5:\"11794\";i:1;s:5:\"11797\";i:2;s:5:\"11798\";i:3;s:5:\"11804\";i:4;s:5:\"11805\";i:5;s:5:\"11852\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7338", "_transient_timeout_wc_child_has_weight_11795", "1688820007", "no");
INSERT INTO `wp_options` VALUES("7336", "_transient_timeout_wc_related_11796", "1686314404", "no");
INSERT INTO `wp_options` VALUES("7337", "_transient_wc_related_11796", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11796\";a:5:{i:0;s:5:\"11795\";i:1;s:5:\"11803\";i:2;s:5:\"11850\";i:3;s:5:\"11851\";i:4;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7339", "_transient_wc_child_has_weight_11795", "0", "no");
INSERT INTO `wp_options` VALUES("7340", "_transient_timeout_wc_child_has_dimensions_11795", "1688820007", "no");
INSERT INTO `wp_options` VALUES("7341", "_transient_wc_child_has_dimensions_11795", "0", "no");
INSERT INTO `wp_options` VALUES("7342", "_transient_timeout_wc_related_11795", "1686314407", "no");
INSERT INTO `wp_options` VALUES("7343", "_transient_wc_related_11795", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11795\";a:5:{i:0;s:5:\"11796\";i:1;s:5:\"11803\";i:2;s:5:\"11850\";i:3;s:5:\"11851\";i:4;s:5:\"11858\";}}", "no");
INSERT INTO `wp_options` VALUES("7344", "_transient_timeout_wc_child_has_weight_11794", "1688820010", "no");
INSERT INTO `wp_options` VALUES("7345", "_transient_wc_child_has_weight_11794", "0", "no");
INSERT INTO `wp_options` VALUES("7346", "_transient_timeout_wc_child_has_dimensions_11794", "1688820010", "no");
INSERT INTO `wp_options` VALUES("7347", "_transient_wc_child_has_dimensions_11794", "0", "no");
INSERT INTO `wp_options` VALUES("7348", "_transient_timeout_wc_related_11794", "1686314410", "no");
INSERT INTO `wp_options` VALUES("7349", "_transient_wc_related_11794", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11794\";a:9:{i:0;s:5:\"11797\";i:1;s:5:\"11798\";i:2;s:5:\"11804\";i:3;s:5:\"11805\";i:4;s:5:\"11849\";i:5;s:5:\"11852\";i:6;s:5:\"11853\";i:7;s:5:\"11859\";i:8;s:5:\"11860\";}}", "no");
INSERT INTO `wp_options` VALUES("7350", "_transient_timeout_wc_related_11146", "1686314413", "no");
INSERT INTO `wp_options` VALUES("7351", "_transient_wc_related_11146", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11146\";a:2:{i:0;s:5:\"11798\";i:1;s:5:\"11853\";}}", "no");
INSERT INTO `wp_options` VALUES("7352", "_transient_timeout_wc_related_11138", "1686314416", "no");
INSERT INTO `wp_options` VALUES("7353", "_transient_wc_related_11138", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11138\";a:4:{i:0;s:5:\"11806\";i:1;s:5:\"11807\";i:2;s:5:\"11861\";i:3;s:5:\"11862\";}}", "no");
INSERT INTO `wp_options` VALUES("7354", "_transient_timeout_wc_related_11130", "1686314418", "no");
INSERT INTO `wp_options` VALUES("7355", "_transient_wc_related_11130", "a:1:{s:53:\"limit=4&exclude_ids%5B0%5D=0&exclude_ids%5B1%5D=11130\";a:8:{i:0;s:5:\"11799\";i:1;s:5:\"11800\";i:2;s:5:\"11801\";i:3;s:5:\"11812\";i:4;s:5:\"11854\";i:5;s:5:\"11855\";i:6;s:5:\"11856\";i:7;s:5:\"11867\";}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6525", "12172", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/05/BIA_MR_26-1-scaled.jpg\";s:8:\"filesize\";i:612539;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"BIA_MR_26-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19285;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"BIA_MR_26-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:140314;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"BIA_MR_26-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8621;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BIA_MR_26-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:125787;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"BIA_MR_26-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:270497;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"BIA_MR_26-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:430776;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"BIA_MR_26-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:260271;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"BIA_MR_26-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:174554;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"BIA_MR_26-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46611;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"BIA_MR_26-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4876;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"BIA_MR_26-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6524", "12172", "_wp_attached_file", "2023/05/BIA_MR_26-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("5", "8", "_wp_attached_file", "2022/08/1-scaled-3.jpg");
INSERT INTO `wp_postmeta` VALUES("6", "8", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:22:\"2022/08/1-scaled-3.jpg\";s:8:\"filesize\";i:109669;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"1-scaled-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41903;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"1-scaled-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2162;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"1-scaled-3-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7631;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"1-scaled-3-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5037;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"1-scaled-3-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26026;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"1-scaled-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3311;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"1-scaled-3-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17288;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"1-scaled-3-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48016;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"1-scaled-3-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75530;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"1-scaled-3-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33362;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7", "34", "_wp_attached_file", "2019/01/hoodie-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("8", "34", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:22:\"2019/01/hoodie-2-2.jpg\";s:8:\"filesize\";i:46079;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"hoodie-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1980;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"hoodie-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12547;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"hoodie-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7987;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"hoodie-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3134;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"hoodie-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29350;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9", "34", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-2.jpg");
INSERT INTO `wp_postmeta` VALUES("10", "52", "_wp_attached_file", "2022/08/3-7.jpg");
INSERT INTO `wp_postmeta` VALUES("11", "52", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/3-7.jpg\";s:8:\"filesize\";i:65785;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"3-7-1024x788.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38964;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"3-7-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2082;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"3-7-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8858;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"3-7-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5956;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"3-7-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30789;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"3-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3043;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"3-7-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20372;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"3-7-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39195;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("12", "11151", "_wp_attached_file", "2019/01/vneck-tee-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("13", "11151", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2019/01/vneck-tee-2-2.jpg\";s:8:\"filesize\";i:49497;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1990;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-2-416x415.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:415;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12443;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3146;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-2-768x767.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:767;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29727;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("14", "11151", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vneck-tee-2.jpg");
INSERT INTO `wp_postmeta` VALUES("15", "11152", "_wp_attached_file", "2019/01/vnech-tee-green-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("16", "11152", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:31:\"2019/01/vnech-tee-green-1-2.jpg\";s:8:\"filesize\";i:102362;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1816;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11741;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7283;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2834;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28537;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("17", "11152", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vnech-tee-green-1.jpg");
INSERT INTO `wp_postmeta` VALUES("18", "11153", "_wp_attached_file", "2019/01/vnech-tee-blue-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("19", "11153", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:30:\"2019/01/vnech-tee-blue-1-2.jpg\";s:8:\"filesize\";i:120226;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1883;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12322;}s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7699;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2989;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30219;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("20", "11153", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vnech-tee-blue-1.jpg");
INSERT INTO `wp_postmeta` VALUES("21", "11154", "_wp_attached_file", "2019/01/hoodie-blue-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("22", "11154", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:27:\"2019/01/hoodie-blue-1-2.jpg\";s:8:\"filesize\";i:101298;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1809;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12302;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7687;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2916;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29102;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("23", "11154", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-blue-1.jpg");
INSERT INTO `wp_postmeta` VALUES("24", "11155", "_wp_attached_file", "2019/01/hoodie-green-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("25", "11155", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:28:\"2019/01/hoodie-green-1-2.jpg\";s:8:\"filesize\";i:98498;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1827;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12047;}s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7580;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2907;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28591;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("26", "11155", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-green-1.jpg");
INSERT INTO `wp_postmeta` VALUES("27", "11156", "_wp_attached_file", "2019/01/hoodie-with-logo-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("28", "11156", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:32:\"2019/01/hoodie-with-logo-2-2.jpg\";s:8:\"filesize\";i:46969;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1910;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13022;}s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8263;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3101;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30254;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("29", "11156", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-logo-2.jpg");
INSERT INTO `wp_postmeta` VALUES("30", "11157", "_wp_attached_file", "2019/01/tshirt-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("31", "11157", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:22:\"2019/01/tshirt-2-2.jpg\";s:8:\"filesize\";i:41155;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"tshirt-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1769;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"tshirt-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11130;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"tshirt-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7135;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"tshirt-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2789;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"tshirt-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26461;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("32", "11157", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/tshirt-2.jpg");
INSERT INTO `wp_postmeta` VALUES("33", "11159", "_wp_attached_file", "2019/01/belt-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("34", "11159", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:20:\"2019/01/belt-2-2.jpg\";s:8:\"filesize\";i:37339;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"belt-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1710;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"belt-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10573;}s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"belt-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6732;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"belt-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2682;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"belt-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25701;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("35", "11159", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/belt-2.jpg");
INSERT INTO `wp_postmeta` VALUES("36", "11160", "_wp_attached_file", "2019/01/cap-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("37", "11160", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:19:\"2019/01/cap-2-2.jpg\";s:8:\"filesize\";i:37675;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"cap-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1659;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:19:\"cap-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10605;}s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"cap-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6664;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"cap-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2564;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"cap-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25862;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("38", "11160", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/cap-2.jpg");
INSERT INTO `wp_postmeta` VALUES("39", "11161", "_wp_attached_file", "2019/01/sunglasses-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("40", "11161", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:26:\"2019/01/sunglasses-2-2.jpg\";s:8:\"filesize\";i:24691;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1510;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8352;}s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5337;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2238;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20654;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("41", "11161", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/sunglasses-2.jpg");
INSERT INTO `wp_postmeta` VALUES("42", "11162", "_wp_attached_file", "2019/01/hoodie-with-pocket-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("43", "11162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:34:\"2019/01/hoodie-with-pocket-2-2.jpg\";s:8:\"filesize\";i:43268;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1893;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12399;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7990;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3013;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28865;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("44", "11162", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-pocket-2.jpg");
INSERT INTO `wp_postmeta` VALUES("45", "11163", "_wp_attached_file", "2019/01/hoodie-with-zipper-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("46", "11163", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:34:\"2019/01/hoodie-with-zipper-2-2.jpg\";s:8:\"filesize\";i:56609;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2145;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14573;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9293;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3605;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34120;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("47", "11163", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-zipper-2.jpg");
INSERT INTO `wp_postmeta` VALUES("48", "11164", "_wp_attached_file", "2019/01/long-sleeve-tee-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("49", "11164", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:31:\"2019/01/long-sleeve-tee-2-2.jpg\";s:8:\"filesize\";i:51118;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1993;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12479;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8077;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3303;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29790;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("50", "11164", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/long-sleeve-tee-2.jpg");
INSERT INTO `wp_postmeta` VALUES("51", "11165", "_wp_attached_file", "2019/01/polo-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("52", "11165", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:800;s:4:\"file\";s:20:\"2019/01/polo-2-2.jpg\";s:8:\"filesize\";i:44409;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"polo-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1816;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"polo-2-2-416x415.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:415;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11673;}s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"polo-2-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7266;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"polo-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2862;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"polo-2-2-768x767.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:767;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27726;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("53", "11165", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/polo-2.jpg");
INSERT INTO `wp_postmeta` VALUES("54", "11166", "_wp_attached_file", "2019/01/single-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("55", "11166", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:22:\"2019/01/single-1-2.jpg\";s:8:\"filesize\";i:124720;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"single-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2284;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"single-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14799;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"single-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9585;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"single-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3741;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"single-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34144;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("56", "11166", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/single-1.jpg");
INSERT INTO `wp_postmeta` VALUES("57", "11167", "_wp_attached_file", "2019/01/t-shirt-with-logo-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("58", "11167", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:33:\"2019/01/t-shirt-with-logo-1-2.jpg\";s:8:\"filesize\";i:67833;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1964;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12960;}s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8160;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3154;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30709;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("59", "11167", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/t-shirt-with-logo-1.jpg");
INSERT INTO `wp_postmeta` VALUES("60", "11168", "_wp_attached_file", "2019/01/beanie-with-logo-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("61", "11168", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:32:\"2019/01/beanie-with-logo-1-2.jpg\";s:8:\"filesize\";i:45371;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1667;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9089;}s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5851;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2434;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21734;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("62", "11168", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/beanie-with-logo-1.jpg");
INSERT INTO `wp_postmeta` VALUES("63", "53", "_wp_attached_file", "2022/08/2-7.jpg");
INSERT INTO `wp_postmeta` VALUES("64", "53", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/2-7.jpg\";s:8:\"filesize\";i:78032;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"2-7-1024x788.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38071;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-7-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2510;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-7-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7944;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-7-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5395;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"2-7-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27145;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3655;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"2-7-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18048;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"2-7-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34451;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("65", "57", "_wp_attached_file", "2022/08/4-scaled-3.jpg");
INSERT INTO `wp_postmeta` VALUES("66", "57", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:22:\"2022/08/4-scaled-3.jpg\";s:8:\"filesize\";i:97873;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"4-scaled-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40472;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"4-scaled-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1838;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"4-scaled-3-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5726;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"4-scaled-3-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3626;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"4-scaled-3-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"4-scaled-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2669;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"4-scaled-3-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14004;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"4-scaled-3-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41612;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"4-scaled-3-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66138;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"4-scaled-3-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28447;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("67", "88", "_wp_attached_file", "2022/08/1-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("68", "88", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1886;s:4:\"file\";s:17:\"2022/08/1-1-2.jpg\";s:8:\"filesize\";i:397119;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:139176;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3212;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-1-2-416x560.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34020;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-1-2-223x300.jpg\";s:5:\"width\";i:223;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11493;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-1-2-760x1024.jpg\";s:5:\"width\";i:760;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107069;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5127;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"1-1-2-768x1035.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1035;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109234;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"1-1-2-1140x1536.jpg\";s:5:\"width\";i:1140;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:224858;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"1-1-2-1200x1617.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1617;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:245605;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("69", "96", "_wp_attached_file", "2022/08/2-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("70", "96", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1851;s:4:\"file\";s:17:\"2022/08/2-1-2.jpg\";s:8:\"filesize\";i:188260;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61231;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2402;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-1-2-416x550.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:550;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19056;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-1-2-227x300.jpg\";s:5:\"width\";i:227;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8084;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-1-2-775x1024.jpg\";s:5:\"width\";i:775;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:53738;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3548;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"2-1-2-768x1015.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1015;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52468;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"2-1-2-1162x1536.jpg\";s:5:\"width\";i:1162;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113091;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"2-1-2-1200x1587.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1587;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120480;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("71", "106", "_wp_attached_file", "2022/08/9d6c76146067617.62a9b2aa00784-2.jpg");
INSERT INTO `wp_postmeta` VALUES("72", "106", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1725;s:4:\"file\";s:43:\"2022/08/9d6c76146067617.62a9b2aa00784-2.jpg\";s:8:\"filesize\";i:680366;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"9d6c76146067617.62a9b2aa00784-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93075;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2782;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-2-416x513.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24094;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-2-243x300.jpg\";s:5:\"width\";i:243;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10521;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"9d6c76146067617.62a9b2aa00784-2-831x1024.jpg\";s:5:\"width\";i:831;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79675;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4573;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-2-768x946.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:946;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69360;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"9d6c76146067617.62a9b2aa00784-2-1247x1536.jpg\";s:5:\"width\";i:1247;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:169129;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"9d6c76146067617.62a9b2aa00784-2-1200x1479.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1479;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:158076;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:2:\"11\";s:6:\"credit\";s:16:\"DANIEL JARAMILLO\";s:6:\"camera\";s:10:\"NIKON D810\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1445621469\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:7:\"0.00625\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("73", "107", "_wp_attached_file", "2022/08/9110f5146067617.62a9b2a9f3154-2.jpg");
INSERT INTO `wp_postmeta` VALUES("74", "107", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1839;s:4:\"file\";s:43:\"2022/08/9110f5146067617.62a9b2a9f3154-2.jpg\";s:8:\"filesize\";i:639988;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"9110f5146067617.62a9b2a9f3154-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86354;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3138;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-2-416x546.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:546;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25311;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-2-228x300.jpg\";s:5:\"width\";i:228;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10581;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"9110f5146067617.62a9b2a9f3154-2-780x1024.jpg\";s:5:\"width\";i:780;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67589;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5145;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"9110f5146067617.62a9b2a9f3154-2-768x1009.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1009;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65955;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"9110f5146067617.62a9b2a9f3154-2-1169x1536.jpg\";s:5:\"width\";i:1169;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132744;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"9110f5146067617.62a9b2a9f3154-2-1200x1576.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:138167;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:2:\"11\";s:6:\"credit\";s:16:\"DANIEL JARAMILLO\";s:6:\"camera\";s:10:\"NIKON D810\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1445610601\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:7:\"0.00625\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("75", "117", "_wp_attached_file", "2022/08/f8706c146067617-2.jpg");
INSERT INTO `wp_postmeta` VALUES("76", "117", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1774;s:4:\"file\";s:29:\"2022/08/f8706c146067617-2.jpg\";s:8:\"filesize\";i:134953;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"f8706c146067617-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:53884;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2254;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-2-416x527.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:527;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16798;}s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-2-237x300.jpg\";s:5:\"width\";i:237;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7371;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"f8706c146067617-2-808x1024.jpg\";s:5:\"width\";i:808;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47642;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3420;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-2-768x973.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:973;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43696;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"f8706c146067617-2-1212x1536.jpg\";s:5:\"width\";i:1212;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91895;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:31:\"f8706c146067617-2-1200x1521.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1521;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90768;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("77", "134", "_wp_attached_file", "2022/08/4-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("78", "134", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1063;s:4:\"file\";s:17:\"2022/08/4-1-2.jpg\";s:8:\"filesize\";i:138433;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"4-1-2-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116206;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3581;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-1-2-416x553.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:553;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35561;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-1-2-226x300.jpg\";s:5:\"width\";i:226;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13630;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-1-2-771x1024.jpg\";s:5:\"width\";i:771;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99582;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5935;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"4-1-2-768x1020.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1020;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98674;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("79", "135", "_wp_attached_file", "2022/08/5-5.jpg");
INSERT INTO `wp_postmeta` VALUES("80", "135", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1045;s:4:\"file\";s:15:\"2022/08/5-5.jpg\";s:8:\"filesize\";i:124351;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"5-5-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104717;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"5-5-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2960;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"5-5-416x543.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:543;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29991;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"5-5-230x300.jpg\";s:5:\"width\";i:230;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11456;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"5-5-784x1024.jpg\";s:5:\"width\";i:784;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91079;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"5-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4799;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"5-5-768x1003.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1003;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88440;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("81", "136", "_wp_attached_file", "2022/08/6-5.jpg");
INSERT INTO `wp_postmeta` VALUES("82", "136", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1045;s:4:\"file\";s:15:\"2022/08/6-5.jpg\";s:8:\"filesize\";i:202882;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"6-5-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:172161;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"6-5-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3895;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"6-5-416x543.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:543;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51338;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"6-5-230x300.jpg\";s:5:\"width\";i:230;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18244;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"6-5-784x1024.jpg\";s:5:\"width\";i:784;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:150714;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"6-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6871;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"6-5-768x1003.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1003;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:146629;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("83", "139", "_wp_attached_file", "2022/08/9-4.jpg");
INSERT INTO `wp_postmeta` VALUES("84", "139", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1048;s:4:\"file\";s:15:\"2022/08/9-4.jpg\";s:8:\"filesize\";i:153646;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"9-4-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131894;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"9-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3613;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"9-4-416x545.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:545;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38917;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"9-4-229x300.jpg\";s:5:\"width\";i:229;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14105;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"9-4-782x1024.jpg\";s:5:\"width\";i:782;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113285;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"9-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6269;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"9-4-768x1006.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1006;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("85", "153", "_wp_attached_file", "2022/08/logo-1-2.png");
INSERT INTO `wp_postmeta` VALUES("86", "153", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:211;s:6:\"height\";i:60;s:4:\"file\";s:20:\"2022/08/logo-1-2.png\";s:8:\"filesize\";i:5442;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"logo-1-2-100x60.png\";s:5:\"width\";i:100;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1622;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"logo-1-2-150x60.png\";s:5:\"width\";i:150;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2004;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("87", "154", "_wp_attached_file", "2022/08/logo-light-1-2.png");
INSERT INTO `wp_postmeta` VALUES("88", "154", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:211;s:6:\"height\";i:60;s:4:\"file\";s:26:\"2022/08/logo-light-1-2.png\";s:8:\"filesize\";i:5368;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"logo-light-1-2-100x60.png\";s:5:\"width\";i:100;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1474;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"logo-light-1-2-150x60.png\";s:5:\"width\";i:150;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1819;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("89", "157", "_wp_attached_file", "2022/08/1-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("90", "157", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/1-2-2.jpg\";s:8:\"filesize\";i:351696;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-2-2-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:152426;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2490;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-2-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16376;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-2-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9157;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-2-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92934;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4177;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-2-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52299;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-2-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:125914;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("91", "158", "_wp_attached_file", "2022/08/2-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("92", "158", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/2-2-2.jpg\";s:8:\"filesize\";i:386662;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-2-2-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:154465;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2240;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-2-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16295;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-2-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9147;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-2-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99226;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3774;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-2-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55436;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"2-2-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:134063;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("93", "159", "_wp_attached_file", "2022/08/3-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("94", "159", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/3-1-2.jpg\";s:8:\"filesize\";i:386100;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"3-1-2-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93283;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2564;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-1-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15014;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-1-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9186;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-1-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68350;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4124;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-1-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41516;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"3-1-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89896;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"8\";s:6:\"credit\";s:9:\"PHPICS.CH\";s:6:\"camera\";s:10:\"NIKON D850\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1635576945\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:2:\"34\";s:3:\"iso\";s:2:\"64\";s:13:\"shutter_speed\";s:1:\"6\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("95", "160", "_wp_attached_file", "2022/08/6-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("96", "160", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/6-1-2.jpg\";s:8:\"filesize\";i:247776;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"6-1-2-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103975;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2946;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-1-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14360;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-1-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8892;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"6-1-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61098;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4937;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-1-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37779;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"6-1-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78966;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("97", "161", "_wp_attached_file", "2022/08/7-4.jpg");
INSERT INTO `wp_postmeta` VALUES("98", "161", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:15:\"2022/08/7-4.jpg\";s:8:\"filesize\";i:275169;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:17:\"7-4-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114253;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"7-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2914;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"7-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14056;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"7-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8520;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"7-4-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62846;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"7-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4878;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"7-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38313;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"7-4-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:82838;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("99", "162", "_wp_attached_file", "2022/08/8-3.jpg");
INSERT INTO `wp_postmeta` VALUES("100", "162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:15:\"2022/08/8-3.jpg\";s:8:\"filesize\";i:280860;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:17:\"8-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114818;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"8-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2627;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"8-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13092;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"8-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7880;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"8-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61136;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"8-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4394;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"8-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36849;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"8-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81324;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("101", "163", "_wp_attached_file", "2022/08/9-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("102", "163", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/9-1-2.jpg\";s:8:\"filesize\";i:184398;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"9-1-2-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95376;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"9-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2458;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"9-1-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13042;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"9-1-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7935;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"9-1-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60112;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"9-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4050;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"9-1-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36629;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"9-1-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78976;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("103", "164", "_wp_attached_file", "2022/08/10-3.jpg");
INSERT INTO `wp_postmeta` VALUES("104", "164", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:16:\"2022/08/10-3.jpg\";s:8:\"filesize\";i:725171;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"10-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263902;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:16:\"10-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3434;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:16:\"10-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27963;}s:6:\"medium\";a:5:{s:4:\"file\";s:16:\"10-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15001;}s:5:\"large\";a:5:{s:4:\"file\";s:17:\"10-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:166895;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"10-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6325;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"10-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95564;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:17:\"10-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:222142;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("105", "218", "_wp_attached_file", "2022/08/1-3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("106", "218", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1405;s:4:\"file\";s:17:\"2022/08/1-3-2.jpg\";s:8:\"filesize\";i:330042;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-3-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115671;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2796;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-3-2-416x304.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:304;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16302;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-3-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9872;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-3-2-1024x749.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:749;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85508;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4452;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-3-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50363;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"1-3-2-1536x1124.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1124;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:179898;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-3-2-1200x878.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:878;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115335;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("107", "226", "_wp_attached_file", "2022/08/2-3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("108", "226", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1800;s:6:\"height\";i:1317;s:4:\"file\";s:17:\"2022/08/2-3-2.jpg\";s:8:\"filesize\";i:127466;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-3-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63197;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2342;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-3-2-416x304.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:304;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12399;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-3-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7787;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-3-2-1024x749.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:749;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48580;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3763;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-3-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31128;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"2-3-2-1536x1124.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1124;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91740;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"2-3-2-1200x878.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:878;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62323;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("109", "234", "_wp_attached_file", "2022/08/3-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("110", "234", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1019;s:4:\"file\";s:17:\"2022/08/3-2-2.jpg\";s:8:\"filesize\";i:87173;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2946;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-2-2-416x530.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:530;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25081;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-2-2-236x300.jpg\";s:5:\"width\";i:236;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10322;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5094;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-2-2-768x978.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:978;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65171;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("111", "235", "_wp_attached_file", "2022/08/4-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("112", "235", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1019;s:4:\"file\";s:17:\"2022/08/4-2-2.jpg\";s:8:\"filesize\";i:59001;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2377;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-2-2-416x530.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:530;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18323;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-2-2-236x300.jpg\";s:5:\"width\";i:236;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7788;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3887;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-2-2-768x978.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:978;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46675;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("113", "242", "_wp_attached_file", "2022/08/5-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("114", "242", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1024;s:4:\"file\";s:17:\"2022/08/5-1-2.jpg\";s:8:\"filesize\";i:441684;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"5-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:284316;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3665;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-1-2-416x304.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:304;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30777;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-1-2-300x219.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16649;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-1-2-1024x749.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:749;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181058;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6585;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-1-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:105896;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-1-2-1200x878.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:878;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241323;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("115", "248", "_wp_attached_file", "2022/08/6-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("116", "248", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/6-2-2.jpg\";s:8:\"filesize\";i:78501;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2796;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-2-2-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16139;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-2-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9983;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4456;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-2-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41031;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("117", "249", "_wp_attached_file", "2022/08/7-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("118", "249", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/7-1-2.jpg\";s:8:\"filesize\";i:64440;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"7-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2504;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"7-1-2-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13571;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"7-1-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8455;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"7-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4086;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"7-1-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33660;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("119", "250", "_wp_attached_file", "2022/08/8-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("120", "250", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/8-1-2.jpg\";s:8:\"filesize\";i:124504;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"8-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2940;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"8-1-2-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22962;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"8-1-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13243;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"8-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4879;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"8-1-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62233;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("121", "251", "_wp_attached_file", "2022/08/9-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("122", "251", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/9-2-2.jpg\";s:8:\"filesize\";i:98231;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"9-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3597;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"9-2-2-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21273;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"9-2-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13023;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"9-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6035;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"9-2-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54243;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("123", "252", "_wp_attached_file", "2022/08/10-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("124", "252", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:18:\"2022/08/10-1-2.jpg\";s:8:\"filesize\";i:72817;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:18:\"10-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2828;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:18:\"10-1-2-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15791;}s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"10-1-2-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10280;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"10-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4500;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"10-1-2-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41352;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("125", "305", "_wp_attached_file", "2022/08/1-4-2.jpg");
INSERT INTO `wp_postmeta` VALUES("126", "305", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1800;s:6:\"height\";i:1200;s:4:\"file\";s:17:\"2022/08/1-4-2.jpg\";s:8:\"filesize\";i:612759;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-4-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:229533;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-4-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4313;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-4-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29171;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-4-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16851;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-4-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:154239;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-4-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7831;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-4-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89093;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"1-4-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:323045;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-4-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:210129;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("127", "306", "_wp_attached_file", "2022/08/2-4-2.jpg");
INSERT INTO `wp_postmeta` VALUES("128", "306", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:933;s:4:\"file\";s:17:\"2022/08/2-4-2.jpg\";s:8:\"filesize\";i:244071;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"2-4-2-1024x933.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:163101;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-4-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3818;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-4-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22529;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-4-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13116;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-4-2-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104555;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-4-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6742;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-4-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63392;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"2-4-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137314;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("129", "307", "_wp_attached_file", "2022/08/3-3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("130", "307", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:17:\"2022/08/3-3-2.jpg\";s:8:\"filesize\";i:145191;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"3-3-2-1024x800.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:110774;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4089;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-3-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21976;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-3-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13763;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-3-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85565;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6946;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-3-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54658;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("131", "308", "_wp_attached_file", "2022/08/4-3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("132", "308", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:933;s:4:\"file\";s:17:\"2022/08/4-3-2.jpg\";s:8:\"filesize\";i:284062;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"4-3-2-1024x933.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175687;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4061;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-3-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26791;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-3-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15726;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-3-2-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:118983;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7346;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-3-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73856;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"4-3-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:153949;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1441", "11674", "_wp_attached_file", "2023/05/log_file_2023-05-30__08-32-29.txt");
INSERT INTO `wp_postmeta` VALUES("135", "309", "_wp_attached_file", "2022/08/5-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("136", "309", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:933;s:4:\"file\";s:17:\"2022/08/5-2-2.jpg\";s:8:\"filesize\";i:304664;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"5-2-2-1024x933.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:186142;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4316;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-2-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30147;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-2-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17719;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-2-2-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:130365;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8065;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-2-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81482;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-2-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167395;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("137", "335", "_wp_attached_file", "2022/08/1-5-2.jpg");
INSERT INTO `wp_postmeta` VALUES("138", "335", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:17:\"2022/08/1-5-2.jpg\";s:8:\"filesize\";i:78973;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-5-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49212;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-5-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1640;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-5-2-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5312;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-5-2-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3402;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-5-2-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23933;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-5-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2463;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-5-2-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14664;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:18:\"1-5-2-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48747;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-5-2-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31999;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("139", "34", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-2.jpg");
INSERT INTO `wp_postmeta` VALUES("140", "11151", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vneck-tee-2.jpg");
INSERT INTO `wp_postmeta` VALUES("141", "11152", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vnech-tee-green-1.jpg");
INSERT INTO `wp_postmeta` VALUES("142", "11153", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vnech-tee-blue-1.jpg");
INSERT INTO `wp_postmeta` VALUES("143", "11154", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-blue-1.jpg");
INSERT INTO `wp_postmeta` VALUES("144", "11155", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-green-1.jpg");
INSERT INTO `wp_postmeta` VALUES("145", "11156", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-logo-2.jpg");
INSERT INTO `wp_postmeta` VALUES("146", "11157", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/tshirt-2.jpg");
INSERT INTO `wp_postmeta` VALUES("147", "11159", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/belt-2.jpg");
INSERT INTO `wp_postmeta` VALUES("148", "11160", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/cap-2.jpg");
INSERT INTO `wp_postmeta` VALUES("149", "11161", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/sunglasses-2.jpg");
INSERT INTO `wp_postmeta` VALUES("150", "11162", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-pocket-2.jpg");
INSERT INTO `wp_postmeta` VALUES("151", "11163", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-zipper-2.jpg");
INSERT INTO `wp_postmeta` VALUES("152", "11164", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/long-sleeve-tee-2.jpg");
INSERT INTO `wp_postmeta` VALUES("153", "11165", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/polo-2.jpg");
INSERT INTO `wp_postmeta` VALUES("154", "11166", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/single-1.jpg");
INSERT INTO `wp_postmeta` VALUES("155", "11167", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/t-shirt-with-logo-1.jpg");
INSERT INTO `wp_postmeta` VALUES("156", "11168", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/beanie-with-logo-1.jpg");
INSERT INTO `wp_postmeta` VALUES("157", "348", "_wp_attached_file", "2022/08/2-2.gif");
INSERT INTO `wp_postmeta` VALUES("158", "348", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/2-2.gif\";s:8:\"filesize\";i:5564183;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"2-2-1024x788.gif\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:182530;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-2-100x100.gif\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:3094;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-2-416x234.gif\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:27477;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-2-300x169.gif\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:15993;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"2-2-1024x576.gif\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:135701;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-2-150x150.gif\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:6250;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"2-2-768x432.gif\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:80740;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"2-2-1200x675.gif\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:187659;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("159", "11170", "_wp_attached_file", "2022/08/2-3.gif");
INSERT INTO `wp_postmeta` VALUES("160", "11170", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/2-3.gif\";s:8:\"filesize\";i:5564183;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"2-3-1024x788.gif\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:182530;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-3-100x100.gif\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:3094;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-3-416x234.gif\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:27477;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-3-300x169.gif\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:15993;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"2-3-1024x576.gif\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:135701;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-3-150x150.gif\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:6250;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"2-3-768x432.gif\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:80740;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"2-3-1200x675.gif\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:187659;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("161", "359", "_wp_attached_file", "2022/08/3-4-2.jpg");
INSERT INTO `wp_postmeta` VALUES("162", "359", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1050;s:4:\"file\";s:17:\"2022/08/3-4-2.jpg\";s:8:\"filesize\";i:89145;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"3-4-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57260;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-4-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1990;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-4-2-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9741;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-4-2-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6011;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-4-2-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44722;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-4-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3121;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-4-2-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27391;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"3-4-2-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59113;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("163", "11171", "_wp_attached_file", "2022/08/3-4-3.jpg");
INSERT INTO `wp_postmeta` VALUES("164", "11171", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1050;s:4:\"file\";s:17:\"2022/08/3-4-3.jpg\";s:8:\"filesize\";i:89145;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"3-4-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57260;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-4-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1990;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-4-3-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9741;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-4-3-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6011;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-4-3-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44722;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-4-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3121;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-4-3-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27391;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"3-4-3-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59113;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("165", "360", "_wp_attached_file", "2022/08/4-4-2.jpg");
INSERT INTO `wp_postmeta` VALUES("166", "360", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1050;s:4:\"file\";s:17:\"2022/08/4-4-2.jpg\";s:8:\"filesize\";i:73533;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"4-4-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52408;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-4-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2235;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-4-2-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10264;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-4-2-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6573;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-4-2-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40273;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-4-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3491;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-4-2-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25564;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"4-4-2-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52165;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("167", "11172", "_wp_attached_file", "2022/08/4-4-3.jpg");
INSERT INTO `wp_postmeta` VALUES("168", "11172", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1050;s:4:\"file\";s:17:\"2022/08/4-4-3.jpg\";s:8:\"filesize\";i:73533;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"4-4-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52408;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-4-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2235;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-4-3-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10264;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-4-3-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6573;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-4-3-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40273;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-4-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3491;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-4-3-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25564;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"4-4-3-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52165;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("169", "371", "_wp_attached_file", "2022/08/5-3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("170", "371", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1067;s:4:\"file\";s:17:\"2022/08/5-3-2.jpg\";s:8:\"filesize\";i:84336;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"5-3-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55310;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2354;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-3-2-416x231.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:231;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8007;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-3-2-300x167.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5015;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-3-2-1024x569.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:569;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30220;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3783;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-3-2-768x427.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:427;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19337;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:18:\"5-3-2-1536x854.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:854;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:56111;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-3-2-1200x667.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:667;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38818;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("171", "11173", "_wp_attached_file", "2022/08/5-3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("172", "11173", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1067;s:4:\"file\";s:17:\"2022/08/5-3-3.jpg\";s:8:\"filesize\";i:84336;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"5-3-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55310;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2354;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-3-3-416x231.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:231;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8007;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-3-3-300x167.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5015;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-3-3-1024x569.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:569;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30220;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3783;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-3-3-768x427.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:427;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19337;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:18:\"5-3-3-1536x854.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:854;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:56111;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-3-3-1200x667.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:667;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38818;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("173", "372", "_wp_attached_file", "2022/08/6-3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("174", "372", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:983;s:4:\"file\";s:17:\"2022/08/6-3-2.jpg\";s:8:\"filesize\";i:66933;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"6-3-2-1024x983.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:983;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50193;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1658;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-3-2-416x292.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:292;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6525;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-3-2-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4155;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"6-3-2-1024x719.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:719;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31115;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2400;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-3-2-768x539.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:539;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17798;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"6-3-2-1200x843.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:843;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44001;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("175", "11174", "_wp_attached_file", "2022/08/6-3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("176", "11174", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:983;s:4:\"file\";s:17:\"2022/08/6-3-3.jpg\";s:8:\"filesize\";i:66933;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"6-3-3-1024x983.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:983;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50193;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1658;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-3-3-416x292.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:292;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6525;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-3-3-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4155;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"6-3-3-1024x719.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:719;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31115;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2400;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-3-3-768x539.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:539;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17798;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"6-3-3-1200x843.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:843;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44001;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("177", "373", "_wp_attached_file", "2022/08/7-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("178", "373", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:983;s:4:\"file\";s:17:\"2022/08/7-2-2.jpg\";s:8:\"filesize\";i:101893;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"7-2-2-1024x983.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:983;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80455;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"7-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2039;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"7-2-2-416x292.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:292;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10745;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"7-2-2-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6420;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"7-2-2-1024x719.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:719;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49414;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"7-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3451;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"7-2-2-768x539.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:539;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29786;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"7-2-2-1200x843.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:843;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66468;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("179", "11175", "_wp_attached_file", "2022/08/7-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("180", "11175", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:983;s:4:\"file\";s:17:\"2022/08/7-2-3.jpg\";s:8:\"filesize\";i:101893;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"7-2-3-1024x983.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:983;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80455;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"7-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2039;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"7-2-3-416x292.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:292;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10745;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"7-2-3-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6420;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"7-2-3-1024x719.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:719;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49414;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"7-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3451;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"7-2-3-768x539.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:539;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29786;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"7-2-3-1200x843.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:843;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66468;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("181", "3293", "_wp_attached_file", "2022/08/1-6-2.jpg");
INSERT INTO `wp_postmeta` VALUES("182", "3293", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:870;s:4:\"file\";s:17:\"2022/08/1-6-2.jpg\";s:8:\"filesize\";i:224454;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-6-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2408;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-6-2-416x452.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16221;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-6-2-276x300.jpg\";s:5:\"width\";i:276;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8817;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-6-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3782;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-6-2-768x835.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:835;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44143;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("183", "11176", "_wp_attached_file", "2022/08/1-6-2.jpg");
INSERT INTO `wp_postmeta` VALUES("184", "11176", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:870;s:4:\"file\";s:17:\"2022/08/1-6-2.jpg\";s:8:\"filesize\";i:224454;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-6-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2408;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-6-2-416x452.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16221;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-6-2-276x300.jpg\";s:5:\"width\";i:276;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8817;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-6-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3782;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-6-2-768x835.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:835;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44143;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("185", "3294", "_wp_attached_file", "2022/08/2-3.png");
INSERT INTO `wp_postmeta` VALUES("186", "3294", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:584;s:6:\"height\";i:570;s:4:\"file\";s:15:\"2022/08/2-3.png\";s:8:\"filesize\";i:97389;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10909;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-3-416x406.png\";s:5:\"width\";i:416;s:6:\"height\";i:406;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:138575;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-3-300x293.png\";s:5:\"width\";i:300;s:6:\"height\";i:293;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:76211;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22324;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("187", "11177", "_wp_attached_file", "2022/08/2-4.png");
INSERT INTO `wp_postmeta` VALUES("188", "11177", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:584;s:6:\"height\";i:570;s:4:\"file\";s:15:\"2022/08/2-4.png\";s:8:\"filesize\";i:97389;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10909;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-4-416x406.png\";s:5:\"width\";i:416;s:6:\"height\";i:406;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:138575;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-4-300x293.png\";s:5:\"width\";i:300;s:6:\"height\";i:293;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:76211;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22324;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("189", "3295", "_wp_attached_file", "2022/08/3-5-2.jpg");
INSERT INTO `wp_postmeta` VALUES("190", "3295", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:870;s:4:\"file\";s:17:\"2022/08/3-5-2.jpg\";s:8:\"filesize\";i:143987;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-5-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2364;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-5-2-416x452.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14078;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-5-2-276x300.jpg\";s:5:\"width\";i:276;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7894;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-5-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3546;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-5-2-768x835.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:835;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35299;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("191", "11178", "_wp_attached_file", "2022/08/3-5-3.jpg");
INSERT INTO `wp_postmeta` VALUES("192", "11178", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:870;s:4:\"file\";s:17:\"2022/08/3-5-3.jpg\";s:8:\"filesize\";i:143987;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-5-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2364;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-5-3-416x452.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14078;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-5-3-276x300.jpg\";s:5:\"width\";i:276;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7894;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-5-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3546;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-5-3-768x835.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:835;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35299;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("193", "3296", "_wp_attached_file", "2022/08/2-5-2.jpg");
INSERT INTO `wp_postmeta` VALUES("194", "3296", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:4:\"file\";s:17:\"2022/08/2-5-2.jpg\";s:8:\"filesize\";i:1745;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("195", "11179", "_wp_attached_file", "2022/08/2-5-3.jpg");
INSERT INTO `wp_postmeta` VALUES("196", "11179", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:4:\"file\";s:17:\"2022/08/2-5-3.jpg\";s:8:\"filesize\";i:1745;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("197", "3310", "_wp_attached_file", "2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("198", "3310", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:802;s:4:\"file\";s:63:\"2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg\";s:8:\"filesize\";i:280994;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:64:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-1024x802.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:802;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:244185;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4445;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38310;}s:6:\"medium\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-300x201.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:201;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21390;}s:5:\"large\";a:5:{s:4:\"file\";s:64:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:189957;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8581;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115985;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("199", "11180", "_wp_attached_file", "2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("200", "11180", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:802;s:4:\"file\";s:63:\"2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg\";s:8:\"filesize\";i:280994;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:64:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-1024x802.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:802;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:244185;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4445;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38310;}s:6:\"medium\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-300x201.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:201;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21390;}s:5:\"large\";a:5:{s:4:\"file\";s:64:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:189957;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8581;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115985;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("201", "3312", "_wp_attached_file", "2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("202", "3312", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:47:\"2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg\";s:8:\"filesize\";i:282453;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"moritz-spahn-sMJua-DB57Q-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120337;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3236;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19984;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11725;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"moritz-spahn-sMJua-DB57Q-unsplash-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5588;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"moritz-spahn-sMJua-DB57Q-unsplash-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:165239;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:48:\"moritz-spahn-sMJua-DB57Q-unsplash-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113555;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("203", "11181", "_wp_attached_file", "2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("204", "11181", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:47:\"2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg\";s:8:\"filesize\";i:282453;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"moritz-spahn-sMJua-DB57Q-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120337;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3236;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19984;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11725;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"moritz-spahn-sMJua-DB57Q-unsplash-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5588;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"moritz-spahn-sMJua-DB57Q-unsplash-3-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:165239;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:48:\"moritz-spahn-sMJua-DB57Q-unsplash-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113555;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("205", "3314", "_wp_attached_file", "2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("206", "3314", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:56:\"2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg\";s:8:\"filesize\";i:372656;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132486;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3554;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39913;}s:6:\"medium\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12339;}s:5:\"large\";a:5:{s:4:\"file\";s:57:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89009;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6426;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:57:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107028;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167983;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1366x2048.jpg\";s:5:\"width\";i:1366;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:259069;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213808;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("207", "11182", "_wp_attached_file", "2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("208", "11182", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:56:\"2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg\";s:8:\"filesize\";i:372656;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132486;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3554;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39913;}s:6:\"medium\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12339;}s:5:\"large\";a:5:{s:4:\"file\";s:57:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89009;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6426;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:57:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107028;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167983;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1366x2048.jpg\";s:5:\"width\";i:1366;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:259069;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213808;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("209", "3320", "_wp_attached_file", "2022/08/1-2.png");
INSERT INTO `wp_postmeta` VALUES("210", "11183", "_wp_attached_file", "2022/08/1-2.png");
INSERT INTO `wp_postmeta` VALUES("211", "3320", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/1-2.png\";s:8:\"filesize\";i:5534;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"1-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1922;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"1-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:54;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("212", "11183", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/1-2.png\";s:8:\"filesize\";i:5534;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"1-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1922;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"1-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3144;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("213", "3321", "_wp_attached_file", "2022/08/2-1-2.png");
INSERT INTO `wp_postmeta` VALUES("214", "3321", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:17:\"2022/08/2-1-2.png\";s:8:\"filesize\";i:4152;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:16:\"2-1-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1642;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"2-1-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2357;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("215", "11184", "_wp_attached_file", "2022/08/2-1-3.png");
INSERT INTO `wp_postmeta` VALUES("216", "11184", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:17:\"2022/08/2-1-3.png\";s:8:\"filesize\";i:4152;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:16:\"2-1-3-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1642;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"2-1-3-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2357;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("217", "3322", "_wp_attached_file", "2022/08/3-2.png");
INSERT INTO `wp_postmeta` VALUES("218", "3322", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/3-2.png\";s:8:\"filesize\";i:4488;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"3-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1789;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"3-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2581;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("219", "11185", "_wp_attached_file", "2022/08/3-3.png");
INSERT INTO `wp_postmeta` VALUES("220", "11185", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/3-3.png\";s:8:\"filesize\";i:4488;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"3-3-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1789;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"3-3-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2581;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("221", "3323", "_wp_attached_file", "2022/08/4-2.png");
INSERT INTO `wp_postmeta` VALUES("222", "3323", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/4-2.png\";s:8:\"filesize\";i:4758;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"4-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"4-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2750;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("223", "11186", "_wp_attached_file", "2022/08/4-3.png");
INSERT INTO `wp_postmeta` VALUES("224", "11186", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/4-3.png\";s:8:\"filesize\";i:4758;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"4-3-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"4-3-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2750;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("225", "3324", "_wp_attached_file", "2022/08/5-2.png");
INSERT INTO `wp_postmeta` VALUES("226", "3324", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/5-2.png\";s:8:\"filesize\";i:5226;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"5-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2044;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"5-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2872;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("227", "11187", "_wp_attached_file", "2022/08/5-3.png");
INSERT INTO `wp_postmeta` VALUES("228", "11187", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/5-3.png\";s:8:\"filesize\";i:5226;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"5-3-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2044;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"5-3-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2872;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("229", "3325", "_wp_attached_file", "2022/08/6-2.png");
INSERT INTO `wp_postmeta` VALUES("230", "3325", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/6-2.png\";s:8:\"filesize\";i:5001;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"6-2-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1735;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"6-2-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2595;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("231", "11188", "_wp_attached_file", "2022/08/6-3.png");
INSERT INTO `wp_postmeta` VALUES("232", "11188", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/6-3.png\";s:8:\"filesize\";i:5001;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"6-3-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1735;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"6-3-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2595;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("233", "4466", "_wp_attached_file", "2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("234", "11189", "_wp_attached_file", "2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("235", "4466", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:1068;s:4:\"file\";s:49:\"2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2.jpg\";s:8:\"filesize\";i:105235;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:51:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62319;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2808;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14469;}s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9160;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50712;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:0;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33880;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1536x1025.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1025;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91898;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:50:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1200x801.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64134;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("236", "11189", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:1068;s:4:\"file\";s:49:\"2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2.jpg\";s:8:\"filesize\";i:105235;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:51:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62319;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2808;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14469;}s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9160;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50712;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4555;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33880;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1536x1025.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1025;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91898;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:50:\"milad-fakurian-bkmrXtXG1r8-unsplash-2-1200x801.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64134;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("237", "4476", "_wp_attached_file", "2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("238", "4476", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1799;s:4:\"file\";s:58:\"2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg\";s:8:\"filesize\";i:134305;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69093;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2779;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22197;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7887;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46686;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4542;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-768x1151.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1151;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55705;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1025x1536.jpg\";s:5:\"width\";i:1025;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87911;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("239", "11190", "_wp_attached_file", "2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("240", "11190", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1799;s:4:\"file\";s:58:\"2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg\";s:8:\"filesize\";i:134305;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69093;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2779;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22197;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7887;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46686;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4542;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-768x1151.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1151;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55705;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1025x1536.jpg\";s:5:\"width\";i:1025;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87911;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("241", "4532", "_wp_attached_file", "2022/08/nordgreen-taqlluwbrgE-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("242", "11191", "_wp_attached_file", "2022/08/nordgreen-taqlluwbrgE-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("243", "4532", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:871;s:4:\"file\";s:44:\"2022/08/nordgreen-taqlluwbrgE-unsplash-2.jpg\";s:8:\"filesize\";i:85148;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1024x871.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:871;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58242;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2665;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-416x226.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:226;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10255;}s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-300x163.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:163;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6689;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1024x557.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:557;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38357;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4170;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-768x418.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:418;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24887;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1536x836.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:836;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71661;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1200x653.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:653;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49123;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("244", "11191", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:871;s:4:\"file\";s:44:\"2022/08/nordgreen-taqlluwbrgE-unsplash-2.jpg\";s:8:\"filesize\";i:85148;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1024x871.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:871;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58242;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2665;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-416x226.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:226;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10255;}s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-300x163.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:163;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6689;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1024x557.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:557;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38357;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4170;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-2-768x418.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:418;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24887;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1536x836.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:836;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71661;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-2-1200x653.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:653;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49123;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("245", "4680", "_wp_attached_file", "2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("246", "4680", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:801;s:4:\"file\";s:58:\"2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2.jpg\";s:8:\"filesize\";i:115413;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-1024x801.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90417;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3571;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19662;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12208;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75942;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6184;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49565;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("247", "11192", "_wp_attached_file", "2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("248", "11192", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:801;s:4:\"file\";s:58:\"2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3.jpg\";s:8:\"filesize\";i:115413;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-1024x801.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90417;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3571;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19662;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12208;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75942;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6184;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49565;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("249", "4705", "_wp_attached_file", "2022/08/skills-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("250", "4705", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1800;s:6:\"height\";i:1200;s:4:\"file\";s:22:\"2022/08/skills-2-2.jpg\";s:8:\"filesize\";i:167377;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"skills-2-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32216;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"skills-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1436;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"skills-2-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4460;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"skills-2-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3090;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"skills-2-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19193;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"skills-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1960;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"skills-2-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11688;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"skills-2-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40408;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"skills-2-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25184;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("251", "4920", "_wp_attached_file", "2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("252", "4920", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:1068;s:4:\"file\";s:58:\"2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg\";s:8:\"filesize\";i:116504;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52872;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2088;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11715;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7338;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3284;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29874;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1536x1025.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1025;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88313;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1200x801.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60277;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("253", "4921", "_wp_attached_file", "2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("254", "4921", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:47:\"2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg\";s:8:\"filesize\";i:147658;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"alabaster-co-Sy1ohVoGciA-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92024;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3253;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23584;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14864;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"alabaster-co-Sy1ohVoGciA-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92024;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5426;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("255", "11193", "_wp_attached_file", "2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("256", "11193", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:47:\"2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3.jpg\";s:8:\"filesize\";i:147658;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"alabaster-co-Sy1ohVoGciA-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92024;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3253;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23584;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14864;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"alabaster-co-Sy1ohVoGciA-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92024;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5426;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("257", "4922", "_wp_attached_file", "2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("258", "4922", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:48:\"2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg\";s:8:\"filesize\";i:190049;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"content-pixie-VJX5imdELxo-unsplash-2-1024x800.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:162263;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3163;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19966;}s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11185;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"content-pixie-VJX5imdELxo-unsplash-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109625;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5353;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63576;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("259", "11194", "_wp_attached_file", "2022/06/content-pixie-VJX5imdELxo-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("260", "11194", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:48:\"2022/06/content-pixie-VJX5imdELxo-unsplash-3.jpg\";s:8:\"filesize\";i:190049;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"content-pixie-VJX5imdELxo-unsplash-3-1024x800.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:162263;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3163;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19966;}s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11185;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"content-pixie-VJX5imdELxo-unsplash-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109625;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5353;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63576;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("261", "6107", "_wp_attached_file", "2022/09/pexels-pixabay-356147-2.jpg");
INSERT INTO `wp_postmeta` VALUES("262", "6107", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1079;s:4:\"file\";s:35:\"2022/09/pexels-pixabay-356147-2.jpg\";s:8:\"filesize\";i:82020;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"pexels-pixabay-356147-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33353;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1497;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-2-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4153;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-2-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2831;}s:5:\"large\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-356147-2-1024x575.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:575;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16728;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2121;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-2-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10323;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-356147-2-1536x863.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:863;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34583;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-356147-2-1200x674.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:674;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22418;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1662753934\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("263", "6111", "_wp_attached_file", "2022/09/pexels-rachel-claire-5490267-2.jpg");
INSERT INTO `wp_postmeta` VALUES("264", "6111", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:1050;s:4:\"file\";s:42:\"2022/09/pexels-rachel-claire-5490267-2.jpg\";s:8:\"filesize\";i:89424;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:43:\"pexels-rachel-claire-5490267-2-700x1024.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81439;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1970;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-2-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22335;}s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-2-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5328;}s:5:\"large\";a:5:{s:4:\"file\";s:43:\"pexels-rachel-claire-5490267-2-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68782;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3012;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("265", "6112", "_wp_attached_file", "2022/09/pexels-pixabay-90764-2.jpg");
INSERT INTO `wp_postmeta` VALUES("266", "6112", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:34:\"2022/09/pexels-pixabay-90764-2.jpg\";s:8:\"filesize\";i:43471;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"pexels-pixabay-90764-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32632;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1331;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4435;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2819;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-90764-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19568;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1886;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11781;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-90764-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40858;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-90764-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25971;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("267", "11195", "_wp_attached_file", "2022/09/pexels-pixabay-90764-3.jpg");
INSERT INTO `wp_postmeta` VALUES("268", "11195", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:34:\"2022/09/pexels-pixabay-90764-3.jpg\";s:8:\"filesize\";i:43471;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"pexels-pixabay-90764-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32632;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1331;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4435;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2819;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-90764-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19568;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1886;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11781;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-90764-3-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40858;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-90764-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25971;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("269", "6124", "_wp_attached_file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2.png");
INSERT INTO `wp_postmeta` VALUES("270", "6124", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1919;s:6:\"height\";i:906;s:4:\"file\";s:48:\"2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2.png\";s:8:\"filesize\";i:42549;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1024x906.png\";s:5:\"width\";i:1024;s:6:\"height\";i:906;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29877;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1321;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-416x196.png\";s:5:\"width\";i:416;s:6:\"height\";i:196;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10696;}s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-300x142.png\";s:5:\"width\";i:300;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6659;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1024x483.png\";s:5:\"width\";i:1024;s:6:\"height\";i:483;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37077;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3321;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-768x363.png\";s:5:\"width\";i:768;s:6:\"height\";i:363;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15671;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1536x725.png\";s:5:\"width\";i:1536;s:6:\"height\";i:725;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60823;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1200x567.png\";s:5:\"width\";i:1200;s:6:\"height\";i:567;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45226;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("271", "11196", "_wp_attached_file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3.png");
INSERT INTO `wp_postmeta` VALUES("272", "11196", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1919;s:6:\"height\";i:906;s:4:\"file\";s:48:\"2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3.png\";s:8:\"filesize\";i:42549;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1024x906.png\";s:5:\"width\";i:1024;s:6:\"height\";i:906;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29877;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1321;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-416x196.png\";s:5:\"width\";i:416;s:6:\"height\";i:196;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10696;}s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-300x142.png\";s:5:\"width\";i:300;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6659;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1024x483.png\";s:5:\"width\";i:1024;s:6:\"height\";i:483;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37077;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3321;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-768x363.png\";s:5:\"width\";i:768;s:6:\"height\";i:363;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15671;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1536x725.png\";s:5:\"width\";i:1536;s:6:\"height\";i:725;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60823;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1200x567.png\";s:5:\"width\";i:1200;s:6:\"height\";i:567;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45226;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("273", "6422", "_wp_attached_file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3.png");
INSERT INTO `wp_postmeta` VALUES("274", "6422", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:950;s:6:\"height\";i:449;s:4:\"file\";s:46:\"2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3.png\";s:8:\"filesize\";i:82122;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1149;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-3-416x197.png\";s:5:\"width\";i:416;s:6:\"height\";i:197;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6825;}s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-3-300x142.png\";s:5:\"width\";i:300;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3903;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2400;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-3-768x363.png\";s:5:\"width\";i:768;s:6:\"height\";i:363;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16273;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("275", "11197", "_wp_attached_file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4.png");
INSERT INTO `wp_postmeta` VALUES("276", "11197", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:950;s:6:\"height\";i:449;s:4:\"file\";s:46:\"2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4.png\";s:8:\"filesize\";i:82122;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1149;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-4-416x197.png\";s:5:\"width\";i:416;s:6:\"height\";i:197;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6825;}s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-4-300x142.png\";s:5:\"width\";i:300;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3903;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2400;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-4-768x363.png\";s:5:\"width\";i:768;s:6:\"height\";i:363;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16273;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("277", "6465", "_wp_attached_file", "2022/09/pexels-roman-odintsov-4925863-2.jpg");
INSERT INTO `wp_postmeta` VALUES("278", "6465", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1700;s:6:\"height\";i:1133;s:4:\"file\";s:43:\"2022/09/pexels-roman-odintsov-4925863-2.jpg\";s:8:\"filesize\";i:206310;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"pexels-roman-odintsov-4925863-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104657;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3598;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20620;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12675;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"pexels-roman-odintsov-4925863-2-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79096;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6246;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51058;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"pexels-roman-odintsov-4925863-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147152;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-roman-odintsov-4925863-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100399;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("279", "7221", "_wp_attached_file", "2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg");
INSERT INTO `wp_postmeta` VALUES("280", "7221", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:2000;s:4:\"file\";s:62:\"2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg\";s:8:\"filesize\";i:335818;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:64:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119254;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2620;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27762;}s:6:\"medium\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11180;}s:5:\"large\";a:5:{s:4:\"file\";s:63:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87930;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4872;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78154;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:64:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181434;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:64:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:176872;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "7250", "_wp_attached_file", "2022/09/ab3-2.jpg");
INSERT INTO `wp_postmeta` VALUES("282", "7250", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:370;s:6:\"height\";i:399;s:4:\"file\";s:17:\"2022/09/ab3-2.jpg\";s:8:\"filesize\";i:63833;s:5:\"sizes\";a:3:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"ab3-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2377;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"ab3-2-278x300.jpg\";s:5:\"width\";i:278;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11956;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"ab3-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4120;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("283", "7257", "_wp_attached_file", "2022/09/dots-dark-2.png");
INSERT INTO `wp_postmeta` VALUES("284", "7257", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:9;s:6:\"height\";i:9;s:4:\"file\";s:23:\"2022/09/dots-dark-2.png\";s:8:\"filesize\";i:128;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "7361", "_wp_attached_file", "2022/09/1-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("286", "7361", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1167;s:4:\"file\";s:17:\"2022/09/1-1-2.jpg\";s:8:\"filesize\";i:228062;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175068;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3640;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-1-2-416x347.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:347;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31267;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-1-2-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17971;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-1-2-1024x854.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:854;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:156935;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6495;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-1-2-768x640.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93441;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"1-1-2-1200x1000.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205627;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "11198", "_wp_attached_file", "2022/09/1-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("288", "11198", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1167;s:4:\"file\";s:17:\"2022/09/1-1-3.jpg\";s:8:\"filesize\";i:228062;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175068;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3640;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-1-3-416x347.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:347;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31267;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-1-3-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17971;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-1-3-1024x854.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:854;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:156935;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6495;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-1-3-768x640.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93441;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"1-1-3-1200x1000.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205627;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "7361", "_elementor_source_image_hash", "4b0af2b6b699512b609b4232ae30b42d835217c0");
INSERT INTO `wp_postmeta` VALUES("290", "11198", "_elementor_source_image_hash", "4b0af2b6b699512b609b4232ae30b42d835217c0");
INSERT INTO `wp_postmeta` VALUES("291", "7363", "_wp_attached_file", "2022/09/2-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("292", "7363", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1400;s:4:\"file\";s:17:\"2022/09/2-1-2.jpg\";s:8:\"filesize\";i:158246;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106216;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2997;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-1-2-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23762;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-1-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14216;}s:5:\"large\";a:5:{s:4:\"file\";s:19:\"2-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106216;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5102;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-1-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65831;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"2-1-2-1200x1200.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137858;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("293", "11199", "_wp_attached_file", "2022/09/2-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("294", "11199", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1400;s:4:\"file\";s:17:\"2022/09/2-1-3.jpg\";s:8:\"filesize\";i:158246;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106216;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2997;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23762;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14216;}s:5:\"large\";a:5:{s:4:\"file\";s:19:\"2-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106216;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5102;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65831;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"2-1-3-1200x1200.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137858;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("295", "7363", "_elementor_source_image_hash", "2ab390b4cf6c91fb77fef601f8adfc5cd89652a8");
INSERT INTO `wp_postmeta` VALUES("296", "7365", "_wp_attached_file", "2022/09/maxim-potkin-wyxTcdibez0-unsplash-2.jpg");
INSERT INTO `wp_postmeta` VALUES("297", "7365", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1214;s:4:\"file\";s:47:\"2022/09/maxim-potkin-wyxTcdibez0-unsplash-2.jpg\";s:8:\"filesize\";i:194117;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"maxim-potkin-wyxTcdibez0-unsplash-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87082;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2057;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-2-416x263.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:263;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11798;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-2-300x190.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:190;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6849;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"maxim-potkin-wyxTcdibez0-unsplash-2-1024x647.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:647;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55978;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3395;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-2-768x486.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:486;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34046;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"maxim-potkin-wyxTcdibez0-unsplash-2-1536x971.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:971;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113935;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:48:\"maxim-potkin-wyxTcdibez0-unsplash-2-1200x759.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:759;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74476;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("298", "11199", "_elementor_source_image_hash", "2ab390b4cf6c91fb77fef601f8adfc5cd89652a8");
INSERT INTO `wp_postmeta` VALUES("299", "7365", "_elementor_source_image_hash", "f775850bd533621dbe00ec2d9f97ec15b78ed031");
INSERT INTO `wp_postmeta` VALUES("300", "7433", "_wp_attached_file", "2022/09/pexels-nancy-bourque-1209982-2.jpg");
INSERT INTO `wp_postmeta` VALUES("301", "7433", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:853;s:4:\"file\";s:42:\"2022/09/pexels-nancy-bourque-1209982-2.jpg\";s:8:\"filesize\";i:282868;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:43:\"pexels-nancy-bourque-1209982-2-1024x853.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213743;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3415;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28999;}s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15848;}s:5:\"large\";a:5:{s:4:\"file\";s:43:\"pexels-nancy-bourque-1209982-2-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:149202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6202;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89967;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:43:\"pexels-nancy-bourque-1209982-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:193979;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("302", "7365", "_elementor_source_image_hash", "f775850bd533621dbe00ec2d9f97ec15b78ed031");
INSERT INTO `wp_postmeta` VALUES("303", "7435", "_wp_attached_file", "2022/09/pexels-johannes-plenio-1632788-2.jpg");
INSERT INTO `wp_postmeta` VALUES("304", "7435", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:853;s:4:\"file\";s:44:\"2022/09/pexels-johannes-plenio-1632788-2.jpg\";s:8:\"filesize\";i:207224;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-2-1024x853.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:138552;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3426;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22898;}s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13650;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-2-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101597;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5927;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63415;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:130807;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("305", "11200", "_wp_attached_file", "2022/09/pexels-johannes-plenio-1632788-3.jpg");
INSERT INTO `wp_postmeta` VALUES("306", "11200", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:853;s:4:\"file\";s:44:\"2022/09/pexels-johannes-plenio-1632788-3.jpg\";s:8:\"filesize\";i:207224;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-3-1024x853.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:138552;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3426;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22898;}s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13650;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-3-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101597;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5927;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63415;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:130807;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("307", "8816", "_wp_attached_file", "2022/08/cropped-logo-1-2.png");
INSERT INTO `wp_postmeta` VALUES("308", "8816", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:28:\"2022/08/cropped-logo-1-2.png\";s:8:\"filesize\";i:6930;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7071;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4395;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("309", "8816", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("310", "11201", "_wp_attached_file", "2022/08/cropped-logo-1-3.png");
INSERT INTO `wp_postmeta` VALUES("311", "11201", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:28:\"2022/08/cropped-logo-1-3.png\";s:8:\"filesize\";i:6930;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7071;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4395;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("312", "11201", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("313", "9635", "_wp_attached_file", "2022/09/pexels-sevenstorm-juhaszimrus-934345-2.jpg");
INSERT INTO `wp_postmeta` VALUES("314", "9635", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2022/09/pexels-sevenstorm-juhaszimrus-934345-2.jpg\";s:8:\"filesize\";i:311190;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-2-1024x960.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:224078;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4275;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-2-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35505;}s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-2-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20756;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-2-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:164124;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7814;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-2-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101977;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-2-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213413;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("315", "11202", "_wp_attached_file", "2022/09/pexels-sevenstorm-juhaszimrus-934345-3.jpg");
INSERT INTO `wp_postmeta` VALUES("316", "11202", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2022/09/pexels-sevenstorm-juhaszimrus-934345-3.jpg\";s:8:\"filesize\";i:311190;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-3-1024x960.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:224078;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4275;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-3-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35505;}s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-3-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20756;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-3-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:164124;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7814;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-3-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101977;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-3-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213413;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("317", "10136", "_wp_attached_file", "2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2.jpg");
INSERT INTO `wp_postmeta` VALUES("318", "10136", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:160;s:6:\"height\";i:160;s:4:\"file\";s:91:\"2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2.jpg\";s:8:\"filesize\";i:2043;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:91:\"default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1167;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:91:\"default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("319", "11203", "_wp_attached_file", "2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3.jpg");
INSERT INTO `wp_postmeta` VALUES("320", "11203", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:160;s:6:\"height\";i:160;s:4:\"file\";s:91:\"2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3.jpg\";s:8:\"filesize\";i:2043;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:91:\"default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1167;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:91:\"default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("321", "11119", "_wp_attached_file", "2022/10/woocommerce-placeholder-2.png");
INSERT INTO `wp_postmeta` VALUES("322", "11119", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:37:\"2022/10/woocommerce-placeholder-2.png\";s:8:\"filesize\";i:102644;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:39:\"woocommerce-placeholder-2-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2344;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-2-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21117;}s:6:\"medium\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12475;}s:5:\"large\";a:5:{s:4:\"file\";s:39:\"woocommerce-placeholder-2-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4204;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-2-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("323", "11204", "_wp_attached_file", "2022/10/woocommerce-placeholder-3.png");
INSERT INTO `wp_postmeta` VALUES("324", "11204", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:37:\"2022/10/woocommerce-placeholder-3.png\";s:8:\"filesize\";i:102644;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:39:\"woocommerce-placeholder-3-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-3-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2344;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-3-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21117;}s:6:\"medium\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-3-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12475;}s:5:\"large\";a:5:{s:4:\"file\";s:39:\"woocommerce-placeholder-3-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4204;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-3-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("325", "11257", "_wp_attached_file", "2022/10/product-2-2.webp");
INSERT INTO `wp_postmeta` VALUES("326", "11257", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-2-2.webp\";s:8:\"filesize\";i:2922;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-2-2-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-2-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1550;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("327", "11258", "_wp_attached_file", "2022/10/product-2-3.webp");
INSERT INTO `wp_postmeta` VALUES("328", "11258", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-2-3.webp\";s:8:\"filesize\";i:2922;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-2-3-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-2-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1550;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("329", "11259", "_wp_attached_file", "2019/01/product-4-2.webp");
INSERT INTO `wp_postmeta` VALUES("330", "11259", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2019/01/product-4-2.webp\";s:8:\"filesize\";i:3688;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-4-2-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1112;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-4-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1806;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("331", "11260", "_wp_attached_file", "2019/01/product-4-3.webp");
INSERT INTO `wp_postmeta` VALUES("332", "11260", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2019/01/product-4-3.webp\";s:8:\"filesize\";i:3688;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-4-3-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1112;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-4-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1806;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("333", "11266", "_wp_attached_file", "2022/10/product-6-2.webp");
INSERT INTO `wp_postmeta` VALUES("334", "11266", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-6-2.webp\";s:8:\"filesize\";i:3602;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-6-2-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:504;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-6-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1202;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("335", "11267", "_wp_attached_file", "2022/10/product-6-3.webp");
INSERT INTO `wp_postmeta` VALUES("336", "11267", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-6-3.webp\";s:8:\"filesize\";i:3602;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-6-3-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:504;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-6-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1202;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("337", "11268", "_wp_attached_file", "2019/01/ragbo452081071c_q1_2-0-2.jpg");
INSERT INTO `wp_postmeta` VALUES("338", "11268", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:36:\"2019/01/ragbo452081071c_q1_2-0-2.jpg\";s:8:\"filesize\";i:167402;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:38:\"ragbo452081071c_q1_2-0-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127590;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2029;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-2-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20483;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-2-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6504;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"ragbo452081071c_q1_2-0-2-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83402;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3122;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-2-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76173;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("339", "11269", "_wp_attached_file", "2019/01/ragbo452081071c_q1_2-0-3.jpg");
INSERT INTO `wp_postmeta` VALUES("340", "11269", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:36:\"2019/01/ragbo452081071c_q1_2-0-3.jpg\";s:8:\"filesize\";i:167402;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:38:\"ragbo452081071c_q1_2-0-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127590;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2029;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-3-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20483;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-3-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6504;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"ragbo452081071c_q1_2-0-3-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83402;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3122;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-3-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76173;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("341", "11270", "_wp_attached_file", "2019/01/pr1-pink-2-2.jpg");
INSERT INTO `wp_postmeta` VALUES("342", "11270", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:24:\"2019/01/pr1-pink-2-2.jpg\";s:8:\"filesize\";i:286795;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"pr1-pink-2-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:182573;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2225;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-2-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37410;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-2-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12155;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"pr1-pink-2-2-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131767;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4481;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-2-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120876;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("343", "11271", "_wp_attached_file", "2019/01/pr1-pink-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("344", "11271", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:24:\"2019/01/pr1-pink-2-3.jpg\";s:8:\"filesize\";i:286795;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"pr1-pink-2-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:182573;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2225;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-3-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37410;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-3-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12155;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"pr1-pink-2-3-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131767;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4481;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-3-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120876;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("345", "11272", "_wp_attached_file", "2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg");
INSERT INTO `wp_postmeta` VALUES("346", "11272", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:59:\"2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg\";s:8:\"filesize\";i:120459;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:61:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91696;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1786;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19308;}s:6:\"medium\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6460;}s:5:\"large\";a:5:{s:4:\"file\";s:60:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62213;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2891;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57552;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("347", "11273", "_wp_attached_file", "2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3.jpg");
INSERT INTO `wp_postmeta` VALUES("348", "11273", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:59:\"2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3.jpg\";s:8:\"filesize\";i:120459;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:61:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91696;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1786;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19308;}s:6:\"medium\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6460;}s:5:\"large\";a:5:{s:4:\"file\";s:60:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62213;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2891;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57552;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("349", "11274", "_wp_attached_file", "2019/01/acndb3127517966_q1_2-0-2.jpg");
INSERT INTO `wp_postmeta` VALUES("350", "11275", "_wp_attached_file", "2019/01/acndb3127517966_q1_2-0-2.jpg");
INSERT INTO `wp_postmeta` VALUES("351", "11274", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:36:\"2019/01/acndb3127517966_q1_2-0-2.jpg\";s:8:\"filesize\";i:189832;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:38:\"acndb3127517966_q1_2-0-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145217;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2195;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28376;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9461;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"acndb3127517966_q1_2-0-2-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97731;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3920;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("352", "11275", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:36:\"2019/01/acndb3127517966_q1_2-0-2.jpg\";s:8:\"filesize\";i:189832;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:38:\"acndb3127517966_q1_2-0-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145217;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2195;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28376;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9461;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"acndb3127517966_q1_2-0-2-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97731;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3920;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-2-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("353", "11276", "_wp_attached_file", "2022/10/product-8-2.webp");
INSERT INTO `wp_postmeta` VALUES("354", "11276", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-8-2.webp\";s:8:\"filesize\";i:2050;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-8-2-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-8-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1084;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("355", "11277", "_wp_attached_file", "2022/10/product-8-3.webp");
INSERT INTO `wp_postmeta` VALUES("356", "11277", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-8-3.webp\";s:8:\"filesize\";i:2050;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-8-3-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-8-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1084;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("357", "11285", "_wp_attached_file", "2022/10/hero-2-2.webp");
INSERT INTO `wp_postmeta` VALUES("358", "11285", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:800;s:4:\"file\";s:21:\"2022/10/hero-2-2.webp\";s:8:\"filesize\";i:43304;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"hero-2-2-1024x800.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:44860;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"hero-2-2-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1972;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"hero-2-2-416x173.webp\";s:5:\"width\";i:416;s:6:\"height\";i:173;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4704;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"hero-2-2-300x125.webp\";s:5:\"width\";i:300;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2846;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"hero-2-2-1024x427.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:427;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:18844;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"hero-2-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3654;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"hero-2-2-768x320.webp\";s:5:\"width\";i:768;s:6:\"height\";i:320;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12158;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"hero-2-2-1536x640.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33036;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"hero-2-2-1200x500.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:500;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:24206;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("359", "11317", "_wp_attached_file", "2022/10/pexels-photo-8365688-2.jpeg");
INSERT INTO `wp_postmeta` VALUES("360", "11317", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:563;s:6:\"height\";i:750;s:4:\"file\";s:35:\"2022/10/pexels-photo-8365688-2.jpeg\";s:8:\"filesize\";i:70664;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-2-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3081;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-2-416x554.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:554;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46745;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-2-225x300.jpeg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13297;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5351;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("361", "11318", "_wp_attached_file", "2022/10/pexels-terje-sollie-298864-2.jpg");
INSERT INTO `wp_postmeta` VALUES("362", "11318", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:640;s:6:\"height\";i:427;s:4:\"file\";s:40:\"2022/10/pexels-terje-sollie-298864-2.jpg\";s:8:\"filesize\";i:57811;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4047;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-2-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22138;}s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13497;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7011;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("363", "11319", "_wp_attached_file", "2022/10/pexels-terje-sollie-298864-3.jpg");
INSERT INTO `wp_postmeta` VALUES("364", "11319", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:640;s:6:\"height\";i:427;s:4:\"file\";s:40:\"2022/10/pexels-terje-sollie-298864-3.jpg\";s:8:\"filesize\";i:57811;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4047;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-3-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22138;}s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13497;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7011;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("365", "11322", "_wp_attached_file", "2022/10/pexels-photo-631411-2.jpeg");
INSERT INTO `wp_postmeta` VALUES("366", "11322", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:982;s:6:\"height\";i:750;s:4:\"file\";s:34:\"2022/10/pexels-photo-631411-2.jpeg\";s:8:\"filesize\";i:79996;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-2-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3724;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-2-416x318.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:318;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25292;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-2-300x229.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15048;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6611;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-2-768x587.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:587;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67573;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("367", "11323", "_wp_attached_file", "2022/10/pexels-photo-631411-3.jpeg");
INSERT INTO `wp_postmeta` VALUES("368", "11323", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:982;s:6:\"height\";i:750;s:4:\"file\";s:34:\"2022/10/pexels-photo-631411-3.jpeg\";s:8:\"filesize\";i:79996;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-3-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3724;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-3-416x318.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:318;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25292;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-3-300x229.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15048;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-3-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6611;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-3-768x587.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:587;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67573;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("369", "11326", "_wp_attached_file", "2022/10/pexels-photo-1337753-2.jpeg");
INSERT INTO `wp_postmeta` VALUES("370", "11326", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:2400;s:4:\"file\";s:35:\"2022/10/pexels-photo-1337753-2.jpeg\";s:8:\"filesize\";i:763896;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"pexels-photo-1337753-2-1024x1024.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281065;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-2-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4196;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-2-416x624.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79140;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-2-200x300.jpeg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19514;}s:5:\"large\";a:5:{s:4:\"file\";s:36:\"pexels-photo-1337753-2-683x1024.jpeg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:207766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8335;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"pexels-photo-1337753-2-768x1152.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:256408;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-2-1024x1536.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:432431;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-2-1365x2048.jpeg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:704659;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-2-1200x1800.jpeg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:578317;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("371", "11327", "_wp_attached_file", "2022/10/pexels-photo-1337753-3.jpeg");
INSERT INTO `wp_postmeta` VALUES("372", "11327", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:2400;s:4:\"file\";s:35:\"2022/10/pexels-photo-1337753-3.jpeg\";s:8:\"filesize\";i:763896;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"pexels-photo-1337753-3-1024x1024.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281065;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-3-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4196;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-3-416x624.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79140;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-3-200x300.jpeg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19514;}s:5:\"large\";a:5:{s:4:\"file\";s:36:\"pexels-photo-1337753-3-683x1024.jpeg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:207766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-3-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8335;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"pexels-photo-1337753-3-768x1152.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:256408;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-3-1024x1536.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:432431;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-3-1365x2048.jpeg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:704659;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-3-1200x1800.jpeg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:578317;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("373", "11396", "_wp_attached_file", "2022/10/7a1f64152979619.632bd4d966dbe-2.jpg");
INSERT INTO `wp_postmeta` VALUES("374", "11396", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1276;s:4:\"file\";s:43:\"2022/10/7a1f64152979619.632bd4d966dbe-2.jpg\";s:8:\"filesize\";i:311723;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"7a1f64152979619.632bd4d966dbe-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62471;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2123;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-2-416x276.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:276;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8962;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-2-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5576;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"7a1f64152979619.632bd4d966dbe-2-1024x681.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:681;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36689;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3468;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-2-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23070;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"7a1f64152979619.632bd4d966dbe-2-1536x1021.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1021;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70749;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:44:\"7a1f64152979619.632bd4d966dbe-2-1200x798.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:798;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47679;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1663832769\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("375", "11397", "_wp_attached_file", "2022/10/7a1f64152979619.632bd4d966dbe-3.jpg");
INSERT INTO `wp_postmeta` VALUES("376", "11397", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1276;s:4:\"file\";s:43:\"2022/10/7a1f64152979619.632bd4d966dbe-3.jpg\";s:8:\"filesize\";i:311723;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"7a1f64152979619.632bd4d966dbe-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62471;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2123;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-3-416x276.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:276;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8962;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-3-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5576;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"7a1f64152979619.632bd4d966dbe-3-1024x681.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:681;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36689;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3468;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-3-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23070;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"7a1f64152979619.632bd4d966dbe-3-1536x1021.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1021;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70749;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:44:\"7a1f64152979619.632bd4d966dbe-3-1200x798.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:798;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47679;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1663832769\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("377", "11414", "_wp_attached_file", "2022/10/c96a9b144890955.6294d44ef1e11-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("378", "11415", "_wp_attached_file", "2022/10/c96a9b144890955.6294d44ef1e11-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("379", "11414", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1900;s:6:\"height\";i:1047;s:4:\"file\";s:45:\"2022/10/c96a9b144890955.6294d44ef1e11-1-2.jpg\";s:8:\"filesize\";i:168380;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"c96a9b144890955.6294d44ef1e11-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93919;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3036;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-416x229.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10539;}s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-300x165.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:165;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6574;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-2-1024x564.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:564;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44451;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4950;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-768x423.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:423;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27699;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-2-1536x846.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:846;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86222;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-2-1200x661.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:661;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57582;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("380", "11415", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1900;s:6:\"height\";i:1047;s:4:\"file\";s:45:\"2022/10/c96a9b144890955.6294d44ef1e11-1-2.jpg\";s:8:\"filesize\";i:168380;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"c96a9b144890955.6294d44ef1e11-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93919;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3036;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-416x229.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10539;}s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-300x165.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:165;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6574;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-2-1024x564.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:564;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44451;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4950;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-2-768x423.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:423;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27699;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-2-1536x846.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:846;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86222;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-2-1200x661.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:661;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57582;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("381", "11416", "_form", "<label> Votre nom\n    [text* your-name autocomplete:name] </label>\n\n<label> Votre e-mail\n    [email* your-email autocomplete:email] </label>\n\n<label> Objet\n    [text* your-subject] </label>\n\n<label> Votre message (facultatif)\n    [textarea your-message] </label>\n\n[submit \"Envoyer\"]");
INSERT INTO `wp_postmeta` VALUES("382", "11416", "_mail", "a:8:{s:7:\"subject\";s:30:\"[_site_title] \"[your-subject]\"\";s:6:\"sender\";s:36:\"[_site_title] <wordpress@kookagency>\";s:4:\"body\";s:183:\"De : [your-name] [your-email]\nObjet : [your-subject]\n\nCorps du message :\n[your-message]\n\n-- \nCet e-mail a été envoyé via le formulaire de contact de [_site_title] ([_site_url])\";s:9:\"recipient\";s:19:\"[_site_admin_email]\";s:18:\"additional_headers\";s:22:\"Reply-To: [your-email]\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";i:0;s:13:\"exclude_blank\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("383", "11416", "_mail_2", "a:9:{s:6:\"active\";b:0;s:7:\"subject\";s:30:\"[_site_title] \"[your-subject]\"\";s:6:\"sender\";s:36:\"[_site_title] <wordpress@kookagency>\";s:4:\"body\";s:127:\"Corps du message :\n[your-message]\n\n-- \nCet e-mail a été envoyé via le formulaire de contact de [_site_title] ([_site_url])\";s:9:\"recipient\";s:12:\"[your-email]\";s:18:\"additional_headers\";s:29:\"Reply-To: [_site_admin_email]\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";i:0;s:13:\"exclude_blank\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("384", "11416", "_messages", "a:12:{s:12:\"mail_sent_ok\";s:45:\"Merci pour votre message. Il a été envoyé.\";s:12:\"mail_sent_ng\";s:102:\"Une erreur s’est produite lors de l’envoi de votre message. Veuillez essayer à nouveau plus tard.\";s:16:\"validation_error\";s:88:\"Un ou plusieurs champs contiennent une erreur. Veuillez vérifier et essayer à nouveau.\";s:4:\"spam\";s:102:\"Une erreur s’est produite lors de l’envoi de votre message. Veuillez essayer à nouveau plus tard.\";s:12:\"accept_terms\";s:77:\"Vous devez accepter les termes et conditions avant d’envoyer votre message.\";s:16:\"invalid_required\";s:29:\"Veuillez renseigner ce champ.\";s:16:\"invalid_too_long\";s:34:\"Ce champ à une date trop tardive.\";s:17:\"invalid_too_short\";s:34:\"Ce champ à un numéro trop court.\";s:13:\"upload_failed\";s:72:\"Une erreur inconnue s’est produite lors du téléversement du fichier.\";s:24:\"upload_file_type_invalid\";s:79:\"Vous n’avez pas les droits nécessaires pour téléverser ce type de fichier.\";s:21:\"upload_file_too_large\";s:44:\"Le fichier téléversé est trop volumineux.\";s:23:\"upload_failed_php_error\";s:63:\"Une erreur s’est produite lors du téléversement du fichier.\";}");
INSERT INTO `wp_postmeta` VALUES("385", "11416", "_additional_settings", "");
INSERT INTO `wp_postmeta` VALUES("386", "11416", "_locale", "fr_FR");
INSERT INTO `wp_postmeta` VALUES("387", "11417", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("388", "11417", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("389", "11419", "_wp_attached_file", "2022/10/439f20144119531.628671b94bd08-1-2.jpg");
INSERT INTO `wp_postmeta` VALUES("390", "11419", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1900;s:6:\"height\";i:1058;s:4:\"file\";s:45:\"2022/10/439f20144119531.628671b94bd08-1-2.jpg\";s:8:\"filesize\";i:134269;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"439f20144119531.628671b94bd08-1-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81831;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2865;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-2-416x232.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:232;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9906;}s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-2-300x167.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6164;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-2-1024x570.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:570;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39162;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4655;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-2-768x428.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:428;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24717;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-2-1536x855.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:855;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76263;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-2-1200x668.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:668;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50737;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("391", "11420", "_wp_attached_file", "2022/10/439f20144119531.628671b94bd08-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("392", "11420", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1900;s:6:\"height\";i:1058;s:4:\"file\";s:45:\"2022/10/439f20144119531.628671b94bd08-1-3.jpg\";s:8:\"filesize\";i:134269;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"439f20144119531.628671b94bd08-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81831;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2865;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-3-416x232.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:232;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9906;}s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-3-300x167.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6164;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-3-1024x570.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:570;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39162;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4655;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-3-768x428.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:428;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24717;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-3-1536x855.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:855;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76263;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-3-1200x668.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:668;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50737;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("393", "11421", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("394", "11421", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("395", "11421", "_menu_item_object_id", "11421");
INSERT INTO `wp_postmeta` VALUES("396", "11421", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("397", "11421", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("398", "11421", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("399", "11422", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("400", "11421", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("401", "11422", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("402", "11422", "_menu_item_object_id", "11422");
INSERT INTO `wp_postmeta` VALUES("403", "11421", "_menu_item_url", "#0");
INSERT INTO `wp_postmeta` VALUES("404", "11422", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("405", "11422", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("406", "11422", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("407", "11422", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("408", "11422", "_menu_item_url", "#0");
INSERT INTO `wp_postmeta` VALUES("582", "3857", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("583", "3857", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("584", "3857", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("585", "3857", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("586", "3857", "_elementor_data", "[{\"id\":\"2eab388\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.35,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"a049624\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ad5d99b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Regardez autour de vous <br><b> tout change<\\/b>\\n<img class=\\\"trait11\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait11{width:50%;}\\nb:hover{\\ncolor: #f3bc34;\\n}\\n@media only screen and (max-width: 370px)  {\\n.trait{display:none;}\\n.trait11{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"edfcf43\",\"elType\":\"widget\",\"settings\":{\"title\":\"Et si le temps \\u00e9tait venu pour vous de changer ?\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"4c23cfc\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Commencez maintenant\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"Commencez maintenant\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"a65540a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"contact\"},\"elements\":[{\"id\":\"c1c6094\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"a4cf7a5\",\"elType\":\"widget\",\"settings\":{\"width_mask\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":240,\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\",\"left_mask\":{\"unit\":\"%\",\"size\":16,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"8390eb4\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Conatct info\"},\"elements\":[{\"id\":\"503d3e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":98,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"Form\"},\"elements\":[{\"id\":\"c5cf03f\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>SI VOUS AVEZ DES QUESTIONS<br><b>CONTACTEZ-NOUS<\\/b><\\/span>\",\"font_size\":\"title-h2\",\"title_color\":\"heading-color\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"e384376\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nous vous r\\u00e9pondrons dans les plus brefs d\\u00e9lais\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"7ebc001\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<div id=\'formId\'>[forminator_form id=\\\"12081\\\"]<\\/div>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"16\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"_element_id\":\"contactForm\"},\"elements\":[],\"widgetType\":\"shortcode\"},{\"id\":\"dfae7a5\",\"elType\":\"widget\",\"settings\":{\"html\":\"<body>\\r\\n    <script>\\r\\n  \\/\\/ V\\u00e9rifier si le localStorage contient la cl\\u00e9 \\\"refreshed\\\"\\r\\n  if (!localStorage.getItem(\\\"refreshed\\\")) {\\r\\n    \\/\\/ Si la cl\\u00e9 n\'existe pas, effectuer le rafra\\u00eechissement de la page\\r\\n    localStorage.setItem(\\\"refreshed\\\", \\\"true\\\");\\r\\n    location.reload();\\r\\n  } else {\\r\\n    \\/\\/ Si la cl\\u00e9 existe, supprimer la cl\\u00e9 pour les prochaines visites\\r\\n    localStorage.removeItem(\\\"refreshed\\\");\\r\\n  }\\r\\n<\\/script>\\r\\n\\r\\n\\r\\n\\r\\n<\\/body>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":true},{\"id\":\"6b69b4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"background_dsn_style_ver\":\"v-light\",\"background_dsn_style\":\"background-theme\",\"_inline_size\":2,\"space_between_widgets\":15,\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":100,\"_title\":\"Description\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"f10a8f8\",\"elType\":\"widget\",\"settings\":{\"position_icon\":\"icon-left\",\"items\":[{\"icon\":{\"value\":\"fas fa-clock\",\"library\":\"fa-solid\"},\"title\":\"Horaires:\",\"description\":\"<p>9h00 \\u2013 19h00<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"f7a8d06\"},{\"icon\":{\"value\":\"fas fa-envelope\",\"library\":\"fa-solid\"},\"title\":\"Mail:\",\"description\":\"<p>contact@kook-agency.fr<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"33ed07b\"},{\"icon\":{\"value\":\"fas fa-phone-volume\",\"library\":\"fa-solid\"},\"title\":\"T\\u00e9l\\u00e9phone:\",\"description\":\"<p>01 86 90 50 99<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"a318864\"},{\"_id\":\"54439bc\",\"icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"title\":\"Adresses:\",\"description\":\"<div class=\\\"col-address\\\"><p>1024 Chemin des Plantades, 83130 La Garde<\\/p><p>6 Rue Lacretelle, 75015 Paris<\\/p><\\/div>\",\"text_link\":\"Read More\"}],\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"bg_btn\":\"background-transparent\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"font_size\":\"sm-title-block\",\"space_service_description\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_typo_content_service_title_typography\":\"custom\",\"item_typo_content_service_title_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"item_typo_content_service_title_text_transform\":\"uppercase\"},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e928015\",\"elType\":\"section\",\"settings\":{\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Map\",\"structure\":\"20\"},\"elements\":[{\"id\":\"16ef5e4\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"%\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"c257ec5\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<iframe src=\\\"https:\\/\\/www.google.com\\/maps\\/embed?pb=!1m18!1m12!1m3!1d2911.206061466467!2d6.018033785705561!3d43.14220203542224!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x12c919ae19dc1ca1%3A0x87e8d3c2e80ce6bc!2s1024%20Chem.%20des%20Plantades%2C%2083130%20La%20Garde!5e0!3m2!1sfr!2sfr!4v1686144402537!5m2!1sfr!2sfr\\\" width=\\\"600\\\" height=\\\"450\\\" style=\\\"border:0;\\\" allowfullscreen=\\\"\\\" loading=\\\"lazy\\\" referrerpolicy=\\\"no-referrer-when-downgrade\\\"><\\/iframe>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false},{\"id\":\"e90978b\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"%\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"3f560cd\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"<iframe src=\\\"https:\\/\\/www.google.com\\/maps\\/embed?pb=!1m14!1m8!1m3!1d10505.142901964264!2d2.2907891!3d48.8336884!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47e66fc3ecdbffff%3A0xe60ffe96ef32a710!2sKOOK%20AGENCY!5e0!3m2!1sfr!2sfr!4v1686062262197!5m2!1sfr!2sfr\\\" width=\\\"600\\\" height=\\\"450\\\" style=\\\"border:0;\\\" allowfullscreen=\\\"\\\" loading=\\\"lazy\\\" referrerpolicy=\\\"no-referrer-when-downgrade\\\"><\\/iframe>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("587", "3857", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("589", "3857", "_elementor_page_settings", "a:6:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:17:\"dsn_footer_bg_svg\";s:24:\"dsn-icon-assistant-color\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("698", "4242", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("699", "4242", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("700", "4242", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("701", "4242", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("702", "4242", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("703", "4242", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("704", "4242", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("705", "4242", "_elementor_page_settings", "a:5:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("706", "4242", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("707", "4242", "_elementor_data", "[{\"id\":\"1f22f7e\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.35,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"d546ffb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9fa9d09\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>Le <b>blog<\\/b><\\/span>\\n<img class=\\\"trait10\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait10{width:85%;padding-left:27%;}\\nb:hover{\\ncolor: #f3bc34;\\n}\\n@media only screen and (max-width: 370px)  {\\n.trait{display:none;}\\n.trait10{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"ad76f2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nous vous donnons des conseils bas\\u00e9 sur notre exp\\u00e9rience et la FoodTech\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"69fac9a\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Commencez maintenant\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"d27f7a0\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"%\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"9df2d08\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7008017\",\"elType\":\"widget\",\"settings\":{\"post_per_page\":4,\"image_size\":\"full\",\"font_size\":\"title-h2\",\"show_excerpt\":\"1\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" || \",\"show_link\":\"\",\"text_link\":\"View Case\",\"pagination_type\":\"ajax\",\"next_post\":\"NEXT\",\"prev_post\":\"PREV\",\"load_more_post\":\"VOIR PLUS\",\"no_more_post\":\"No More\",\"pagination_justify_content\":\"center\",\"filter_title\":\"FILTRER\",\"all_filter\":\"TOUS\",\"start_up_title\":\"OUR\",\"start_down_title\":\"WORK\",\"end_up_title\":\"AWESOME\",\"end_down_title\":\"DESIGNS\",\"row_layout_gap\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"animate_image\":\"box-image-parallax\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"excerpt_length\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"filter_bar\":\"1\",\"item_typo_content_post-title_typography\":\"custom\",\"item_typo_content_post-title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("708", "4242", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("709", "4242", "_elementor_page_settings", "a:5:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("710", "4242", "_elementor_data", "[{\"id\":\"1f22f7e\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.35,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"d546ffb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9fa9d09\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>Le <b>blog<\\/b><\\/span>\\n<img class=\\\"trait10\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait10{width:85%;padding-left:27%;}\\nb:hover{\\ncolor: #f3bc34;\\n}\\n@media only screen and (max-width: 370px)  {\\n.trait{display:none;}\\n.trait10{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"ad76f2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nous vous donnons des conseils bas\\u00e9 sur notre exp\\u00e9rience et la FoodTech\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"69fac9a\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Commencez maintenant\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"d27f7a0\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"%\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"9df2d08\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7008017\",\"elType\":\"widget\",\"settings\":{\"post_per_page\":4,\"image_size\":\"full\",\"font_size\":\"title-h2\",\"show_excerpt\":\"1\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" || \",\"show_link\":\"\",\"text_link\":\"View Case\",\"pagination_type\":\"ajax\",\"next_post\":\"NEXT\",\"prev_post\":\"PREV\",\"load_more_post\":\"VOIR PLUS\",\"no_more_post\":\"No More\",\"pagination_justify_content\":\"center\",\"filter_title\":\"FILTRER\",\"all_filter\":\"TOUS\",\"start_up_title\":\"OUR\",\"start_down_title\":\"WORK\",\"end_up_title\":\"AWESOME\",\"end_down_title\":\"DESIGNS\",\"row_layout_gap\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"animate_image\":\"box-image-parallax\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"excerpt_length\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"filter_bar\":\"1\",\"item_typo_content_post-title_typography\":\"custom\",\"item_typo_content_post-title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("711", "4242", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("884", "6180", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("885", "6180", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("886", "6180", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("887", "6180", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("888", "6180", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("889", "6180", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("890", "6180", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("891", "6180", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("892", "6180", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("893", "6180", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("894", "6180", "_elementor_data", "[{\"id\":\"866fd4d\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9cd2995\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"d29b1bc\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":75,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"dMFH6cSY\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"section-margin\",\"html_tag\":\"div\",\"_title\":\"about section\"},\"elements\":[{\"id\":\"6aa300fd\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"172e2968\",\"elType\":\"widget\",\"settings\":{\"width_mask\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"%\",\"size\":37,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[{\"_id\":\"6ba2f5b\",\"key\":\"custom\",\"custom\":\"scale\",\"value\":\"0.7\"}],\"items_to\":[{\"_id\":\"f702d41\",\"key\":\"custom\",\"custom\":\"scale\",\"value\":\"1\"}],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"hide_mobile\":\"hidden-mobile\",\"use_scrub\":\"2\"},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"54b9c351\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"z_index\":1,\"html_tag\":\"div\",\"_title\":\"content\"},\"elements\":[{\"id\":\"68501dcf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"z_index\":1,\"_title\":\"info\",\"margin\":{\"unit\":\"%\",\"top\":\"8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"33a7dc6b\",\"elType\":\"widget\",\"settings\":{\"title\":\"PHOTOS THAT <b>ARE ADMIRED<\\/b>\\n\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"span\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"custom\",\"title_color_group\":\"#02010100\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"29d33e5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00c9SEAUX\",\"font_size\":\"title\",\"dsn_html_tag\":\"span\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-mobile\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"3cd0af4e\",\"elType\":\"widget\",\"settings\":{\"title\":\"<b>SOCIAUX<\\/b>\",\"font_size\":\"title\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"hide_mobile\":\"hidden-mobile\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"3f98ad1c\",\"elType\":\"widget\",\"settings\":{\"title\":\"ADMIRED\\n\",\"font_size\":\"title\",\"dsn_html_tag\":\"span\",\"title_color\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-mobile\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color_group\":\"#02010100\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"ec9222f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nous optimisons<br> les r\\u00e9seaux sociaux de<br> votre restaurant !\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"p\",\"align\":\"right\",\"align_mobile\":\"left\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"-50\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"259f97f\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"EN SAVOIR PLUS\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"hide_tablet\":\"hidden-tablet\",\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true},{\"id\":\"14871fe5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"60\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"image\"},\"elements\":[{\"id\":\"740b2aa\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DIVINO_MR_046-scaled.jpg\",\"id\":12924,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":60,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\",\"width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"28074285\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LABUCHERIE_MR_10-scaled.jpg\",\"id\":12926,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"object-fit\":\"cover\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_z_index\":0,\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"23609a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"d09e40f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2fcfbff\",\"elType\":\"widget\",\"settings\":{\"title\":\"On s\'occupe de tout !\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"debbfb8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>GESTION DE VOS <b>R\\u00c9SEAUX<\\/b><\\/span>\\n<img class=\\\"trait11\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait11{width:100%;padding-left:65%;}\\n@media only screen and (max-width: 906px)  {\\n.trait11{display: none;}\\n.trait{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89eaa90\",\"elType\":\"widget\",\"settings\":{\"title\":\"Vous n\\u2019avez pas le temps de vous occuper de vos r\\u00e9seaux sociaux ? Vous ne savez pas comment obtenir plus de followers ? Comment obtenir un meilleur taux d\\u2019engagement avec plus de likes et plus de commentaires ? <b>On est l\\u00e0 pour vous !<\\/b> Nos experts Facebook et Instagram boostent votre visibilit\\u00e9 sur les r\\u00e9seaux sociaux \\u00e0 travers <b>une strat\\u00e9gie unique<\\/b>.\\n<br><br>\\nPhotographes, vid\\u00e9astes, motion designers, r\\u00e9dacteurs ! Notre \\u00e9quipe de production est en veille permanente pour vous apporter <b>une approche avant-gardiste et soign\\u00e9e !<\\/b> Nous ne manquons pas d\\u2019imagination alors n\\u2019h\\u00e9sitez pas \\u00e0 leur confier vos r\\u00e9seaux sociaux !\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f3b1f07\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"caccc95\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"html_tag\":\"div\",\"_title\":\"about section\"},\"elements\":[{\"id\":\"0c127f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"aad07d4\",\"elType\":\"widget\",\"settings\":{\"background_mask\":\"background-main\",\"width_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"calc_width_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_height_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"image_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"16359b1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0a569d6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"7cc6093\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/WhatsApp-Image-2023-06-06-a-09.56.49.jpg\",\"id\":12920,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ba7b655\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DIVINO_MR_045-scaled.jpg\",\"id\":12927,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"120\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"9a7297c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"30\",\"bottom\":\"80\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"235886d\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00e9seaux d\\u2019influenceurs <b>& Jeux concours<\\/b>\",\"description\":\"Un atout\",\"dsn_html_tag\":\"span\",\"align\":\"\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"dsn_line_description\":\"circle-before\",\"_margin\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"90\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"e483888\",\"elType\":\"widget\",\"settings\":{\"title\":\"B\\u00e9n\\u00e9ficiez de notre r\\u00e9seaux d\\u2019influenceurs pour animer efficacement vos r\\u00e9seaux sociaux.\\n<br><br>\\n<b>Atteignez vos cibles avec une strat\\u00e9gie d\\u2019influence digitale multicanal. <\\/b>Engagez la discussion sur les toutes les plateformes qui les inspirent pour choisir leur restaurant (Facebook, Instagram, Snapchat, blog).\\n<br><br>\\nNous adaptons le d\\u00e9ploiement de la campagne en fonction de vos objectifs quantitatifs de prospects \\u00e0 toucher. Nous travaillons avec un r\\u00e9seau de 500 influenceurs Food et Lifestyle et en cumulant les communaut\\u00e9s de plusieurs influenceurs, vous pouvez rapidement atteindre des milliers, des centaines de milliers voire des millions de personnes.\\n<br><br>\\n<b>Une segmentation tr\\u00e8s fine des cibles vis\\u00e9es permet d\\u2019adresser le message aux personnes r\\u00e9ellement susceptibles d\\u2019\\u00eatre clientes de votre \\u00e9tablissement<\\/b> (mode d\\u2019alimentation, go\\u00fbt, budget, ambiance de votre lieu\\u2026). L\\u2019audience qui re\\u00e7oit le message est hautement qualifi\\u00e9e (profils socio culturels, go\\u00fbts, r\\u00e9gimes alimentaires, habitudes de consommation) et r\\u00e9ceptive car elle fait confiance \\u00e0 l\\u2019influenceur.\\n<br><br>\\n<b>Organisation de jeux concours<\\/b> Nous organisons pour vous des jeux concours par l\\u2019interm\\u00e9diaire d\\u2019influenceurs pour dynamiser votre compte Instagram et obtenir plus de followers et de visites dans votre restaurant.\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"120\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"7765291\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"PRENDRE UN RENDEZ-VOUS\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"PRENDRE UN RENDEZ-VOUS\",\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"e44fc13\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/AV_FUERO_10-scaled.jpg\",\"id\":12928,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("895", "6180", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("896", "6180", "_elementor_data", "[{\"id\":\"866fd4d\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9cd2995\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"d29b1bc\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":75,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"dMFH6cSY\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"section-margin\",\"html_tag\":\"div\",\"_title\":\"about section\"},\"elements\":[{\"id\":\"6aa300fd\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"172e2968\",\"elType\":\"widget\",\"settings\":{\"width_mask\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"%\",\"size\":37,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[{\"_id\":\"6ba2f5b\",\"key\":\"custom\",\"custom\":\"scale\",\"value\":\"0.7\"}],\"items_to\":[{\"_id\":\"f702d41\",\"key\":\"custom\",\"custom\":\"scale\",\"value\":\"1\"}],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"hide_mobile\":\"hidden-mobile\",\"use_scrub\":\"2\"},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"54b9c351\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"z_index\":1,\"html_tag\":\"div\",\"_title\":\"content\"},\"elements\":[{\"id\":\"68501dcf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"z_index\":1,\"_title\":\"info\",\"margin\":{\"unit\":\"%\",\"top\":\"8\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"33a7dc6b\",\"elType\":\"widget\",\"settings\":{\"title\":\"PHOTOS THAT <b>ARE ADMIRED<\\/b>\\n\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"span\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"custom\",\"title_color_group\":\"#02010100\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"29d33e5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00c9SEAUX\",\"font_size\":\"title\",\"dsn_html_tag\":\"span\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-mobile\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"3cd0af4e\",\"elType\":\"widget\",\"settings\":{\"title\":\"<b>SOCIAUX<\\/b>\",\"font_size\":\"title\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"hide_mobile\":\"hidden-mobile\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"3f98ad1c\",\"elType\":\"widget\",\"settings\":{\"title\":\"ADMIRED\\n\",\"font_size\":\"title\",\"dsn_html_tag\":\"span\",\"title_color\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-mobile\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color_group\":\"#02010100\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"ec9222f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nous optimisons<br> les r\\u00e9seaux sociaux de<br> votre restaurant !\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"p\",\"align\":\"right\",\"align_mobile\":\"left\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"-50\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"259f97f\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"EN SAVOIR PLUS\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"hide_tablet\":\"hidden-tablet\",\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true},{\"id\":\"14871fe5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"60\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"image\"},\"elements\":[{\"id\":\"740b2aa\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DIVINO_MR_046-scaled.jpg\",\"id\":12924,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":60,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\",\"width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"28074285\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LABUCHERIE_MR_10-scaled.jpg\",\"id\":12926,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"object-fit\":\"cover\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_z_index\":0,\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"23609a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"d09e40f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2fcfbff\",\"elType\":\"widget\",\"settings\":{\"title\":\"On s\'occupe de tout !\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"debbfb8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>GESTION DE VOS <b>R\\u00c9SEAUX<\\/b><\\/span>\\n<img class=\\\"trait11\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait11{width:100%;padding-left:65%;}\\n@media only screen and (max-width: 906px)  {\\n.trait11{display: none;}\\n.trait{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89eaa90\",\"elType\":\"widget\",\"settings\":{\"title\":\"Vous n\\u2019avez pas le temps de vous occuper de vos r\\u00e9seaux sociaux ? Vous ne savez pas comment obtenir plus de followers ? Comment obtenir un meilleur taux d\\u2019engagement avec plus de likes et plus de commentaires ? <b>On est l\\u00e0 pour vous !<\\/b> Nos experts Facebook et Instagram boostent votre visibilit\\u00e9 sur les r\\u00e9seaux sociaux \\u00e0 travers <b>une strat\\u00e9gie unique<\\/b>.\\n<br><br>\\nPhotographes, vid\\u00e9astes, motion designers, r\\u00e9dacteurs ! Notre \\u00e9quipe de production est en veille permanente pour vous apporter <b>une approche avant-gardiste et soign\\u00e9e !<\\/b> Nous ne manquons pas d\\u2019imagination alors n\\u2019h\\u00e9sitez pas \\u00e0 leur confier vos r\\u00e9seaux sociaux !\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f3b1f07\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"caccc95\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"html_tag\":\"div\",\"_title\":\"about section\"},\"elements\":[{\"id\":\"0c127f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"aad07d4\",\"elType\":\"widget\",\"settings\":{\"background_mask\":\"background-main\",\"width_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"calc_width_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_height_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"image_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"16359b1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0a569d6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"7cc6093\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/WhatsApp-Image-2023-06-06-a-09.56.49.jpg\",\"id\":12920,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ba7b655\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DIVINO_MR_045-scaled.jpg\",\"id\":12927,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"120\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"9a7297c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"30\",\"bottom\":\"80\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"235886d\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00e9seaux d\\u2019influenceurs <b>& Jeux concours<\\/b>\",\"description\":\"Un atout\",\"dsn_html_tag\":\"span\",\"align\":\"\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"dsn_line_description\":\"circle-before\",\"_margin\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"90\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"e483888\",\"elType\":\"widget\",\"settings\":{\"title\":\"B\\u00e9n\\u00e9ficiez de notre r\\u00e9seaux d\\u2019influenceurs pour animer efficacement vos r\\u00e9seaux sociaux.\\n<br><br>\\n<b>Atteignez vos cibles avec une strat\\u00e9gie d\\u2019influence digitale multicanal. <\\/b>Engagez la discussion sur les toutes les plateformes qui les inspirent pour choisir leur restaurant (Facebook, Instagram, Snapchat, blog).\\n<br><br>\\nNous adaptons le d\\u00e9ploiement de la campagne en fonction de vos objectifs quantitatifs de prospects \\u00e0 toucher. Nous travaillons avec un r\\u00e9seau de 500 influenceurs Food et Lifestyle et en cumulant les communaut\\u00e9s de plusieurs influenceurs, vous pouvez rapidement atteindre des milliers, des centaines de milliers voire des millions de personnes.\\n<br><br>\\n<b>Une segmentation tr\\u00e8s fine des cibles vis\\u00e9es permet d\\u2019adresser le message aux personnes r\\u00e9ellement susceptibles d\\u2019\\u00eatre clientes de votre \\u00e9tablissement<\\/b> (mode d\\u2019alimentation, go\\u00fbt, budget, ambiance de votre lieu\\u2026). L\\u2019audience qui re\\u00e7oit le message est hautement qualifi\\u00e9e (profils socio culturels, go\\u00fbts, r\\u00e9gimes alimentaires, habitudes de consommation) et r\\u00e9ceptive car elle fait confiance \\u00e0 l\\u2019influenceur.\\n<br><br>\\n<b>Organisation de jeux concours<\\/b> Nous organisons pour vous des jeux concours par l\\u2019interm\\u00e9diaire d\\u2019influenceurs pour dynamiser votre compte Instagram et obtenir plus de followers et de visites dans votre restaurant.\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"120\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"7765291\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"PRENDRE UN RENDEZ-VOUS\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"PRENDRE UN RENDEZ-VOUS\",\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"e44fc13\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/AV_FUERO_10-scaled.jpg\",\"id\":12928,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("897", "6180", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("898", "6206", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("899", "6206", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("900", "6206", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("901", "6206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("902", "6206", "_elementor_page_settings", "a:15:{s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"dsn_footer_bg_ver_svg\";s:6:\"v-dark\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:21:\"background_attachment\";s:5:\"fixed\";s:15:\"show_box_shadow\";s:0:\"\";s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1;s:5:\"sizes\";a:0:{}}s:12:\"custom_title\";s:21:\"MODERN CITY BUILDINGS\";s:8:\"subtitle\";s:161:\"<span class=\"max-w570\">\nWe’ve taken care of all the digital boring details, so you can take care of your online business grow and clients satisfaction.\n</span>\";s:11:\"show_header\";s:0:\"\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("903", "6206", "_elementor_data", "[{\"id\":\"3a166ed\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"service\"},\"elements\":[{\"id\":\"2df0672\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"096b955\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00e9seaux sociaux\",\"description\":\"Nos tarifs\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"082bbc3\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"<span class=\\\"easy\\\">LE PETIT CHEF<\\/span><br><br> 499 \\u20ac HT\\/MOIS <\\/b><br><span class=\\\"tarif_subtitle\\\">Engagement 12 mois<\\/span>\",\"description\":\"<ul><li>\\u2713\\u00a0 3 shootings photos + 6 vid\\u00e9os (Reels Instagram) par an offert<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>12 publications (6 Facebook &amp; 6 Instagram) par mois<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Cr\\u00e9ation de 1 story par semaine<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>1 campagne publicitaire Facebook &amp; Instagram Ads<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>29 \\u20ac de budget publicitaire offert (inclus tous les mois)<\\/li><\\/ul>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"<span class=\\\"up\\\">CHEF OUI CHEF<\\/span><br><br> 799 \\u20ac HT\\/MOIS <\\/b><br><span class=\\\"tarif_subtitle\\\">Engagement 12 mois<\\/span>\",\"description\":\"<ul><li>\\u2713\\u00a0 4 shootings photos + 8 vid\\u00e9os (Reels Instagram) par an offert<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>16 publications (8 Facebook &amp; 8 Instagram) par mois<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Cr\\u00e9ation de 3 stories par semaine<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Repartage des stories clients<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>2 campagnes Facebook &amp; Instagram Ads<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>35 \\u20ac de budget publicitaire offert (inclus tous les mois)<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Strat\\u00e9gie d\\u2019acquisition d\\u2019abonn\\u00e9s<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>2 jeux concours par an<\\/li><\\/ul>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"<span class=\\\"clickAndKook\\\">TOP CHEF<\\/span><br><br> 1299 \\u20ac HT\\/MOIS <\\/b><br><span class=\\\"tarif_subtitle\\\">Engagement 12 mois<\\/span>\",\"description\":\"<ul><li>\\u2713\\u00a0 6 shootings photos + 12 vid\\u00e9os (Reels Instagram) par an offert<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>24 publications (12 Facebook &amp; 12 Instagram) par mois<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>1 vid\\u00e9o Tiktok par mois<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Cr\\u00e9ation de 4 stories par semaine<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>3 campagnes Facebook &amp; Instagram Ads<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>90 \\u20ac de budget publicitaire offert (inclus tous les mois)<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Strat\\u00e9gie d\\u2019acquisition d\\u2019abonn\\u00e9s<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Mise en relation avec des influenceurs<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>4 jeux concours par an<\\/li><\\/ul>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"}],\"align\":\"center\",\"bg_btn\":\"background-section\",\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"space_service_description\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"line_service_item\":\"border-top pt-20 border-bottom pb-20 mb-20\"},\"elements\":[],\"widgetType\":\"dsn_service\"},{\"id\":\"7bc4ceb\",\"elType\":\"widget\",\"settings\":{\"html\":\"<style>\\n    .easy{\\n        color: #69808c;\\n    }\\n    .up{\\n        color: #f98d5e;\\n    }\\n    .clickAndKook{\\n        color: #cfa54b;\\n    }\\n    .tarif_subtitle{\\n        font-size: 13px;\\n        font-weight: 300;\\n    }\\n<\\/style>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"372f7d0\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"service\"},\"elements\":[{\"id\":\"9d583ac\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0c6e5d9\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sites web\",\"description\":\"Nos tarifs\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"4a8eb3c\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"<span class=\\\"easy\\\">Pack EASY KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 59 HT \\u20ac\\/ mois\",\"description\":\"<ul><li>\\u2713\\u00a0 Int\\u00e9gration de votre carte \\/ menu<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Optimisation de votre site pour<br \\/>les mobiles et tablettes<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Liaisons aux r\\u00e9seaux sociaux<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>H\\u00e9bergement &amp; maintenance inclus<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Statistiques visite, clics, pages<br \\/>consult\\u00e9s\\u2026<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Bo\\u00eete mail professionnelle en<br \\/>@votre-resto.fr<\\/li><\\/ul>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"<span class=\\\"up\\\">Pack UP KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 79 HT \\u20ac\\/mois\",\"description\":\"<ul><li>\\u2713\\u00a0 Int\\u00e9gration de votre carte \\/ menu<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 \\u00a0<\\/i>Optimisation de votre site pour<br \\/>les mobiles et tablettes<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Liaisons aux r\\u00e9seaux sociaux<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>H\\u00e9bergement &amp; maintenance inclus<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Statistiques visite, clics, pages<br \\/>consult\\u00e9s\\u2026<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Bo\\u00eete mail professionnelle en<br \\/>@votre-resto.fr<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i><strong>Charte graphique sur-mesure<\\/strong><\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i><strong>R\\u00e9servation en ligne<\\/strong><\\/li><\\/ul>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"<span class=\\\"clickAndKook\\\">Pack CLICK & KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 99 \\u20ac HT \\/mois\",\"description\":\"<ul><li>\\u2713\\u00a0 Int\\u00e9gration de votre carte \\/ menu<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Optimisation de votre site pour<br \\/>les mobiles et tablettes<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Liaisons aux r\\u00e9seaux sociaux<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>H\\u00e9bergement &amp; maintenance inclus<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Statistiques visite, clics, pages<br \\/>consult\\u00e9s\\u2026<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Bo\\u00eete mail professionnelle en<br \\/>@votre-resto.fr<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>Charte graphique sur-mesure<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i>R\\u00e9servation en ligne<\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i><strong>Click &amp; Collect &amp; Paiement en ligne<\\/strong><\\/li><li><i class=\\\"sui sui-check\\\">\\u2713\\u00a0 <\\/i><strong>Optimisation du r\\u00e9f\\u00e9rencement naturel<\\/strong><\\/li><li>\\u00a0<\\/li><\\/ul>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"}],\"align\":\"center\",\"bg_btn\":\"background-section\",\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"space_service_description\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"line_service_item\":\"border-top pt-20 border-bottom pb-20 mb-20\"},\"elements\":[],\"widgetType\":\"dsn_service\"},{\"id\":\"140e238\",\"elType\":\"widget\",\"settings\":{\"html\":\"<style>\\n    .easy{\\n        color: #69808c;\\n    }\\n    .up{\\n        color: #f98d5e;\\n    }\\n    .clickAndKook{\\n        color: #cfa54b;\\n    }\\n<\\/style>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("904", "6206", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("905", "6206", "_thumbnail_id", "7221");
INSERT INTO `wp_postmeta` VALUES("948", "10485", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("949", "10485", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("950", "10485", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("951", "10485", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("952", "10485", "_elementor_page_settings", "a:11:{s:7:\"menu_id\";s:13:\"blackdsn-menu\";s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:13:\"dsn_footer_bg\";s:22:\"background-transparent\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:101:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg.png\";s:2:\"id\";i:6422;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:21:\"background_attachment\";s:5:\"fixed\";}");
INSERT INTO `wp_postmeta` VALUES("953", "10485", "_elementor_data", "[{\"id\":\"73b9a4f\",\"elType\":\"section\",\"settings\":{\"image\":{\"url\":\"\",\"id\":\"\",\"source\":\"url\"},\"opacity_overlay\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"column_position\":\"stretch\",\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"5ff465f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c5ffc61\",\"elType\":\"widget\",\"settings\":{\"width_mask\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"calc_width_mask\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"top_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":-100,\"sizes\":[]},\"margin_top_mask\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg.png\",\"id\":6422,\"alt\":\"\",\"source\":\"library\"},\"_position\":\"absolute\",\"_z_index\":0,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"1f6152c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"\\/\\/dsngrid.com\\/images\\/wp\\/blackdsn\\/bg.jpg\",\"id\":\"\",\"source\":\"url\"},\"caption\":\"Enter your image caption\",\"opacity_overlay_popover\":\"yes\",\"opacity_overlay\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"animate_image_triggerhook\":\"top\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_position\":\"absolute\",\"_z_index\":0,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1128c18\",\"elType\":\"widget\",\"settings\":{\"video_type\":\"hosted\",\"youtube_url\":\"https:\\/\\/www.youtube.com\\/watch?v=XHOmBV4js_E\",\"vimeo_url\":\"https:\\/\\/vimeo.com\\/235215203\",\"dailymotion_url\":\"https:\\/\\/www.dailymotion.com\\/video\\/x6tqhqb\",\"hosted_url\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/Design-sans-titre-1.mp4\",\"id\":13032,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"autoplay\":\"yes\",\"play_on_mobile\":\"yes\",\"mute\":\"yes\",\"loop\":\"yes\",\"css_filters_css_filter\":\"custom\",\"css_filters_blur\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"css_filters_brightness\":{\"unit\":\"px\",\"size\":86,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"video\"},{\"id\":\"0b02c43\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"contant\",\"background_dsn_style_ver\":\"v-dark-head\",\"margin\":{\"unit\":\"%\",\"top\":\"3\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"z_index\":1},\"elements\":[{\"id\":\"ea36c75\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":30,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"aec7d26\",\"elType\":\"widget\",\"settings\":{\"title\":\"L\'agence de communication des restaurateurs\",\"font_size\":\"title\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"vw\",\"size\":4.5,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_font_weight\":\"bold\",\"title_Text_shadow_text_shadow_type\":\"yes\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_text_transform\":\"uppercase\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"201e5af\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"73a7007\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":23,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":25},\"elements\":[{\"id\":\"51227d2\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"D\\u00e9marrer maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"type_link\":\"1\",\"link_post_id\":\"3857\",\"typography_text_typography\":\"custom\",\"typography_text_font_family\":\"League Spartan\",\"typography_text_font_size_tablet\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]},\"typography_text_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true},{\"id\":\"2fc24bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":77,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"cd63002\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Prendre un rendez-vous\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"},\"typography_text_typography\":\"custom\",\"typography_text_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"73efee9\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"overflow\":\"hidden\",\"gap\":\"no\",\"_title\":\"about Section\"},\"elements\":[{\"id\":\"482de9f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":40,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"60\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"Information\"},\"elements\":[{\"id\":\"5be68d8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>Notre <b class=\\\"b_trait1\\\">expertise<\\/b><\\/span>\\n<style>.b_trait1:hover{color:#f3bc34;<\\/style>\",\"font_size\":\"title-h2\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"1023db5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Confiez vos r\\u00e9seaux sociaux \\u00e0 des chefs !\",\"font_size\":\"sm-title-block\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"theme-color\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f330016\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nous sommes constamment \\u00e0 l\'aff\\u00fbt des derni\\u00e8res tendances, des opportunit\\u00e9s virales et des partenariats influents pour vous garantir une visibilit\\u00e9 maximale. Laissez-nous prendre les r\\u00eanes de votre strat\\u00e9gie sur les r\\u00e9seaux sociaux et pr\\u00e9parez-vous \\u00e0 une v\\u00e9ritable r\\u00e9volution\\u00a0digitale\\u00a0!\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"90d65df\",\"elType\":\"widget\",\"settings\":{\"text\":\"D\\u00c9COUVRIR PLUS\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"6180\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"STUDIO\",\"button_text_color\":\"heading-color\",\"typography_text_typography\":\"custom\",\"typography_text_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false},{\"id\":\"ea928c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":60,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":50,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"Images\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"56ebdcb\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/PORTRAITKOOK-15-2-scaled.jpg\",\"id\":12618,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"caption\":\"Enter your image caption\",\"opacity_overlay_popover\":\"yes\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"60\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"effect_open_image\":\"dsn-animate dsn-effect-right\",\"custom_position_mobile\":\"relative\",\"height_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"image_border_radius_tablet\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"_title\":\"Bg Image\"},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"bd1b48e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/impronta_restaurant-1-1.jpg\",\"id\":12004,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"medium\",\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":190,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":2,\"unit\":\"px\"},\"_offset_y\":{\"size\":30,\"unit\":\"px\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"object-fit\":\"cover\",\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"hide_mobile\":\"hidden-mobile\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"0564e99\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/thank-me_after-min-1-1.jpg\",\"id\":12005,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"medium_large\",\"align\":\"left\",\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":190,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":20,\"unit\":\"px\"},\"_offset_orientation_v\":\"end\",\"_offset_y\":{\"size\":143,\"unit\":\"px\"},\"_offset_y_end\":{\"size\":0,\"unit\":\"px\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"object-fit\":\"cover\",\"css_filters_brightness\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"css_filters_contrast\":{\"unit\":\"px\",\"size\":96,\"sizes\":[]},\"hide_mobile\":\"hidden-mobile\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"15878cb\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"service\"},\"elements\":[{\"id\":\"f95a782\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9c3f1da\",\"elType\":\"widget\",\"settings\":{\"title\":\"Principaux\",\"font_size\":\"title\",\"dsn_html_tag\":\"h6\",\"align\":\"center\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_position\":\"absolute\",\"_z_index\":0,\"use_motion_effect\":\"1\",\"use_scrub\":\"1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[{\"_id\":\"17a24f4\",\"key\":\"y\",\"value\":\"-120\"},{\"key\":\"opacity\",\"value\":\"0.01\",\"_id\":\"8e0d679\"}],\"items_to\":[{\"_id\":\"683ed5e\",\"key\":\"y\"},{\"key\":\"opacity\",\"value\":\"0.1\",\"_id\":\"cb698e9\"}],\"_title\":\"Title Cover\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"5744668\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nos services\",\"description\":\"principaux\",\"direction\":\"\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"c8263f7\",\"elType\":\"widget\",\"settings\":{\"layout_style\":\"dsn-masonry-grid dsn-isotope\",\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":\"fas fa-desktop\",\"library\":\"fa-solid\"},\"title\":\"CR\\u00c9ATION DE SITE WEB\",\"description\":\"<p>Gagnez en visibilit\\u00e9 et faites d\\u00e9couvrir votre savoir-faire !<\\/p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":\"fas fa-users\",\"library\":\"fa-solid\"},\"title\":\"R\\u00c9SEAUX SOCIAUX\",\"description\":\"<p>Attirez de nouveaux clients dans votre restaurant !<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":\"fas fa-camera\",\"library\":\"fa-solid\"},\"title\":\"SHOOTING PHOTO\",\"description\":\"<p>Il est temps de faire saliver vos clients !<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"}],\"align\":\"center\",\"bg_btn\":\"background-section\",\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_style_color\":\"#FFFFFF\",\"icon_color\":\"#FFFFFF\",\"item_typo_content_service_title_typography\":\"custom\",\"item_typo_content_service_title_font_family\":\"League Spartan\",\"item_typo_content_service_description_typography\":\"custom\",\"item_typo_content_service_description_font_family\":\"League Spartan\",\"item_typo_content_service_description_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ee4887a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-left-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"-80\",\"left\":0,\"isLinked\":false},\"_title\":\"box info\"},\"elements\":[{\"id\":\"bd387a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"Image\"},\"elements\":[{\"id\":\"810e54d\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/Kook-Studio-2022-4-1-scaled.jpg\",\"id\":12009,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption\":\"Caption #1\",\"opacity_overlay_popover\":\"yes\",\"opacity_overlay\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-left\",\"size_img_popup_size\":\"full\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"custom_position_tablet\":\"relative\",\"height_tablet\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"position_image_position_x\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false},{\"id\":\"910e525\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"dsn_col_margin\":\"section-margin\",\"background_dsn_style\":\"background-section\",\"_inline_size\":30,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-164\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"80\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"30\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false},\"_title\":\"information\"},\"elements\":[{\"id\":\"a847b21\",\"elType\":\"widget\",\"settings\":{\"width_mask\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"calc_width_mask\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":-100,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"bedeb93\",\"elType\":\"widget\",\"settings\":{\"title\":\"Le recette du succ\\u00e8s \",\"font_size\":\"title-h2\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"0c4f11f\",\"elType\":\"widget\",\"settings\":{\"title\":\"En tant qu\'experts de la Food et de la communication, nous nous engageons \\u00e0 vous accompagner avec rigueur pour propulser votre visibilit\\u00e9 en ligne et sur les r\\u00e9seaux sociaux vers de nouveaux horizons. Notre approche m\\u00e9ticuleuse garantit des r\\u00e9sultats concrets et mesurables, entra\\u00eenant une croissance remarquable de votre chiffre d\'affaires. \\n<br><br>\\nFaites \\u00e9quipe avec nous et d\\u00e9couvrez comment notre travail acharn\\u00e9 et notre d\\u00e9vouement \\u00e0 votre succ\\u00e8s peuvent transformer votre restaurant en un v\\u00e9ritable mod\\u00e8le\\u00a0de\\u00a0r\\u00e9ussite.\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"eca231d\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Strat\\u00e9gie personnalis\\u00e9e et unique\",\"_id\":\"a0b02e3\"},{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Cr\\u00e9ation de contenu, des photos\\/vid\\u00e9os et de la sponsorisation\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Gestion des r\\u00e9seaux sociaux\",\"_id\":\"09a68b3\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Influence\",\"_id\":\"27cef10\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"R\\u00e9f\\u00e9rencement Google\",\"_id\":\"18dd0ff\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"e691031\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"EN SAVOIR PLUS\",\"type_link\":\"1\",\"link_post_id\":\"2481\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"with_ajax\":\"effect-ajax\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"button_text_color\":\"heading-color\",\"typography_text_typography\":\"custom\",\"typography_text_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8286423\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"our portfolio\",\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"959876c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ea3ceef\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nos conseils foodtech\",\"font_size\":\"title\",\"dsn_html_tag\":\"h6\",\"align\":\"center\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_position\":\"absolute\",\"_z_index\":0,\"use_motion_effect\":\"1\",\"use_scrub\":\"1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[{\"_id\":\"17a24f4\",\"key\":\"y\",\"value\":\"-120\"},{\"key\":\"opacity\",\"value\":\"0.01\",\"_id\":\"8e0d679\"}],\"items_to\":[{\"_id\":\"683ed5e\",\"key\":\"y\"},{\"key\":\"opacity\",\"value\":\"0.1\",\"_id\":\"cb698e9\"}],\"hide_desktop\":\"hidden-desktop\",\"_title\":\"Title Cover\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"b54867c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nos clients\",\"description\":\"Nos clients\",\"direction\":\"\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"hide_desktop\":\"hidden-desktop\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"61a1e83\",\"elType\":\"widget\",\"settings\":{\"query_post\":\"blackdsn-portfolio\",\"number_blackdsn\":{\"unit\":\"px\",\"size\":2.5,\"sizes\":[]},\"font_size\":\"title-h2\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" &\",\"text_link\":\"Voir plus\",\"next_post\":\"NEXT\",\"prev_post\":\"PREV\",\"load_more_post\":\"Load More\",\"no_more_post\":\"No More\",\"filter_title\":\"Filter\",\"all_filter\":\"All\",\"scroll_horizontal\":\"use-horizontal-scroll\",\"start_section_title\":\"1\",\"width_start\":{\"unit\":\"%\",\"size\":88,\"sizes\":[]},\"start_up_title\":\"NOS\",\"start_down_title\":\"CLIENTS\",\"end_section_title\":\"1\",\"width_end\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"end_up_title\":\"KOOK\",\"end_down_title\":\"AGENCY\",\"col_layout_gap\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"item_typo_content_entry-meta-a_typography\":\"custom\",\"item_typo_content_entry-meta-a_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"box_shadow_head\":\"box-shadow-image\",\"animate_image\":\"box-image-transform\",\"image_size\":\"full\",\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"row_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"show_excerpt\":\"1\",\"post_per_page\":10,\"item_typo_content_post-title_typography\":\"custom\",\"item_typo_content_post-title_font_family\":\"League Spartan\",\"item_typo_content_entry-meta-a_font_family\":\"League Spartan\",\"item_typo_content_section_description_typography\":\"custom\",\"item_typo_content_section_description_font_family\":\"League Spartan\",\"item_typo_content_section_description_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"item_typo_content_dsn-post-link_typography\":\"custom\",\"item_typo_content_dsn-post-link_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_posts\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8198740\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"video\",\"custom_height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"e55b3d4\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0},\"elements\":[{\"id\":\"63dd085\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg.png\",\"id\":6422,\"alt\":\"\",\"source\":\"library\"}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"a43711e\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height_inner\":\"min-height\",\"custom_height_inner\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"custom_height_inner_tablet\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"custom_height_inner_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"content_position\":\"middle\",\"html_tag\":\"div\",\"_title\":\"Inner Section\"},\"elements\":[{\"id\":\"6cdaec4\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0},\"elements\":[{\"id\":\"b38fe5c\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"caption\":\"Enter your image caption\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/MR__4249-2-scaled.jpg\",\"id\":12566,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"opacity_overlay_popover\":\"yes\",\"opacity_overlay\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"opacity\":{\"unit\":\"px\",\"size\":0.6,\"sizes\":[]},\"css_filters_brightness\":{\"unit\":\"px\",\"size\":114,\"sizes\":[]},\"css_filters_css_filter\":\"custom\"},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"6076387\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"bg_ver_btn\":\"v-light-head\",\"bg_btn\":\"background-main\",\"text\":\"PLAY\",\"link\":{\"url\":\"https:\\/\\/vimeo.com\\/832220285\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"},\"justify_content\":\"center\",\"popup_vid\":\"vid\",\"parallax\":\"1\",\"zoom\":\"image-zoom\",\"move_circle\":\"move-circle\",\"width\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"button_text_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2221b14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9b6853d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"dsn_width_layout\":\"dsn-container dsn-right-container\"},\"elements\":[{\"id\":\"045f1e6\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"%\",\"size\":14.5,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":9,\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg.png\",\"id\":6422,\"alt\":\"\",\"source\":\"library\"},\"left_mask_tablet\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"margin_top_mask\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"e700baf\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height_inner\":\"min-height\",\"custom_height_inner\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"custom_height_inner_tablet\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"custom_height_inner_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"content_position\":\"middle\",\"html_tag\":\"div\",\"_title\":\"Inner Section\"},\"elements\":[{\"id\":\"ea1efa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0},\"elements\":[{\"id\":\"8ed3db0\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"caption\":\"Enter your image caption\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/WhatsApp-Image-2023-06-07-a-11.11.05.jpg\",\"id\":13018,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"opacity_overlay_popover\":\"yes\",\"opacity_overlay\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"opacity\":{\"unit\":\"px\",\"size\":0.6,\"sizes\":[]},\"css_filters_brightness\":{\"unit\":\"px\",\"size\":114,\"sizes\":[]},\"css_filters_css_filter\":\"custom\"},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"5f7b0e7\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"bg_ver_btn\":\"v-light-head\",\"bg_btn\":\"background-main\",\"text\":\"PLAY\",\"link\":{\"url\":\"https:\\/\\/vimeo.com\\/832220285\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"},\"justify_content\":\"center\",\"popup_vid\":\"vid\",\"parallax\":\"1\",\"zoom\":\"image-zoom\",\"move_circle\":\"move-circle\",\"width\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"button_text_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"42f33cf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"margin_mobile\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"10577cd\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"%\",\"size\":14.5,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":9,\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg.png\",\"id\":6422,\"alt\":\"\",\"source\":\"library\"},\"width_mask\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"calc_width_mask\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"left_mask\":{\"unit\":\"%\",\"size\":-20,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"margin_top_mask\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"91322f8\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height_inner\":\"min-height\",\"custom_height_inner\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"custom_height_inner_tablet\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"custom_height_inner_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"content_position\":\"middle\",\"html_tag\":\"div\",\"_title\":\"Inner Section\",\"margin\":{\"unit\":\"%\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"21\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"2\",\"bottom\":\"0\",\"left\":\"2\",\"isLinked\":false}},\"elements\":[{\"id\":\"7ee0a1f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"content_position\":\"center\",\"align\":\"flex-start\"},\"elements\":[{\"id\":\"09541df\",\"elType\":\"widget\",\"settings\":{\"title\":\"IL VOUS PARLE DE NOUS !\",\"description\":\"Son avis\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"53954c1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<div class=\\\"et_pb_module et_pb_text et_pb_text_10 et_pb_text_align_left et_pb_bg_layout_light et_had_animation\\\"><div class=\\\"et_pb_text_inner\\\">\\u00a0<\\/div><\\/div><div class=\\\"et_pb_module et_pb_text et_pb_text_11 et_pb_text_align_justified et_pb_bg_layout_light et_had_animation\\\"><div class=\\\"et_pb_text_inner\\\"><p>Jordan de la\\u00a0<strong>Bo\\u00eete \\u00e0 P\\u00e2tes<\\/strong>\\u00a0vous explique son concept et les avantages de collaborer avec nous !<\\/p><\\/div><\\/div>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"typography_typography\":\"custom\",\"typography_font_family\":\"League Spartan\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"89989d3\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"blog\",\"dsn_col_margin\":\"section-margin\"},\"elements\":[{\"id\":\"2dfefb3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"d2602fc\",\"elType\":\"widget\",\"settings\":{\"title\":\"kook\",\"font_size\":\"title\",\"dsn_html_tag\":\"h6\",\"align\":\"center\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_position\":\"absolute\",\"_z_index\":0,\"use_motion_effect\":\"1\",\"use_scrub\":\"1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[{\"_id\":\"17a24f4\",\"key\":\"y\",\"value\":\"-120\"},{\"key\":\"opacity\",\"value\":\"0.01\",\"_id\":\"8e0d679\"}],\"items_to\":[{\"_id\":\"683ed5e\",\"key\":\"y\"},{\"key\":\"opacity\",\"value\":\"0.1\",\"_id\":\"cb698e9\"}],\"_title\":\"Title Cover\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"8f77232\",\"elType\":\"widget\",\"settings\":{\"title\":\"Le blog\",\"description\":\"kook\",\"direction\":\"\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"c746c24\",\"elType\":\"widget\",\"settings\":{\"style_post\":\"classic\",\"image_size\":\"full\",\"show_excerpt\":\"1\",\"meta_data\":[\"date\",\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\", \",\"text_link\":\"VOIR PLUS\",\"height_image\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"height_image_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_image_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"show_navigation\":\"1\",\"show_pagination\":\"bullets\",\"bg_btn\":\"background-transparent\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"post_per_page\":0,\"slidesPerView\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"spaceBetween\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_typo_content_post-title_typography\":\"custom\",\"item_typo_content_post-title_font_family\":\"League Spartan\",\"item_typo_content_entry-meta-a_typography\":\"custom\",\"item_typo_content_entry-meta-a_font_family\":\"League Spartan\",\"item_typo_content_section_description_typography\":\"custom\",\"item_typo_content_section_description_font_family\":\"League Spartan\",\"item_typo_content_section_description_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"item_typo_content_dsn-post-link_typography\":\"custom\",\"item_typo_content_dsn-post-link_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f0ebd4\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg.png\",\"id\":6422,\"alt\":\"\",\"source\":\"library\"}},\"elements\":[{\"id\":\"bcd3750\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f6b1497\",\"elType\":\"widget\",\"settings\":{\"title\":\"Nos partenaires\",\"font_size\":\"title\",\"dsn_html_tag\":\"h6\",\"align\":\"center\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"_position\":\"absolute\",\"_z_index\":0,\"use_motion_effect\":\"1\",\"use_scrub\":\"1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[{\"_id\":\"17a24f4\",\"key\":\"y\",\"value\":\"-120\"},{\"key\":\"opacity\",\"value\":\"0.01\",\"_id\":\"8e0d679\"}],\"items_to\":[{\"_id\":\"683ed5e\",\"key\":\"y\"},{\"key\":\"opacity\",\"value\":\"0.1\",\"_id\":\"cb698e9\"}],\"_title\":\"Title Cover\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"d351488\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ils nous font confiance\",\"description\":\"Nos partenaires\",\"direction\":\"\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"a4e6e3a\",\"elType\":\"widget\",\"settings\":{\"layout_style\":\"dsn-masonry-grid dsn-isotope\",\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"image_size\":\"full\",\"items\":[{\"_id\":\"23978c0\",\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/pongo-1.png\",\"id\":12015,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/logo_primary_light-1-1.png\",\"id\":12016,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_id\":\"194b497\"},{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/partoo_logo-1.png\",\"id\":12017,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_id\":\"0e886c1\"},{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/61378a6aa73744d413238ebf_HEMBLEM-logo2.png\",\"id\":12571,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_id\":\"5330376\"},{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/Logo_WhatisEAT_2021_violet-1.png\",\"id\":12019,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_id\":\"d1d2c9b\"},{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/Meta-Logo-1.png\",\"id\":12020,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_id\":\"79ccdbb\"}],\"bg_ver_btn\":\"v-dark-head\",\"bg_btn\":\"background-transparent\",\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_brand\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("954", "10485", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1013", "11096", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1014", "11096", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("1015", "11096", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("1016", "11096", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1017", "11096", "_elementor_page_settings", "a:4:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:11:\"show_footer\";s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1018", "11096", "_elementor_data", "[{\"id\":\"6d34284\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"89632b0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"e47afbe\",\"elType\":\"widget\",\"settings\":{\"blog_pages_show_at_most\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"text_link\":\"VOIR PLUS\",\"items\":[{\"_id\":\"a5ef68d\",\"post_title\":\"Enter Your Title\",\"description_header\":\"Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias maiores molestias nisi officiis perferendis possimus qui voluptates. Accusantium beatae consequuntur dolorem nam quod reiciendis, tempore!\",\"text_link1\":\"VIEW CASE\",\"text_link2\":\"VIEW CASE\"}],\"show_title_area\":[\"link_with_title\",\"show_category\",\"show_Button1\"],\"parallax\":\"1\",\"parallax_parallax_image\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"show_navigation\":\"1\",\"show_nav_slider\":\"active-nav-slider\",\"show_pagination\":\"1\",\"direction\":\"vertical\",\"loop\":\"1\",\"grabCursor\":\"1\",\"mousewheel\":\"1\",\"align\":\"\",\"justify_content_slider_cat\":\"end\",\"justify_content_slider\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"box_shadow_head\":\"box-shadow-head\"},\"elements\":[],\"widgetType\":\"dsn_slider_project\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1020", "11096", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1111", "11631", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1112", "11631", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1113", "11631", "_menu_item_object_id", "393");
INSERT INTO `wp_postmeta` VALUES("1114", "11631", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1115", "11631", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1116", "11631", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1117", "11631", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1118", "11631", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1119", "11632", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1120", "11632", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1121", "11632", "_menu_item_object_id", "11455");
INSERT INTO `wp_postmeta` VALUES("1122", "11632", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1123", "11632", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1124", "11632", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1125", "11632", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1126", "11632", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1127", "11633", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1128", "11633", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1129", "11633", "_menu_item_object_id", "11440");
INSERT INTO `wp_postmeta` VALUES("1130", "11633", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1131", "11633", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1132", "11633", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1133", "11633", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1134", "11633", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1135", "11634", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1136", "11634", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1137", "11634", "_menu_item_object_id", "4276");
INSERT INTO `wp_postmeta` VALUES("1138", "11634", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1139", "11634", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1140", "11634", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1141", "11634", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1142", "11634", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1143", "11635", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1144", "11635", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1145", "11635", "_menu_item_object_id", "393");
INSERT INTO `wp_postmeta` VALUES("1146", "11635", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1147", "11635", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1148", "11635", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1149", "11635", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1150", "11635", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1151", "11636", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1152", "11636", "_menu_item_menu_item_parent", "11635");
INSERT INTO `wp_postmeta` VALUES("1153", "11636", "_menu_item_object_id", "3398");
INSERT INTO `wp_postmeta` VALUES("1154", "11636", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1155", "11636", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1156", "11636", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1157", "11636", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1158", "11636", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1159", "11637", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1160", "11637", "_menu_item_menu_item_parent", "11422");
INSERT INTO `wp_postmeta` VALUES("1161", "11637", "_menu_item_object_id", "11456");
INSERT INTO `wp_postmeta` VALUES("1162", "11637", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1163", "11637", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1164", "11637", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1165", "11637", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1166", "11637", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1167", "11638", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1168", "11638", "_menu_item_menu_item_parent", "11422");
INSERT INTO `wp_postmeta` VALUES("1169", "11638", "_menu_item_object_id", "4276");
INSERT INTO `wp_postmeta` VALUES("1170", "11638", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1171", "11638", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1172", "11638", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1173", "11638", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1174", "11638", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1175", "11639", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1176", "11639", "_menu_item_menu_item_parent", "11422");
INSERT INTO `wp_postmeta` VALUES("1177", "11639", "_menu_item_object_id", "11452");
INSERT INTO `wp_postmeta` VALUES("1178", "11639", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1179", "11639", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1180", "11639", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1181", "11639", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1182", "11639", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1183", "11640", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1184", "11640", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1185", "11640", "_menu_item_object_id", "11455");
INSERT INTO `wp_postmeta` VALUES("1186", "11640", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1187", "11640", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1188", "11640", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1189", "11640", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1190", "11640", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1191", "11641", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1192", "11641", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1193", "11641", "_menu_item_object_id", "4242");
INSERT INTO `wp_postmeta` VALUES("1194", "11641", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1195", "11641", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1196", "11641", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1197", "11641", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1198", "11641", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5416", "12001", "_wp_attached_file", "2023/05/Design-sans-titre-1.mp4");
INSERT INTO `wp_postmeta` VALUES("5417", "12001", "_wp_attachment_metadata", "a:10:{s:7:\"bitrate\";i:5184455;s:8:\"filesize\";i:7525655;s:9:\"mime_type\";s:15:\"video/quicktime\";s:6:\"length\";i:12;s:16:\"length_formatted\";s:4:\"0:12\";s:5:\"width\";i:1858;s:6:\"height\";i:1114;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:17:\"created_timestamp\";i:-2082844800;}");
INSERT INTO `wp_postmeta` VALUES("1271", "11651", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1272", "11651", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1273", "11651", "_menu_item_object_id", "11440");
INSERT INTO `wp_postmeta` VALUES("1274", "11651", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1275", "11651", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1276", "11651", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1277", "11651", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1278", "11651", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1279", "11652", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1280", "11652", "_menu_item_menu_item_parent", "11635");
INSERT INTO `wp_postmeta` VALUES("1281", "11652", "_menu_item_object_id", "393");
INSERT INTO `wp_postmeta` VALUES("1282", "11652", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1283", "11652", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1284", "11652", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1285", "11652", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1286", "11652", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5386", "11417", "_edit_lock", "1686036399:1");
INSERT INTO `wp_postmeta` VALUES("1391", "11666", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1392", "11666", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1393", "11666", "_menu_item_object_id", "6180");
INSERT INTO `wp_postmeta` VALUES("1394", "11666", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1395", "11666", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1396", "11666", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1397", "11666", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1398", "11666", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5381", "11995", "_wp_attached_file", "2023/05/LOGO-BASELINE-NOIR-1.png");
INSERT INTO `wp_postmeta` VALUES("1439", "11672", "_wp_attached_file", "woocommerce-placeholder.png");
INSERT INTO `wp_postmeta` VALUES("1440", "11672", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:27:\"woocommerce-placeholder.png\";s:8:\"filesize\";i:102644;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"woocommerce-placeholder-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2344;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21117;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12475;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4204;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"woocommerce-placeholder-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1442", "11675", "_wp_attached_file", "2022/08/1-scaled-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1443", "11675", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:22:\"2022/08/1-scaled-4.jpg\";s:8:\"filesize\";i:109669;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"1-scaled-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41903;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"1-scaled-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2162;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"1-scaled-4-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7631;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"1-scaled-4-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5037;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"1-scaled-4-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26026;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"1-scaled-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3311;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"1-scaled-4-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17288;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"1-scaled-4-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48016;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"1-scaled-4-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75530;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"1-scaled-4-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33362;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1445", "11676", "_wp_attached_file", "2019/01/hoodie-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1446", "11676", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:22:\"2019/01/hoodie-2-3.jpg\";s:8:\"filesize\";i:46079;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"hoodie-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1980;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"hoodie-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12547;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"hoodie-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7987;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"hoodie-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3134;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"hoodie-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29350;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1447", "11676", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1448", "11677", "_wp_attached_file", "2022/08/3-8.jpg");
INSERT INTO `wp_postmeta` VALUES("1449", "11677", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/3-8.jpg\";s:8:\"filesize\";i:65785;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"3-8-1024x788.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38964;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"3-8-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2082;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"3-8-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8858;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"3-8-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5956;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"3-8-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30789;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"3-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3043;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"3-8-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20372;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"3-8-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39195;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1451", "11678", "_wp_attached_file", "2019/01/vneck-tee-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1452", "11678", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2019/01/vneck-tee-2-3.jpg\";s:8:\"filesize\";i:49497;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1990;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-3-416x415.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:415;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12443;}s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3146;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"vneck-tee-2-3-768x767.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:767;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29727;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1453", "11678", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vneck-tee-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1454", "11679", "_wp_attached_file", "2019/01/vnech-tee-green-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1455", "11679", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:31:\"2019/01/vnech-tee-green-1-3.jpg\";s:8:\"filesize\";i:102362;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1816;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11741;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7283;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2834;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"vnech-tee-green-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28537;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1456", "11679", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vnech-tee-green-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1457", "11680", "_wp_attached_file", "2019/01/vnech-tee-blue-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1458", "11680", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:30:\"2019/01/vnech-tee-blue-1-3.jpg\";s:8:\"filesize\";i:120226;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1883;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12322;}s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7699;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2989;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"vnech-tee-blue-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30219;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1459", "11680", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/vnech-tee-blue-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1460", "11681", "_wp_attached_file", "2019/01/hoodie-blue-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1461", "11681", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:27:\"2019/01/hoodie-blue-1-3.jpg\";s:8:\"filesize\";i:101298;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1809;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12302;}s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7687;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2916;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:27:\"hoodie-blue-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29102;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1462", "11681", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-blue-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1463", "11682", "_wp_attached_file", "2019/01/hoodie-green-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1464", "11682", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:28:\"2019/01/hoodie-green-1-3.jpg\";s:8:\"filesize\";i:98498;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1827;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12047;}s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7580;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2907;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"hoodie-green-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28591;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1465", "11682", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-green-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1466", "11683", "_wp_attached_file", "2019/01/hoodie-with-logo-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1467", "11683", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:32:\"2019/01/hoodie-with-logo-2-3.jpg\";s:8:\"filesize\";i:46969;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1910;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13022;}s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8263;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3101;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"hoodie-with-logo-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30254;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1468", "11683", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-logo-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1469", "11684", "_wp_attached_file", "2019/01/tshirt-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1470", "11684", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:22:\"2019/01/tshirt-2-3.jpg\";s:8:\"filesize\";i:41155;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"tshirt-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1769;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"tshirt-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11130;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"tshirt-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7135;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"tshirt-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2789;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"tshirt-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26461;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1471", "11684", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/tshirt-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1472", "11685", "_wp_attached_file", "2019/01/belt-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1473", "11685", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:20:\"2019/01/belt-2-3.jpg\";s:8:\"filesize\";i:37339;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"belt-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1710;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"belt-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10573;}s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"belt-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6732;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"belt-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2682;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"belt-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25701;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1474", "11685", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/belt-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1475", "11686", "_wp_attached_file", "2019/01/cap-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1476", "11686", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:19:\"2019/01/cap-2-3.jpg\";s:8:\"filesize\";i:37675;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"cap-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1659;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:19:\"cap-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10605;}s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"cap-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6664;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"cap-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2564;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"cap-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25862;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1477", "11686", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/cap-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1478", "11687", "_wp_attached_file", "2019/01/sunglasses-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1479", "11687", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:26:\"2019/01/sunglasses-2-3.jpg\";s:8:\"filesize\";i:24691;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1510;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8352;}s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5337;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2238;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"sunglasses-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20654;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1480", "11687", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/sunglasses-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1481", "11688", "_wp_attached_file", "2019/01/hoodie-with-pocket-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1482", "11688", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:34:\"2019/01/hoodie-with-pocket-2-3.jpg\";s:8:\"filesize\";i:43268;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1893;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12399;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7990;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3013;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"hoodie-with-pocket-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28865;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1483", "11688", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-pocket-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1484", "11689", "_wp_attached_file", "2019/01/hoodie-with-zipper-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1485", "11689", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:34:\"2019/01/hoodie-with-zipper-2-3.jpg\";s:8:\"filesize\";i:56609;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2145;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14573;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9293;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3605;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"hoodie-with-zipper-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34120;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1486", "11689", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/hoodie-with-zipper-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1487", "11690", "_wp_attached_file", "2019/01/long-sleeve-tee-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1488", "11690", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:801;s:4:\"file\";s:31:\"2019/01/long-sleeve-tee-2-3.jpg\";s:8:\"filesize\";i:51118;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1993;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12479;}s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8077;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3303;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"long-sleeve-tee-2-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29790;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1489", "11690", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/long-sleeve-tee-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1490", "11691", "_wp_attached_file", "2019/01/polo-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1491", "11691", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:801;s:6:\"height\";i:800;s:4:\"file\";s:20:\"2019/01/polo-2-3.jpg\";s:8:\"filesize\";i:44409;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"polo-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1816;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"polo-2-3-416x415.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:415;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11673;}s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"polo-2-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7266;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"polo-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2862;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"polo-2-3-768x767.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:767;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27726;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1492", "11691", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/polo-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1493", "11692", "_wp_attached_file", "2019/01/single-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1494", "11692", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:22:\"2019/01/single-1-3.jpg\";s:8:\"filesize\";i:124720;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"single-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2284;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"single-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14799;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"single-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9585;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"single-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3741;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"single-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34144;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1495", "11692", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/single-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1496", "11693", "_wp_attached_file", "2019/01/t-shirt-with-logo-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1497", "11693", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:33:\"2019/01/t-shirt-with-logo-1-3.jpg\";s:8:\"filesize\";i:67833;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1964;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12960;}s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8160;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3154;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:33:\"t-shirt-with-logo-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30709;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1498", "11693", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/t-shirt-with-logo-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1500", "11694", "_wp_attached_file", "2019/01/beanie-with-logo-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1501", "11694", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:800;s:4:\"file\";s:32:\"2019/01/beanie-with-logo-1-3.jpg\";s:8:\"filesize\";i:45371;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1667;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-3-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9089;}s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5851;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2434;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"beanie-with-logo-1-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21734;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1502", "11694", "_wc_attachment_source", "https://woocommercecore.mystagingwebsite.com/wp-content/uploads/2017/12/beanie-with-logo-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1503", "11695", "_wp_attached_file", "2022/08/2-8.jpg");
INSERT INTO `wp_postmeta` VALUES("1504", "11695", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/2-8.jpg\";s:8:\"filesize\";i:78032;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"2-8-1024x788.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38071;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-8-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2510;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-8-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7944;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-8-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5395;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"2-8-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27145;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-8-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3655;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"2-8-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18048;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"2-8-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34451;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1506", "11696", "_wp_attached_file", "2022/08/4-scaled-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1507", "11696", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:22:\"2022/08/4-scaled-4.jpg\";s:8:\"filesize\";i:97873;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"4-scaled-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40472;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"4-scaled-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1838;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"4-scaled-4-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5726;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"4-scaled-4-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3626;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"4-scaled-4-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"4-scaled-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2669;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"4-scaled-4-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14004;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"4-scaled-4-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41612;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"4-scaled-4-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66138;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"4-scaled-4-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28447;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1509", "11697", "_wp_attached_file", "2022/08/1-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1510", "11697", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1886;s:4:\"file\";s:17:\"2022/08/1-1-3.jpg\";s:8:\"filesize\";i:397119;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:139176;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3212;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-1-3-416x560.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34020;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-1-3-223x300.jpg\";s:5:\"width\";i:223;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11493;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-1-3-760x1024.jpg\";s:5:\"width\";i:760;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107069;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5127;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"1-1-3-768x1035.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1035;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109234;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"1-1-3-1140x1536.jpg\";s:5:\"width\";i:1140;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:224858;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"1-1-3-1200x1617.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1617;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:245605;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1512", "11698", "_wp_attached_file", "2022/08/2-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1513", "11698", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1851;s:4:\"file\";s:17:\"2022/08/2-1-3.jpg\";s:8:\"filesize\";i:188260;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61231;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2402;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-1-3-416x550.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:550;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19056;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-1-3-227x300.jpg\";s:5:\"width\";i:227;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8084;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-1-3-775x1024.jpg\";s:5:\"width\";i:775;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:53738;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3548;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"2-1-3-768x1015.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1015;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52468;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"2-1-3-1162x1536.jpg\";s:5:\"width\";i:1162;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113091;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"2-1-3-1200x1587.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1587;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120480;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1515", "11699", "_wp_attached_file", "2022/08/9d6c76146067617.62a9b2aa00784-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1516", "11699", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1725;s:4:\"file\";s:43:\"2022/08/9d6c76146067617.62a9b2aa00784-3.jpg\";s:8:\"filesize\";i:680366;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"9d6c76146067617.62a9b2aa00784-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93075;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2782;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-3-416x513.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24094;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-3-243x300.jpg\";s:5:\"width\";i:243;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10521;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"9d6c76146067617.62a9b2aa00784-3-831x1024.jpg\";s:5:\"width\";i:831;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79675;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4573;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"9d6c76146067617.62a9b2aa00784-3-768x946.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:946;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69360;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"9d6c76146067617.62a9b2aa00784-3-1247x1536.jpg\";s:5:\"width\";i:1247;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:169129;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"9d6c76146067617.62a9b2aa00784-3-1200x1479.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1479;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:158076;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:2:\"11\";s:6:\"credit\";s:16:\"DANIEL JARAMILLO\";s:6:\"camera\";s:10:\"NIKON D810\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1445621469\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:7:\"0.00625\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1518", "11700", "_wp_attached_file", "2022/08/9110f5146067617.62a9b2a9f3154-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1519", "11700", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1839;s:4:\"file\";s:43:\"2022/08/9110f5146067617.62a9b2a9f3154-3.jpg\";s:8:\"filesize\";i:639988;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"9110f5146067617.62a9b2a9f3154-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86354;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3138;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-3-416x546.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:546;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25311;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-3-228x300.jpg\";s:5:\"width\";i:228;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10581;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"9110f5146067617.62a9b2a9f3154-3-780x1024.jpg\";s:5:\"width\";i:780;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67589;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"9110f5146067617.62a9b2a9f3154-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5145;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"9110f5146067617.62a9b2a9f3154-3-768x1009.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1009;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65955;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"9110f5146067617.62a9b2a9f3154-3-1169x1536.jpg\";s:5:\"width\";i:1169;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132744;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"9110f5146067617.62a9b2a9f3154-3-1200x1576.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:138167;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:2:\"11\";s:6:\"credit\";s:16:\"DANIEL JARAMILLO\";s:6:\"camera\";s:10:\"NIKON D810\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1445610601\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:7:\"0.00625\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1521", "11701", "_wp_attached_file", "2022/08/f8706c146067617-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1522", "11701", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1774;s:4:\"file\";s:29:\"2022/08/f8706c146067617-3.jpg\";s:8:\"filesize\";i:134953;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"f8706c146067617-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:53884;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2254;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-3-416x527.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:527;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16798;}s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-3-237x300.jpg\";s:5:\"width\";i:237;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7371;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"f8706c146067617-3-808x1024.jpg\";s:5:\"width\";i:808;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47642;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3420;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"f8706c146067617-3-768x973.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:973;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43696;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"f8706c146067617-3-1212x1536.jpg\";s:5:\"width\";i:1212;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91895;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:31:\"f8706c146067617-3-1200x1521.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1521;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90768;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1524", "11702", "_wp_attached_file", "2022/08/4-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1525", "11702", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1063;s:4:\"file\";s:17:\"2022/08/4-1-3.jpg\";s:8:\"filesize\";i:138433;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"4-1-3-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116206;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3581;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-1-3-416x553.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:553;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35561;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-1-3-226x300.jpg\";s:5:\"width\";i:226;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13630;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-1-3-771x1024.jpg\";s:5:\"width\";i:771;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99582;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5935;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"4-1-3-768x1020.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1020;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98674;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1527", "11703", "_wp_attached_file", "2022/08/5-6.jpg");
INSERT INTO `wp_postmeta` VALUES("1528", "11703", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1045;s:4:\"file\";s:15:\"2022/08/5-6.jpg\";s:8:\"filesize\";i:124351;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"5-6-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104717;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"5-6-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2960;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"5-6-416x543.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:543;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29991;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"5-6-230x300.jpg\";s:5:\"width\";i:230;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11456;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"5-6-784x1024.jpg\";s:5:\"width\";i:784;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91079;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"5-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4799;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"5-6-768x1003.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1003;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88440;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1530", "11704", "_wp_attached_file", "2022/08/6-6.jpg");
INSERT INTO `wp_postmeta` VALUES("1531", "11704", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1045;s:4:\"file\";s:15:\"2022/08/6-6.jpg\";s:8:\"filesize\";i:202882;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"6-6-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:172161;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"6-6-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3895;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"6-6-416x543.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:543;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51338;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"6-6-230x300.jpg\";s:5:\"width\";i:230;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18244;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"6-6-784x1024.jpg\";s:5:\"width\";i:784;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:150714;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"6-6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6871;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"6-6-768x1003.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1003;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:146629;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1533", "11705", "_wp_attached_file", "2022/08/9-5.jpg");
INSERT INTO `wp_postmeta` VALUES("1534", "11705", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1048;s:4:\"file\";s:15:\"2022/08/9-5.jpg\";s:8:\"filesize\";i:153646;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"9-5-800x1024.jpg\";s:5:\"width\";i:800;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131894;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"9-5-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3613;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"9-5-416x545.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:545;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38917;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"9-5-229x300.jpg\";s:5:\"width\";i:229;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14105;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"9-5-782x1024.jpg\";s:5:\"width\";i:782;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113285;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"9-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6269;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"9-5-768x1006.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1006;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1536", "11706", "_wp_attached_file", "2022/08/logo-1-3.png");
INSERT INTO `wp_postmeta` VALUES("1537", "11706", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:211;s:6:\"height\";i:60;s:4:\"file\";s:20:\"2022/08/logo-1-3.png\";s:8:\"filesize\";i:5442;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"logo-1-3-100x60.png\";s:5:\"width\";i:100;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1622;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"logo-1-3-150x60.png\";s:5:\"width\";i:150;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2004;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1538", "11707", "_wp_attached_file", "2022/08/logo-light-1-3.png");
INSERT INTO `wp_postmeta` VALUES("1539", "11707", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:211;s:6:\"height\";i:60;s:4:\"file\";s:26:\"2022/08/logo-light-1-3.png\";s:8:\"filesize\";i:5368;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"logo-light-1-3-100x60.png\";s:5:\"width\";i:100;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1474;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"logo-light-1-3-150x60.png\";s:5:\"width\";i:150;s:6:\"height\";i:60;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1819;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1540", "11708", "_wp_attached_file", "2022/08/1-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1541", "11708", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/1-2-3.jpg\";s:8:\"filesize\";i:351696;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-2-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:152426;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2490;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-2-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16376;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-2-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9157;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-2-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92934;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4177;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-2-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52299;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-2-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:125914;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1543", "11709", "_wp_attached_file", "2022/08/2-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1544", "11709", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/2-2-3.jpg\";s:8:\"filesize\";i:386662;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-2-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:154465;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2240;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-2-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16295;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-2-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9147;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-2-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99226;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3774;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-2-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55436;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"2-2-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:134063;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1546", "11710", "_wp_attached_file", "2022/08/3-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1547", "11710", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/3-1-3.jpg\";s:8:\"filesize\";i:386100;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"3-1-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93283;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2564;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-1-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15014;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-1-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9186;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-1-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68350;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4124;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-1-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41516;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"3-1-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89896;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"8\";s:6:\"credit\";s:9:\"PHPICS.CH\";s:6:\"camera\";s:10:\"NIKON D850\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1635576945\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:2:\"34\";s:3:\"iso\";s:2:\"64\";s:13:\"shutter_speed\";s:1:\"6\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1549", "11711", "_wp_attached_file", "2022/08/6-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1550", "11711", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/6-1-3.jpg\";s:8:\"filesize\";i:247776;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"6-1-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103975;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2946;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-1-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14360;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-1-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8892;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"6-1-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61098;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4937;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-1-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37779;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"6-1-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78966;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1552", "11712", "_wp_attached_file", "2022/08/7-5.jpg");
INSERT INTO `wp_postmeta` VALUES("1553", "11712", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:15:\"2022/08/7-5.jpg\";s:8:\"filesize\";i:275169;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:17:\"7-5-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114253;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"7-5-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2914;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"7-5-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14056;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"7-5-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8520;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"7-5-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62846;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"7-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4878;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"7-5-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38313;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"7-5-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:82838;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1555", "11713", "_wp_attached_file", "2022/08/8-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1556", "11713", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:15:\"2022/08/8-4.jpg\";s:8:\"filesize\";i:280860;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:17:\"8-4-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114818;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"8-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2627;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"8-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13092;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"8-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7880;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"8-4-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61136;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"8-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4394;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"8-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36849;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"8-4-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81324;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1558", "11714", "_wp_attached_file", "2022/08/9-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1559", "11714", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:17:\"2022/08/9-1-3.jpg\";s:8:\"filesize\";i:184398;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"9-1-3-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95376;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"9-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2458;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"9-1-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13042;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"9-1-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7935;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"9-1-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60112;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"9-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4050;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"9-1-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36629;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"9-1-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78976;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1561", "11715", "_wp_attached_file", "2022/08/10-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1562", "11715", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:1000;s:4:\"file\";s:16:\"2022/08/10-4.jpg\";s:8:\"filesize\";i:725171;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"10-4-1024x1000.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263902;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:16:\"10-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3434;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:16:\"10-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27963;}s:6:\"medium\";a:5:{s:4:\"file\";s:16:\"10-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15001;}s:5:\"large\";a:5:{s:4:\"file\";s:17:\"10-4-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:166895;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"10-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6325;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"10-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95564;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:17:\"10-4-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:222142;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:9:\"PHPICS.CH\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1564", "11716", "_wp_attached_file", "2022/08/1-3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1565", "11716", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1405;s:4:\"file\";s:17:\"2022/08/1-3-3.jpg\";s:8:\"filesize\";i:330042;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-3-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115671;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2796;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-3-3-416x304.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:304;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16302;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-3-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9872;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-3-3-1024x749.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:749;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85508;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4452;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-3-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50363;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"1-3-3-1536x1124.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1124;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:179898;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-3-3-1200x878.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:878;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115335;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1567", "11717", "_wp_attached_file", "2022/08/2-3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1568", "11717", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1800;s:6:\"height\";i:1317;s:4:\"file\";s:17:\"2022/08/2-3-3.jpg\";s:8:\"filesize\";i:127466;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-3-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63197;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2342;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-3-3-416x304.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:304;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12399;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-3-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7787;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-3-3-1024x749.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:749;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48580;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3763;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-3-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31128;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"2-3-3-1536x1124.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1124;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91740;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"2-3-3-1200x878.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:878;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62323;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1570", "11718", "_wp_attached_file", "2022/08/3-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1571", "11718", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1019;s:4:\"file\";s:17:\"2022/08/3-2-3.jpg\";s:8:\"filesize\";i:87173;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2946;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-2-3-416x530.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:530;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25081;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-2-3-236x300.jpg\";s:5:\"width\";i:236;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10322;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5094;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-2-3-768x978.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:978;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65171;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1573", "11719", "_wp_attached_file", "2022/08/4-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1574", "11719", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:1019;s:4:\"file\";s:17:\"2022/08/4-2-3.jpg\";s:8:\"filesize\";i:59001;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2377;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-2-3-416x530.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:530;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18323;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-2-3-236x300.jpg\";s:5:\"width\";i:236;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7788;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3887;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-2-3-768x978.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:978;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46675;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1576", "11720", "_wp_attached_file", "2022/08/5-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1577", "11720", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1024;s:4:\"file\";s:17:\"2022/08/5-1-3.jpg\";s:8:\"filesize\";i:441684;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"5-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:284316;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3665;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-1-3-416x304.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:304;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30777;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-1-3-300x219.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16649;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-1-3-1024x749.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:749;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181058;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6585;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-1-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:105896;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-1-3-1200x878.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:878;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241323;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1579", "11721", "_wp_attached_file", "2022/08/6-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1580", "11721", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/6-2-3.jpg\";s:8:\"filesize\";i:78501;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2796;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-2-3-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16139;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-2-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9983;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4456;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-2-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41031;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1581", "11722", "_wp_attached_file", "2022/08/7-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1582", "11722", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/7-1-3.jpg\";s:8:\"filesize\";i:64440;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"7-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2504;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"7-1-3-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13571;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"7-1-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8455;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"7-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4086;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"7-1-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33660;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1583", "11723", "_wp_attached_file", "2022/08/8-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1584", "11723", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/8-1-3.jpg\";s:8:\"filesize\";i:124504;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"8-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2940;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"8-1-3-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22962;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"8-1-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13243;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"8-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4879;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"8-1-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62233;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1585", "11724", "_wp_attached_file", "2022/08/9-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1586", "11724", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:17:\"2022/08/9-2-3.jpg\";s:8:\"filesize\";i:98231;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"9-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3597;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"9-2-3-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21273;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"9-2-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13023;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"9-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6035;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"9-2-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54243;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1587", "11725", "_wp_attached_file", "2022/08/10-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1588", "11725", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:732;s:4:\"file\";s:18:\"2022/08/10-1-3.jpg\";s:8:\"filesize\";i:72817;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:18:\"10-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2828;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:18:\"10-1-3-416x305.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:305;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15791;}s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"10-1-3-300x220.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:220;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10280;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"10-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4500;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"10-1-3-768x562.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:562;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41352;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1589", "11726", "_wp_attached_file", "2022/08/1-4-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1590", "11726", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1800;s:6:\"height\";i:1200;s:4:\"file\";s:17:\"2022/08/1-4-3.jpg\";s:8:\"filesize\";i:612759;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-4-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:229533;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-4-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4313;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-4-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29171;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-4-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16851;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-4-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:154239;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-4-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7831;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-4-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89093;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"1-4-3-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:323045;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-4-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:210129;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1592", "11727", "_wp_attached_file", "2022/08/2-4-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1593", "11727", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:933;s:4:\"file\";s:17:\"2022/08/2-4-3.jpg\";s:8:\"filesize\";i:244071;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"2-4-3-1024x933.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:163101;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-4-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3818;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-4-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22529;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-4-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13116;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"2-4-3-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104555;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-4-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6742;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-4-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63392;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"2-4-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137314;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1595", "11728", "_wp_attached_file", "2022/08/3-3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1596", "11728", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:17:\"2022/08/3-3-3.jpg\";s:8:\"filesize\";i:145191;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"3-3-3-1024x800.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:110774;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4089;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-3-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21976;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-3-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13763;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-3-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85565;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6946;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-3-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54658;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1598", "11729", "_wp_attached_file", "2022/08/4-3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1599", "11729", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:933;s:4:\"file\";s:17:\"2022/08/4-3-3.jpg\";s:8:\"filesize\";i:284062;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"4-3-3-1024x933.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175687;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4061;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-3-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26791;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-3-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15726;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-3-3-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:118983;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7346;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-3-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73856;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"4-3-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:153949;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1601", "11730", "_wp_attached_file", "2022/08/5-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1602", "11730", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:933;s:4:\"file\";s:17:\"2022/08/5-2-3.jpg\";s:8:\"filesize\";i:304664;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"5-2-3-1024x933.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:186142;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4316;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-2-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30147;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-2-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17719;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-2-3-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:130365;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8065;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-2-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81482;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-2-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167395;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1604", "11731", "_wp_attached_file", "2022/08/1-5-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1605", "11731", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:17:\"2022/08/1-5-3.jpg\";s:8:\"filesize\";i:78973;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-5-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49212;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-5-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1640;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-5-3-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5312;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-5-3-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3402;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-5-3-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23933;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-5-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2463;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-5-3-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14664;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:18:\"1-5-3-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48747;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"1-5-3-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31999;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1607", "11732", "_wp_attached_file", "2022/08/2-4.gif");
INSERT INTO `wp_postmeta` VALUES("1608", "11732", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:788;s:4:\"file\";s:15:\"2022/08/2-4.gif\";s:8:\"filesize\";i:5564183;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:16:\"2-4-1024x788.gif\";s:5:\"width\";i:1024;s:6:\"height\";i:788;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:182530;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-4-100x100.gif\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:3094;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-4-416x234.gif\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:27477;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-4-300x169.gif\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:15993;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"2-4-1024x576.gif\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:135701;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-4-150x150.gif\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:6250;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"2-4-768x432.gif\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:80740;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:16:\"2-4-1200x675.gif\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:9:\"image/gif\";s:8:\"filesize\";i:187659;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1610", "11733", "_wp_attached_file", "2022/08/3-4-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1611", "11733", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1050;s:4:\"file\";s:17:\"2022/08/3-4-4.jpg\";s:8:\"filesize\";i:89145;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"3-4-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57260;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-4-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1990;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-4-4-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9741;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-4-4-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6011;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"3-4-4-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44722;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-4-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3121;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-4-4-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27391;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"3-4-4-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59113;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1613", "11734", "_wp_attached_file", "2022/08/4-4-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1614", "11734", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1050;s:4:\"file\";s:17:\"2022/08/4-4-4.jpg\";s:8:\"filesize\";i:73533;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"4-4-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52408;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"4-4-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2235;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"4-4-4-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10264;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"4-4-4-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6573;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"4-4-4-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40273;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"4-4-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3491;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"4-4-4-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25564;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"4-4-4-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52165;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1616", "11735", "_wp_attached_file", "2022/08/5-3-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1617", "11735", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1067;s:4:\"file\";s:17:\"2022/08/5-3-4.jpg\";s:8:\"filesize\";i:84336;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"5-3-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55310;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"5-3-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2354;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"5-3-4-416x231.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:231;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8007;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"5-3-4-300x167.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5015;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"5-3-4-1024x569.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:569;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30220;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"5-3-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3783;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"5-3-4-768x427.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:427;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19337;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:18:\"5-3-4-1536x854.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:854;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:56111;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"5-3-4-1200x667.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:667;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38818;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1619", "11736", "_wp_attached_file", "2022/08/6-3-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1620", "11736", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:983;s:4:\"file\";s:17:\"2022/08/6-3-4.jpg\";s:8:\"filesize\";i:66933;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"6-3-4-1024x983.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:983;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50193;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"6-3-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1658;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"6-3-4-416x292.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:292;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6525;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"6-3-4-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4155;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"6-3-4-1024x719.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:719;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31115;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"6-3-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2400;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"6-3-4-768x539.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:539;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17798;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"6-3-4-1200x843.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:843;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44001;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1622", "11737", "_wp_attached_file", "2022/08/7-2-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1623", "11737", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:983;s:4:\"file\";s:17:\"2022/08/7-2-4.jpg\";s:8:\"filesize\";i:101893;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:18:\"7-2-4-1024x983.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:983;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80455;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"7-2-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2039;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"7-2-4-416x292.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:292;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10745;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"7-2-4-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6420;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"7-2-4-1024x719.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:719;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49414;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"7-2-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3451;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"7-2-4-768x539.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:539;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29786;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:18:\"7-2-4-1200x843.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:843;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66468;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1625", "11738", "_wp_attached_file", "2022/08/1-6-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1626", "11738", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:870;s:4:\"file\";s:17:\"2022/08/1-6-3.jpg\";s:8:\"filesize\";i:224454;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-6-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2408;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-6-3-416x452.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16221;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-6-3-276x300.jpg\";s:5:\"width\";i:276;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8817;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-6-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3782;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-6-3-768x835.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:835;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44143;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1627", "11738", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1628", "11739", "_wp_attached_file", "2022/08/2-5.png");
INSERT INTO `wp_postmeta` VALUES("1629", "11739", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:584;s:6:\"height\";i:570;s:4:\"file\";s:15:\"2022/08/2-5.png\";s:8:\"filesize\";i:97389;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:15:\"2-5-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10909;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:15:\"2-5-416x406.png\";s:5:\"width\";i:416;s:6:\"height\";i:406;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:138575;}s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"2-5-300x293.png\";s:5:\"width\";i:300;s:6:\"height\";i:293;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:76211;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"2-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22324;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1630", "11739", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1631", "11740", "_wp_attached_file", "2022/08/3-5-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1632", "11740", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:870;s:4:\"file\";s:17:\"2022/08/3-5-4.jpg\";s:8:\"filesize\";i:143987;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"3-5-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2364;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"3-5-4-416x452.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:452;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14078;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"3-5-4-276x300.jpg\";s:5:\"width\";i:276;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7894;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"3-5-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3546;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"3-5-4-768x835.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:835;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35299;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1633", "11740", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1634", "11741", "_wp_attached_file", "2022/08/2-5-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1635", "11741", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:4:\"file\";s:17:\"2022/08/2-5-4.jpg\";s:8:\"filesize\";i:1745;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1636", "11741", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1637", "11742", "_wp_attached_file", "2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1638", "11742", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:802;s:4:\"file\";s:63:\"2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4.jpg\";s:8:\"filesize\";i:280994;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:64:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-1024x802.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:802;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:244185;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4445;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38310;}s:6:\"medium\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-300x201.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:201;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21390;}s:5:\"large\";a:5:{s:4:\"file\";s:64:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:189957;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8581;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:63:\"karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115985;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1639", "11742", "_wxr_import_parent", "1186");
INSERT INTO `wp_postmeta` VALUES("1640", "11743", "_wp_attached_file", "2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1641", "11743", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:47:\"2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4.jpg\";s:8:\"filesize\";i:282453;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"moritz-spahn-sMJua-DB57Q-unsplash-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120337;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3236;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19984;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11725;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"moritz-spahn-sMJua-DB57Q-unsplash-4-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5588;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"moritz-spahn-sMJua-DB57Q-unsplash-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"moritz-spahn-sMJua-DB57Q-unsplash-4-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:165239;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:48:\"moritz-spahn-sMJua-DB57Q-unsplash-4-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113555;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1642", "11743", "_wxr_import_parent", "1176");
INSERT INTO `wp_postmeta` VALUES("1643", "11744", "_wp_attached_file", "2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1644", "11744", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:56:\"2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4.jpg\";s:8:\"filesize\";i:372656;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132486;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3554;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39913;}s:6:\"medium\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12339;}s:5:\"large\";a:5:{s:4:\"file\";s:57:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89009;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:56:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6426;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:57:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107028;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167983;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1366x2048.jpg\";s:5:\"width\";i:1366;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:259069;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:58:\"moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213808;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1645", "11744", "_wxr_import_parent", "1161");
INSERT INTO `wp_postmeta` VALUES("1646", "11745", "_wp_attached_file", "2022/08/1-3.png");
INSERT INTO `wp_postmeta` VALUES("1647", "11745", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/1-3.png\";s:8:\"filesize\";i:5534;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"1-3-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1922;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"1-3-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3144;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1648", "11745", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1649", "11746", "_wp_attached_file", "2022/08/2-1-4.png");
INSERT INTO `wp_postmeta` VALUES("1650", "11746", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:17:\"2022/08/2-1-4.png\";s:8:\"filesize\";i:4152;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:16:\"2-1-4-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1642;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"2-1-4-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2357;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1651", "11746", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1652", "11747", "_wp_attached_file", "2022/08/3-4.png");
INSERT INTO `wp_postmeta` VALUES("1653", "11747", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/3-4.png\";s:8:\"filesize\";i:4488;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"3-4-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1789;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"3-4-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2581;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1654", "11747", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1655", "11748", "_wp_attached_file", "2022/08/4-4.png");
INSERT INTO `wp_postmeta` VALUES("1656", "11748", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/4-4.png\";s:8:\"filesize\";i:4758;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"4-4-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"4-4-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2750;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1657", "11748", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1658", "11749", "_wp_attached_file", "2022/08/5-4.png");
INSERT INTO `wp_postmeta` VALUES("1659", "11749", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/5-4.png\";s:8:\"filesize\";i:5226;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"5-4-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2044;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"5-4-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2872;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1660", "11749", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1661", "11750", "_wp_attached_file", "2022/08/6-4.png");
INSERT INTO `wp_postmeta` VALUES("1662", "11750", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:180;s:6:\"height\";i:54;s:4:\"file\";s:15:\"2022/08/6-4.png\";s:8:\"filesize\";i:5001;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:14:\"6-4-100x54.png\";s:5:\"width\";i:100;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1735;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"6-4-150x54.png\";s:5:\"width\";i:150;s:6:\"height\";i:54;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2595;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1663", "11750", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1664", "11751", "_wp_attached_file", "2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1665", "11751", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:1068;s:4:\"file\";s:49:\"2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3.jpg\";s:8:\"filesize\";i:105235;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:51:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62319;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2808;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14469;}s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9160;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50712;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4555;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33880;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-1536x1025.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1025;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91898;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:50:\"milad-fakurian-bkmrXtXG1r8-unsplash-3-1200x801.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64134;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1666", "11751", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1667", "11752", "_wp_attached_file", "2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1668", "11752", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1799;s:4:\"file\";s:58:\"2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3.jpg\";s:8:\"filesize\";i:134305;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69093;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2779;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22197;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7887;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46686;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4542;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-768x1151.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1151;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55705;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-1025x1536.jpg\";s:5:\"width\";i:1025;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87911;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1669", "11752", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1670", "11753", "_wp_attached_file", "2022/08/nordgreen-taqlluwbrgE-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1671", "11753", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:871;s:4:\"file\";s:44:\"2022/08/nordgreen-taqlluwbrgE-unsplash-3.jpg\";s:8:\"filesize\";i:85148;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-3-1024x871.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:871;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58242;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2665;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-3-416x226.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:226;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10255;}s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-3-300x163.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:163;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6689;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-3-1024x557.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:557;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38357;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4170;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"nordgreen-taqlluwbrgE-unsplash-3-768x418.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:418;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24887;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-3-1536x836.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:836;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71661;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"nordgreen-taqlluwbrgE-unsplash-3-1200x653.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:653;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49123;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1672", "11753", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1673", "11754", "_wp_attached_file", "2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1674", "11754", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:801;s:4:\"file\";s:58:\"2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4.jpg\";s:8:\"filesize\";i:115413;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-1024x801.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90417;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3571;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19662;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12208;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75942;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6184;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49565;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1675", "11754", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1676", "11755", "_wp_attached_file", "2022/08/skills-2-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1677", "11755", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1800;s:6:\"height\";i:1200;s:4:\"file\";s:22:\"2022/08/skills-2-3.jpg\";s:8:\"filesize\";i:167377;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"skills-2-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32216;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"skills-2-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1436;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"skills-2-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4460;}s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"skills-2-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3090;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"skills-2-3-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19193;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"skills-2-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1960;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"skills-2-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11688;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"skills-2-3-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40408;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"skills-2-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25184;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1678", "11755", "_wxr_import_parent", "393");
INSERT INTO `wp_postmeta` VALUES("1679", "11756", "_wp_attached_file", "2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1680", "11756", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:1068;s:4:\"file\";s:58:\"2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3.jpg\";s:8:\"filesize\";i:116504;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52872;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2088;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11715;}s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7338;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3284;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:58:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29874;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:60:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1536x1025.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1025;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88313;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:59:\"ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1200x801.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:801;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60277;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1681", "11756", "_wxr_import_parent", "1317");
INSERT INTO `wp_postmeta` VALUES("1682", "11757", "_wp_attached_file", "2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1683", "11757", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:47:\"2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4.jpg\";s:8:\"filesize\";i:147658;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"alabaster-co-Sy1ohVoGciA-unsplash-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92024;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3253;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-4-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23584;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-4-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14864;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"alabaster-co-Sy1ohVoGciA-unsplash-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92024;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5426;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"alabaster-co-Sy1ohVoGciA-unsplash-4-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1684", "11757", "_wxr_import_parent", "1317");
INSERT INTO `wp_postmeta` VALUES("1685", "11758", "_wp_attached_file", "2022/06/content-pixie-VJX5imdELxo-unsplash-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1686", "11758", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:48:\"2022/06/content-pixie-VJX5imdELxo-unsplash-4.jpg\";s:8:\"filesize\";i:190049;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"content-pixie-VJX5imdELxo-unsplash-4-1024x800.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:162263;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3163;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19966;}s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11185;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"content-pixie-VJX5imdELxo-unsplash-4-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109625;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5353;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"content-pixie-VJX5imdELxo-unsplash-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63576;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1687", "11758", "_wxr_import_parent", "1317");
INSERT INTO `wp_postmeta` VALUES("1688", "11759", "_wp_attached_file", "2022/09/pexels-pixabay-356147-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1689", "11759", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1079;s:4:\"file\";s:35:\"2022/09/pexels-pixabay-356147-3.jpg\";s:8:\"filesize\";i:82020;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"pexels-pixabay-356147-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33353;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1497;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-3-416x234.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4153;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-3-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2831;}s:5:\"large\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-356147-3-1024x575.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:575;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16728;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2121;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-356147-3-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10323;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-356147-3-1536x863.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:863;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34583;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-356147-3-1200x674.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:674;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22418;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1662753934\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1690", "11759", "_wxr_import_parent", "6099");
INSERT INTO `wp_postmeta` VALUES("1691", "11760", "_wp_attached_file", "2022/09/pexels-rachel-claire-5490267-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1692", "11760", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:700;s:6:\"height\";i:1050;s:4:\"file\";s:42:\"2022/09/pexels-rachel-claire-5490267-3.jpg\";s:8:\"filesize\";i:89424;s:5:\"sizes\";a:6:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:43:\"pexels-rachel-claire-5490267-3-700x1024.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81439;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1970;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-3-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22335;}s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-3-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5328;}s:5:\"large\";a:5:{s:4:\"file\";s:43:\"pexels-rachel-claire-5490267-3-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68782;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-rachel-claire-5490267-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3012;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1693", "11760", "_wxr_import_parent", "6099");
INSERT INTO `wp_postmeta` VALUES("1694", "11761", "_wp_attached_file", "2022/09/pexels-pixabay-90764-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1695", "11761", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:4:\"file\";s:34:\"2022/09/pexels-pixabay-90764-4.jpg\";s:8:\"filesize\";i:43471;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"pexels-pixabay-90764-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32632;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1331;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4435;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2819;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-90764-4-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19568;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1886;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"pexels-pixabay-90764-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11781;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"pexels-pixabay-90764-4-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40858;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-pixabay-90764-4-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25971;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1696", "11761", "_wxr_import_parent", "6099");
INSERT INTO `wp_postmeta` VALUES("1697", "11762", "_wp_attached_file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4.png");
INSERT INTO `wp_postmeta` VALUES("1698", "11762", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1919;s:6:\"height\";i:906;s:4:\"file\";s:48:\"2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4.png\";s:8:\"filesize\";i:42549;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1024x906.png\";s:5:\"width\";i:1024;s:6:\"height\";i:906;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29877;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1321;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-416x196.png\";s:5:\"width\";i:416;s:6:\"height\";i:196;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10696;}s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-300x142.png\";s:5:\"width\";i:300;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6659;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1024x483.png\";s:5:\"width\";i:1024;s:6:\"height\";i:483;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37077;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3321;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-768x363.png\";s:5:\"width\";i:768;s:6:\"height\";i:363;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15671;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1536x725.png\";s:5:\"width\";i:1536;s:6:\"height\";i:725;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60823;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:49:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1200x567.png\";s:5:\"width\";i:1200;s:6:\"height\";i:567;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45226;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1699", "11762", "_wxr_import_parent", "6099");
INSERT INTO `wp_postmeta` VALUES("1700", "11763", "_wp_attached_file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5.png");
INSERT INTO `wp_postmeta` VALUES("1701", "11763", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:950;s:6:\"height\";i:449;s:4:\"file\";s:46:\"2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5.png\";s:8:\"filesize\";i:82122;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-5-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1149;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-5-416x197.png\";s:5:\"width\";i:416;s:6:\"height\";i:197;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6825;}s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-5-300x142.png\";s:5:\"width\";i:300;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3903;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2400;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"62a1f09ec862ce8047dd9ca4_Hero-Bg-5-768x363.png\";s:5:\"width\";i:768;s:6:\"height\";i:363;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16273;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1702", "11763", "_wxr_import_parent", "6150");
INSERT INTO `wp_postmeta` VALUES("1703", "11764", "_wp_attached_file", "2022/09/pexels-roman-odintsov-4925863-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1704", "11764", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1700;s:6:\"height\";i:1133;s:4:\"file\";s:43:\"2022/09/pexels-roman-odintsov-4925863-3.jpg\";s:8:\"filesize\";i:206310;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"pexels-roman-odintsov-4925863-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104657;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3598;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20620;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12675;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"pexels-roman-odintsov-4925863-3-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79096;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6246;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"pexels-roman-odintsov-4925863-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51058;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"pexels-roman-odintsov-4925863-3-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147152;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-roman-odintsov-4925863-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100399;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1705", "11764", "_wxr_import_parent", "6150");
INSERT INTO `wp_postmeta` VALUES("1706", "11765", "_wp_attached_file", "2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1707", "11765", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:2000;s:4:\"file\";s:62:\"2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3.jpg\";s:8:\"filesize\";i:335818;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:64:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119254;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2620;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27762;}s:6:\"medium\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11180;}s:5:\"large\";a:5:{s:4:\"file\";s:63:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87930;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4872;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:62:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78154;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:64:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181434;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:64:\"60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:176872;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1708", "11765", "_wxr_import_parent", "6206");
INSERT INTO `wp_postmeta` VALUES("1709", "11766", "_wp_attached_file", "2022/09/ab3-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1710", "11766", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:370;s:6:\"height\";i:399;s:4:\"file\";s:17:\"2022/09/ab3-3.jpg\";s:8:\"filesize\";i:63833;s:5:\"sizes\";a:3:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"ab3-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2377;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"ab3-3-278x300.jpg\";s:5:\"width\";i:278;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11956;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"ab3-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4120;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1711", "11766", "_wxr_import_parent", "6206");
INSERT INTO `wp_postmeta` VALUES("1712", "11767", "_wp_attached_file", "2022/09/dots-dark-3.png");
INSERT INTO `wp_postmeta` VALUES("1713", "11767", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:9;s:6:\"height\";i:9;s:4:\"file\";s:23:\"2022/09/dots-dark-3.png\";s:8:\"filesize\";i:128;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1714", "11767", "_wxr_import_parent", "6206");
INSERT INTO `wp_postmeta` VALUES("1715", "11768", "_wp_attached_file", "2022/09/1-1-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1716", "11768", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1167;s:4:\"file\";s:17:\"2022/09/1-1-4.jpg\";s:8:\"filesize\";i:228062;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"1-1-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175068;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3640;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"1-1-4-416x347.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:347;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31267;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"1-1-4-300x250.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17971;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"1-1-4-1024x854.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:854;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:156935;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"1-1-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6495;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"1-1-4-768x640.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93441;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"1-1-4-1200x1000.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1000;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205627;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1717", "11768", "_elementor_source_image_hash", "4b0af2b6b699512b609b4232ae30b42d835217c0");
INSERT INTO `wp_postmeta` VALUES("1718", "11769", "_wp_attached_file", "2022/09/2-1-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1719", "11769", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1400;s:6:\"height\";i:1400;s:4:\"file\";s:17:\"2022/09/2-1-4.jpg\";s:8:\"filesize\";i:158246;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:19:\"2-1-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106216;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2997;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:17:\"2-1-4-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23762;}s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"2-1-4-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14216;}s:5:\"large\";a:5:{s:4:\"file\";s:19:\"2-1-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106216;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"2-1-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5102;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"2-1-4-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:65831;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:19:\"2-1-4-1200x1200.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137858;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1720", "11769", "_elementor_source_image_hash", "2ab390b4cf6c91fb77fef601f8adfc5cd89652a8");
INSERT INTO `wp_postmeta` VALUES("1721", "11770", "_wp_attached_file", "2022/09/maxim-potkin-wyxTcdibez0-unsplash-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1722", "11770", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1214;s:4:\"file\";s:47:\"2022/09/maxim-potkin-wyxTcdibez0-unsplash-3.jpg\";s:8:\"filesize\";i:194117;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"maxim-potkin-wyxTcdibez0-unsplash-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87082;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2057;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-3-416x263.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:263;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11798;}s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-3-300x190.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:190;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6849;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"maxim-potkin-wyxTcdibez0-unsplash-3-1024x647.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:647;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55978;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3395;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"maxim-potkin-wyxTcdibez0-unsplash-3-768x486.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:486;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34046;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"maxim-potkin-wyxTcdibez0-unsplash-3-1536x971.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:971;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113935;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:48:\"maxim-potkin-wyxTcdibez0-unsplash-3-1200x759.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:759;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74476;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1723", "11770", "_elementor_source_image_hash", "f775850bd533621dbe00ec2d9f97ec15b78ed031");
INSERT INTO `wp_postmeta` VALUES("1724", "11771", "_wp_attached_file", "2022/09/pexels-nancy-bourque-1209982-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1725", "11771", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:853;s:4:\"file\";s:42:\"2022/09/pexels-nancy-bourque-1209982-3.jpg\";s:8:\"filesize\";i:282868;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:43:\"pexels-nancy-bourque-1209982-3-1024x853.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213743;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3415;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28999;}s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15848;}s:5:\"large\";a:5:{s:4:\"file\";s:43:\"pexels-nancy-bourque-1209982-3-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:149202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6202;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:42:\"pexels-nancy-bourque-1209982-3-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89967;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:43:\"pexels-nancy-bourque-1209982-3-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:193979;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1726", "11771", "_wxr_import_parent", "6206");
INSERT INTO `wp_postmeta` VALUES("1727", "11772", "_wp_attached_file", "2022/09/pexels-johannes-plenio-1632788-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1728", "11772", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:853;s:4:\"file\";s:44:\"2022/09/pexels-johannes-plenio-1632788-4.jpg\";s:8:\"filesize\";i:207224;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-4-1024x853.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:138552;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3426;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-4-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22898;}s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13650;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-4-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101597;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5927;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"pexels-johannes-plenio-1632788-4-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63415;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:45:\"pexels-johannes-plenio-1632788-4-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:130807;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1729", "11772", "_wxr_import_parent", "6206");
INSERT INTO `wp_postmeta` VALUES("1730", "11773", "_wp_attached_file", "2022/08/cropped-logo-1-4.png");
INSERT INTO `wp_postmeta` VALUES("1731", "11773", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:28:\"2022/08/cropped-logo-1-4.png\";s:8:\"filesize\";i:6930;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7071;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4395;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-4-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8566;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"cropped-logo-1-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3098;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1732", "11773", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("1733", "11774", "_wp_attached_file", "2022/09/pexels-sevenstorm-juhaszimrus-934345-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1734", "11774", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2022/09/pexels-sevenstorm-juhaszimrus-934345-4.jpg\";s:8:\"filesize\";i:311190;s:5:\"sizes\";a:8:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-4-1024x960.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:224078;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4275;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-4-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35505;}s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-4-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20756;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-4-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:164124;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7814;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"pexels-sevenstorm-juhaszimrus-934345-4-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101977;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:51:\"pexels-sevenstorm-juhaszimrus-934345-4-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:213413;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1735", "11774", "_wxr_import_parent", "6206");
INSERT INTO `wp_postmeta` VALUES("1736", "11775", "_wp_attached_file", "2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1737", "11775", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:160;s:6:\"height\";i:160;s:4:\"file\";s:91:\"2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4.jpg\";s:8:\"filesize\";i:2043;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:91:\"default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1167;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:91:\"default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1738", "11775", "_wxr_import_parent", "7871");
INSERT INTO `wp_postmeta` VALUES("1739", "11776", "_wp_attached_file", "2022/10/woocommerce-placeholder-4.png");
INSERT INTO `wp_postmeta` VALUES("1740", "11776", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:37:\"2022/10/woocommerce-placeholder-4.png\";s:8:\"filesize\";i:102644;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:39:\"woocommerce-placeholder-4-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-4-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2344;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-4-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21117;}s:6:\"medium\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-4-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12475;}s:5:\"large\";a:5:{s:4:\"file\";s:39:\"woocommerce-placeholder-4-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:98202;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-4-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4204;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:37:\"woocommerce-placeholder-4-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:60014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1741", "11777", "_wp_attached_file", "2022/10/product-2-4.webp");
INSERT INTO `wp_postmeta` VALUES("1742", "11777", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-2-4.webp\";s:8:\"filesize\";i:2922;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-2-4-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:908;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-2-4-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1550;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1744", "11778", "_wp_attached_file", "2019/01/product-4-4.webp");
INSERT INTO `wp_postmeta` VALUES("1745", "11778", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2019/01/product-4-4.webp\";s:8:\"filesize\";i:3688;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-4-4-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1112;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-4-4-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1806;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1767", "11779", "_wp_attached_file", "2022/10/product-6-4.webp");
INSERT INTO `wp_postmeta` VALUES("1768", "11779", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-6-4.webp\";s:8:\"filesize\";i:3602;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-6-4-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:504;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-6-4-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1202;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1770", "11780", "_wp_attached_file", "2019/01/ragbo452081071c_q1_2-0-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1771", "11780", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:36:\"2019/01/ragbo452081071c_q1_2-0-4.jpg\";s:8:\"filesize\";i:167402;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:38:\"ragbo452081071c_q1_2-0-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127590;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2029;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-4-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20483;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-4-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6504;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"ragbo452081071c_q1_2-0-4-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83402;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3122;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"ragbo452081071c_q1_2-0-4-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76173;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1773", "11781", "_wp_attached_file", "2019/01/pr1-pink-2-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1774", "11781", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:24:\"2019/01/pr1-pink-2-4.jpg\";s:8:\"filesize\";i:286795;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"pr1-pink-2-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:182573;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2225;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-4-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37410;}s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-4-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12155;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"pr1-pink-2-4-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131767;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4481;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"pr1-pink-2-4-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120876;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1776", "11782", "_wp_attached_file", "2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1777", "11782", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:59:\"2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4.jpg\";s:8:\"filesize\";i:120459;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:61:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91696;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:1786;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19308;}s:6:\"medium\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6460;}s:5:\"large\";a:5:{s:4:\"file\";s:60:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62213;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2891;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57552;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1779", "11783", "_wp_attached_file", "2019/01/acndb3127517966_q1_2-0-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1780", "11783", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1128;s:6:\"height\";i:1440;s:4:\"file\";s:36:\"2019/01/acndb3127517966_q1_2-0-3.jpg\";s:8:\"filesize\";i:189832;s:5:\"sizes\";a:7:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:38:\"acndb3127517966_q1_2-0-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145217;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2195;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-3-416x531.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:531;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28376;}s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-3-235x300.jpg\";s:5:\"width\";i:235;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9461;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"acndb3127517966_q1_2-0-3-802x1024.jpg\";s:5:\"width\";i:802;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97731;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3920;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"acndb3127517966_q1_2-0-3-768x980.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:980;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1782", "11784", "_wp_attached_file", "2022/10/product-8-4.webp");
INSERT INTO `wp_postmeta` VALUES("1783", "11784", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2022/10/product-8-4.webp\";s:8:\"filesize\";i:2050;s:5:\"sizes\";a:2:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"product-8-4-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"product-8-4-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1084;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1785", "11785", "_wp_attached_file", "2022/10/hero-2-3.webp");
INSERT INTO `wp_postmeta` VALUES("1786", "11785", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:800;s:4:\"file\";s:21:\"2022/10/hero-2-3.webp\";s:8:\"filesize\";i:43304;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"hero-2-3-1024x800.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:44860;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"hero-2-3-100x100.webp\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1972;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"hero-2-3-416x173.webp\";s:5:\"width\";i:416;s:6:\"height\";i:173;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4704;}s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"hero-2-3-300x125.webp\";s:5:\"width\";i:300;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2846;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"hero-2-3-1024x427.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:427;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:18844;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"hero-2-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3654;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"hero-2-3-768x320.webp\";s:5:\"width\";i:768;s:6:\"height\";i:320;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12158;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"hero-2-3-1536x640.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33036;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"hero-2-3-1200x500.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:500;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:24206;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1787", "11785", "_wxr_import_parent", "11279");
INSERT INTO `wp_postmeta` VALUES("1788", "11786", "_wp_attached_file", "2022/10/pexels-photo-8365688-3.jpeg");
INSERT INTO `wp_postmeta` VALUES("1789", "11786", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:563;s:6:\"height\";i:750;s:4:\"file\";s:35:\"2022/10/pexels-photo-8365688-3.jpeg\";s:8:\"filesize\";i:70664;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-3-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3081;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-3-416x554.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:554;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46745;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-3-225x300.jpeg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13297;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-8365688-3-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5351;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1790", "11787", "_wp_attached_file", "2022/10/pexels-terje-sollie-298864-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1791", "11787", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:640;s:6:\"height\";i:427;s:4:\"file\";s:40:\"2022/10/pexels-terje-sollie-298864-4.jpg\";s:8:\"filesize\";i:57811;s:5:\"sizes\";a:4:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4047;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-4-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22138;}s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-4-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13497;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"pexels-terje-sollie-298864-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7011;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1792", "11788", "_wp_attached_file", "2022/10/pexels-photo-631411-4.jpeg");
INSERT INTO `wp_postmeta` VALUES("1793", "11788", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:982;s:6:\"height\";i:750;s:4:\"file\";s:34:\"2022/10/pexels-photo-631411-4.jpeg\";s:8:\"filesize\";i:79996;s:5:\"sizes\";a:5:{s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-4-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3724;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-4-416x318.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:318;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25292;}s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-4-300x229.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15048;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-4-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6611;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"pexels-photo-631411-4-768x587.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:587;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67573;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1794", "11789", "_wp_attached_file", "2022/10/pexels-photo-1337753-4.jpeg");
INSERT INTO `wp_postmeta` VALUES("1795", "11789", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:2400;s:4:\"file\";s:35:\"2022/10/pexels-photo-1337753-4.jpeg\";s:8:\"filesize\";i:763896;s:5:\"sizes\";a:10:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:37:\"pexels-photo-1337753-4-1024x1024.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281065;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-4-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4196;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-4-416x624.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79140;}s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-4-200x300.jpeg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19514;}s:5:\"large\";a:5:{s:4:\"file\";s:36:\"pexels-photo-1337753-4-683x1024.jpeg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:207766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"pexels-photo-1337753-4-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8335;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"pexels-photo-1337753-4-768x1152.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:256408;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-4-1024x1536.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:432431;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-4-1365x2048.jpeg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:704659;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:37:\"pexels-photo-1337753-4-1200x1800.jpeg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:578317;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1796", "11790", "_wp_attached_file", "2022/10/7a1f64152979619.632bd4d966dbe-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1797", "11790", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1276;s:4:\"file\";s:43:\"2022/10/7a1f64152979619.632bd4d966dbe-4.jpg\";s:8:\"filesize\";i:311723;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:45:\"7a1f64152979619.632bd4d966dbe-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62471;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2123;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-4-416x276.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:276;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8962;}s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-4-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5576;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"7a1f64152979619.632bd4d966dbe-4-1024x681.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:681;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36689;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3468;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"7a1f64152979619.632bd4d966dbe-4-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23070;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"7a1f64152979619.632bd4d966dbe-4-1536x1021.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1021;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70749;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:44:\"7a1f64152979619.632bd4d966dbe-4-1200x798.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:798;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47679;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1663832769\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1798", "11790", "_wxr_import_parent", "11279");
INSERT INTO `wp_postmeta` VALUES("1799", "11791", "_wp_attached_file", "2022/10/c96a9b144890955.6294d44ef1e11-1-3.jpg");
INSERT INTO `wp_postmeta` VALUES("1800", "11791", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1900;s:6:\"height\";i:1047;s:4:\"file\";s:45:\"2022/10/c96a9b144890955.6294d44ef1e11-1-3.jpg\";s:8:\"filesize\";i:168380;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"c96a9b144890955.6294d44ef1e11-1-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93919;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3036;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-3-416x229.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10539;}s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-3-300x165.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:165;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6574;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-3-1024x564.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:564;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44451;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4950;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"c96a9b144890955.6294d44ef1e11-1-3-768x423.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:423;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27699;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-3-1536x846.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:846;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86222;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:46:\"c96a9b144890955.6294d44ef1e11-1-3-1200x661.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:661;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57582;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1801", "11791", "_wxr_import_parent", "11279");
INSERT INTO `wp_postmeta` VALUES("1802", "11792", "_wp_attached_file", "2022/10/439f20144119531.628671b94bd08-1-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1803", "11792", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1900;s:6:\"height\";i:1058;s:4:\"file\";s:45:\"2022/10/439f20144119531.628671b94bd08-1-4.jpg\";s:8:\"filesize\";i:134269;s:5:\"sizes\";a:9:{s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:47:\"439f20144119531.628671b94bd08-1-4-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81831;s:9:\"uncropped\";b:0;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-4-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2865;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-4-416x232.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:232;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9906;}s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-4-300x167.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6164;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-4-1024x570.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:570;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39162;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4655;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"439f20144119531.628671b94bd08-1-4-768x428.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:428;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24717;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-4-1536x855.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:855;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76263;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:46:\"439f20144119531.628671b94bd08-1-4-1200x668.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:668;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50737;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1804", "11792", "_wxr_import_parent", "11279");
INSERT INTO `wp_postmeta` VALUES("1814", "217", "_thumbnail_id", "12142");
INSERT INTO `wp_postmeta` VALUES("1815", "217", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1816", "217", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("1817", "217", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("1818", "217", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1819", "217", "_elementor_page_settings", "a:8:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:30:\"https://www.laboiteapates.com/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:27:\"<b>Publié:</b> 22 mai 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";}");
INSERT INTO `wp_postmeta` VALUES("6397", "12151", "_elementor_page_settings", "a:8:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:30:\"https://www.laboiteapates.com/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:27:\"<b>Publié:</b> 22 mai 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";}");
INSERT INTO `wp_postmeta` VALUES("1820", "217", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u00abLa Bo\\u00eete \\u00c0 P\\u00e2tes\\u00bb est le restaurant sp\\u00e9cialis\\u00e9 dans les p\\u00e2tes fra\\u00eeches artisanales. nos p\\u00e2tes fra\\u00eeches sont r\\u00e9alis\\u00e9es sur place par nos soins \\u00e0 base de bl\\u00e9 dur venu de Naple (Italie). nos sauces sont faites maison \\u00e0 partir de produits frais de qualit\\u00e9.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2022\\/08\\/BAP_MR_028-scaled.jpg\",\"id\":12147,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"La Bo\\u00eete \\u00e0 P\\u00e2tes\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":61,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2022\\/08\\/BAP_MR_015-scaled.jpg\",\"id\":12143,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"La Bo\\u00eete \\u00e0 P\\u00e2tes\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2022\\/08\\/BAP_MR_031-scaled.jpg\",\"id\":12144,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"La Bo\\u00eete \\u00e0 P\\u00e2tes\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c697426\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"c364430\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"5eed70b\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6387", "12151", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6388", "12151", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6389", "12151", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6390", "12151", "_cdp_origin_title", " La Boîte à Pâtes #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6391", "12151", "_cdp_counter", "3");
INSERT INTO `wp_postmeta` VALUES("6392", "12151", "_thumbnail_id", "12153");
INSERT INTO `wp_postmeta` VALUES("6393", "12151", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6394", "12151", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6395", "12151", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6396", "12151", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1821", "217", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1841", "11793", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1842", "11793", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("1843", "11793", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("1844", "11793", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1845", "11793", "_elementor_version", "3.6.8");
INSERT INTO `wp_postmeta` VALUES("1846", "11793", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1847", "11793", "_elementor_page_settings", "a:12:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#6EC1E4\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#54595F\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#7A7A7A\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"Accent\";s:5:\"color\";s:7:\"#61CE70\";}}s:13:\"custom_colors\";a:0:{}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:9:\"Secondary\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"Roboto Slab\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:4:\"Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"Accent\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:9:\"site_name\";s:8:\"Blackdsn\";s:16:\"site_description\";s:40:\"Creative Ajax Portfolio WordPress Theme \";s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wp_postmeta` VALUES("1848", "3352", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1849", "3352", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1850", "3352", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("1851", "3352", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("1852", "3352", "_elementor_data", "[{\"id\":\"d3c90d3\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"195669a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"f2dd647\",\"elType\":\"widget\",\"settings\":{\"title\":\"COMMEN\\u00c7ONS UNE AVENTURE\\n<span class=\\\"d-block\\\">\\n <b><i>INCROYABLE<\\/i><\\/b> ENSEMBLE\\n<\\/span>\\n<img class=\\\"trait\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait{width:53%;padding-left:11%;}\\nb:hover{\\ncolor: #f3bc34;\\n}\\n@media only screen and (max-width: 370px)  {\\n.trait{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Title\",\"align_mobile\":\"left\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"0a1477c\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"LANCEZ VOUS !\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content_mobile\":\"flex-start\",\"text_with_ajax\":\"OUR PORTFOLIO\"},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"ff033e0\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"a92954b\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c4fabf2\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"2a7e828\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"https:\\/\\/www.facebook.com\\/kookfoodagency\\/\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"https:\\/\\/twitter.com\\/kook_agency\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"https:\\/\\/www.linkedin.com\\/company\\/kook-food-agency\\/\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"https:\\/\\/www.instagram.com\\/kook_agency\\/\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"icon_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"4cd9034\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"40d8e64\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"9\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"447b649\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\\\"col-contact\\\">\\r\\n\\r\\n<strong>T<\\/strong> : 01 86 90 50 99\\r\\n<p class=\\\"over-hidden\\\"><strong>E<\\/strong> : contact@kook-agency.fr<\\/p>\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"3ea3d87\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADRESSES\",\"text\":\"<div class=\\\"col-address\\\">\\r\\n\\r\\n1024 Chemin des Plantades, 83130 La Garde\\r\\n\\r\\n6 Rue Lacretelle, 75015 Paris\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b316db5\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"04eab16\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"41c1d7e\",\"elType\":\"widget\",\"settings\":{\"title\":\"COMMEN\\u00c7ONS UNE AVENTURE\\n<span class=\\\"d-block\\\">\\n <b><i>INCROYABLE<\\/i><\\/b> ENSEMBLE\\n<\\/span>\\n<img class=\\\"trait\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait{width:53%;padding-left:11%;}\\nb:hover{\\ncolor: #f3bc34;\\n}<\\/style>\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Title\",\"align_mobile\":\"left\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"85830b8\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"LANCEZ VOUS !\",\"type_link\":\"1\",\"link_post_id\":\"4276\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content_mobile\":\"flex-start\",\"text_with_ajax\":\"OUR PORTFOLIO\",\"typography_text_typography\":\"custom\",\"typography_text_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"3f152df\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"93ca4e5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":77,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"2cac610\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"54e867d\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NOS SERVICES\",\"nav_menu\":\"47\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"8782cdf\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\\\"col-contact\\\">\\r\\n\\r\\n<strong>T<\\/strong> : 01 86 90 50 99\\r\\n<p class=\\\"over-hidden\\\"><strong>E<\\/strong> : contact@kook-agency.fr<\\/p>\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true},{\"id\":\"418f152\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":23,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e648bd\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suivez-nous !\",\"typography_typography\":\"custom\",\"typography_font_family\":\"League Spartan\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7f395c2\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"https:\\/\\/www.facebook.com\\/kookfoodagency\\/\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"https:\\/\\/twitter.com\\/kook_agency\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"https:\\/\\/www.linkedin.com\\/company\\/kook-food-agency\\/\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"https:\\/\\/www.instagram.com\\/kook_agency\\/\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"icon_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"db1452b\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"triggerhook_change_color\":\"center\",\"structure\":\"40\",\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"%\",\"top\":\"2\",\"right\":0,\"bottom\":\"2\",\"left\":0,\"isLinked\":true},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5c2714b\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":20,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"content_position\":\"center\"},\"elements\":[{\"id\":\"c7b347a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Mentions l\\u00e9gales\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link\":{\"url\":\"http:\\/\\/kookagency\\/mentions-legales\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"text_shadow_text_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"color\":\"\"},\"typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"1a329ce\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":29.999,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"content_position\":\"center\"},\"elements\":[{\"id\":\"08608f7\",\"elType\":\"widget\",\"settings\":{\"title\":\"Politique de confidentialit\\u00e9\\n\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link\":{\"url\":\"http:\\/\\/kookagency\\/politique-de-confidentialite\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"68d726a\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":35,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"content_position\":\"center\"},\"elements\":[{\"id\":\"3e63acc\",\"elType\":\"widget\",\"settings\":{\"title\":\"Conditions g\\u00e9n\\u00e9rales de services\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link\":{\"url\":\"http:\\/\\/kookagency\\/conditions-generales-de-services\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"d9851e4\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":14.999,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"content_position\":\"center\"},\"elements\":[{\"id\":\"78503ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Plan du site\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link\":{\"url\":\"http:\\/\\/kookagency\\/plan-du-site\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"typography_font_family\":\"League Spartan\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1fe9fea\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"content_width\":{\"unit\":\"px\",\"size\":1253,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":84,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9086172\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"background_dsn_style_ver\":\"v-dark\",\"background_dsn_style\":\"background-section\",\"_inline_size\":100,\"margin\":{\"unit\":\"%\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6a92f66\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p style=\\\"text-align: center;\\\">2023 \\u00a9 Kook Agency<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"typography_typography\":\"custom\",\"typography_font_family\":\"League Spartan\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1853", "3352", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1854", "3365", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1855", "3365", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("1856", "3365", "_elementor_version", "3.7.0");
INSERT INTO `wp_postmeta` VALUES("1857", "3365", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1858", "3365", "_elementor_data", "[{\"id\":\"f5e8d9b\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"custom_height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"column_position\":\"stretch\",\"content_position\":\"space-between\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":\"min-height\",\"_element_id\":\"dsn_footer_creative\",\"_title\":\"dsnFooterCreative\",\"image\":{\"id\":\"\",\"url\":\"\"},\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"6a6e69e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"be872c2\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pt-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"custom_height_inner_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_inner_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"image\":{\"id\":\"\",\"url\":\"\"}},\"elements\":[{\"id\":\"5e1e3c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_custom_gap_text\":\"1\",\"dsn_col_number_col_text\":\"85% 15%\"},\"elements\":[{\"id\":\"c70e3db\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s work\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"70%\",\"use_end\":\"100%-={{height}}\",\"items_from\":[{\"_id\":\"f4c6215\",\"key\":\"x\",\"value\":\"-80\"}],\"items_to\":[{\"_id\":\"18d4e4e\",\"key\":\"x\",\"value\":\"0\"}],\"use_motion_effect\":\"1\",\"use_trigger\":\"#dsn_footer_creative\",\"use_scrub\":\"1\",\"title_typography_font_size\":{\"unit\":\"vw\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89c32bf\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"bg_ver_btn\":\"v-light\",\"bg_btn\":\"background-theme\",\"text\":\"Get in touch\",\"justify_content\":\"end\",\"parallax\":\"1\",\"zoom\":\"image-zoom\",\"move_circle\":\"move-circle\",\"width\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"use_start\":\"70%\",\"use_end\":\"100%-={{height}}\",\"items_from\":[{\"_id\":\"ef298da\",\"key\":\"x\",\"value\":\"-80\"}],\"items_to\":[{\"_id\":\"91a1ac5\",\"key\":\"x\"}],\"use_trigger\":\"#dsn_footer_creative\",\"use_scrub\":\"1\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"575e82c\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"image\":{\"id\":\"\",\"url\":\"\"}},\"elements\":[{\"id\":\"cc3a906\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9c9f752\",\"elType\":\"widget\",\"settings\":{\"title\":\" together\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"70%\",\"use_end\":\"100%-={{height}}\",\"items_from\":[{\"_id\":\"f4c6215\",\"key\":\"x\",\"value\":\"80\"}],\"items_to\":[{\"_id\":\"18d4e4e\",\"key\":\"x\",\"value\":\"0\"}],\"use_motion_effect\":\"1\",\"use_trigger\":\"#dsn_footer_creative\",\"use_scrub\":\"1\",\"align\":\"right\",\"title_typography_font_size\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"51e344e\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"image\":{\"id\":\"\",\"url\":\"\"}},\"elements\":[{\"id\":\"30a89a7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"4fa8e6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"u00a9 2021 Arctit Crafted by <a href=\"#\" target=\"_blank\">Dsn Grid.</a>n                                \",\"dsn_html_tag\":\"p\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"45fe641\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5697d40\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"items\":[{\"_id\":\"b0e2b00\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"title\":\"Facebook\",\"link\":\"#0\"},{\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"title\":\"Twitter\",\"link\":\"#0\",\"_id\":\"100ca48\"},{\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"title\":\"Instagram\",\"link\":\"#0\",\"_id\":\"fb51444\"},{\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"title\":\"LinkIn\",\"link\":\"#0\",\"_id\":\"6e2cf72\"}],\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1859", "3365", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1860", "5404", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1861", "5404", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("1862", "5404", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("1863", "5404", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1864", "5404", "_wp_old_date", "2022-08-26");
INSERT INTO `wp_postmeta` VALUES("1865", "5404", "_elementor_data", "[{\"id\":\"24e2114\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"5a91146\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"f87eb2e\",\"elType\":\"widget\",\"settings\":{\"title\":\"LET\'S BUILD  SOMETHING n<span class=\"d-block\">n <b><i>AMAZING </i></b>TOGETHERn</span>\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Title\",\"align_mobile\":\"left\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"2b6faeb\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"START A PROJECT\",\"type_link\":\"1\",\"link_post_id\":\"4276\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content_mobile\":\"flex-start\",\"text_with_ajax\":\"OUR PORTFOLIO\",\"icon_color_select\":\"dsn-icon-heading-color\"},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"29eabb7\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"0870b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"32f9045\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"6dd3297\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"#0\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"#0\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"#0\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"#0\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"38dc768\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"6d4573f\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"16\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"15cfa4a\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\"col-contact\">rnrn<strong>T</strong> : +001 225 3351rnrn<strong>F</strong> :+001 225 3351rn<p class=\"over-hidden\"><strong>E</strong> : <a class=\"link-hover init-color\" href=\"#\" data-hover-text=\"info@dsngrid.com\">info@dsngrid.com</a></p>rnrn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"45fbca2\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADDRESS\",\"text\":\"<div class=\"col-address\">rn                       rn <p>El-Mahalla El-Kubra 37<br>rn1776 Damietta<br>Egypt</p>rn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"5dfcccd\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f96512b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"38cceb4\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span class=\"over-hidden \">nu00a9 2022 Digital Agency Designed byn <a href=\"#0\" class=\"link-hover \" data-hover-text=\"DSN Grid\" target=\"_blank\">DSN Grid</a>n</span>\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"align_mobile\":\"center\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1866", "5404", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1868", "5408", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1869", "5408", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("1870", "5408", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("1871", "5408", "_elementor_data", "[{\"id\":\"187347f\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"a445f17\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"0aed7c7\",\"elType\":\"widget\",\"settings\":{\"title\":\"LET\'S BUILD  SOMETHING <br> <b><i>AMAZING </i></b>TOGETHER\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"64d97f5\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"START A PROJECT\",\"type_link\":\"1\",\"link_post_id\":\"4276\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"aa28a36\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"col-1\",\"_element_id\":\"logo_social\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"7576412d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_mobile\":30,\"_title\":\"logo\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"351bd07c\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"}],\"isInner\":true},{\"id\":\"742cdcff\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"space_between_widgets\":10,\"text_align\":\"right\",\"_inline_size_mobile\":70,\"_title\":\"social\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"47ecb045\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"h5\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"1268d951\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"#0\"},{\"title\":\"TW\",\"link\":\"#0\",\"_id\":\"4e1bd16\"},{\"title\":\"LN\",\"link\":\"#0\",\"_id\":\"679fa72\"},{\"title\":\"IN\",\"link\":\"#0\",\"_id\":\"aa33b2f\"}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"3f9db318\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"structure\":\"20\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"reverse_order_mobile\":\"reverse-mobile\",\"_title\":\"col-2\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"7fa222b7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_title\":\"copyright\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"779103fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span class=\"over-hidden \">nu00a9 2022 Digital Agency Designed byn <a href=\"#0\" class=\"link-hover \" data-hover-text=\"DSN Grid\" target=\"_blank\">DSN Grid</a>n</span>\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"align_mobile\":\"center\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"3c187fdd\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"space_between_widgets\":10,\"text_align\":\"right\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"15\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"link\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"31c42658\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"\",\"nav_menu\":\"16\"},\"_css_classes\":\"elementor-mobile-align-center list-inline-block\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1872", "5408", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1873", "5408", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1875", "6504", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1876", "6504", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("1877", "6504", "_elementor_version", "3.7.4");
INSERT INTO `wp_postmeta` VALUES("1878", "6504", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1879", "6504", "_elementor_data", "[{\"id\":\"b11d485\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"5112e48\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"c201e60\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"c9e6283\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b9bb0c\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"356e7ee\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"#0\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"#0\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"#0\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"#0\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"929558f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"12aa426\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"16\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"fc34909\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\"col-contact\">rnrn<strong>T</strong> : +001 225 3351rnrn<strong>F</strong> :+001 225 3351rn<p class=\"over-hidden\"><strong>E</strong> : <a class=\"link-hover\" href=\"#\" data-hover-text=\"info@dsngrid.com\">info@dsngrid.com</a></p>rnrn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"b0695e4\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADDRESS\",\"text\":\"<div class=\"col-address\">rn                       rn <p>El-Mahalla El-Kubra 37<br>rn1776 Damietta<br>Egypt</p>rn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"084ba33\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"20a57c2\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"37943b8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span class=\"over-hidden \">nu00a9 2022 Digital Agency Designed byn <a href=\"#0\" class=\"link-hover \" data-hover-text=\"DSN Grid\" target=\"_blank\">DSN Grid</a>n</span>\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"align_mobile\":\"center\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1880", "6504", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1882", "10155", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1883", "10155", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("1884", "10155", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("1885", "10155", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1886", "10155", "_elementor_data", "[{\"id\":\"f12d209\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"475da1a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"442028c\",\"elType\":\"widget\",\"settings\":{\"title\":\" ULTIMATE MULTI-PURPOSEWORDPRESS THEME\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-15\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"b5a8602\",\"elType\":\"widget\",\"settings\":{\"title\":\"Purchase The Blackdsn Theme<br><b>Now &amp; Make Everything Easier!</b>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"uppercase\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"73340ee\",\"elType\":\"widget\",\"settings\":{\"title\":\"We promise youu2019ll be blown away by all features and designs what blckdsn offers. Weu2019ll continue to update and upgrade blackdsn with new designs and features.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"4f74634\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Purchase Blackdsn\",\"justify_content\":\"center\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"40\",\"bottom\":\"30\",\"left\":\"40\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"typography_text_typography\":\"custom\",\"typography_text_font_weight\":\"500\",\"typography_text_text_transform\":\"uppercase\",\"button_text_color\":\"heading-color\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"link\":{\"url\":\"https://themeforest.net/item/blackdsn-creative-ajax-portfolio-wordpress-theme/39469693\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1887", "10155", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1888", "5410", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1889", "5410", "_menu_item_object_id", "393");
INSERT INTO `wp_postmeta` VALUES("1890", "5410", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1891", "5410", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1892", "5410", "_menu_item_text_ajax", "BLACKDSN");
INSERT INTO `wp_postmeta` VALUES("1894", "5411", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1895", "5411", "_menu_item_object_id", "4374");
INSERT INTO `wp_postmeta` VALUES("1896", "5411", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1897", "5411", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1899", "5412", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1900", "5412", "_menu_item_object_id", "3651");
INSERT INTO `wp_postmeta` VALUES("1901", "5412", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1902", "5412", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1904", "5413", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1905", "5413", "_menu_item_object_id", "3857");
INSERT INTO `wp_postmeta` VALUES("1906", "5413", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1907", "5413", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1909", "5414", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1910", "5414", "_menu_item_object_id", "4276");
INSERT INTO `wp_postmeta` VALUES("1911", "5414", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1912", "5414", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1914", "5563", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1915", "5563", "_menu_item_object_id", "393");
INSERT INTO `wp_postmeta` VALUES("1916", "5563", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1917", "5563", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1918", "5563", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1920", "5564", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1921", "5564", "_menu_item_menu_item_parent", "5563");
INSERT INTO `wp_postmeta` VALUES("1922", "5564", "_menu_item_object_id", "3398");
INSERT INTO `wp_postmeta` VALUES("1923", "5564", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1924", "5564", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1925", "5564", "_menu_item_text_ajax", "CORPRATE");
INSERT INTO `wp_postmeta` VALUES("1926", "5564", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1928", "5565", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("1929", "5565", "_menu_item_object_id", "5565");
INSERT INTO `wp_postmeta` VALUES("1930", "5565", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("1931", "5565", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1932", "5565", "_menu_item_url", "#0");
INSERT INTO `wp_postmeta` VALUES("1933", "5565", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1934", "5566", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1935", "5566", "_menu_item_menu_item_parent", "5565");
INSERT INTO `wp_postmeta` VALUES("1936", "5566", "_menu_item_object_id", "5500");
INSERT INTO `wp_postmeta` VALUES("1937", "5566", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1938", "5566", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1939", "5566", "_menu_item_text_ajax", "OUR PORTFOLIO");
INSERT INTO `wp_postmeta` VALUES("1940", "5566", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1942", "5567", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1943", "5567", "_menu_item_menu_item_parent", "5565");
INSERT INTO `wp_postmeta` VALUES("1944", "5567", "_menu_item_object_id", "4276");
INSERT INTO `wp_postmeta` VALUES("1945", "5567", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1946", "5567", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1947", "5567", "_menu_item_text_ajax", "OUR PORTFOLIO");
INSERT INTO `wp_postmeta` VALUES("1948", "5567", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1950", "5568", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1951", "5568", "_menu_item_menu_item_parent", "5565");
INSERT INTO `wp_postmeta` VALUES("1952", "5568", "_menu_item_object_id", "4313");
INSERT INTO `wp_postmeta` VALUES("1953", "5568", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1954", "5568", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1955", "5568", "_menu_item_text_ajax", "OUR PORTFOLIO");
INSERT INTO `wp_postmeta` VALUES("1956", "5568", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1958", "5569", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1959", "5569", "_menu_item_object_id", "4374");
INSERT INTO `wp_postmeta` VALUES("1960", "5569", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1961", "5569", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1962", "5569", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1964", "5570", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1965", "5570", "_menu_item_object_id", "3651");
INSERT INTO `wp_postmeta` VALUES("1966", "5570", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1967", "5570", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1968", "5570", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("1970", "10228", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1971", "10228", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1972", "10228", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("1973", "10228", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("1974", "10228", "_elementor_data", "[{\"id\":\"2ef3c61\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"931feef\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"70c480d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Digital Agency That <br>Thrives on Your Success\",\"font_size\":\"title\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"_title\":\"Title\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"5efbf74\",\"elType\":\"widget\",\"settings\":{\"title\":\"If you are looking for an agency to help you create a remarkable presence online, youu2019ve come to the right place. We can help you take your business to the next level.\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Description\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"8098d10\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Get Started Now\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8e0ef0e\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mb-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"_title\":\"box info with image\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"html_tag\":\"div\"},\"elements\":[{\"id\":\"740852b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"html_tag\":\"div\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"6e083cc\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":335,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"caption\":\" Web Design\",\"animate_image_style\":\"has-bigger-scale\",\"height_tablet\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"_title\":\"Parallax Image\",\"position_image\":\"yes\",\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"5f23b36\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"background_dsn_style\":\"background-theme\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"-130\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"css_classes\":\"box-padding\",\"_title\":\"content\",\"image\":{\"id\":3486,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/placeholder.png\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4d639d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"data_animation_section\":\"1\",\"_inline_size\":null,\"html_tag\":\"div\",\"_title\":\"inner content\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"a121ec8\",\"elType\":\"widget\",\"settings\":{\"title\":\"Help Millions To Bring <br>There Creative Projects To Life \",\"font_size\":\"title-block-lg\",\"dsn_html_tag\":\"h3\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"_title\":\"title\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"819add9\",\"elType\":\"widget\",\"settings\":{\"title\":\"We were thoughtful about presenting these in a way where we could also tell the story of the individual.. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"_title\":\"description\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ecbf13e\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Service\"},\"elements\":[{\"id\":\"1717eb8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2591a6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s Check Our Servicesn\",\"description\":\"advantages\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"d58f426\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"DIGITAL PRODUCTS\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"UI-UX DESIGN\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"UI-UX DESIGN\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"bc0b557\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"453754b\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"DIGITAL PRODUCTS\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"3f85e3f\"}],\"align\":\"center\",\"bg_btn\":\"background-transparent\",\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_padding_service\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"30\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f0b5a9c\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_col_padding\":\"section-padding\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Team\"},\"elements\":[{\"id\":\"46e8dc6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f4e6ec6\",\"elType\":\"widget\",\"settings\":{\"title\":\"The best team ever!\",\"description\":\"nnOur Team \",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"7b2922b\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"items\":[{\"_id\":\"4cab54a\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Ahmed Shawky\",\"position\":\" Web Designer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"ed21abb\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Hisham Megahed\",\"position\":\"Founder\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"afd739c\"}],\"height\":{\"unit\":\"px\",\"size\":450,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_typo_content_text-name_typography\":\"custom\",\"item_typo_content_text-name_text_transform\":\"uppercase\",\"item_typo_content_text-position_typography\":\"custom\",\"item_typo_content_text-position_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_team\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f5256a4\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"_title\":\"testimonials\"},\"elements\":[{\"id\":\"f1c89d7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9907484\",\"elType\":\"widget\",\"settings\":{\"title\":\"What People are Saying\",\"description\":\"testimonials\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"7ccb395\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"2301f2c\",\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\",\"_id\":\"c800a76\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\",\"_id\":\"4fd80b1\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\",\"id\":3296,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\",\"_id\":\"73f19f3\"}],\"align\":\"left\",\"justify_content_content\":\"flex-start\",\"show_navigation\":\"1\",\"show_pagination\":\"bullets\",\"dsn_width_nav_layout\":\"container\",\"loop\":\"1\",\"grabCursor\":\"1\",\"slideToClickedSlide\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"spaceBetween\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_padding_swiper\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"30\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false},\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_testimonial\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8e20e7d\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"section-margin\",\"_title\":\"Brand\"},\"elements\":[{\"id\":\"c00c376\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"c8d8b67\",\"elType\":\"widget\",\"settings\":{\"title\":\"Your successful, <br>our reputation\",\"description\":\"Our Clients\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"545fcbc\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"image_size\":\"full\",\"items\":[{\"_id\":\"23978c0\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\",\"id\":3320,\"alt\":\"\",\"source\":\"library\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png\",\"id\":3321,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"194b497\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\",\"id\":3322,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"0e886c1\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png\",\"id\":3323,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"5330376\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\",\"id\":3324,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"d1d2c9b\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png\",\"id\":3325,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"79ccdbb\"}],\"bg_ver_btn\":\"v-dark-head\",\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"bg_btn\":\"background-main\"},\"elements\":[],\"widgetType\":\"dsn_brand\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1975", "10228", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1977", "10237", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("1978", "10237", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1979", "10237", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("1980", "10237", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1981", "10237", "_elementor_data", "[{\"id\":\"12f1e01\",\"elType\":\"section\",\"settings\":{\"image\":{\"url\":\"\",\"id\":\"\",\"source\":\"url\"},\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"//dsngrid.com/images/wp/blackdsn/pattern.png\",\"id\":\"\",\"source\":\"url\"},\"background_overlay_position\":\"bottom center\",\"background_overlay_repeat\":\"no-repeat\"},\"elements\":[{\"id\":\"ebd3a30\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"e35fd6f\",\"elType\":\"widget\",\"settings\":{\"query_post\":\"blackdsn-portfolio\",\"image_size\":\"full\",\"font_size\":\"title\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\"& \",\"text_link\":\"View Case\",\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"parallax\":\"1\",\"parallax_content\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"opacity_content\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"loop\":\"1\",\"grabCursor\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"centeredSlides\":\"1\",\"spaceBetween\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"excerpt_length\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":1.15,\"sizes\":[]},\"slidesPerView_mobile\":{\"unit\":\"px\",\"size\":1.1,\"sizes\":[]},\"centeredSlides_tablet\":\"1\",\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"spaceBetween_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_typo_content_entry-meta-a_typography\":\"custom\",\"item_typo_content_entry-meta-a_text_transform\":\"uppercase\",\"mousewheel\":\"1\",\"autoplay\":\"1\"},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1982", "10237", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1984", "10240", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("1985", "10240", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1986", "10240", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("1987", "10240", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1988", "10240", "_elementor_data", "[{\"id\":\"2223f16\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ac23c03\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"51b16ba\",\"elType\":\"widget\",\"settings\":{\"style_cards_post\":\"box-image-blackdsn\",\"query_post\":\"blackdsn-portfolio\",\"image_size\":\"full\",\"font_size\":\"title-h2\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" ||  \",\"text_link\":\"View Case\",\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"loop\":\"1\",\"grabCursor\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"centeredSlides\":\"1\",\"spaceBetween\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"mousewheel\":\"1\",\"bg_btn\":\"background-transparent\",\"item_typo_content_entry-meta-a_typography\":\"custom\",\"item_typo_content_entry-meta-a_text_transform\":\"uppercase\",\"parallax_box\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":1.1,\"sizes\":[]},\"centeredSlides_tablet\":\"1\",\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1989", "10240", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1991", "10243", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("1992", "10243", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("1993", "10243", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("1994", "10243", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1995", "10243", "_elementor_data", "[{\"id\":\"9319fa4\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"image\":{\"url\":\"\",\"id\":\"\",\"source\":\"url\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"//dsngrid.com/images/wp/blackdsn/pattern.png\",\"id\":\"\",\"source\":\"url\"},\"background_overlay_position\":\"bottom center\",\"background_overlay_repeat\":\"no-repeat\"},\"elements\":[{\"id\":\"9549efa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"25f2449\",\"elType\":\"widget\",\"settings\":{\"style_cards_post\":\"box-image-normal box-image-hover\",\"query_post\":\"blackdsn-portfolio\",\"image_size\":\"full\",\"font_size\":\"title-h2\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" || \",\"text_link\":\"View Case\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"align\":\"center\",\"justify_content_posts\":\"center\",\"parallax\":\"1\",\"parallax_content\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"opacity_content\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"loop\":\"1\",\"grabCursor\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"centeredSlides\":\"1\",\"spaceBetween\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"item_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"item_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"item_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height_image\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_image_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_image_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"mousewheel\":\"1\",\"_css_classes\":\"aspect-ratio-1\",\"justify_content\":\"\",\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"centeredSlides_tablet\":\"1\",\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"bg_btn\":\"background-transparent\",\"item_typo_content_post-title_typography\":\"custom\",\"item_typo_content_post-title_font_size\":{\"unit\":\"vw\",\"size\":3.5,\"sizes\":[]},\"item_typo_content_post-title_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"item_typo_content_post-title_font_size_mobile\":{\"unit\":\"vw\",\"size\":8,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("1996", "10243", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("1998", "10263", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("1999", "10263", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2000", "10263", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2001", "10263", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2002", "10263", "_elementor_data", "[{\"id\":\"d53ef2f\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":\"full\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"c1b83c3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f2a5e19\",\"elType\":\"widget\",\"settings\":{\"title\":\"OUR SERVICES \",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_line_text\":\"circle-before\",\"align\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"37129ae\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are delivering beautiful <br>digital products for you. \",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"title_typography_line_height_tablet\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f7c8ed8\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"bg_btn\":\"background-transparent\",\"text\":\"GET STARTED NOW\",\"justify_content\":\"end\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"width\":{\"unit\":\"vw\",\"size\":12,\"sizes\":[]},\"width_tablet\":{\"unit\":\"vw\",\"size\":16,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"height\":{\"unit\":\"vw\",\"size\":12,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vw\",\"size\":16,\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":0,\"unit\":\"vh\"},\"_offset_x_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"size\":25,\"unit\":\"vh\"},\"_offset_y_tablet\":{\"unit\":\"vw\",\"size\":12,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"vh\",\"size\":14,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"vw\",\"size\":-16,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"px\",\"size\":-90,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3651\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ffe22df\",\"elType\":\"section\",\"settings\":{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.gif\",\"id\":348,\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"opacity_overlay_popover\":\"yes\",\"opacity_overlay\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"About\"},\"elements\":[{\"id\":\"360c244\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"30c50a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"content\"},\"elements\":[{\"id\":\"31edaa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":65,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":45},\"elements\":[],\"isInner\":true},{\"id\":\"350dd87\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":35,\"space_between_widgets\":30,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_dsn_style\":\"background-section\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"40\",\"bottom\":\"80\",\"left\":\"40\",\"isLinked\":false},\"_inline_size_tablet\":55,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"content\"},\"elements\":[{\"id\":\"d18e458\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s Check <b>Our Services</b>n\",\"description\":\"\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"space_section\":\"\",\"dsn_html_tag\":\"div\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"61de78c\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"items\":[{\"_id\":\"097e82b\",\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Brand Consultingtn\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Marketing Management\",\"_id\":\"0003f9c\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Customer Insight\",\"_id\":\"9df6d45\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Brand Consultingtn\",\"_id\":\"7be1f98\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Marketing Management\",\"_id\":\"a8ed410\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Customer Insight\",\"_id\":\"e1a1054\"}],\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"cdb0597\",\"elType\":\"widget\",\"settings\":{\"position_icon\":\"icon-left\",\"items\":[{\"_id\":\"f4380fa\",\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"Best Practices from Industry Experts \",\"description\":\"<p>Weu2019ve designed a culture that allows our stewards to assimilate with our clients and bring.</p>\",\"text_link\":\"Read More\"}],\"item_padding_service\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"space_service_description\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"width_icon\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"bg_btn\":\"background-transparent\"},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"03ccd64\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pt-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"box info\"},\"elements\":[{\"id\":\"e1b5481\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"3b3de24\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6e43d1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5868e11\",\"elType\":\"widget\",\"settings\":{\"title\":\"We provide you withnthe best service <b>in the market</b>\",\"font_size\":\"title-h2\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_html_tag\":\"span\",\"align\":\"left\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"d29bb90\",\"elType\":\"widget\",\"settings\":{\"title\":\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, by injected humour. words\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"05fac7c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"space_between_widgets\":15,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b2500c9\",\"elType\":\"widget\",\"settings\":{\"title\":\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, Injected humour words web page editors now use as their.\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"9fb3d5c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Default and a search for will uncover many web sites still in their infancy.suffered alteration, by injected humour words web page.\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a246d7\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mb-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"box image\"},\"elements\":[{\"id\":\"85f6172\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"28a22ee\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"be2a8d6\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"24b1920\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_custom_gap_text\":\"1\",\"dsn_col_number_col_text\":\"65% 35%\",\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_text_mobile\":\"100%\"},\"elements\":[{\"id\":\"2bcc097\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"//images.unsplash.com/photo-1629904853716-f0bc54eea481?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1000&q=80\",\"id\":\"\",\"source\":\"url\",\"alt\":\"\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":470,\"sizes\":[]},\"object-fit\":\"cover\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"09729a8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"//images.unsplash.com/photo-1607537669513-8472b5a8f85b?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1000&q=80\",\"id\":\"\",\"source\":\"url\",\"alt\":\"\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":470,\"sizes\":[]},\"object-fit\":\"cover\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"735c1ea\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"overflow\":\"hidden\",\"_title\":\"box info left image\",\"image\":{\"id\":\"\",\"url\":\"\",\"alt\":\"\",\"source\":\"library\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"5c40bfa\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"image\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"1c27ba8\",\"elType\":\"widget\",\"settings\":{\"title\":\"We have been doing projects <b>since 2008.</b>\",\"dsn_html_tag\":\"span\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"font_size\":\"title-h2\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"_title\":\"title\",\"align\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"166be6e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Foundedn inn 2000,n Dsnn Gridn hasn becomen onen ofn then bestn Digitaln Agencyn inn ThemeForest.n Bluen moneyn goingn forward,n butn deployn ton production.n \",\"dsn_html_tag\":\"p\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false},{\"id\":\"e7ddcd6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"content\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"4a6075c\",\"elType\":\"widget\",\"settings\":{\"list_with_number\":\"1\",\"items\":[{\"_id\":\"67f6896\",\"title\":\"Our Vision\"},{\"title\":\"Our goals\",\"_id\":\"196c6e2\"},{\"title\":\"Our Mission\",\"_id\":\"47441d7\"}],\"dsn_html_tag\":\"h6\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"255d4b3\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mt-section\",\"dsn_col_padding\":\"section-padding\",\"dsn_width_layout\":\"dsn-container\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"Team\"},\"elements\":[{\"id\":\"4c63c3a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"c6bd5fd\",\"elType\":\"widget\",\"settings\":{\"title\":\"The best <b>team ever!</b>\",\"description\":\"\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_section_width_layout\":\"container\",\"dsn_html_tag\":\"span\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"2f60bd7\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"3b345ac\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ce75edc\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"items\":[{\"_id\":\"4cab54a\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Ahmed Shawky\",\"position\":\" Web Designer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"icon-4\":{\"value\":\"\",\"library\":\"\"},\"icon-5\":{\"value\":\"\",\"library\":\"\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"ed21abb\",\"icon-4\":{\"value\":\"\",\"library\":\"\"},\"icon-5\":{\"value\":\"\",\"library\":\"\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Hisham Megahed\",\"position\":\"Founder\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"afd739c\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267.jpg\",\"id\":6111,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"37fd798\"}],\"height\":{\"unit\":\"px\",\"size\":450,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_typo_content_text-name_typography\":\"custom\",\"item_typo_content_text-name_text_transform\":\"uppercase\",\"item_typo_content_text-position_typography\":\"custom\",\"item_typo_content_text-position_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_team\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"535bd16\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"80\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/19742-Converted-2.png\",\"id\":6255,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"Brand\"},\"elements\":[{\"id\":\"4bc8fb8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ac4f725\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":3324,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\"},{\"id\":3322,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\"},{\"id\":3320,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\"},{\"id\":7701,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d6bc5f55290b61f24b_paypal-logo-svgrepo-com-1.svg\"},{\"id\":7702,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60d2876032872b698_python-3-logo-svgrepo-com-1.svg\"},{\"id\":7703,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60e943760dfd41c9e_xiaomi-1-logo-svgrepo-com-1.svg\"},{\"id\":7705,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d683b282409e1647be_microsoft-logo-svgrepo-com-1.svg\"},{\"id\":7706,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d79103d607ae28ea89_bookingcom-logo-svgrepo-com-1.svg\"},{\"id\":7707,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d62951158751131e7e_1.svg\"}],\"gallery_size\":\"full\",\"caption\":\"Enter your image caption\",\"number_blackdsn\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"start_scroll\":\"100%\",\"end_scroll\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"col_layout_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_move_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"621a06f\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Testimonial\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/19742-Converted-2.png\",\"id\":6255,\"source\":\"library\",\"alt\":\"\"},\"background_overlay_size\":\"auto\",\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"}},\"elements\":[{\"id\":\"ce05ef7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"fa87ede\",\"elType\":\"widget\",\"settings\":{\"title\":\"Relationships <br><b>based on trust.</b>\",\"description\":\"\",\"direction\":\"\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_html_tag\":\"span\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"63041bc\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"2301f2c\",\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\",\"_id\":\"c800a76\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\",\"_id\":\"4fd80b1\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\",\"id\":3296,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\",\"_id\":\"73f19f3\"}],\"align\":\"left\",\"justify_content_content\":\"flex-start\",\"show_navigation\":\"1\",\"show_pagination\":\"bullets\",\"loop\":\"1\",\"grabCursor\":\"1\",\"slideToClickedSlide\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"spaceBetween\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"bg_item\":\"background-main\",\"item_padding_swiper\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"_title\":\"Blackdsn Testimonial\",\"quote_style\":\"quote-box-style\"},\"elements\":[],\"widgetType\":\"dsn_testimonial\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2003", "10263", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2005", "10264", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("2006", "10264", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2007", "10264", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2008", "10264", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2009", "10264", "_elementor_data", "[{\"id\":\"5f8f2cc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"_title\":\"heading\",\"html_tag\":\"header\"},\"elements\":[{\"id\":\"a63488e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6252c55\",\"elType\":\"widget\",\"settings\":{\"title\":\"OUR SERVICES \",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_line_text\":\"circle-before\",\"align\":\"left\",\"_title\":\"subtitle\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"2b9be6a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are delivering <br>beautiful digital products for you. \",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"_title\":\"Title\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"721f2d9\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Get Started Now\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94fc3e4\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"video\"},\"elements\":[{\"id\":\"770d9d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"a858158\",\"elType\":\"widget\",\"settings\":{\"video_type\":\"hosted\",\"youtube_url\":\"https://www.youtube.com/watch?v=XHOmBV4js_E\",\"vimeo_url\":\"https://vimeo.com/235215203\",\"dailymotion_url\":\"https://www.dailymotion.com/video/x6tqhqb\",\"insert_url\":\"yes\",\"external_url\":{\"url\":\"http://theme.dsngrid.com/video/about-us.mp4\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"autoplay\":\"yes\",\"play_on_mobile\":\"yes\",\"mute\":\"yes\",\"loop\":\"yes\",\"controls\":\"\",\"aspect_ratio\":\"219\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"video\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8c36ce9\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Know Us Better\"},\"elements\":[{\"id\":\"42cb4a4\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"left\"},\"elements\":[{\"id\":\"e3dee2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"The good writers touch life often. The mediocre ones run a quick hand over her. The bad ones rape her and leave her for the flies.\",\"description\":\"Know us better\",\"dsn_html_tag\":\"span\",\"font_size\":\"title-block\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_font_weight\":\"600\",\"dsn_line_description\":\"circle-before\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"}],\"isInner\":false},{\"id\":\"c7324cd\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"right\"},\"elements\":[{\"id\":\"837c1e4\",\"elType\":\"widget\",\"settings\":{\"title\":\"OUR SERVICEStn\",\"dsn_html_tag\":\"p\",\"dsn_line_text\":\"circle-before\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"4c4e8cd\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"097e82b\",\"text\":\"Brand Consultingtn\"},{\"text\":\"Marketing Management\",\"_id\":\"0003f9c\"},{\"text\":\"Customer Insight\",\"_id\":\"9df6d45\"}],\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"0be49ff\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"_title\":\"Service\"},\"elements\":[{\"id\":\"ff718e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"f6e07ca\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s Check Our Servicesn\",\"description\":\"advantages\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"442ca59\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"DIGITAL PRODUCTS\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"UI-UX DESIGN\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"8c5dbf3\"}],\"bg_btn\":\"background-transparent\",\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"item_padding_service\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"space_service_description\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f1e92ec\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mb-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"aword\",\"html_tag\":\"div\"},\"elements\":[{\"id\":\"ecefb2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"57e00c1\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"e651da5\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"dsn_width_layout\":\"container\",\"background_dsn_style_ver\":\"v-light\",\"background_dsn_style\":\"background-theme\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"8416512\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"space_between_widgets\":10,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"756903c\",\"elType\":\"widget\",\"settings\":{\"title\":\"200+\",\"font_size\":\"font-number\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"animate_number\":\"dsn-animate-number\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"869a4db\",\"elType\":\"widget\",\"settings\":{\"title\":\"nTeam Memberstn\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"33b0d1c\",\"elType\":\"widget\",\"settings\":{\"title\":\"A diverse and global community of independent thinkers make up our inclusive workplace.\",\"font_size\":\"sm-p\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"99bc8a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"space_between_widgets\":10,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8db441e\",\"elType\":\"widget\",\"settings\":{\"title\":\"60+\",\"font_size\":\"font-number\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"animate_number\":\"dsn-animate-number\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"c6a249c\",\"elType\":\"widget\",\"settings\":{\"title\":\"nPortfolio Managerstn\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"3ebdd8c\",\"elType\":\"widget\",\"settings\":{\"title\":\"A diverse and global community of independent thinkers make up our inclusive workplace.\",\"font_size\":\"sm-p\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"17f9a58\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"space_between_widgets\":10,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"456b2fd\",\"elType\":\"widget\",\"settings\":{\"title\":\"7+\",\"font_size\":\"font-number\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"animate_number\":\"dsn-animate-number\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"e061a06\",\"elType\":\"widget\",\"settings\":{\"title\":\"Offices\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"6af159b\",\"elType\":\"widget\",\"settings\":{\"title\":\"A diverse and global community of independent thinkers make up our inclusive workplace.\",\"font_size\":\"sm-p\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"37d36ff\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"overflow\":\"hidden\",\"_title\":\"box info left image\",\"image\":{\"id\":\"\",\"url\":\"\",\"alt\":\"\",\"source\":\"library\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"fb66c4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"image\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"b7d88ed\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":4476,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash.jpg\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"caption\":\"Enter your image caption\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"custom_position_mobile\":\"relative\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"opacity_overlay_popover\":\"yes\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"position_image_position_y_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false},{\"id\":\"a2a8959\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"content\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"d6bd934\",\"elType\":\"widget\",\"settings\":{\"title\":\"We have been doing projects since 2008.\",\"dsn_html_tag\":\"h6\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"font_size\":\"title-h2\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-20\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"_title\":\"title\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"fbcfa3e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Foundedn inn 2000,n Dsnn Gridn hasn becomen onen ofn then bestn Digitaln Agencyn inn ThemeForest.n Bluen moneyn goingn forward,n butn deployn ton production.n \",\"dsn_html_tag\":\"p\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89f630d\",\"elType\":\"widget\",\"settings\":{\"list_with_number\":\"1\",\"items\":[{\"_id\":\"67f6896\",\"title\":\"Our Vision\"},{\"title\":\"Our goals\",\"_id\":\"196c6e2\"},{\"title\":\"Our Mission\",\"_id\":\"47441d7\"}],\"dsn_html_tag\":\"h6\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6ca30f4\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Team\"},\"elements\":[{\"id\":\"5f4c5c0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"8eafa7b\",\"elType\":\"widget\",\"settings\":{\"title\":\"The best team ever!\",\"description\":\"nnOur Team \",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"092e965\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"items\":[{\"_id\":\"4cab54a\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Ahmed Shawky\",\"position\":\" Web Designer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Fb\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"In\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Fb\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"In\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"ed21abb\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Hisham Megahed\",\"position\":\"Founder\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Fb\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"In\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"afd739c\"}],\"height\":{\"unit\":\"px\",\"size\":450,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_typo_content_text-name_typography\":\"custom\",\"item_typo_content_text-name_text_transform\":\"uppercase\",\"item_typo_content_text-position_typography\":\"custom\",\"item_typo_content_text-position_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_team\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b498aa3\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"brand\",\"dsn_col_margin\":\"section-margin\"},\"elements\":[{\"id\":\"1cd37ae\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"042af92\",\"elType\":\"widget\",\"settings\":{\"title\":\"nThey trust usn\",\"description\":\"Our Clients\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"54bc670\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"image_size\":\"full\",\"items\":[{\"_id\":\"23978c0\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\",\"id\":3320,\"alt\":\"\",\"source\":\"library\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png\",\"id\":3321,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"194b497\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\",\"id\":3322,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"0e886c1\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png\",\"id\":3323,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"5330376\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\",\"id\":3324,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"d1d2c9b\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png\",\"id\":3325,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"79ccdbb\"}],\"bg_btn\":\"background-transparent\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"col_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_brand\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2010", "10264", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2153", "5571", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("2154", "5571", "_menu_item_object_id", "3857");
INSERT INTO `wp_postmeta` VALUES("2155", "5571", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("2156", "5571", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("2157", "5571", "_wp_old_date", "2022-08-27");
INSERT INTO `wp_postmeta` VALUES("2159", "5708", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("2160", "5708", "_menu_item_menu_item_parent", "5563");
INSERT INTO `wp_postmeta` VALUES("2161", "5708", "_menu_item_object_id", "393");
INSERT INTO `wp_postmeta` VALUES("2162", "5708", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("2163", "5708", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("2164", "5708", "_menu_item_text_ajax", "Main Demo");
INSERT INTO `wp_postmeta` VALUES("2186", "10675", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("2187", "10675", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("2188", "10675", "_menu_item_object_id", "6206");
INSERT INTO `wp_postmeta` VALUES("2189", "10675", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("2190", "10675", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("2191", "10675", "_wp_old_date", "2022-09-21");
INSERT INTO `wp_postmeta` VALUES("2217", "10679", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("2218", "10679", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("2219", "10679", "_menu_item_object_id", "3857");
INSERT INTO `wp_postmeta` VALUES("2220", "10679", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("2221", "10679", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("2222", "10679", "_wp_old_date", "2022-09-21");
INSERT INTO `wp_postmeta` VALUES("2894", "11832", "_wp_attached_file", "2023/05/log_file_2023-05-30__08-39-17.txt");
INSERT INTO `wp_postmeta` VALUES("2346", "11130", "_children", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2347", "11130", "_sku", "woo-beanie");
INSERT INTO `wp_postmeta` VALUES("2348", "11130", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2349", "11130", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2350", "11130", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2351", "11130", "_sale_price", "45");
INSERT INTO `wp_postmeta` VALUES("2352", "11130", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2353", "11130", "_weight", "0.2");
INSERT INTO `wp_postmeta` VALUES("2354", "11130", "_length", "4");
INSERT INTO `wp_postmeta` VALUES("2355", "11130", "_width", "5");
INSERT INTO `wp_postmeta` VALUES("2356", "11130", "_height", "0.5");
INSERT INTO `wp_postmeta` VALUES("2357", "11130", "_upsell_ids", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2358", "11130", "_crosssell_ids", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2359", "11130", "_default_attributes", "a:1:{s:8:\"pa_color\";s:4:\"gray\";}");
INSERT INTO `wp_postmeta` VALUES("2360", "11130", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2361", "11130", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2362", "11130", "_product_image_gallery", "11268,11269,11267");
INSERT INTO `wp_postmeta` VALUES("2363", "11130", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2364", "11130", "_wc_rating_count", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2365", "11130", "_downloadable_files", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2366", "11130", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2367", "11130", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2368", "11130", "_regular_price", "50");
INSERT INTO `wp_postmeta` VALUES("2369", "11130", "_thumbnail_id", "11270");
INSERT INTO `wp_postmeta` VALUES("2370", "11130", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2371", "11130", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"gray\";s:4:\"name\";s:4:\"Gray\";}");
INSERT INTO `wp_postmeta` VALUES("2372", "11130", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("2373", "11130", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("2374", "11138", "_sku", "woo-album");
INSERT INTO `wp_postmeta` VALUES("2375", "11138", "_regular_price", "15");
INSERT INTO `wp_postmeta` VALUES("2376", "11138", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2377", "11138", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2378", "11138", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2379", "11138", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2380", "11138", "_upsell_ids", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2381", "11138", "_crosssell_ids", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2382", "11138", "_default_attributes", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2383", "11138", "_virtual", "yes");
INSERT INTO `wp_postmeta` VALUES("2384", "11138", "_downloadable", "yes");
INSERT INTO `wp_postmeta` VALUES("2385", "11138", "_download_limit", "1");
INSERT INTO `wp_postmeta` VALUES("2386", "11138", "_download_expiry", "1");
INSERT INTO `wp_postmeta` VALUES("2387", "11138", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2388", "11138", "_wc_rating_count", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2389", "11138", "_downloadable_files", "a:2:{s:36:\"356506a5-cc15-41b9-801b-9104dda1702c\";a:4:{s:2:\"id\";s:36:\"356506a5-cc15-41b9-801b-9104dda1702c\";s:4:\"name\";s:8:\"Single 1\";s:4:\"file\";s:85:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/single.jpg\";s:7:\"enabled\";b:1;}s:36:\"18e70c59-59f3-43a3-8525-ce1ea0c12943\";a:4:{s:2:\"id\";s:36:\"18e70c59-59f3-43a3-8525-ce1ea0c12943\";s:4:\"name\";s:8:\"Single 2\";s:4:\"file\";s:84:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/album.jpg\";s:7:\"enabled\";b:1;}}");
INSERT INTO `wp_postmeta` VALUES("2390", "11138", "_product_attributes", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2391", "11138", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2392", "11138", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("2393", "11138", "_thumbnail_id", "11259");
INSERT INTO `wp_postmeta` VALUES("2394", "11146", "_sku", "Woo-tshirt-logo");
INSERT INTO `wp_postmeta` VALUES("2395", "11146", "_regular_price", "18");
INSERT INTO `wp_postmeta` VALUES("2396", "11146", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2397", "11146", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2398", "11146", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2399", "11146", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2400", "11146", "_weight", "0.5");
INSERT INTO `wp_postmeta` VALUES("2401", "11146", "_length", "10");
INSERT INTO `wp_postmeta` VALUES("2402", "11146", "_width", "12");
INSERT INTO `wp_postmeta` VALUES("2403", "11146", "_height", "0.5");
INSERT INTO `wp_postmeta` VALUES("2404", "11146", "_upsell_ids", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2405", "11146", "_crosssell_ids", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2406", "11146", "_default_attributes", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2407", "11146", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2408", "11146", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2409", "11146", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2410", "11146", "_wc_rating_count", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2411", "11146", "_downloadable_files", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2412", "11146", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2413", "11146", "_product_version", "3.5.3");
INSERT INTO `wp_postmeta` VALUES("2414", "11146", "_price", "18");
INSERT INTO `wp_postmeta` VALUES("2415", "11146", "_thumbnail_id", "11167");
INSERT INTO `wp_postmeta` VALUES("2416", "11146", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"gray\";s:4:\"name\";s:4:\"Gray\";}");
INSERT INTO `wp_postmeta` VALUES("2417", "11794", "_sku", "woo-vneck-tee");
INSERT INTO `wp_postmeta` VALUES("2418", "11794", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2419", "11794", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2420", "11794", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2421", "11794", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2422", "11794", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2423", "11794", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2424", "11794", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2425", "11794", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2426", "11794", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("2427", "11794", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("2428", "11794", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2429", "11794", "_wp_old_slug", "import-placeholder-for-44");
INSERT INTO `wp_postmeta` VALUES("2430", "11794", "_product_image_gallery", "11152,11153");
INSERT INTO `wp_postmeta` VALUES("2431", "11794", "_thumbnail_id", "11151");
INSERT INTO `wp_postmeta` VALUES("2432", "11794", "_product_attributes", "a:2:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}s:7:\"pa_size\";a:6:{s:4:\"name\";s:7:\"pa_size\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:1;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2433", "11794", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("2434", "11794", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("2435", "11794", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:7:\"pa_size\";s:4:\"slug\";s:5:\"large\";s:4:\"name\";s:5:\"Large\";}");
INSERT INTO `wp_postmeta` VALUES("2436", "11794", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:7:\"pa_size\";s:4:\"slug\";s:6:\"medium\";s:4:\"name\";s:6:\"Medium\";}");
INSERT INTO `wp_postmeta` VALUES("2437", "11794", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("2438", "11794", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:7:\"pa_size\";s:4:\"slug\";s:5:\"small\";s:4:\"name\";s:5:\"Small\";}");
INSERT INTO `wp_postmeta` VALUES("2439", "11795", "_sku", "woo-hoodie");
INSERT INTO `wp_postmeta` VALUES("2440", "11795", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2441", "11795", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2442", "11795", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2443", "11795", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2444", "11795", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2445", "11795", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2446", "11795", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2447", "11795", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2448", "11795", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2449", "11795", "_price", "42");
INSERT INTO `wp_postmeta` VALUES("2450", "11795", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2451", "11795", "_wp_old_slug", "import-placeholder-for-45");
INSERT INTO `wp_postmeta` VALUES("2452", "11795", "_product_image_gallery", "11154,11155,11156");
INSERT INTO `wp_postmeta` VALUES("2453", "11795", "_thumbnail_id", "34");
INSERT INTO `wp_postmeta` VALUES("2454", "11795", "_product_attributes", "a:2:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}s:4:\"logo\";a:6:{s:4:\"name\";s:4:\"Logo\";s:5:\"value\";s:8:\"Yes | No\";s:8:\"position\";i:1;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("2455", "11795", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("2456", "11795", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("2457", "11795", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("2458", "11796", "_sku", "woo-hoodie-with-logo");
INSERT INTO `wp_postmeta` VALUES("2459", "11796", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2460", "11796", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2461", "11796", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2462", "11796", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2463", "11796", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2464", "11796", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2465", "11796", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2466", "11796", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2467", "11796", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2468", "11796", "_wp_old_slug", "import-placeholder-for-46");
INSERT INTO `wp_postmeta` VALUES("2469", "11796", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2470", "11796", "_thumbnail_id", "11156");
INSERT INTO `wp_postmeta` VALUES("2471", "11796", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2472", "11796", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2473", "11796", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("2474", "11797", "_sku", "woo-tshirt");
INSERT INTO `wp_postmeta` VALUES("2475", "11797", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2476", "11797", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2477", "11797", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2478", "11797", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2479", "11797", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2480", "11797", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2481", "11797", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2482", "11797", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2483", "11797", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2484", "11797", "_wp_old_slug", "import-placeholder-for-47");
INSERT INTO `wp_postmeta` VALUES("2485", "11797", "_regular_price", "18");
INSERT INTO `wp_postmeta` VALUES("2486", "11797", "_thumbnail_id", "11157");
INSERT INTO `wp_postmeta` VALUES("2487", "11797", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2488", "11797", "_price", "18");
INSERT INTO `wp_postmeta` VALUES("2489", "11797", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"gray\";s:4:\"name\";s:4:\"Gray\";}");
INSERT INTO `wp_postmeta` VALUES("2490", "11798", "_sku", "woo-beanie");
INSERT INTO `wp_postmeta` VALUES("2491", "11798", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2492", "11798", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2493", "11798", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2494", "11798", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2495", "11798", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2496", "11798", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2497", "11798", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2498", "11798", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2499", "11798", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2500", "11798", "_wp_old_slug", "import-placeholder-for-48");
INSERT INTO `wp_postmeta` VALUES("2501", "11798", "_regular_price", "70");
INSERT INTO `wp_postmeta` VALUES("2502", "11798", "_sale_price", "50");
INSERT INTO `wp_postmeta` VALUES("2503", "11798", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2504", "11798", "_price", "50");
INSERT INTO `wp_postmeta` VALUES("2505", "11798", "_thumbnail_id", "11272");
INSERT INTO `wp_postmeta` VALUES("2506", "11798", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("2507", "11799", "_sku", "woo-belt");
INSERT INTO `wp_postmeta` VALUES("2508", "11799", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2509", "11799", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2510", "11799", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2511", "11799", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2512", "11799", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2513", "11799", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2514", "11799", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2515", "11799", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2516", "11799", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2517", "11799", "_wp_old_slug", "import-placeholder-for-58");
INSERT INTO `wp_postmeta` VALUES("2518", "11799", "_regular_price", "65");
INSERT INTO `wp_postmeta` VALUES("2519", "11799", "_sale_price", "55");
INSERT INTO `wp_postmeta` VALUES("2520", "11799", "_thumbnail_id", "11159");
INSERT INTO `wp_postmeta` VALUES("2521", "11799", "_price", "55");
INSERT INTO `wp_postmeta` VALUES("2522", "11800", "_sku", "woo-cap");
INSERT INTO `wp_postmeta` VALUES("2523", "11800", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2524", "11800", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2525", "11800", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2526", "11800", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2527", "11800", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2528", "11800", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2529", "11800", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2530", "11800", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2531", "11800", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2532", "11800", "_wp_old_slug", "import-placeholder-for-60");
INSERT INTO `wp_postmeta` VALUES("2533", "11800", "_regular_price", "18");
INSERT INTO `wp_postmeta` VALUES("2534", "11800", "_sale_price", "16");
INSERT INTO `wp_postmeta` VALUES("2535", "11800", "_thumbnail_id", "11160");
INSERT INTO `wp_postmeta` VALUES("2536", "11800", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2537", "11800", "_price", "16");
INSERT INTO `wp_postmeta` VALUES("2538", "11800", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:6:\"yellow\";s:4:\"name\";s:6:\"Yellow\";}");
INSERT INTO `wp_postmeta` VALUES("2539", "11801", "_sku", "woo-sunglasses");
INSERT INTO `wp_postmeta` VALUES("2540", "11801", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2541", "11801", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2542", "11801", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2543", "11801", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2544", "11801", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2545", "11801", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2546", "11801", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2547", "11801", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2548", "11801", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2549", "11801", "_wp_old_slug", "import-placeholder-for-62");
INSERT INTO `wp_postmeta` VALUES("2550", "11801", "_regular_price", "90");
INSERT INTO `wp_postmeta` VALUES("2551", "11801", "_thumbnail_id", "11161");
INSERT INTO `wp_postmeta` VALUES("2552", "11801", "_price", "90");
INSERT INTO `wp_postmeta` VALUES("2553", "11802", "_sku", "woo-hoodie-with-pocket");
INSERT INTO `wp_postmeta` VALUES("2554", "11802", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2555", "11802", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2556", "11802", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2557", "11802", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2558", "11802", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2559", "11802", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2560", "11802", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2561", "11802", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2562", "11802", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2563", "11802", "_wp_old_slug", "import-placeholder-for-64");
INSERT INTO `wp_postmeta` VALUES("2564", "11802", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2565", "11802", "_sale_price", "35");
INSERT INTO `wp_postmeta` VALUES("2566", "11802", "_thumbnail_id", "11162");
INSERT INTO `wp_postmeta` VALUES("2567", "11802", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2568", "11802", "_price", "35");
INSERT INTO `wp_postmeta` VALUES("2569", "11802", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"gray\";s:4:\"name\";s:4:\"Gray\";}");
INSERT INTO `wp_postmeta` VALUES("2570", "11803", "_sku", "woo-hoodie-with-zipper");
INSERT INTO `wp_postmeta` VALUES("2571", "11803", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2572", "11803", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2573", "11803", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2574", "11803", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2575", "11803", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2576", "11803", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2577", "11803", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2578", "11803", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2579", "11803", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2580", "11803", "_wp_old_slug", "import-placeholder-for-66");
INSERT INTO `wp_postmeta` VALUES("2581", "11803", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2582", "11803", "_thumbnail_id", "11163");
INSERT INTO `wp_postmeta` VALUES("2583", "11803", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2584", "11804", "_sku", "woo-long-sleeve-tee");
INSERT INTO `wp_postmeta` VALUES("2585", "11804", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2586", "11804", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2587", "11804", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2588", "11804", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2589", "11804", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2590", "11804", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2591", "11804", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2592", "11804", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2593", "11804", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2594", "11804", "_wp_old_slug", "import-placeholder-for-68");
INSERT INTO `wp_postmeta` VALUES("2595", "11804", "_regular_price", "25");
INSERT INTO `wp_postmeta` VALUES("2596", "11804", "_thumbnail_id", "11164");
INSERT INTO `wp_postmeta` VALUES("2597", "11804", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2598", "11804", "_price", "25");
INSERT INTO `wp_postmeta` VALUES("2599", "11804", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("2600", "11805", "_sku", "woo-polo");
INSERT INTO `wp_postmeta` VALUES("2601", "11805", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2602", "11805", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2603", "11805", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2604", "11805", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2605", "11805", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2606", "11805", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2607", "11805", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2608", "11805", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2609", "11805", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2610", "11805", "_wp_old_slug", "import-placeholder-for-70");
INSERT INTO `wp_postmeta` VALUES("2611", "11805", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("2612", "11805", "_thumbnail_id", "11165");
INSERT INTO `wp_postmeta` VALUES("2613", "11805", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2614", "11805", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("2615", "11805", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("2616", "11806", "_sku", "woo-album");
INSERT INTO `wp_postmeta` VALUES("2617", "11806", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2618", "11806", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2619", "11806", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2620", "11806", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2621", "11806", "_virtual", "yes");
INSERT INTO `wp_postmeta` VALUES("2622", "11806", "_downloadable", "yes");
INSERT INTO `wp_postmeta` VALUES("2623", "11806", "_download_limit", "1");
INSERT INTO `wp_postmeta` VALUES("2624", "11806", "_download_expiry", "1");
INSERT INTO `wp_postmeta` VALUES("2625", "11806", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2626", "11806", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2627", "11806", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2628", "11806", "_wp_old_slug", "import-placeholder-for-73");
INSERT INTO `wp_postmeta` VALUES("2629", "11806", "_regular_price", "15");
INSERT INTO `wp_postmeta` VALUES("2630", "11806", "_downloadable_files", "a:2:{s:36:\"5648149c-10c2-4dac-b393-9c002cc8ecfa\";a:4:{s:2:\"id\";s:36:\"5648149c-10c2-4dac-b393-9c002cc8ecfa\";s:4:\"name\";s:8:\"Single 1\";s:4:\"file\";s:85:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/single.jpg\";s:7:\"enabled\";b:1;}s:36:\"7dbfbdfc-3696-494e-8e75-afaa445a6aa0\";a:4:{s:2:\"id\";s:36:\"7dbfbdfc-3696-494e-8e75-afaa445a6aa0\";s:4:\"name\";s:8:\"Single 2\";s:4:\"file\";s:84:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/album.jpg\";s:7:\"enabled\";b:1;}}");
INSERT INTO `wp_postmeta` VALUES("2631", "11806", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("2632", "11806", "_thumbnail_id", "11266");
INSERT INTO `wp_postmeta` VALUES("2633", "11807", "_sku", "woo-single");
INSERT INTO `wp_postmeta` VALUES("2634", "11807", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2635", "11807", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2636", "11807", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2637", "11807", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2638", "11807", "_virtual", "yes");
INSERT INTO `wp_postmeta` VALUES("2639", "11807", "_downloadable", "yes");
INSERT INTO `wp_postmeta` VALUES("2640", "11807", "_download_limit", "1");
INSERT INTO `wp_postmeta` VALUES("2641", "11807", "_download_expiry", "1");
INSERT INTO `wp_postmeta` VALUES("2642", "11807", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2643", "11807", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2644", "11807", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2645", "11807", "_wp_old_slug", "import-placeholder-for-75");
INSERT INTO `wp_postmeta` VALUES("2646", "11807", "_regular_price", "3");
INSERT INTO `wp_postmeta` VALUES("2647", "11807", "_sale_price", "2");
INSERT INTO `wp_postmeta` VALUES("2648", "11807", "_thumbnail_id", "11166");
INSERT INTO `wp_postmeta` VALUES("2649", "11807", "_downloadable_files", "a:1:{s:36:\"2bdbd601-ea9f-46b1-9318-8939de760d00\";a:4:{s:2:\"id\";s:36:\"2bdbd601-ea9f-46b1-9318-8939de760d00\";s:4:\"name\";s:6:\"Single\";s:4:\"file\";s:85:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/single.jpg\";s:7:\"enabled\";b:1;}}");
INSERT INTO `wp_postmeta` VALUES("2650", "11807", "_price", "2");
INSERT INTO `wp_postmeta` VALUES("2651", "11808", "_sku", "woo-vneck-tee-red");
INSERT INTO `wp_postmeta` VALUES("2652", "11808", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2653", "11808", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2654", "11808", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2655", "11808", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2656", "11808", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2657", "11808", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2658", "11808", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2659", "11808", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2660", "11808", "_wp_old_slug", "import-placeholder-for-76");
INSERT INTO `wp_postmeta` VALUES("2661", "11808", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2662", "11808", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("2663", "11808", "_thumbnail_id", "11151");
INSERT INTO `wp_postmeta` VALUES("2664", "11808", "attribute_pa_color", "red");
INSERT INTO `wp_postmeta` VALUES("2665", "11808", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("2666", "11809", "_sku", "woo-vneck-tee-green");
INSERT INTO `wp_postmeta` VALUES("2667", "11809", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2668", "11809", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2669", "11809", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2670", "11809", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2671", "11809", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2672", "11809", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2673", "11809", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2674", "11809", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2675", "11809", "_wp_old_slug", "import-placeholder-for-77");
INSERT INTO `wp_postmeta` VALUES("2676", "11809", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2677", "11809", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("2678", "11809", "_thumbnail_id", "11152");
INSERT INTO `wp_postmeta` VALUES("2679", "11809", "attribute_pa_color", "green");
INSERT INTO `wp_postmeta` VALUES("2680", "11809", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("2681", "11810", "_sku", "woo-vneck-tee-blue");
INSERT INTO `wp_postmeta` VALUES("2682", "11810", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2683", "11810", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2684", "11810", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2685", "11810", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2686", "11810", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2687", "11810", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2688", "11810", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2689", "11810", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2690", "11810", "_wp_old_slug", "import-placeholder-for-78");
INSERT INTO `wp_postmeta` VALUES("2691", "11810", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2692", "11810", "_regular_price", "15");
INSERT INTO `wp_postmeta` VALUES("2693", "11810", "_thumbnail_id", "11153");
INSERT INTO `wp_postmeta` VALUES("2694", "11810", "attribute_pa_color", "blue");
INSERT INTO `wp_postmeta` VALUES("2695", "11810", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("2696", "11811", "_sku", "woo-hoodie-red");
INSERT INTO `wp_postmeta` VALUES("2697", "11811", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2698", "11811", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2699", "11811", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2700", "11811", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2701", "11811", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2702", "11811", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2703", "11811", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2704", "11811", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2705", "11811", "_wp_old_slug", "import-placeholder-for-79");
INSERT INTO `wp_postmeta` VALUES("2706", "11811", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2707", "11811", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2708", "11811", "_sale_price", "42");
INSERT INTO `wp_postmeta` VALUES("2709", "11811", "_thumbnail_id", "34");
INSERT INTO `wp_postmeta` VALUES("2710", "11811", "attribute_pa_color", "red");
INSERT INTO `wp_postmeta` VALUES("2711", "11811", "attribute_logo", "No");
INSERT INTO `wp_postmeta` VALUES("2712", "11811", "_price", "42");
INSERT INTO `wp_postmeta` VALUES("2713", "11812", "_sku", "Woo-beanie-logo");
INSERT INTO `wp_postmeta` VALUES("2714", "11812", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2715", "11812", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2716", "11812", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2717", "11812", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2718", "11812", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2719", "11812", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2720", "11812", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2721", "11812", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2722", "11812", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2723", "11812", "_wp_old_slug", "import-placeholder-for-85");
INSERT INTO `wp_postmeta` VALUES("2724", "11812", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("2725", "11812", "_sale_price", "18");
INSERT INTO `wp_postmeta` VALUES("2726", "11812", "_thumbnail_id", "11168");
INSERT INTO `wp_postmeta` VALUES("2727", "11812", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("2728", "11812", "_price", "18");
INSERT INTO `wp_postmeta` VALUES("2729", "11812", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("2730", "11813", "_sku", "wp-pennant");
INSERT INTO `wp_postmeta` VALUES("2731", "11813", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2732", "11813", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2733", "11813", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2734", "11813", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2735", "11813", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2736", "11813", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2737", "11813", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2738", "11813", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2739", "11813", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("2740", "11813", "_wp_old_slug", "import-placeholder-for-89");
INSERT INTO `wp_postmeta` VALUES("2741", "11813", "_regular_price", "11.05");
INSERT INTO `wp_postmeta` VALUES("2742", "11813", "_price", "11.05");
INSERT INTO `wp_postmeta` VALUES("2743", "11813", "_thumbnail_id", "11257");
INSERT INTO `wp_postmeta` VALUES("2744", "11814", "_sku", "woo-hoodie-green");
INSERT INTO `wp_postmeta` VALUES("2745", "11814", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2746", "11814", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2747", "11814", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2748", "11814", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2749", "11814", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2750", "11814", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2751", "11814", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2752", "11814", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2753", "11814", "_wp_old_slug", "import-placeholder-for-80");
INSERT INTO `wp_postmeta` VALUES("2754", "11814", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2755", "11814", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2756", "11814", "_thumbnail_id", "11155");
INSERT INTO `wp_postmeta` VALUES("2757", "11814", "attribute_pa_color", "green");
INSERT INTO `wp_postmeta` VALUES("2758", "11814", "attribute_logo", "No");
INSERT INTO `wp_postmeta` VALUES("2759", "11814", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2760", "11815", "_sku", "woo-hoodie-blue");
INSERT INTO `wp_postmeta` VALUES("2761", "11815", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2762", "11815", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2763", "11815", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2764", "11815", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2765", "11815", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2766", "11815", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2767", "11815", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2768", "11815", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2769", "11815", "_wp_old_slug", "import-placeholder-for-81");
INSERT INTO `wp_postmeta` VALUES("2770", "11815", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2771", "11815", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2772", "11815", "_thumbnail_id", "11154");
INSERT INTO `wp_postmeta` VALUES("2773", "11815", "attribute_pa_color", "blue");
INSERT INTO `wp_postmeta` VALUES("2774", "11815", "attribute_logo", "No");
INSERT INTO `wp_postmeta` VALUES("2775", "11815", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2776", "11816", "_sku", "woo-hoodie-blue-logo");
INSERT INTO `wp_postmeta` VALUES("2777", "11816", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("2778", "11816", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("2779", "11816", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("2780", "11816", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("2781", "11816", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("2782", "11816", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("2783", "11816", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("2784", "11816", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("2785", "11816", "_wp_old_slug", "import-placeholder-for-90");
INSERT INTO `wp_postmeta` VALUES("2786", "11816", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("2787", "11816", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("2788", "11816", "_thumbnail_id", "11156");
INSERT INTO `wp_postmeta` VALUES("2789", "11816", "attribute_pa_color", "blue");
INSERT INTO `wp_postmeta` VALUES("2790", "11816", "attribute_logo", "Yes");
INSERT INTO `wp_postmeta` VALUES("2791", "11816", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("2951", "11839", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2952", "11839", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("2953", "11839", "_elementor_version", "3.7.0");
INSERT INTO `wp_postmeta` VALUES("2954", "11839", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2955", "11839", "_elementor_data", "[{\"id\":\"f5e8d9b\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"custom_height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"column_position\":\"stretch\",\"content_position\":\"space-between\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":\"min-height\",\"_element_id\":\"dsn_footer_creative\",\"_title\":\"dsnFooterCreative\",\"image\":{\"id\":\"\",\"url\":\"\"},\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"6a6e69e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"be872c2\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pt-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"custom_height_inner_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_inner_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"image\":{\"id\":\"\",\"url\":\"\"}},\"elements\":[{\"id\":\"5e1e3c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_custom_gap_text\":\"1\",\"dsn_col_number_col_text\":\"85% 15%\"},\"elements\":[{\"id\":\"c70e3db\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s work\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"70%\",\"use_end\":\"100%-={{height}}\",\"items_from\":[{\"_id\":\"f4c6215\",\"key\":\"x\",\"value\":\"-80\"}],\"items_to\":[{\"_id\":\"18d4e4e\",\"key\":\"x\",\"value\":\"0\"}],\"use_motion_effect\":\"1\",\"use_trigger\":\"#dsn_footer_creative\",\"use_scrub\":\"1\",\"title_typography_font_size\":{\"unit\":\"vw\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89c32bf\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"bg_ver_btn\":\"v-light\",\"bg_btn\":\"background-theme\",\"text\":\"Get in touch\",\"justify_content\":\"end\",\"parallax\":\"1\",\"zoom\":\"image-zoom\",\"move_circle\":\"move-circle\",\"width\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"use_start\":\"70%\",\"use_end\":\"100%-={{height}}\",\"items_from\":[{\"_id\":\"ef298da\",\"key\":\"x\",\"value\":\"-80\"}],\"items_to\":[{\"_id\":\"91a1ac5\",\"key\":\"x\"}],\"use_trigger\":\"#dsn_footer_creative\",\"use_scrub\":\"1\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"575e82c\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"image\":{\"id\":\"\",\"url\":\"\"}},\"elements\":[{\"id\":\"cc3a906\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9c9f752\",\"elType\":\"widget\",\"settings\":{\"title\":\" together\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"70%\",\"use_end\":\"100%-={{height}}\",\"items_from\":[{\"_id\":\"f4c6215\",\"key\":\"x\",\"value\":\"80\"}],\"items_to\":[{\"_id\":\"18d4e4e\",\"key\":\"x\",\"value\":\"0\"}],\"use_motion_effect\":\"1\",\"use_trigger\":\"#dsn_footer_creative\",\"use_scrub\":\"1\",\"align\":\"right\",\"title_typography_font_size\":{\"unit\":\"vw\",\"size\":15,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"51e344e\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"middle\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"dsn-container\",\"image\":{\"id\":\"\",\"url\":\"\"}},\"elements\":[{\"id\":\"30a89a7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"4fa8e6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"u00a9 2021 Arctit Crafted by <a href=\"#\" target=\"_blank\">Dsn Grid.</a>n                                \",\"dsn_html_tag\":\"p\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"45fe641\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5697d40\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"items\":[{\"_id\":\"b0e2b00\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"title\":\"Facebook\",\"link\":\"#0\"},{\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"title\":\"Twitter\",\"link\":\"#0\",\"_id\":\"100ca48\"},{\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"title\":\"Instagram\",\"link\":\"#0\",\"_id\":\"fb51444\"},{\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"title\":\"LinkIn\",\"link\":\"#0\",\"_id\":\"6e2cf72\"}],\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2956", "11839", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2957", "11840", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2958", "11840", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("2959", "11840", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2960", "11840", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2961", "11840", "_wp_old_date", "2022-08-26");
INSERT INTO `wp_postmeta` VALUES("2962", "11840", "_elementor_data", "[{\"id\":\"24e2114\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"5a91146\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"f87eb2e\",\"elType\":\"widget\",\"settings\":{\"title\":\"LET\'S BUILD  SOMETHING n<span class=\"d-block\">n <b><i>AMAZING </i></b>TOGETHERn</span>\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Title\",\"align_mobile\":\"left\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"2b6faeb\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"START A PROJECT\",\"type_link\":\"1\",\"link_post_id\":\"4276\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content_mobile\":\"flex-start\",\"text_with_ajax\":\"OUR PORTFOLIO\",\"icon_color_select\":\"dsn-icon-heading-color\"},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"29eabb7\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"0870b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"32f9045\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"6dd3297\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"#0\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"#0\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"#0\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"#0\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"38dc768\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"6d4573f\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"16\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"15cfa4a\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\"col-contact\">rnrn<strong>T</strong> : +001 225 3351rnrn<strong>F</strong> :+001 225 3351rn<p class=\"over-hidden\"><strong>E</strong> : <a class=\"link-hover init-color\" href=\"#\" data-hover-text=\"info@dsngrid.com\">info@dsngrid.com</a></p>rnrn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"45fbca2\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADDRESS\",\"text\":\"<div class=\"col-address\">rn                       rn <p>El-Mahalla El-Kubra 37<br>rn1776 Damietta<br>Egypt</p>rn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"5dfcccd\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f96512b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"38cceb4\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span class=\"over-hidden \">nu00a9 2022 Digital Agency Designed byn <a href=\"#0\" class=\"link-hover \" data-hover-text=\"DSN Grid\" target=\"_blank\">DSN Grid</a>n</span>\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"align_mobile\":\"center\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2963", "11840", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2964", "11840", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("2965", "11841", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2966", "11841", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("2967", "11841", "_elementor_version", "3.7.4");
INSERT INTO `wp_postmeta` VALUES("2968", "11841", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2969", "11841", "_elementor_data", "[{\"id\":\"b11d485\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"5112e48\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"c201e60\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"c9e6283\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b9bb0c\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"356e7ee\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"#0\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"#0\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"#0\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"#0\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"929558f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"12aa426\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"16\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"fc34909\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\"col-contact\">rnrn<strong>T</strong> : +001 225 3351rnrn<strong>F</strong> :+001 225 3351rn<p class=\"over-hidden\"><strong>E</strong> : <a class=\"link-hover\" href=\"#\" data-hover-text=\"info@dsngrid.com\">info@dsngrid.com</a></p>rnrn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"b0695e4\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADDRESS\",\"text\":\"<div class=\"col-address\">rn                       rn <p>El-Mahalla El-Kubra 37<br>rn1776 Damietta<br>Egypt</p>rn</div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"084ba33\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"20a57c2\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"37943b8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span class=\"over-hidden \">nu00a9 2022 Digital Agency Designed byn <a href=\"#0\" class=\"link-hover \" data-hover-text=\"DSN Grid\" target=\"_blank\">DSN Grid</a>n</span>\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"align_mobile\":\"center\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2970", "11841", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2971", "11841", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("2972", "11842", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2973", "11842", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("2974", "11842", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2975", "11842", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2976", "11842", "_elementor_data", "[{\"id\":\"f12d209\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"475da1a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"442028c\",\"elType\":\"widget\",\"settings\":{\"title\":\" ULTIMATE MULTI-PURPOSEWORDPRESS THEME\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-15\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"b5a8602\",\"elType\":\"widget\",\"settings\":{\"title\":\"Purchase The Blackdsn Theme<br><b>Now &amp; Make Everything Easier!</b>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"uppercase\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"73340ee\",\"elType\":\"widget\",\"settings\":{\"title\":\"We promise youu2019ll be blown away by all features and designs what blckdsn offers. Weu2019ll continue to update and upgrade blackdsn with new designs and features.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"4f74634\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Purchase Blackdsn\",\"justify_content\":\"center\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"40\",\"bottom\":\"30\",\"left\":\"40\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"typography_text_typography\":\"custom\",\"typography_text_font_weight\":\"500\",\"typography_text_text_transform\":\"uppercase\",\"button_text_color\":\"heading-color\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"link\":{\"url\":\"https://themeforest.net/item/blackdsn-creative-ajax-portfolio-wordpress-theme/39469693\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2977", "11842", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2978", "11843", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2979", "11843", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2980", "11843", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("2981", "11843", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2982", "11843", "_elementor_data", "[{\"id\":\"2ef3c61\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"931feef\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"70c480d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Digital Agency That <br>Thrives on Your Success\",\"font_size\":\"title\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"_title\":\"Title\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"5efbf74\",\"elType\":\"widget\",\"settings\":{\"title\":\"If you are looking for an agency to help you create a remarkable presence online, youu2019ve come to the right place. We can help you take your business to the next level.\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Description\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"8098d10\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Get Started Now\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8e0ef0e\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mb-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"_title\":\"box info with image\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"html_tag\":\"div\"},\"elements\":[{\"id\":\"740852b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"html_tag\":\"div\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"6e083cc\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":335,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"caption\":\" Web Design\",\"animate_image_style\":\"has-bigger-scale\",\"height_tablet\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":50,\"sizes\":[]},\"_title\":\"Parallax Image\",\"position_image\":\"yes\",\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"5f23b36\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"background_dsn_style\":\"background-theme\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"-130\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"css_classes\":\"box-padding\",\"_title\":\"content\",\"image\":{\"id\":3486,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/placeholder.png\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4d639d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"data_animation_section\":\"1\",\"_inline_size\":null,\"html_tag\":\"div\",\"_title\":\"inner content\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"a121ec8\",\"elType\":\"widget\",\"settings\":{\"title\":\"Help Millions To Bring <br>There Creative Projects To Life \",\"font_size\":\"title-block-lg\",\"dsn_html_tag\":\"h3\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"_title\":\"title\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"819add9\",\"elType\":\"widget\",\"settings\":{\"title\":\"We were thoughtful about presenting these in a way where we could also tell the story of the individual.. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"_title\":\"description\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ecbf13e\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Service\"},\"elements\":[{\"id\":\"1717eb8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2591a6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s Check Our Servicesn\",\"description\":\"advantages\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"d58f426\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"DIGITAL PRODUCTS\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"UI-UX DESIGN\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"UI-UX DESIGN\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"bc0b557\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"453754b\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"DIGITAL PRODUCTS\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"3f85e3f\"}],\"align\":\"center\",\"bg_btn\":\"background-transparent\",\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_padding_service\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"30\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f0b5a9c\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_col_padding\":\"section-padding\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Team\"},\"elements\":[{\"id\":\"46e8dc6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f4e6ec6\",\"elType\":\"widget\",\"settings\":{\"title\":\"The best team ever!\",\"description\":\"nnOur Team \",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"7b2922b\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"items\":[{\"_id\":\"4cab54a\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Ahmed Shawky\",\"position\":\" Web Designer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"ed21abb\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Hisham Megahed\",\"position\":\"Founder\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"afd739c\"}],\"height\":{\"unit\":\"px\",\"size\":450,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_typo_content_text-name_typography\":\"custom\",\"item_typo_content_text-name_text_transform\":\"uppercase\",\"item_typo_content_text-position_typography\":\"custom\",\"item_typo_content_text-position_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_team\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f5256a4\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"_title\":\"testimonials\"},\"elements\":[{\"id\":\"f1c89d7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"9907484\",\"elType\":\"widget\",\"settings\":{\"title\":\"What People are Saying\",\"description\":\"testimonials\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"7ccb395\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"2301f2c\",\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\",\"_id\":\"c800a76\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\",\"_id\":\"4fd80b1\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\",\"id\":3296,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme\",\"_id\":\"73f19f3\"}],\"align\":\"left\",\"justify_content_content\":\"flex-start\",\"show_navigation\":\"1\",\"show_pagination\":\"bullets\",\"dsn_width_nav_layout\":\"container\",\"loop\":\"1\",\"grabCursor\":\"1\",\"slideToClickedSlide\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"spaceBetween\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_padding_swiper\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"30\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false},\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_testimonial\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8e20e7d\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"section-margin\",\"_title\":\"Brand\"},\"elements\":[{\"id\":\"c00c376\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"c8d8b67\",\"elType\":\"widget\",\"settings\":{\"title\":\"Your successful, <br>our reputation\",\"description\":\"Our Clients\",\"align\":\"center\",\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"545fcbc\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"image_size\":\"full\",\"items\":[{\"_id\":\"23978c0\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\",\"id\":3320,\"alt\":\"\",\"source\":\"library\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png\",\"id\":3321,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"194b497\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\",\"id\":3322,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"0e886c1\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png\",\"id\":3323,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"5330376\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\",\"id\":3324,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"d1d2c9b\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png\",\"id\":3325,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"79ccdbb\"}],\"bg_ver_btn\":\"v-dark-head\",\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"bg_btn\":\"background-main\"},\"elements\":[],\"widgetType\":\"dsn_brand\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2983", "11843", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2984", "11843", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("2985", "11844", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("2986", "11844", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2987", "11844", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2988", "11844", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2989", "11844", "_elementor_data", "[{\"id\":\"12f1e01\",\"elType\":\"section\",\"settings\":{\"image\":{\"url\":\"\",\"id\":\"\",\"source\":\"url\"},\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"//dsngrid.com/images/wp/blackdsn/pattern.png\",\"id\":\"\",\"source\":\"url\"},\"background_overlay_position\":\"bottom center\",\"background_overlay_repeat\":\"no-repeat\"},\"elements\":[{\"id\":\"ebd3a30\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"e35fd6f\",\"elType\":\"widget\",\"settings\":{\"query_post\":\"blackdsn-portfolio\",\"image_size\":\"full\",\"font_size\":\"title\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\"& \",\"text_link\":\"View Case\",\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"parallax\":\"1\",\"parallax_content\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"opacity_content\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"loop\":\"1\",\"grabCursor\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"centeredSlides\":\"1\",\"spaceBetween\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"excerpt_length\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":1.15,\"sizes\":[]},\"slidesPerView_mobile\":{\"unit\":\"px\",\"size\":1.1,\"sizes\":[]},\"centeredSlides_tablet\":\"1\",\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"spaceBetween_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_typo_content_entry-meta-a_typography\":\"custom\",\"item_typo_content_entry-meta-a_text_transform\":\"uppercase\",\"mousewheel\":\"1\",\"autoplay\":\"1\"},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2990", "11844", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2991", "11844", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("2992", "11845", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("2993", "11845", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("2994", "11845", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("2995", "11845", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2996", "11845", "_elementor_data", "[{\"id\":\"2223f16\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ac23c03\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"51b16ba\",\"elType\":\"widget\",\"settings\":{\"style_cards_post\":\"box-image-blackdsn\",\"query_post\":\"blackdsn-portfolio\",\"image_size\":\"full\",\"font_size\":\"title-h2\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" ||  \",\"text_link\":\"View Case\",\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"loop\":\"1\",\"grabCursor\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":1.5,\"sizes\":[]},\"centeredSlides\":\"1\",\"spaceBetween\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"mousewheel\":\"1\",\"bg_btn\":\"background-transparent\",\"item_typo_content_entry-meta-a_typography\":\"custom\",\"item_typo_content_entry-meta-a_text_transform\":\"uppercase\",\"parallax_box\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":1.1,\"sizes\":[]},\"centeredSlides_tablet\":\"1\",\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("2997", "11845", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("2998", "11845", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("2999", "11846", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("3000", "11846", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("3001", "11846", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("3002", "11846", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3003", "11846", "_elementor_data", "[{\"id\":\"9319fa4\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"image\":{\"url\":\"\",\"id\":\"\",\"source\":\"url\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"//dsngrid.com/images/wp/blackdsn/pattern.png\",\"id\":\"\",\"source\":\"url\"},\"background_overlay_position\":\"bottom center\",\"background_overlay_repeat\":\"no-repeat\"},\"elements\":[{\"id\":\"9549efa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"25f2449\",\"elType\":\"widget\",\"settings\":{\"style_cards_post\":\"box-image-normal box-image-hover\",\"query_post\":\"blackdsn-portfolio\",\"image_size\":\"full\",\"font_size\":\"title-h2\",\"meta_data\":[\"category\"],\"separator_between\":\"||\",\"separator_between_cat\":\" || \",\"text_link\":\"View Case\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"align\":\"center\",\"justify_content_posts\":\"center\",\"parallax\":\"1\",\"parallax_content\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"opacity_content\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"loop\":\"1\",\"grabCursor\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"centeredSlides\":\"1\",\"spaceBetween\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"item_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"item_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"item_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height_image\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_image_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_image_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"mousewheel\":\"1\",\"_css_classes\":\"aspect-ratio-1\",\"justify_content\":\"\",\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"centeredSlides_tablet\":\"1\",\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"bg_btn\":\"background-transparent\",\"item_typo_content_post-title_typography\":\"custom\",\"item_typo_content_post-title_font_size\":{\"unit\":\"vw\",\"size\":3.5,\"sizes\":[]},\"item_typo_content_post-title_font_size_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"item_typo_content_post-title_font_size_mobile\":{\"unit\":\"vw\",\"size\":8,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_posts_slider\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("3004", "11846", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("3005", "11846", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("3006", "11847", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("3007", "11847", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("3008", "11847", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("3009", "11847", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3010", "11847", "_elementor_data", "[{\"id\":\"d53ef2f\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":\"full\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"c1b83c3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f2a5e19\",\"elType\":\"widget\",\"settings\":{\"title\":\"OUR SERVICES \",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_line_text\":\"circle-before\",\"align\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"37129ae\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are delivering beautiful <br>digital products for you. \",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"title_typography_line_height_tablet\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f7c8ed8\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"bg_btn\":\"background-transparent\",\"text\":\"GET STARTED NOW\",\"justify_content\":\"end\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"width\":{\"unit\":\"vw\",\"size\":12,\"sizes\":[]},\"width_tablet\":{\"unit\":\"vw\",\"size\":16,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"height\":{\"unit\":\"vw\",\"size\":12,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vw\",\"size\":16,\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_x\":{\"size\":0,\"unit\":\"vh\"},\"_offset_x_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"size\":25,\"unit\":\"vh\"},\"_offset_y_tablet\":{\"unit\":\"vw\",\"size\":12,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"vh\",\"size\":14,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"vw\",\"size\":-16,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"px\",\"size\":-90,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3651\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"ffe22df\",\"elType\":\"section\",\"settings\":{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.gif\",\"id\":348,\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"opacity_overlay_popover\":\"yes\",\"opacity_overlay\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"layout\":\"full_width\",\"gap\":\"no\",\"height\":\"min-height\",\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"About\"},\"elements\":[{\"id\":\"360c244\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"30c50a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"content\"},\"elements\":[{\"id\":\"31edaa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":65,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_tablet\":45},\"elements\":[],\"isInner\":true},{\"id\":\"350dd87\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":35,\"space_between_widgets\":30,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_dsn_style\":\"background-section\",\"padding\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"40\",\"bottom\":\"80\",\"left\":\"40\",\"isLinked\":false},\"_inline_size_tablet\":55,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"content\"},\"elements\":[{\"id\":\"d18e458\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s Check <b>Our Services</b>n\",\"description\":\"\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"space_section\":\"\",\"dsn_html_tag\":\"div\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"61de78c\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"items\":[{\"_id\":\"097e82b\",\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Brand Consultingtn\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Marketing Management\",\"_id\":\"0003f9c\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Customer Insight\",\"_id\":\"9df6d45\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Brand Consultingtn\",\"_id\":\"7be1f98\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Marketing Management\",\"_id\":\"a8ed410\"},{\"icon\":{\"value\":\"far fa-circle\",\"library\":\"fa-regular\"},\"text\":\"Customer Insight\",\"_id\":\"e1a1054\"}],\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"icon_color_select\":\"dsn-icon-heading-color\",\"width_icon\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"cdb0597\",\"elType\":\"widget\",\"settings\":{\"position_icon\":\"icon-left\",\"items\":[{\"_id\":\"f4380fa\",\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"Best Practices from Industry Experts \",\"description\":\"<p>Weu2019ve designed a culture that allows our stewards to assimilate with our clients and bring.</p>\",\"text_link\":\"Read More\"}],\"item_padding_service\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"space_service_description\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"width_icon\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"bg_btn\":\"background-transparent\"},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"03ccd64\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pt-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"box info\"},\"elements\":[{\"id\":\"e1b5481\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"3b3de24\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"content_position\":\"bottom\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6e43d1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5868e11\",\"elType\":\"widget\",\"settings\":{\"title\":\"We provide you withnthe best service <b>in the market</b>\",\"font_size\":\"title-h2\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_html_tag\":\"span\",\"align\":\"left\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"d29bb90\",\"elType\":\"widget\",\"settings\":{\"title\":\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, by injected humour. words\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"05fac7c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"space_between_widgets\":15,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b2500c9\",\"elType\":\"widget\",\"settings\":{\"title\":\"There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, Injected humour words web page editors now use as their.\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"9fb3d5c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Default and a search for will uncover many web sites still in their infancy.suffered alteration, by injected humour words web page.\",\"dsn_html_tag\":\"p\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a246d7\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mb-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"box image\"},\"elements\":[{\"id\":\"85f6172\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"28a22ee\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"be2a8d6\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"24b1920\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_custom_gap_text\":\"1\",\"dsn_col_number_col_text\":\"65% 35%\",\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_text_mobile\":\"100%\"},\"elements\":[{\"id\":\"2bcc097\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"//images.unsplash.com/photo-1629904853716-f0bc54eea481?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1000&q=80\",\"id\":\"\",\"source\":\"url\",\"alt\":\"\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":470,\"sizes\":[]},\"object-fit\":\"cover\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"09729a8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"//images.unsplash.com/photo-1607537669513-8472b5a8f85b?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1000&q=80\",\"id\":\"\",\"source\":\"url\",\"alt\":\"\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":470,\"sizes\":[]},\"object-fit\":\"cover\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"735c1ea\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"overflow\":\"hidden\",\"_title\":\"box info left image\",\"image\":{\"id\":\"\",\"url\":\"\",\"alt\":\"\",\"source\":\"library\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"5c40bfa\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"image\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"1c27ba8\",\"elType\":\"widget\",\"settings\":{\"title\":\"We have been doing projects <b>since 2008.</b>\",\"dsn_html_tag\":\"span\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"font_size\":\"title-h2\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"_title\":\"title\",\"align\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"166be6e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Foundedn inn 2000,n Dsnn Gridn hasn becomen onen ofn then bestn Digitaln Agencyn inn ThemeForest.n Bluen moneyn goingn forward,n butn deployn ton production.n \",\"dsn_html_tag\":\"p\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false},{\"id\":\"e7ddcd6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"content\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"4a6075c\",\"elType\":\"widget\",\"settings\":{\"list_with_number\":\"1\",\"items\":[{\"_id\":\"67f6896\",\"title\":\"Our Vision\"},{\"title\":\"Our goals\",\"_id\":\"196c6e2\"},{\"title\":\"Our Mission\",\"_id\":\"47441d7\"}],\"dsn_html_tag\":\"h6\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"255d4b3\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mt-section\",\"dsn_col_padding\":\"section-padding\",\"dsn_width_layout\":\"dsn-container\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"Team\"},\"elements\":[{\"id\":\"4c63c3a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"c6bd5fd\",\"elType\":\"widget\",\"settings\":{\"title\":\"The best <b>team ever!</b>\",\"description\":\"\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_section_width_layout\":\"container\",\"dsn_html_tag\":\"span\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"2f60bd7\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"3b345ac\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ce75edc\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"items\":[{\"_id\":\"4cab54a\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Ahmed Shawky\",\"position\":\" Web Designer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"icon-4\":{\"value\":\"\",\"library\":\"\"},\"icon-5\":{\"value\":\"\",\"library\":\"\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"ed21abb\",\"icon-4\":{\"value\":\"\",\"library\":\"\"},\"icon-5\":{\"value\":\"\",\"library\":\"\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Hisham Megahed\",\"position\":\"Founder\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"afd739c\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267.jpg\",\"id\":6111,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Facebook\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"Instagram\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"37fd798\"}],\"height\":{\"unit\":\"px\",\"size\":450,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_typo_content_text-name_typography\":\"custom\",\"item_typo_content_text-name_text_transform\":\"uppercase\",\"item_typo_content_text-position_typography\":\"custom\",\"item_typo_content_text-position_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_team\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"535bd16\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"80\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_image\":{\"url\":\"\",\"id\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/19742-Converted-2.png\",\"id\":6255,\"alt\":\"\",\"source\":\"library\"},\"_title\":\"Brand\"},\"elements\":[{\"id\":\"4bc8fb8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ac4f725\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":3324,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\"},{\"id\":3322,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\"},{\"id\":3320,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\"},{\"id\":7701,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d6bc5f55290b61f24b_paypal-logo-svgrepo-com-1.svg\"},{\"id\":7702,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60d2876032872b698_python-3-logo-svgrepo-com-1.svg\"},{\"id\":7703,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60e943760dfd41c9e_xiaomi-1-logo-svgrepo-com-1.svg\"},{\"id\":7705,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d683b282409e1647be_microsoft-logo-svgrepo-com-1.svg\"},{\"id\":7706,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d79103d607ae28ea89_bookingcom-logo-svgrepo-com-1.svg\"},{\"id\":7707,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d62951158751131e7e_1.svg\"}],\"gallery_size\":\"full\",\"caption\":\"Enter your image caption\",\"number_blackdsn\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"start_scroll\":\"100%\",\"end_scroll\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"col_layout_gap_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_move_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"621a06f\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Testimonial\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/19742-Converted-2.png\",\"id\":6255,\"source\":\"library\",\"alt\":\"\"},\"background_overlay_size\":\"auto\",\"background_background\":\"classic\",\"background_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"}},\"elements\":[{\"id\":\"ce05ef7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"fa87ede\",\"elType\":\"widget\",\"settings\":{\"title\":\"Relationships <br><b>based on trust.</b>\",\"description\":\"\",\"direction\":\"\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_html_tag\":\"span\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"63041bc\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"2301f2c\",\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\",\"_id\":\"c800a76\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\",\"_id\":\"4fd80b1\"},{\"subtitle\":\"\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\",\"id\":3296,\"alt\":\"\",\"source\":\"library\"},\"name\":\"MTL Graphic\",\"position\":\"Graphic Design\",\"description\":\"This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.\",\"_id\":\"73f19f3\"}],\"align\":\"left\",\"justify_content_content\":\"flex-start\",\"show_navigation\":\"1\",\"show_pagination\":\"bullets\",\"loop\":\"1\",\"grabCursor\":\"1\",\"slideToClickedSlide\":\"1\",\"slidesPerView\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"spaceBetween\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"bg_item\":\"background-main\",\"item_padding_swiper\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"slidesPerView_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"spaceBetween_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"_title\":\"Blackdsn Testimonial\",\"quote_style\":\"quote-box-style\"},\"elements\":[],\"widgetType\":\"dsn_testimonial\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("3011", "11847", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("3012", "11847", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("3013", "11848", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("3014", "11848", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("3015", "11848", "_elementor_version", "3.7.6");
INSERT INTO `wp_postmeta` VALUES("3016", "11848", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3017", "11848", "_elementor_data", "[{\"id\":\"5f8f2cc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"120\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"custom_height\":{\"unit\":\"vh\",\"size\":100,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"vw\",\"size\":\"\",\"sizes\":[]},\"_title\":\"heading\",\"html_tag\":\"header\"},\"elements\":[{\"id\":\"a63488e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6252c55\",\"elType\":\"widget\",\"settings\":{\"title\":\"OUR SERVICES \",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_line_text\":\"circle-before\",\"align\":\"left\",\"_title\":\"subtitle\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"2b9be6a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are delivering <br>beautiful digital products for you. \",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"_title\":\"Title\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"721f2d9\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-def-btn dsn-hover-icon\",\"text\":\"Get Started Now\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\"},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94fc3e4\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"div\",\"_title\":\"video\"},\"elements\":[{\"id\":\"770d9d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"a858158\",\"elType\":\"widget\",\"settings\":{\"video_type\":\"hosted\",\"youtube_url\":\"https://www.youtube.com/watch?v=XHOmBV4js_E\",\"vimeo_url\":\"https://vimeo.com/235215203\",\"dailymotion_url\":\"https://www.dailymotion.com/video/x6tqhqb\",\"insert_url\":\"yes\",\"external_url\":{\"url\":\"http://theme.dsngrid.com/video/about-us.mp4\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"autoplay\":\"yes\",\"play_on_mobile\":\"yes\",\"mute\":\"yes\",\"loop\":\"yes\",\"controls\":\"\",\"aspect_ratio\":\"219\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"video\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8c36ce9\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Know Us Better\"},\"elements\":[{\"id\":\"42cb4a4\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"left\"},\"elements\":[{\"id\":\"e3dee2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"The good writers touch life often. The mediocre ones run a quick hand over her. The bad ones rape her and leave her for the flies.\",\"description\":\"Know us better\",\"dsn_html_tag\":\"span\",\"font_size\":\"title-block\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_font_weight\":\"600\",\"dsn_line_description\":\"circle-before\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"}],\"isInner\":false},{\"id\":\"c7324cd\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"right\"},\"elements\":[{\"id\":\"837c1e4\",\"elType\":\"widget\",\"settings\":{\"title\":\"OUR SERVICEStn\",\"dsn_html_tag\":\"p\",\"dsn_line_text\":\"circle-before\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"4c4e8cd\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"097e82b\",\"text\":\"Brand Consultingtn\"},{\"text\":\"Marketing Management\",\"_id\":\"0003f9c\"},{\"text\":\"Customer Insight\",\"_id\":\"9df6d45\"}],\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"0be49ff\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"_title\":\"Service\"},\"elements\":[{\"id\":\"ff718e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"f6e07ca\",\"elType\":\"widget\",\"settings\":{\"title\":\"Letu2019s Check Our Servicesn\",\"description\":\"advantages\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"442ca59\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"DIGITAL PRODUCTS\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"UI-UX DESIGN\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"},{\"icon\":{\"value\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"WEB DEVELOPMENT\",\"description\":\"<p>Web design encompasses many different skills and disciplines in the production of all web.</p>\",\"text_link\":\"Read More\",\"_id\":\"8c5dbf3\"}],\"bg_btn\":\"background-transparent\",\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"item_padding_service\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"space_service_description\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_service\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f1e92ec\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mb-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"aword\",\"html_tag\":\"div\"},\"elements\":[{\"id\":\"ecefb2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"57e00c1\",\"elType\":\"widget\",\"settings\":{\"height_mask\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"e651da5\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"dsn_width_layout\":\"container\",\"background_dsn_style_ver\":\"v-light\",\"background_dsn_style\":\"background-theme\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"8416512\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"space_between_widgets\":10,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"756903c\",\"elType\":\"widget\",\"settings\":{\"title\":\"200+\",\"font_size\":\"font-number\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"animate_number\":\"dsn-animate-number\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"869a4db\",\"elType\":\"widget\",\"settings\":{\"title\":\"nTeam Memberstn\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"33b0d1c\",\"elType\":\"widget\",\"settings\":{\"title\":\"A diverse and global community of independent thinkers make up our inclusive workplace.\",\"font_size\":\"sm-p\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"99bc8a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"space_between_widgets\":10,\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8db441e\",\"elType\":\"widget\",\"settings\":{\"title\":\"60+\",\"font_size\":\"font-number\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"animate_number\":\"dsn-animate-number\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"c6a249c\",\"elType\":\"widget\",\"settings\":{\"title\":\"nPortfolio Managerstn\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"3ebdd8c\",\"elType\":\"widget\",\"settings\":{\"title\":\"A diverse and global community of independent thinkers make up our inclusive workplace.\",\"font_size\":\"sm-p\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true},{\"id\":\"17f9a58\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"space_between_widgets\":10,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"456b2fd\",\"elType\":\"widget\",\"settings\":{\"title\":\"7+\",\"font_size\":\"font-number\",\"dsn_html_tag\":\"h5\",\"align\":\"center\",\"animate_number\":\"dsn-animate-number\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"e061a06\",\"elType\":\"widget\",\"settings\":{\"title\":\"Offices\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"h4\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"6af159b\",\"elType\":\"widget\",\"settings\":{\"title\":\"A diverse and global community of independent thinkers make up our inclusive workplace.\",\"font_size\":\"sm-p\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"space\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"37d36ff\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"overflow\":\"hidden\",\"_title\":\"box info left image\",\"image\":{\"id\":\"\",\"url\":\"\",\"alt\":\"\",\"source\":\"library\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"fb66c4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"image\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"b7d88ed\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":4476,\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash.jpg\",\"alt\":\"\",\"source\":\"library\"},\"image_size\":\"full\",\"caption\":\"Enter your image caption\",\"dsn_equal_height\":\"h-100\",\"custom_position\":\"absolute\",\"custom_position_mobile\":\"relative\",\"height\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"opacity_overlay_popover\":\"yes\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"position_image_position_y_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false},{\"id\":\"a2a8959\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":50,\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"30\",\"isLinked\":false},\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_title\":\"content\",\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"d6bd934\",\"elType\":\"widget\",\"settings\":{\"title\":\"We have been doing projects since 2008.\",\"dsn_html_tag\":\"h6\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\",\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"font_size\":\"title-h2\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-20\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"_title\":\"title\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"fbcfa3e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Foundedn inn 2000,n Dsnn Gridn hasn becomen onen ofn then bestn Digitaln Agencyn inn ThemeForest.n Bluen moneyn goingn forward,n butn deployn ton production.n \",\"dsn_html_tag\":\"p\",\"duration_title\":\"170%\",\"move_to_duration\":\"0%\",\"items_from\":[],\"items_to\":[],\"move_from_duration\":\"-100%\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89f630d\",\"elType\":\"widget\",\"settings\":{\"list_with_number\":\"1\",\"items\":[{\"_id\":\"67f6896\",\"title\":\"Our Vision\"},{\"title\":\"Our goals\",\"_id\":\"196c6e2\"},{\"title\":\"Our Mission\",\"_id\":\"47441d7\"}],\"dsn_html_tag\":\"h6\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_accordion\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6ca30f4\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Team\"},\"elements\":[{\"id\":\"5f4c5c0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"8eafa7b\",\"elType\":\"widget\",\"settings\":{\"title\":\"The best team ever!\",\"description\":\"nnOur Team \",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"092e965\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"items\":[{\"_id\":\"4cab54a\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\",\"id\":3295,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Ahmed Shawky\",\"position\":\" Web Designer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Fb\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"In\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\",\"id\":3294,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Blake Hamilton\",\"position\":\"Engineer\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Fb\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"In\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"ed21abb\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\",\"id\":3293,\"alt\":\"\",\"source\":\"library\"},\"name\":\"Hisham Megahed\",\"position\":\"Founder\",\"icon-1\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"icon_1\":\"Fb\",\"link_social_1\":\"#0\",\"icon-2\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_2\":\"In\",\"link_social_2\":\"#0\",\"icon-3\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"},\"icon_3\":\"LinkedIn\",\"link_social_3\":\"#0\",\"_id\":\"afd739c\"}],\"height\":{\"unit\":\"px\",\"size\":450,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_typo_content_text-name_typography\":\"custom\",\"item_typo_content_text-name_text_transform\":\"uppercase\",\"item_typo_content_text-position_typography\":\"custom\",\"item_typo_content_text-position_text_transform\":\"uppercase\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_tablet\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_team\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b498aa3\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"brand\",\"dsn_col_margin\":\"section-margin\"},\"elements\":[{\"id\":\"1cd37ae\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"042af92\",\"elType\":\"widget\",\"settings\":{\"title\":\"nThey trust usn\",\"description\":\"Our Clients\",\"justify_content\":\"flex-start\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_title_animate\":\"dsn-up\",\"dsn_description_animate\":\"dsn-up\",\"dsn_line_description\":\"circle-before\"},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"54bc670\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"image_size\":\"full\",\"items\":[{\"_id\":\"23978c0\",\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\",\"id\":3320,\"alt\":\"\",\"source\":\"library\"}},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png\",\"id\":3321,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"194b497\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\",\"id\":3322,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"0e886c1\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png\",\"id\":3323,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"5330376\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\",\"id\":3324,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"d1d2c9b\"},{\"image\":{\"url\":\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png\",\"id\":3325,\"alt\":\"\",\"source\":\"library\"},\"_id\":\"79ccdbb\"}],\"bg_btn\":\"background-transparent\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"col_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_layout_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_brand\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("3018", "11848", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("3019", "11848", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("3020", "11849", "_sku", "woo-vneck-tee");
INSERT INTO `wp_postmeta` VALUES("3021", "11849", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3022", "11849", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3023", "11849", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3024", "11849", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3025", "11849", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3026", "11849", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3027", "11849", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3028", "11849", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3029", "11849", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("3030", "11849", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("3031", "11849", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3032", "11849", "_wp_old_slug", "import-placeholder-for-44");
INSERT INTO `wp_postmeta` VALUES("3033", "11849", "_product_image_gallery", "11152,11153");
INSERT INTO `wp_postmeta` VALUES("3034", "11849", "_thumbnail_id", "11151");
INSERT INTO `wp_postmeta` VALUES("3035", "11849", "_product_attributes", "a:2:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}s:7:\"pa_size\";a:6:{s:4:\"name\";s:7:\"pa_size\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:1;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3036", "11849", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("3037", "11849", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("3038", "11849", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:7:\"pa_size\";s:4:\"slug\";s:5:\"large\";s:4:\"name\";s:5:\"Large\";}");
INSERT INTO `wp_postmeta` VALUES("3039", "11849", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:7:\"pa_size\";s:4:\"slug\";s:6:\"medium\";s:4:\"name\";s:6:\"Medium\";}");
INSERT INTO `wp_postmeta` VALUES("3040", "11849", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("3041", "11849", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:7:\"pa_size\";s:4:\"slug\";s:5:\"small\";s:4:\"name\";s:5:\"Small\";}");
INSERT INTO `wp_postmeta` VALUES("3042", "11850", "_sku", "woo-hoodie");
INSERT INTO `wp_postmeta` VALUES("3043", "11850", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3044", "11850", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3045", "11850", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3046", "11850", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3047", "11850", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3048", "11850", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3049", "11850", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3050", "11850", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3051", "11850", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("3052", "11850", "_price", "42");
INSERT INTO `wp_postmeta` VALUES("3053", "11850", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3054", "11850", "_wp_old_slug", "import-placeholder-for-45");
INSERT INTO `wp_postmeta` VALUES("3055", "11850", "_product_image_gallery", "11154,11155,11156");
INSERT INTO `wp_postmeta` VALUES("3056", "11850", "_thumbnail_id", "34");
INSERT INTO `wp_postmeta` VALUES("3057", "11850", "_product_attributes", "a:2:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:1;}s:4:\"logo\";a:6:{s:4:\"name\";s:4:\"Logo\";s:5:\"value\";s:8:\"Yes | No\";s:8:\"position\";i:1;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:1;s:11:\"is_taxonomy\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("3058", "11850", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("3059", "11850", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("3060", "11850", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("3061", "11851", "_sku", "woo-hoodie-with-logo");
INSERT INTO `wp_postmeta` VALUES("3062", "11851", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3063", "11851", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3064", "11851", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3065", "11851", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3066", "11851", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3067", "11851", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3068", "11851", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3069", "11851", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3070", "11851", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3071", "11851", "_wp_old_slug", "import-placeholder-for-46");
INSERT INTO `wp_postmeta` VALUES("3072", "11851", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3073", "11851", "_thumbnail_id", "11156");
INSERT INTO `wp_postmeta` VALUES("3074", "11851", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3075", "11851", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("3076", "11851", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("3077", "11852", "_sku", "woo-tshirt");
INSERT INTO `wp_postmeta` VALUES("3078", "11852", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3079", "11852", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3080", "11852", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3081", "11852", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3082", "11852", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3083", "11852", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3084", "11852", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3085", "11852", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3086", "11852", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3087", "11852", "_wp_old_slug", "import-placeholder-for-47");
INSERT INTO `wp_postmeta` VALUES("3088", "11852", "_regular_price", "18");
INSERT INTO `wp_postmeta` VALUES("3089", "11852", "_thumbnail_id", "11157");
INSERT INTO `wp_postmeta` VALUES("3090", "11852", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3091", "11852", "_price", "18");
INSERT INTO `wp_postmeta` VALUES("3092", "11852", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"gray\";s:4:\"name\";s:4:\"Gray\";}");
INSERT INTO `wp_postmeta` VALUES("3093", "11853", "_sku", "woo-beanie");
INSERT INTO `wp_postmeta` VALUES("3094", "11853", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3095", "11853", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3096", "11853", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3097", "11853", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3098", "11853", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3099", "11853", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3100", "11853", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3101", "11853", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3102", "11853", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3103", "11853", "_wp_old_slug", "import-placeholder-for-48");
INSERT INTO `wp_postmeta` VALUES("3104", "11853", "_regular_price", "70");
INSERT INTO `wp_postmeta` VALUES("3105", "11853", "_sale_price", "50");
INSERT INTO `wp_postmeta` VALUES("3106", "11853", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3107", "11853", "_price", "50");
INSERT INTO `wp_postmeta` VALUES("3108", "11853", "_thumbnail_id", "11272");
INSERT INTO `wp_postmeta` VALUES("3109", "11853", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("3110", "11854", "_sku", "woo-belt");
INSERT INTO `wp_postmeta` VALUES("3111", "11854", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3112", "11854", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3113", "11854", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3114", "11854", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3115", "11854", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3116", "11854", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3117", "11854", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3118", "11854", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3119", "11854", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3120", "11854", "_wp_old_slug", "import-placeholder-for-58");
INSERT INTO `wp_postmeta` VALUES("3121", "11854", "_regular_price", "65");
INSERT INTO `wp_postmeta` VALUES("3122", "11854", "_sale_price", "55");
INSERT INTO `wp_postmeta` VALUES("3123", "11854", "_thumbnail_id", "11159");
INSERT INTO `wp_postmeta` VALUES("3124", "11854", "_price", "55");
INSERT INTO `wp_postmeta` VALUES("3125", "11855", "_sku", "woo-cap");
INSERT INTO `wp_postmeta` VALUES("3126", "11855", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3127", "11855", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3128", "11855", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3129", "11855", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3130", "11855", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3131", "11855", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3132", "11855", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3133", "11855", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3134", "11855", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3135", "11855", "_wp_old_slug", "import-placeholder-for-60");
INSERT INTO `wp_postmeta` VALUES("3136", "11855", "_regular_price", "18");
INSERT INTO `wp_postmeta` VALUES("3137", "11855", "_sale_price", "16");
INSERT INTO `wp_postmeta` VALUES("3138", "11855", "_thumbnail_id", "11160");
INSERT INTO `wp_postmeta` VALUES("3139", "11855", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3140", "11855", "_price", "16");
INSERT INTO `wp_postmeta` VALUES("3141", "11855", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:6:\"yellow\";s:4:\"name\";s:6:\"Yellow\";}");
INSERT INTO `wp_postmeta` VALUES("3142", "11856", "_sku", "woo-sunglasses");
INSERT INTO `wp_postmeta` VALUES("3143", "11856", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3144", "11856", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3145", "11856", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3146", "11856", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3147", "11856", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3148", "11856", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3149", "11856", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3150", "11856", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3151", "11856", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3152", "11856", "_wp_old_slug", "import-placeholder-for-62");
INSERT INTO `wp_postmeta` VALUES("3153", "11856", "_regular_price", "90");
INSERT INTO `wp_postmeta` VALUES("3154", "11856", "_thumbnail_id", "11161");
INSERT INTO `wp_postmeta` VALUES("3155", "11856", "_price", "90");
INSERT INTO `wp_postmeta` VALUES("3156", "11857", "_sku", "woo-hoodie-with-pocket");
INSERT INTO `wp_postmeta` VALUES("3157", "11857", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3158", "11857", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3159", "11857", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3160", "11857", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3161", "11857", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3162", "11857", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3163", "11857", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3164", "11857", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3165", "11857", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3166", "11857", "_wp_old_slug", "import-placeholder-for-64");
INSERT INTO `wp_postmeta` VALUES("3167", "11857", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3168", "11857", "_sale_price", "35");
INSERT INTO `wp_postmeta` VALUES("3169", "11857", "_thumbnail_id", "11162");
INSERT INTO `wp_postmeta` VALUES("3170", "11857", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3171", "11857", "_price", "35");
INSERT INTO `wp_postmeta` VALUES("3172", "11857", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"gray\";s:4:\"name\";s:4:\"Gray\";}");
INSERT INTO `wp_postmeta` VALUES("3173", "11858", "_sku", "woo-hoodie-with-zipper");
INSERT INTO `wp_postmeta` VALUES("3174", "11858", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3175", "11858", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3176", "11858", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3177", "11858", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3178", "11858", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3179", "11858", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3180", "11858", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3181", "11858", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3182", "11858", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3183", "11858", "_wp_old_slug", "import-placeholder-for-66");
INSERT INTO `wp_postmeta` VALUES("3184", "11858", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3185", "11858", "_thumbnail_id", "11163");
INSERT INTO `wp_postmeta` VALUES("3186", "11858", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("3187", "11859", "_sku", "woo-long-sleeve-tee");
INSERT INTO `wp_postmeta` VALUES("3188", "11859", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3189", "11859", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3190", "11859", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3191", "11859", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3192", "11859", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3193", "11859", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3194", "11859", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3195", "11859", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3196", "11859", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3197", "11859", "_wp_old_slug", "import-placeholder-for-68");
INSERT INTO `wp_postmeta` VALUES("3198", "11859", "_regular_price", "25");
INSERT INTO `wp_postmeta` VALUES("3199", "11859", "_thumbnail_id", "11164");
INSERT INTO `wp_postmeta` VALUES("3200", "11859", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3201", "11859", "_price", "25");
INSERT INTO `wp_postmeta` VALUES("3202", "11859", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:5:\"green\";s:4:\"name\";s:5:\"Green\";}");
INSERT INTO `wp_postmeta` VALUES("3203", "11860", "_sku", "woo-polo");
INSERT INTO `wp_postmeta` VALUES("3204", "11860", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3205", "11860", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3206", "11860", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3207", "11860", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3208", "11860", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3209", "11860", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3210", "11860", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3211", "11860", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3212", "11860", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3213", "11860", "_wp_old_slug", "import-placeholder-for-70");
INSERT INTO `wp_postmeta` VALUES("3214", "11860", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("3215", "11860", "_thumbnail_id", "11165");
INSERT INTO `wp_postmeta` VALUES("3216", "11860", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3217", "11860", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("3218", "11860", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:4:\"blue\";s:4:\"name\";s:4:\"Blue\";}");
INSERT INTO `wp_postmeta` VALUES("3219", "11861", "_sku", "woo-album");
INSERT INTO `wp_postmeta` VALUES("3220", "11861", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3221", "11861", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3222", "11861", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3223", "11861", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3224", "11861", "_virtual", "yes");
INSERT INTO `wp_postmeta` VALUES("3225", "11861", "_downloadable", "yes");
INSERT INTO `wp_postmeta` VALUES("3226", "11861", "_download_limit", "1");
INSERT INTO `wp_postmeta` VALUES("3227", "11861", "_download_expiry", "1");
INSERT INTO `wp_postmeta` VALUES("3228", "11861", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3229", "11861", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3230", "11861", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3231", "11861", "_wp_old_slug", "import-placeholder-for-73");
INSERT INTO `wp_postmeta` VALUES("3232", "11861", "_regular_price", "15");
INSERT INTO `wp_postmeta` VALUES("3233", "11861", "_downloadable_files", "a:2:{s:36:\"5648149c-10c2-4dac-b393-9c002cc8ecfa\";a:4:{s:2:\"id\";s:36:\"5648149c-10c2-4dac-b393-9c002cc8ecfa\";s:4:\"name\";s:8:\"Single 1\";s:4:\"file\";s:85:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/single.jpg\";s:7:\"enabled\";b:1;}s:36:\"7dbfbdfc-3696-494e-8e75-afaa445a6aa0\";a:4:{s:2:\"id\";s:36:\"7dbfbdfc-3696-494e-8e75-afaa445a6aa0\";s:4:\"name\";s:8:\"Single 2\";s:4:\"file\";s:84:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/album.jpg\";s:7:\"enabled\";b:1;}}");
INSERT INTO `wp_postmeta` VALUES("3234", "11861", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("3235", "11861", "_thumbnail_id", "11266");
INSERT INTO `wp_postmeta` VALUES("3236", "11862", "_sku", "woo-single");
INSERT INTO `wp_postmeta` VALUES("3237", "11862", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3238", "11862", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3239", "11862", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3240", "11862", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3241", "11862", "_virtual", "yes");
INSERT INTO `wp_postmeta` VALUES("3242", "11862", "_downloadable", "yes");
INSERT INTO `wp_postmeta` VALUES("3243", "11862", "_download_limit", "1");
INSERT INTO `wp_postmeta` VALUES("3244", "11862", "_download_expiry", "1");
INSERT INTO `wp_postmeta` VALUES("3245", "11862", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3246", "11862", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3247", "11862", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3248", "11862", "_wp_old_slug", "import-placeholder-for-75");
INSERT INTO `wp_postmeta` VALUES("3249", "11862", "_regular_price", "3");
INSERT INTO `wp_postmeta` VALUES("3250", "11862", "_sale_price", "2");
INSERT INTO `wp_postmeta` VALUES("3251", "11862", "_thumbnail_id", "11166");
INSERT INTO `wp_postmeta` VALUES("3252", "11862", "_downloadable_files", "a:1:{s:36:\"2bdbd601-ea9f-46b1-9318-8939de760d00\";a:4:{s:2:\"id\";s:36:\"2bdbd601-ea9f-46b1-9318-8939de760d00\";s:4:\"name\";s:6:\"Single\";s:4:\"file\";s:85:\"https://demo.woothemes.com/woocommerce/wp-content/uploads/sites/56/2017/08/single.jpg\";s:7:\"enabled\";b:1;}}");
INSERT INTO `wp_postmeta` VALUES("3253", "11862", "_price", "2");
INSERT INTO `wp_postmeta` VALUES("3254", "11863", "_sku", "woo-vneck-tee-red");
INSERT INTO `wp_postmeta` VALUES("3255", "11863", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3256", "11863", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3257", "11863", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3258", "11863", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3259", "11863", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3260", "11863", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3261", "11863", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3262", "11863", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3263", "11863", "_wp_old_slug", "import-placeholder-for-76");
INSERT INTO `wp_postmeta` VALUES("3264", "11863", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3265", "11863", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("3266", "11863", "_thumbnail_id", "11151");
INSERT INTO `wp_postmeta` VALUES("3267", "11863", "attribute_pa_color", "red");
INSERT INTO `wp_postmeta` VALUES("3268", "11863", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("3269", "11864", "_sku", "woo-vneck-tee-green");
INSERT INTO `wp_postmeta` VALUES("3270", "11864", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3271", "11864", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3272", "11864", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3273", "11864", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3274", "11864", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3275", "11864", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3276", "11864", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3277", "11864", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3278", "11864", "_wp_old_slug", "import-placeholder-for-77");
INSERT INTO `wp_postmeta` VALUES("3279", "11864", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3280", "11864", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("3281", "11864", "_thumbnail_id", "11152");
INSERT INTO `wp_postmeta` VALUES("3282", "11864", "attribute_pa_color", "green");
INSERT INTO `wp_postmeta` VALUES("3283", "11864", "_price", "20");
INSERT INTO `wp_postmeta` VALUES("3284", "11865", "_sku", "woo-vneck-tee-blue");
INSERT INTO `wp_postmeta` VALUES("3285", "11865", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3286", "11865", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3287", "11865", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3288", "11865", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3289", "11865", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3290", "11865", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3291", "11865", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3292", "11865", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3293", "11865", "_wp_old_slug", "import-placeholder-for-78");
INSERT INTO `wp_postmeta` VALUES("3294", "11865", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3295", "11865", "_regular_price", "15");
INSERT INTO `wp_postmeta` VALUES("3296", "11865", "_thumbnail_id", "11153");
INSERT INTO `wp_postmeta` VALUES("3297", "11865", "attribute_pa_color", "blue");
INSERT INTO `wp_postmeta` VALUES("3298", "11865", "_price", "15");
INSERT INTO `wp_postmeta` VALUES("3299", "11866", "_sku", "woo-hoodie-red");
INSERT INTO `wp_postmeta` VALUES("3300", "11866", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3301", "11866", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3302", "11866", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3303", "11866", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3304", "11866", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3305", "11866", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3306", "11866", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3307", "11866", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3308", "11866", "_wp_old_slug", "import-placeholder-for-79");
INSERT INTO `wp_postmeta` VALUES("3309", "11866", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3310", "11866", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3311", "11866", "_sale_price", "42");
INSERT INTO `wp_postmeta` VALUES("3312", "11866", "_thumbnail_id", "34");
INSERT INTO `wp_postmeta` VALUES("3313", "11866", "attribute_pa_color", "red");
INSERT INTO `wp_postmeta` VALUES("3314", "11866", "attribute_logo", "No");
INSERT INTO `wp_postmeta` VALUES("3315", "11866", "_price", "42");
INSERT INTO `wp_postmeta` VALUES("3316", "11867", "_sku", "Woo-beanie-logo");
INSERT INTO `wp_postmeta` VALUES("3317", "11867", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3318", "11867", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3319", "11867", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3320", "11867", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3321", "11867", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3322", "11867", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3323", "11867", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3324", "11867", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3325", "11867", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3326", "11867", "_wp_old_slug", "import-placeholder-for-85");
INSERT INTO `wp_postmeta` VALUES("3327", "11867", "_regular_price", "20");
INSERT INTO `wp_postmeta` VALUES("3328", "11867", "_sale_price", "18");
INSERT INTO `wp_postmeta` VALUES("3329", "11867", "_thumbnail_id", "11168");
INSERT INTO `wp_postmeta` VALUES("3330", "11867", "_product_attributes", "a:1:{s:8:\"pa_color\";a:6:{s:4:\"name\";s:8:\"pa_color\";s:5:\"value\";s:0:\"\";s:8:\"position\";i:0;s:10:\"is_visible\";i:1;s:12:\"is_variation\";i:0;s:11:\"is_taxonomy\";i:1;}}");
INSERT INTO `wp_postmeta` VALUES("3331", "11867", "_price", "18");
INSERT INTO `wp_postmeta` VALUES("3332", "11867", "_wxr_import_term", "a:3:{s:8:\"taxonomy\";s:8:\"pa_color\";s:4:\"slug\";s:3:\"red\";s:4:\"name\";s:3:\"Red\";}");
INSERT INTO `wp_postmeta` VALUES("3333", "11868", "_sku", "wp-pennant");
INSERT INTO `wp_postmeta` VALUES("3334", "11868", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3335", "11868", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3336", "11868", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3337", "11868", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3338", "11868", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3339", "11868", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3340", "11868", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3341", "11868", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3342", "11868", "_wpcom_is_markdown", "1");
INSERT INTO `wp_postmeta` VALUES("3343", "11868", "_wp_old_slug", "import-placeholder-for-89");
INSERT INTO `wp_postmeta` VALUES("3344", "11868", "_regular_price", "11.05");
INSERT INTO `wp_postmeta` VALUES("3345", "11868", "_price", "11.05");
INSERT INTO `wp_postmeta` VALUES("3346", "11868", "_thumbnail_id", "11257");
INSERT INTO `wp_postmeta` VALUES("3347", "11869", "_sku", "woo-hoodie-green");
INSERT INTO `wp_postmeta` VALUES("3348", "11869", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3349", "11869", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3350", "11869", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3351", "11869", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3352", "11869", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3353", "11869", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3354", "11869", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3355", "11869", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3356", "11869", "_wp_old_slug", "import-placeholder-for-80");
INSERT INTO `wp_postmeta` VALUES("3357", "11869", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3358", "11869", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3359", "11869", "_thumbnail_id", "11155");
INSERT INTO `wp_postmeta` VALUES("3360", "11869", "attribute_pa_color", "green");
INSERT INTO `wp_postmeta` VALUES("3361", "11869", "attribute_logo", "No");
INSERT INTO `wp_postmeta` VALUES("3362", "11869", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("3363", "11870", "_sku", "woo-hoodie-blue");
INSERT INTO `wp_postmeta` VALUES("3364", "11870", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3365", "11870", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3366", "11870", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3367", "11870", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3368", "11870", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3369", "11870", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3370", "11870", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3371", "11870", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3372", "11870", "_wp_old_slug", "import-placeholder-for-81");
INSERT INTO `wp_postmeta` VALUES("3373", "11870", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3374", "11870", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3375", "11870", "_thumbnail_id", "11154");
INSERT INTO `wp_postmeta` VALUES("3376", "11870", "attribute_pa_color", "blue");
INSERT INTO `wp_postmeta` VALUES("3377", "11870", "attribute_logo", "No");
INSERT INTO `wp_postmeta` VALUES("3378", "11870", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("3379", "11871", "_sku", "woo-hoodie-blue-logo");
INSERT INTO `wp_postmeta` VALUES("3380", "11871", "_tax_status", "taxable");
INSERT INTO `wp_postmeta` VALUES("3381", "11871", "_manage_stock", "no");
INSERT INTO `wp_postmeta` VALUES("3382", "11871", "_backorders", "no");
INSERT INTO `wp_postmeta` VALUES("3383", "11871", "_sold_individually", "no");
INSERT INTO `wp_postmeta` VALUES("3384", "11871", "_virtual", "no");
INSERT INTO `wp_postmeta` VALUES("3385", "11871", "_downloadable", "no");
INSERT INTO `wp_postmeta` VALUES("3386", "11871", "_stock_status", "instock");
INSERT INTO `wp_postmeta` VALUES("3387", "11871", "_product_version", "7.0.0");
INSERT INTO `wp_postmeta` VALUES("3388", "11871", "_wp_old_slug", "import-placeholder-for-90");
INSERT INTO `wp_postmeta` VALUES("3389", "11871", "_variation_description", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.");
INSERT INTO `wp_postmeta` VALUES("3390", "11871", "_regular_price", "45");
INSERT INTO `wp_postmeta` VALUES("3391", "11871", "_thumbnail_id", "11156");
INSERT INTO `wp_postmeta` VALUES("3392", "11871", "attribute_pa_color", "blue");
INSERT INTO `wp_postmeta` VALUES("3393", "11871", "attribute_logo", "Yes");
INSERT INTO `wp_postmeta` VALUES("3394", "11871", "_price", "45");
INSERT INTO `wp_postmeta` VALUES("3401", "11666", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5379", "11994", "_wp_attached_file", "2023/05/My-project-1-1.png");
INSERT INTO `wp_postmeta` VALUES("5380", "11994", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1080;s:6:\"height\";i:566;s:4:\"file\";s:26:\"2023/05/My-project-1-1.png\";s:8:\"filesize\";i:67773;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"My-project-1-1-300x157.png\";s:5:\"width\";i:300;s:6:\"height\";i:157;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9067;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"My-project-1-1-1024x537.png\";s:5:\"width\";i:1024;s:6:\"height\";i:537;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:48547;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"My-project-1-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5114;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"My-project-1-1-768x402.png\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32264;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"My-project-1-1-1024x566.png\";s:5:\"width\";i:1024;s:6:\"height\";i:566;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:44861;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"My-project-1-1-416x218.png\";s:5:\"width\";i:416;s:6:\"height\";i:218;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14093;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"My-project-1-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3046;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3424", "10675", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("3425", "10675", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("3426", "10675", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("3427", "10675", "_wp_old_date", "2022-09-22");
INSERT INTO `wp_postmeta` VALUES("3428", "10675", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("3592", "11641", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("3642", "10679", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("3643", "10679", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("3644", "10679", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("3645", "10679", "_wp_old_date", "2022-09-22");
INSERT INTO `wp_postmeta` VALUES("3646", "10679", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5382", "11995", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:5989;s:6:\"height\";i:2503;s:4:\"file\";s:32:\"2023/05/LOGO-BASELINE-NOIR-1.png\";s:8:\"filesize\";i:133963;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"LOGO-BASELINE-NOIR-1-300x125.png\";s:5:\"width\";i:300;s:6:\"height\";i:125;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10187;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"LOGO-BASELINE-NOIR-1-1024x428.png\";s:5:\"width\";i:1024;s:6:\"height\";i:428;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:42390;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"LOGO-BASELINE-NOIR-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5674;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"LOGO-BASELINE-NOIR-1-768x321.png\";s:5:\"width\";i:768;s:6:\"height\";i:321;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:30501;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:33:\"LOGO-BASELINE-NOIR-1-1536x642.png\";s:5:\"width\";i:1536;s:6:\"height\";i:642;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:66790;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:33:\"LOGO-BASELINE-NOIR-1-2048x856.png\";s:5:\"width\";i:2048;s:6:\"height\";i:856;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:90177;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:33:\"LOGO-BASELINE-NOIR-1-1200x502.png\";s:5:\"width\";i:1200;s:6:\"height\";i:502;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:49832;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:34:\"LOGO-BASELINE-NOIR-1-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50604;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"LOGO-BASELINE-NOIR-1-416x174.png\";s:5:\"width\";i:416;s:6:\"height\";i:174;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14746;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"LOGO-BASELINE-NOIR-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3642;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3699", "11887", "_wp_attached_file", "2023/05/log_file_2023-05-30__08-54-22.txt");
INSERT INTO `wp_postmeta` VALUES("6235", "6136", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3702", "188", "_thumbnail_id", "12461");
INSERT INTO `wp_postmeta` VALUES("3703", "188", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3704", "188", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3705", "188", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3706", "188", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3707", "188", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3708", "188", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3709", "188", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3710", "188", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3711", "188", "_et_pb_old_content", "<h2>Peut-on supprimer un avis TripAdvisor ? Oui, mais seulement dans certains cas. Comment faire ? Nous vous guidons pas à pas.</h2><p>Aujourd’hui, un nombre grandissant d’internautes consulte les avis avant de se rendre dans un restaurant. <strong>TripAdvisor</strong> est une référence mondiale en la matière. Cependant, tous les utilisateurs ne sont pas nécessairement honnêtes et bienveillants. En effet, faux témoignages, propos outrageux ou exagération de la situation sont parfois à déplorer. Si votre établissement est visé, vous avez la possibilité de demander la suppression de l’avis en question à TripAdvisor. Comment faire ? Nous vous guidons pas à pas.</p><h2>Que faire en cas d’avis négatif ?</h2><p>En cas d’avis négatif, vous pouvez répondre à l’utilisateur. Cela n’est pas toujours facile car il faut pouvoir prendre du recul afin de remercier la personne pour son commentaire, mettre en avant les aspects positifs, détailler les éventuelles mesures d’amélioration mises en place suite à sa visite et l’inviter à venir à nouveau dans votre établissement. Pour vous aider dans cette tâche, vous trouverez quelques conseils utiles dans notre article et dans le guide TripAdvisor.</p>");
INSERT INTO `wp_postmeta` VALUES("3712", "188", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("3713", "188", "_yoast_wpseo_primary_category", "5");
INSERT INTO `wp_postmeta` VALUES("3714", "188", "_wp_old_slug", "blog-1");
INSERT INTO `wp_postmeta` VALUES("3715", "188", "_metaseo_metatitle", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?");
INSERT INTO `wp_postmeta` VALUES("3716", "188", "_yoast_wpseo_title", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?");
INSERT INTO `wp_postmeta` VALUES("3717", "188", "_metaseo_metadesc", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?");
INSERT INTO `wp_postmeta` VALUES("3718", "188", "_yoast_wpseo_metadesc", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?");
INSERT INTO `wp_postmeta` VALUES("3719", "188", "_metaseo_metakeywords", "Site internet restaurant");
INSERT INTO `wp_postmeta` VALUES("3720", "188", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n				\n				\n				<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_justified et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">Peut-on supprimer un avis TripAdvisor ? Oui, mais seulement dans certains cas. Comment faire ? Nous vous guidons pas à pas.<br />\nAujourd’hui, un nombre grandissant d’internautes consulte les avis avant de se rendre dans un restaurant. TripAdvisor est une référence mondiale en matière de référencement. Cependant, tous les avis ne sont pas nécessairement honnêtes et bienveillants. En effet, faux témoignages, propos outrageux ou exagération de la situation sont parfois à déplorer. Si votre établissement est visé, vous avez la possibilité de demander la suppression de l’avis en question à TripAdvisor.<br />\nQue faire en cas d’avis négatif ?<br />\nEn cas d’avis négatif, vous pouvez répondre intelligemment à l’utilisateur. Cela n’est pas toujours facile car il faut pouvoir prendre du recul afin de remercier la personne pour son commentaire, reconnaître ses tords, mettre en avant les aspects positifs, détailler les éventuelles mesures d’amélioration mises en place suite à sa visite et l’inviter à venir à nouveau dans votre établissement. Pour vous aider dans cette tâche mandater une agence pour s&#8217;en occuper</div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_1_3 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_0\">\n				\n				\n				\n				\n				<span class=\"et_pb_image_wrap \"><img decoding=\"async\" width=\"1200\" height=\"833\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/02/1200px-TripAdvisor_logo.svg.png\" alt=\"\" title=\"\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2018/02/1200px-TripAdvisor_logo.svg.png 1200w, https://www.kook-agency.fr/wp-content/uploads/2018/02/1200px-TripAdvisor_logo.svg-300x208.png 300w, https://www.kook-agency.fr/wp-content/uploads/2018/02/1200px-TripAdvisor_logo.svg-768x533.png 768w, https://www.kook-agency.fr/wp-content/uploads/2018/02/1200px-TripAdvisor_logo.svg-1024x711.png 1024w, https://www.kook-agency.fr/wp-content/uploads/2018/02/1200px-TripAdvisor_logo.svg-1080x750.png 1080w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" class=\"wp-image-1836\" /></span>\n			</div>\n			</div><div class=\"et_pb_column et_pb_column_2_3 et_pb_column_3  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_accordion et_pb_accordion_0\">\n				\n				\n				\n				\n				<div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_0  et_pb_toggle_open\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">Quelle est la procédure à suivre pour faire supprimer un avis non conforme ?</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Pour signaler un avis suspect, frauduleux ou abusif et demander sa suppression à TripAdvisor, il est nécessaire de :</p>\n<p> 	Se connecter à l’espace Propriétaire<br />\n 	Aller dans la rubrique « Avis » et cliquer sur « Un avis à signaler ? »<br />\n 	Cliquer sur « Lisez nos conditions d’utilisation et envoyez vos commentaires ».<br />\n 	Remplir le formulaire en indiquant l’avis concerné, les raisons de votre demande et les preuves (si vous en avez).</p>\n<p>A partir du moment où vous envoyez un signalement à TripAdvisor, une enquête est engagée afin de valider ou non la suppression.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_1  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">Autres cas dans lesquels la suppression des avis est possible ?</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Si l’avis n’était pas adressé à votre établissement et que parvenez à le prouver, il peut être effacé de votre page.</p>\n<p>Par ailleurs, en cas de changement de propriétaire, les avis pourront être supprimés sur preuve du rachat mais dans ce cas tous seront supprimés (pas uniquement les mauvais).</div>\n			</div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("3721", "188", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("3722", "188", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"188\" /]");
INSERT INTO `wp_postmeta` VALUES("3723", "188", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("3724", "188", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("3725", "188", "_et_pb_truncate_post_date", "2023-05-17 07:25:06");
INSERT INTO `wp_postmeta` VALUES("3726", "188", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3727", "188", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3728", "188", "wp_metaseo_seoscore", "86");
INSERT INTO `wp_postmeta` VALUES("3729", "188", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3730", "188", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("6283", "3492", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3733", "191", "_thumbnail_id", "12453");
INSERT INTO `wp_postmeta` VALUES("3734", "191", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3735", "191", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3736", "191", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3737", "191", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3738", "191", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3739", "191", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3740", "191", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3741", "191", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3742", "191", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3743", "191", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("3744", "191", "_et_pb_old_content", "<p>Batnae municipium in Anthemusia conditum Macedonum manu priscorum ab Euphrate flumine brevi spatio disparatur, refertum mercatoribus opulentis, ubi annua sollemnitate prope Septembris initium mensis ad nundinas magna promiscuae fortunae convenit multitudo ad commercanda quae Indi mittunt et Seres aliaque plurima vehi terra marique consueta.</p><p>Excitavit hic ardor milites per municipia plurima, quae isdem conterminant, dispositos et castella, sed quisque serpentes latius pro viribus repellere moliens, nunc globis confertos, aliquotiens et dispersos multitudine superabatur ingenti, quae nata et educata inter editos recurvosque ambitus montium eos ut loca plana persultat et mollia, missilibus obvios eminus lacessens et ululatu truci perterrens.</p>");
INSERT INTO `wp_postmeta` VALUES("3745", "191", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("3746", "191", "_yoast_wpseo_primary_category", "5");
INSERT INTO `wp_postmeta` VALUES("3747", "191", "_wp_old_slug", "blog-2");
INSERT INTO `wp_postmeta` VALUES("3748", "191", "_wp_old_date", "2018-02-22");
INSERT INTO `wp_postmeta` VALUES("3749", "191", "_metaseo_metakeywords", "Site internet restaurant");
INSERT INTO `wp_postmeta` VALUES("3750", "191", "_metaseo_metatitle", "comment utiliser le QR code dans votre restaurant");
INSERT INTO `wp_postmeta` VALUES("3751", "191", "_yoast_wpseo_title", "comment utiliser le QR code dans votre restaurant");
INSERT INTO `wp_postmeta` VALUES("3752", "191", "_metaseo_metadesc", "comment utiliser le QR code dans son restaurant");
INSERT INTO `wp_postmeta` VALUES("3753", "191", "_yoast_wpseo_metadesc", "comment utiliser le QR code dans son restaurant");
INSERT INTO `wp_postmeta` VALUES("3754", "191", "_wp_old_slug", "qr-code-restaurant");
INSERT INTO `wp_postmeta` VALUES("3755", "191", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\">\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_5\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_7    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_6 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					le QR Code peut facilement améliorer votre expérience client dans votre restaurant. Voici quelques idées d’utilisations et de mises à disposition.<br />\nUn QR code (abréviation de Quick Response) s’apparente à un code barre lisible grâce à votre smartphone. Par le biais d&#8217;une application gratuite, votre smartphone trouve l’élément associé au QR code et l’ouvre directement. Il peut s’agir d’une page web, d’un email, de vos réseaux sociaux, d’un contact, d’un numéro de téléphone, d’un événement, d’une géolocalisation ou bien même d’un mot de passe wifi !</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_7 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Quelles utilisations possibles dans votre restaurant ?<br />\nRenforcez l&#8217;expérience client<br />\n1. Découvrir votre site internet. Redirigez votre QR Code vers  votre site adapté aux smartphones, où vous dévoilez ce qui vous rend unique. Pas besoin de grand discours, nous vous conseillons de résumer votre savoir-faire en une phrase et de l’illustrer de preuves (photos, vidéos, …)</p>\n<p>2. Inviter vos clients à vous suivre sur les réseaux sociaux. Redirigez votre QR Code vers votre page Facebook / Instagram et créez des offres autour de cela. Par exemple, offrez un bonus aux clients qui « aiment » votre page Facebook ou à ceux qui partagent une photo de votre lieu sur leurs réseaux sociaux. Cela permet de développer votre présence sur internet.  Une bonne occasion d’augmenter votre communauté.</p>\n<p>3. Aider vos clients prospects à venir jusqu’à vous. Redirigez votre QR Code vers votre adresse (géolocalisation), votre numéro de téléphone. Insérez-le ensuite sur vos flyers, cartes de visites …</p>\n<p>5. Inviter vos clients à passer une commande en ligne. Si votre site internet vous le permet, inciter vos clients à passer une commande en ligne  si ce n&#8217;est pas le cas vers une application de livraison tel que AlloResto, Uber Eat, Deliveroo. Imprimez-le sur votre vitrine, vos flyers ou votre carte de visite pour que vos clients et prospects puissent vous trouvez directement.</p>\n<p>&nbsp;</p>\n<p>&nbsp;</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_8 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Créez une expérience ludique\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_6\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_8    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_2 et_always_center_on_mobile\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=\" data-lazy-src=\"https://www.kook-agency.fr/wp-content/uploads/2018/02/moshi-moshi.jpg\" alt=\"\" /><noscript><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/02/moshi-moshi.jpg\" alt=\"\" /></noscript></span>\n			</div>\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_9    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_9 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					6.  Découvrir la provenance de vos produits. Redirigez votre QR Code vers une page ou un site qui montre l’origine des produits de votre carte. Le restaurant Harney Sushi (Californie) a eu l’idée d’imprimer des QR Codes sur du papier de riz en utilisant de l’encre comestible à base d’eau. Leurs clients peuvent ainsi « numériser leur poisson » avec leur smartphone pour savoir exactement où il a été pêché ou bien connaître les réserves océaniques de cette espèce.\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("3756", "191", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3757", "191", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3758", "191", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("6239", "6133", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3761", "2084", "_thumbnail_id", "12443");
INSERT INTO `wp_postmeta` VALUES("3762", "2084", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3763", "2084", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3764", "2084", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3765", "2084", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3766", "2084", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3767", "2084", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3768", "2084", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3769", "2084", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3770", "2084", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3771", "2084", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3772", "2084", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("3773", "2084", "_metaseo_metatitle", "comment lutter contre les avis négatifs");
INSERT INTO `wp_postmeta` VALUES("3774", "2084", "_yoast_wpseo_title", "comment lutter contre les avis négatifs");
INSERT INTO `wp_postmeta` VALUES("3775", "2084", "_metaseo_metadesc", "vous êtes restaurateurs, vous avez un restaurant, vous voulez lutter contre les avis négatifs");
INSERT INTO `wp_postmeta` VALUES("3776", "2084", "_yoast_wpseo_metadesc", "vous êtes restaurateurs, vous avez un restaurant, vous voulez lutter contre les avis négatifs");
INSERT INTO `wp_postmeta` VALUES("3777", "2084", "_metaseo_metakeywords", "Site internet restaurant");
INSERT INTO `wp_postmeta` VALUES("3778", "2084", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_0 et_section_regular\">\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_0\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_0    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_0 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Laisser un avis après être allé au restaurant est devenu une habitude chez les clients. Aujourd’hui il devient compliqué de gérer les avis clients au sein de son restaurant et pour cela il existe des solutions pour lutter contre une mauvaise e-réputation.\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_1    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Motivez vos employés !<br />\nVeillez à ce que votre équipe soit au petit soin pour vos clients, il est important de surveiller à que chaque personnes soit bien reçu dans votre établissement. Pour encourager vos salariés, n’hésitez pas à faire des réunions rapide autour des avis négatifs et positifs de manière à ce qu’il réalise l’impact de leur travail au sein de votre restaurant. N’hésitez pas à demander à vos clients si ils ont été satisfait de leurs repas en fin de service et dans le cas contraire pensé toujours à faire un geste commercial pour éviter un avis négatif.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_2    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_0 et_always_center_on_mobile\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=\" data-lazy-src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/concept-d-équipe-de-restaurant-d-h-tel-dans-l-uniforme-groupe-de-caractères-de-restauration-tenant-ensemble-le-chef-le-95471790.jpg\" alt=\"\" /><noscript><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/concept-d-équipe-de-restaurant-d-h-tel-dans-l-uniforme-groupe-de-caractères-de-restauration-tenant-ensemble-le-chef-le-95471790.jpg\" alt=\"\" /></noscript></span>\n			</div>\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_3    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_2 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Référencement Google.<br />\nPremière porte d’entrée de votre site internet, le référencement naturel est aujourd’hui indispensable pour lutter contre les avis négatifs. Cette stratégie  consiste à faire apparaître votre site internet dans les meilleures résultats de recherche et bien souvent devant les annuaires tels que TripAdvisor, Yelp… Ce qui vous permet d’avoir un accès direct vers votre site internet sans que les internautes consultent forcement vos avis. En savoir plus</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_3 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Transformer vos clients en influenceurs.<br />\nSur vos différents réseaux sociaux, vous pouvez facilement repérer les personnes qui aiment votre cuisine et votre établissement, il suffit juste de les contacter en direct par internet et les inciter à déposer un avis positif à votre attention.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_3\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_4    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_4 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Communiquez sur les réseaux sociaux.<br />\nVos avis positifs récoltés peuvent aussi être diffusés sur votre page Facebook professionnelle et sont donc consultables par vos fans et leurs amis. Ils représentent un très bon moyen de communication pour attirer de nouveaux clients ! En effet, après avoir visionné les photos alléchantes de vos plats, ils pourront confirmer leur intérêt pour votre restaurant grâce aux nombreux avis de votre communauté. En savoir plus</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_5    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_1 et_always_center_on_mobile\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=\" data-lazy-src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/1_4w9GY-WGAD4himsl66U0PA.jpeg\" alt=\"\" /><noscript><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/1_4w9GY-WGAD4himsl66U0PA.jpeg\" alt=\"\" /></noscript></span>\n			</div>\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_4\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_6    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_5 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Savoir récompenser.<br />\nN’hésitez pas à faire un petit geste commercial (café, digestif offert..) auprès de vos clients habituels, en échange demandez leurs d’aimer et partager votre page Facebook, de déposer des avis positifs sur Facebook, Tripadvisor… 80 % de vos clients son friands de récompense pour leurs fidélités.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("3779", "2084", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3780", "2084", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("6238", "6136", "_edit_lock", "1685533208:1");
INSERT INTO `wp_postmeta` VALUES("3783", "2245", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3784", "2245", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3785", "2245", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3786", "2245", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3787", "2245", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3788", "2245", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3789", "2245", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3790", "2245", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3791", "2245", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3792", "2245", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3793", "2245", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("3794", "2245", "_metaseo_metatitle", "Le matériel indispensable pour ouvrir son restaurant");
INSERT INTO `wp_postmeta` VALUES("3795", "2245", "_yoast_wpseo_title", "Le matériel indispensable pour ouvrir son restaurant");
INSERT INTO `wp_postmeta` VALUES("3796", "2245", "_metaseo_metadesc", "Le matériel indispensable pour ouvrir son restaurant");
INSERT INTO `wp_postmeta` VALUES("3797", "2245", "_yoast_wpseo_metadesc", "Le matériel indispensable pour ouvrir son restaurant");
INSERT INTO `wp_postmeta` VALUES("3798", "2245", "_metaseo_metakeywords", "matériel ouvrir son restaurant");
INSERT INTO `wp_postmeta` VALUES("3799", "2245", "_wp_old_slug", "le-materiel-pour-ouvrir-son-restaurant");
INSERT INTO `wp_postmeta` VALUES("3800", "2245", "_thumbnail_id", "12436");
INSERT INTO `wp_postmeta` VALUES("3801", "2245", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_5 et_section_regular\">\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_12\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_16    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_31 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					La création d’un restaurant demande beaucoup de temps et d’investissement. Trouver un avantage concurrentiel, un local, faire les études de marché… Puis vient le moment d’investir dans son matériel de cuisine professionnel. Mais quels sont les indispensables ? C’est ce que nous explique notre partenaire Finarome aujourd’hui.\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_32 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Le matériel froid<br />\nQui dit produit frais et fait maison, dit forcément stockage au froid. Pour cela, le matériel de base est bien sûr l’armoire réfrigérée. Il en existe de nombreux modèles avec différentes options ; portes pleines ou vitrées, avec ou sans serrure, etc. L’élément principal à prendre en compte pour faire votre choix est : froid ventilé/semi-ventilé ou statique, et si vous souhaitez un froid positif, négatif, ou les deux dans une même armoire.</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_33 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Le matériel de cuisson<br />\nEn premier, on pense bien évidemment au four, qui, s’il est polyvalent pourra vous permettre de faire à peu près toutes vos cuissons. Il en existe là aussi plusieurs modèles plus ou moins polyvalents : fours mixtes, à vapeur, à gaz, à pizzas, à basse température… Mais s’il y a une chose que les fours ne peuvent pas faire, c’est la saisie. Complétez alors votre matériel de cuisson avec une plancha professionnelle.</p>\n<p> Les frites sont incontournables en restauration, ne serait-ce que pour le menu enfant. Alors une bonne friteuse pourra faciliter votre quotidien. Evidemment il ne faut pas négliger les éléments plus traditionnels comme les fourneaux (associés à une bonne batterie de cuisine), les toaster pour les snacks, les cuiseurs à pâtes ou à riz pour les établissements spécialisés, etc.</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_34 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Le matériel d’hygiène<br />\nUne fois les clients rassasiés, il ne faut pas oublier la dernière étape : le lavage. Afin de gagner en temps et en efficacité, équipez vous d’un bon lave-vaisselle et d’un lave-verre. Si vous pensez que c’est un équipement de « luxe » dont vous pouvez vous passer dans un premier temps, vous changerez vite d’avis ! Associé à une bonne plonge, vous vous assurerez une vaisselle éclatante et un gain de temps considérable.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("3802", "2245", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3805", "2259", "_thumbnail_id", "12425");
INSERT INTO `wp_postmeta` VALUES("3806", "2259", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3807", "2259", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3808", "2259", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3809", "2259", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3810", "2259", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3811", "2259", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3812", "2259", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3813", "2259", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3814", "2259", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3815", "2259", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3816", "2259", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("3817", "2259", "_metaseo_metatitle", "Comment augmenter le chiffre d’affaires avec votre site internet  ?");
INSERT INTO `wp_postmeta` VALUES("3818", "2259", "_yoast_wpseo_title", "Comment augmenter le chiffre d’affaires avec votre site internet  ?");
INSERT INTO `wp_postmeta` VALUES("3819", "2259", "_metaseo_metadesc", "Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?");
INSERT INTO `wp_postmeta` VALUES("3820", "2259", "_yoast_wpseo_metadesc", "Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?");
INSERT INTO `wp_postmeta` VALUES("3821", "2259", "_metaseo_metakeywords", "Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?");
INSERT INTO `wp_postmeta` VALUES("3822", "2259", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_4 et_section_regular\">\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_10\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_13    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_26 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Quand on parle de sites internet avec certains restaurateurs, on entend trop souvent la réponse suivante : « Oui je sais, je dois créer un site internet pour mon restaurant. Mais c’est beaucoup de travail pour quelque chose qui va pas me faire gagner de l’argent ! »<br />\nPourtant, un site web bien construit et connecté aux opérations de votre établissement peut augmenter votre chiffre d’affaires. Mais comment ça marche ? Voici quelques pistes de réflexion de nos collègues chez iKentoo, les spécialistes de la caisse enregistreuse connectée.\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_27 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					1. Retrouvez vos réservations sur votre caisse<br />\nSaviez-vous que vous pouvez lier votre caisse iKentoo à votre module de réservations en ligne ? Ainsi, vous pouvez retrouver les réservations passées sur votre site directement sur votre caisse. Le grand avantage ? Maximiser votre taux de remplissage et diminuer les risques de double-réservation d’une table. Vous augmenterez ainsi votre chiffre d’affaire et la satisfaction de vos clients.</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_28 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					2. Collectez toutes les informations de vos clients dans votre CRM<br />\nVous avez une newsletter ? Vos clients peuvent s’y inscrire sur votre site ? Retrouvez toutes ces informations sur votre caisse et sur votre plateforme de gestion iKentoo en liant vos formulaires à votre CRM iKentoo. Ainsi vous pourrez personnaliser l’expérience client et augmenter la fidélisation de vos consommateurs-trices avec des offres personnalisées.</p>\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_29 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					4. Optimisez la gestion de vos commandes en lignes<br />\nVous offrez la possibilité de commander en ligne ? La double saisie manuelle vous fait perdre du temps ? Retrouvez toutes vos commandes sur votre caisse, et automatisez la production. De plus, vous gagnerez un temps précieux lors de la gestion des stocks, analyses des ventes et de la comptabilité car toutes ces informations sont centralisées sur une même plateforme, le Back-Office iKentoo.</p>\n<p>Découvrez l’offre iKentoo et profitez d’un devis gratuit sur mesure et un essai gratuit du système. Et en tant que client Kook Agency, contactez Olivier pour bénéficier d’un rabais exclusif.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_11\">\n				<div class=\"et_pb_column et_pb_column_1_3 et_pb_column_14    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_4 et_always_center_on_mobile\">\n				\n				\n				<a href=\"https://www.ikentoo.com/\"><span class=\"et_pb_image_wrap \"><img src=\"data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=\" data-lazy-src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/kentoo-logo.png\" alt=\"\" /><noscript><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/kentoo-logo.png\" alt=\"\" /></noscript></span></a>\n			</div>\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_2_3 et_pb_column_15    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_30 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					<p>iKentoo, la caisse enregistreuse sur iPad pour la restauration la plus performante d’Europe. Plus de 3500 client-e-s font confiance au système d’encaissement connecté iKentoo. Certifié NF525, il équipe tous les restaurants du Big Mamma Group (La Felicità, East Mamma, Ober Mamma), les franchises Alto Café et Yogurt Factory, ainsi que le Hard Rock Cafe Lyon.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("3823", "2259", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3824", "2259", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("3827", "2279", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3828", "2279", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3829", "2279", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3830", "2279", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3831", "2279", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3832", "2279", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3833", "2279", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3834", "2279", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3835", "2279", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3836", "2279", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3837", "2279", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("3838", "2279", "_metaseo_metatitle", "La visite virtuelle immersive un outil marketing pour restaurant");
INSERT INTO `wp_postmeta` VALUES("3839", "2279", "_yoast_wpseo_title", "La visite virtuelle immersive un outil marketing pour restaurant");
INSERT INTO `wp_postmeta` VALUES("3840", "2279", "_metaseo_metadesc", "La visite virtuelle immersive : un outil marketing pour votre restaurant");
INSERT INTO `wp_postmeta` VALUES("3841", "2279", "_yoast_wpseo_metadesc", "La visite virtuelle immersive : un outil marketing pour votre restaurant");
INSERT INTO `wp_postmeta` VALUES("3842", "2279", "_metaseo_metakeywords", "Visite virtuelle restaurant");
INSERT INTO `wp_postmeta` VALUES("3843", "2279", "_thumbnail_id", "12418");
INSERT INTO `wp_postmeta` VALUES("3844", "2279", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_3 et_section_regular\">\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_7\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_9    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_21 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Nous allons aborder le sujet des visites virtuelles pour mieux comprendre les retombées pour votre restaurant ?<br />\nEn effet, dans de nombreux domaines, la technologie ne cesse d’évoluer due à la naissance du digital.<br />\nLa visite virtuelle est un outil très actif depuis quelques années. De la photosphère proposée par Google à la photogrammétrie par Matterport (technologie la plus aboutie à l’heure actuelle), de nombreuses solutions sont proposées sur le marché. Ce support innovant répond à des problématiques diverses et variées en fonction du domaine d’activité.\n				</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_22 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Le secteur de la restauration est soumis à de fortes évolutions depuis quelques années : notifications et avis avec TripAdvisor, système de réservations avec La Fourchette ou encore création et gestion de votre site internet avec Kook Food Agency.\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_8\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_10    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_23 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					<p>Dans le domaine de la réalité virtuelle, Immersive Business Advantage est l’un des premiers acteurs à proposer la création d’un outil digital personnalisé à partir de visite virtuelle immersive. Depuis l’une des plus grandes tables de France avec le restaurant Georges Blanc 3* Michelin jusqu’au snack de plage, les équipes IBA réalisent la visite virtuelle de votre restaurant en 4 étapes :</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_11    et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_24 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					<p> 	Rencontre sur les lieux pour mieux comprendre vos objectifs et analyses des espaces.<br />\n 	Prise de vue avec la technologie Matterport.<br />\n 	Post-production et intégration des divers médias.<br />\n 	Livraison et conseils pour utilisation de l’outil marketing créé.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_9\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_12    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_25 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					Avec plus de 4 années d’expertise, IBA propose une multitude de possibilités à ses clients pour créer un outil digital de qualité et sur-mesure. En intégrant des documents PDF avec vos menus, photos de vos plats légendés ou même des vidéos dans votre visite virtuelle, vous pourrez transmettre l’atmosphère de votre restaurant à vos futurs clients pour susciter l’envie.<br />\nCette technologie permet également d’optimiser votre référencement sur internet avec l’intégration de votre visite virtuelle sur Google Street.<br />\nUn autre atout de cette nouvelle façon de communiquer se retrouve avec l’utilisation du masque de réalité virtuelle (VR). IL est possible de transposer la visite virtuelle en mode réalité virtuelle avec l’utilisation de masque. Ce nouveau média, en pleine expansion depuis l’arrivée sur le marché de masque de plus en plus performants, autonomes et de moins en moins onéreux, permet de découvrir votre restaurant à 360 degrés sur un salon promotionnel par exemple.<br />\nA quand la possibilité de transmettre les magnifiques odeurs de vos plats à travers une visite virtuelle ?\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("3845", "2279", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3848", "2481", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3849", "2481", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3850", "2481", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3851", "2481", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3852", "2481", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3853", "2481", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3854", "2481", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3855", "2481", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3856", "2481", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3857", "2481", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3858", "2481", "_metaseo_metatitle", "16 idées marketing pour développer votre restaurant via internet.");
INSERT INTO `wp_postmeta` VALUES("3859", "2481", "_yoast_wpseo_title", "16 idées marketing pour développer votre restaurant via internet.");
INSERT INTO `wp_postmeta` VALUES("3860", "2481", "_metaseo_metadesc", "16 idées marketing pour développer votre restaurant via internet.");
INSERT INTO `wp_postmeta` VALUES("3861", "2481", "_yoast_wpseo_metadesc", "16 idées marketing pour développer votre restaurant via internet.");
INSERT INTO `wp_postmeta` VALUES("3862", "2481", "_metaseo_metakeywords", "marketing pour restaurant");
INSERT INTO `wp_postmeta` VALUES("3863", "2481", "_thumbnail_id", "12411");
INSERT INTO `wp_postmeta` VALUES("3864", "2481", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">La concurrence entre les restaurants est féroce et vous devez tout donner pour réussir. Nous vous aidons avec 16 idées et stratégies marketing pour les restaurants qui promettent de vous aider à améliorer votre entreprise et à attirer l’attention de tous vos clients !</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">1. Photos gourmandes<br />\nSi vous vous êtes déjà connecté à Instagram, vous comprendrez que la pornographie alimentaire est bien vivante.</p>\n<p>Sans aucun doute, la meilleure façon de promouvoir votre restaurant en ligne consiste à utiliser des photos de qualité supérieure. Le contenu visuel est en forte demande en ligne ces jours-ci, et il est essentiel d&#8217;avoir de délicieuses photos sur votre site Web et sur divers médias sociaux pour attirer des yeux affamés.</p>\n<p>Envisagez de faire appel à un professionnel pour prendre des photos de qualité supérieure ou essayez-le avec votre smartphone. Soyez averti cependant: prendre de très bonnes photos de vos plats peut être plus difficile qu&#8217;il n&#8217;y paraît, car l&#8217;éclairage est souvent un facteur clé !</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_3  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">2. Avoir un site internet élégant et fonctionnel<br />\nLes utilisateurs aiment faire des recherches en ligne avant de commander ou de visiter votre restaurant. Ne laissez pas les utilisateurs se débrouiller pour trouver votre menu, pour cela vous devez vous assurer que votre menu publié sur votre site Web soit toujours à jour, car c’est souvent la première information que les utilisateurs recherchent lors de la visite de votre site (avec les heures, l’emplacement et les informations de contact). De nos jours, les clients cherche un accès à votre menu en ligne, sinon ils vont simplement chercher ailleurs.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_4  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">3. Annuaires de restaurant.<br />\nYelp et tripadvisor ont un énorme pouvoir dans le secteur de la restauration, et avoir un fort soutien des critiques positives de ces sites, c&#8217;est comme avoir un troupeau d&#8217;oies dorées &#8211; les critiques de Yelp et Tripadvisor peuvent faire des merveilles pour votre entreprise. La chose la plus importante à comprendre au sujet de ces sites c’est que les consommateurs peuvent et vont vous examiner. Pour cette raison, en tant que propriétaire de restaurant, vous devez absolument être proactif et habiller votre compte Yelp pour que cela fonctionne pour vous plutôt que contre vous.</p>\n<p>Cela signifie ajouter autant de détails que possible, tels que:</p>\n<p>Des photos de vos établissement, plats, équipe&#8230;<br />\nVos heures d&#8217;ouverture<br />\nFourchette de prix<br />\nVotre adresse<br />\nWi-Fi / sièges extérieurs / parking / etc.</p>\n<p>Faites de votre mieux pour ajouter autant de détails que possible.</p>\n<p>L’autre facteur important à prendre en compte concernant Yelp et TripAdvisor est la manière dont vous gérez les commentaires. Il est bon de remercier les clients pour leur avis, qu’il soit positif ou négatif. Si vous recevez des commentaires négatifs, répondez toujours de manière professionnelle et polie.</p>\n<p>Si vous répondez publiquement à l’évaluation négative, remerciez le client pour ses commentaires, présentez vos excuses pour l’incident et promettez de vous améliorer à l’avenir. Vous pouvez également envisager de contacter le réviseur en privé pour plus d&#8217;informations sur les incidents négatifs.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_5  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">4. Outils de réservation en ligne<br />\nLes clients adorent quand vous leur rendez la vie un peu plus facile pour cela proposez leurs la réservation en ligne via votre site internet et les annuaires tel que la fourchette… Cela augmente en moyenne 15 à 20 % le taux de remplissage de votre salle.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_6  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">5. Configurez votre compte Google+<br />\nLa configuration du compte Google+ de votre restaurant est tout aussi importante que la configuration de votre compte Yelp. Voici pourquoi:</p>\n<p>Lorsque vous recherchez une entreprise dans Google, le graphique de connaissances de Google fournit les détails de l’entreprise dans la barre latérale. Le Knowledge Graph de Google rassemble une grande partie de ses informations sur Google+, donc configurer votre entreprise sur Google+ est un énorme avantage, car le fait d’avoir votre restaurant via le Knowledge Graph de Google vous permet d’obtenir davantage de recherches de qualité (gratuitement)!</p>\n<p>Encouragez également les visiteurs à vous consulter sur Google+, car Knowledge Graph aime regrouper les avis d&#8217;utilisateurs Google.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_7  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">6. Annonces géo-ciblées<br />\nPour la plupart des restaurants, le local est le nom du jeu. La plupart des gens recherchent de bonnes adresse près de chez eux et vous tirerez le meilleur parti de vos efforts de marketing en ligne en investissant principalement dans des publicités ciblées géographiquement. Les annonces ciblées géographiquement vous permettent de réaliser des économies, en veillant à ce que seuls les utilisateurs de certaines villes ou dans un rayon spécifique voient vos annonces (en éliminant les clics non pertinents, qui peuvent vous coûter beaucoup d’argent).</p>\n<p>De nombreux services de publicité en ligne, des annonces Google Adwords (anciennement Google AdWords) à Facebook et Twitter, offrent des options de ciblage géographique (sans frais supplémentaires). Assurez-vous de tirer parti de ces fonctionnalités de ciblage pratiques pour diffuser vos meilleures annonces auprès de vos meilleurs clients.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_8  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">7. Soyez un Insta-Food<br />\nAvoir une forte présence sur Instagram est une autre astuce marketing semi-évidente (mais trop importante à ignorer). Utilisez Instagram pour promouvoir le meilleur contenu visuel de votre restaurant.</p>\n<p>Montrez votre cuisine, rapprochez-vous de vos plats préférés et utilisez cette scène principale des médias sociaux pour vous familiariser avec votre identité de marque. Assurez-vous également de placer des hashtags tels que #food ou #foodstagram ou que vous inventiez les vôtres, les hashtags sont un excellent moyen de vous amuser avec les fans.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_9  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">8. Envoyer des Newsletter<br />\nRappelez-vous que la newsletter de votre restaurant n’a pas besoin d’être hebdomadaire. En fait, les utilisateurs apprécieront probablement une boîte aux lettres moins inondée si vous leur envoyez simplement une newsletter tous les mois.</p>\n<p>Utilisez votre newsletter comme une chance de célébrer votre succès, de discuter de nouveaux éléments de menu ou de partager des réductions spéciales.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_10  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">9. Promouvoir le contenu généré par les fans<br />\nLe contenu généré par l&#8217;utilisateur (surnommé CGU avec amour) est un excellent moyen de développer un engagement personnel et intime avec les utilisateurs. Organisez un concours photo en demandant aux clients de partager leur repas préféré dans votre établissement et partagez les entrées sur une page de contenu dédiée (et / ou partagez des soumissions sur vos différents réseaux sociaux). Pensez à récompenser des candidats chanceux au hasard avec un apéritif gratuit ou un autre prix !</p>\n<p>&nbsp;</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_11  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">10. Montrez votre personnel !<br />\nÀ l&#8217;ère des représentants du service à la clientèle robotiques et bientôt des voitures autonomes, l&#8217;élément humain fait cruellement défaut. Montrez votre personnel en train de faire ce qu&#8217;il fait de mieux! Voir des employés heureux et souriants fait des merveilles pour votre réputation, car les clients désirent ardemment être servis par des travailleurs joyeux.</p></div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_12  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">11. Surveillez votre présence sur les médias sociaux<br />\nLes stratégies de marketing des réseaux sociaux sont une force indéniable dans le monde d’aujourd’hui. Les brochures et les menus de livraison passés sous les portes ne suffiront plus.</p>\n<p>Souvent, les restaurants ayant une forte présence dans les médias sociaux dans le cadre de leur plan marketing sont ceux qui réussissent le mieux, et dans l&#8217;industrie alimentaire compétitive, ignorer les médias sociaux est une condamnation à mort.</p>\n<p>Bien sûr, vous voudrez créer une page professionnelle Facebook et Instagram pour partager des réductions spéciales, des coupons exclusifs, des photos de vos nouveaux plats et promouvoir vos propres nouvelles. Mais la mise en place de vos comptes n’est que la moitié du travail &#8211; il est également essentiel que vous suiviez l’activité sur vos réseaux sociaux.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_13  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">12. Configurer les alertes Google<br />\nLes alertes Google vous avertissent lorsque le nom de votre entreprise (ou un autre terme associé à un mot clé) apparaît dans un nouveau contenu sur le Web! Cela permet de garder un œil sur qui parle de vous et de vos éloges. Un bon moyen de surveiller votre e-reputation !</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_14  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">13. Démarrer un blog<br />\nLancer votre propre blog est un excellent moyen de créer une communauté et de dialoguer avec vos clients. Les blogs offrent la possibilité d’expérimenter la voix et la personnalité de votre restaurant. Partagez vos succès et vos difficultés, vos histoires drôles, vos recettes et tout ce qui pourrait intéresser vos clients.</p>\n<p>Un blog peut être un énorme projet, mais ce n’est pas obligatoire. Gardez votre blog aussi simple ou complexe que vous le souhaitez. Vous n’avez pas à poster constamment, mais il est bon d’avoir votre blog de restaurant mis en place lorsque vous avez une annonce ou des nouvelles que vous souhaitez diffuser dans le monde.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_15  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">14. Sensibilisation des blogueurs alimentaires<br />\nLorsque vous créez votre propre restaurant, il peut être difficile de générer des avis et de faire du bruit sur votre etablissement. Une excellente façon d&#8217;obtenir des critiques et des clics sur le Web est d&#8217;inviter des blogueurs alimentaires dans votre restaurant et d&#8217;envisager de leur offrir un repas ou un apéritif gratuit. Demandez poliment s&#8217;ils sont prêts à communiquer sur votre restaurant et à partager leur expérience en ligne.</p>\n<p>Vous ne pouvez pas demander carrément une évaluation positive, car ce serait malhonnête, mais il est bon de leur demander simplement une évaluation objective des restaurants. Certains blogueurs peuvent décliner votre offre, mais plus vous demandez, plus vous avez de chances d&#8217;obtenir des retours positifs et de susciter plus d&#8217;intérêt en ligne.</p>\n<p>Certains blogueurs alimentaires ont de gros suivis, et attirer leur attention peut avoir une grande influence sur votre restaurant. Même un seul compte-rendu ou une mention d&#8217;un grand gourmand peut être un énorme avantage pour la promotion des restaurants.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_16  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">15. Vérifiez les informations de votre restaurant en ligne<br />\nLes clients aiment faire des recherches en ligne &#8211; en fait, 89% des consommateurs font des recherches sur un restaurant en ligne avant de dîner. C’est pourquoi il est primordial que tous les détails de votre restaurant soient en ligne et à jour, y compris l’adresse, le numéro de téléphone, le site internet, les heures, votre menu actuel, etc&#8230;</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_17  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">16. Développer l&#8217;identité de marque de votre restaurant<br />\nLa création de l’identité de marque de votre restaurant peut avoir une grande incidence sur votre performance sur les réseaux sociaux. Votre objectif devrait être de construire l’identité de votre restaurant autour de vos clients cibles.</p>\n<p>Votre nourriture cible-t-elle les clients qui préfèrent une alimentation saine? Ou votre restaurant a-t-il une ambiance plus de bière et d’ailes? Comprenez qui sont vos clients cibles, puis construisez votre marque autour de ce qui les intéresse. Reflétez ces intérêts sur vos plateformes de médias sociaux et dans votre matériel promotionnel.</div>\n			</div>\n			</div>\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("3865", "2481", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("3866", "2481", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"2481\" /]");
INSERT INTO `wp_postmeta` VALUES("3867", "2481", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("3868", "2481", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("3869", "2481", "_et_pb_truncate_post_date", "2022-03-30 02:13:44");
INSERT INTO `wp_postmeta` VALUES("3870", "2481", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3871", "2481", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3872", "2481", "wp_metaseo_seoscore", "58");
INSERT INTO `wp_postmeta` VALUES("3873", "2481", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3874", "2481", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("3877", "2626", "_thumbnail_id", "12403");
INSERT INTO `wp_postmeta` VALUES("3878", "2626", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3879", "2626", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3880", "2626", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3881", "2626", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3882", "2626", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3883", "2626", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3884", "2626", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3885", "2626", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3886", "2626", "_et_builder_version", "BB|Divi|3.13.1");
INSERT INTO `wp_postmeta` VALUES("3887", "2626", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3888", "2626", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("3889", "2626", "_metaseo_metatitle", "S’équiper pour la vente à emporter et la livraison");
INSERT INTO `wp_postmeta` VALUES("3890", "2626", "_yoast_wpseo_title", "S’équiper pour la vente à emporter et la livraison");
INSERT INTO `wp_postmeta` VALUES("3891", "2626", "_metaseo_metadesc", "S’équiper pour la vente à emporter et la livraison");
INSERT INTO `wp_postmeta` VALUES("3892", "2626", "_yoast_wpseo_metadesc", "S’équiper pour la vente à emporter et la livraison");
INSERT INTO `wp_postmeta` VALUES("3893", "2626", "_metaseo_metakeywords", "livraison de plats à domicile, ");
INSERT INTO `wp_postmeta` VALUES("3894", "2626", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\">\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_5\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_7    et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_3 et_pb_bg_layout_light  et_pb_text_align_left\">\n				\n				\n				<div class=\"et_pb_text_inner\">\n					S’équiper pour la vente à emporter et la livraison ?<br />\nIl y a seulement 3 ans, la France voyait naitre des startups de livraison de repas à domicile. Depuis, de nombreux acteurs se sont eux aussi lancés sur le marché : Uber Eats, Foodora, Just Eat, et d’autre s’y sont cassé les dents, comme Take It Easy. Mais aujourd’hui le marché connait une croissance impressionnante (+ 500 % en 2017) et de plus en plus de restaurants se laissent tenter par l’expérience. Notre partenaire Finarome nous explique aujourd’hui comment s’équiper pour démarrer.<br />\nPourquoi choisir la livraison de repas à domicile ?<br />\nLa principale raison étant que cela vous rapportera des clients sans encombrer votre salle de restaurant. Vous pourrez donc augmenter votre chiffre d’affaire sans avoir besoin d’agrandir vos locaux ou d’élargir vos horaires d’ouverture.</p>\n<p>Si vous disposez de vos propres livreurs, vous pouvez choisir des plateformes comme Just Eat. Si vous n’en avez pas, choisissez les autres plateformes : Deliveroo, Uber Eats… qui vous fournissent leurs propres livreurs à vélo. Vous n’avez donc pas besoin d’embaucher de nouveaux employés pour passer à la livraison à domicile !<br />\nComment vous équiper pour la livraison ?<br />\nSi vous avez vos propres livreurs, il vous faudra des contenants pour maintenir vos plats au chaud avant qu’ils n’arrivent chez le client. Il existe de nombreux modèles de thermobox et sacs isothermes, vous pourrez faire votre choix en fonction de vos contraintes : vélo ou scooter, taille pizza ou autre…</p>\n<p>Si vous déléguez la livraison, il faudra tout de même avoir des emballages à usage unique pour vos produits. Des pailles pour les boissons, des barquettes en aluminium pour les plats, des boites à hamburger, des barquettes de frite, des cartons à pizza… Attention de bien penser à être en mesure d’emballer tous les produits que vous proposez à la vente.</p>\n<p>Vous voilà maintenant prêt à vous lancer sur ce nouveau marché, plein d’opportunités. De plus, vous équiper de ces produits d’emballage vous permettra de proposer à vos clients des « doggy bag ». C’est-à-dire d’emporter les restes de leurs assiettes qu’ils n’ont pas terminé afin d’éviter le gaspillage alimentaire. La moyenne par client étant de 211 g, il est important de proposer cette option pour y faire face.</p>\n				</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("3895", "2626", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3898", "2634", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3899", "2634", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3900", "2634", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3901", "2634", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3902", "2634", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3903", "2634", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3904", "2634", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3905", "2634", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3906", "2634", "_et_builder_version", "BB|Divi|3.26.7");
INSERT INTO `wp_postmeta` VALUES("3907", "2634", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3908", "2634", "_metaseo_metatitle", "Micro-influenceurs Instagram source de trafic dans les restaurants ");
INSERT INTO `wp_postmeta` VALUES("3909", "2634", "_yoast_wpseo_title", "Micro-influenceurs Instagram source de trafic dans les restaurants ");
INSERT INTO `wp_postmeta` VALUES("3910", "2634", "_metaseo_metadesc", "Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?");
INSERT INTO `wp_postmeta` VALUES("3911", "2634", "_yoast_wpseo_metadesc", "Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?");
INSERT INTO `wp_postmeta` VALUES("3912", "2634", "_metaseo_metakeywords", "Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?");
INSERT INTO `wp_postmeta` VALUES("3913", "2634", "_thumbnail_id", "12396");
INSERT INTO `wp_postmeta` VALUES("3914", "2634", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Un micro-influenceur c’est quoi ?<br />\nA l’inverse des grands influenceurs et des célébrités disposant de plus de cent mille voir de millions de followers, les micro-influenceurs sont des leaders d’opinion suivis par des petits groupes d’abonnés qui plus sont généralement plus fidèles et engagés. Tandis que les célébrités ont une portée plus large, les micro-influenceurs peuvent marquer des points pour leur authenticité et leur proximité. </p>\n<p>Kook agency peut assurer vos campagnes d’influencement via sont réseaux de micro-influenceurs.<br />\nLes avantages de faire appel à des micro-influenceurs ?<br />\nLes micro-influenceurs représentent aussi de nombreux avantages pour votre restaurant, peut coûteux, ils vous permettent d’accroître rapidement votre nombre de followers. Partons à la découverte des ces micro-influenceurs et des principales raisons de collaborer avec eux.</p>\n<p> 	Taille de communauté  : Les micro-influenceurs possèdent généralement moins de 30 000 abonnés sur Instagram. Bien que ce chiffre ne soit pas officiel, il donne une bonne indication sur le seuil d’abonnés qui les différencie du macro-influenceurs.</p>\n<p> 	Audience : Les micro-influenceurs sont souvent spécialisés voire experts dans un domaine d’activité comme la restauration, les micro-influenceur n’ont souvent que peu de difficultés à promouvoir un établissement ou une cuisine qui s’y rapporte grâce aux affinités qu’ils peuvent naturellement avoir avec eux. </p>\n<p> 	Risques : Tous les influenceurs sont susceptibles de recourir à des techniques de « fake followers »autrement dit des « faux comptes d’abonnés »</p>\n<p> 	Engagement : Les taux d’engagement sur les publications des micro-influenceurs sont en moyenne plus élevés que ceux des macro-influenceurs. Cela s’explique car leur audience concentre uniquement des internautes intéressés voire passionnés par la restauration mais bien souvent au niveau international.</p>\n<p> 	Coût : Les micro-influenceurs sont souvent à la recherche de petites compensations financières ou alors par le biais d&#8217;un  repas offert contre une centaine de followers sur votre compte Instagram.</p>\n<p> 	Valeurs : Un micro-influenceur se veut également très proche de sa communauté. Celle-ci n’étant pas excessivement grande, ils prennent généralement le temps d’interagir avec leurs abonnés. C’est pourquoi ils sont souvent perçus comme plus accessibles et plus authentiques, ce qui dégage une image positive.</p>\n<p>Exemple de post de micro-influenceurs pour les restaurateurs</div>\n			</div>\n			</div>\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"> 	Avec @foodeaseparis (20 505 abonnées)</p></div>\n			</div>\n			</div>\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_3\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_3  et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_0\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_11_58_10_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vidéos_Instagram.png\" alt=\"\" title=\"\" /></span>\n			</div>\n			</div><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_4  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_1\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_11_57_24_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vidéos_Instagram.png\" alt=\"\" title=\"\" /></span>\n			</div>\n			</div>\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_4\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_5  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_3  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"> 	Avec @thefoodparisian (11 407 abonnés)</p></div>\n			</div>\n			</div>\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_5\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_6  et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_2\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_12_02_30_thefoodparisian_Photos_et_vidéos_Instagram.png\" alt=\"\" title=\"\" /></span>\n			</div>\n			</div><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_7  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_image et_pb_image_3\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_12_06_36_thefoodparisian_Photos_et_vidéos_Instagram.png\" alt=\"\" title=\"\" /></span>\n			</div>\n			</div>\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("3915", "2634", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("3916", "2634", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("3917", "2634", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"2634\" /]");
INSERT INTO `wp_postmeta` VALUES("3918", "2634", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("3919", "2634", "_et_pb_truncate_post_date", "2022-03-30 22:48:44");
INSERT INTO `wp_postmeta` VALUES("3920", "2634", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3921", "2634", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3922", "2634", "wp_metaseo_seoscore", "86");
INSERT INTO `wp_postmeta` VALUES("3923", "2634", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3924", "2634", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("3927", "3001", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3928", "3001", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3929", "3001", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3930", "3001", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3931", "3001", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3932", "3001", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3933", "3001", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3934", "3001", "_et_builder_version", "BB|Divi|3.26.7");
INSERT INTO `wp_postmeta` VALUES("3935", "3001", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3936", "3001", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n				\n				\n				<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">Trouver avec des idées uniques de publication Facebook pour les restaurants peut être une tâche ardue. Amener les abonnés Facebook de votre restaurant à participer à ces publications peut être encore plus difficile de nos jours. Cependant, il est plus important que jamais.<br />\nLes flux de nouvelles sont submergés de nouveaux contenus chaque seconde.<br />\nAlors, comment pouvez-vous voir les publications Facebook de votre restaurant vues par vos clients? Deux manières simples. Vous pouvez soit acheter des publicités, soit créer un contenu que vos clients aiment et avec qui il s’engage réellement.<br />\nPlus votre message est engagé, plus il sera vu. Le fait de voir vos publications Facebook plus souvent signifie davantage de clients dans votre restaurant .<br />\nVoici 15 idées de publication Facebook pour les restaurants que vous pouvez utiliser pour augmenter l’engagement de vos publications.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">PUBLIER DES IDÉES QUI AIDERONT À AUGMENTER L&#8217;ENGAGEMENT SUR VOTRE PAGE FACEBOOK POUR VOTRE RESTAURANT</div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_3  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">1. PUBLIEZ AU BON MOMENT.<br />\nPublier au bon moment de la journée peut faire une grande différence en ce qui concerne le nombre de personnes qui voient et cliquent sur ce que vous partagez.<br />\nSelon cette infographie , les messages postés entre 13h et 16h génèrent le clic moyen le plus élevé. Le meilleur jour de la semaine pour poster est le mercredi, plus précisément à 15 heures, tandis que le pire moment se situe le week-end avant 8 heures et après 20 heures.<br />\nLes jours de semaine, les gens travaillent souvent le matin mais sont plus susceptibles de s&#8217;ennuyer et de regarder leur Facebook l&#8217;après-midi. C&#8217;est pourquoi il est logique de poster entre 13 h et 16 h, parfois entre le déjeuner et leur retour à la maison.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_4  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">2. RACONTEZ DES HISTOIRES PERSONNELLESRaconter des histoires fonctionne très bien parce que les gens peuvent souvent les comprendre et les connecter à un niveau plus personnel. Gardez un œil attentif chaque fois que quelque chose d’amusant ou de bizarre se produit au restaurant et assurez-vous de prendre une photo. Partager ces histoires pourrait être vos publications les plus engagées.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_5  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">3. PARTAGEZ VOS RECETTESLes gens aiment les recettes. Ils aiment aussi les partager avec leurs amis. Il y a de fortes chances que lorsque vous parcourez Facebook, vous en rencontriez plusieurs, probablement de Tasty . Après tout, ils ont plus de 85 millions de &#8220;j&#8217;aime&#8221; sur leur page. Les idées de publication sur les restaurants de Facebook sont difficiles à engager, mais les vidéos fonctionnent presque toujours. Créez une vidéo ou même simplement un article de blog avec l&#8217;une de vos recettes et partagez-la sur Facebook et sur d&#8217;autres canaux de médias sociaux. Jetez un coup d&#8217;œil à ce que Tasty fait bien dans leurs messages et essayez de vous en inspirer.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_6  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">4. PARTAGER LES AVISChaque restaurant dit qu&#8217;il sert la meilleure nourriture que vous puissiez essayer. Mais combien de personnes vont croire cela quand ça vient du propriétaire ou du chef? Ils seraient beaucoup plus intéressés à voir ce que les autres clients ou les critiques gastronomiques avaient à dire. Recherchez les commentaires positifs de votre restaurant sur Facebook, Yelp, TripAdvisor et partout où votre restaurant est répertorié en ligne . Partagez les meilleurs de Facebook avec une capture d&#8217;écran et un lien direct vers la critique. Remerciez le client qui a posté la critique et offrez-lui un dessert gratuit la prochaine fois qu&#8217;il dîne dans votre restaurant. Assurez-vous également de créer un post chaque fois que votre restaurant est examiné par un critique gastronomique de votre journal local ou en ligne.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_7  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">5. OFFRES EXCLUSIVESFacebook est un excellent endroit pour publier une offre exclusive. Proposez une offre à vos clients s&#8217;ils aiment votre page et partagez cette offre avec leurs amis. Utilisez une application de coupons Facebook pour créer facilement des coupons et suivre l&#8217;évolution de vos offres. C&#8217;est peut-être l&#8217;une des idées de publication sur Facebook de votre restaurant le plus réussi de tous les temps.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_8  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">6. ALLER DANS LES COULISSESLaissez vos clients voir ce qui se passe dans les coulisses de votre restaurant. Donnez-leur un aperçu de la façon dont leur nourriture est préparée dans la cuisine, comment vous connectez avec les agriculteurs locaux pour trouver vos ingrédients et de toute autre chose intéressante dans votre restaurant que les clients n&#8217;auraient pas expérimentée. Semblable au partage d’histoires personnelles, les clients apprécieront votre ouverture et pourront vous rapprocher de manière plus personnelle.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_9  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">7. POSTE EN FONCTION DE LA MÉTÉOÊtre à jour est important, et cela inclut le temps qu&#8217;il fait dehors. S&#8217;il fait chaud dehors, pourquoi ne pas annoncer de la bière froide. S&#8217;il fait froid, invitez des personnes à l&#8217;intérieur pour un bol de soupe ou une tasse de café. N&#8217;oubliez pas d&#8217;utiliser des photos autant que possible. Laissez la bière froide ou le café chaud parler pour vous.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_10  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">8. DEMANDER L’AVIS DES CLIENTSQuel meilleur moyen d&#8217;inciter les clients à interagir et à dialoguer avec vous sur Facebook que de leur poser des questions pour obtenir leur avis?Posez des questions sur votre menu, en particulier sur ce qu’ils aimeraient y voir, ainsi que sur les événements à venir qu’ils voudront peut-être regarder ou célébrer dans votre restaurant.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_11  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">9. PUBLIER DES VIDÉOSPlus de 100 millions d&#8217;heures de vidéo sont visionnées chaque jour sur Facebook. C&#8217;est l&#8217;une des formes les plus populaires sur le contenu aujourd&#8217;hui. Et encore mieux, les gens adorent utiliser des vidéos et les partager avec leurs amis.Créez des vidéos dans votre restaurant pour montrer votre menu, des événements musicaux en direct, comment créer certaines recettes, un look dans les coulisses ou tout simplement quelque chose d&#8217;amusant à partager avec vos clients.Soyez créatif et amusez-vous avec!</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_12  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">10. LANCER UN CONCOURS DE PHOTOSNous avons expliqué à quel point le partage du contenu client peut être bénéfique. Cependant, que se passe-t-il si peu de personnes postent au sujet de votre restaurant?Organisez un concours de photos afin de persuader les gens de partager les photos de votre restaurant avec leurs amis.Demandez aux gens de partager une photo de leur repas dans votre restaurant sur Facebook. La photo la plus appréciée donnera au gagnant un apéritif, un dessert ou un repas lors de sa prochaine visite au restaurant.Vous pouvez également poster votre propre photo et donner aux gens une chance de gagner un prix en l&#8217;aimant, en le partageant et en le commentant. Chaque fiançailles leur procure un billet pour un tirage au sort pour un prix de votre choix.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_13  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">11. BIOGRAPHIE DU PERSONNELCréez de temps en temps un message pour permettre aux clients de connaître votre personnel. Donnez une image d’eux dans votre restaurant et partagez leur plat préféré, comment ils ont commencé à l’école, où ils sont allés à l’école, leurs passe-temps et tout ce qui pourrait intéresser les gens.Cela permet non seulement aux clients de nouer des contacts personnels avec votre restaurant, mais aussi de publier un message qui suscite beaucoup d’engagement. Vos collaborateurs sont susceptibles de commenter l&#8217;article et de le partager avec leurs amis.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_14  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">12. PARTAGER LE CONTENU DU CLIENTLe bouche à oreille reste l&#8217;une des meilleures formes de publicité. Aujourd&#8217;hui, le bouche à oreille peut prendre de nombreuses formes différentes. Les gens postent souvent sur leur expérience dans leur restaurant préféré sur Facebook pour la partager avec leurs amis.Utilisez ces expériences positives que les gens publient à votre avantage. Partagez les meilleurs contenus que les gens publient sur votre restaurant. Cela donne aux autres clients une perspective différente de votre restaurant et il pourrait être plus efficace de les convaincre de dîner sur place.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_15  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">13. PUBLICATION DE SUJETS ET TENDANCES D&#8217;ACTUALITÉVos publications sont plus susceptibles d&#8217;être vues et consultées sur Facebook si elles traitent de sujets d&#8217;actualité. Recherche ce qui est déjà tendance sur Facebook dans ou dans les nouvelles locales.Essayez de baser votre message sur un événement d&#8217;actualité qui se produit ce jour-là, par exemple un événement sportif, et encouragez vos fans sur Facebook à interagir avec vous.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_16  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">14. PROMOUVOIR VOS ÉVÉNEMENTSSi vous investissez beaucoup de temps et d&#8217;argent dans l&#8217; organisation d&#8217;événements dans votre restaurant , vous devriez en faire la promotion sur Facebook.Ne vous contentez pas d’un poste régulier pour promouvoir votre événement. Utilisez l&#8217;onglet Evénements de votre page Facebook pour créer un événement . L&#8217;un des avantages de la création d&#8217;événements sur Facebook est que vous pouvez inviter des invités. Vos fans Facebook seront informés et ils pourront choisir s&#8217;ils participent ou non à l&#8217;événement. S&#8217;ils choisissent d&#8217;assister à votre événement, le message sera de plus en plus accessible, car leurs amis le verront peut-être aussi et seront plus enclins à y aller.Bien que vous ne souhaitiez généralement pas dépenser de l&#8217;argent en publicités sur Facebook, il pourrait être intéressant de relancer un événement après. La publicité des idées de publication Facebook de votre restaurant les aidera à accroître leur portée, leur engagement et à attirer plus de clients dans votre restaurant.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_17  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">15. PRISE DE CONTRÔLE DE FACEBOOKSi les gens n&#8217;interagissent pas avec vos publications, votre contenu pourrait devenir obsolète. Avoir une nouvelle prise en charge de votre compte pour la journée pour rafraîchir les choses.Demandez à un membre de votre personnel, à un blogueur spécialisé dans l’alimentation, à un agriculteur local ou même à une célébrité locale de s&#8217;emparer de votre compte Facebook et de publier de son point de vue. Donnez-leur la liberté, avec quelques règles, d&#8217;afficher tout ce qu&#8217;ils trouvent intéressant. Vos clients apprécieront la nouvelle approche de votre style de médias sociaux.Ce ne sont là que quelques idées de publication sur Facebook de restaurants que vous pouvez essayer sur la page de votre restaurant. Continuez à essayer de nouvelles choses et voyez ce qui fonctionne avec votre public.Si vous avez du mal à trouver de nouvelles idées de publication dans les restaurants sur Facebook pour inciter les gens à s’engager, voyez ce que vos concurrents font qui fonctionne bien et essayez de le reproduire. N&#8217;oubliez pas de garder votre propre style et surtout ne le prenez pas trop au sérieux. Amusez-vous avec votre publication sur Facebook et vos clients le seront également.A vous de jouer ou confiez-nous cela en savoir plus!</div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("3937", "3001", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("3938", "3001", "_metaseo_metadesc", "15 idées de posts pour animer la page Facebook de son restaurant");
INSERT INTO `wp_postmeta` VALUES("3939", "3001", "_yoast_wpseo_metadesc", "15 idées de posts pour animer la page Facebook de son restaurant");
INSERT INTO `wp_postmeta` VALUES("3940", "3001", "_metaseo_metakeywords", "idées - posts - page - Facebook - restaurant");
INSERT INTO `wp_postmeta` VALUES("3941", "3001", "_thumbnail_id", "12389");
INSERT INTO `wp_postmeta` VALUES("3942", "3001", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("3943", "3001", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"3001\" /]");
INSERT INTO `wp_postmeta` VALUES("3944", "3001", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("3945", "3001", "_et_pb_truncate_post_date", "2023-05-24 21:40:32");
INSERT INTO `wp_postmeta` VALUES("3946", "3001", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3947", "3001", "wp_metaseo_seoscore", "86");
INSERT INTO `wp_postmeta` VALUES("3948", "3001", "et_enqueued_post_fonts", "a:3:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}s:9:\"cache_key\";s:72:\"{\"gph\":-1,\"divi\":\"4.21.0\",\"wp\":\"6.2.2\",\"enable_all_character_sets\":\"on\"}\";}");
INSERT INTO `wp_postmeta` VALUES("3951", "3174", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3952", "3174", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3953", "3174", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3954", "3174", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3955", "3174", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3956", "3174", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3957", "3174", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3958", "3174", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3959", "3174", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3960", "3174", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3961", "3174", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Traditionnellement, l’essentiel de l’activité de la restauration s’effectue en salle de restauration, canal principal de consommation, lieux de vie et source d’expériences. Ces dernières années ont cependant assisté à l’essor de deux nouveaux canaux de vente : la livraison et le click-and-collect. Aujourd’hui d’autant plus, ces deux solutions ont les arguments et permettent au secteur de se réinventer. Pour cause, elles ont l’avantage d’avoir les réponses aux diverses problématiques imposées par la crise sanitaire. Elles permettent en effet aux restaurateurs de bénéficier d’un relai d’activité et d’un levier de chiffre d’affaires. Si du côté de l’offre, les restaurateurs se sont impatienté de voir leur point de vente rouvrir, du côté des consommateurs, ces deux solutions ont aussi de quoi les satisfaire à court comme à long termes.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">L&#8217;importance du Click-and-Collect dans votre restaurant ?<br />\nDans le secteur de la restauration, le click-and-collect s’apparente à la vente à emporter (VAE). La différence réside dans le canal de prise de commande. Le click-and-collect permet aux consommateurs de passer commande directement depuis leur mobile, tablette ou ordinateur, libérant de ce fait un temps précieux aux restaurateurs. L’intérêt et les bénéfices de cette solution sont multiples, à la fois pour les restaurateurs et les consommateurs. Adapté aux nouvelles habitudes de consommation qui découlent de l’essor massif du digital, le click-and-collect répond précisément aux attentes des consommateurs : un gain de temps lors du parcours d’achat (notamment la suppression de l’attente, connue comme un irritant majeur), une souplesse lors de la découverte des produits et du temps pour le processus de sélection.<br />\nDe plus, le click-and-collect répond aux exigences du commerce ATWAD, à savoir la liberté de pouvoir passer commande quand les consommateurs le veulent, où ils le veulent et depuis n’importe quel terminal (AnyTime, AnyWhere, Any Device). En offrant un parcours de consommation omni-canal, les restaurateurs bénéficient non seulement d’un vecteur de satisfaction important, mais attirent également une nouvelle cible de clientèle. Les 18-24 ans sont notamment les plus grands consommateurs hors domicile.<br />\nCes nouveaux canaux de consommation ne sont en aucun cas concurrent des salles de restaurations, ils viennent surtout apporter une réponse aux évolutions sociétales en cours. Le click-and-collect utilisent justement le digital afin de driver du trafic en point de vente. L’alliance du digital et du physique multiplie ainsi les points de rencontre formant l’expérience client au sens large : expérience et interface utilisateur, expérience de prise de commande, expérience du point de vente et du relationnel, et enfin l’expérience de consommation.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_3  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Ce soir, c’est à domicile.<br />\n​En ce qui concerne le troisième canal de vente du secteur, la livraison a le vent en poupe depuis plusieurs années maintenant. C’est notamment le cas suite à l’avènement des agrégateurs de livraisons qui ont démocratisé ces pratiques, mais également car les solutions de livraisons proposées par les géants du numériques sont de plus en plus flexibles, instantanées et en phases avec les attentes des consommateurs. Ces nouvelles pratiquent impactent alors tous les secteurs, mais créent surtout chez les consommateurs un désir d’être servis à domicile. En répondant à ce désir, les restaurateurs s’offrent alors l’opportunité de satisfaire et fidéliser leurs clients, augmentant ainsi leurs commandes, leurs flux et leur chiffre d’affaires. De plus, les solutions digitales de livraison – et de click-and-collet – ont aussi l’avantage de permettre aux restaurateurs de développer une base de données client. Grâce à ces informations, les gérants d’un établissent bénéficient d’un regard à 360 degré sur la composition de leur clientèle, leurs habitudes et comportement de consommations. Les tableaux de bord permettent notamment d’analyser ces données, d’orienter l’activité et de mettre en place des opérations commerciale et de fidélité plus facilement.<br />\nLes français consomment de plus en plus à domicile. La fréquence de cette pratique se développe jusqu’à devenir une habitude. Dans une optique de fidélisation et d’attraction, la livraison se positionne ainsi comme un allié incontournable pour les restaurateurs. Un service de livraison permet de conserver sa clientèle et d’éviter que celle-ci fasse appel aux services concurrentiels, mais permet aussi d’augmenter ses revenus et son parc client. Salons, salles à manger, balcons, terrasses, cuisines, canapés, tous se trouvent alors transformés en salle de restaurant où l’expérience ne peut qu’être satisfaisante. Face à ce constat, nous offrons aux restaurants les moyens les plus adaptés pour se positionner sur ce marché. Restauration traditionnelle ou rapide, franchisée ou indépendante, Kook Agency permet à ses clients d’atteindre leurs objectifs de croissance grâce à un accompagnement stratégique et marketing de leur activité. Disposant également des outils les plus performants, adaptés à leur image et à leur clientèle, les restaurateurs prennent alors le contrôle de leur activité, leurs commandes, leurs livraisons et leur marketing. Kook Agency se présente alors comme la meilleure opportunité de croissance pour les restaurateurs désireux d’augmenter leur chiffre d’affaires.</div>\n			</div>\n			</div>\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("3962", "3174", "_et_pb_truncate_post_date", "2022-03-31 21:51:16");
INSERT INTO `wp_postmeta` VALUES("3963", "3174", "_metaseo_metatitle", "propulser son restaurant grâce au click-and-collect.");
INSERT INTO `wp_postmeta` VALUES("3964", "3174", "_yoast_wpseo_title", "propulser son restaurant grâce au click-and-collect.");
INSERT INTO `wp_postmeta` VALUES("3965", "3174", "_metaseo_metadesc", "propulser son restaurant grâce au click-and-collect. ");
INSERT INTO `wp_postmeta` VALUES("3966", "3174", "_yoast_wpseo_metadesc", "propulser son restaurant grâce au click-and-collect. ");
INSERT INTO `wp_postmeta` VALUES("3967", "3174", "_metaseo_metakeywords", "click-and-collect restaurant");
INSERT INTO `wp_postmeta` VALUES("3968", "3174", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("3969", "3174", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"3174\" /]");
INSERT INTO `wp_postmeta` VALUES("3970", "3174", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("3971", "3174", "_et_builder_version", "VB|Divi|4.4.5");
INSERT INTO `wp_postmeta` VALUES("3972", "3174", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("3973", "3174", "_wp_old_slug", "comment-propulser-son-restaurant-grace-aux-solutions-de-livraison-et-de-click-and-collect");
INSERT INTO `wp_postmeta` VALUES("3974", "3174", "_thumbnail_id", "12381");
INSERT INTO `wp_postmeta` VALUES("3975", "3174", "wp_metaseo_seoscore", "86");
INSERT INTO `wp_postmeta` VALUES("3976", "3174", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("3977", "3174", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("3980", "3492", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3981", "3492", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("3982", "3492", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3983", "3492", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("3984", "3492", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("3985", "3492", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("3986", "3492", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("3987", "3492", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("3988", "3492", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("3989", "3492", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("3990", "3492", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_2 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_6  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Depuis quelques mois, le monde de la restauration vis une crise économique forte. Le Clik&amp;Collect est devenu la manière la plus simple pour les restaurateurs de pouvoir travailler et les consommateurs adorent !</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_7  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Le click &amp; collect c’est quoi ?<br />\nLe click&amp;collect est un service proposé aux consommateurs afin qu’ils effectuent des achats et des commandent en ligne en les retirant directement en restaurant.<br />\nLes consommateurs peuvent commander en ligne via le site internet du restaurant, il est similaire au principe de la e-réservation. Les restaurateurs doivent gérer leurs commandes en temps réel.<br />\n&nbsp;</div>\n			</div><div class=\"et_pb_module et_pb_image et_pb_image_0\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img width=\"797\" height=\"519\" src=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/clickcollect-restaurant.jpg\" alt=\"\" title=\"click&amp;collect restaurant\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/clickcollect-restaurant.jpg 797w, https://www.kook-agency.fr/wp-content/uploads/2021/01/clickcollect-restaurant-480x313.jpg 480w\" sizes=\"(min-width: 0px) and (max-width: 480px) 480px, (min-width: 481px) 797px, 100vw\" class=\"wp-image-3495\" /></span>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_8  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><p>Les enseignes mettent en place des pages dédiées sur leurs sites internet afin que les consommateurs puissent faire leurs choix, les acheteurs choisissent eux même le restaurant le plus près de chez eux afin de pouvoir retirer leurs commandes.</p></div>\n			</div><div class=\"et_pb_module et_pb_image et_pb_image_1\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img loading=\"lazy\" width=\"900\" height=\"520\" src=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome.jpg\" alt=\"\" title=\"Slack agence AGENCE HASHTAG 1 nouvel élément - Google Chrome\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome.jpg 900w, https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome-480x277.jpg 480w\" sizes=\"(min-width: 0px) and (max-width: 480px) 480px, (min-width: 481px) 900px, 100vw\" class=\"wp-image-3496\" /></span>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_9  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Pour faire exister et faire vivre votre service de Click&amp;Collect il faut avoir de bon outils.<br />\n <br />\nPremièrement, il est important d’avoir un menu digital qui donne envie !<br />\n <br />\nVotre menu digital va être la vitrine de votre restaurant et il va offrir la possibilité aux consommateurs de connaitre les produits. Afin de pouvoir maximiser les chances de donner envie aux clients, il faut que les photos du menu soient qualitatives, que les descriptions des plats soient soignées en que les descriptions mettent l’accent sur les produits spéciaux utilisés.<br />\n <br />\nIl doit être bien organisé, pour que le consommateur ait une bonne expérience client, car il favorisera à l’achat de votre client. Choisissez de mettre en place un système de paiement en ligne ou non.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_10  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Communiquer sur votre nouveau service Click &amp; Collect !<br />\nAfin de pouvoir tenir au courant vos consommateurs du nouveau service, il est primordial de communiquer dessus. Mettez en avant sur vos réseaux sociaux le service click&amp;collect, partagez au maximum votre menu en ligne.</div>\n			</div><div class=\"et_pb_module et_pb_image et_pb_image_2\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img loading=\"lazy\" width=\"954\" height=\"587\" src=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome_2.jpg\" alt=\"\" title=\"Slack agence AGENCE HASHTAG 1 nouvel élément - Google Chrome_2\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome_2.jpg 954w, https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome_2-480x295.jpg 480w\" sizes=\"(min-width: 0px) and (max-width: 480px) 480px, (min-width: 481px) 954px, 100vw\" class=\"wp-image-3497\" /></span>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_11  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Vous pouvez inciter vos clients à profiter du service Click&amp;Collect en mettant en place une réduction sur votre carte !<br />\nVous pouvez par ce biais rassurer les consommateurs en faisant une piqure de rappel sur les protocoles sanitaires à suivre, principalement au niveau de la cuisine et au niveau du retrait des commandes. Mettez l’accent sur la présence de gel hydroalcoolique à l’entrée du restaurant, du sens de circulation établi ainsi que les distances de sécurité imposées soient respectées ainsi que le port du masque.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_12  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><p>Il est indispensable que les restaurants disposent d’un nombre de salariés mobilisés afin que l’expérience client reste positive. Les salariés doivent être formés afin d’utiliser les nouvelles technologies qui changent des approches clients habituels, car il est important qu’il soit pratique de pouvoir garantir une bonne expérience client afin d’inciter les</p>\n<p>clients à recommander. Le consommateur commande pour vivre l’expérience d’être servi à la maison, la qualité ne doit pas être mise à l’écart. Il faut donc investir dans des contenants de bonnes qualités afin d’éviter un goût désagréable, il faut aussi que le le contenant maintien au chaud et</p></div>\n			</div><div class=\"et_pb_module et_pb_image et_pb_image_3\">\n				\n				\n				<span class=\"et_pb_image_wrap \"><img loading=\"lazy\" width=\"901\" height=\"558\" src=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome_3.jpg\" alt=\"\" title=\"click &amp; collect fast food\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome_3.jpg 901w, https://www.kook-agency.fr/wp-content/uploads/2021/01/Slack-agence-AGENCE-HASHTAG-1-nouvel-element-Google-Chrome_3-480x297.jpg 480w\" sizes=\"(min-width: 0px) and (max-width: 480px) 480px, (min-width: 481px) 901px, 100vw\" class=\"wp-image-3498\" /></span>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_13  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Fidélisez votre clientèle !<br />\nMettez en place une carte de fidélité digitale, afin que chaque commande rapporte de points au consommateur qui bénéficiera d’un avantage la fois d’après. Le concept de la fidélisation client, est de donner l’impression aux clients qu’ils sont privilégiés. Ce principe, se développe sur les supports personnalisés avec le prénom du client, son restaurant le plus proche, ses précédentes commandes..</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_14  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Les avantages du service de Click&amp;Collect pour les consommateurs comme pour les restaurants. Le service Click&amp;Collect permet au consommateur de gagner du temps en commandant directement en ligne, il permet aussi d’économiser les frais de port en se déplaçant. Mais ce service garde tout de même le contact humain en retirant la commande en restaurant, il permet de développer la confiance des acheteurs avec qui ils peuvent échanger sur la qualité des produits.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_15  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Le service de Click&amp;Collect permet de favoriser le commerce de proximité, en consommant dans des restaurants près de chez vous.<br />\nPlusieurs outils aident à la découverte de restaurants près de chez vous, certaines communes ont développées des cartes qui permettent aux consommateurs de localiser les commerces qui pro<br />\nposent le service du Click&amp;Collect.<br />\n <br />\nCe nouveau moyen de vente est un moyen pour attirer une nouvelle clientèle et de donner de la visibilité aux restaurants. Votre présence en ligne, donne un accès plus large est à durée indéterminée. Le service de Click&amp;Collect est plus intéressant que la livraison à domicile, vous visualiserez facilement votre retour sur investissement de même si vous mettez en place un système de réduction.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_16  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Besoin de mettre une solution Click&amp;Collect dans votre restaurant ? Découvre notre offre ici.  Envoyez-nous un e-mail à contact@kook-agency.fr un expert répondra à vos questions.</div>\n			</div>\n			</div>\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("3991", "3492", "_et_pb_truncate_post_date", "2022-02-12 02:08:52");
INSERT INTO `wp_postmeta` VALUES("3992", "3492", "_metaseo_metatitle", "Le Click & Collect dans son restaurant, une solution pour 2021 ?");
INSERT INTO `wp_postmeta` VALUES("3993", "3492", "_yoast_wpseo_title", "Le Click & Collect dans son restaurant, une solution pour 2021 ?");
INSERT INTO `wp_postmeta` VALUES("3994", "3492", "_metaseo_metadesc", "Depuis quelques mois, le monde de la restauration vis une crise économique forte .Le click&collect est un service proposé aux consommateurs....");
INSERT INTO `wp_postmeta` VALUES("3995", "3492", "_yoast_wpseo_metadesc", "Depuis quelques mois, le monde de la restauration vis une crise économique forte .Le click&collect est un service proposé aux consommateurs....");
INSERT INTO `wp_postmeta` VALUES("3996", "3492", "_metaseo_metaspecific_keywords", "click & collect,restaurant,2021");
INSERT INTO `wp_postmeta` VALUES("3997", "3492", "_metaseo_metakeywords", "Optez pour une solution de Click & collect dans son restaurant en 2021 ?");
INSERT INTO `wp_postmeta` VALUES("3998", "3492", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("3999", "3492", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("4000", "3492", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"3492\" /]");
INSERT INTO `wp_postmeta` VALUES("4001", "3492", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("4002", "3492", "_et_builder_version", "VB|Divi|4.7.7");
INSERT INTO `wp_postmeta` VALUES("4003", "3492", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("4004", "3492", "_thumbnail_id", "12374");
INSERT INTO `wp_postmeta` VALUES("4005", "3492", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4006", "3492", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4009", "4041", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4010", "4041", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("4011", "4041", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4012", "4041", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4013", "4041", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4014", "4041", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4015", "4041", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4016", "4041", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4017", "4041", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4018", "4041", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("4019", "4041", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Découvrez un nouvel outil d’interaction, communiquez grâce à des chiffres pour dynamiser votre compte Instagram !<br />\nLes réseaux sociaux ont une place importante dans nos vies aujourd’hui surtout en tant qu’entreprise. Ils permettent de développer sa notoriété, être proche de sa cible et de les fidéliser, prospecter de nouveaux clients. Avoir de la visibilité sur le nombre de ses abonnés permet de voir l’engouement de votre entreprise. Instagram et Facebook sont les deux réseaux sociaux où se trouvent les clients, c’est pour cela que Smiirl a crée ce compteur connecté afin d’avoir un œil sur votre nombre d’abonnés en temps réel !</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Le concept<br />\nLe compteur Smiirl vous permet d’attirer votre clientèle. Le compteur s’actualise lorsque vous aviez des nouveaux abonnés en temps réel.</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_3  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Transformer vos clients en abonnés et motiver vos équipes<br />\nUn compteur conçut pour attirer l’œil et attiser la curiosité de nouveaux abonnés, des clients ou encore permettent de booster la motivation de votre équipe grâce aux mouvements des volets quisont divertissants à regarder.<br />\nLe compteur Smiirl est personnalisable et vous permet également d’indiquer les chiffres que vous voulez.</div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_text et_pb_text_4  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Démarquez-vous !</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_1_3 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_5  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Dans votre boutique <br />\nLe nombre de chaussures vendues ouencore le nombres de personnes quisont rentré dans la boutique.</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_3 et_pb_column_3  et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_6  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Dans votre restaurant<br />\nLe nombre de plats ou de desserts servis !</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_3 et_pb_column_4  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_7  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Dans votre bar<br />\nLe nombre de bières servis !</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_3\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_5  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_8  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Bref c’est vous qui décidez !<br />\nUn objet original et qui dynamisera, et habillera votre établissement par son design en bois et de plus par l’impression du logo de votre entreprise pour que tout le monde puisse voir qui vous êtes.<br />\nAlors qu’attendiez-vous ? Munissez-vous d’un compteur Smiirl !</div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("4020", "4041", "_et_pb_truncate_post_date", "2021-06-26 09:42:21");
INSERT INTO `wp_postmeta` VALUES("4021", "4041", "_metaseo_metatitle", "Smiirl - un outil marketing pour booster vos réseaux sociaux");
INSERT INTO `wp_postmeta` VALUES("4022", "4041", "_metaseo_metadesc", "Smiirl - un nouvel outil marketing pour booster vos réseaux sociaux, découvrez le compteur à plusieurs chiffres qui indique le nombres d\'abonnés !");
INSERT INTO `wp_postmeta` VALUES("4023", "4041", "wp_metaseo_seoscore", "100");
INSERT INTO `wp_postmeta` VALUES("4024", "4041", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("4025", "4041", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"4041\" /]");
INSERT INTO `wp_postmeta` VALUES("4026", "4041", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("4027", "4041", "_thumbnail_id", "12366");
INSERT INTO `wp_postmeta` VALUES("4028", "4041", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("4029", "4041", "_et_builder_version", "VB|Divi|4.9.7");
INSERT INTO `wp_postmeta` VALUES("4030", "4041", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("4031", "4041", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4034", "4445", "_thumbnail_id", "12359");
INSERT INTO `wp_postmeta` VALUES("4035", "4445", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4036", "4445", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4037", "4445", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4038", "4445", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4039", "4445", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4040", "4445", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4041", "4445", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4042", "4445", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("4043", "4445", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Application mobile sortie en 2016 sous Android et IOS, TikTok s’impose désormais comme LE réseau social de partage de vidéos. Depuis son lancement, plusieurs amateurs, appelés « TikTokeur », ont par ailleurs percé et sont suivis par des milliers d’abonnés. Si ce nouveau réseau social a réussi à se démarquer de la concurrence, à l’instar des réseaux Instagram et Facebook, c’est avant tout par la pluralité des contenus : humoristiques, parodiques, artistiques, musicaux, jeux vidéo…<br />\nParmi les secteurs qui ont le vent en poupe sur TikTok, retrouvez également les contenus culinaires dont raffolent les internautes. Recettes, astuces ou découvertes, les vidéos autour de la cuisine ne manquent pas !</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Les vidéos culinaires qui cartonnent sur TikTok</p>\n<p>Bien que la cuisine occupait déjà une certaine place sur TikTok, celle-ci n’a fait que se renforcer depuis les confinements successifs. En effet, pour occuper nos longues heures enfermées, chacun a partagé ses inventions culinaires jusqu’à instaurer des modes et des tendances « food » devenues virales sur le réseau social. Parmi celles-ci, retrouvez notamment :</p>\n<p>	Les mini pancakes et les mini donuts à plonger dans du lait (ou non) ;<br />\n	La pâte à tartiner aux noisettes en 60 secondes ;<br />\n	Le banana bread ;<br />\n	Les pâtes à la feta cuites au four ;<br />\n	Les ramens express…</p>\n<p>Quoi qu’il en soit, les internautes veulent de l’originalité et de la simplicité avant tout !<br />\nLe « fait maison » est donc très tendance sur TikTok avec cette idée de mieux manger en continuant de se faire plaisir. Voilà pourquoi la plupart des vidéos sont gourmandes, mais très simples à réaliser chez soi et avec peu d’ingrédients.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_3  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Quel est l’avantage pour un restaurateur d’être présent sur TikTok ?</p>\n<p>Avis aux restaurateurs : directeurs d’une chaîne de restauration rapide ou de palace bistronomique, tout le monde à sa place sur TikTok ! Avec cette explosion des contenus culinaires, les professionnels tels que les restaurateurs pourraient d’ailleurs y trouver leurs comptes…<br />\nSe faire connaître<br />\nLe principe d’un réseau social est bien sûr de se faire connaître. Sur TikTok cependant, vous présenterez vos créations de façon originale et dynamique grâce au format vidéo de la plateforme. Alors, ne restez pas sur la réserve et proposez des contenus divertissants et accessibles à tous.<br />\nToucher une nouvelle cible<br />\nL’autre avantage est qu’une communication sur TikTok passe nécessairement par l’augmentation de votre visibilité et donc, de votre notoriété si tout se passe pour le mieux.<br />\nAussi, avec 50 % d’utilisateurs de moins de 26 ans, vous toucherez une cible plus jeune. Ce sont d’ailleurs ces derniers, férus de nouveautés et de défis, qui sont à l’origine de nouvelles tendances. Se<br />\nfaire une place auprès de ces abonnés se présente donc comme une opportunité de convertir des prospects en clients. Ainsi, les plus jeunes séduis sur TikTok seront plus à même de venir manger chez vous et de relayer votre restaurant sur les réseaux.<br />\nPour attirer cette clientèle, proposez avant des contenus accessibles, pour créer une proximité entre votre enseigne et vos abonnés.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_4  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Restauration sur TikTok : comment mettre en place sa stratégie ?<br />\nConvaincus par les nombreux avantages de TikTok pour votre restaurant, vous devez maintenant mettre en place votre stratégie. Evidemment, elles sont très nombreuses… De ce fait, vous devez avant tout définir celle qui sera la plus adaptée à votre cible et à vos valeurs. Pour un stratégie sur TikTok, voici nos conseils.</p>\n<p>Utiliser les bons hashtags<br />\nAvant de publier vos contenus, renseignez-vous sur les hashtags les plus populaires, car ce sont eux qui contribueront au positionnement de vos vidéos dans le fil d’actualité et de recherche.<br />\nEntre 2021 et début 2022, les hashtags les plus recherchés sur l’univers de la cuisine étaient :.<br />\n	#tiktokfood ;<br />\n	#cooking ;<br />\n	#cuisine ;<br />\n	#tiktokcuisine ;<br />\n	#recettefacile ;<br />\n	#nourriture…</p>\n<p>N’hésitez pas non plus à ajouter des hashtags cohérents avec votre vidéo. Par exemple, si vous dévoilez votre recette de burger, utilisez un #burger.<br />\nVous pouvez également créer votre propre hashtag : un hashtag au nom de votre restaurant par exemple, ce qui permettra à vos abonnés de vous retrouver plus facilement ! Aussi, pour que ces derniers puissent vous identifier aisément sur leurs propres publications ou dans leurs commentaires, créez un compte au nom de votre restaurant.<br />\nDes vidéos créatives<br />\nQui dit cuisine, dit créativité, audace et originalité ! Alors, lâchez-vous et montrez à vos abonnés ce que vous faites ! Par exemple, proposez des vidéos autour de recettes exclusives, des contenus sur vos secrets de fabrication, des lives pour réaliser en direct vos meilleures recettes…<br />\nCes contenus devront refléter votre restaurant. Soyez donc créatifs et donnez envie aux abonnés de continuer à vous suivre et même, de venir chez vous.<br />\nMontrer le quotidien de restaurateur<br />\nCe qui a fait la renommée de TikTok, c’est la facilité de montrer des actions du quotidien de façon<br />\nludique et agréable. En tant que restaurateur, faites-en de même ! Vous pourrez par exemple :</p>\n<p>	Filmer la préparation d’une commande si vous proposez ce service ;<br />\n	Montrer l’organisation de vos cuisines ;<br />\n	Présenter votre équipe ;<br />\n	Proposer des vidéos « types » sur la réalité de plusieurs métiers au sein du restaurant (serveur,<br />\nsommelier, cuisinier…).</p>\n<p>Avec ce type de contenu, vous ouvrez les portes de votre restaurant au public, même à ceux qui ne vous connaissent pas encore. Vous montrez donc une proximité avec vos abonnés, chose qui séduit particulièrement les TikTokeurs.<br />\nGarder le rythme<br />\nSur TikTok bien sûr, mais comme sur n’importe quel réseau social, vous devez avant tout fidéliser vos abonnés. Pour cela, variez vos contenus avec les différentes idées évoquées précédemment, mais instaurez une fréquence pour tenir en haleine votre public.<br />\nAttention toutefois à ne pas être trop présent au risque de lasser vos followers. Le tout est donc de trouver le juste milieu entre des contenus variés et divertissants, mais publiés au bon moment.</div>\n			</div><div class=\"et_pb_module et_pb_text et_pb_text_5  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\">Mars 2022 : ouverture de 300 restaurants TikTok</p>\n<p>Cela a été annoncé fin 2021 : TikTok va ouvrir d’ici mars 2022 près de 300 restaurants un peu partout aux États-Unis. Ces restaurants incarneront les tendances culinaires les plus suivies sur le réseau social. À la carte, retrouvez donc les pâtes au four et à la féta ou encore les célèbres recettes de wraps maison.<br />\nUn concept original<br />\nIntitulés « TikTok Kitchen », ces restaurants proposeront un service de livraison à domicile avec des recettes en perpétuel renouvellement pour garder le rythme sur les tendances culinaires TikTok. Les recettes cuisinées seront donc exclusivement basées sur la cuisine virale présente sur le réseau social.<br />\nCependant, inutile de vous présenter à la porte de ces restaurants. Appelés « dark kitchens », ces établissements n’accueillent pas de public et sont entièrement réservés pour la préparation des repas et des commandes.<br />\nLa place des restaurants dans ce projet<br />\nVous n’y aurez pas échappé, la livraison à domicile est devenue un modèle économique sûr pour les restaurateurs ces derniers temps. Nouveauté pour certains, approfondissement d’un service existant pour d’autres, de nombreux restaurants se sont lancés.<br />\nAlors, voilà qui devrez plaire à certains professionnels : les « TikTok Kitchens » proposent aux restaurateurs de devenir « partenaires de marché ». Concrètement qu’est-ce que cela signifie ? C’est tout simplement le fait d’accueillir dans vos cuisines la préparation de commandes TikTok.<br />\nPrésenté comme booste pour votre publicité auprès des jeunes publics, TikTok vous accompagnera donc encore plus loin en 2022. Pensez-y, ce partenariat avec TikTok pourrait être une aubaine pour le développement et la notoriété de votre restaurant.<br />\nQuelle suite ?<br />\nD’ici la fin de l’année 2022, l’entreprise chinoise projette d’ouvrir 1000 « dark kitchens » à travers le monde. Avec ce nouveau projet, TikTok gravit donc une marche de plus sur le podium des réseaux sociaux et se présente comme véritable concurrent pour Deliveroo et UberEats, déjà bien implantés<br />\nsur le marché.</div>\n			</div>\n			</div>\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("4044", "4445", "_et_pb_truncate_post_date", "2022-04-12 00:30:32");
INSERT INTO `wp_postmeta` VALUES("4045", "4445", "_metaseo_metatitle", "Tiktok : Le réseau social au service des restaurants en 2022");
INSERT INTO `wp_postmeta` VALUES("4046", "4445", "_metaseo_metadesc", "Parmi les secteurs qui ont le vent en poupe sur TikTok, retrouvez également les contenus culinaires dont raffolent les internautes. ");
INSERT INTO `wp_postmeta` VALUES("4047", "4445", "_metaseo_metaspecific_keywords", "tiktok restaurant,reseaux sociaux restaurant,tiktok food");
INSERT INTO `wp_postmeta` VALUES("4048", "4445", "_metaseo_metakeywords", "tiktok pour les restaurants, reseaux sociaux restaurant");
INSERT INTO `wp_postmeta` VALUES("4049", "4445", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("4050", "4445", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("4051", "4445", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"4445\" /]");
INSERT INTO `wp_postmeta` VALUES("4052", "4445", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("4053", "4445", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("4054", "4445", "_et_builder_version", "VB|Divi|4.14.1");
INSERT INTO `wp_postmeta` VALUES("4055", "4445", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("4056", "4445", "_wp_old_slug", "tiktok-au-service-des-restaurants-en-2022");
INSERT INTO `wp_postmeta` VALUES("4057", "4445", "_wp_old_date", "2022-02-11");
INSERT INTO `wp_postmeta` VALUES("4058", "4445", "_wp_old_date", "2022-03-12");
INSERT INTO `wp_postmeta` VALUES("4059", "4445", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4060", "4445", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4063", "4888", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4064", "4888", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4065", "4888", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4066", "4888", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4067", "4888", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4068", "4888", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4069", "4888", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4070", "4888", "_metaseo_metatitle", "Le Menu QRCode, bien plus qu’un geste barrière");
INSERT INTO `wp_postmeta` VALUES("4071", "4888", "_metaseo_metadesc", "Digitalisez votre menu avec l\'application WhatisEAT, le menu multilingue qui facilite les échanges entre les restaurateurs et leurs clients.");
INSERT INTO `wp_postmeta` VALUES("4072", "4888", "wp_metaseo_seoscore", "100");
INSERT INTO `wp_postmeta` VALUES("4073", "4888", "_thumbnail_id", "12348");
INSERT INTO `wp_postmeta` VALUES("4074", "4888", "_wp_old_slug", "le-menu-qrcode-bien-plus-quun-geste-barriere");
INSERT INTO `wp_postmeta` VALUES("4075", "4888", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4076", "4888", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4079", "4946", "_thumbnail_id", "12340");
INSERT INTO `wp_postmeta` VALUES("4080", "4946", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4081", "4946", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("4082", "4946", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4083", "4946", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4084", "4946", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4085", "4946", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4086", "4946", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4087", "4946", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4088", "4946", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4089", "4946", "_metaseo_metatitle", "Les meilleurs hashtags food en 2022");
INSERT INTO `wp_postmeta` VALUES("4090", "4946", "_metaseo_metadesc", "Découvrez les meilleurs hashtags food à utiliser dans vos publications en 2022. Quel que soit votre secteur, démarquez-vous !");
INSERT INTO `wp_postmeta` VALUES("4091", "4946", "_metaseo_metaspecific_keywords", "hashtag ,food,hashtags food,Instagram,publication");
INSERT INTO `wp_postmeta` VALUES("4092", "4946", "_metaseo_metakeywords", "Hashtags food en 2022 sur Instagram");
INSERT INTO `wp_postmeta` VALUES("4093", "4946", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("4094", "4946", "_wp_old_slug", "les-meilleurs-hashtags-food-en-2022");
INSERT INTO `wp_postmeta` VALUES("4095", "4946", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4096", "4946", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4099", "4956", "_thumbnail_id", "12333");
INSERT INTO `wp_postmeta` VALUES("4100", "4956", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4101", "4956", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("4102", "4956", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4103", "4956", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4104", "4956", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4105", "4956", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4106", "4956", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4107", "4956", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4108", "4956", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4109", "4956", "_metaseo_metatitle", "Conseils pour développer une franchise de restaurant");
INSERT INTO `wp_postmeta` VALUES("4110", "4956", "_metaseo_metadesc", "Vous voulez franchiser votre concept de restaurant ? Découvrez tous les avantages de ce modèle et comment y parvenir.");
INSERT INTO `wp_postmeta` VALUES("4111", "4956", "_metaseo_metaspecific_keywords", "Franchise,restaurant");
INSERT INTO `wp_postmeta` VALUES("4112", "4956", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("4113", "4956", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4114", "4956", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4117", "4963", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4118", "4963", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4119", "4963", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4120", "4963", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4121", "4963", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4122", "4963", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4123", "4963", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4124", "4963", "_metaseo_metatitle", "Réussir ses photographies culinaires");
INSERT INTO `wp_postmeta` VALUES("4125", "4963", "_metaseo_metadesc", "Réussir ses photographies culinaires c\'est tout un art ! Alors, découvrez nos conseils pour réussir votre communication sur vos réseaux sociaux");
INSERT INTO `wp_postmeta` VALUES("4126", "4963", "_metaseo_metaspecific_keywords", "photographie culinaire ,food,foodporn,réseaux sociaux,photographies culinaires");
INSERT INTO `wp_postmeta` VALUES("4127", "4963", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("4128", "4963", "_thumbnail_id", "12304");
INSERT INTO `wp_postmeta` VALUES("4129", "4963", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4130", "4963", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4133", "4967", "_thumbnail_id", "12297");
INSERT INTO `wp_postmeta` VALUES("4134", "4967", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4135", "4967", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4136", "4967", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4137", "4967", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4138", "4967", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4139", "4967", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4140", "4967", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4141", "4967", "_metaseo_metatitle", "Click & collect et commande en ligne : les solutions en 2022");
INSERT INTO `wp_postmeta` VALUES("4142", "4967", "_metaseo_metadesc", "Découvrez notre sélection des meilleures solutions de click and collect et de commande en ligne en 2022.");
INSERT INTO `wp_postmeta` VALUES("4143", "4967", "_metaseo_metaspecific_keywords", "click and collect,commande en ligne,2022,service,restaurant");
INSERT INTO `wp_postmeta` VALUES("4144", "4967", "wp_metaseo_seoscore", "38");
INSERT INTO `wp_postmeta` VALUES("4145", "4967", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4146", "4967", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4149", "5265", "_thumbnail_id", "12317");
INSERT INTO `wp_postmeta` VALUES("4150", "5265", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4151", "5265", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("4152", "5265", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4153", "5265", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4154", "5265", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4155", "5265", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4156", "5265", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4157", "5265", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4158", "5265", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4159", "5265", "_metaseo_metatitle", "Hemblem : l’appli qui met en relation les influenceurs et les restaurateurs");
INSERT INTO `wp_postmeta` VALUES("4160", "5265", "_metaseo_metadesc", "Développez votre marketing d\'influence avec l\'application Hemblem qui met en relation restaurateurs et influenceurs.");
INSERT INTO `wp_postmeta` VALUES("4161", "5265", "_metaseo_metaspecific_keywords", "marketing d\'influence,hemblem,application");
INSERT INTO `wp_postmeta` VALUES("4162", "5265", "wp_metaseo_seoscore", "75");
INSERT INTO `wp_postmeta` VALUES("4163", "5265", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4164", "5265", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4167", "5304", "_thumbnail_id", "12287");
INSERT INTO `wp_postmeta` VALUES("4168", "5304", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4169", "5304", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("4170", "5304", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4171", "5304", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4172", "5304", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4173", "5304", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4174", "5304", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4175", "5304", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4176", "5304", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4177", "5304", "_metaseo_metatitle", "Lutter contre le gaspillage alimentaire dans la restauration");
INSERT INTO `wp_postmeta` VALUES("4178", "5304", "_metaseo_metadesc", "Lutter contre le gaspillage alimentaire dans la restauration devient de plus en plus vital, mais n\'est pas impossible. Voici nos solution !");
INSERT INTO `wp_postmeta` VALUES("4179", "5304", "_metaseo_metaspecific_keywords", "gaspillage alimentaire,restaurant,aliment,réseaux sociaux,lutte");
INSERT INTO `wp_postmeta` VALUES("4180", "5304", "_metaseo_metakeywords", "gaspillage alimentaire");
INSERT INTO `wp_postmeta` VALUES("4181", "5304", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("4182", "5304", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4183", "5304", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4186", "11888", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4187", "11888", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4188", "11888", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4189", "11888", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4190", "11888", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4191", "11888", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4192", "11888", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4193", "11888", "_metaseo_metatitle", "Ouvrir un restaurant : le guide 2023");
INSERT INTO `wp_postmeta` VALUES("4194", "11888", "_metaseo_metadesc", "Commençons par une question à priori simple : pourquoi ouvrir son propre restaurant en France en 2023 ? Et vous, quelle est votre motivation...");
INSERT INTO `wp_postmeta` VALUES("4195", "11888", "_metaseo_metaspecific_keywords", "restaurant en 2023,etude de marché restauration,Le guide,ouvrir son restaurant");
INSERT INTO `wp_postmeta` VALUES("4196", "11888", "_metaseo_metakeywords", "Le guide pour ouvrir son restaurant en 2023");
INSERT INTO `wp_postmeta` VALUES("4197", "11888", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("4198", "11888", "_thumbnail_id", "12274");
INSERT INTO `wp_postmeta` VALUES("4199", "11888", "_wp_old_slug", "ouvrir-un-restaurant-le-guide-2023");
INSERT INTO `wp_postmeta` VALUES("4200", "11888", "_wp_old_slug", "le-guide-pour-ouvrir-son-restaurant-en-20232023");
INSERT INTO `wp_postmeta` VALUES("4201", "11888", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4202", "11888", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4205", "6133", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4206", "6133", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4207", "6133", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4208", "6133", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4209", "6133", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4210", "6133", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4211", "6133", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4212", "6133", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("4213", "6133", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_section_regular\" >\n				\n				\n				\n				\n				\n				\n				<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">Pourquoi est-il important de gérer les avis négatifs de son restaurant en 2023<br />\nRépondre aux avis clients sur internet est un art que tout restaurateur se doit de maîtriser. Pourquoi ? Parce que les avis, positifs et négatifs, impactent la prise de décision et le passage à l’acte des autres consommateurs. Et qui de mieux pour juger la qualité de votre cuisine et l’amabilité de votre personnel que vos clients. Indépendamment de leur âge ou de leur catégorie socio-professionnelle, plusieurs outils leur permettent de s’exprimer sur l’expérience vécue dans votre restaurant le temps d’un café ou d’un repas. <br />\nAvis clients : menaces ou opportunités ? <br />\nLes avis clients en disent long sur la qualité des services et des prestations proposés dans un restaurant. Si certains y voient une menace, pensez plutôt à la visibilité que vous pourriez en tirer. <br />\nLes avis peuvent améliorer l’image de votre restaurant <br />\nSi votre restaurant est « the place to be », donnez l’occasion à vos clients de s’exprimer sur ce lieu d’exception sur internet. La toile vous permettra en effet d’attirer de nouveaux clients, comme des touristes de passage dans la région ou même des journalistes en quête d’un sujet pertinent. Bien sûr, plus la note est élevée, généralement sur 5 étoiles, meilleure sera votre image. <br />\nAttirer de nouveaux clients <br />\nPour faire l’analogie, les avis clients correspondent au bouche-à-oreille 2.0. Votre restaurant à un score 4.7/5 avec plus d’une centaine d’avis Google ? Sachez qu’il vous est possible d’apposer un macaron sur votre devanture ou vos différents supports de communication (affiches, menus, flyers, site internet…). Les passants, sans même être connectés, pourront se faire une impression très rapide de votre établissement. <br />\nAméliorer votre positionnement naturel <br />\nRarement mentionné, le référencement naturel, ou SEO, de votre restaurant est également impacté en fonction des avis clients. Sont alors pris en compte : </p>\n<p>Le nombre total d’avis : une moyenne de 500 avis aura plus de poids que 10 pour le SEO ; <br />\nLe degré de confiance des sites hébergeant les avis : misez sur des sites fiables et reconnus pour leur impartialité et l’authenticité des avis diffusés ; <br />\nVotre score : plus la note est proche de 5, meilleur est le score. </p>\n<p>En définitive, ne pensez pas aux risques des avis négatifs et misez davantage sur la qualité de votre cuisine et les compétences de votre personnel pour inciter les clients à laisser des avis (les plus positifs possible). Face à la très forte concurrence des restaurants, un coup de pouce pour votre SEO sera le bienvenu ! <br />\nComment répondre aux avis clients négatifs ? <br />\nParce qu’ils peuvent être difficiles à accepter, les avis clients négatifs en disent long et ont une grande part dans l’e-réputation de votre entreprise. <br />\nRépondre rapidement <br />\nEn moyenne, il convient de répondre dans un délai de 72 heures maximum (soit 3 jours) après la parution de l’avis négatif. Vous montrerez ainsi à votre audience que vous prenez au sérieux ses remarques et que vous êtes réactifs. Face à des avis négatifs, attention à ne pas répondre à chaud, surtout si vous jugez la critique injustifiée. Dans une telle situation, laissez-vous 24 heures pour réagir de façon constructive à l’avis négatif. <br />\nRester courtois <br />\nRépondre aux avis négatifs demande beaucoup de self-contrôle. Parfois vulgaires, voire injurieux, les avis négatifs peuvent blesser. Que vous les jugiez légitimes et constructifs ou non, il est essentiel de prendre sur vous et de rester poli. L’une des façons d’amortir la situation et de préciser à l’internaute que vous avez pris connaissance de ses remarques et que vous allez procéder à des changements et à une mise au point avec votre équipe. <br />\nS’excuser <br />\nSi certains messages de clients ne font pas sens à vos yeux, d’autres reflètent pourtant bien ce qui s’est vraiment passé dans votre restaurant. Bien entendu, des accidents arrivent (plateau renversé, plats servis froids, mauvaise commande…). Il y a donc de fortes chances que l’incident soit diffusé sur les réseaux sociaux, impactant votre image. Dans ce cas, excusez-vous et reconnaissez vos torts.  <br />\nCe qu’il ne faut pas faire en répondant aux avis négatifs <br />\nPremièrement, relisez-vous bien avant de publier votre réponse à un avis négatif. Vérifiez la syntaxe de vos phrases, l’absence de fautes d’orthographe et de fautes de frappe. Deuxièmement, veillez à répondre de façon claire et concise sans philosopher sur le problème. Dernièrement, évitez les réponses automatiques ou les messages répétés d’un avis à un autre. Essayez de personnaliser au mieux votre réponse selon l’avis négatif. <br />\nPensez-y, un message dupliqué, peu compréhensible et rempli de fautes donnera une occasion de plus aux internautes mécontents de vous critiquer. Cela risquerait également de vous décrédibiliser aux yeux des internautes en quête d’une nouvelle adresse à découvrir.  <br />\nOù répondre aux avis négatifs ? <br />\nDe manière générale, il faut répondre aux avis clients sur toutes les plateformes sur lesquelles votre établissement apparaît. Actuellement, les avis Google ont une grande importance et sont très regardés par les internautes. Les clients peuvent effectivement noter votre restaurant entre 1 et 5 étoiles et laisser un commentaire donnant un aperçu général de votre restaurant à vos prospects. D’autres outils existent, notamment ceux où vous êtes référencés comme TripAdvisor ou les réseaux sociaux (notamment Facebook qui propose également un système de notation). Sur votre site internet, il vous est également possible de permettre à vos clients de laisser un avis. <br />\nC’est à vous de déterminer les canaux sur lesquels les clients pourront réagir quant à l’expérience proposée dans votre restaurant. Quoi qu’il soit, vous devez cependant suivre les mêmes règles face aux avis négatifs à savoir : </p>\n<p>Rester aimable <br />\nÊtre réactif <br />\nPrésenter vos excuses <br />\nProposer une réponse limpide</p>\n<p>Une autre option consiste à laisser un livre d’or à disposition de vos clients. L’avantage est que les avis négatifs resteront confidentiels et n’entacheront pas votre image. En revanche, les avis positifs ne seront connus que de vous. <br />\nLes solutions pour se défendre face à un avis négatif sur votre restaurant <br />\nAnonymes et cachés derrière leur écran, il n’est pas rare que des clients aggravent les faits et qu’un malentendu survenu durant votre dernier service éclate en insultes dans les commentaires. Comment réagir ? Que répondre ? Existe-t-il des outils pour signaler de tels commentaires ? <br />\nRépondre à l’avis négatif en privé <br />\nSelon le retour client diffusé sur internet, il peut être judicieux de faire un geste commercial à l’internaute concerné. Il ne s’agit pas de l’acheter, mais de lui montrer que vous êtes avenant et que vous avez pleinement conscience de la gêne occasionnée. Ce geste donnera la possibilité à votre détracteur de renouveler sa visite chez vous et de laisser un avis positif. <br />\nDans ce cas, répondez-lui en privé. En proposant un dédommagement financier publiquement (une remise sur la prochaine addition…), il y a de fortes chances pour que d’autres clients en fassent la demande. <br />\nSignaler un avis <br />\nCertains clients cependant, n’ont qu’un seul but : la méchanceté gratuite au détriment de votre image. Ces clients ont l’habitude de grossir la situation jusqu’à vous insulter dans votre commentaire. Face à de tels comportements, vous pouvez vous défendre en signalant l’avis négatif. Plusieurs plateformes comme Google, Facebook ou encore TripAdvisor le permettent. Soyez néanmoins patients, car les signalements demandent un certain délai d’analyse. Cela permet de contrôler la légitimité de votre demande. Aussi, il est inutile de signaler un simple avis négatif (sans insulte par exemple), car il y a peu de chance pour que la requête aboutisse à un retrait du commentaire. <br />\nSupprimer un avis <br />\nUn dernier recours consiste à supprimer un avis que vous jugez compromettant pour l’image de votre restaurant. Sur la fiche Google My Business de votre établissement, c’est tout à fait possible. Sachez qu’il faudra au préalable l’avoir signalé. La suppression d’un avis Google peut alors se faire de trois façons différentes : </p>\n<p>Sur Google Maps<br />\nSur les recherches Google<br />\nDepuis votre compte Google</p>\n<p>Dès lors que l’avis est supprimé de la recherche Google, il l’est également de Google Maps et réciproquement, car les deux services sont liés. <br />\nEt les avis positifs alors, comment les traiter ? <br />\nPropriétaire de restaurant vous en conviendrez, tous les clients doivent être traités de la même façon. C’est pourquoi tous les avis clients, qu’ils soient positifs ou négatifs, doivent être pris en considération avec la même importance. Alors, même si les avis négatifs blessent, n’oubliez pas les avis positifs. Le moment passé par un client mécontent dans votre restaurant n’est pas le même que celui de la table voisine. Si les avis négatifs relatent un problème, ayez conscience que les avis positifs ont été rédigés par des personnes qui ont pris le temps de partager leur expérience. Aussi, remerciez-les et dans un délai le plus court possible également. <br />\nGardez en tête que de nombreux internautes consultent les avis clients et les réponses du propriétaire avant de se rendre dans un restaurant. En répondant à tous les avis, vous montrerez que vous accordez autant d’importance à toutes les remarques et que vous êtes proche de votre clientèle. Vous améliorerez alors votre réputation et votre e-réputation. Là encore, les règles de bienséance et la qualité de la syntaxe sont de mise.</div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("4214", "6133", "_et_pb_truncate_post_date", "2023-04-18 08:30:54");
INSERT INTO `wp_postmeta` VALUES("4215", "6133", "_et_pb_old_content", "<h1 aria-level=\"1\"><span data-contrast=\"none\">Gérer les avis négatifs sur son restaurant</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h1>\r\n<span data-contrast=\"auto\">Répondre aux avis clients sur internet est un art que tout restaurateur se doit de maîtriser. Pourquoi ? Parce que les avis, positifs et négatifs, impactent la prise de décision et le passage à l’acte des autres consommateurs. Et qui de mieux pour juger la qualité de votre cuisine et l’amabilité de votre personnel que vos clients. Indépendamment de leur âge ou de leur catégorie socio-professionnelle, plusieurs outils leur permettent de s’exprimer sur l’expérience vécue dans votre restaurant le temps d’un café ou d’un repas.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h2 aria-level=\"2\"><span data-contrast=\"none\">Avis clients : menaces ou opportunités ?</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h2>\r\n<span data-contrast=\"auto\">Les avis clients en disent long sur la qualité des services et des prestations proposés dans un restaurant. Si certains y voient une menace, pensez plutôt à la visibilité que vous pourriez en tirer.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h5 aria-level=\"3\"><span data-contrast=\"none\">Les avis peuvent améliorer l’image de votre restaurant</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h5>\r\n<span data-contrast=\"auto\">Si votre restaurant est « the place to be », donnez l’occasion à vos clients de s’exprimer sur ce lieu d’exception sur internet. La toile vous permettra en effet d’attirer de nouveaux clients, comme des touristes de passage dans la région ou même des journalistes en quête d’un sujet pertinent. Bien sûr, plus la note est élevée, généralement sur 5 étoiles, meilleure sera votre image.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h5 aria-level=\"3\"><span data-contrast=\"none\">Attirer de nouveaux clients</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h5>\r\n<span data-contrast=\"auto\">Pour faire l’analogie, les avis clients correspondent au bouche-à-oreille 2.0. Votre restaurant à un score 4.7/5 avec plus d’une centaine d’avis Google ? Sachez qu’il vous est possible d’apposer un macaron sur votre devanture ou vos différents supports de communication (affiches, menus, flyers, site internet…). Les passants, sans même être connectés, pourront se faire une impression très rapide de votre établissement.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h5 aria-level=\"3\"><span data-contrast=\"none\">Améliorer votre positionnement naturel</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h5>\r\n<span data-contrast=\"auto\">Rarement mentionné, le référencement naturel, ou SEO, de votre restaurant est également impacté en fonction des avis clients. Sont alors pris en compte :</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<ul>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\"><b><span data-contrast=\"auto\">Le nombre total d’avis</span></b><span data-contrast=\"auto\"> : une moyenne de 500 avis aura plus de poids que 10 pour le SEO ;</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":0,\"335559740\":276}\"> </span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\"><b><span data-contrast=\"auto\">Le degré de confiance des sites hébergeant les avis</span></b><span data-contrast=\"auto\"> : misez sur des sites fiables et reconnus pour leur impartialité et l’authenticité des avis diffusés ;</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":0,\"335559740\":276}\"> </span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\"><b><span data-contrast=\"auto\">Votre score</span></b><span data-contrast=\"auto\"> : plus la note est proche de 5, meilleur est le score.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></li>\r\n</ul>\r\n<span data-contrast=\"auto\">En définitive, ne pensez pas aux risques des avis négatifs et misez davantage sur la qualité de votre cuisine et les compétences de votre personnel pour inciter les clients à laisser des avis (les plus positifs possible). Face à la très forte concurrence des restaurants, un coup de pouce pour votre SEO sera le bienvenu !</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h2 aria-level=\"2\"><span data-contrast=\"none\">Comment répondre aux avis clients négatifs ?</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h2>\r\n<span data-contrast=\"auto\">Parce qu’ils peuvent être difficiles à accepter, les avis clients négatifs en disent long et ont une grande part dans l’e-réputation de votre entreprise.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h5 aria-level=\"3\"><span data-contrast=\"none\">Répondre rapidement</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h5>\r\n<span data-contrast=\"auto\">En moyenne, </span><b><span data-contrast=\"auto\">il convient de répondre dans un délai de 72 heures maximum</span></b><span data-contrast=\"auto\"> (soit 3 jours) après la parution de l’avis négatif. Vous montrerez ainsi à votre audience que vous prenez au sérieux ses remarques et que vous êtes réactifs. Face à des avis négatifs, attention à ne pas répondre à chaud, surtout si vous jugez la critique injustifiée. Dans une telle situation, laissez-vous 24 heures pour réagir de façon constructive à l’avis négatif.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h5 aria-level=\"3\"><span data-contrast=\"none\">Rester courtois</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h5>\r\n<span data-contrast=\"auto\">Répondre aux avis négatifs demande beaucoup de self-contrôle. Parfois vulgaires, voire injurieux, les avis négatifs peuvent blesser. Que vous les jugiez légitimes et constructifs ou non, il est essentiel de prendre sur vous et de rester poli. L’une des façons d’amortir la situation et de préciser à l’internaute que vous avez pris connaissance de ses remarques et que vous allez procéder à des changements et à une mise au point avec votre équipe.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h5 aria-level=\"3\"><span data-contrast=\"none\">S’excuser</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h5>\r\n<span data-contrast=\"auto\">Si certains messages de clients ne font pas sens à vos yeux, d’autres reflètent pourtant bien ce qui s’est vraiment passé dans votre restaurant. Bien entendu, des accidents arrivent (plateau renversé, plats servis froids, mauvaise commande…). Il y a donc de fortes chances que l’incident soit diffusé sur les réseaux sociaux, impactant votre image. Dans ce cas, </span><b><span data-contrast=\"auto\">excusez-vous et reconnaissez vos torts</span></b><span data-contrast=\"auto\">. </span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<p aria-level=\"3\"><span data-contrast=\"none\">Ce qu’il ne faut pas faire en répondant aux avis négatifs</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></p>\r\n<span data-contrast=\"auto\">Premièrement, </span><b><span data-contrast=\"auto\">relisez-vous bien avant de publier votre réponse à un avis négatif</span></b><span data-contrast=\"auto\">. Vérifiez la syntaxe de vos phrases, l’absence de fautes d’orthographe et de fautes de frappe. Deuxièmement, veillez à </span><b><span data-contrast=\"auto\">répondre de façon claire et concise</span></b><span data-contrast=\"auto\"> sans philosopher sur le problème. Dernièrement, évitez les réponses automatiques ou les messages répétés d’un avis à un autre. Ess</span><b><span data-contrast=\"auto\">ayez de personnaliser au mieux votre réponse selon l’avis négatif</span></b><span data-contrast=\"auto\">.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n\r\n<span data-contrast=\"auto\">Pensez-y, un message dupliqué, peu compréhensible et rempli de fautes donnera une occasion de plus aux internautes mécontents de vous critiquer. Cela risquerait également de vous décrédibiliser aux yeux des internautes en quête d’une nouvelle adresse à découvrir. </span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h2 aria-level=\"2\"><span data-contrast=\"none\">Où répondre aux avis négatifs ?</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h2>\r\n<span data-contrast=\"auto\">De manière générale, il faut répondre aux avis clients sur toutes les plateformes sur lesquelles votre établissement apparaît. Actuellement, les avis Google ont une grande importance et sont très regardés par les internautes. Les clients peuvent effectivement noter votre restaurant entre 1 et 5 étoiles et laisser un commentaire donnant un aperçu général de votre restaurant à vos prospects. D’autres outils existent, notamment ceux où vous êtes référencés comme TripAdvisor ou les réseaux sociaux (notamment Facebook qui propose également un système de notation). Sur votre site internet, il vous est également possible de permettre à vos clients de laisser un avis.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n\r\n<span data-contrast=\"auto\">C’est à vous de déterminer les canaux sur lesquels les clients pourront réagir quant à l’expérience proposée dans votre restaurant. Quoi qu’il soit, vous devez cependant suivre les mêmes règles face aux avis négatifs à savoir :</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<ul>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\"><span data-contrast=\"auto\">Rester aimable </span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\"><span data-contrast=\"auto\">Être réactif </span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\"><span data-contrast=\"auto\">Présenter vos excuses </span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\"><span data-contrast=\"auto\">Proposer une réponse limpide</span></li>\r\n</ul>\r\n<span data-contrast=\"auto\">Une autre option consiste à laisser un livre d’or à disposition de vos clients. L’avantage est que les avis négatifs resteront confidentiels et n’entacheront pas votre image. En revanche, les avis positifs ne seront connus que de vous.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h2 aria-level=\"2\"><span data-contrast=\"none\">Les solutions pour se défendre face à un avis négatif sur votre restaurant</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h2>\r\n<span data-contrast=\"auto\">Anonymes et cachés derrière leur écran, il n’est pas rare que des clients aggravent les faits et qu’un malentendu survenu durant votre dernier service éclate en insultes dans les commentaires. Comment réagir ? Que répondre ? Existe-t-il des outils pour signaler de tels commentaires ?</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<p aria-level=\"3\"><span data-contrast=\"none\">Répondre à l’avis négatif en privé</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></p>\r\n<span data-contrast=\"auto\">Selon le retour client diffusé sur internet, il peut être judicieux de </span><b><span data-contrast=\"auto\">faire un geste commercial à l’internaute concerné</span></b><span data-contrast=\"auto\">. Il ne s’agit pas de l’acheter, mais de lui montrer que vous êtes avenant et que vous avez pleinement conscience de la gêne occasionnée. Ce geste donnera la possibilité à votre détracteur de renouveler sa visite chez vous et de laisser un avis positif.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n\r\n<span data-contrast=\"auto\">Dans ce cas, répondez-lui en privé. En proposant un dédommagement financier publiquement (une remise sur la prochaine addition…), il y a de fortes chances pour que d’autres clients en fassent la demande.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<p aria-level=\"3\"><span data-contrast=\"none\">Signaler un avis</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></p>\r\n<span data-contrast=\"auto\">Certains clients cependant, n’ont qu’un seul but : la méchanceté gratuite au détriment de votre image. Ces clients ont l’habitude de grossir la situation jusqu’à vous insulter dans votre commentaire. Face à de tels comportements, </span><b><span data-contrast=\"auto\">vous pouvez vous défendre en signalant l’avis négatif</span></b><span data-contrast=\"auto\">. Plusieurs plateformes comme Google, Facebook ou encore TripAdvisor le permettent. Soyez néanmoins patients, car les signalements demandent un certain délai d’analyse. Cela permet de contrôler la légitimité de votre demande. Aussi, il est inutile de signaler un simple avis négatif (sans insulte par exemple), car il y a peu de chance pour que la requête aboutisse à un retrait du commentaire.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<p aria-level=\"3\"><span data-contrast=\"none\">Supprimer un avis</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></p>\r\n<span data-contrast=\"auto\">Un dernier recours consiste à </span><b><span data-contrast=\"auto\">supprimer un avis que vous jugez compromettant pour l’image de votre restaurant</span></b><span data-contrast=\"auto\">. Sur la fiche Google My Business de votre établissement, c’est tout à fait possible. Sachez qu’il faudra au préalable l’avoir signalé. La suppression d’un avis Google peut alors se faire de trois façons différentes :</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<ul>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\"><span data-contrast=\"auto\">Sur Google Maps</span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\"><span data-contrast=\"auto\">Sur les recherches Google</span></li>\r\n 	<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{\"335552541\":1,\"335559684\":-2,\"335559685\":720,\"335559991\":360,\"469769242\":[8226],\"469777803\":\"left\",\"469777804\":\"●\",\"469777815\":\"multilevel\"}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\"><span data-contrast=\"auto\">Depuis votre compte Google</span></li>\r\n</ul>\r\n<span data-contrast=\"auto\">Dès lors que l’avis est supprimé de la recherche Google, il l’est également de Google Maps et réciproquement, car les deux services sont liés.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n<h2 aria-level=\"2\"><span data-contrast=\"none\">Et les avis positifs alors, comment les traiter ?</span><span data-ccp-props=\"{\"134245418\":true,\"134245529\":true,\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span></h2>\r\n<span data-contrast=\"auto\">Propriétaire de restaurant vous en conviendrez, tous les clients doivent être traités de la même façon. C’est pourquoi tous les avis clients, qu’ils soient positifs ou négatifs, doivent être pris en considération avec la même importance. Alors, même si les avis négatifs blessent, n’oubliez pas les avis positifs. Le moment passé par un client mécontent dans votre restaurant n’est pas le même que celui de la table voisine. Si les avis négatifs relatent un problème, ayez conscience que </span><b><span data-contrast=\"auto\">les avis positifs ont été rédigés par des personnes qui ont pris le temps de partager leur expérience</span></b><span data-contrast=\"auto\">. Aussi, </span><b><span data-contrast=\"auto\">remerciez-les</span></b><span data-contrast=\"auto\"> et dans un délai le plus court possible également.</span><span data-ccp-props=\"{\"201341983\":0,\"335551550\":6,\"335551620\":6,\"335559739\":200,\"335559740\":276}\"> </span>\r\n\r\n<span data-contrast=\"auto\">Gardez en tête que de nombreux internautes consultent les avis clients et les réponses du propriétaire avant de se rendre dans un restaurant. En répondant à tous les avis, vous montrerez que vous accordez autant d’importance à toutes les remarques et que vous êtes proche de votre clientèle. Vous améliorerez alors votre réputation et votre e-réputation. Là encore, les règles de bienséance et la qualité de la syntaxe sont de mise.</span>");
INSERT INTO `wp_postmeta` VALUES("4216", "6133", "_metaseo_metatitle", "Gérer les avis négatifs de son restaurant en 2023");
INSERT INTO `wp_postmeta` VALUES("4217", "6133", "_metaseo_metadesc", "Répondre aux avis clients sur internet est un art que tout restaurateur se doit de maîtriser. Les avis, positifs et négatifs");
INSERT INTO `wp_postmeta` VALUES("4218", "6133", "_metaseo_metaspecific_keywords", "avis négatif,avis google,avis restaurant,supprimer un avis négatif sur google");
INSERT INTO `wp_postmeta` VALUES("4219", "6133", "_metaseo_metakeywords", "Gérer les avis négatifs de son restaurant en 2023");
INSERT INTO `wp_postmeta` VALUES("4220", "6133", "wp_metaseo_seoscore", "100");
INSERT INTO `wp_postmeta` VALUES("4221", "6133", "_thumbnail_id", "12267");
INSERT INTO `wp_postmeta` VALUES("4222", "6133", "_wp_old_slug", "ouvrir-un-restaurant-le-guide-2023");
INSERT INTO `wp_postmeta` VALUES("4223", "6133", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("4224", "6133", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"6133\" /]");
INSERT INTO `wp_postmeta` VALUES("4225", "6133", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("4226", "6133", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("4227", "6133", "_et_builder_version", "VB|Divi|4.20.4");
INSERT INTO `wp_postmeta` VALUES("4228", "6133", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("4229", "6133", "_wp_old_slug", "gerer-les-avis-negatifs-sur-son-restaurant");
INSERT INTO `wp_postmeta` VALUES("4230", "6133", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4233", "6136", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4234", "6136", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4235", "6136", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4236", "6136", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4237", "6136", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4238", "6136", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4239", "6136", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4240", "6136", "_metaseo_metatitle", "Instagram un outil marketing pour votre restaurant ");
INSERT INTO `wp_postmeta` VALUES("4241", "6136", "_metaseo_metadesc", "Restaurateurs et Instagram : pourquoi est-ce important d’avoir un compte actif sur le réseau social en 2023 ? ");
INSERT INTO `wp_postmeta` VALUES("4242", "6136", "_metaseo_metaspecific_keywords", "message instagram restaurant,outil marketing,instagram restaurant");
INSERT INTO `wp_postmeta` VALUES("4243", "6136", "_metaseo_metakeywords", "Instagram un outil marketing pour votre restaurant ");
INSERT INTO `wp_postmeta` VALUES("4244", "6136", "wp_metaseo_seoscore", "75");
INSERT INTO `wp_postmeta` VALUES("4245", "6136", "_thumbnail_id", "12257");
INSERT INTO `wp_postmeta` VALUES("4246", "6136", "_wp_old_slug", "ouvrir-un-restaurant-le-guide-2023");
INSERT INTO `wp_postmeta` VALUES("4247", "6136", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4248", "6136", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4251", "6148", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4252", "6148", "_et_post_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("4253", "6148", "_et_post_bg_layout", "light");
INSERT INTO `wp_postmeta` VALUES("4254", "6148", "_et_pb_show_title", "on");
INSERT INTO `wp_postmeta` VALUES("4255", "6148", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("4256", "6148", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("4257", "6148", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("4258", "6148", "_metaseo_metatitle", "Google My Business : Optimiser la visibilité de son restaurant");
INSERT INTO `wp_postmeta` VALUES("4259", "6148", "_metaseo_metadesc", "Nouveau restaurant sur le marché et des rêves plein la tête ? Avant de songer à vous développer davantage, commencez par vous faire connaître.");
INSERT INTO `wp_postmeta` VALUES("4260", "6148", "_metaseo_metaspecific_keywords", "Google my business,avis google,visibilité restaurant,fiche google restaurant");
INSERT INTO `wp_postmeta` VALUES("4261", "6148", "_metaseo_metakeywords", "Optimiser la visibilité de son restaurant sur Google, Fiche google my business pour restaurant");
INSERT INTO `wp_postmeta` VALUES("4262", "6148", "wp_metaseo_seoscore", "75");
INSERT INTO `wp_postmeta` VALUES("4263", "6148", "_wp_old_slug", "ouvrir-un-restaurant-le-guide-2023");
INSERT INTO `wp_postmeta` VALUES("4264", "6148", "_thumbnail_id", "12252");
INSERT INTO `wp_postmeta` VALUES("4265", "6148", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}}");
INSERT INTO `wp_postmeta` VALUES("4266", "6148", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("4399", "11901", "_wp_attached_file", "2023/05/log_file_2023-05-30__08-56-50.txt");
INSERT INTO `wp_postmeta` VALUES("4435", "6206", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4445", "6206", "_edit_lock", "1685971917:1");
INSERT INTO `wp_postmeta` VALUES("4448", "3857", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4457", "3857", "_edit_lock", "1686148206:1");
INSERT INTO `wp_postmeta` VALUES("4648", "10485", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4657", "10485", "_edit_lock", "1686214261:1");
INSERT INTO `wp_postmeta` VALUES("4663", "6180", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4672", "6180", "_edit_lock", "1686050897:1");
INSERT INTO `wp_postmeta` VALUES("4876", "217", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4877", "217", "_edit_lock", "1685973319:1");
INSERT INTO `wp_postmeta` VALUES("4926", "11096", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4935", "11096", "_edit_lock", "1686149916:1");
INSERT INTO `wp_postmeta` VALUES("6361", "12147", "_wp_attached_file", "2022/08/BAP_MR_028-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6362", "12147", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:29:\"2022/08/BAP_MR_028-scaled.jpg\";s:8:\"filesize\";i:272031;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"BAP_MR_028-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11533;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_028-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63989;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_028-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5722;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"BAP_MR_028-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41514;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"BAP_MR_028-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"BAP_MR_028-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:185266;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"BAP_MR_028-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80385;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"BAP_MR_028-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83405;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"BAP_MR_028-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17652;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_028-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3558;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:14:\"KOOK_AGENCY_MR\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1657711864\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"70\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:5:\"0.002\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"BAP_MR_028.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("4982", "4242", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4991", "4242", "_edit_lock", "1685972084:1");
INSERT INTO `wp_postmeta` VALUES("6359", "12146", "_wp_attached_file", "2022/08/BAP_MR_017-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6360", "12146", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2022/08/BAP_MR_017-scaled.jpg\";s:8:\"filesize\";i:478895;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"BAP_MR_017-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12568;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_017-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73617;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_017-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6293;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_017-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88652;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"BAP_MR_017-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:149016;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"BAP_MR_017-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:277132;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"BAP_MR_017-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:207123;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"BAP_MR_017-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99603;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"BAP_MR_017-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35032;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_017-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3874;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:14:\"KOOK_AGENCY_MR\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1657709881\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"42\";s:3:\"iso\";s:4:\"1000\";s:13:\"shutter_speed\";s:5:\"0.005\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"BAP_MR_017.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6351", "12142", "_wp_attached_file", "2022/08/xZ3rAYpY-1-scaled.jpeg");
INSERT INTO `wp_postmeta` VALUES("6352", "12142", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:30:\"2022/08/xZ3rAYpY-1-scaled.jpeg\";s:8:\"filesize\";i:980357;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"xZ3rAYpY-1-300x200.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21101;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"xZ3rAYpY-1-1024x683.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:194035;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"xZ3rAYpY-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8651;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"xZ3rAYpY-1-768x512.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114564;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"xZ3rAYpY-1-1536x1024.jpeg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:401829;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"xZ3rAYpY-1-2048x1365.jpeg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:668176;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"xZ3rAYpY-1-1200x800.jpeg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:258518;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"xZ3rAYpY-1-1024x1024.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:265911;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"xZ3rAYpY-1-416x277.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37757;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"xZ3rAYpY-1-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4566;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"xZ3rAYpY-1.jpeg\";}");
INSERT INTO `wp_postmeta` VALUES("5225", "11980", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5226", "11981", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5227", "11982", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5228", "11980", "_cdp_origin", "6180");
INSERT INTO `wp_postmeta` VALUES("5229", "11980", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("5230", "11980", "_cdp_origin_title", " Réseaux sociaux #[Counter]");
INSERT INTO `wp_postmeta` VALUES("5231", "11980", "_cdp_counter", "2");
INSERT INTO `wp_postmeta` VALUES("5232", "11980", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("5233", "11980", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("5234", "11980", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("5235", "11980", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("5236", "11980", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("5237", "11980", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("5238", "11980", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5239", "11980", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5240", "11980", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("5241", "11980", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("5242", "11980", "_elementor_data", "[{\"id\":\"caccc95\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"html_tag\":\"div\",\"_title\":\"about section\"},\"elements\":[{\"id\":\"0c127f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"aad07d4\",\"elType\":\"widget\",\"settings\":{\"background_mask\":\"background-main\",\"width_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"calc_width_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_height_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"image_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"16359b1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0a569d6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"7cc6093\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DANDY_MR_187-scaled.jpg\",\"id\":12939,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ba7b655\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LAPLACEVERTE_MR_013.jpg\",\"id\":12943,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"120\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"9a7297c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"30\",\"bottom\":\"80\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"235886d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Cr\\u00e9ation de site internet<b>  pour votre restaurant<\\/b>\",\"description\":\"Une r\\u00e9volution\\n<img class=\\\"trait6\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait6{width:55%}<\\/style>\",\"dsn_html_tag\":\"span\",\"align\":\"\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"dsn_line_description\":\"circle-before\",\"_margin\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"90\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"e483888\",\"elType\":\"widget\",\"settings\":{\"title\":\"Pour de nombreux professionnels, le choix d\\u2019un prestataire pour cr\\u00e9er un site internet professionnel est une \\u00e9tape compliqu\\u00e9e. Il est bien souvent difficile de savoir ce que comportent les diff\\u00e9rentes offres de cr\\u00e9ation de site.\\n<br><br>\\nChez Kook Agency nous vous garantissons un service cl\\u00e9 en main qui comprend notamment :\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"120\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"82da01b\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Les mises \\u00e0 jour techniques r\\u00e9guli\\u00e8res de votre site\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"La s\\u00e9curisation du site (passage en HTTPS et achat du certificat SSL)\",\"_id\":\"a0b02e3\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"L\\u2019h\\u00e9bergement web (gestion du domaine et sous-domaine de votre projet)\",\"_id\":\"18dd0ff\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"L\\u2019analyse des performances de votre site avec une version simplifi\\u00e9e de Google Analytics\",\"_id\":\"08ac03f\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Le suivi de votre projet web par un conseiller d\\u00e9di\\u00e9 avec une prise de rendez-vous illimit\\u00e9e\",\"_id\":\"f695b2c\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"7765291\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"PRENDRE RENDEZ-VOUS\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"EN SAVOIR PLUS\",\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"e44fc13\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/PASTICCIO_MR_067-scaled.jpg\",\"id\":12942,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"23609a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"d09e40f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2fcfbff\",\"elType\":\"widget\",\"settings\":{\"title\":\"Une \\u00e9quipe d\\u2019experts\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"debbfb8\",\"elType\":\"widget\",\"settings\":{\"title\":\"r\\u00e9alisation et refonte de votre <b>sites web<\\/b>\\n<img class=\\\"trait5\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait5{width:65%;padding-left:35%;}\\nb:hover{\\ncolor: #f3bc34;\\n}<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89eaa90\",\"elType\":\"widget\",\"settings\":{\"title\":\"<ul><li>Une agence web experte dans la FOOD !<\\/li>\\n<li>Qui met en valeur votre restaurant sur le web<\\/li>\\n<li>Qui optimise le r\\u00e9f\\u00e9rencement de votre site internet de mani\\u00e8re \\u00e0 ce que restaurant soit visible sur les moteurs de recherche.<\\/li>\\n<li>Qui est connect\\u00e9e \\u00e0 Uber Eat, Just Eat, Deliveroo\\u2026<\\/li><\\/ul>\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f3b1f07\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"GmTxa45c\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"service\"},\"elements\":[{\"id\":\"1cd23e3e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"13807cab\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"<span class=\\\"easy\\\">Pack EASY KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 59 HT \\u20ac\\/ mois\",\"description\":\"<p>Pour vos premiers pas sur le web, un site l\\u00e9ger,\\u00a0<strong>facile \\u00e0 g\\u00e9rer<\\/strong>\\u00a0et pourtant enti\\u00e8rement adapt\\u00e9 \\u00e0 tous les supports web (ordinateurs, tablettes, mobiles). La gamme EASY KOOK une solution pour\\u00a0<strong>les nouveaux arrivants<\\/strong>\\u00a0dans le digital.<\\/p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"<span class=\\\"up\\\">Pack UP KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 79 HT \\u20ac\\/mois\",\"description\":\"<p>Gr\\u00e2ce \\u00e0 la gamme UP KOOK communiquez efficacement\\u00a0et offrez \\u00e0 vos clients la possibilit\\u00e9 de consulter votre menu, de\\u00a0<strong>r\\u00e9server une table<\\/strong>\\u00a0\\u00e0 l\\u2019avance\\u2026 Booster votre visibilit\\u00e9 sur le web et<strong>\\u00a0attirez de nouveaux clients<\\/strong>\\u00a0par l\\u2019interm\\u00e9diaire du\\u00a0<strong>r\\u00e9f\\u00e9rencement sur Google<\\/strong>.<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"<span class=\\\"clickAndKook\\\">Pack CLICK & KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 99 \\u20ac HT \\/mois\",\"description\":\"<p>Donnez une <strong>visibilit\\u00e9 optimale<\\/strong>\\u00a0\\u00e0 votre restaurant gr\\u00e2ce \\u00e0 une architecture et un design soign\\u00e9, optimis\\u00e9 pour attirer davantage de clients. Offrez \\u00e0 vos clients la possibilit\\u00e9 de\\u00a0<strong>commander en ligne\\u00a0<\\/strong>vos plats.<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"}],\"align\":\"center\",\"bg_btn\":\"background-section\",\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"space_service_description\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"line_service_item\":\"border-top pt-20 border-bottom pb-20 mb-20\"},\"elements\":[],\"widgetType\":\"dsn_service\"},{\"id\":\"7acba34\",\"elType\":\"widget\",\"settings\":{\"html\":\"<style>\\n    .easy{\\n        color: #69808c;\\n    }\\n    .up{\\n        color: #f98d5e;\\n    }\\n    .clickAndKook{\\n        color: #cfa54b;\\n    }\\n<\\/style>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("5955", "12081", "forminator_form_meta", "a:6:{s:6:\"fields\";a:12:{i:0;a:14:{s:2:\"id\";s:8:\"select-1\";s:10:\"element_id\";s:8:\"select-1\";s:7:\"form_id\";s:17:\"wrapper-2923-6787\";s:12:\"parent_group\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:5:{i:0;a:4:{s:5:\"label\";s:1:\"-\";s:5:\"value\";s:0:\"\";s:5:\"limit\";s:0:\"\";s:3:\"key\";s:9:\"6009-4264\";}i:1;a:4:{s:5:\"label\";s:23:\"Création site internet\";s:5:\"value\";s:23:\"Création site internet\";s:5:\"limit\";s:0:\"\";s:3:\"key\";s:9:\"5739-5187\";}i:2;a:5:{s:5:\"label\";s:16:\"Réseaux sociaux\";s:5:\"value\";s:16:\"Réseaux sociaux\";s:5:\"limit\";s:0:\"\";s:7:\"default\";s:0:\"\";s:3:\"key\";s:8:\"333-9072\";}i:3;a:5:{s:5:\"label\";s:14:\"Publicité Ads\";s:5:\"value\";s:12:\"publicit-ads\";s:5:\"limit\";s:0:\"\";s:7:\"default\";s:0:\"\";s:3:\"key\";s:9:\"3182-7389\";}i:4;a:5:{s:5:\"label\";s:22:\"Référencement google\";s:5:\"value\";s:22:\"Référencement google\";s:5:\"limit\";s:0:\"\";s:7:\"default\";s:0:\"\";s:3:\"key\";s:9:\"5924-8519\";}}s:4:\"cols\";s:1:\"4\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-2923-6787\";s:10:\"value_type\";s:6:\"single\";s:11:\"field_label\";s:13:\"VOTRE DEMANDE\";s:14:\"condition_rule\";s:3:\"any\";s:19:\"options_bulk_editor\";s:170:\"-; ; 0\nCréation site internet; cration-site-internet; 0\nRéseaux sociaux; rseaux-sociaux; 0\nPublicité Ads; publicit-ads; 0\nRéférencement google; rfrencement-google; 0\";s:16:\"options_expanded\";s:0:\"\";}i:1;a:13:{s:2:\"id\";s:8:\"select-2\";s:10:\"element_id\";s:8:\"select-2\";s:7:\"form_id\";s:17:\"wrapper-2923-6787\";s:12:\"parent_group\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:3:{i:0;a:5:{s:5:\"label\";s:27:\"Easy Kook - 59 € HT /mois\";s:5:\"value\";s:20:\"easy-kook-49-ht-mois\";s:5:\"limit\";s:0:\"\";s:3:\"key\";s:9:\"6009-4264\";s:5:\"error\";s:0:\"\";}i:1;a:5:{s:5:\"label\";s:25:\"Up kook - 79 € HT /mois\";s:5:\"value\";s:18:\"up-kook-69-ht-mois\";s:5:\"limit\";s:0:\"\";s:3:\"key\";s:9:\"5739-5187\";s:5:\"error\";s:0:\"\";}i:2;a:6:{s:5:\"label\";s:34:\"Click &amp; kook - 99 € HT /mois\";s:5:\"value\";s:21:\"click-kook-89-ht-mois\";s:5:\"limit\";s:0:\"\";s:7:\"default\";s:0:\"\";s:3:\"key\";s:9:\"8343-1830\";s:5:\"error\";s:0:\"\";}}s:4:\"cols\";s:1:\"4\";s:10:\"conditions\";a:1:{i:0;a:3:{s:10:\"element_id\";s:8:\"select-1\";s:4:\"rule\";s:2:\"is\";s:5:\"value\";s:23:\"Création site internet\";}}s:10:\"wrapper_id\";s:17:\"wrapper-2923-6787\";s:10:\"value_type\";s:6:\"single\";s:11:\"field_label\";s:5:\"Offre\";s:14:\"condition_rule\";s:3:\"any\";s:19:\"options_bulk_editor\";s:159:\"Easy Kook - 59 € HT /mois;easy-kook-49-ht-mois; 0\nUp kook - 79 € HT /mois;up-kook-69-ht-mois; 0\nClick &amp; kook - 99 € HT /mois;click-kook-89-ht-mois; 0\";}i:2;a:14:{s:2:\"id\";s:8:\"select-3\";s:10:\"element_id\";s:8:\"select-3\";s:7:\"form_id\";s:17:\"wrapper-2923-6787\";s:12:\"parent_group\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:3:{i:0;a:5:{s:5:\"label\";s:32:\"Le petit chef - 499 € HT /mois\";s:5:\"value\";s:25:\"le-petit-chef-249-ht-mois\";s:5:\"limit\";s:0:\"\";s:3:\"key\";s:9:\"6009-4264\";s:5:\"error\";s:0:\"\";}i:1;a:5:{s:5:\"label\";s:32:\"Chef oui Chef - 799 € HT /mois\";s:5:\"value\";s:25:\"chef-oui-chef-299-ht-mois\";s:5:\"limit\";s:0:\"\";s:3:\"key\";s:9:\"5739-5187\";s:5:\"error\";s:0:\"\";}i:2;a:6:{s:5:\"label\";s:28:\"Top Chef - 1299 € HT /mois\";s:5:\"value\";s:20:\"top-chef-389-ht-mois\";s:5:\"limit\";s:0:\"\";s:7:\"default\";s:0:\"\";s:3:\"key\";s:9:\"8343-1830\";s:5:\"error\";s:0:\"\";}}s:4:\"cols\";s:1:\"4\";s:10:\"conditions\";a:1:{i:0;a:3:{s:10:\"element_id\";s:8:\"select-1\";s:4:\"rule\";s:2:\"is\";s:5:\"value\";s:16:\"Réseaux sociaux\";}}s:10:\"wrapper_id\";s:17:\"wrapper-2923-6787\";s:10:\"value_type\";s:6:\"single\";s:11:\"field_label\";s:5:\"Offre\";s:14:\"condition_rule\";s:3:\"any\";s:19:\"options_bulk_editor\";s:176:\"Le petit chef - 499 € HT /mois;le-petit-chef-249-ht-mois; 0\nChef oui Chef - 799 € HT /mois;chef-oui-chef-299-ht-mois; 0\nTop Chef - 1299 € HT /mois;top-chef-389-ht-mois; 0\";s:6:\"formid\";s:17:\"wrapper-9782-6534\";}i:3;a:20:{s:2:\"id\";s:6:\"text-2\";s:10:\"element_id\";s:6:\"text-2\";s:7:\"form_id\";s:26:\"wrapper-1537444204086-1045\";s:12:\"parent_group\";s:0:\"\";s:16:\"condition_action\";s:4:\"show\";s:14:\"condition_rule\";s:3:\"any\";s:10:\"conditions\";a:0:{}s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"input_type\";s:4:\"line\";s:5:\"limit\";s:3:\"180\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:17:\"Nom du restaurant\";s:11:\"placeholder\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"default\";s:0:\"\";s:12:\"custom-class\";s:0:\"\";s:8:\"required\";s:4:\"true\";s:10:\"wrapper_id\";s:26:\"wrapper-1537444204086-1045\";}i:4;a:14:{s:2:\"id\";s:6:\"name-1\";s:10:\"element_id\";s:6:\"name-1\";s:7:\"form_id\";s:26:\"wrapper-1537444204086-1045\";s:12:\"parent_group\";s:0:\"\";s:16:\"condition_action\";s:4:\"show\";s:14:\"condition_rule\";s:3:\"any\";s:10:\"conditions\";a:0:{}s:6:\"formid\";s:26:\"wrapper-1511347711918-1669\";s:4:\"type\";s:4:\"name\";s:4:\"cols\";s:1:\"6\";s:8:\"required\";s:4:\"true\";s:11:\"field_label\";s:3:\"NOM\";s:11:\"placeholder\";s:0:\"\";s:10:\"wrapper_id\";s:26:\"wrapper-1537444204086-1045\";}i:5;a:15:{s:2:\"id\";s:7:\"email-1\";s:10:\"element_id\";s:7:\"email-1\";s:7:\"form_id\";s:26:\"wrapper-1511347712118-1739\";s:12:\"parent_group\";s:0:\"\";s:16:\"condition_action\";s:4:\"show\";s:14:\"condition_rule\";s:3:\"any\";s:10:\"conditions\";a:0:{}s:6:\"formid\";s:26:\"wrapper-1511347712118-1739\";s:4:\"type\";s:5:\"email\";s:4:\"cols\";s:1:\"6\";s:8:\"required\";s:4:\"true\";s:11:\"field_label\";s:14:\"Adresse e-mail\";s:11:\"placeholder\";s:22:\"Ex. anna@votresite.com\";s:10:\"validation\";s:5:\"false\";s:10:\"wrapper_id\";s:26:\"wrapper-1511347712118-1739\";}i:6;a:18:{s:2:\"id\";s:7:\"phone-1\";s:10:\"element_id\";s:7:\"phone-1\";s:7:\"form_id\";s:26:\"wrapper-1511347712118-1739\";s:12:\"parent_group\";s:0:\"\";s:16:\"condition_action\";s:4:\"show\";s:14:\"condition_rule\";s:3:\"any\";s:10:\"conditions\";a:0:{}s:6:\"formid\";s:26:\"wrapper-1511347712118-1739\";s:4:\"type\";s:5:\"phone\";s:4:\"cols\";s:1:\"6\";s:8:\"required\";s:4:\"true\";s:11:\"field_label\";s:11:\"Téléphone\";s:11:\"placeholder\";s:0:\"\";s:10:\"validation\";s:4:\"none\";s:15:\"validation_text\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"custom-class\";s:0:\"\";s:10:\"wrapper_id\";s:26:\"wrapper-1511347712118-1739\";}i:7;a:31:{s:2:\"id\";s:9:\"address-1\";s:10:\"element_id\";s:9:\"address-1\";s:7:\"form_id\";s:17:\"wrapper-1659-1663\";s:12:\"parent_group\";s:0:\"\";s:4:\"type\";s:7:\"address\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-1659-1663\";s:14:\"street_address\";s:0:\"\";s:12:\"address_city\";s:4:\"true\";s:13:\"address_state\";s:0:\"\";s:11:\"address_zip\";s:0:\"\";s:15:\"address_country\";s:0:\"\";s:12:\"address_line\";s:0:\"\";s:20:\"street_address_label\";s:3:\"Rue\";s:26:\"street_address_placeholder\";s:28:\"Par exemple : 10 grande rue\";s:18:\"address_city_label\";s:5:\"Ville\";s:24:\"address_city_placeholder\";s:20:\"Par exemple : Paris\";s:19:\"address_state_label\";s:14:\"État/Province\";s:25:\"address_state_placeholder\";s:21:\"Par exemple : France\";s:17:\"address_zip_label\";s:11:\"Code postal\";s:23:\"address_zip_placeholder\";s:19:\"Par exemple : 2000\";s:21:\"address_country_label\";s:4:\"Pays\";s:18:\"address_line_label\";s:24:\"Appartement, suite, etc.\";s:31:\"street_address_required_message\";s:62:\"Ce champ est obligatoire. Veuillez saisir l’adresse postale.\";s:28:\"address_zip_required_message\";s:57:\"Ce champ est obligatoire. Veuillez saisir le code postal.\";s:32:\"address_country_required_message\";s:57:\"Ce champ est obligatoire. Veuillez sélectionner le pays.\";s:29:\"address_city_required_message\";s:51:\"Ce champ est obligatoire. Veuillez saisir la ville.\";s:30:\"address_state_required_message\";s:52:\"Ce champ est obligatoire, veuillez saisir l’État.\";s:29:\"address_line_required_message\";s:63:\"Ce champ est obligatoire. Veuillez saisir la ligne d’adresse.\";}i:8;a:32:{s:2:\"id\";s:9:\"address-2\";s:10:\"element_id\";s:9:\"address-2\";s:7:\"form_id\";s:17:\"wrapper-1659-1663\";s:12:\"parent_group\";s:0:\"\";s:4:\"type\";s:7:\"address\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-1659-1663\";s:14:\"street_address\";s:0:\"\";s:12:\"address_city\";s:0:\"\";s:13:\"address_state\";s:0:\"\";s:11:\"address_zip\";s:1:\"1\";s:15:\"address_country\";s:0:\"\";s:12:\"address_line\";s:0:\"\";s:20:\"street_address_label\";s:3:\"Rue\";s:26:\"street_address_placeholder\";s:28:\"Par exemple : 10 grande rue\";s:18:\"address_city_label\";s:5:\"Ville\";s:24:\"address_city_placeholder\";s:20:\"Par exemple : Paris\";s:19:\"address_state_label\";s:14:\"État/Province\";s:25:\"address_state_placeholder\";s:21:\"Par exemple : France\";s:17:\"address_zip_label\";s:11:\"Code postal\";s:23:\"address_zip_placeholder\";s:19:\"Par exemple : 2000\";s:21:\"address_country_label\";s:4:\"Pays\";s:18:\"address_line_label\";s:24:\"Appartement, suite, etc.\";s:31:\"street_address_required_message\";s:62:\"Ce champ est obligatoire. Veuillez saisir l’adresse postale.\";s:28:\"address_zip_required_message\";s:57:\"Ce champ est obligatoire. Veuillez saisir le code postal.\";s:32:\"address_country_required_message\";s:57:\"Ce champ est obligatoire. Veuillez sélectionner le pays.\";s:29:\"address_city_required_message\";s:51:\"Ce champ est obligatoire. Veuillez saisir la ville.\";s:30:\"address_state_required_message\";s:52:\"Ce champ est obligatoire, veuillez saisir l’État.\";s:29:\"address_line_required_message\";s:63:\"Ce champ est obligatoire. Veuillez saisir la ligne d’adresse.\";s:6:\"formid\";s:17:\"wrapper-4025-7290\";}i:9;a:18:{s:2:\"id\";s:6:\"text-1\";s:10:\"element_id\";s:6:\"text-1\";s:7:\"form_id\";s:26:\"wrapper-1988247712118-9871\";s:12:\"parent_group\";s:0:\"\";s:16:\"condition_action\";s:4:\"show\";s:14:\"condition_rule\";s:3:\"any\";s:10:\"conditions\";a:0:{}s:6:\"formid\";s:26:\"wrapper-1988247712118-9871\";s:4:\"type\";s:8:\"textarea\";s:4:\"cols\";s:2:\"12\";s:8:\"required\";s:5:\"false\";s:11:\"field_label\";s:7:\"Message\";s:11:\"placeholder\";s:0:\"\";s:10:\"input_type\";s:9:\"paragraph\";s:11:\"description\";s:0:\"\";s:7:\"default\";s:0:\"\";s:12:\"custom-class\";s:0:\"\";s:10:\"wrapper_id\";s:26:\"wrapper-1988247712118-9871\";}i:10;a:15:{s:2:\"id\";s:14:\"gdprcheckbox-1\";s:10:\"element_id\";s:14:\"gdprcheckbox-1\";s:7:\"form_id\";s:26:\"wrapper-1530628051843-1900\";s:12:\"parent_group\";s:0:\"\";s:16:\"condition_action\";s:4:\"show\";s:14:\"condition_rule\";s:3:\"any\";s:10:\"conditions\";a:0:{}s:4:\"type\";s:12:\"gdprcheckbox\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:8:\"required\";s:4:\"true\";s:11:\"field_label\";s:4:\"GDPR\";s:16:\"gdpr_description\";s:659:\"Oui, J’accepte la politique de confidentialité. Je suis informé que mes données ne seront utilisées que par www.kook-agency.fr et ne seront en aucun cas transmis à des tiers. Et j\'autorise le propriétaire du site  www.kook-agency.fr à me contacter pour répondre à ma demande. Les champs obligatoires(*) sont nécessaires au traitement de votre demande. Pour connaître et exercer vos droits, notamment de retrait de votre consentement ou de modification des données saisies dans le formulaire, nous vous invitons à consulter notre la politique de confidentialité politique de confidentialité ou à nous contacter à : contact[at]kook-agency.fr\";s:12:\"custom-class\";s:0:\"\";s:10:\"wrapper_id\";s:26:\"wrapper-1530628051843-1900\";}i:11;a:14:{s:2:\"id\";s:9:\"captcha-1\";s:10:\"element_id\";s:9:\"captcha-1\";s:7:\"form_id\";s:17:\"wrapper-8525-2731\";s:12:\"parent_group\";s:0:\"\";s:4:\"type\";s:7:\"captcha\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-8525-2731\";s:12:\"captcha_type\";s:11:\"v2_checkbox\";s:15:\"score_threshold\";s:3:\"0,5\";s:23:\"recaptcha_error_message\";s:59:\"La vérification reCAPTCHA a échoué, veuillez réessayer.\";s:12:\"custom-class\";s:0:\"\";s:16:\"captcha_provider\";s:9:\"recaptcha\";}}s:8:\"settings\";a:211:{s:17:\"pagination-header\";s:3:\"bar\";s:14:\"paginationData\";a:2:{s:24:\"pagination-header-design\";s:3:\"off\";s:17:\"pagination-header\";s:3:\"bar\";}s:17:\"validation-inline\";s:4:\"true\";s:11:\"enable-ajax\";s:4:\"true\";s:10:\"form-style\";s:8:\"material\";s:12:\"fields-style\";s:4:\"open\";s:11:\"form-expire\";s:9:\"no_expire\";s:15:\"use-admin-email\";s:4:\"true\";s:17:\"admin-email-title\";s:28:\"Nouvelle demande {form_name}\";s:18:\"admin-email-editor\";s:118:\"Vous avez une nouvelle soumission de formulaire de site Web: {all_fields} Ce message a été envoyé depuis {site_url}\";s:22:\"admin-email-recipients\";a:3:{i:0;s:22:\"contact@kook-agency.fr\";i:1;s:18:\"olivu2b@hotmail.fr\";i:2;s:22:\"olivier@kook-agency.fr\";}s:16:\"form-padding-top\";s:1:\"0\";s:18:\"form-padding-right\";s:1:\"0\";s:19:\"form-padding-bottom\";s:1:\"0\";s:17:\"form-padding-left\";s:1:\"0\";s:17:\"form-border-width\";s:1:\"0\";s:17:\"form-border-style\";s:4:\"none\";s:18:\"form-border-radius\";s:1:\"0\";s:23:\"cform-label-font-family\";s:0:\"\";s:25:\"cform-label-custom-family\";s:0:\"\";s:21:\"cform-label-font-size\";s:2:\"16\";s:23:\"cform-label-font-weight\";s:6:\"normal\";s:23:\"cform-title-font-family\";s:0:\"\";s:25:\"cform-title-custom-family\";s:0:\"\";s:21:\"cform-title-font-size\";s:2:\"45\";s:23:\"cform-title-font-weight\";s:6:\"normal\";s:22:\"cform-title-text-align\";s:4:\"left\";s:26:\"cform-subtitle-font-family\";s:0:\"\";s:26:\"cform-subtitle-custom-font\";s:0:\"\";s:24:\"cform-subtitle-font-size\";s:2:\"18\";s:26:\"cform-subtitle-font-weight\";s:6:\"normal\";s:25:\"cform-subtitle-text-align\";s:4:\"left\";s:23:\"cform-input-font-family\";s:0:\"\";s:23:\"cform-input-custom-font\";s:0:\"\";s:21:\"cform-input-font-size\";s:2:\"16\";s:23:\"cform-input-font-weight\";s:6:\"normal\";s:23:\"cform-radio-font-family\";s:0:\"\";s:23:\"cform-radio-custom-font\";s:0:\"\";s:21:\"cform-radio-font-size\";s:2:\"16\";s:23:\"cform-radio-font-weight\";s:6:\"normal\";s:24:\"cform-select-font-family\";s:0:\"\";s:26:\"cform-select-custom-family\";s:0:\"\";s:22:\"cform-select-font-size\";s:2:\"16\";s:24:\"cform-select-font-weight\";s:6:\"normal\";s:29:\"cform-multiselect-font-family\";s:0:\"\";s:29:\"cform-multiselect-custom-font\";s:0:\"\";s:27:\"cform-multiselect-font-size\";s:2:\"16\";s:29:\"cform-multiselect-font-weight\";s:6:\"normal\";s:26:\"cform-dropdown-font-family\";s:0:\"\";s:26:\"cform-dropdown-custom-font\";s:0:\"\";s:24:\"cform-dropdown-font-size\";s:2:\"16\";s:26:\"cform-dropdown-font-weight\";s:6:\"normal\";s:26:\"cform-calendar-font-family\";s:0:\"\";s:26:\"cform-calendar-custom-font\";s:0:\"\";s:24:\"cform-calendar-font-size\";s:2:\"16\";s:26:\"cform-calendar-font-weight\";s:6:\"normal\";s:24:\"cform-button-font-family\";s:0:\"\";s:24:\"cform-button-custom-font\";s:0:\"\";s:22:\"cform-button-font-size\";s:2:\"14\";s:24:\"cform-button-font-weight\";s:3:\"500\";s:26:\"cform-timeline-font-family\";s:0:\"\";s:26:\"cform-timeline-custom-font\";s:0:\"\";s:24:\"cform-timeline-font-size\";s:2:\"16\";s:26:\"cform-timeline-font-weight\";s:6:\"normal\";s:28:\"cform-pagination-font-family\";s:0:\"\";s:28:\"cform-pagination-custom-font\";s:0:\"\";s:26:\"cform-pagination-font-size\";s:2:\"16\";s:28:\"cform-pagination-font-weight\";s:6:\"normal\";s:21:\"cform-form-background\";s:0:\"\";s:17:\"cform-form-border\";s:0:\"\";s:17:\"cform-label-color\";s:7:\"#777771\";s:20:\"cform-asterisk-color\";s:7:\"#777771\";s:18:\"label-helper-color\";s:7:\"#6D6D6D\";s:27:\"label-validation-background\";s:7:\"#E6E6E6\";s:22:\"label-validation-color\";s:7:\"#CB4B57\";s:17:\"cform-title-color\";s:7:\"#333333\";s:20:\"cform-subtitle-color\";s:7:\"#333333\";s:26:\"cform-section-border-color\";s:7:\"#E9E9E9\";s:11:\"input-color\";s:7:\"#8e8e8e\";s:17:\"input-color-hover\";s:7:\"#262626\";s:18:\"input-color-active\";s:7:\"#000000\";s:10:\"input-icon\";s:7:\"#777771\";s:17:\"input-placeholder\";s:7:\"#AAAAAA\";s:12:\"input-border\";s:7:\"#8e8e8e\";s:18:\"input-border-hover\";s:7:\"#8e8e8e\";s:19:\"input-border-active\";s:7:\"#f98d5e\";s:8:\"input-bg\";s:7:\"#ffffff\";s:14:\"input-hover-bg\";s:7:\"#ffffff\";s:15:\"input-active-bg\";s:7:\"#ffffff\";s:11:\"radio-label\";s:7:\"#8e8e8e\";s:10:\"radio-icon\";s:7:\"#8e8e8e\";s:19:\"radio-border-static\";s:7:\"#777771\";s:19:\"radio-border-active\";s:7:\"#8e8e8e\";s:23:\"radio-background-static\";s:7:\"#EDEDED\";s:23:\"radio-background-active\";s:7:\"#EDEDED\";s:19:\"select-value-static\";s:7:\"#8e8e8e\";s:18:\"select-value-hover\";s:7:\"#8e8e8e\";s:19:\"select-value-active\";s:7:\"#8e8e8e\";s:18:\"select-icon-static\";s:7:\"#ffffff\";s:17:\"select-icon-hover\";s:7:\"#8e8e8e\";s:18:\"select-icon-active\";s:7:\"#8e8e8e\";s:20:\"select-border-static\";s:7:\"#8e8e8e\";s:19:\"select-border-hover\";s:7:\"#8e8e8e\";s:20:\"select-border-active\";s:7:\"#8e8e8e\";s:24:\"select-background-static\";s:7:\"#ffffff\";s:23:\"select-background-hover\";s:7:\"#ffffff\";s:24:\"select-background-active\";s:7:\"#ffffff\";s:19:\"dropdown-background\";s:7:\"#ffffff\";s:15:\"dropdown-border\";s:7:\"#17A8E3\";s:28:\"dropdown-option-color-static\";s:7:\"#000000\";s:27:\"dropdown-option-color-hover\";s:7:\"#000000\";s:28:\"dropdown-option-color-active\";s:7:\"#FFFFFF\";s:32:\"dropdown-option-background-hover\";s:7:\"#ffffff\";s:33:\"dropdown-option-background-active\";s:7:\"#17A8E3\";s:26:\"dropdown-search-background\";s:7:\"#FFFFFF\";s:22:\"dropdown-search-border\";s:7:\"#777771\";s:21:\"dropdown-search-color\";s:7:\"#000000\";s:29:\"multiselect-item-color-static\";s:7:\"#000000\";s:28:\"multiselect-item-color-hover\";s:7:\"#000000\";s:29:\"multiselect-item-color-active\";s:7:\"#17A8E3\";s:18:\"multiselect-border\";s:7:\"#777771\";s:22:\"multiselect-background\";s:7:\"#EDEDED\";s:25:\"multiselect-item-bg-hover\";s:7:\"#DDDDDD\";s:26:\"multiselect-item-bg-active\";s:7:\"#EDEDED\";s:15:\"calendar-border\";s:7:\"#17A8E3\";s:19:\"calendar-background\";s:7:\"#EDEDED\";s:30:\"calendar-days-background-hover\";s:7:\"#DDDDDD\";s:31:\"calendar-days-background-active\";s:7:\"#17A8E3\";s:26:\"calendar-days-color-static\";s:7:\"#000000\";s:25:\"calendar-days-color-hover\";s:7:\"#000000\";s:26:\"calendar-days-color-active\";s:7:\"#FFFFFF\";s:31:\"button-upload-background-static\";s:7:\"#1ABC9C\";s:30:\"button-upload-background-hover\";s:7:\"#01A383\";s:31:\"button-upload-background-active\";s:7:\"#01A383\";s:26:\"button-upload-color-static\";s:7:\"#FFFFFF\";s:25:\"button-upload-color-hover\";s:7:\"#FFFFFF\";s:26:\"button-upload-color-active\";s:7:\"#FFFFFF\";s:31:\"button-submit-background-static\";s:7:\"#8e8e8e\";s:30:\"button-submit-background-hover\";s:7:\"#bababa\";s:31:\"button-submit-background-active\";s:7:\"#008FCA\";s:26:\"button-submit-color-static\";s:7:\"#FFFFFF\";s:25:\"button-submit-color-hover\";s:7:\"#FFFFFF\";s:26:\"button-submit-color-active\";s:7:\"#FFFFFF\";s:19:\"timeline-dot-border\";s:7:\"#333333\";s:27:\"timeline-dot-border-current\";s:7:\"#333333\";s:23:\"timeline-dot-background\";s:7:\"#333333\";s:31:\"timeline-dot-background-current\";s:7:\"#17A8E3\";s:13:\"timeline-text\";s:7:\"#333333\";s:21:\"timeline-text-current\";s:7:\"#17A8E3\";s:15:\"timeline-border\";s:7:\"#D6D6D6\";s:17:\"pagination-border\";s:7:\"#D6D6D6\";s:22:\"prev-background-static\";s:7:\"#17A8E3\";s:21:\"prev-background-hover\";s:7:\"#008FCA\";s:22:\"prev-background-active\";s:7:\"#008FCA\";s:17:\"prev-color-static\";s:7:\"#FFFFFF\";s:16:\"prev-color-hover\";s:7:\"#FFFFFF\";s:17:\"prev-color-active\";s:7:\"#FFFFFF\";s:30:\"multiselect-item-border-static\";s:7:\"#000000\";s:29:\"multiselect-item-border-hover\";s:7:\"#17A8E3\";s:30:\"multiselect-item-border-active\";s:7:\"#17A8E3\";s:15:\"calendar-header\";s:7:\"#17A8E3\";s:16:\"calendar-content\";s:7:\"#FFFFFF\";s:14:\"calendar-dweek\";s:7:\"#000000\";s:13:\"timeline-step\";s:7:\"#FFFFFF\";s:21:\"timeline-step-current\";s:7:\"#FFFFFF\";s:8:\"formName\";s:33:\"Kook Agency formulaire de demande\";s:8:\"thankyou\";s:4:\"true\";s:16:\"thankyou-message\";s:99:\"<p>Merci, Votre message a été bien envoyé, nous vous répondrons dans les meilleurs délais.</p>\";s:20:\"cform-color-settings\";s:4:\"true\";s:14:\"use-user-email\";s:4:\"true\";s:16:\"user-email-title\";s:28:\"Nouvelle demande {form_name}\";s:17:\"user-email-editor\";s:159:\"Bonjour {name-2}, Nous avons bien reçu votre demande et allons vous répondre dans les meilleurs délais Cordialement Kook Agency (https://www.kook-agency.fr)\";s:24:\"submit-background-static\";s:7:\"#000000\";s:23:\"submit-background-hover\";s:7:\"#3f3f3f\";s:24:\"submit-background-active\";s:7:\"#353535\";s:25:\"cform-title-font-settings\";s:0:\"\";s:14:\"use-custom-css\";s:0:\"\";s:10:\"custom_css\";s:249:\".forminator-custom-form .forminator-label--main {}.forminator-custom-form .forminator-label--helper {}.forminator-custom-form .forminator-input {}.forminator-custom-form .forminator-textarea {}.forminator-custom-form .forminator-select + .select2 {}\";s:12:\"redirect-url\";s:0:\"\";s:25:\"cform-input-custom-family\";s:0:\"\";s:20:\"submission-behaviour\";s:18:\"behaviour-thankyou\";s:20:\"override-sender-mail\";s:22:\"contact@kook-agency.fr\";s:20:\"override-sender-name\";s:23:\"Kook Food Agency France\";s:28:\"cform-dropdown-custom-family\";s:0:\"\";s:26:\"cform-button-custom-family\";s:0:\"\";s:17:\"override-defaults\";s:4:\"true\";s:14:\"expire_message\";s:0:\"\";s:20:\"user-email-from-name\";s:0:\"\";s:21:\"admin-email-from-name\";s:0:\"\";s:25:\"cform-radio-custom-family\";s:0:\"\";s:24:\"pagination-header-design\";s:3:\"off\";s:10:\"submitData\";a:2:{s:18:\"custom-submit-text\";s:7:\"ENVOYER\";s:27:\"custom-invalid-form-message\";s:74:\"Erreur : Votre formulaire n\'est pas valide, veuillez corriger les erreurs!\";}s:12:\"form-padding\";s:6:\"custom\";s:11:\"form-border\";s:6:\"custom\";s:16:\"form-font-family\";s:6:\"custom\";s:12:\"poll-padding\";s:6:\"custom\";s:11:\"poll-border\";s:6:\"custom\";s:9:\"form_name\";s:33:\"Kook Agency formulaire de demande\";s:11:\"form_status\";s:7:\"publish\";s:7:\"version\";s:6:\"1.23.3\";s:23:\"response-success-border\";s:7:\"#8e8e8e\";s:17:\"store_submissions\";s:1:\"1\";s:7:\"form_id\";s:5:\"12081\";s:18:\"akismet-protection\";s:1:\"0\";s:13:\"sc_email_link\";s:1:\"1\";s:10:\"sc_message\";s:417:\"<p>Your form has been saved as draft and a resume link has been generated so you can return to the form anytime within {retention_period} days from today. Copy and save the link or enter your email address below to have the link sent to your mail.</p><p>These fields weren\'t saved to your submission draft: Paypal, Stripe, Signature, Password, Captcha, and Upload. Kindly fill them out before submitting the form.</p>\";s:13:\"use_ajax_load\";s:0:\"\";s:22:\"response-success-color\";s:7:\"#8e8e8e\";s:20:\"response-error-color\";s:7:\"#8e8e8e\";s:17:\"input-hover-color\";s:7:\"#8e8e8e\";s:18:\"input-active-color\";s:7:\"#8e8e8e\";}s:9:\"client_id\";s:0:\"\";s:22:\"integration_conditions\";a:0:{}s:9:\"behaviors\";a:1:{i:0;a:10:{s:4:\"slug\";s:18:\"behavior-1234-4567\";s:5:\"label\";s:0:\"\";s:14:\"autoclose-time\";s:1:\"5\";s:9:\"autoclose\";s:1:\"1\";s:6:\"newtab\";s:7:\"sametab\";s:16:\"thankyou-message\";s:99:\"<p>Merci, Votre message a été bien envoyé, nous vous répondrons dans les meilleurs délais.</p>\";s:22:\"email-thankyou-message\";s:0:\"\";s:23:\"manual-thankyou-message\";s:0:\"\";s:20:\"submission-behaviour\";s:18:\"behaviour-thankyou\";s:12:\"redirect-url\";s:0:\"\";}}s:13:\"notifications\";a:2:{i:0;a:11:{s:4:\"slug\";s:22:\"notification-1111-2222\";s:5:\"label\";s:11:\"Admin Email\";s:16:\"email-recipients\";s:7:\"default\";s:16:\"email-attachment\";s:5:\"false\";s:10:\"recipients\";s:64:\"contact@kook-agency.fr,olivu2b@hotmail.fr,olivier@kook-agency.fr\";s:13:\"email-subject\";s:28:\"Nouvelle demande {form_name}\";s:12:\"email-editor\";s:311:\"<p><span id=\"result_box\" class=\"short_text\" lang=\"fr\"><span class=\"\">Vous avez une nouvelle soumission de formulaire de site Web:</span></span></p><br />\n<p>{all_fields}</p><br />\n<p><span id=\"result_box\" class=\"short_text\" lang=\"fr\"><span class=\"\">Ce message a été envoyé depuis</span></span> {site_url}</p>\";s:7:\"routing\";a:0:{}s:10:\"conditions\";a:0:{}s:16:\"condition_action\";s:4:\"send\";s:14:\"condition_rule\";s:3:\"all\";}i:1;a:8:{s:4:\"slug\";s:22:\"notification-3333-4444\";s:5:\"label\";s:18:\"Confirmation Email\";s:16:\"email-recipients\";s:7:\"default\";s:13:\"email-subject\";s:28:\"Nouvelle demande {form_name}\";s:12:\"email-editor\";s:205:\"<p>Bonjour {name-2},</p><br />\n<p>Nous avons bien reçu votre demande et allons vous répondre dans les meilleurs délais</p><br />\n<p>Cordialement</p><br />\n<p>Kook Agency (https://www.kook-agency.fr)</p>\";s:7:\"routing\";a:0:{}s:10:\"conditions\";a:0:{}s:10:\"recipients\";s:9:\"{email-1}\";}}}");
INSERT INTO `wp_postmeta` VALUES("5243", "11980", "_elementor_data", "[{\"id\":\"caccc95\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"html_tag\":\"div\",\"_title\":\"about section\"},\"elements\":[{\"id\":\"0c127f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"aad07d4\",\"elType\":\"widget\",\"settings\":{\"background_mask\":\"background-main\",\"width_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"calc_width_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_height_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"image_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"16359b1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0a569d6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"7cc6093\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DANDY_MR_187-scaled.jpg\",\"id\":12939,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ba7b655\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LAPLACEVERTE_MR_013.jpg\",\"id\":12943,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"120\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"9a7297c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"30\",\"bottom\":\"80\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"235886d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Cr\\u00e9ation de site internet<b>  pour votre restaurant<\\/b>\",\"description\":\"Une r\\u00e9volution\\n<img class=\\\"trait6\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait6{width:55%}<\\/style>\",\"dsn_html_tag\":\"span\",\"align\":\"\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"dsn_line_description\":\"circle-before\",\"_margin\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"90\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"e483888\",\"elType\":\"widget\",\"settings\":{\"title\":\"Pour de nombreux professionnels, le choix d\\u2019un prestataire pour cr\\u00e9er un site internet professionnel est une \\u00e9tape compliqu\\u00e9e. Il est bien souvent difficile de savoir ce que comportent les diff\\u00e9rentes offres de cr\\u00e9ation de site.\\n<br><br>\\nChez Kook Agency nous vous garantissons un service cl\\u00e9 en main qui comprend notamment :\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"120\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"82da01b\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Les mises \\u00e0 jour techniques r\\u00e9guli\\u00e8res de votre site\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"La s\\u00e9curisation du site (passage en HTTPS et achat du certificat SSL)\",\"_id\":\"a0b02e3\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"L\\u2019h\\u00e9bergement web (gestion du domaine et sous-domaine de votre projet)\",\"_id\":\"18dd0ff\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"L\\u2019analyse des performances de votre site avec une version simplifi\\u00e9e de Google Analytics\",\"_id\":\"08ac03f\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Le suivi de votre projet web par un conseiller d\\u00e9di\\u00e9 avec une prise de rendez-vous illimit\\u00e9e\",\"_id\":\"f695b2c\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-main\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"7765291\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"PRENDRE RENDEZ-VOUS\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"EN SAVOIR PLUS\",\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"e44fc13\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/PASTICCIO_MR_067-scaled.jpg\",\"id\":12942,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"23609a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"d09e40f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2fcfbff\",\"elType\":\"widget\",\"settings\":{\"title\":\"Une \\u00e9quipe d\\u2019experts\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"debbfb8\",\"elType\":\"widget\",\"settings\":{\"title\":\"r\\u00e9alisation et refonte de votre <b>sites web<\\/b>\\n<img class=\\\"trait5\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait5{width:65%;padding-left:35%;}\\nb:hover{\\ncolor: #f3bc34;\\n}<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89eaa90\",\"elType\":\"widget\",\"settings\":{\"title\":\"<ul><li>Une agence web experte dans la FOOD !<\\/li>\\n<li>Qui met en valeur votre restaurant sur le web<\\/li>\\n<li>Qui optimise le r\\u00e9f\\u00e9rencement de votre site internet de mani\\u00e8re \\u00e0 ce que restaurant soit visible sur les moteurs de recherche.<\\/li>\\n<li>Qui est connect\\u00e9e \\u00e0 Uber Eat, Just Eat, Deliveroo\\u2026<\\/li><\\/ul>\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f3b1f07\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"GmTxa45c\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"service\"},\"elements\":[{\"id\":\"1cd23e3e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"13807cab\",\"elType\":\"widget\",\"settings\":{\"number_blackdsn\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_animate_fade\":\"dsn-layout-fade-up\",\"items\":[{\"_id\":\"c01d531\",\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/1-1.svg\",\"id\":3205},\"library\":\"svg\"},\"title\":\"<span class=\\\"easy\\\">Pack EASY KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 59 HT \\u20ac\\/ mois\",\"description\":\"<p>Pour vos premiers pas sur le web, un site l\\u00e9ger,\\u00a0<strong>facile \\u00e0 g\\u00e9rer<\\/strong>\\u00a0et pourtant enti\\u00e8rement adapt\\u00e9 \\u00e0 tous les supports web (ordinateurs, tablettes, mobiles). La gamme EASY KOOK une solution pour\\u00a0<strong>les nouveaux arrivants<\\/strong>\\u00a0dans le digital.<\\/p>\",\"text_link\":\"Read More\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/3.svg\",\"id\":3201},\"library\":\"svg\"},\"title\":\"<span class=\\\"up\\\">Pack UP KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 79 HT \\u20ac\\/mois\",\"description\":\"<p>Gr\\u00e2ce \\u00e0 la gamme UP KOOK communiquez efficacement\\u00a0et offrez \\u00e0 vos clients la possibilit\\u00e9 de consulter votre menu, de\\u00a0<strong>r\\u00e9server une table<\\/strong>\\u00a0\\u00e0 l\\u2019avance\\u2026 Booster votre visibilit\\u00e9 sur le web et<strong>\\u00a0attirez de nouveaux clients<\\/strong>\\u00a0par l\\u2019interm\\u00e9diaire du\\u00a0<strong>r\\u00e9f\\u00e9rencement sur Google<\\/strong>.<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"194ada6\"},{\"icon\":{\"value\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/2.svg\",\"id\":3200},\"library\":\"svg\"},\"title\":\"<span class=\\\"clickAndKook\\\">Pack CLICK & KOOK : Site internet \\u00e0 partir de<\\/span><br><br> 99 \\u20ac HT \\/mois\",\"description\":\"<p>Donnez une <strong>visibilit\\u00e9 optimale<\\/strong>\\u00a0\\u00e0 votre restaurant gr\\u00e2ce \\u00e0 une architecture et un design soign\\u00e9, optimis\\u00e9 pour attirer davantage de clients. Offrez \\u00e0 vos clients la possibilit\\u00e9 de\\u00a0<strong>commander en ligne\\u00a0<\\/strong>vos plats.<\\/p>\",\"text_link\":\"Read More\",\"_id\":\"ffe00fa\"}],\"align\":\"center\",\"bg_btn\":\"background-section\",\"width_icon\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"number_blackdsn_mobile\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"space_service_description\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"item_border_style_border\":\"solid\",\"item_border_style_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"line_service_item\":\"border-top pt-20 border-bottom pb-20 mb-20\"},\"elements\":[],\"widgetType\":\"dsn_service\"},{\"id\":\"7acba34\",\"elType\":\"widget\",\"settings\":{\"html\":\"<style>\\n    .easy{\\n        color: #69808c;\\n    }\\n    .up{\\n        color: #f98d5e;\\n    }\\n    .clickAndKook{\\n        color: #cfa54b;\\n    }\\n<\\/style>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("5244", "11980", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("5245", "11980", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("5247", "11981", "_cdp_origin", "6180");
INSERT INTO `wp_postmeta` VALUES("5248", "11981", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("5249", "11981", "_cdp_origin_title", " Réseaux sociaux #[Counter]");
INSERT INTO `wp_postmeta` VALUES("5250", "11981", "_cdp_counter", "3");
INSERT INTO `wp_postmeta` VALUES("5251", "11981", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("5252", "11981", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("5253", "11981", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("5254", "11981", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("5255", "11981", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("5256", "11981", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("5257", "11981", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5258", "11981", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5259", "11981", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("5260", "11981", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("5261", "11981", "_elementor_data", "[{\"id\":\"23609a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"d09e40f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"2fcfbff\",\"elType\":\"widget\",\"settings\":{\"title\":\"Gagnez en visibilit\\u00e9 sur les moteurs de recherche\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"debbfb8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>R\\u00e9f\\u00e9rencement<b> Nature<\\/b><\\/span>\\n<img class=\\\"trait7\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait7{width:102%;padding-left:68%;}\\nb:hover{\\ncolor: #f3bc34;\\n}\\n@media only screen and (max-width: 906px)  {\\n.trait7{display:none;}\\n.trait8{display:none;}\\n.trait{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89eaa90\",\"elType\":\"widget\",\"settings\":{\"title\":\"Le but du r\\u00e9f\\u00e9rencement naturel est d\\u2019\\u00eatre de fa\\u00e7on durable parmi les premiers dans les moteurs de recherche tel que Google, Bing, Yahoo\\u2026 Pour cela il est important pour vous restaurateurs de d\\u00e9finir avec nous <b>les mots cl\\u00e9s<\\/b> qui attireront les clients potentiels dans votre restaurant comme par exemple :\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"a601165\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Restaurant Paris 15 on compte environ 8000 recherches par mois\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Restaurant Marseille on compte environ 2500 recherches par mois\",\"_id\":\"a0b02e3\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-section\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"jus_con_list\":\"center\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"25\",\"bottom\":\"0\",\"left\":\"25\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"f9505d2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Aujourd\\u2019hui environ <b>8 personnes sur 10 passent par Internet<\\/b> pour trouver un restaurant et 1 recherche de restaurant sur 2 est d\\u00e9sormais effectu\\u00e9e sur un smartphone. C\\u2019est pourquoi notre p\\u00f4le r\\u00e9f\\u00e9rencement s\\u2019efforcera de trouver les expressions qui correspondent le plus \\u00e0 votre type de cuisine et votre zone g\\u00e9ographique pour vous positionner dans les meilleures recherches.\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f3b1f07\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"caccc95\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"html_tag\":\"div\",\"_title\":\"about section\",\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"0c127f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"aad07d4\",\"elType\":\"widget\",\"settings\":{\"background_mask\":\"background-main\",\"width_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"calc_width_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_height_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"image_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"16359b1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0a569d6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"7cc6093\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/FDR_MR_31-scaled.jpg\",\"id\":12929,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ba7b655\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/PASTICCIO_MR_018.jpg\",\"id\":12949,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"120\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":95,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"9a7297c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"30\",\"bottom\":\"80\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"235886d\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00e9f\\u00e9rencement <b>Google Ads<\\/b>\\n<img class=\\\"trait8\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait8{width:58%}\\nb:hover{\\ncolor: #f3bc34;\\n}<\\/style>\",\"description\":\"Gagnez de nouveaux visiteurs dans votre restaurant\",\"dsn_html_tag\":\"span\",\"align\":\"\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"dsn_line_description\":\"circle-before\",\"_margin\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"90\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"e483888\",\"elType\":\"widget\",\"settings\":{\"title\":\"La publicit\\u00e9 sur Google Ads consiste \\u00e0 acheter des mots cl\\u00e9s pour vous positionner dans les premiers r\\u00e9sultats sans efforts techniques. Attention cela demande de notre part une recherche minutieuse afin de trouver les mots cl\\u00e9s <b>les plus pertinents<\\/b> et ayant un <b>CPC<\\/b> (co\\u00fbt par clic) int\\u00e9ressant dans le but d\\u2019avoir le meilleur retour sur investissement possible.\\n<br><br>\\nNotre mission : \",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"120\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"27fc508\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Mener un audit de positionnement\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Optimiser votre CPC\",\"_id\":\"a0b02e3\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Obtenir de tr\\u00e8s bons Quality Score\",\"_id\":\"f0a0ede\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Augmenter votre taux de visites qualifi\\u00e9es\",\"_id\":\"7be9a95\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Augmenter votre chiffre d\\u2019affaire\",\"_id\":\"53e095b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-section\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"full_width_last_item\":\"full-width-last-item\",\"jus_con_list\":\"flex-start\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"7765291\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"PRENDRE UN RENDEZ-VOUS\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"PRENDRE UN RENDEZ-VOUS\",\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"e44fc13\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/FDR_MR_54-scaled.jpg\",\"id\":12950,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("5953", "12079", "forminator_form_meta", "a:6:{s:6:\"fields\";a:20:{i:0;a:10:{s:2:\"id\";s:9:\"section-1\";s:10:\"element_id\";s:9:\"section-1\";s:7:\"form_id\";s:17:\"wrapper-4527-4245\";s:4:\"type\";s:7:\"section\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-4527-4245\";s:13:\"section_title\";s:24:\"Informations générales\";s:26:\"cform-section-border-style\";s:4:\"none\";}i:1;a:27:{s:2:\"id\";s:6:\"name-1\";s:10:\"element_id\";s:6:\"name-1\";s:7:\"form_id\";s:17:\"wrapper-3039-4948\";s:4:\"type\";s:4:\"name\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-3039-4948\";s:11:\"field_label\";s:7:\"Prénom\";s:11:\"placeholder\";s:0:\"\";s:12:\"prefix_label\";s:8:\"Préfixe\";s:11:\"fname_label\";s:7:\"Prénom\";s:17:\"fname_placeholder\";s:19:\"Par exemple : Jean\";s:11:\"mname_label\";s:17:\"Deuxième prénom\";s:17:\"mname_placeholder\";s:21:\"Par exemple : Dupont\";s:11:\"lname_label\";s:14:\"Nom de famille\";s:17:\"lname_placeholder\";s:21:\"Par exemple : Durand\";s:6:\"prefix\";s:4:\"true\";s:5:\"fname\";s:4:\"true\";s:5:\"mname\";s:4:\"true\";s:5:\"lname\";s:4:\"true\";s:16:\"required_message\";s:27:\"Le Prénom est obligatoire.\";s:23:\"prefix_required_message\";s:28:\"Le préfixe est obligatoire.\";s:22:\"fname_required_message\";s:27:\"Le prénom est obligatoire.\";s:22:\"mname_required_message\";s:37:\"Le deuxième prénom est obligatoire.\";s:22:\"lname_required_message\";s:23:\"Le nom est obligatoire.\";s:8:\"required\";s:1:\"1\";}i:2;a:27:{s:2:\"id\";s:6:\"name-2\";s:10:\"element_id\";s:6:\"name-2\";s:7:\"form_id\";s:17:\"wrapper-3039-4948\";s:4:\"type\";s:4:\"name\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-3039-4948\";s:11:\"field_label\";s:3:\"Nom\";s:11:\"placeholder\";s:0:\"\";s:12:\"prefix_label\";s:8:\"Préfixe\";s:11:\"fname_label\";s:7:\"Prénom\";s:17:\"fname_placeholder\";s:19:\"Par exemple : Jean\";s:11:\"mname_label\";s:17:\"Deuxième prénom\";s:17:\"mname_placeholder\";s:21:\"Par exemple : Dupont\";s:11:\"lname_label\";s:14:\"Nom de famille\";s:17:\"lname_placeholder\";s:21:\"Par exemple : Durand\";s:6:\"prefix\";s:4:\"true\";s:5:\"fname\";s:4:\"true\";s:5:\"mname\";s:4:\"true\";s:5:\"lname\";s:4:\"true\";s:16:\"required_message\";s:23:\"Le nom est obligatoire.\";s:23:\"prefix_required_message\";s:28:\"Le préfixe est obligatoire.\";s:22:\"fname_required_message\";s:27:\"Le prénom est obligatoire.\";s:22:\"mname_required_message\";s:37:\"Le deuxième prénom est obligatoire.\";s:22:\"lname_required_message\";s:23:\"Le nom est obligatoire.\";s:8:\"required\";s:1:\"1\";}i:3;a:14:{s:2:\"id\";s:6:\"text-1\";s:10:\"element_id\";s:6:\"text-1\";s:7:\"form_id\";s:17:\"wrapper-7136-6232\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-7136-6232\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:12:\"Poste actuel\";s:11:\"placeholder\";s:0:\"\";s:8:\"required\";s:1:\"1\";s:16:\"required_message\";s:56:\"Ce champ est requis. Veuillez saisir votre poste actuel.\";}i:4;a:13:{s:2:\"id\";s:7:\"email-1\";s:10:\"element_id\";s:7:\"email-1\";s:7:\"form_id\";s:17:\"wrapper-7804-3152\";s:4:\"type\";s:5:\"email\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-7804-3152\";s:10:\"validation\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:11:\"field_label\";s:13:\"Adresse email\";s:8:\"required\";s:1:\"1\";s:16:\"required_message\";s:54:\"Ce champ est requis. Veuillez saisir un e-mail valide.\";}i:5;a:15:{s:2:\"id\";s:7:\"phone-1\";s:10:\"element_id\";s:7:\"phone-1\";s:7:\"form_id\";s:17:\"wrapper-7804-3152\";s:4:\"type\";s:5:\"phone\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-7804-3152\";s:8:\"required\";s:1:\"1\";s:5:\"limit\";s:2:\"10\";s:10:\"limit_type\";s:10:\"characters\";s:10:\"validation\";s:4:\"none\";s:11:\"field_label\";s:11:\"Téléphone\";s:11:\"placeholder\";s:0:\"\";s:16:\"required_message\";s:62:\"Ce champ est requis. Veuillez saisir un numéro de téléphone\";}i:6;a:31:{s:2:\"id\";s:9:\"address-1\";s:10:\"element_id\";s:9:\"address-1\";s:7:\"form_id\";s:17:\"wrapper-1454-3787\";s:4:\"type\";s:7:\"address\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-1454-3787\";s:14:\"street_address\";s:4:\"true\";s:12:\"address_city\";s:0:\"\";s:13:\"address_state\";s:0:\"\";s:11:\"address_zip\";s:0:\"\";s:15:\"address_country\";s:0:\"\";s:12:\"address_line\";s:0:\"\";s:20:\"street_address_label\";s:7:\"Adresse\";s:26:\"street_address_placeholder\";s:0:\"\";s:18:\"address_city_label\";s:5:\"Ville\";s:24:\"address_city_placeholder\";s:20:\"Par exemple : Paris\";s:19:\"address_state_label\";s:14:\"État/Province\";s:25:\"address_state_placeholder\";s:21:\"Par exemple : France\";s:17:\"address_zip_label\";s:11:\"Code postal\";s:23:\"address_zip_placeholder\";s:19:\"Par exemple : 2000\";s:21:\"address_country_label\";s:4:\"Pays\";s:18:\"address_line_label\";s:24:\"Appartement, suite, etc.\";s:31:\"street_address_required_message\";s:51:\"Ce champ est requis. Veuillez saisir votre adresse.\";s:28:\"address_zip_required_message\";s:57:\"Ce champ est obligatoire. Veuillez saisir le code postal.\";s:32:\"address_country_required_message\";s:57:\"Ce champ est obligatoire. Veuillez sélectionner le pays.\";s:29:\"address_city_required_message\";s:51:\"Ce champ est obligatoire. Veuillez saisir la ville.\";s:30:\"address_state_required_message\";s:52:\"Ce champ est obligatoire, veuillez saisir l’État.\";s:29:\"address_line_required_message\";s:63:\"Ce champ est obligatoire. Veuillez saisir la ligne d’adresse.\";s:23:\"street_address_required\";s:1:\"1\";}i:7;a:10:{s:2:\"id\";s:12:\"page-break-1\";s:10:\"element_id\";s:12:\"page-break-1\";s:7:\"form_id\";s:17:\"wrapper-9416-6998\";s:4:\"type\";s:10:\"page-break\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9416-6998\";s:8:\"btn_left\";s:22:\"« Étape précédente\";s:9:\"btn_right\";s:19:\"Étape suivante »\";}i:8;a:10:{s:2:\"id\";s:9:\"section-2\";s:10:\"element_id\";s:9:\"section-2\";s:7:\"form_id\";s:17:\"wrapper-6268-7325\";s:4:\"type\";s:7:\"section\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-6268-7325\";s:13:\"section_title\";s:12:\"Votre profil\";s:26:\"cform-section-border-style\";s:4:\"none\";}i:9;a:18:{s:2:\"id\";s:8:\"upload-1\";s:10:\"element_id\";s:8:\"upload-1\";s:7:\"form_id\";s:17:\"wrapper-5614-7899\";s:4:\"type\";s:6:\"upload\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-5614-7899\";s:11:\"field_label\";s:8:\"Votre CV\";s:9:\"filetypes\";a:5:{i:0;s:4:\"webp\";i:1;s:3:\"doc\";i:2;s:4:\"docx\";i:3;s:3:\"pdf\";i:4;s:3:\"zip\";}s:9:\"file-type\";s:6:\"single\";s:10:\"file-limit\";s:9:\"unlimited\";s:12:\"upload-limit\";s:2:\"10\";s:8:\"filesize\";s:2:\"MB\";s:8:\"required\";s:1:\"1\";s:16:\"required_message\";s:52:\"Ce champ est requis. Veuillez nous envoyer votre CV.\";s:12:\"custom-files\";s:1:\"1\";s:11:\"description\";s:90:\"Les formats acceptés sont : Word, PDF et fichier compacté Zip. Ne pas dépasser le 10 Mo\";}i:10;a:10:{s:2:\"id\";s:12:\"page-break-2\";s:10:\"element_id\";s:12:\"page-break-2\";s:7:\"form_id\";s:17:\"wrapper-9695-4811\";s:4:\"type\";s:10:\"page-break\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9695-4811\";s:8:\"btn_left\";s:22:\"« Étape précédente\";s:9:\"btn_right\";s:19:\"Étape suivante »\";}i:11;a:10:{s:2:\"id\";s:9:\"section-4\";s:10:\"element_id\";s:9:\"section-4\";s:7:\"form_id\";s:17:\"wrapper-6777-6542\";s:4:\"type\";s:7:\"section\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-6777-6542\";s:13:\"section_title\";s:15:\"Vos motivations\";s:26:\"cform-section-border-style\";s:4:\"none\";}i:12;a:15:{s:2:\"id\";s:10:\"textarea-1\";s:10:\"element_id\";s:10:\"textarea-1\";s:7:\"form_id\";s:17:\"wrapper-6078-8455\";s:4:\"type\";s:8:\"textarea\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-6078-8455\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:35:\"Rédiger votre lettre de motivation\";s:11:\"placeholder\";s:0:\"\";s:8:\"required\";s:1:\"1\";s:16:\"required_message\";s:51:\"Ce champ est obligatoire. Veuillez saisir un texte.\";s:11:\"editor-type\";s:4:\"true\";}i:13;a:10:{s:2:\"id\";s:12:\"page-break-3\";s:10:\"element_id\";s:12:\"page-break-3\";s:7:\"form_id\";s:17:\"wrapper-9078-4169\";s:4:\"type\";s:10:\"page-break\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9078-4169\";s:8:\"btn_left\";s:22:\"« Étape précédente\";s:9:\"btn_right\";s:19:\"Étape suivante »\";}i:14;a:10:{s:2:\"id\";s:9:\"section-3\";s:10:\"element_id\";s:9:\"section-3\";s:7:\"form_id\";s:17:\"wrapper-8637-5537\";s:4:\"type\";s:7:\"section\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-8637-5537\";s:13:\"section_title\";s:28:\"Votre présence sur internet\";s:26:\"cform-section-border-style\";s:4:\"none\";}i:15;a:12:{s:2:\"id\";s:6:\"text-2\";s:10:\"element_id\";s:6:\"text-2\";s:7:\"form_id\";s:17:\"wrapper-4177-6980\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-4177-6980\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:8:\"Site web\";s:11:\"placeholder\";s:0:\"\";}i:16;a:12:{s:2:\"id\";s:6:\"text-3\";s:10:\"element_id\";s:6:\"text-3\";s:7:\"form_id\";s:17:\"wrapper-9842-8265\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9842-8265\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:8:\"Linkedin\";s:11:\"placeholder\";s:0:\"\";}i:17;a:12:{s:2:\"id\";s:6:\"text-4\";s:10:\"element_id\";s:6:\"text-4\";s:7:\"form_id\";s:17:\"wrapper-4774-1560\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-4774-1560\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:7:\"Twitter\";s:11:\"placeholder\";s:0:\"\";}i:18;a:17:{s:2:\"id\";s:9:\"captcha-1\";s:10:\"element_id\";s:9:\"captcha-1\";s:7:\"form_id\";s:17:\"wrapper-7661-5864\";s:4:\"type\";s:7:\"captcha\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-7661-5864\";s:16:\"captcha_provider\";s:9:\"recaptcha\";s:12:\"captcha_type\";s:12:\"v2_invisible\";s:13:\"hcaptcha_type\";s:11:\"hc_checkbox\";s:15:\"score_threshold\";s:3:\"0.5\";s:13:\"captcha_badge\";s:6:\"inline\";s:19:\"hc_invisible_notice\";s:173:\"This site is protected by hCaptcha and its <a href=\"https://hcaptcha.com/privacy\"> Privacy Policy </a> and <a href=\"https://hcaptcha.com/terms\"> Terms of Service </a> apply.\";s:23:\"recaptcha_error_message\";s:59:\"La vérification reCAPTCHA a échoué, veuillez réessayer.\";s:22:\"hcaptcha_error_message\";s:47:\"hCaptcha verification failed. Please try again.\";s:8:\"language\";s:2:\"fr\";}i:19;a:12:{s:2:\"id\";s:9:\"consent-1\";s:10:\"element_id\";s:9:\"consent-1\";s:7:\"form_id\";s:17:\"wrapper-3016-3934\";s:4:\"type\";s:7:\"consent\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-3016-3934\";s:8:\"required\";s:4:\"true\";s:11:\"field_label\";s:4:\"GPDR\";s:19:\"consent_description\";s:396:\"<p>Oui, J’accepte <a href=\"https://www.kook-agency.fr/politique-de-confidentialite\" target=\"_blank\" rel=\"noopener\">la politique de confidentialité</a>. Je suis informé que mes données ne seront utilisées que par www.kook-agency.fr et ne seront en aucun cas transmis à des tiers. Et j\'autorise le propriétaire du site  www.kook-agency.fr à me contacter pour répondre à ma demande.</p>\";s:16:\"required_message\";s:50:\"Ce champ est obligatoire, veuillez cocher la case.\";}}s:8:\"settings\";a:120:{s:17:\"pagination-header\";s:3:\"nav\";s:14:\"paginationData\";a:6:{s:24:\"pagination-header-design\";s:4:\"show\";s:17:\"pagination-header\";s:3:\"nav\";s:18:\"page-break-1-steps\";s:24:\"Informations générales\";s:10:\"last-steps\";s:8:\"Terminé\";s:18:\"page-break-2-steps\";s:6:\"Profil\";s:18:\"page-break-3-steps\";s:11:\"Motivations\";}s:8:\"formName\";s:25:\"Formulaire de recrutement\";s:7:\"version\";s:7:\"1.15.14\";s:17:\"form-border-style\";s:4:\"none\";s:12:\"form-padding\";s:0:\"\";s:11:\"form-border\";s:0:\"\";s:12:\"fields-style\";s:4:\"open\";s:10:\"validation\";s:9:\"on_submit\";s:18:\"akismet-protection\";s:1:\"0\";s:10:\"form-style\";s:7:\"default\";s:11:\"enable-ajax\";s:4:\"true\";s:9:\"autoclose\";s:4:\"true\";s:20:\"submission-indicator\";s:4:\"show\";s:15:\"indicator-label\";s:22:\"Soumission en cours…\";s:9:\"form-type\";s:7:\"default\";s:20:\"submission-behaviour\";s:18:\"behaviour-thankyou\";s:16:\"thankyou-message\";s:67:\"Merci de nous avoir contacté, nous reviendrons vers vous sous peu.\";s:10:\"submitData\";a:2:{s:18:\"custom-submit-text\";s:7:\"ENVOYER\";s:27:\"custom-invalid-form-message\";s:79:\"Erreur : votre formulaire n’est pas valide, veuillez corriger les erreurs !\";}s:17:\"validation-inline\";s:1:\"1\";s:11:\"form-expire\";s:9:\"no_expire\";s:16:\"form-padding-top\";s:1:\"0\";s:18:\"form-padding-right\";s:1:\"0\";s:19:\"form-padding-bottom\";s:1:\"0\";s:17:\"form-padding-left\";s:1:\"0\";s:17:\"form-border-width\";s:1:\"0\";s:18:\"form-border-radius\";s:1:\"0\";s:23:\"cform-label-font-family\";s:6:\"Roboto\";s:25:\"cform-label-custom-family\";s:0:\"\";s:21:\"cform-label-font-size\";s:2:\"12\";s:23:\"cform-label-font-weight\";s:4:\"bold\";s:23:\"cform-title-font-family\";s:6:\"Roboto\";s:25:\"cform-title-custom-family\";s:0:\"\";s:21:\"cform-title-font-size\";s:2:\"45\";s:23:\"cform-title-font-weight\";s:6:\"normal\";s:22:\"cform-title-text-align\";s:4:\"left\";s:26:\"cform-subtitle-font-family\";s:6:\"Roboto\";s:26:\"cform-subtitle-custom-font\";s:0:\"\";s:24:\"cform-subtitle-font-size\";s:2:\"18\";s:26:\"cform-subtitle-font-weight\";s:6:\"normal\";s:25:\"cform-subtitle-text-align\";s:4:\"left\";s:23:\"cform-input-font-family\";s:6:\"Roboto\";s:23:\"cform-input-custom-font\";s:0:\"\";s:21:\"cform-input-font-size\";s:2:\"16\";s:23:\"cform-input-font-weight\";s:6:\"normal\";s:23:\"cform-radio-font-family\";s:6:\"Roboto\";s:23:\"cform-radio-custom-font\";s:0:\"\";s:21:\"cform-radio-font-size\";s:2:\"14\";s:23:\"cform-radio-font-weight\";s:6:\"normal\";s:24:\"cform-select-font-family\";s:6:\"Roboto\";s:26:\"cform-select-custom-family\";s:0:\"\";s:22:\"cform-select-font-size\";s:2:\"16\";s:24:\"cform-select-font-weight\";s:6:\"normal\";s:29:\"cform-multiselect-font-family\";s:6:\"Roboto\";s:29:\"cform-multiselect-custom-font\";s:0:\"\";s:27:\"cform-multiselect-font-size\";s:2:\"16\";s:29:\"cform-multiselect-font-weight\";s:6:\"normal\";s:26:\"cform-dropdown-font-family\";s:6:\"Roboto\";s:26:\"cform-dropdown-custom-font\";s:0:\"\";s:24:\"cform-dropdown-font-size\";s:2:\"16\";s:26:\"cform-dropdown-font-weight\";s:6:\"normal\";s:26:\"cform-calendar-font-family\";s:6:\"Roboto\";s:26:\"cform-calendar-custom-font\";s:0:\"\";s:24:\"cform-calendar-font-size\";s:2:\"13\";s:26:\"cform-calendar-font-weight\";s:6:\"normal\";s:24:\"cform-button-font-family\";s:6:\"Roboto\";s:24:\"cform-button-custom-font\";s:0:\"\";s:22:\"cform-button-font-size\";s:2:\"14\";s:24:\"cform-button-font-weight\";s:3:\"500\";s:26:\"cform-timeline-font-family\";s:6:\"Roboto\";s:26:\"cform-timeline-custom-font\";s:0:\"\";s:24:\"cform-timeline-font-size\";s:2:\"12\";s:26:\"cform-timeline-font-weight\";s:6:\"normal\";s:28:\"cform-pagination-font-family\";s:0:\"\";s:28:\"cform-pagination-custom-font\";s:0:\"\";s:26:\"cform-pagination-font-size\";s:2:\"16\";s:28:\"cform-pagination-font-weight\";s:6:\"normal\";s:19:\"payment_require_ssl\";s:0:\"\";s:15:\"submission-file\";s:6:\"delete\";s:9:\"form_name\";s:25:\"formulaire-de-recrutement\";s:11:\"form_status\";s:7:\"publish\";s:20:\"cform-color-settings\";s:4:\"true\";s:15:\"timeline-border\";s:7:\"#c9c9c9\";s:23:\"timeline-border-current\";s:7:\"#000000\";s:13:\"timeline-text\";s:7:\"#938d8d\";s:21:\"timeline-text-current\";s:7:\"#000000\";s:19:\"timeline-dot-border\";s:7:\"#050404\";s:23:\"timeline-dot-background\";s:7:\"#c1c1c1\";s:27:\"timeline-dot-border-current\";s:7:\"#000000\";s:31:\"timeline-dot-background-current\";s:7:\"#000000\";s:17:\"cform-label-color\";s:7:\"#898482\";s:18:\"label-helper-color\";s:7:\"#000000\";s:17:\"cform-title-color\";s:7:\"#000000\";s:8:\"input-bg\";s:7:\"#ffffff\";s:17:\"input-placeholder\";s:7:\"#828282\";s:18:\"input-border-hover\";s:7:\"#000000\";s:14:\"input-hover-bg\";s:7:\"#ffffff\";s:19:\"input-border-active\";s:7:\"#210000\";s:15:\"input-active-bg\";s:7:\"#ffffff\";s:31:\"button-upload-background-static\";s:7:\"#000000\";s:30:\"button-upload-background-hover\";s:7:\"#ffffff\";s:25:\"button-upload-color-hover\";s:7:\"#000000\";s:31:\"button-upload-background-active\";s:7:\"#ffffff\";s:26:\"button-upload-color-active\";s:7:\"#000000\";s:22:\"prev-background-static\";s:7:\"#ffffff\";s:17:\"prev-color-static\";s:7:\"#000000\";s:21:\"prev-background-hover\";s:7:\"#000000\";s:22:\"prev-background-active\";s:7:\"#000000\";s:22:\"next-background-static\";s:7:\"#ffffff\";s:17:\"next-color-static\";s:7:\"#000000\";s:21:\"next-background-hover\";s:7:\"#000000\";s:22:\"next-background-active\";s:7:\"#000000\";s:31:\"button-submit-background-static\";s:7:\"#ffffff\";s:26:\"button-submit-color-static\";s:7:\"#000000\";s:30:\"button-submit-background-hover\";s:7:\"#000000\";s:31:\"button-submit-background-active\";s:7:\"#000000\";s:14:\"use-custom-css\";s:1:\"1\";s:10:\"custom_css\";s:766:\".forminator-title {\r\n    font-family: \'LeagueSpartan-Bold\',Helvetica,Arial,Lucida,sans-serif !important;\r\n    font-size: 28px !important;\r\n    font-weight: 600 !important;\r\n    line-height: 1.4em !important;\r\n}\r\ninput:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, textarea:-webkit-autofill, textarea:-webkit-autofill:hover, textarea:-webkit-autofill:focus, select:-webkit-autofill, select:-webkit-autofill:hover, select:-webkit-autofill:focus {\r\n-webkit-box-shadow: 0 0 0px 1000px #fff inset;\r\n        box-shadow: 0 0 0px 1000px #fff inset;\r\n}\r\nbutton.forminator-button {\r\n    border: 1px solid #000 !important;\r\n    border-radius: 0 !important;\r\n}\r\n.forminator-response-message.forminator-success {\r\n    max-width: 90% !important;\r\n}\";s:17:\"store_submissions\";s:1:\"1\";s:7:\"form_id\";i:12079;}s:9:\"client_id\";s:0:\"\";s:22:\"integration_conditions\";a:0:{}s:9:\"behaviors\";a:1:{i:0;a:10:{s:4:\"slug\";s:18:\"behavior-1234-4567\";s:5:\"label\";s:0:\"\";s:14:\"autoclose-time\";s:1:\"5\";s:9:\"autoclose\";s:4:\"true\";s:6:\"newtab\";s:7:\"sametab\";s:16:\"thankyou-message\";s:150:\"<p>Merci de votre confiance ! Votre candidature a été bien envoyé pour le poste de <em>{embed_title}</em>. Nous reviendrons vers vous sous peu.</p>\";s:22:\"email-thankyou-message\";s:0:\"\";s:23:\"manual-thankyou-message\";s:0:\"\";s:20:\"submission-behaviour\";s:18:\"behaviour-thankyou\";s:12:\"redirect-url\";s:0:\"\";}}s:13:\"notifications\";a:2:{i:0;a:12:{s:4:\"slug\";s:22:\"notification-1234-4567\";s:5:\"label\";s:11:\"Admin Email\";s:16:\"email-recipients\";s:7:\"default\";s:10:\"recipients\";s:64:\"contact@kook-agency.fr,olivu2b@hotmail.fr,olivier@kook-agency.fr\";s:13:\"email-subject\";s:73:\"Candidature au poste de {embed_title} depuis le formulaire de votre site.\";s:12:\"email-editor\";s:891:\"<p>Bonjour,</p>\n<div class=\"rcmBody\"><!-- html ignored --><!-- head ignored --><!-- meta ignored -->\n<p>Vous avez réçu une candidature pour le poste de <strong> {embed_title}</strong></p>\n<h4>INFORMATIONS GÉNÉRALES</h4>\n<ol>\n<li><b>Prénom</b><br />{name-1}</li>\n<li><b>Nom</b><br />{name-2}</li>\n<li><b>Poste actuel</b><br />{text-1}</li>\n<li><b>Adresse email</b><br />{email-1}</li>\n<li><b>Téléphone</b><br />{phone-1}</li>\n<li><b>Address</b><br />{address-1-street_address}</li>\n</ol>\n<h4><b>PROFIL</b></h4>\n<ol>\n<li><b> CV </b><br />{upload-1}</li>\n</ol>\n<h4><b>MOTIVATIONS</b></h4>\n<ol>\n<li><b>Lettre de motivation *</b><br />{textarea-1}</li>\n</ol>\n<h4>PRÉSENCE SUR INTERNET</h4>\n<ol>\n<li><b>Site web</b><br />{text-2}</li>\n<li><b>Linkedin</b><br />{text-3}</li>\n<li><b>Twitter</b><br />{text-4}</li>\n</ol>\n<p>---<br />Ce message a été envoyé depuis {site_url}.</p>\n</div>\";s:16:\"email-attachment\";s:4:\"true\";s:9:\"from-name\";s:0:\"\";s:10:\"form-email\";s:0:\"\";s:13:\"replyto-email\";s:0:\"\";s:8:\"cc-email\";s:0:\"\";s:9:\"bcc-email\";s:0:\"\";}i:1;a:5:{s:4:\"slug\";s:22:\"notification-7619-6601\";s:13:\"email-subject\";s:56:\"Accusé de réception de votre candidature | Kook Agency\";s:5:\"label\";s:18:\"Notification email\";s:12:\"email-editor\";s:410:\"<p>Bonjour {name-2} {name-1},</p>\n<p> </p>\n<p>Nous vous confirmons la bonne réception de votre candidature au poste de  <strong>{embed_title}</strong>. <br />Nous allons l\'étudier rapidement afin de vous donner une réponse dans les plus brefs délais.</p>\n<p>Merci pour ta patience et à très bientôt,<br />----------------------------------------<br />Ce message a été envoyé depuis {site_url}.</p>\";s:10:\"recipients\";s:9:\"{email-1}\";}}}");
INSERT INTO `wp_postmeta` VALUES("5262", "11981", "_elementor_data", "[{\"id\":\"23609a5\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"d09e40f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"3\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"2fcfbff\",\"elType\":\"widget\",\"settings\":{\"title\":\"Gagnez en visibilit\\u00e9 sur les moteurs de recherche\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"debbfb8\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>R\\u00e9f\\u00e9rencement<b> Nature<\\/b><\\/span>\\n<img class=\\\"trait7\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait7{width:102%;padding-left:68%;}\\nb:hover{\\ncolor: #f3bc34;\\n}\\n@media only screen and (max-width: 906px)  {\\n.trait7{display:none;}\\n.trait8{display:none;}\\n.trait{display:none;}\\n}\\n<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"89eaa90\",\"elType\":\"widget\",\"settings\":{\"title\":\"Le but du r\\u00e9f\\u00e9rencement naturel est d\\u2019\\u00eatre de fa\\u00e7on durable parmi les premiers dans les moteurs de recherche tel que Google, Bing, Yahoo\\u2026 Pour cela il est important pour vous restaurateurs de d\\u00e9finir avec nous <b>les mots cl\\u00e9s<\\/b> qui attireront les clients potentiels dans votre restaurant comme par exemple :\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"a601165\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Restaurant Paris 15 on compte environ 8000 recherches par mois\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Restaurant Marseille on compte environ 2500 recherches par mois\",\"_id\":\"a0b02e3\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-section\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"jus_con_list\":\"center\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"25\",\"bottom\":\"0\",\"left\":\"25\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"f9505d2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Aujourd\\u2019hui environ <b>8 personnes sur 10 passent par Internet<\\/b> pour trouver un restaurant et 1 recherche de restaurant sur 2 est d\\u00e9sormais effectu\\u00e9e sur un smartphone. C\\u2019est pourquoi notre p\\u00f4le r\\u00e9f\\u00e9rencement s\\u2019efforcera de trouver les expressions qui correspondent le plus \\u00e0 votre type de cuisine et votre zone g\\u00e9ographique pour vous positionner dans les meilleures recherches.\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"f3b1f07\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"caccc95\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"section-padding\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"html_tag\":\"div\",\"_title\":\"about section\",\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"0c127f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_width_layout\":\"container\"},\"elements\":[{\"id\":\"aad07d4\",\"elType\":\"widget\",\"settings\":{\"background_mask\":\"background-main\",\"width_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height_mask_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"top_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"top_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"left_mask\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"left_mask_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"left_mask_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_position\":\"absolute\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"calc_width_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_width_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"calc_height_mask\":{\"unit\":\"px\",\"size\":-120,\"sizes\":[]},\"calc_height_mask_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/09\\/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\",\"id\":6124,\"alt\":\"\",\"source\":\"library\"},\"image_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"dsn_bg_mask\"},{\"id\":\"16359b1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"0a569d6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"60\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"7cc6093\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/FDR_MR_31-scaled.jpg\",\"id\":12929,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"height\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ba7b655\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/PASTICCIO_MR_018.jpg\",\"id\":12949,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"120\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":95,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"9a7297c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"30\",\"bottom\":\"80\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"235886d\",\"elType\":\"widget\",\"settings\":{\"title\":\"R\\u00e9f\\u00e9rencement <b>Google Ads<\\/b>\\n<img class=\\\"trait8\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait8{width:58%}\\nb:hover{\\ncolor: #f3bc34;\\n}<\\/style>\",\"description\":\"Gagnez de nouveaux visiteurs dans votre restaurant\",\"dsn_html_tag\":\"span\",\"align\":\"\",\"space_section\":\"\",\"title_color\":\"heading-color\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"dsn_line_description\":\"circle-before\",\"_margin\":{\"unit\":\"px\",\"top\":\"120\",\"right\":\"90\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_title\"},{\"id\":\"e483888\",\"elType\":\"widget\",\"settings\":{\"title\":\"La publicit\\u00e9 sur Google Ads consiste \\u00e0 acheter des mots cl\\u00e9s pour vous positionner dans les premiers r\\u00e9sultats sans efforts techniques. Attention cela demande de notre part une recherche minutieuse afin de trouver les mots cl\\u00e9s <b>les plus pertinents<\\/b> et ayant un <b>CPC<\\/b> (co\\u00fbt par clic) int\\u00e9ressant dans le but d\\u2019avoir le meilleur retour sur investissement possible.\\n<br><br>\\nNotre mission : \",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"120\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"27fc508\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"d86441f\",\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Mener un audit de positionnement\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Optimiser votre CPC\",\"_id\":\"a0b02e3\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Obtenir de tr\\u00e8s bons Quality Score\",\"_id\":\"f0a0ede\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Augmenter votre taux de visites qualifi\\u00e9es\",\"_id\":\"7be9a95\"},{\"icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"text\":\"Augmenter votre chiffre d\\u2019affaire\",\"_id\":\"53e095b\"}],\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_color\":\"heading-color\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"row_layout_gap\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"bg_btn\":\"background-section\",\"item_padding_service\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"20\",\"bottom\":\"8\",\"left\":\"20\",\"isLinked\":false},\"item_border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"width_icon\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"width_icon_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_icon_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"full_width_last_item\":\"full-width-last-item\",\"jus_con_list\":\"flex-start\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_list\"},{\"id\":\"7765291\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"PRENDRE UN RENDEZ-VOUS\",\"parallax\":\"1\",\"move_circle\":\"move-circle\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"text_with_ajax\":\"PRENDRE UN RENDEZ-VOUS\",\"link\":{\"url\":\"https:\\/\\/calendly.com\\/kook-agency\\/30min\",\"is_external\":true,\"nofollow\":true,\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"e44fc13\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/FDR_MR_54-scaled.jpg\",\"id\":12950,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-30\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("5263", "11981", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("5264", "11981", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("5266", "11982", "_cdp_origin", "6180");
INSERT INTO `wp_postmeta` VALUES("5267", "11982", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("5268", "11982", "_cdp_origin_title", " Réseaux sociaux #[Counter]");
INSERT INTO `wp_postmeta` VALUES("5269", "11982", "_cdp_counter", "4");
INSERT INTO `wp_postmeta` VALUES("5270", "11982", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("5271", "11982", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("5272", "11982", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("5273", "11982", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("5274", "11982", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("5275", "11982", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("5276", "11982", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5277", "11982", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5278", "11982", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("5279", "11982", "_elementor_page_settings", "a:9:{s:11:\"show_header\";s:0:\"\";s:11:\"page_layout\";s:0:\"\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:21:\"background_background\";s:7:\"classic\";s:16:\"background_image\";a:5:{s:3:\"url\";s:103:\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png\";s:2:\"id\";i:6124;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:23:\"global_background_color\";s:6:\"v-dark\";s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("5280", "11982", "_elementor_data", "[{\"id\":\"1c5cfd2\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"29c4ce2\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7665068\",\"elType\":\"widget\",\"settings\":{\"title\":\"Donnez du peps \\u00e0 vos r\\u00e9seaux sociaux !\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"d380431\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>Reportage <b>Photo<\\/b><\\/span>\\n<img class=\\\"trait9\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait9{width:100%;padding-left:63%;}\\nb:hover{\\ncolor: #f3bc34; \\n}<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"9b13027\",\"elType\":\"widget\",\"settings\":{\"title\":\"Faites intervenir un photographe pour sublimer votre restaurant, nos photographes se chargerons de capturer vos plats, cuisine, \\u00e9quipe\\u2026\\nFaire appel \\u00e0 un photographe vous permet d\\u2019avoir des photos de qualit\\u00e9s de votre restaurant pour le mettre en valeur sur <b>Facebook & Instagram.<\\/b>\\n<br><br>\\nD\\u2019ailleurs, pourquoi ne pas en profiter pour jouer sur l\\u2019apparence de vos dressages ? Les consommateurs privil\\u00e9gient bien \\u00e9videmment le go\\u00fbt des aliments mais ils se laisseront aussi volontiers s\\u00e9duire par une assiette joliment pr\\u00e9sent\\u00e9e. L\\u2019allure de vos plats pourrait m\\u00eame devenir votre plus grand atout par rapport \\u00e0 vos concurrents. Il suffira ensuite d\\u2019un bon <b>photographe culinaire<\\/b> pour r\\u00e9aliser de belles photos et le tour sera jou\\u00e9 !\\n<br><br>\\nNon seulement vous mettrez l\\u2019eau \\u00e0 la bouche \\u00e0 vos clients mais vous r\\u00e9ussirez \\u00e9galement \\u00e0 les plonger dans un univers culinaire qui vous est propre !\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"1caeb6a\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9e920df\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mt-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"50\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"css_classes\":\"dsn-box-shadow\",\"_title\":\"picture\",\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"405e32b\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20},\"elements\":[{\"id\":\"25f4fc7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DANDY_MR_194-scaled.jpg\",\"id\":12954,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"075eb0e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/AMOUR_FLO_MR_28-1-scaled.jpg\",\"id\":12969,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"2278cec\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"6bc73e6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LOBEACH_MR_034-2-scaled.jpg\",\"id\":12970,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ab335c8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/P1460489-scaled.jpg\",\"id\":12682,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"9bc47f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"b1543f5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DSC06618-scaled.jpg\",\"id\":12941,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6c595c8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/6EMESENS_MR_010-1-scaled.jpg\",\"id\":12965,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"7979af1\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"490fc0c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/AV_Cafe-Capone_32-scaled.jpg\",\"id\":12968,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"57b3aa2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/VITA_MR_36-scaled.jpg\",\"id\":12673,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ed27edd\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20},\"elements\":[{\"id\":\"66ab8bf\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/RUBY_MR_061-scaled.jpg\",\"id\":12663,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6c5e919\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/179473332_1435143870158576_578293220653616719_n-scaled.jpg\",\"id\":12966,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("5281", "11982", "_elementor_data", "[{\"id\":\"1c5cfd2\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"background_overlay_image\":{\"url\":\"https:\\/\\/dsngrid.com\\/blackdsn\\/wp-content\\/uploads\\/sites\\/11\\/2022\\/08\\/rm309-adj-05.svg\",\"id\":3654,\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.2,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"html_tag\":\"header\",\"_title\":\"Header\"},\"elements\":[{\"id\":\"29c4ce2\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"dsn-container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7665068\",\"elType\":\"widget\",\"settings\":{\"title\":\"Donnez du peps \\u00e0 vos r\\u00e9seaux sociaux !\",\"font_size\":\"sm-title-block\",\"dsn_html_tag\":\"span\",\"title_typography_typography\":\"custom\",\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"d380431\",\"elType\":\"widget\",\"settings\":{\"title\":\"<span>Reportage <b>Photo<\\/b><\\/span>\\n<img class=\\\"trait9\\\" src=\\\"https:\\/\\/s3-us-west-2.amazonaws.com\\/s.cdpn.io\\/664131\\/underline.svg\\\" alt=\\\"ligne d\\u00e9labr\\u00e9e\\\">\\n<style>.trait9{width:100%;padding-left:63%;}\\nb:hover{\\ncolor: #f3bc34; \\n}<\\/style>\",\"font_size\":\"title-h2\",\"dsn_html_tag\":\"h1\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typography_text_transform\":\"uppercase\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\",\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"title_typography_line_height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"title_typography_line_height_mobile\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"9b13027\",\"elType\":\"widget\",\"settings\":{\"title\":\"Faites intervenir un photographe pour sublimer votre restaurant, nos photographes se chargerons de capturer vos plats, cuisine, \\u00e9quipe\\u2026\\nFaire appel \\u00e0 un photographe vous permet d\\u2019avoir des photos de qualit\\u00e9s de votre restaurant pour le mettre en valeur sur <b>Facebook & Instagram.<\\/b>\\n<br><br>\\nD\\u2019ailleurs, pourquoi ne pas en profiter pour jouer sur l\\u2019apparence de vos dressages ? Les consommateurs privil\\u00e9gient bien \\u00e9videmment le go\\u00fbt des aliments mais ils se laisseront aussi volontiers s\\u00e9duire par une assiette joliment pr\\u00e9sent\\u00e9e. L\\u2019allure de vos plats pourrait m\\u00eame devenir votre plus grand atout par rapport \\u00e0 vos concurrents. Il suffira ensuite d\\u2019un bon <b>photographe culinaire<\\/b> pour r\\u00e9aliser de belles photos et le tour sera jou\\u00e9 !\\n<br><br>\\nNon seulement vous mettrez l\\u2019eau \\u00e0 la bouche \\u00e0 vos clients mais vous r\\u00e9ussirez \\u00e9galement \\u00e0 les plonger dans un univers culinaire qui vous est propre !\",\"dsn_html_tag\":\"p\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"title_typography_typography\":\"custom\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"1caeb6a\",\"elType\":\"widget\",\"settings\":{\"style_btn\":\"dsn-normal-btn\",\"text\":\"Commencez maintenant\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content\":\"center\",\"type_link\":\"1\",\"link_post_id\":\"3857\",\"with_ajax\":\"effect-ajax\",\"border_radius\":{\"unit\":\"px\",\"top\":\"48\",\"right\":\"48\",\"bottom\":\"48\",\"left\":\"48\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9e920df\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"mt-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"50\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"css_classes\":\"dsn-box-shadow\",\"_title\":\"picture\",\"html_tag\":\"div\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"405e32b\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20},\"elements\":[{\"id\":\"25f4fc7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DANDY_MR_194-scaled.jpg\",\"id\":12954,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"075eb0e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/AMOUR_FLO_MR_28-1-scaled.jpg\",\"id\":12969,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"2278cec\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"6bc73e6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LOBEACH_MR_034-2-scaled.jpg\",\"id\":12970,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"ab335c8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/P1460489-scaled.jpg\",\"id\":12682,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"9bc47f9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"70\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"b1543f5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DSC06618-scaled.jpg\",\"id\":12941,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6c595c8\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/6EMESENS_MR_010-1-scaled.jpg\",\"id\":12965,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"7979af1\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[{\"id\":\"490fc0c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/AV_Cafe-Capone_32-scaled.jpg\",\"id\":12968,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"57b3aa2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/VITA_MR_36-scaled.jpg\",\"id\":12673,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ed27edd\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_inline_size_mobile\":20},\"elements\":[{\"id\":\"66ab8bf\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/RUBY_MR_061-scaled.jpg\",\"id\":12663,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6c5e919\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/179473332_1435143870158576_578293220653616719_n-scaled.jpg\",\"id\":12966,\"source\":\"library\",\"alt\":\"\",\"size\":\"\"},\"image_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("5282", "11982", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("5283", "11982", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("5285", "11980", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("5294", "11980", "_edit_lock", "1686052151:1");
INSERT INTO `wp_postmeta` VALUES("5295", "11981", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("5304", "11981", "_edit_lock", "1686052618:1");
INSERT INTO `wp_postmeta` VALUES("5305", "11982", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6354", "12143", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2022/08/BAP_MR_015-scaled.jpg\";s:8:\"filesize\";i:446193;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"BAP_MR_015-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11660;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_015-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73375;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_015-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5808;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_015-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88583;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"BAP_MR_015-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:146679;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"BAP_MR_015-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:264251;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"BAP_MR_015-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:200486;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"BAP_MR_015-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104161;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"BAP_MR_015-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33970;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_015-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3526;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:14:\"KOOK_AGENCY_MR\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1657709839\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"72\";s:3:\"iso\";s:4:\"1000\";s:13:\"shutter_speed\";s:5:\"0.005\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"BAP_MR_015.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("5314", "11982", "_edit_lock", "1686063374:1");
INSERT INTO `wp_postmeta` VALUES("5315", "3", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("5316", "3", "_edit_lock", "1685967440:1");
INSERT INTO `wp_postmeta` VALUES("5317", "11124", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("5318", "11124", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("5319", "11124", "_edit_lock", "1685439215:1");
INSERT INTO `wp_postmeta` VALUES("5320", "11988", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("5321", "11988", "_menu_item_menu_item_parent", "11666");
INSERT INTO `wp_postmeta` VALUES("5322", "11988", "_menu_item_object_id", "11982");
INSERT INTO `wp_postmeta` VALUES("5323", "11988", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("5324", "11988", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("5325", "11988", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("5326", "11988", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("5327", "11988", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5377", "11988", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5329", "11989", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("5330", "11989", "_menu_item_menu_item_parent", "11666");
INSERT INTO `wp_postmeta` VALUES("5331", "11989", "_menu_item_object_id", "11981");
INSERT INTO `wp_postmeta` VALUES("5332", "11989", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("5333", "11989", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("5334", "11989", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("5335", "11989", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("5336", "11989", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5376", "11989", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5338", "11990", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("5339", "11990", "_menu_item_menu_item_parent", "11666");
INSERT INTO `wp_postmeta` VALUES("5340", "11990", "_menu_item_object_id", "11980");
INSERT INTO `wp_postmeta` VALUES("5341", "11990", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("5342", "11990", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("5343", "11990", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("5344", "11990", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("5345", "11990", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5375", "11990", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5347", "11991", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("5348", "11991", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("5349", "11991", "_menu_item_object_id", "10485");
INSERT INTO `wp_postmeta` VALUES("5350", "11991", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("5351", "11991", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("5352", "11991", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("5353", "11991", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("5354", "11991", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5355", "11991", "_menu_item_orphaned", "1685439475");
INSERT INTO `wp_postmeta` VALUES("5356", "11992", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("5357", "11992", "_menu_item_menu_item_parent", "11666");
INSERT INTO `wp_postmeta` VALUES("5358", "11992", "_menu_item_object_id", "6180");
INSERT INTO `wp_postmeta` VALUES("5359", "11992", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("5360", "11992", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("5361", "11992", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("5362", "11992", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("5363", "11992", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5374", "11992", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5365", "11993", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("5366", "11993", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("5367", "11993", "_menu_item_object_id", "11096");
INSERT INTO `wp_postmeta` VALUES("5368", "11993", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("5369", "11993", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("5370", "11993", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("5371", "11993", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("5372", "11993", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("5378", "11993", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("5457", "12009", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:39:\"2023/05/Kook-Studio-2022-4-1-scaled.jpg\";s:8:\"filesize\";i:181282;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"Kook-Studio-2022-4-1-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7818;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"Kook-Studio-2022-4-1-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40473;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"Kook-Studio-2022-4-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4738;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:33:\"Kook-Studio-2022-4-1-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47983;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:34:\"Kook-Studio-2022-4-1-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75111;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:34:\"Kook-Studio-2022-4-1-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:121295;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:34:\"Kook-Studio-2022-4-1-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97075;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:34:\"Kook-Studio-2022-4-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61001;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"Kook-Studio-2022-4-1-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19986;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"Kook-Studio-2022-4-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3088;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"1.8\";s:6:\"credit\";s:15:\"Benjamin Hubert\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1652276786\";s:9:\"copyright\";s:15:\"Benjamin Hubert\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"400\";s:13:\"shutter_speed\";s:5:\"0.002\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:24:\"Kook-Studio-2022-4-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("5427", "12004", "_wp_attached_file", "2023/05/impronta_restaurant-1-1.jpg");
INSERT INTO `wp_postmeta` VALUES("5425", "12003", "_wp_attached_file", "2023/05/IMG_9580-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("5426", "12003", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2023/05/IMG_9580-1-scaled.jpg\";s:8:\"filesize\";i:765978;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"IMG_9580-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22399;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"IMG_9580-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147941;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"IMG_9580-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7751;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"IMG_9580-1-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92734;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"IMG_9580-1-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:294346;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"IMG_9580-1-2048x2048.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:494295;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"IMG_9580-1-1200x1200.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:192047;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"IMG_9580-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147941;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"IMG_9580-1-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35697;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"IMG_9580-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4354;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:14:\"@patte-a-photo\";s:6:\"camera\";s:15:\"Canon EOS 1300D\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1650881863\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"27\";s:3:\"iso\";s:3:\"125\";s:13:\"shutter_speed\";s:5:\"0.025\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"IMG_9580-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("5428", "12004", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:35:\"2023/05/impronta_restaurant-1-1.jpg\";s:8:\"filesize\";i:122381;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"impronta_restaurant-1-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18767;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"impronta_restaurant-1-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6951;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"impronta_restaurant-1-1-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73476;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"impronta_restaurant-1-1-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29837;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"impronta_restaurant-1-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4075;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5429", "12005", "_wp_attached_file", "2023/05/thank-me_after-min-1-1.jpg");
INSERT INTO `wp_postmeta` VALUES("5430", "12005", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:34:\"2023/05/thank-me_after-min-1-1.jpg\";s:8:\"filesize\";i:111244;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"thank-me_after-min-1-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14761;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"thank-me_after-min-1-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5640;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"thank-me_after-min-1-1-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61441;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"thank-me_after-min-1-1-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23686;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"thank-me_after-min-1-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3444;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5456", "12009", "_wp_attached_file", "2023/05/Kook-Studio-2022-4-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("5495", "12015", "_wp_attached_file", "2023/05/pongo-1.png");
INSERT INTO `wp_postmeta` VALUES("5496", "12015", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:600;s:6:\"height\";i:600;s:4:\"file\";s:19:\"2023/05/pongo-1.png\";s:8:\"filesize\";i:32874;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"pongo-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12967;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"pongo-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5569;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:19:\"pongo-1-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22905;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:19:\"pongo-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3488;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5497", "12016", "_wp_attached_file", "2023/05/logo_primary_light-1-1.png");
INSERT INTO `wp_postmeta` VALUES("5498", "12016", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2000;s:6:\"height\";i:853;s:4:\"file\";s:34:\"2023/05/logo_primary_light-1-1.png\";s:8:\"filesize\";i:43561;s:5:\"sizes\";a:9:{s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"logo_primary_light-1-1-300x128.png\";s:5:\"width\";i:300;s:6:\"height\";i:128;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6638;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"logo_primary_light-1-1-1024x437.png\";s:5:\"width\";i:1024;s:6:\"height\";i:437;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31852;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"logo_primary_light-1-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3693;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"logo_primary_light-1-1-768x328.png\";s:5:\"width\";i:768;s:6:\"height\";i:328;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22092;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:35:\"logo_primary_light-1-1-1536x655.png\";s:5:\"width\";i:1536;s:6:\"height\";i:655;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:54503;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:35:\"logo_primary_light-1-1-1200x512.png\";s:5:\"width\";i:1200;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:37960;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:35:\"logo_primary_light-1-1-1024x853.png\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24333;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"logo_primary_light-1-1-416x177.png\";s:5:\"width\";i:416;s:6:\"height\";i:177;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9861;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"logo_primary_light-1-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2406;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5499", "12017", "_wp_attached_file", "2023/05/partoo_logo-1.png");
INSERT INTO `wp_postmeta` VALUES("5500", "12017", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1160;s:6:\"height\";i:358;s:4:\"file\";s:25:\"2023/05/partoo_logo-1.png\";s:8:\"filesize\";i:11954;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"partoo_logo-1-300x93.png\";s:5:\"width\";i:300;s:6:\"height\";i:93;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11536;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"partoo_logo-1-1024x316.png\";s:5:\"width\";i:1024;s:6:\"height\";i:316;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:51404;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"partoo_logo-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5441;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"partoo_logo-1-768x237.png\";s:5:\"width\";i:768;s:6:\"height\";i:237;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:36109;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"partoo_logo-1-1024x358.png\";s:5:\"width\";i:1024;s:6:\"height\";i:358;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24489;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"partoo_logo-1-416x128.png\";s:5:\"width\";i:416;s:6:\"height\";i:128;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17187;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"partoo_logo-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3593;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5501", "12018", "_wp_attached_file", "2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1.png");
INSERT INTO `wp_postmeta` VALUES("5502", "12018", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:576;s:6:\"height\";i:139;s:4:\"file\";s:51:\"2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1.png\";s:8:\"filesize\";i:2906;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"61378a6aa73744d413238ebf_HEMBLEM-logo-1-300x72.png\";s:5:\"width\";i:300;s:6:\"height\";i:72;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5124;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:51:\"61378a6aa73744d413238ebf_HEMBLEM-logo-1-150x139.png\";s:5:\"width\";i:150;s:6:\"height\";i:139;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1149;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:51:\"61378a6aa73744d413238ebf_HEMBLEM-logo-1-416x100.png\";s:5:\"width\";i:416;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6859;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:51:\"61378a6aa73744d413238ebf_HEMBLEM-logo-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2095;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5503", "12019", "_wp_attached_file", "2023/05/Logo_WhatisEAT_2021_violet-1.png");
INSERT INTO `wp_postmeta` VALUES("5504", "12019", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:200;s:4:\"file\";s:40:\"2023/05/Logo_WhatisEAT_2021_violet-1.png\";s:8:\"filesize\";i:15792;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:39:\"Logo_WhatisEAT_2021_violet-1-300x75.png\";s:5:\"width\";i:300;s:6:\"height\";i:75;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9446;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"Logo_WhatisEAT_2021_violet-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4117;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"Logo_WhatisEAT_2021_violet-1-768x192.png\";s:5:\"width\";i:768;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29546;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"Logo_WhatisEAT_2021_violet-1-416x104.png\";s:5:\"width\";i:416;s:6:\"height\";i:104;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13815;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"Logo_WhatisEAT_2021_violet-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2373;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5505", "12020", "_wp_attached_file", "2023/05/Meta-Logo-1.png");
INSERT INTO `wp_postmeta` VALUES("5506", "12020", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:3840;s:6:\"height\";i:2160;s:4:\"file\";s:23:\"2023/05/Meta-Logo-1.png\";s:8:\"filesize\";i:111916;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"Meta-Logo-1-300x169.png\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10965;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"Meta-Logo-1-1024x576.png\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:63631;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"Meta-Logo-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4861;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"Meta-Logo-1-768x432.png\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39739;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"Meta-Logo-1-1536x864.png\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:120656;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"Meta-Logo-1-2048x1152.png\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:215089;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"Meta-Logo-1-1200x675.png\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:83323;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"Meta-Logo-1-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:80800;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"Meta-Logo-1-416x234.png\";s:5:\"width\";i:416;s:6:\"height\";i:234;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17192;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"Meta-Logo-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3042;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6353", "12143", "_wp_attached_file", "2022/08/BAP_MR_015-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6355", "12144", "_wp_attached_file", "2022/08/BAP_MR_031-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6356", "12144", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2022/08/BAP_MR_031-scaled.jpg\";s:8:\"filesize\";i:277448;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"BAP_MR_031-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9950;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_031-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:56756;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_031-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5361;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_031-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67375;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"BAP_MR_031-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107490;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"BAP_MR_031-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:178585;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"BAP_MR_031-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:141136;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"BAP_MR_031-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83615;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"BAP_MR_031-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27029;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_031-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3332;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:14:\"KOOK_AGENCY_MR\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1657711910\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:5:\"0.002\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"BAP_MR_031.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6231", "6148", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6242", "6133", "_edit_lock", "1685533677:1");
INSERT INTO `wp_postmeta` VALUES("6243", "11888", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6234", "6148", "_edit_lock", "1685972344:1");
INSERT INTO `wp_postmeta` VALUES("6357", "12145", "_wp_attached_file", "2022/08/BAP_MR_008-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6358", "12145", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2022/08/BAP_MR_008-scaled.jpg\";s:8:\"filesize\";i:644043;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"BAP_MR_008-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19677;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_008-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:139543;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_008-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8344;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BAP_MR_008-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167068;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"BAP_MR_008-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:264345;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"BAP_MR_008-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:429001;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"BAP_MR_008-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:343107;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"BAP_MR_008-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:148161;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"BAP_MR_008-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63427;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"BAP_MR_008-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4688;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:14:\"KOOK_AGENCY_MR\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1657709582\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"24\";s:3:\"iso\";s:3:\"640\";s:13:\"shutter_speed\";s:6:\"0.0125\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"BAP_MR_008.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("5954", "12080", "forminator_form_meta", "a:6:{s:6:\"fields\";a:12:{i:0;a:10:{s:2:\"id\";s:6:\"html-2\";s:10:\"element_id\";s:6:\"html-2\";s:7:\"form_id\";s:17:\"wrapper-8261-2159\";s:4:\"type\";s:4:\"html\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-8261-2159\";s:11:\"field_label\";s:0:\"\";s:10:\"variations\";s:85:\"<p><strong>Remplissez ce formulaire pour tester de nouveaux restaurant !</strong></p>\";}i:1;a:27:{s:2:\"id\";s:6:\"name-1\";s:10:\"element_id\";s:6:\"name-1\";s:7:\"form_id\";s:17:\"wrapper-1829-7743\";s:4:\"type\";s:4:\"name\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-1829-7743\";s:11:\"field_label\";s:11:\"Votre Nom :\";s:11:\"placeholder\";s:0:\"\";s:12:\"prefix_label\";s:8:\"Préfixe\";s:11:\"fname_label\";s:7:\"Prénom\";s:17:\"fname_placeholder\";s:19:\"Par exemple : Jean\";s:11:\"mname_label\";s:17:\"Deuxième prénom\";s:17:\"mname_placeholder\";s:21:\"Par exemple : Dupont\";s:11:\"lname_label\";s:14:\"Nom de famille\";s:17:\"lname_placeholder\";s:21:\"Par exemple : Durand\";s:6:\"prefix\";s:4:\"true\";s:5:\"fname\";s:4:\"true\";s:5:\"mname\";s:4:\"true\";s:5:\"lname\";s:4:\"true\";s:16:\"required_message\";s:23:\"Le nom est obligatoire.\";s:23:\"prefix_required_message\";s:28:\"Le préfixe est obligatoire.\";s:22:\"fname_required_message\";s:27:\"Le prénom est obligatoire.\";s:22:\"mname_required_message\";s:37:\"Le deuxième prénom est obligatoire.\";s:22:\"lname_required_message\";s:23:\"Le nom est obligatoire.\";s:8:\"required\";s:1:\"1\";}i:2;a:14:{s:2:\"id\";s:6:\"text-1\";s:10:\"element_id\";s:6:\"text-1\";s:7:\"form_id\";s:17:\"wrapper-8317-4005\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-8317-4005\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:24:\"Votre compte Instagram :\";s:11:\"placeholder\";s:0:\"\";s:8:\"required\";s:1:\"1\";s:16:\"required_message\";s:65:\"Ce champ est obligatoire, veuillez saisir votre compte instagram.\";}i:3;a:31:{s:2:\"id\";s:9:\"address-1\";s:10:\"element_id\";s:9:\"address-1\";s:7:\"form_id\";s:17:\"wrapper-2878-7327\";s:4:\"type\";s:7:\"address\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-2878-7327\";s:14:\"street_address\";s:0:\"\";s:12:\"address_city\";s:4:\"true\";s:13:\"address_state\";s:0:\"\";s:11:\"address_zip\";s:0:\"\";s:15:\"address_country\";s:0:\"\";s:12:\"address_line\";s:0:\"\";s:20:\"street_address_label\";s:3:\"Rue\";s:26:\"street_address_placeholder\";s:28:\"Par exemple : 10 grande rue\";s:18:\"address_city_label\";s:5:\"Ville\";s:24:\"address_city_placeholder\";s:20:\"Par exemple : Paris\";s:19:\"address_state_label\";s:14:\"État/Province\";s:25:\"address_state_placeholder\";s:21:\"Par exemple : France\";s:17:\"address_zip_label\";s:11:\"Code postal\";s:23:\"address_zip_placeholder\";s:19:\"Par exemple : 2000\";s:21:\"address_country_label\";s:4:\"Pays\";s:18:\"address_line_label\";s:24:\"Appartement, suite, etc.\";s:31:\"street_address_required_message\";s:62:\"Ce champ est obligatoire. Veuillez saisir l’adresse postale.\";s:28:\"address_zip_required_message\";s:57:\"Ce champ est obligatoire. Veuillez saisir le code postal.\";s:32:\"address_country_required_message\";s:57:\"Ce champ est obligatoire. Veuillez sélectionner le pays.\";s:29:\"address_city_required_message\";s:51:\"Ce champ est obligatoire. Veuillez saisir la ville.\";s:30:\"address_state_required_message\";s:52:\"Ce champ est obligatoire, veuillez saisir l’État.\";s:29:\"address_line_required_message\";s:63:\"Ce champ est obligatoire. Veuillez saisir la ligne d’adresse.\";s:21:\"address_city_required\";s:1:\"1\";}i:4;a:13:{s:2:\"id\";s:7:\"email-1\";s:10:\"element_id\";s:7:\"email-1\";s:7:\"form_id\";s:17:\"wrapper-9843-7628\";s:4:\"type\";s:5:\"email\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9843-7628\";s:10:\"validation\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:11:\"field_label\";s:22:\"Votre adresse e-mail :\";s:8:\"required\";s:1:\"1\";s:16:\"required_message\";s:67:\"Ce champ est obligatoire, veuillez entrer une adresse email valide.\";}i:5;a:15:{s:2:\"id\";s:7:\"phone-1\";s:10:\"element_id\";s:7:\"phone-1\";s:7:\"form_id\";s:17:\"wrapper-9843-7628\";s:4:\"type\";s:5:\"phone\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9843-7628\";s:8:\"required\";s:0:\"\";s:5:\"limit\";s:2:\"10\";s:10:\"limit_type\";s:10:\"characters\";s:10:\"validation\";s:4:\"none\";s:11:\"field_label\";s:13:\"Téléphone :\";s:11:\"placeholder\";s:0:\"\";s:16:\"required_message\";s:71:\"Ce champ est obligatoire, veuillez saisir votre numéro de téléphone.\";}i:6;a:13:{s:2:\"id\";s:8:\"number-1\";s:10:\"element_id\";s:8:\"number-1\";s:7:\"form_id\";s:17:\"wrapper-4629-2322\";s:4:\"type\";s:6:\"number\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-4629-2322\";s:12:\"calculations\";s:4:\"true\";s:9:\"limit_min\";s:1:\"1\";s:9:\"limit_max\";s:8:\"10000000\";s:11:\"field_label\";s:23:\"Nombre moyen de likes :\";s:11:\"placeholder\";s:0:\"\";}i:7;a:12:{s:2:\"id\";s:6:\"text-2\";s:10:\"element_id\";s:6:\"text-2\";s:7:\"form_id\";s:17:\"wrapper-4629-2322\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:1:\"6\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-4629-2322\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:25:\"Votre taux d\'engagement :\";s:11:\"placeholder\";s:0:\"\";}i:8;a:12:{s:2:\"id\";s:6:\"text-3\";s:10:\"element_id\";s:6:\"text-3\";s:7:\"form_id\";s:17:\"wrapper-1367-2319\";s:4:\"type\";s:4:\"text\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-1367-2319\";s:10:\"input_type\";s:4:\"line\";s:10:\"limit_type\";s:10:\"characters\";s:11:\"field_label\";s:15:\"Votre univers :\";s:11:\"placeholder\";s:35:\"(exemple : Food, Lifstyle, Mode...)\";}i:9;a:12:{s:2:\"id\";s:9:\"consent-1\";s:10:\"element_id\";s:9:\"consent-1\";s:7:\"form_id\";s:17:\"wrapper-9959-6601\";s:4:\"type\";s:7:\"consent\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-9959-6601\";s:8:\"required\";s:4:\"true\";s:11:\"field_label\";s:0:\"\";s:19:\"consent_description\";s:543:\"<p>Oui, J’accepte <a href=\"https://www.kook-agency.fr/politique-de-confidentialite\" target=\"_blank\" rel=\"noopener\">la politique de confidentialité</a>. Je suis informé que mes données ne seront utilisées que par www.kook-agency.fr et ne seront en aucun cas transmis à des tiers. Et j\'autorise le propriétaire du site  www.kook-agency.fr à me contacter pour répondre à ma demande.</p>\n<p style=\"font-size: 14px;font-style: italic\">En cochant cette case, j\'accepte que mes données personnelles soient utilisées par Kook Agency</p>\";s:16:\"required_message\";s:50:\"Ce champ est obligatoire, veuillez cocher la case.\";}i:10;a:17:{s:2:\"id\";s:9:\"captcha-1\";s:10:\"element_id\";s:9:\"captcha-1\";s:7:\"form_id\";s:17:\"wrapper-3477-3866\";s:4:\"type\";s:7:\"captcha\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-3477-3866\";s:16:\"captcha_provider\";s:9:\"recaptcha\";s:12:\"captcha_type\";s:11:\"v2_checkbox\";s:13:\"hcaptcha_type\";s:11:\"hc_checkbox\";s:15:\"score_threshold\";s:3:\"0.5\";s:13:\"captcha_badge\";s:11:\"bottomright\";s:19:\"hc_invisible_notice\";s:173:\"This site is protected by hCaptcha and its <a href=\"https://hcaptcha.com/privacy\"> Privacy Policy </a> and <a href=\"https://hcaptcha.com/terms\"> Terms of Service </a> apply.\";s:23:\"recaptcha_error_message\";s:59:\"La vérification reCAPTCHA a échoué, veuillez réessayer.\";s:22:\"hcaptcha_error_message\";s:47:\"hCaptcha verification failed. Please try again.\";s:8:\"language\";s:2:\"fr\";}i:11;a:10:{s:2:\"id\";s:6:\"html-1\";s:10:\"element_id\";s:6:\"html-1\";s:7:\"form_id\";s:17:\"wrapper-2377-4635\";s:4:\"type\";s:4:\"html\";s:7:\"options\";a:0:{}s:4:\"cols\";s:2:\"12\";s:10:\"conditions\";a:0:{}s:10:\"wrapper_id\";s:17:\"wrapper-2377-4635\";s:11:\"field_label\";s:0:\"\";s:10:\"variations\";s:21:\"(* champ obligatoire)\";}}s:8:\"settings\";a:102:{s:17:\"pagination-header\";s:3:\"nav\";s:14:\"paginationData\";a:2:{s:24:\"pagination-header-design\";s:4:\"show\";s:17:\"pagination-header\";s:3:\"nav\";}s:8:\"formName\";s:53:\"Vous êtes influenceur(se) ou micro-influenceur(se) ?\";s:7:\"version\";s:7:\"1.15.11\";s:17:\"form-border-style\";s:4:\"none\";s:12:\"form-padding\";s:0:\"\";s:11:\"form-border\";s:0:\"\";s:12:\"fields-style\";s:4:\"open\";s:10:\"validation\";s:9:\"on_submit\";s:18:\"akismet-protection\";s:1:\"1\";s:10:\"form-style\";s:8:\"material\";s:11:\"enable-ajax\";s:4:\"true\";s:9:\"autoclose\";s:4:\"true\";s:20:\"submission-indicator\";s:4:\"show\";s:15:\"indicator-label\";s:22:\"Soumission en cours…\";s:9:\"form-type\";s:7:\"default\";s:20:\"submission-behaviour\";s:18:\"behaviour-thankyou\";s:16:\"thankyou-message\";s:67:\"Merci de nous avoir contacté, nous reviendrons vers vous sous peu.\";s:10:\"submitData\";a:2:{s:18:\"custom-submit-text\";s:7:\"ENVOYER\";s:27:\"custom-invalid-form-message\";s:79:\"Erreur : votre formulaire n’est pas valide, veuillez corriger les erreurs !\";}s:17:\"validation-inline\";s:1:\"1\";s:11:\"form-expire\";s:9:\"no_expire\";s:16:\"form-padding-top\";s:1:\"0\";s:18:\"form-padding-right\";s:1:\"0\";s:19:\"form-padding-bottom\";s:1:\"0\";s:17:\"form-padding-left\";s:1:\"0\";s:17:\"form-border-width\";s:1:\"0\";s:18:\"form-border-radius\";s:1:\"0\";s:23:\"cform-label-font-family\";s:6:\"Roboto\";s:25:\"cform-label-custom-family\";s:0:\"\";s:21:\"cform-label-font-size\";s:2:\"12\";s:23:\"cform-label-font-weight\";s:4:\"bold\";s:23:\"cform-title-font-family\";s:6:\"Roboto\";s:25:\"cform-title-custom-family\";s:0:\"\";s:21:\"cform-title-font-size\";s:2:\"45\";s:23:\"cform-title-font-weight\";s:6:\"normal\";s:22:\"cform-title-text-align\";s:4:\"left\";s:26:\"cform-subtitle-font-family\";s:6:\"Roboto\";s:26:\"cform-subtitle-custom-font\";s:0:\"\";s:24:\"cform-subtitle-font-size\";s:2:\"18\";s:26:\"cform-subtitle-font-weight\";s:6:\"normal\";s:25:\"cform-subtitle-text-align\";s:4:\"left\";s:23:\"cform-input-font-family\";s:6:\"Roboto\";s:23:\"cform-input-custom-font\";s:0:\"\";s:21:\"cform-input-font-size\";s:2:\"16\";s:23:\"cform-input-font-weight\";s:6:\"normal\";s:23:\"cform-radio-font-family\";s:6:\"Roboto\";s:23:\"cform-radio-custom-font\";s:0:\"\";s:21:\"cform-radio-font-size\";s:2:\"14\";s:23:\"cform-radio-font-weight\";s:6:\"normal\";s:24:\"cform-select-font-family\";s:6:\"Roboto\";s:26:\"cform-select-custom-family\";s:0:\"\";s:22:\"cform-select-font-size\";s:2:\"16\";s:24:\"cform-select-font-weight\";s:6:\"normal\";s:29:\"cform-multiselect-font-family\";s:6:\"Roboto\";s:29:\"cform-multiselect-custom-font\";s:0:\"\";s:27:\"cform-multiselect-font-size\";s:2:\"16\";s:29:\"cform-multiselect-font-weight\";s:6:\"normal\";s:26:\"cform-dropdown-font-family\";s:6:\"Roboto\";s:26:\"cform-dropdown-custom-font\";s:0:\"\";s:24:\"cform-dropdown-font-size\";s:2:\"16\";s:26:\"cform-dropdown-font-weight\";s:6:\"normal\";s:26:\"cform-calendar-font-family\";s:6:\"Roboto\";s:26:\"cform-calendar-custom-font\";s:0:\"\";s:24:\"cform-calendar-font-size\";s:2:\"13\";s:26:\"cform-calendar-font-weight\";s:6:\"normal\";s:24:\"cform-button-font-family\";s:6:\"Roboto\";s:24:\"cform-button-custom-font\";s:0:\"\";s:22:\"cform-button-font-size\";s:2:\"14\";s:24:\"cform-button-font-weight\";s:3:\"500\";s:26:\"cform-timeline-font-family\";s:6:\"Roboto\";s:26:\"cform-timeline-custom-font\";s:0:\"\";s:24:\"cform-timeline-font-size\";s:2:\"12\";s:26:\"cform-timeline-font-weight\";s:6:\"normal\";s:28:\"cform-pagination-font-family\";s:0:\"\";s:28:\"cform-pagination-custom-font\";s:0:\"\";s:26:\"cform-pagination-font-size\";s:2:\"16\";s:28:\"cform-pagination-font-weight\";s:6:\"normal\";s:19:\"payment_require_ssl\";s:0:\"\";s:15:\"submission-file\";s:6:\"delete\";s:9:\"form_name\";s:46:\"vous-etes-influenceurse-ou-micro-influenceurse\";s:11:\"form_status\";s:7:\"publish\";s:20:\"cform-color-settings\";s:4:\"true\";s:17:\"cform-label-color\";s:7:\"#000000\";s:12:\"input-border\";s:7:\"#000000\";s:17:\"input-placeholder\";s:7:\"#000000\";s:18:\"input-border-hover\";s:7:\"#000000\";s:19:\"input-border-active\";s:7:\"#000000\";s:31:\"button-submit-background-static\";s:7:\"#ffffff\";s:26:\"button-submit-color-static\";s:7:\"#000000\";s:30:\"button-submit-background-hover\";s:7:\"#000000\";s:31:\"button-submit-background-active\";s:7:\"#333333\";s:14:\"use-custom-css\";s:1:\"1\";s:10:\"custom_css\";s:508:\".forminator-button-submit {\r\n    border: 1px solid #000 !important;\r\n    border-radius: 0 !important;\r\n}\r\n#html-2 {\r\n    text-align: center;\r\n}\r\ninput:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, textarea:-webkit-autofill, textarea:-webkit-autofill:hover, textarea:-webkit-autofill:focus, select:-webkit-autofill, select:-webkit-autofill:hover, select:-webkit-autofill:focus {\r\n-webkit-box-shadow: 0 0 0px 1000px #fff inset;\r\n        box-shadow: 0 0 0px 1000px #fff inset;\r\n}\";s:19:\"select-border-hover\";s:7:\"#333333\";s:17:\"select-icon-hover\";s:7:\"#333333\";s:20:\"select-border-active\";s:7:\"#000000\";s:18:\"select-icon-active\";s:7:\"#000000\";s:19:\"radio-border-static\";s:7:\"#333333\";s:23:\"radio-background-static\";s:7:\"#ffffff\";s:19:\"radio-border-active\";s:7:\"#000000\";s:10:\"radio-icon\";s:7:\"#000000\";s:7:\"form_id\";i:12080;}s:9:\"client_id\";s:0:\"\";s:22:\"integration_conditions\";a:0:{}s:9:\"behaviors\";a:1:{i:0;a:10:{s:4:\"slug\";s:18:\"behavior-1234-4567\";s:5:\"label\";s:0:\"\";s:14:\"autoclose-time\";s:1:\"5\";s:9:\"autoclose\";s:4:\"true\";s:6:\"newtab\";s:7:\"sametab\";s:16:\"thankyou-message\";s:67:\"Merci de nous avoir contacté, nous reviendrons vers vous sous peu.\";s:22:\"email-thankyou-message\";s:0:\"\";s:23:\"manual-thankyou-message\";s:0:\"\";s:20:\"submission-behaviour\";s:18:\"behaviour-thankyou\";s:12:\"redirect-url\";s:0:\"\";}}s:13:\"notifications\";a:2:{i:0;a:8:{s:4:\"slug\";s:22:\"notification-1234-4567\";s:5:\"label\";s:11:\"Admin Email\";s:16:\"email-recipients\";s:7:\"default\";s:10:\"recipients\";s:64:\"contact@kook-agency.fr,olivu2b@hotmail.fr,olivier@kook-agency.fr\";s:13:\"email-subject\";s:66:\"Nouvelle entrée de formulaire n°{submission_id} pour {form_name}\";s:12:\"email-editor\";s:2962:\"<table class=\"top-panel center\" border=\"0\" width=\"602\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr style=\"background: #000\">\n<td class=\"title\" style=\"text-align: left;width: 50%;padding: 8px 0;color: #616161;font-family: Roboto, Helvetica, sans-serif;font-weight: 400;font-size: 12px;line-height: 14px\" width=\"300\"><a style=\"font-size: 25px;text-decoration: none;color: #000;font-weight: 500\" href=\"{site_url}\"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/logo-blanc.png\" alt=\"KOOK Agency\" width=\"199\" height=\"90\" /></a></td>\n<td class=\"subject\" style=\"text-align: right;width: 50%;padding: 8px 0;color: #616161;font-family: Roboto, Helvetica, sans-serif;font-weight: 900;font-size: 19px;line-height: 14px;vertical-align: bottom\" width=\"300\"> </td>\n</tr>\n<tr>\n<td class=\"border\" colspan=\"2\"><hr style=\"background-color: #e0e0e0\" /></td>\n</tr>\n</tbody>\n</table>\n<div class=\"spacer\"> </div>\n<table class=\"main center\" style=\"padding: 1%\" border=\"0\" width=\"602\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td class=\"column\">\n<div class=\"column-top\"> </div>\n<table class=\"content\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td class=\"padded\">\n<p>Bonjour, <br /><br />Vous avez un nouveau message depuis le formulaire de votre site Web: <br />Voici les informations reçues:</p>\n<table style=\"width: 100%\">\n<tbody>\n<tr>\n<td><strong>Nom :</strong></td>\n<td>{name-1}</td>\n</tr>\n<tr>\n<td><strong>Compte Instagram :</strong></td>\n<td>{text-1}</td>\n</tr>\n<tr>\n<td><strong>Adresse mail :</strong></td>\n<td>{email-1}</td>\n</tr>\n<tr>\n<td><strong>Téléphone :</strong></td>\n<td>{phone-1}</td>\n</tr>\n<tr>\n<td><strong>Nombre moyen de likes :</strong></td>\n<td>{number-1}</td>\n</tr>\n<tr>\n<td><strong>Taux d\'engagement :</strong></td>\n<td>{text-2}</td>\n</tr>\n<tr>\n<td><strong>Univers :</strong></td>\n<td>{text-3}</td>\n</tr>\n</tbody>\n</table>\n<br />---------------------------------------<br />Ce message a été envoyé depuis {site_url}</td>\n</tr>\n</tbody>\n</table>\n<div class=\"column-bottom\"> </div>\n</td>\n</tr>\n</tbody>\n</table>\n<div class=\"spacer\"> </div>\n<table class=\"footer center\" border=\"0\" width=\"602\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr>\n<td class=\"border\" colspan=\"2\"><hr style=\"background-color: #e0e0e0\" /></td>\n</tr>\n<tr style=\"background: #000;color: #fff !important\">\n<td class=\"signature\" style=\"padding-left: 2%\" width=\"300\"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2021/01/logo-blanc.png\" alt=\"KOOK Agency\" width=\"199\" height=\"90\" />\n<p>TOULON – PARIS</p>\n<p>Téléphone : 01 86 90 50 99</p>\n<p>Contact: <a class=\"strong\" style=\"color: #6ec7fb\" href=\"mailto:contact@kook-agency.fr\" target=\"_blank\" rel=\"noopener\">contact@kook-agency.fr</a></p>\n</td>\n<td class=\"subscription\" style=\"text-align: right;vertical-align: middle;padding-top: 8px;margin-bottom: 16px\" width=\"300\">\n<div class=\"logo-image\" style=\"padding-right: 7%;padding-top: 7%\"> </div>\n<p> </p>\n</td>\n</tr>\n</tbody>\n</table>\";s:16:\"email-attachment\";s:4:\"true\";s:10:\"conditions\";a:0:{}}i:1;a:5:{s:4:\"slug\";s:22:\"notification-9024-8473\";s:13:\"email-subject\";s:35:\"Accusé de réception - Kook Agency\";s:5:\"label\";s:18:\"Notification email\";s:12:\"email-editor\";s:264:\"<p>Bonjour {name-1},</p>\n<p> </p>\n<p>Nous avons bien reçu votre demande et allons vous répondre dans les meilleurs délais</p>\n<p> </p>\n<p>Cordialement<br />---------------------------------------------------</p>\n<p>Kook Agency (https://www.kook-agency.fr)</p>\";s:10:\"recipients\";s:9:\"{email-1}\";}}}");
INSERT INTO `wp_postmeta` VALUES("5985", "3352", "_edit_lock", "1686146631:1");
INSERT INTO `wp_postmeta` VALUES("6416", "12156", "_wp_attached_file", "2023/05/GABRIELA_MR_006-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6410", "12153", "_wp_attached_file", "2023/05/GABRIELA_A_MR_006-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6399", "12151", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6400", "12151", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6398", "12151", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Pousser la porte du Gabriela, c\\u2019est s\\u2019offrir un aller simple pour Sao Paolo.\\nPlantes tropicales au plafond, artisanat color\\u00e9, lambada \\u00e0 la t\\u00e9l\\u00e9 et m\\u00eame un portrait de Gis\\u00e8le B\\u00fcndchen\\u2026\\nKitch assum\\u00e9 pour cette adresse haute en couleurs et en saveurs !\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/GABRIELA_MR_006-1-scaled.jpg\",\"id\":12156,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Gabriela\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":61,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/GABRIELA_A_MR_004-scaled.jpg\",\"id\":12154,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Gabriela\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/GABRIELA_A_MR_016-scaled.jpg\",\"id\":12155,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Gabriela\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"00f3893\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"ee3cf61\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"780a192\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6337", "11417", "_elementor_css", "a:6:{s:4:\"time\";i:1685516808;s:5:\"fonts\";a:2:{i:0;s:6:\"Roboto\";i:1;s:11:\"Roboto Slab\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("6282", "4041", "_edit_lock", "1685538289:1");
INSERT INTO `wp_postmeta` VALUES("6246", "11888", "_edit_lock", "1685534234:1");
INSERT INTO `wp_postmeta` VALUES("6247", "5304", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6295", "2634", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6250", "5304", "_edit_lock", "1685534747:1");
INSERT INTO `wp_postmeta` VALUES("6251", "4967", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6287", "3174", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6254", "4967", "_edit_lock", "1685535114:1");
INSERT INTO `wp_postmeta` VALUES("6255", "4963", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6275", "4445", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6279", "4041", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6258", "4963", "_edit_lock", "1685535588:1");
INSERT INTO `wp_postmeta` VALUES("6259", "5265", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6290", "3174", "_edit_lock", "1685539141:1");
INSERT INTO `wp_postmeta` VALUES("6262", "5265", "_edit_lock", "1685536073:1");
INSERT INTO `wp_postmeta` VALUES("6263", "4956", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6291", "3001", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6286", "3492", "_edit_lock", "1685538821:1");
INSERT INTO `wp_postmeta` VALUES("6266", "4956", "_edit_lock", "1685536421:1");
INSERT INTO `wp_postmeta` VALUES("6267", "4946", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6270", "4946", "_edit_lock", "1685536747:1");
INSERT INTO `wp_postmeta` VALUES("6271", "4888", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6294", "3001", "_edit_lock", "1685539767:1");
INSERT INTO `wp_postmeta` VALUES("6274", "4888", "_edit_lock", "1685537186:1");
INSERT INTO `wp_postmeta` VALUES("6278", "4445", "_edit_lock", "1685537956:1");
INSERT INTO `wp_postmeta` VALUES("6298", "2634", "_edit_lock", "1685540361:1");
INSERT INTO `wp_postmeta` VALUES("6299", "2626", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6300", "2626", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6304", "2481", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6309", "2279", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6303", "2626", "_edit_lock", "1685540735:1");
INSERT INTO `wp_postmeta` VALUES("6308", "2279", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6307", "2481", "_edit_lock", "1685541298:1");
INSERT INTO `wp_postmeta` VALUES("6314", "2259", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6313", "2259", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6312", "2279", "_edit_lock", "1685541683:1");
INSERT INTO `wp_postmeta` VALUES("6319", "2245", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6318", "2245", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6317", "2259", "_edit_lock", "1685542145:1");
INSERT INTO `wp_postmeta` VALUES("6323", "2084", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6329", "191", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6322", "2245", "_edit_lock", "1685542514:1");
INSERT INTO `wp_postmeta` VALUES("6324", "2084", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6328", "191", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6327", "2084", "_edit_lock", "1685542834:1");
INSERT INTO `wp_postmeta` VALUES("6333", "188", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6332", "191", "_edit_lock", "1685543301:1");
INSERT INTO `wp_postmeta` VALUES("6336", "188", "_edit_lock", "1685543717:1");
INSERT INTO `wp_postmeta` VALUES("6409", "12151", "_edit_lock", "1685973283:1");
INSERT INTO `wp_postmeta` VALUES("6411", "12153", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1920;s:4:\"file\";s:36:\"2023/05/GABRIELA_A_MR_006-scaled.jpg\";s:8:\"filesize\";i:889192;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_006-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17997;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"GABRIELA_A_MR_006-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131317;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_006-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7736;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_006-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79396;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_006-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:287798;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_006-2048x1536.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:537302;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"GABRIELA_A_MR_006-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:176859;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"GABRIELA_A_MR_006-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181930;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_006-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29644;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_006-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4336;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"GABRIELA_A_MR_006.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6412", "12154", "_wp_attached_file", "2023/05/GABRIELA_A_MR_004-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6413", "12154", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:36:\"2023/05/GABRIELA_A_MR_004-scaled.jpg\";s:8:\"filesize\";i:839544;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_004-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19166;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"GABRIELA_A_MR_004-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131248;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_004-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8095;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"GABRIELA_A_MR_004-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131248;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_004-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:277429;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_004-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:508291;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_004-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:301252;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"GABRIELA_A_MR_004-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:165477;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_004-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48661;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_004-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4616;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"GABRIELA_A_MR_004.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6414", "12155", "_wp_attached_file", "2023/05/GABRIELA_A_MR_016-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6415", "12155", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:36:\"2023/05/GABRIELA_A_MR_016-scaled.jpg\";s:8:\"filesize\";i:789453;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_016-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16172;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"GABRIELA_A_MR_016-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108618;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_016-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7524;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"GABRIELA_A_MR_016-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108618;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_016-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241365;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_016-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:463916;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:31:\"GABRIELA_A_MR_016-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263628;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"GABRIELA_A_MR_016-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:151658;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_016-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40010;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_A_MR_016-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4220;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"GABRIELA_A_MR_016.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6417", "12156", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:36:\"2023/05/GABRIELA_MR_006-1-scaled.jpg\";s:8:\"filesize\";i:1096492;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"GABRIELA_MR_006-1-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26109;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"GABRIELA_MR_006-1-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:200403;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_MR_006-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10882;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"GABRIELA_MR_006-1-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:123817;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"GABRIELA_MR_006-1-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:402471;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"GABRIELA_MR_006-1-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:696716;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"GABRIELA_MR_006-1-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:261057;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"GABRIELA_MR_006-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:273721;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"GABRIELA_MR_006-1-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:45112;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"GABRIELA_MR_006-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5730;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"GABRIELA_MR_006-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6442", "12160", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6443", "12160", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6444", "12160", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6445", "12160", "_cdp_origin_title", " La Boîte à Pâtes #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6446", "12160", "_cdp_counter", "4");
INSERT INTO `wp_postmeta` VALUES("6447", "12160", "_thumbnail_id", "12162");
INSERT INTO `wp_postmeta` VALUES("6448", "12160", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6449", "12160", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6450", "12160", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6451", "12160", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6452", "12160", "_elementor_page_settings", "a:8:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:21:\"https://www.fuero.fr/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:28:\"<b>Publié:</b> 12 juin 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";}");
INSERT INTO `wp_postmeta` VALUES("6453", "12160", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Fuero, c\\u2019est l\\u2019exp\\u00e9rience Social Food parisienne.\\nTapas, cocktail, vins venez vous familiariser \\u00e0 la Bistronomie made in Paris\\nBrunch ou d\\u00e9jeuner priv\\u00e9 d\\u00e9couvrez nos produits frais tout au long de l\\u2019ann\\u00e9e\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/FUERO_MR_43-scaled.jpg\",\"id\":12163,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Fuero\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":61,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/FUERO_MR_26-scaled.jpg\",\"id\":12164,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Fuero\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/FUERO_MR_29-scaled.jpg\",\"id\":12165,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Fuero\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b50a067\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"d8e17fc\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"59fb5a6\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6465", "12162", "_wp_attached_file", "2023/05/FUERO_MR_6-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6466", "12162", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2048;s:4:\"file\";s:29:\"2023/05/FUERO_MR_6-scaled.jpg\";s:8:\"filesize\";i:701832;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"FUERO_MR_6-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18656;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_6-1024x819.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:819;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:141444;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"FUERO_MR_6-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7330;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"FUERO_MR_6-768x614.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:614;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87686;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"FUERO_MR_6-1536x1229.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281972;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"FUERO_MR_6-2048x1638.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1638;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:468215;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_6-1200x960.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:183884;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"FUERO_MR_6-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:165033;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"FUERO_MR_6-416x333.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31502;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"FUERO_MR_6-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4010;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"FUERO_MR_6.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6454", "12160", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6455", "12160", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6464", "12160", "_edit_lock", "1685973257:1");
INSERT INTO `wp_postmeta` VALUES("6467", "12163", "_wp_attached_file", "2023/05/FUERO_MR_43-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6468", "12163", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1920;s:4:\"file\";s:30:\"2023/05/FUERO_MR_43-scaled.jpg\";s:8:\"filesize\";i:757159;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_43-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20579;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"FUERO_MR_43-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:155607;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_43-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9477;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_43-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95662;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_43-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:312547;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_43-2048x1536.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:513559;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"FUERO_MR_43-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205337;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"FUERO_MR_43-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:216099;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_43-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34351;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_43-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5267;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"FUERO_MR_43.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6469", "12164", "_wp_attached_file", "2023/05/FUERO_MR_26-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6470", "12164", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/05/FUERO_MR_26-scaled.jpg\";s:8:\"filesize\";i:670566;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_26-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17659;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"FUERO_MR_26-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:112209;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_26-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7966;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_26-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100314;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_26-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:231595;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_26-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:415020;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_26-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:221312;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"FUERO_MR_26-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:142400;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_26-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39166;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_26-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4588;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"FUERO_MR_26.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6471", "12165", "_wp_attached_file", "2023/05/FUERO_MR_29-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6472", "12165", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/05/FUERO_MR_29-scaled.jpg\";s:8:\"filesize\";i:397119;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_29-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9094;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"FUERO_MR_29-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59794;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_29-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4481;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_29-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:53259;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_29-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127313;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_29-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:236666;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"FUERO_MR_29-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:121008;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"FUERO_MR_29-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78058;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_29-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20127;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"FUERO_MR_29-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2879;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"FUERO_MR_29.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6497", "12169", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6498", "12169", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6499", "12169", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6500", "12169", "_cdp_origin_title", " Fuero #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6501", "12169", "_cdp_counter", "2");
INSERT INTO `wp_postmeta` VALUES("6502", "12169", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6503", "12169", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6504", "12169", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6505", "12169", "_thumbnail_id", "12174");
INSERT INTO `wp_postmeta` VALUES("6506", "12169", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6507", "12169", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6508", "12169", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6509", "12169", "_elementor_page_settings", "a:8:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:33:\"https://breakfast-in-america.com/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:30:\"<b>Publié:</b> 4 juillet 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";}");
INSERT INTO `wp_postmeta` VALUES("6510", "12169", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Originaire du Connecticut, le propri\\u00e9taire de BIA, Craig Carlson, est arriv\\u00e9 en France en tant qu\\u2019\\u00e9tudiant et est imm\\u00e9diatement tomb\\u00e9 amoureux du pays. C\\u2019est \\u00e0 Paris  gr\\u00e2ce aux nombreux cin\\u00e9mas d\\u2019art et d\\u2019essai  que Craig a d\\u00e9velopp\\u00e9 son amour pour le cin\\u00e9ma et a d\\u00e9cid\\u00e9 d\\u2019en faire une carri\\u00e8re. Apr\\u00e8s avoir fr\\u00e9quent\\u00e9 l\\u2019\\u00e9cole de cin\\u00e9ma USC \\u00e0 Los Angeles, Craig a travaill\\u00e9 comme sc\\u00e9nariste et r\\u00e9alisateur de courts m\\u00e9trages avant de d\\u00e9crocher un emploi \\u00e0 Paris pour travailler sur une \\u00e9mission de t\\u00e9l\\u00e9vision.\\n<br><br>\\n Pendant ce temps, la seule chose qui manquait \\u00e0 Craig dans la Ville Lumi\\u00e8re \\u00e9tait un bon vieux petit-d\\u00e9jeuner am\\u00e9ricain. Craig est devenu convaincu que le moment \\u00e9tait venu pour un authentique d\\u00eener am\\u00e9ricain \\u00e0 Paris !\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/BIA_MR_44-1-scaled.jpg\",\"id\":12171,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Breakfast In America\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/BIA_MR_26-1-scaled.jpg\",\"id\":12172,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Breakfast In America\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/BIA_MR_37-1-scaled.jpg\",\"id\":12173,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Breakfast In America\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"5335c58\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"38dee77\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"12b3cef\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6511", "12169", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6512", "12169", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6521", "12169", "_edit_lock", "1685973093:1");
INSERT INTO `wp_postmeta` VALUES("6522", "12171", "_wp_attached_file", "2023/05/BIA_MR_44-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6523", "12171", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/05/BIA_MR_44-1-scaled.jpg\";s:8:\"filesize\";i:463085;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"BIA_MR_44-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18966;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"BIA_MR_44-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109791;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"BIA_MR_44-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8336;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BIA_MR_44-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99029;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"BIA_MR_44-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:198461;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"BIA_MR_44-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:314121;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"BIA_MR_44-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:191377;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"BIA_MR_44-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127363;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"BIA_MR_44-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41355;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"BIA_MR_44-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4772;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"6.3\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1677651323\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"250\";s:13:\"shutter_speed\";s:5:\"0.005\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"BIA_MR_44-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6526", "12173", "_wp_attached_file", "2023/05/BIA_MR_37-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6527", "12173", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/05/BIA_MR_37-1-scaled.jpg\";s:8:\"filesize\";i:364033;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"BIA_MR_37-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11122;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"BIA_MR_37-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71486;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"BIA_MR_37-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5164;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"BIA_MR_37-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63998;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"BIA_MR_37-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:140151;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"BIA_MR_37-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:235588;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"BIA_MR_37-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:134439;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"BIA_MR_37-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91244;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"BIA_MR_37-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24980;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"BIA_MR_37-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3101;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"BIA_MR_37-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6528", "12174", "_wp_attached_file", "2023/05/Sans-titre-2022-12-23T161950.222-1.png");
INSERT INTO `wp_postmeta` VALUES("6529", "12174", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:46:\"2023/05/Sans-titre-2022-12-23T161950.222-1.png\";s:8:\"filesize\";i:1749132;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"Sans-titre-2022-12-23T161950.222-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:163294;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"Sans-titre-2022-12-23T161950.222-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45874;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"Sans-titre-2022-12-23T161950.222-1-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:958239;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:46:\"Sans-titre-2022-12-23T161950.222-1-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:299373;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:46:\"Sans-titre-2022-12-23T161950.222-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22018;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6554", "12178", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6555", "12178", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6556", "12178", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6557", "12178", "_cdp_origin_title", " La Boîte à Pâtes #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6558", "12178", "_cdp_counter", "3");
INSERT INTO `wp_postmeta` VALUES("6559", "12178", "_thumbnail_id", "12180");
INSERT INTO `wp_postmeta` VALUES("6560", "12178", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6561", "12178", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6562", "12178", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6563", "12178", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6564", "12178", "_elementor_page_settings", "a:10:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:32:\"https://www.dandyhotelparis.com/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:33:\"<b>Publié:</b> 22 septembre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_x\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:46;s:5:\"sizes\";a:0:{}}s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6565", "12178", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Cet h\\u00f4tel art de vivre 4 \\u00e9toiles vous enseigne les codes d\\u2019un Paris dandy au c\\u0153ur du bouillonnant quartier Ch\\u00e2telet-les Halles \\u00e0 deux pas de Beaubourg. Aux amoureux du d\\u00e9tail, du raffinement anticonformiste et de l\\u2019\\u00e9l\\u00e9gance, vous appr\\u00e9cierez poser vos valises \\u00e0 cette adresse.\\n<br><br>\\nL\\u2019accueil y est chaleureux avec une brasserie-terrasse \\u00e0 l\\u2019entr\\u00e9e ouverte du matin en soir\\u00e9e. Une carte vous est propos\\u00e9e pour satisfaire vos papilles \\u00e0 toute heure de la journ\\u00e9e.\\n<br><br>\\nLes chambres \\u00e0 l\\u2019\\u00e9tage sont des havres de paix pour se relaxer dans une ambiance cosy, et bienveillante.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/DANDY_MR_115-1-scaled.jpg\",\"id\":12181,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Dandy Hotel\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/DANDY_MR_144-1-scaled.jpg\",\"id\":12182,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Dandy Hotel\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/DANDY_MR_19-1-scaled.jpg\",\"id\":12183,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Dandy Hotel\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"d5bf851\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"cde1d66\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"12657a1\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6566", "12178", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6567", "12178", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6576", "12178", "_edit_lock", "1685973206:1");
INSERT INTO `wp_postmeta` VALUES("6577", "12180", "_wp_attached_file", "2023/05/DANDY_MR_129-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6578", "12180", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:33:\"2023/05/DANDY_MR_129-1-scaled.jpg\";s:8:\"filesize\";i:581042;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_129-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17404;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"DANDY_MR_129-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:136802;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_129-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6304;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_129-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122627;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_129-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:264137;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_129-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:413944;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_129-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:254734;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"DANDY_MR_129-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:148803;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_129-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43699;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_129-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3478;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"DANDY_MR_129-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6579", "12181", "_wp_attached_file", "2023/05/DANDY_MR_115-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6580", "12181", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:33:\"2023/05/DANDY_MR_115-1-scaled.jpg\";s:8:\"filesize\";i:774660;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_115-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18772;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"DANDY_MR_115-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:160117;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_115-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7655;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_115-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:142636;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_115-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:316904;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_115-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:519979;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_115-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:304943;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"DANDY_MR_115-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:187126;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_115-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48940;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_115-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4178;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"DANDY_MR_115-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6581", "12182", "_wp_attached_file", "2023/05/DANDY_MR_144-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6582", "12182", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:33:\"2023/05/DANDY_MR_144-1-scaled.jpg\";s:8:\"filesize\";i:574672;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_144-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21776;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"DANDY_MR_144-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:141381;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_144-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9128;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_144-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127825;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_144-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:260110;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_144-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:403973;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:28:\"DANDY_MR_144-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:250705;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"DANDY_MR_144-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:174199;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_144-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50668;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_144-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4990;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"DANDY_MR_144-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6583", "12183", "_wp_attached_file", "2023/05/DANDY_MR_19-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6584", "12183", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2048;s:4:\"file\";s:32:\"2023/05/DANDY_MR_19-1-scaled.jpg\";s:8:\"filesize\";i:495155;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_19-1-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15224;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_19-1-1024x819.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:819;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:105898;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_19-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6628;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_19-1-768x614.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:614;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66420;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"DANDY_MR_19-1-1536x1229.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:206456;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"DANDY_MR_19-1-2048x1638.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1638;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:336025;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_19-1-1200x960.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137022;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"DANDY_MR_19-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127410;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_19-1-416x333.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25132;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_19-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3975;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"DANDY_MR_19-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6609", "12187", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6610", "12187", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6611", "12187", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6612", "12187", "_cdp_origin_title", " Breakfast In America #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6613", "12187", "_cdp_counter", "2");
INSERT INTO `wp_postmeta` VALUES("6614", "12187", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6615", "12187", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6616", "12187", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6617", "12187", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6618", "12187", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6619", "12187", "_thumbnail_id", "12189");
INSERT INTO `wp_postmeta` VALUES("6620", "12187", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6621", "12187", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6622", "12187", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6623", "12187", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:29:\"https://www.369restaurant.fr/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:31:\"<b>Publié:</b> 14 octobre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:40;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6624", "12187", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez notre cuisine ensoleill\\u00e9e, gourmande et pleine d\'histoire.\\n<br><br>\\n\\u200b\\n\\nAu 3\\u20226\\u20229 on vous pr\\u00e9pare une cuisine gourmande et faite maison rappelant certains plats embl\\u00e9matiques du bassin m\\u00e9diterran\\u00e9en tout cela dans une ambiance cosy et chaleureuse avec une sublime vue sur notre belle mer M\\u00e9diterran\\u00e9e. \",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/369_MR_9-1-scaled.jpg\",\"id\":12192,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"369 Restaurant\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":58,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/369_MR_175-1-scaled.jpg\",\"id\":12190,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"369 Restaurant\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/369_MR_91-1-scaled.jpg\",\"id\":12191,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"369 Restaurant\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2739a09\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"ba83c2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"b571b85\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6642", "12192", "_wp_attached_file", "2023/05/369_MR_9-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6643", "12192", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2023/05/369_MR_9-1-scaled.jpg\";s:8:\"filesize\";i:721565;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"369_MR_9-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18013;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"369_MR_9-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:144993;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"369_MR_9-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7485;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"369_MR_9-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:128722;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"369_MR_9-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:292865;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"369_MR_9-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:488195;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"369_MR_9-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281149;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"369_MR_9-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:180591;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"369_MR_9-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44640;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"369_MR_9-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4165;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"369_MR_9-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6625", "12187", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6626", "12187", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6635", "12187", "_edit_lock", "1685973162:1");
INSERT INTO `wp_postmeta` VALUES("6636", "12189", "_wp_attached_file", "2023/05/369_MR_8-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6637", "12189", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2023/05/369_MR_8-1-scaled.jpg\";s:8:\"filesize\";i:586403;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"369_MR_8-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17958;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"369_MR_8-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:129884;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"369_MR_8-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7297;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"369_MR_8-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116180;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"369_MR_8-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:252120;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"369_MR_8-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:405723;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"369_MR_8-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:242294;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"369_MR_8-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:162024;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"369_MR_8-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43229;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"369_MR_8-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4079;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"369_MR_8-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6638", "12190", "_wp_attached_file", "2023/05/369_MR_175-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6639", "12190", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:31:\"2023/05/369_MR_175-1-scaled.jpg\";s:8:\"filesize\";i:410819;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"369_MR_175-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12537;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"369_MR_175-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"369_MR_175-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6079;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"369_MR_175-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71328;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"369_MR_175-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:153555;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:26:\"369_MR_175-1-1639x2048.jpg\";s:5:\"width\";i:1639;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:260973;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:26:\"369_MR_175-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147306;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"369_MR_175-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102138;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"369_MR_175-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28381;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"369_MR_175-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3542;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:16:\"369_MR_175-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6640", "12191", "_wp_attached_file", "2023/05/369_MR_91-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6641", "12191", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/05/369_MR_91-1-scaled.jpg\";s:8:\"filesize\";i:503934;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"369_MR_91-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17615;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"369_MR_91-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113755;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"369_MR_91-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7317;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"369_MR_91-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102242;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"369_MR_91-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:214345;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"369_MR_91-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:343576;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"369_MR_91-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205979;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"369_MR_91-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:128013;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"369_MR_91-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40420;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"369_MR_91-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4325;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"369_MR_91-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6670", "12197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6671", "12197", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("6672", "12197", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6673", "12197", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6674", "12197", "_cdp_counter", "2");
INSERT INTO `wp_postmeta` VALUES("6675", "12197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6676", "12197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6677", "12197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6678", "12197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6679", "12197", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6680", "12197", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6681", "12197", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6682", "12197", "_thumbnail_id", "12199");
INSERT INTO `wp_postmeta` VALUES("6683", "12197", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6684", "12197", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6685", "12197", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6686", "12197", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:21:\"https://coderak.co/fr\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:30:\"<b>Publié:</b> 5 janvier 2023\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:90;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6687", "12197", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Bienvenue dans notre restaurant marocain situ\\u00e9 \\u00e0 Puteaux, o\\u00f9 nous vous offrons une exp\\u00e9rience culinaire unique et pleine de saveurs. Notre sp\\u00e9cialit\\u00e9 est notre d\\u00e9licieux burger marocain, pr\\u00e9par\\u00e9 avec des ingr\\u00e9dients de qualit\\u00e9 sup\\u00e9rieure et d\\u00e9bordant de saveurs authentiques. Nous proposons \\u00e9galement des frites \\u00e9pic\\u00e9es faites maison qui se marient parfaitement avec le burger. En plus de nos burgers et frites, nous proposons une vari\\u00e9t\\u00e9 de plats traditionnels marocains qui sauront satisfaire vos envies\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/CODERACK_MR_10-1-scaled.jpg\",\"id\":12200,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"CODERAK\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":58,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/CODERACK_MR_63-1-scaled.jpg\",\"id\":12201,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"CODERAK\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/CODERACK_MR_1-scaled.jpg\",\"id\":12202,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"CODERAK\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e4b4f40\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"4efea7f\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"ed34688\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6688", "12197", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6689", "12197", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6698", "12197", "_edit_lock", "1685973185:1");
INSERT INTO `wp_postmeta` VALUES("6699", "12199", "_wp_attached_file", "2023/05/CODERACK_MR_17-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6700", "12199", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/CODERACK_MR_17-1-scaled.jpg\";s:8:\"filesize\";i:649349;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_17-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18310;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"CODERACK_MR_17-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120042;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_17-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7319;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_17-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106865;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_17-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241954;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_17-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:417979;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_17-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:230731;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"CODERACK_MR_17-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:139690;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_17-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41321;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_17-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4236;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"CODERACK_MR_17-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6701", "12200", "_wp_attached_file", "2023/05/CODERACK_MR_10-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6702", "12200", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/CODERACK_MR_10-1-scaled.jpg\";s:8:\"filesize\";i:555801;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_10-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13034;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"CODERACK_MR_10-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87317;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_10-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5881;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_10-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77326;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_10-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:189848;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_10-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:345898;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_10-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181061;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"CODERACK_MR_10-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:111772;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_10-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28671;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_10-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3582;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"CODERACK_MR_10-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6703", "12201", "_wp_attached_file", "2023/05/CODERACK_MR_63-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6704", "12201", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/CODERACK_MR_63-1-scaled.jpg\";s:8:\"filesize\";i:450822;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_63-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17812;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"CODERACK_MR_63-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107218;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_63-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7805;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_63-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97100;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_63-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:196671;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_63-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:310856;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"CODERACK_MR_63-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:189823;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"CODERACK_MR_63-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127543;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_63-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39791;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"CODERACK_MR_63-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4402;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"CODERACK_MR_63-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6705", "12202", "_wp_attached_file", "2023/05/CODERACK_MR_1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6706", "12202", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:32:\"2023/05/CODERACK_MR_1-scaled.jpg\";s:8:\"filesize\";i:404472;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"CODERACK_MR_1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11594;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"CODERACK_MR_1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71046;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"CODERACK_MR_1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5301;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"CODERACK_MR_1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63753;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"CODERACK_MR_1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:144595;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"CODERACK_MR_1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:254958;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"CODERACK_MR_1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:138165;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"CODERACK_MR_1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87282;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"CODERACK_MR_1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25035;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"CODERACK_MR_1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3264;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"CODERACK_MR_1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6731", "12206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6732", "12206", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("6733", "12206", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6734", "12206", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6735", "12206", "_cdp_counter", "3");
INSERT INTO `wp_postmeta` VALUES("6736", "12206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6737", "12206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6738", "12206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6739", "12206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6740", "12206", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6741", "12206", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6742", "12206", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6743", "12206", "_thumbnail_id", "12208");
INSERT INTO `wp_postmeta` VALUES("6744", "12206", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6745", "12206", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6746", "12206", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6747", "12206", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:29:\"https://www.lougardopizza.fr/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:30:\"<b>Publié:</b> 1 octobre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:55;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6748", "12206", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Chez LOU GARDO PIZZA, nous aimons vous faire d\\u00e9couvrir de nouvelles saveurs !\\nChaque mois, nous mettons \\u00e0 l\'honneur un produit de qualit\\u00e9 pour une cr\\u00e9ation unique autour de la pizza ...\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LOUGARDO_MR_13-1-scaled.jpg\",\"id\":12210,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Lou Gardo\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":78,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LOUGARDO_MR_26-1-scaled.jpg\",\"id\":12209,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Lou Gardo\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LOUGARDO_MR_96-1-scaled.jpg\",\"id\":12211,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Lou Gardo\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2a9a3e0\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"e7522cb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"cf24440\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6766", "12211", "_wp_attached_file", "2023/05/LOUGARDO_MR_96-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6767", "12211", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/LOUGARDO_MR_96-1-scaled.jpg\";s:8:\"filesize\";i:406269;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_96-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15952;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"LOUGARDO_MR_96-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94332;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_96-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7605;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_96-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85095;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_96-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175625;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_96-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:279878;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_96-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:168947;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"LOUGARDO_MR_96-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:118491;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_96-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34908;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_96-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4421;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"LOUGARDO_MR_96-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6749", "12206", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6750", "12206", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6759", "12206", "_edit_lock", "1685973382:1");
INSERT INTO `wp_postmeta` VALUES("6760", "12208", "_wp_attached_file", "2023/05/LOUGARDO_MR_6-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6761", "12208", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:34:\"2023/05/LOUGARDO_MR_6-1-scaled.jpg\";s:8:\"filesize\";i:856975;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"LOUGARDO_MR_6-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23611;}s:5:\"large\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_6-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:196382;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"LOUGARDO_MR_6-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8516;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:27:\"LOUGARDO_MR_6-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:174974;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:29:\"LOUGARDO_MR_6-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:379461;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:29:\"LOUGARDO_MR_6-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:602340;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:29:\"LOUGARDO_MR_6-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:364994;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:29:\"LOUGARDO_MR_6-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:216968;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"LOUGARDO_MR_6-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61325;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"LOUGARDO_MR_6-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4595;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:19:\"LOUGARDO_MR_6-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6762", "12209", "_wp_attached_file", "2023/05/LOUGARDO_MR_26-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6763", "12209", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/LOUGARDO_MR_26-1-scaled.jpg\";s:8:\"filesize\";i:543346;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_26-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11327;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"LOUGARDO_MR_26-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80944;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_26-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5329;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_26-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71663;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_26-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:176875;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_26-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:328934;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_26-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:168603;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"LOUGARDO_MR_26-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107579;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_26-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26026;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_26-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3191;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"LOUGARDO_MR_26-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6764", "12210", "_wp_attached_file", "2023/05/LOUGARDO_MR_13-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6765", "12210", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/LOUGARDO_MR_13-1-scaled.jpg\";s:8:\"filesize\";i:1146433;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_13-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26715;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"LOUGARDO_MR_13-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:248616;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_13-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9918;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_13-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:220718;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_13-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:500384;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_13-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:803654;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"LOUGARDO_MR_13-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:480646;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"LOUGARDO_MR_13-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:316165;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_13-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72491;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"LOUGARDO_MR_13-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5148;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"LOUGARDO_MR_13-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6792", "12215", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6793", "12215", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("6794", "12215", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6795", "12215", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6796", "12215", "_cdp_counter", "4");
INSERT INTO `wp_postmeta` VALUES("6797", "12215", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6798", "12215", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6799", "12215", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6800", "12215", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6801", "12215", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6802", "12215", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6803", "12215", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6804", "12215", "_thumbnail_id", "12217");
INSERT INTO `wp_postmeta` VALUES("6805", "12215", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6806", "12215", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6807", "12215", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6808", "12215", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:26:\"http://www.lhemingway.com/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:33:\"<b>Publié:</b> 11 septembre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:55;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6809", "12215", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Jouissant d\\u2019un panorama exceptionnelle face \\u00e0 la baie des \\u00celes d\\u2019Or, L\\u2019HEMINGWAY entame sa 7\\u00e8me saison avec une toute nouvelle \\u00e9quipe de direction. Franck et Fabrice Maurin restent engag\\u00e9s dans une d\\u00e9marche de qualit\\u00e9 au service d\\u2019une client\\u00e8le exigeante.\\n<br><br>\\nLeur ambition reste intact : proposer sur la d\\u00e9licieuse plage de l\\u2019Argenti\\u00e8re (la Londe-les-Maures) un \\u00e9tablissement de standing, cocon de tranquillit\\u00e9 prot\\u00e9g\\u00e9 de l\\u2019effervescence ext\\u00e9rieure. Bar \\u00e0 cocktails, plage priv\\u00e9e, restaurant aux influences m\\u00e9diterran\\u00e9ennes ouvertes sur les cuisines du monde\\u2026 Toute l\\u2019\\u00e9quipe de L\'HEMINGWAY vous attend pour vivre une fabuleuse saison 2022.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/HEMINGWAY_MR_9-1-scaled.jpg\",\"id\":12218,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Restaurant L\\u2019Hemingway\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":85,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/HEMINGWAY_MR_123-1-scaled.jpg\",\"id\":12219,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Restaurant L\\u2019Hemingway\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/HEMINGWAY_MR_76-1-scaled.jpg\",\"id\":12220,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Restaurant L\\u2019Hemingway\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f009dfa\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"f7239c1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"99aa453\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6810", "12215", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6811", "12215", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6820", "12215", "_edit_lock", "1685973419:1");
INSERT INTO `wp_postmeta` VALUES("6821", "12217", "_wp_attached_file", "2023/05/HEMINGWAY_MR_4-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6822", "12217", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2048;s:4:\"file\";s:35:\"2023/05/HEMINGWAY_MR_4-1-scaled.jpg\";s:8:\"filesize\";i:636857;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_4-1-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19158;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_4-1-1024x819.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:819;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:149869;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_4-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7342;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_4-1-768x614.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:614;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92922;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_4-1-1536x1229.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:286407;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_4-1-2048x1638.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1638;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:450727;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_4-1-1200x960.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:192392;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"HEMINGWAY_MR_4-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:173598;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_4-1-416x333.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33097;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_4-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4087;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"HEMINGWAY_MR_4-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6823", "12218", "_wp_attached_file", "2023/05/HEMINGWAY_MR_9-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6824", "12218", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:35:\"2023/05/HEMINGWAY_MR_9-1-scaled.jpg\";s:8:\"filesize\";i:535914;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_9-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16640;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_9-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:124922;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_9-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6782;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_9-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:111934;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_9-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:236965;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_9-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:374605;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_9-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:228698;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"HEMINGWAY_MR_9-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:142296;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_9-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41303;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"HEMINGWAY_MR_9-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"HEMINGWAY_MR_9-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6825", "12219", "_wp_attached_file", "2023/05/HEMINGWAY_MR_123-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6826", "12219", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:37:\"2023/05/HEMINGWAY_MR_123-1-scaled.jpg\";s:8:\"filesize\";i:436061;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_123-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15823;}s:5:\"large\";a:5:{s:4:\"file\";s:31:\"HEMINGWAY_MR_123-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102985;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_123-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6709;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_123-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92700;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:32:\"HEMINGWAY_MR_123-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:193725;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:32:\"HEMINGWAY_MR_123-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:305863;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:32:\"HEMINGWAY_MR_123-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:186735;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:32:\"HEMINGWAY_MR_123-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:120588;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_123-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36130;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_123-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3964;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:22:\"HEMINGWAY_MR_123-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6827", "12220", "_wp_attached_file", "2023/05/HEMINGWAY_MR_76-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6828", "12220", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:36:\"2023/05/HEMINGWAY_MR_76-1-scaled.jpg\";s:8:\"filesize\";i:405903;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_76-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14507;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"HEMINGWAY_MR_76-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95825;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_76-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6411;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_76-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86019;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"HEMINGWAY_MR_76-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:179894;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"HEMINGWAY_MR_76-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:283534;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:31:\"HEMINGWAY_MR_76-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:172835;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"HEMINGWAY_MR_76-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114103;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_76-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33450;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"HEMINGWAY_MR_76-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3763;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"HEMINGWAY_MR_76-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6853", "12224", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6854", "12224", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("6855", "12224", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6856", "12224", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6857", "12224", "_cdp_counter", "5");
INSERT INTO `wp_postmeta` VALUES("6858", "12224", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6859", "12224", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6860", "12224", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6861", "12224", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6862", "12224", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6863", "12224", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6864", "12224", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6865", "12224", "_thumbnail_id", "12226");
INSERT INTO `wp_postmeta` VALUES("6866", "12224", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6867", "12224", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6868", "12224", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6869", "12224", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:43:\"https://www.instagram.com/mojitocafehyeres/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:19:\"VISITEZ L\'INSTAGRAM\";s:8:\"subtitle\";s:33:\"<b>Publié:</b> 14 décembre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:40;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6870", "12224", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\ud83c\\udf54 EAT \\ud83c\\udf7a DRINK & \\ud83c\\udfa7 LISTEN MUSIC<br>\\n\\ud83d\\udcf1RESERVATIONS 06 17 49 24 45<br>\\n\\ud83d\\udd58 7J\\/7 7H30 - 01H\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/MOJITO_MR_15-1-scaled.jpg\",\"id\":12227,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Mojito Caf\\u00e9\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/MOJITO_MR_50-1-scaled.jpg\",\"id\":12228,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Mojito Caf\\u00e9\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/MOJITO_MR_7-1-scaled.jpg\",\"id\":12229,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Mojito Caf\\u00e9\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"0a35487\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"ff9126b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"441d476\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6871", "12224", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6872", "12224", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6881", "12224", "_edit_lock", "1685973400:1");
INSERT INTO `wp_postmeta` VALUES("6882", "12226", "_wp_attached_file", "2023/05/MOJITO_MR_86-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6883", "12226", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:33:\"2023/05/MOJITO_MR_86-1-scaled.jpg\";s:8:\"filesize\";i:532610;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_86-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20174;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"MOJITO_MR_86-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127256;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_86-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8332;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_86-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114965;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_86-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:235147;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_86-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:370230;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_86-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:226803;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"MOJITO_MR_86-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131441;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_86-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:45831;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_86-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4804;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"MOJITO_MR_86-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6884", "12227", "_wp_attached_file", "2023/05/MOJITO_MR_15-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6885", "12227", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:33:\"2023/05/MOJITO_MR_15-1-scaled.jpg\";s:8:\"filesize\";i:533295;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_15-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19062;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"MOJITO_MR_15-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122512;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_15-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7778;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_15-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:110400;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_15-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:229943;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_15-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:365516;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_15-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:221782;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"MOJITO_MR_15-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:136300;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_15-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43595;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_15-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4445;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"MOJITO_MR_15-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6886", "12228", "_wp_attached_file", "2023/05/MOJITO_MR_50-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6887", "12228", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:33:\"2023/05/MOJITO_MR_50-1-scaled.jpg\";s:8:\"filesize\";i:442531;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_50-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15292;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"MOJITO_MR_50-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98679;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_50-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6966;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_50-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88759;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_50-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:187888;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_50-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:301560;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:28:\"MOJITO_MR_50-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:180291;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"MOJITO_MR_50-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:126161;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_50-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34529;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_50-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4057;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"MOJITO_MR_50-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6888", "12229", "_wp_attached_file", "2023/05/MOJITO_MR_7-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6889", "12229", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:32:\"2023/05/MOJITO_MR_7-1-scaled.jpg\";s:8:\"filesize\";i:617620;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"MOJITO_MR_7-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22082;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"MOJITO_MR_7-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147431;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"MOJITO_MR_7-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9234;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"MOJITO_MR_7-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132610;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"MOJITO_MR_7-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:275560;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"MOJITO_MR_7-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:433172;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"MOJITO_MR_7-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:265887;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"MOJITO_MR_7-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:181014;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"MOJITO_MR_7-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51714;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"MOJITO_MR_7-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5147;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"MOJITO_MR_7-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6914", "12233", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6915", "12233", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("6916", "12233", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6917", "12233", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6918", "12233", "_cdp_counter", "6");
INSERT INTO `wp_postmeta` VALUES("6919", "12233", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6920", "12233", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6921", "12233", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6922", "12233", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6923", "12233", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6924", "12233", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6925", "12233", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6926", "12233", "_thumbnail_id", "12235");
INSERT INTO `wp_postmeta` VALUES("6927", "12233", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6928", "12233", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6929", "12233", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6930", "12233", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:44:\"https://www.instagram.com/lecalicemourillon/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:19:\"VISITEZ L\'INSTAGRAM\";s:8:\"subtitle\";s:31:\"<b>Publié:</b> 11 janvier 2023\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:42;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6931", "12233", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\ud835\\uddd5\\ud835\\uddee\\ud835\\uddff, \\ud835\\udde0\\ud835\\uddf2\\ud835\\ude07\\ud835\\ude07\\ud835\\uddf2\\ud835\\ude00 & \\ud835\\udde0\\ud835\\uddf6\\ud835\\ude05\\ud835\\uddfc\\ud835\\uddf9\\ud835\\uddfc\\ud835\\uddf4\\ud835\\uddf6\\ud835\\uddf2 \\ud83c\\udf78<br>\\nOuvert du lundi au samedi 11h-01h<br>\\n\\ud83d\\udccd 54 Rue Muiron ( Mourillon )<br>\\n\\ud83c\\udf79 Happy Hour 17h-20h<br>\\n\\ud83d\\udc60 Ladies Night all Tuesdays\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg\",\"id\":12237,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Le Calice\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"position_image_position_x\":{\"unit\":\"px\",\"size\":51,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg\",\"id\":12236,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Le Calice\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg\",\"id\":12239,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Le Calice\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"61c945b\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"e2633d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"f1c74ee\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6932", "12233", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6933", "12233", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("6942", "12233", "_edit_lock", "1685973361:1");
INSERT INTO `wp_postmeta` VALUES("6943", "12235", "_wp_attached_file", "2023/05/CALICEV2_MR_031-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6944", "12235", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:36:\"2023/05/CALICEV2_MR_031-1-scaled.jpg\";s:8:\"filesize\";i:691742;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"CALICEV2_MR_031-1-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15222;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"CALICEV2_MR_031-1-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104054;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"CALICEV2_MR_031-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7371;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"CALICEV2_MR_031-1-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:104054;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"CALICEV2_MR_031-1-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:225050;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"CALICEV2_MR_031-1-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:419888;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:31:\"CALICEV2_MR_031-1-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:245008;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"CALICEV2_MR_031-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:143270;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"CALICEV2_MR_031-1-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38126;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"CALICEV2_MR_031-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4325;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"CALICEV2_MR_031-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6945", "12236", "_wp_attached_file", "2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6946", "12236", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:47:\"2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg\";s:8:\"filesize\";i:448898;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_30-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14287;}s:5:\"large\";a:5:{s:4:\"file\";s:41:\"LECALICE_LADIESNIGHT_MR_30-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88446;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_30-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6091;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_30-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79348;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_30-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:176067;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_30-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:298402;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_30-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:168973;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_30-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102895;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_30-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31174;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_30-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3730;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:32:\"LECALICE_LADIESNIGHT_MR_30-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6947", "12237", "_wp_attached_file", "2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6948", "12237", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:47:\"2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg\";s:8:\"filesize\";i:493043;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_15-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18553;}s:5:\"large\";a:5:{s:4:\"file\";s:41:\"LECALICE_LADIESNIGHT_MR_15-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122971;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_15-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8196;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_15-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:110650;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_15-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:228305;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_15-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:352978;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_15-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:220098;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_15-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:146369;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_15-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42998;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_15-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4757;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:32:\"LECALICE_LADIESNIGHT_MR_15-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6949", "12238", "_wp_attached_file", "2023/05/LECALICE_LADIESNIGHT_MR_16-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6950", "12238", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:45:\"2023/05/LECALICE_LADIESNIGHT_MR_16-scaled.jpg\";s:8:\"filesize\";i:617523;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:38:\"LECALICE_LADIESNIGHT_MR_16-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16745;}s:5:\"large\";a:5:{s:4:\"file\";s:39:\"LECALICE_LADIESNIGHT_MR_16-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135387;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"LECALICE_LADIESNIGHT_MR_16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6729;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:38:\"LECALICE_LADIESNIGHT_MR_16-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:121092;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_16-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:267252;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_16-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:429156;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_16-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:256448;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_16-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:159836;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:38:\"LECALICE_LADIESNIGHT_MR_16-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42469;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:38:\"LECALICE_LADIESNIGHT_MR_16-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3707;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:30:\"LECALICE_LADIESNIGHT_MR_16.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6951", "12239", "_wp_attached_file", "2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("6952", "12239", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:47:\"2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg\";s:8:\"filesize\";i:510386;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_36-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18433;}s:5:\"large\";a:5:{s:4:\"file\";s:41:\"LECALICE_LADIESNIGHT_MR_36-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122016;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_36-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7857;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_36-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109900;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_36-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:228639;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_36-1-1639x2048.jpg\";s:5:\"width\";i:1639;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:359282;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_36-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:220733;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:42:\"LECALICE_LADIESNIGHT_MR_36-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:136677;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_36-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42514;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"LECALICE_LADIESNIGHT_MR_36-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4477;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:32:\"LECALICE_LADIESNIGHT_MR_36-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("6977", "12243", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6978", "12243", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("6979", "12243", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("6980", "12243", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("6981", "12243", "_cdp_counter", "7");
INSERT INTO `wp_postmeta` VALUES("6982", "12243", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6983", "12243", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6984", "12243", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6985", "12243", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6986", "12243", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("6987", "12243", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("6988", "12243", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("6989", "12243", "_thumbnail_id", "12245");
INSERT INTO `wp_postmeta` VALUES("6990", "12243", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("6991", "12243", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("6992", "12243", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("6993", "12243", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:30:\"https://www.lasublimeporte.fr/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:27:\"<b>Publié:</b> 14 mai 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:42;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6994", "12243", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"RESTAURANT TURC \\/ STEAKHOUSE | BOULOGNE BILLANCOURT<br>\\nSi vous souhaitez profiter d\'une belle soir\\u00e9e avec vos amis autour de repas turcs et de grillades au feu de bois, notre restaurant est l\\u2019endroit id\\u00e9al. Profitez des journ\\u00e9es estivales dans notre terrasse anim\\u00e9e. Notre restaurant climatis\\u00e9 vous accueille pour passer un moment agr\\u00e9able quelle que soit la temp\\u00e9rature ext\\u00e9rieure.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LASUBLIMEPORTE_MR_74-1-scaled.jpg\",\"id\":12246,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"La sublime porte\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":85,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LASUBLIMEPORTE_MR_23-scaled.jpg\",\"id\":12247,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"La sublime porte\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/05\\/LASUBLIMEPORTE_MR_61-1-scaled.jpg\",\"id\":12248,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"La sublime porte\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"position_image\":\"yes\"},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f98c54f\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"161ecab\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"a953948\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("6995", "12243", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("6996", "12243", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("7005", "12243", "_edit_lock", "1685973339:1");
INSERT INTO `wp_postmeta` VALUES("7006", "12245", "_wp_attached_file", "2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("7007", "12245", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:41:\"2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg\";s:8:\"filesize\";i:810695;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_21-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24010;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"LASUBLIMEPORTE_MR_21-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:199146;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_21-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9180;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_21-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:178822;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_21-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:373635;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_21-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:577088;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_21-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:360155;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_21-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:242159;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_21-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63773;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_21-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4769;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:26:\"LASUBLIMEPORTE_MR_21-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("7008", "12246", "_wp_attached_file", "2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("7009", "12246", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:41:\"2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg\";s:8:\"filesize\";i:678032;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_74-1-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25271;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"LASUBLIMEPORTE_MR_74-1-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175556;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_74-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10009;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"LASUBLIMEPORTE_MR_74-1-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175556;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_74-1-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:322563;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_74-1-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:491204;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_74-1-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:342577;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_74-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:203491;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_74-1-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67854;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_74-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5428;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:26:\"LASUBLIMEPORTE_MR_74-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("7010", "12247", "_wp_attached_file", "2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("7011", "12247", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:39:\"2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg\";s:8:\"filesize\";i:466853;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_23-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16071;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"LASUBLIMEPORTE_MR_23-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97201;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6941;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_23-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87516;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_23-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:184538;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_23-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:306566;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_23-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:177337;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_23-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115376;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_23-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35286;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_23-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4001;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:24:\"LASUBLIMEPORTE_MR_23.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("7012", "12248", "_wp_attached_file", "2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("7013", "12248", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:41:\"2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg\";s:8:\"filesize\";i:418233;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_61-1-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12893;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"LASUBLIMEPORTE_MR_61-1-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80970;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_61-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5996;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_61-1-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72629;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_61-1-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:157485;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_61-1-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:267405;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_61-1-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:150938;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"LASUBLIMEPORTE_MR_61-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102230;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_61-1-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28713;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_61-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3605;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:26:\"LASUBLIMEPORTE_MR_61-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("7039", "6148", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7040", "6148", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7041", "6148", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7042", "12252", "_wp_attached_file", "2023/05/Google-Business-Profile-1.jpeg");
INSERT INTO `wp_postmeta` VALUES("7043", "12252", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1600;s:6:\"height\";i:902;s:4:\"file\";s:38:\"2023/05/Google-Business-Profile-1.jpeg\";s:8:\"filesize\";i:144003;s:5:\"sizes\";a:9:{s:6:\"medium\";a:5:{s:4:\"file\";s:38:\"Google-Business-Profile-1-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8833;}s:5:\"large\";a:5:{s:4:\"file\";s:39:\"Google-Business-Profile-1-1024x577.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:577;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60990;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"Google-Business-Profile-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5110;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:38:\"Google-Business-Profile-1-768x433.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:433;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39423;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:39:\"Google-Business-Profile-1-1536x866.jpeg\";s:5:\"width\";i:1536;s:6:\"height\";i:866;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:110213;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:39:\"Google-Business-Profile-1-1200x677.jpeg\";s:5:\"width\";i:1200;s:6:\"height\";i:677;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76828;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:39:\"Google-Business-Profile-1-1024x902.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:902;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97224;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:38:\"Google-Business-Profile-1-416x235.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:235;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14272;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:38:\"Google-Business-Profile-1-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2957;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7065", "6148", "_elementor_data", "[{\"id\":\"47a11f46\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"67f13538\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"64e411ed\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span data-contrast=\\\"auto\\\">Nouveau restaurant sur le march\\u00e9 et des r\\u00eaves plein la t\\u00eate ? Avant de songer \\u00e0 vous d\\u00e9velopper davantage, commencez par vous faire conna\\u00eetre. Comment ? En cr\\u00e9ant un site internet, en appuyant <\\/span><a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\"><span data-contrast=\\\"none\\\">votre pr\\u00e9sence sur les r\\u00e9seaux sociaux<\\/span><\\/a><span data-contrast=\\\"auto\\\">, mais surtout en remplissant la fiche Google My Business de votre restaurant. Incontournable pour tous les chefs d\\u2019entreprise, profitez de ce guide pour cr\\u00e9er, mettre \\u00e0 jour et bien utiliser cet outil puissant, v\\u00e9ritable acc\\u00e9l\\u00e9rateur de visibilit\\u00e9 pour votre enseigne.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">L\\u2019outil Google My Business, k\\u00e9zako ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">D\\u00e9velopp\\u00e9 par Google, <\\/span><a href=\\\"https:\\/\\/www.google.com\\/intl\\/fr_fr\\/business\\/\\\"><span data-contrast=\\\"none\\\">Google My Business<\\/span><\\/a><span data-contrast=\\\"auto\\\"> est un outil performant de r\\u00e9f\\u00e9rencement pour les entreprises, quelles qu\\u2019elles soient (restaurant, boutique de fleurs, agence web\\u2026). Service lanc\\u00e9 en 2009, Google My Business facilite la gestion et la diffusion des donn\\u00e9es et des informations relatives \\u00e0 un commerce. Aussi, seul le propri\\u00e9taire de la fiche Google My Business peut modifier ces donn\\u00e9es. \\u00c0 condition de garder vos codes secrets, le syst\\u00e8me est donc fiable et s\\u00e9curis\\u00e9.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Compl\\u00e9mentaire \\u00e0 d\\u2019autres outils mis en place par Google, la fiche Google My Business, une fois cr\\u00e9\\u00e9e, est automatiquement li\\u00e9e au service Google Maps. De plus, elle s\\u2019affiche sous forme de \\u00ab\\u2009local pack\\u2009\\u00bb dans les moteurs de recherche. Cela permet aux internautes cherchant un restaurant sans conna\\u00eetre son nom de le trouver gr\\u00e2ce \\u00e0 sa localisation, entre autres.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">En revanche, la fiche Google My Business de votre restaurant n\\u2019est pas automatique. En tant que propri\\u00e9taire de l\\u2019enseigne, c\\u2019est \\u00e0 vous de prendre l\\u2019initiative de g\\u00e9n\\u00e9rer une fiche My Business. Pour cela, rendez-vous sur le site de Google My Business, authentifiez-vous, ajoutez une fiche \\u00e0 votre compte, remplissez-la et rendez-la publique sur les moteurs de recherche.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Pourquoi cr\\u00e9er une fiche Google My Business ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Vous l\\u2019aurez donc compris, la fiche Google My Business se pr\\u00e9sente comme une v\\u00e9ritable pi\\u00e8ce d\\u2019identit\\u00e9 pour votre restaurant. Sur internet, c\\u2019est ce que vos clients verront en haut \\u00e0 droite lorsqu\\u2019ils chercheront un restaurant, que leur recherche soit pr\\u00e9cise ou non. Dans ce dernier cas et pour la requ\\u00eate \\u00ab\\u2009restaurant Toulon\\u2009\\u00bb, un aper\\u00e7u des meilleurs restaurants selon votre position s\\u2019affichera dans ce \\u00ab\\u2009local pack\\u2009\\u00bb :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Nous retrouvons ici les informations importantes \\u00e0 savoir :<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Le nom et l\\u2019adresse du restaurant ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Le type de cuisine (Proven\\u00e7ale\\u2026) ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"3\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">La moyenne des notes attribu\\u00e9e par les avis Google ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"4\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Le statut d\\u2019ouverture du restaurant (ouvert ou ferm\\u00e9) et ses horaires ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"5\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Le type de restauration (sur place\\u2026) ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"5\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Une photographie.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><\\/ul><p><span data-contrast=\\\"auto\\\">Pour une recherche plus pr\\u00e9cise avec le nom du restaurant dans la requ\\u00eate (ici, \\u00ab\\u2009restaurant pasticcio paris\\u2009\\u00bb), ce sera la fiche My Business du restaurant uniquement qui s\\u2019affichera (sur le c\\u00f4t\\u00e9 lat\\u00e9ral droit du moteur de recherche) :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:1,&quot;335551620&quot;:1,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\"> <img class=\\\"wp-image-6152 size-full aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2023\\/04\\/googleMyBusiness2.png\\\" alt=\\\"\\\" width=\\\"273\\\" height=\\\"587\\\" \\/><\\/span><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Alors, pourquoi cr\\u00e9er une fiche Google My Business s\\u2019il s\\u2019agit uniquement d\\u2019afficher autrement des informations consultables sur le site web ? Tout simplement parce que les internautes veulent acc\\u00e9der \\u00e0 l\\u2019information le plus rapidement possible. S\\u2019ils ne trouvent pas les informations qu\\u2019ils recherchent dans les premiers r\\u00e9sultats de leur requ\\u00eate, ils en g\\u00e9n\\u00e9reront une autre au risque qu\\u2019ils trouvent un autre restaurant.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Plus compl\\u00e8te, la fiche Google My Business permet donc aux internautes de vous trouver plus rapidement sur le web. Ce n\\u2019est pas tout, si cette fiche est un atout certain pour votre visibilit\\u00e9, elle poss\\u00e8de de nombreux avantages \\u00e0 ne pas n\\u00e9gliger.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Les avantages de la fiche Google My Business pour les restaurateurs<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p><span data-contrast=\\\"auto\\\">Aujourd\\u2019hui, il est difficile pour un restaurateur de faire conna\\u00eetre son activit\\u00e9 uniquement par le bouche-\\u00e0-oreille. Une pr\\u00e9sence en ligne est devenue vitale pour ces commer\\u00e7ants, car c\\u2019est ici que se trouve la client\\u00e8le, et ce, bien avant de se rendre physiquement au restaurant. C\\u2019est pourquoi tous les restaurateurs disposant d\\u2019une fiche Google My Business pour leur \\u00e9tablissement disposent d\\u2019un s\\u00e9rieux avantage sur leurs concurrents qui n\\u2019en ont pas.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Un outil gratuit<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Cr\\u00e9er la fiche Google My Business de votre restaurant ne peut pas \\u00eatre plus simple ! Outil totalement gratuit, vous aurez seulement besoin d\\u2019une adresse email valide. L\\u2019id\\u00e9al est m\\u00eame d\\u2019avoir une adresse Gmail, le service de messagerie de Google. Une fois identifi\\u00e9 sur la plateforme My Business, renseignez votre fiche.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Une grande simplicit\\u00e9 d\\u2019utilisation<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">La plateforme Google My Business se veut intuitive et simple d\\u2019utilisation. Aussi, vous \\u00eates guid\\u00e9 de bout en bout. Ajout de photos, mise \\u00e0 jour des horaires, lien vers votre site internet, lien vers les plateformes de livraison (Deliveroo, uberEats\\u2026), adresses, informations de contact\\u2026 Avec Google My Business, faites conna\\u00eetre votre restaurant en un clic !<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Une vitrine de votre restaurant en premi\\u00e8re ligne<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Outil de r\\u00e9f\\u00e9rencement, Google My Business permet aux restaurateurs disposant d\\u2019une fiche My Business d\\u2019am\\u00e9liorer leur visibilit\\u00e9 sur les moteurs de recherche. Aussi, les internautes pourront consulter de fa\\u00e7on simple et rapide les informations essentielles sur votre restaurant sans avoir \\u00e0 les chercher v\\u00e9ritablement. Alors que leur intention n\\u2019\\u00e9tait que de conna\\u00eetre votre adresse, ils pourront tout aussi bien prendre connaissance de vos horaires ou consulter votre menu gr\\u00e2ce \\u00e0 la fiche My Business.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Inclusif, l\\u2019outil permet \\u00e9galement de sp\\u00e9cifier des particularit\\u00e9s qui vous tiennent \\u00e0 c\\u0153ur sur votre fiche Google My Business. Si vous \\u00eates une cheffe, vous pourrez par exemple ajouter \\u00ab\\u2009\\u00c9tablissement d\\u00e9tenu par une femme\\u2009\\u00bb sur votre fiche.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Une mise \\u00e0 jour rapide de vos donn\\u00e9es<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Au cours d\\u2019une ann\\u00e9e, plusieurs \\u00e9v\\u00e8nements peuvent impacter l\\u2019organisation d\\u2019un restaurant :<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Une nouvelle adresse ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Des horaires r\\u00e9duits pour un jour f\\u00e9ri\\u00e9 ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"3\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Une fermeture exceptionnelle ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"4\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Une mise \\u00e0 jour de votre num\\u00e9ro de t\\u00e9l\\u00e9phone ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"4\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">La cr\\u00e9ation d\\u2019un site internet\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><\\/ul><p><span data-contrast=\\\"auto\\\">La fiche Google My Business est alors un excellent moyen pour informer vos prospects de ces changements.\\u00a0<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Comment optimiser sa fiche Google My Business ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p><span data-contrast=\\\"auto\\\">Outil de r\\u00e9f\\u00e9rencement, vous profiterez pleinement de la puissance de la fiche Google My Business en l\\u2019optimisant convenablement. Pour ce faire, diff\\u00e9rents \\u00e9l\\u00e9ments importants sont \\u00e0 renseigner et plusieurs automatismes sont \\u00e0 prendre.\\u00a0\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Les informations essentielles \\u00e0 renseigner : le guide<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Sur la plateforme Google My Business, la cr\\u00e9ation et le remplissage de la fiche de votre restaurant sont grandement facilit\\u00e9s. Aussi, vous \\u00eates tout naturellement invit\\u00e9 \\u00e0 renseigner le nom de votre \\u00e9tablissement. De l\\u00e0, vous pourrez pr\\u00e9ciser votre type d\\u2019activit\\u00e9 parmi les trois propos\\u00e9s :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:2,&quot;335551620&quot;:2,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<img class=\\\"wp-image-6153 size-full aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2023\\/04\\/googleMyBusiness3.png\\\" alt=\\\"\\\" width=\\\"411\\\" height=\\\"253\\\" \\/><\\/span><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Sachez que plusieurs choix sont possibles. Voil\\u00e0 un s\\u00e9rieux avantage si votre restaurant, en plus d\\u2019un lieu physique, poss\\u00e8de son propre site internet. Si vous en poss\\u00e9dez un, vous devrez par la suite renseigner son adresse web.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Viennent ensuite les renseignements relatifs \\u00e0 :<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Votre secteur d\\u2019activit\\u00e9 : restaurant, en pr\\u00e9cisant la sp\\u00e9cialit\\u00e9 pour personnaliser au mieux votre fiche ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><\\/ul><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Votre adresse (pays, ville\\u2026).<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><\\/ul><p><span data-contrast=\\\"auto\\\">F\\u00e9licitations, voil\\u00e0 les principales informations de votre fiche Google My Business \\u00e0 jour ! Seulement, ne vous arr\\u00eatez pas en si bon chemin, auquel cas vous n\\u2019apporterez pas suffisamment de valeur ajout\\u00e9e \\u00e0 votre \\u00e9tablissement et pas assez de renseignements aux internautes qui consulteront la fiche.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Personnaliser sa fiche Google My Business<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Apr\\u00e8s l\\u2019enregistrement de ces informations classiques arrive la phase de personnalisation vers laquelle vous serez automatiquement redirig\\u00e9.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">\\u00c0 ce moment-l\\u00e0, il faudra rentrer dans le d\\u00e9tail de votre offre en ajoutant :<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"4\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Les jours et horaires d\\u2019ouverture du restaurant ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"4\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Les services de votre restaurant (repas sur place, livraison \\u00e0 domicile, repas \\u00e0 emporter, service de drive\\u2026) ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"4\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"3\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Des photos de votre \\u00e9tablissement (terrasse, int\\u00e9rieur\\u2026), de votre menu, de vos plats\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559685&quot;:720,&quot;335559739&quot;:200,&quot;335559740&quot;:276,&quot;335559991&quot;:360}\\\">\\u00a0<\\/span><\\/li><\\/ul><p><span data-contrast=\\\"auto\\\">Pensez-y : la fiche My Business de votre restaurant doit \\u00eatre le reflet de votre enseigne. En un coup d\\u2019\\u0153il, vos clients doivent saisir qui vous \\u00eates, quels sont vos services et surtout, comment vous contacter.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">La description de votre restaurant<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Cette section constitue l\\u2019une des derni\\u00e8res \\u00e9tapes de la personnalisation de votre fiche et se r\\u00e9v\\u00e8le tr\\u00e8s importante. Limit\\u00e9e \\u00e0 750 caract\\u00e8res espaces compris, il s\\u2019agit d\\u2019\\u00eatre bref et pertinent. Aussi, ayez un discours chaleureux et sinc\\u00e8re. Ici, il est inutile d\\u2019adopter un ton trop commercial ou vendeur au risque de faire fuir vos clients. Mettez donc l\\u2019accent sur les points forts de votre concept et les valeurs de votre restaurant.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Un dernier point : \\u00e9viter les fautes d\\u2019orthographe et les fautes de frappe qui t\\u00e9moignent d\\u2019un manque d\\u2019attention et de professionnalisme.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Fiche renseign\\u00e9e, fiche acquise ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559738&quot;:0,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">\\u00c0 l\\u2019instar de la carte de votre restaurant, la fiche My Business de ce dernier doit \\u00eatre mise \\u00e0 jour. Vos horaires changent le 31 d\\u00e9cembre ? Vous \\u00eates exceptionnellement ferm\\u00e9 le 1er mai ? Renseignez-le sur votre fiche pour que les internautes soient tenus au courant. La gestion de votre fiche Google My Business est tout aussi simple que sa cr\\u00e9ation. De ce fait, n\\u2019importe qui peut le faire.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Enfin, sachez que nombre des \\u00e9tapes cit\\u00e9es ne sont pas obligatoires et qu\\u2019il est possible de les ignorer. Si, pour un souci de temps ou de ressources (manque de photos par exemple), vous ne pouvez pas tout remplir, passez \\u00e0 l\\u2019\\u00e9tape suivante, mais revenez-y plus tard. Des images r\\u00e9centes rassureront vos clients et potentiels clients.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Avec votre fiche Google My Business \\u00e0 jour et optimis\\u00e9e, vous ferez bonne impression\\u2026 en ligne !<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7064", "6148", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7073", "6148", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7075", "6148", "_elementor_css", "a:6:{s:4:\"time\";i:1685532525;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7076", "6136", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7077", "6136", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7078", "6136", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7079", "12257", "_wp_attached_file", "2023/04/messagerie_instagram_restaurant_2023.jpg");
INSERT INTO `wp_postmeta` VALUES("7080", "12257", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:853;s:4:\"file\";s:48:\"2023/04/messagerie_instagram_restaurant_2023.jpg\";s:8:\"filesize\";i:130502;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"messagerie_instagram_restaurant_2023-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11315;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"messagerie_instagram_restaurant_2023-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66502;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"messagerie_instagram_restaurant_2023-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6403;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"messagerie_instagram_restaurant_2023-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43775;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:49:\"messagerie_instagram_restaurant_2023-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:84329;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:49:\"messagerie_instagram_restaurant_2023-1024x853.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:853;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87842;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"messagerie_instagram_restaurant_2023-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17995;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"messagerie_instagram_restaurant_2023-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3814;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7093", "6136", "_elementor_data", "[{\"id\":\"68ef871b\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2a6fca4a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5484868c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span data-contrast=\\\"auto\\\">Instagram est un r\\u00e9seau social incontournable pour les restaurateurs. En effet, gr\\u00e2ce \\u00e0 ses fonctionnalit\\u00e9s de partage de photos et de vid\\u00e9os, il permet de mettre en valeur les plats, l\\u2019ambiance et les \\u00e9v\\u00e9nements de votre restaurant. Connaissez-vous cette fonctionnalit\\u00e9 du r\\u00e9seau social Instagram : les messages ? Bien utilis\\u00e9s, ces derniers se pr\\u00e9sentent effectivement comme <\\/span><b><span data-contrast=\\\"auto\\\">un atout redoutable pour attirer de nouveaux clients et fid\\u00e9liser les habitu\\u00e9s<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Astuces, conseils et techniques, les voici !<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Restaurateurs et Instagram : pourquoi est-ce important d\\u2019avoir un compte actif sur le r\\u00e9seau social en 2023 ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p><span data-contrast=\\\"auto\\\">Instagram, c\\u2019est la nouvelle vitrine des restaurateurs ! Ambiance, style, image de marque, cuisine et bien d\\u2019autres, l\\u2019internaute, en arrivant sur votre page Instagram doit se dire \\u00ab\\u202fC\\u2019est l\\u00e0 que je veux aller !\\u202f\\u00bb. Pour cela, il est primordial de comprendre les enjeux pour votre restaurant qui se cachent derri\\u00e8re Instagram pour gagner en abonn\\u00e9s et en client\\u00e8le.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Mettre en valeur votre cuisine et vos \\u00e9quipes<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Photos, vid\\u00e9os plus longues ou formats courts gr\\u00e2ce aux R\\u00e9els, <\\/span><b><span data-contrast=\\\"auto\\\">les possibilit\\u00e9s de contenus sont multiples<\\/span><\\/b><span data-contrast=\\\"auto\\\"> pour les restaurateurs. Aussi, la mise en page de vos publications offre une infinit\\u00e9 de cr\\u00e9ations possibles et imaginables,\\u00a0 alors<\\/span><a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\"><span data-contrast=\\\"none\\\">optimisez vos r\\u00e9seaux sociaux<\\/span><\\/a><span data-contrast=\\\"auto\\\">.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><span data-contrast=\\\"auto\\\">Pour que la magie op\\u00e8re aupr\\u00e8s de vos abonn\\u00e9s, vous devez n\\u00e9anmoins leur proposer un contenu au moins aussi qualitatif que votre cuisine : photographies parfaites, illustrations originales et en accord avec votre identit\\u00e9 visuelle.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Une proximit\\u00e9 avec la client\\u00e8le<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">En maintenant \\u00e0 jour le compte Instagram de votre restaurant, vous envoyez une image positive de votre enseigne \\u00e0 vos abonn\\u00e9s et \\u00e0 votre client\\u00e8le. Parce qu\\u2019ils sont ultras connect\\u00e9s et pr\\u00e9sents en nombre sur le r\\u00e9seau social Instagram, ils seront \\u00e9galement tenus au courant en premier des actualit\\u00e9s de votre restaurant. Menu du jour, ouverture exceptionnelle, soir\\u00e9e sp\\u00e9ciale\\u2026 Tenez-les inform\\u00e9s de la vie de votre commerce. <\\/span><b><span data-contrast=\\\"auto\\\">Ces abonn\\u00e9s se sentiront proches de vous<\\/span><\\/b><span data-contrast=\\\"auto\\\"> et vous, proches d\\u2019eux en retour.<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">R\\u00e9actions aux publications, jeu-concours, partages, likes, laissez faire la machine une fois en marche : vos abonn\\u00e9s sont votre plus belle vitrine pour votre restaurant.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Un lien direct avec votre site internet<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Voil\\u00e0 qui devrait ravir tous les restaurateurs disposant aussi bien d\\u2019un site internet que d\\u2019un compte Instagram : <\\/span><b><span data-contrast=\\\"auto\\\">les deux outils se r\\u00e9pondent<\\/span><\\/b><span data-contrast=\\\"auto\\\"> et c\\u2019est un avantage consid\\u00e9rable pour l\\u2019engagement des abonn\\u00e9s et la fid\\u00e9lisation de la client\\u00e8le !<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Dans votre bio Instagram, \\u00e0 c\\u00f4t\\u00e9 de votre image de profil (judicieusement, votre logo), en plus d\\u2019expliquer tr\\u00e8s succinctement vos valeurs, <\\/span><b><span data-contrast=\\\"auto\\\">proposez un Linktree<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Il s\\u2019agit d\\u2019un lien unique qui permet aux internautes de se rendre sur votre site en choisissant directement la page qu\\u2019ils souhaitent consulter, <\\/span><b><span data-contrast=\\\"auto\\\">tr\\u00e8s pratique pour commander rapidement<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Souvent, les liens du Linktree renvoient vers ces pages :<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ol><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Accueil<\\/span><\\/li><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Menu (optionnel, si votre site dispose d\\u2019une page d\\u00e9di\\u00e9e)<\\/span><\\/li><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Commander (optionnel, si votre site dispose d\\u2019une page d\\u00e9di\\u00e9e)<\\/span><\\/li><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">L\\u2019adresse de votre\\/vos restaurant(s) directement sur GoogleMaps\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><\\/ol><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">De multiples possibilit\\u00e9s s\\u2019offrent \\u00e0 vous.<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><img class=\\\"aligncenter wp-image-6171 \\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2023\\/04\\/Les-Fondus-de-la-Raclette-FR-@lesfondusdelaraclette_fr-Instagram-Google-Chrome.jpg\\\" alt=\\\"\\\" width=\\\"624\\\" height=\\\"214\\\" \\/><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Sur votre site internet d\\u00e9velopp\\u00e9 gr\\u00e2ce \\u00e0 un CMS comme Wordpress, vous pouvez <\\/span><b><span data-contrast=\\\"auto\\\">\\u00e9galement int\\u00e9grer les derni\\u00e8res publications apparaissant sur votre feed Instagram<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Un visiteur d\\u00e9couvrant votre restaurant gr\\u00e2ce \\u00e0 votre site pourra rapidement se rendre sur votre compte Instagram. De cette fa\\u00e7on, <\\/span><b><span data-contrast=\\\"auto\\\">vous multipliez les canaux et les points d\\u2019entr\\u00e9es pour attirer les prospects jusqu\\u2019\\u00e0 vous<\\/span><\\/b><span data-contrast=\\\"auto\\\">.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p>\\u00a0<\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Messages Instagram : \\u00e0 quoi servent-ils ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Restaurateurs aguerris que vous \\u00eates, vous le savez sans doute\\u202f: dans le secteur de la restauration et de la food en g\\u00e9n\\u00e9ral, la concurrence est f\\u00e9roce. Les restaurateurs doivent trouver des moyens cr\\u00e9atifs et efficaces pour se d\\u00e9marquer et attirer de nouveaux clients tout en fid\\u00e9lisant les anciens. C\\u2019est l\\u00e0 que les messages Instagram entrent en jeu. Avec plus d\\u2019un milliard d\\u2019utilisateurs actifs mensuels, <\\/span><b><span data-contrast=\\\"auto\\\">Instagram est l\\u2019un des r\\u00e9seaux sociaux les plus populaires au monde<\\/span><\\/b><span data-contrast=\\\"auto\\\">, offrant aux restaurateurs une opportunit\\u00e9 sans pr\\u00e9c\\u00e9dent de toucher un public large et engag\\u00e9.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">L\\u2019info Kook : les messages sont accessibles en appuyant sur l\\u2019ic\\u00f4ne de l\\u2019avion en papier en haut \\u00e0 droite de votre \\u00e9cran sur Instagram.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Permettre aux internautes de vous contacter en priv\\u00e9<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Lorsqu\\u2019un abonn\\u00e9 vient vous parler par message, donc de fa\\u00e7on totalement priv\\u00e9e, cela se passe entre vous et lui, <\\/span><b><span data-contrast=\\\"auto\\\">ce dernier a bien souvent une question en t\\u00eate<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Proposez-vous des plats v\\u00e9gans ? Votre cuisine est-elle faite maison ? Disposez-vous d\\u2019une terrasse ? Comment r\\u00e9server une table pour 20 h le mardi 28 mars ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Si l\\u2019internaute a fait la d\\u00e9marche de venir vers vous, vous devez <\\/span><b><span data-contrast=\\\"auto\\\">absolument lui r\\u00e9pondre, et ce, dans les plus courts d\\u00e9lais<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Autrement, il se sentira d\\u00e9laiss\\u00e9 ou vous renverrez une mauvaise image de votre gestion de compte.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Pensez-y : la fonctionnalit\\u00e9 \\u00ab\\u202fMessages\\u202f\\u00bb d\\u2019Instagram ne fonctionne pas que dans un sens. Vous aussi pouvez contacter vos abonn\\u00e9s et les raisons sont nombreuses :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p>\\u00a0<\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Lui demander des explications quant \\u00e0 la publication de commentaires que vous jugez inappropri\\u00e9s sur votre derni\\u00e8re vid\\u00e9o ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Le remercier pour le commentaire qu\\u2019il a post\\u00e9\\u202f;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"3\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">L\\u2019informer en priv\\u00e9 qu\\u2019il a gagn\\u00e9 le jeu-concours et lui expliquer les modalit\\u00e9s de retrait du lot\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><\\/ul><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Vous n\\u2019en avez pas l\\u2019utilit\\u00e9 pour le moment ? Au moins, vous savez que cette fonctionnalit\\u00e9 existe le jour o\\u00f9 le besoin s\\u2019en fera ressentir !<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Une opportunit\\u00e9 avec les influenceurs<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Ne l\\u2019oubliez jamais : tous vos abonn\\u00e9s ne sont pas de simples fans de votre cuisine. Certains influenceurs vous suivent. <\\/span><b><span data-contrast=\\\"auto\\\">Et si des influenceurs food vous suivaient ?<\\/span><\\/b><span data-contrast=\\\"auto\\\"> Pourquoi le feraient-ils ? Pour montrer \\u00e0 leurs milliers d\\u2019abonn\\u00e9s que vous \\u00eates professionnels et que votre restaurant est parfaitement implant\\u00e9, par exemple. Apr\\u00e8s tout, c\\u2019est la v\\u00e9rit\\u00e9 n\\u2019est-ce pas ?\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Comment trouver des influenceurs food ? <\\/span><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Plusieurs options sont possibles :<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ol><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"4\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Chercher vous-m\\u00eames des influenceurs food suivis par une large communaut\\u00e9 et les contacter ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"4\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Demander \\u00e0 une agence de communication 360\\u00b0 de g\\u00e9rer pour vous des partenariats avec des influenceurs ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"4\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">D\\u2019utiliser un r\\u00e9seau d\\u2019influenceurs certifi\\u00e9s, \\u00e0 l\\u2019instar d\\u2019<\\/span><a href=\\\"https:\\/\\/hemblem.app\\/fr\\\"><span data-contrast=\\\"none\\\">Hemblem<\\/span><\\/a><span data-contrast=\\\"auto\\\">.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><\\/ol><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Une fois encore, c\\u2019est par \\u00ab\\u202fmessages\\u202f\\u00bb que vous toucherez rapidement et plus efficacement les influenceurs avec lesquels vous souhaitez collaborer.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Quels r\\u00e9sultats sur le long terme avec les messages Instagram ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Si, pour le moment, vous ne vous inqui\\u00e9tez pas de la fonctionnalit\\u00e9 \\u00ab\\u202fMessage\\u202f\\u00bb d\\u00e9velopp\\u00e9e par Instragram, c\\u2019est une grave erreur. Cette proximit\\u00e9 avec la cible et la collaboration avec des influenceurs peut consid\\u00e9rablement <\\/span><b><span data-contrast=\\\"auto\\\">d\\u00e9velopper votre communaut\\u00e9<\\/span><\\/b><span data-contrast=\\\"auto\\\"> sur le r\\u00e9seau et \\u00e0 terme, <\\/span><b><span data-contrast=\\\"auto\\\">augmenter significativement votre chiffre d\\u2019affaires<\\/span><\\/b><span data-contrast=\\\"auto\\\">. De plus, <\\/span><b><span data-contrast=\\\"auto\\\">vous gagnez en popularit\\u00e9 et en notori\\u00e9t\\u00e9 sur Instagram<\\/span><\\/b><span data-contrast=\\\"auto\\\">, un gros coup de communication \\u00e0 ne pas n\\u00e9gliger pour votre restaurant.<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Comment bien utiliser les messages Instagram pour son restaurant ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p><span data-contrast=\\\"auto\\\">Vous connaissez d\\u00e9sormais la fonctionnalit\\u00e9 \\u00ab\\u202fMessages\\u202f\\u00bb du r\\u00e9seau social Instagram, c\\u2019est un bon d\\u00e9but ! Maintenant, apprenez \\u00e0 bien l\\u2019utiliser pour ne commettre aucun impair.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Explorez toutes les fonctionnalit\\u00e9s<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">La fonction \\u00ab\\u202fMessages\\u202f\\u00bb d\\u2019Instagram ne se cantonne pas uniquement \\u00e0 permettre aux utilisateurs de s\\u2019envoyer des messages \\u00e9crits, les SMS le font tr\\u00e8s bien ! Non, voyez plus grand en profitant des toutes les possibilit\\u00e9s des messages du r\\u00e9seau social Instagram :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Choix du th\\u00e8me ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Partage de publications en priv\\u00e9 ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Envoi d\\u2019images, de vid\\u00e9os\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><\\/ul><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Soucieux de l\\u2019exp\\u00e9rience utilisateur permise par son application, Instagram proc\\u00e8de \\u00e0 de nombreuses mises \\u00e0 jour chaque ann\\u00e9e. Restez connect\\u00e9 pour n\\u2019en rater aucune et demandez conseil \\u00e0 <\\/span><a href=\\\"https:\\/\\/www.kook-agency.fr\\/nos-clients\\\"><span data-contrast=\\\"none\\\">l\\u2019agence de communication<\\/span><\\/a><span data-contrast=\\\"auto\\\"> qui assure la gestion de vos r\\u00e9seaux sociaux.<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Adopter le bon discours<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Un message envoy\\u00e9 sur Instagram vous rapproche de votre cible, certes, mais conservez un ton professionnel et surtout, <\\/span><b><span data-contrast=\\\"auto\\\">en coh\\u00e9rence avec la ligne \\u00e9ditoriale de votre compte<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Vous avez pour habitude de tutoyer vos abonn\\u00e9s, faites-en de m\\u00eame par message. Vos publications apparaissent au contraire tr\\u00e8s s\\u00e9rieuses avec un vouvoiement et une \\u00e9criture irr\\u00e9prochable ? Gardez cette ligne dans vos r\\u00e9ponses, mais <\\/span><b><span data-contrast=\\\"auto\\\">n\\u2019oubliez pas d\\u2019\\u00eatre chaleureux<\\/span><\\/b><span data-contrast=\\\"auto\\\"> malgr\\u00e9 tout.<\\/span><\\/p><p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h5 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Ce qu\\u2019il ne faut pas faire<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h5><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Le risque avec les messages Instagram et cette grande proximit\\u00e9 avec vos abonn\\u00e9s est de leur parler comme \\u00e0 vos amis, ce qui n\\u2019est pas le cas. Ici, il s\\u2019agit donc de bien distinguer votre compte et vos relations professionnelles des \\u00e9changes personnels. L\\u2019objectif des messages Instagram pour les restaurateurs \\u00e9tant d\\u2019apporter de l\\u2019information sur votre activit\\u00e9 et vos services, ce n\\u2019est pas un endroit pour \\u00eatre injurieux envers un client qui aurait critiqu\\u00e9 votre cuisine.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">N\\u2019\\u00e9changez pas non plus d\\u2019\\u00e9gal \\u00e0 \\u00e9gal avec lui : m\\u00eame sur Instagram, il reste votre client et vous connaissez l\\u2019adage \\u00ab\\u2009Le client est Roi\\u2009\\u00bb.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Chose importante \\u00e9galement : <\\/span><b><span data-contrast=\\\"auto\\\">r\\u00e9pondez de fa\\u00e7on claire et personnalis\\u00e9e \\u00e0 votre abonn\\u00e9<\\/span><\\/b><span data-contrast=\\\"auto\\\">. S\\u2019il a un besoin, il ne s\\u2019agit pas de le rediriger vers votre FAQ en ligne en envoyant un simple lien. Commencez par le saluer en l\\u2019interpellant par son nom pour montrer qu\\u2019il retient toute votre attention.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Retenez-le : les messages Instagram, tout comme l\\u2019ensemble de vos publications sur le r\\u00e9seau et plus largement de vos actions en ligne, contribuent \\u00e0 votre e-reputation. Une mauvaise exp\\u00e9rience d\\u2019un abonn\\u00e9 pourrait nuire \\u00e0 votre notori\\u00e9t\\u00e9 en ligne et par ricochet, sur place.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7100", "6136", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7147", "6136", "_elementor_css", "a:6:{s:4:\"time\";i:1685533239;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7138", "6136", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7148", "6133", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7149", "6133", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7150", "6133", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7151", "12267", "_wp_attached_file", "2023/04/commentaire.png");
INSERT INTO `wp_postmeta` VALUES("7152", "12267", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:23:\"2023/04/commentaire.png\";s:8:\"filesize\";i:844051;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"commentaire-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:66150;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"commentaire-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:598558;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"commentaire-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24336;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"commentaire-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:358844;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"commentaire-1024x900.png\";s:5:\"width\";i:1024;s:6:\"height\";i:900;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:730947;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"commentaire-416x312.png\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:117481;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"commentaire-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12138;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7165", "6133", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7166", "6133", "_elementor_data", "[{\"id\":\"52e5b0bc\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"142deda6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"df4d75f\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<h1 aria-level=\\\"1\\\"><span data-contrast=\\\"none\\\">Pourquoi est-il important de g\\u00e9rer les avis n\\u00e9gatifs de son restaurant<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\"> en 2023<\\/span><\\/h1><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">R\\u00e9pondre aux avis clients sur internet est un art que tout restaurateur se doit de ma\\u00eetriser. Pourquoi ? Parce que les avis, positifs et n\\u00e9gatifs, impactent la prise de d\\u00e9cision et le passage \\u00e0 l\\u2019acte des autres consommateurs. Et qui de mieux pour juger la qualit\\u00e9 de votre cuisine et l\\u2019amabilit\\u00e9 de votre personnel que vos clients. Ind\\u00e9pendamment de leur \\u00e2ge ou de leur cat\\u00e9gorie socio-professionnelle, plusieurs outils leur permettent de s\\u2019exprimer sur l\\u2019exp\\u00e9rience v\\u00e9cue dans votre restaurant le temps d\\u2019un caf\\u00e9 ou d\\u2019un repas.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Avis clients : menaces ou opportunit\\u00e9s ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Les avis clients en disent long sur la qualit\\u00e9 des services et des prestations propos\\u00e9s dans un restaurant. Si certains y voient une menace, pensez plut\\u00f4t \\u00e0 la visibilit\\u00e9 que vous pourriez en tirer.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Les avis peuvent am\\u00e9liorer l\\u2019image de votre restaurant<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Si votre restaurant est \\u00ab\\u2009the place to be\\u2009\\u00bb, donnez l\\u2019occasion \\u00e0 vos clients de s\\u2019exprimer sur ce lieu d\\u2019exception sur internet. La toile vous permettra en effet d\\u2019attirer de nouveaux clients, comme des touristes de passage dans la r\\u00e9gion ou m\\u00eame des journalistes en qu\\u00eate d\\u2019un sujet pertinent. Bien s\\u00fbr, plus la note est \\u00e9lev\\u00e9e, g\\u00e9n\\u00e9ralement sur 5 \\u00e9toiles, meilleure sera votre image.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Attirer de nouveaux clients<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Pour faire l\\u2019analogie, les avis clients correspondent au bouche-\\u00e0-oreille 2.0. Votre restaurant \\u00e0 un score 4.7\\/5 avec plus d\\u2019une centaine d\\u2019avis Google ? Sachez qu\\u2019il vous est possible d\\u2019apposer un macaron sur votre devanture ou vos diff\\u00e9rents supports de communication (affiches, menus, flyers, site internet\\u2026). Les passants, sans m\\u00eame \\u00eatre connect\\u00e9s, pourront se faire une impression tr\\u00e8s rapide de votre \\u00e9tablissement.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Am\\u00e9liorer votre positionnement naturel<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Rarement mentionn\\u00e9, le r\\u00e9f\\u00e9rencement naturel, ou SEO, de votre restaurant est \\u00e9galement impact\\u00e9 en fonction des avis clients. Sont alors pris en compte :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><b><span data-contrast=\\\"auto\\\">Le nombre total d\\u2019avis<\\/span><\\/b><span data-contrast=\\\"auto\\\"> : une moyenne de 500 avis aura plus de poids que 10 pour le SEO ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:0,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><b><span data-contrast=\\\"auto\\\">Le degr\\u00e9 de confiance des sites h\\u00e9bergeant les avis<\\/span><\\/b><span data-contrast=\\\"auto\\\"> : misez sur des sites fiables et reconnus pour leur impartialit\\u00e9 et l\\u2019authenticit\\u00e9 des avis diffus\\u00e9s ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:0,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"3\\\" data-aria-level=\\\"1\\\"><b><span data-contrast=\\\"auto\\\">Votre score<\\/span><\\/b><span data-contrast=\\\"auto\\\"> : plus la note est proche de 5, meilleur est le score.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/li><\\/ul><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">En d\\u00e9finitive, ne pensez pas aux risques des avis n\\u00e9gatifs et misez davantage sur la qualit\\u00e9 de votre cuisine et les comp\\u00e9tences de votre personnel pour inciter les clients \\u00e0 laisser des avis (les plus positifs possible). Face \\u00e0 la tr\\u00e8s forte concurrence des restaurants, un coup de pouce pour votre SEO sera le bienvenu !<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Comment r\\u00e9pondre aux avis clients n\\u00e9gatifs ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Parce qu\\u2019ils peuvent \\u00eatre difficiles \\u00e0 accepter, les avis clients n\\u00e9gatifs en disent long et ont une grande part dans l\\u2019e-r\\u00e9putation de votre entreprise.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">R\\u00e9pondre rapidement<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">En moyenne, <\\/span><b><span data-contrast=\\\"auto\\\">il convient de r\\u00e9pondre dans un d\\u00e9lai de 72 heures maximum<\\/span><\\/b><span data-contrast=\\\"auto\\\"> (soit 3 jours) apr\\u00e8s la parution de l\\u2019avis n\\u00e9gatif. Vous montrerez ainsi \\u00e0 votre audience que vous prenez au s\\u00e9rieux ses remarques et que vous \\u00eates r\\u00e9actifs. Face \\u00e0 des avis n\\u00e9gatifs, attention \\u00e0 ne pas r\\u00e9pondre \\u00e0 chaud, surtout si vous jugez la critique injustifi\\u00e9e. Dans une telle situation, laissez-vous 24 heures pour r\\u00e9agir de fa\\u00e7on constructive \\u00e0 l\\u2019avis n\\u00e9gatif.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Rester courtois<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">R\\u00e9pondre aux avis n\\u00e9gatifs demande beaucoup de self-contr\\u00f4le. Parfois vulgaires, voire injurieux, les avis n\\u00e9gatifs peuvent blesser. Que vous les jugiez l\\u00e9gitimes et constructifs ou non, il est essentiel de prendre sur vous et de rester poli. L\\u2019une des fa\\u00e7ons d\\u2019amortir la situation et de pr\\u00e9ciser \\u00e0 l\\u2019internaute que vous avez pris connaissance de ses remarques et que vous allez proc\\u00e9der \\u00e0 des changements et \\u00e0 une mise au point avec votre \\u00e9quipe.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">S\\u2019excuser<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Si certains messages de clients ne font pas sens \\u00e0 vos yeux, d\\u2019autres refl\\u00e8tent pourtant bien ce qui s\\u2019est vraiment pass\\u00e9 dans votre restaurant. Bien entendu, des accidents arrivent (plateau renvers\\u00e9, plats servis froids, mauvaise commande\\u2026). Il y a donc de fortes chances que l\\u2019incident soit diffus\\u00e9 sur les r\\u00e9seaux sociaux, impactant votre image. Dans ce cas, <\\/span><b><span data-contrast=\\\"auto\\\">excusez-vous et reconnaissez vos torts<\\/span><\\/b><span data-contrast=\\\"auto\\\">.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p>\\u00a0<\\/p><p aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Ce qu\\u2019il ne faut pas faire en r\\u00e9pondant aux avis n\\u00e9gatifs<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Premi\\u00e8rement, <\\/span><b><span data-contrast=\\\"auto\\\">relisez-vous bien avant de publier votre r\\u00e9ponse \\u00e0 un avis n\\u00e9gatif<\\/span><\\/b><span data-contrast=\\\"auto\\\">. V\\u00e9rifiez la syntaxe de vos phrases, l\\u2019absence de fautes d\\u2019orthographe et de fautes de frappe. Deuxi\\u00e8mement, veillez \\u00e0 <\\/span><b><span data-contrast=\\\"auto\\\">r\\u00e9pondre de fa\\u00e7on claire et concise<\\/span><\\/b><span data-contrast=\\\"auto\\\"> sans philosopher sur le probl\\u00e8me. Derni\\u00e8rement, \\u00e9vitez les r\\u00e9ponses automatiques ou les messages r\\u00e9p\\u00e9t\\u00e9s d\\u2019un avis \\u00e0 un autre. Ess<\\/span><b><span data-contrast=\\\"auto\\\">ayez de personnaliser au mieux votre r\\u00e9ponse selon l\\u2019avis n\\u00e9gatif<\\/span><\\/b><span data-contrast=\\\"auto\\\">.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Pensez-y, un message dupliqu\\u00e9, peu compr\\u00e9hensible et rempli de fautes donnera une occasion de plus aux internautes m\\u00e9contents de vous critiquer. Cela risquerait \\u00e9galement de vous d\\u00e9cr\\u00e9dibiliser aux yeux des internautes en qu\\u00eate d\\u2019une nouvelle adresse \\u00e0 d\\u00e9couvrir.\\u00a0<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">O\\u00f9 r\\u00e9pondre aux avis n\\u00e9gatifs ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">De mani\\u00e8re g\\u00e9n\\u00e9rale, il faut r\\u00e9pondre aux avis clients sur toutes les plateformes sur lesquelles votre \\u00e9tablissement appara\\u00eet. Actuellement, les avis Google ont une grande importance et sont tr\\u00e8s regard\\u00e9s par les internautes. Les clients peuvent effectivement noter votre restaurant entre 1 et 5 \\u00e9toiles et laisser un commentaire donnant un aper\\u00e7u g\\u00e9n\\u00e9ral de votre restaurant \\u00e0 vos prospects. D\\u2019autres outils existent, notamment ceux o\\u00f9 vous \\u00eates r\\u00e9f\\u00e9renc\\u00e9s comme TripAdvisor ou les r\\u00e9seaux sociaux (notamment Facebook qui propose \\u00e9galement un syst\\u00e8me de notation). Sur votre site internet, il vous est \\u00e9galement possible de permettre \\u00e0 vos clients de laisser un avis.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">C\\u2019est \\u00e0 vous de d\\u00e9terminer les canaux sur lesquels les clients pourront r\\u00e9agir quant \\u00e0 l\\u2019exp\\u00e9rience propos\\u00e9e dans votre restaurant. Quoi qu\\u2019il soit, vous devez cependant suivre les m\\u00eames r\\u00e8gles face aux avis n\\u00e9gatifs \\u00e0 savoir :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Rester aimable\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">\\u00catre r\\u00e9actif\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Pr\\u00e9senter vos excuses\\u00a0<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Proposer une r\\u00e9ponse limpide<\\/span><\\/li><\\/ul><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Une autre option consiste \\u00e0 laisser un livre d\\u2019or \\u00e0 disposition de vos clients. L\\u2019avantage est que les avis n\\u00e9gatifs resteront confidentiels et n\\u2019entacheront pas votre image. En revanche, les avis positifs ne seront connus que de vous.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Les solutions pour se d\\u00e9fendre face \\u00e0 un avis n\\u00e9gatif sur votre restaurant<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p><span data-contrast=\\\"auto\\\">Anonymes et cach\\u00e9s derri\\u00e8re leur \\u00e9cran, il n\\u2019est pas rare que des clients aggravent les faits et qu\\u2019un malentendu survenu durant votre dernier service \\u00e9clate en insultes dans les commentaires. Comment r\\u00e9agir ? Que r\\u00e9pondre ? Existe-t-il des outils pour signaler de tels commentaires ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">R\\u00e9pondre \\u00e0 l\\u2019avis n\\u00e9gatif en priv\\u00e9<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Selon le retour client diffus\\u00e9 sur internet, il peut \\u00eatre judicieux de <\\/span><b><span data-contrast=\\\"auto\\\">faire un geste commercial \\u00e0 l\\u2019internaute concern\\u00e9<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Il ne s\\u2019agit pas de l\\u2019acheter, mais de lui montrer que vous \\u00eates avenant et que vous avez pleinement conscience de la g\\u00eane occasionn\\u00e9e. Ce geste donnera la possibilit\\u00e9 \\u00e0 votre d\\u00e9tracteur de renouveler sa visite chez vous et de laisser un avis positif.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Dans ce cas, r\\u00e9pondez-lui en priv\\u00e9. En proposant un d\\u00e9dommagement financier publiquement (une remise sur la prochaine addition\\u2026), il y a de fortes chances pour que d\\u2019autres clients en fassent la demande.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Signaler un avis<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Certains clients cependant, n\\u2019ont qu\\u2019un seul but : la m\\u00e9chancet\\u00e9 gratuite au d\\u00e9triment de votre image. Ces clients ont l\\u2019habitude de grossir la situation jusqu\\u2019\\u00e0 vous insulter dans votre commentaire. Face \\u00e0 de tels comportements, <\\/span><b><span data-contrast=\\\"auto\\\">vous pouvez vous d\\u00e9fendre en signalant l\\u2019avis n\\u00e9gatif<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Plusieurs plateformes comme Google, Facebook ou encore TripAdvisor le permettent. Soyez n\\u00e9anmoins patients, car les signalements demandent un certain d\\u00e9lai d\\u2019analyse. Cela permet de contr\\u00f4ler la l\\u00e9gitimit\\u00e9 de votre demande. Aussi, il est inutile de signaler un simple avis n\\u00e9gatif (sans insulte par exemple), car il y a peu de chance pour que la requ\\u00eate aboutisse \\u00e0 un retrait du commentaire.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h4 aria-level=\\\"3\\\"><span data-contrast=\\\"none\\\">Supprimer un avis<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h4><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Un dernier recours consiste \\u00e0 <\\/span><b><span data-contrast=\\\"auto\\\">supprimer un avis que vous jugez compromettant pour l\\u2019image de votre restaurant<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Sur la fiche Google My Business de votre \\u00e9tablissement, c\\u2019est tout \\u00e0 fait possible. Sachez qu\\u2019il faudra au pr\\u00e9alable l\\u2019avoir signal\\u00e9. La suppression d\\u2019un avis Google peut alors se faire de trois fa\\u00e7ons diff\\u00e9rentes :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><ul><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Sur Google Maps<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"2\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Sur les recherches Google<\\/span><\\/li><li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" aria-setsize=\\\"-1\\\" data-aria-posinset=\\\"3\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Depuis votre compte Google<\\/span><\\/li><\\/ul><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">D\\u00e8s lors que l\\u2019avis est supprim\\u00e9 de la recherche Google, il l\\u2019est \\u00e9galement de Google Maps et r\\u00e9ciproquement, car les deux services sont li\\u00e9s.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><h2 aria-level=\\\"2\\\"><span data-contrast=\\\"none\\\">Et les avis positifs alors, comment les traiter ?<\\/span><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;134245529&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/h2><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Propri\\u00e9taire de restaurant vous en conviendrez, tous les clients doivent \\u00eatre trait\\u00e9s de la m\\u00eame fa\\u00e7on. C\\u2019est pourquoi tous les avis clients, qu\\u2019ils soient positifs ou n\\u00e9gatifs, doivent \\u00eatre pris en consid\\u00e9ration avec la m\\u00eame importance. Alors, m\\u00eame si les avis n\\u00e9gatifs blessent, n\\u2019oubliez pas les avis positifs. Le moment pass\\u00e9 par un client m\\u00e9content dans votre restaurant n\\u2019est pas le m\\u00eame que celui de la table voisine. Si les avis n\\u00e9gatifs relatent un probl\\u00e8me, ayez conscience que <\\/span><b><span data-contrast=\\\"auto\\\">les avis positifs ont \\u00e9t\\u00e9 r\\u00e9dig\\u00e9s par des personnes qui ont pris le temps de partager leur exp\\u00e9rience<\\/span><\\/b><span data-contrast=\\\"auto\\\">. Aussi, <\\/span><b><span data-contrast=\\\"auto\\\">remerciez-les<\\/span><\\/b><span data-contrast=\\\"auto\\\"> et dans un d\\u00e9lai le plus court possible \\u00e9galement.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">\\u00a0<\\/span><\\/p><p>\\u00a0<\\/p><p><span data-contrast=\\\"auto\\\">Gardez en t\\u00eate que de nombreux internautes consultent les avis clients et les r\\u00e9ponses du propri\\u00e9taire avant de se rendre dans un restaurant. En r\\u00e9pondant \\u00e0 tous les avis, vous montrerez que vous accordez autant d\\u2019importance \\u00e0 toutes les remarques et que vous \\u00eates proche de votre client\\u00e8le. Vous am\\u00e9liorerez alors votre r\\u00e9putation et votre e-r\\u00e9putation. L\\u00e0 encore, les r\\u00e8gles de biens\\u00e9ance et la qualit\\u00e9 de la syntaxe sont de mise.<\\/span><\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7174", "6133", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7201", "6133", "_elementor_css", "a:6:{s:4:\"time\";i:1685533689;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7202", "11888", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7203", "11888", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7204", "11888", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7205", "12274", "_wp_attached_file", "2023/01/restauratrice.png");
INSERT INTO `wp_postmeta` VALUES("7206", "12274", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:25:\"2023/01/restauratrice.png\";s:8:\"filesize\";i:1247495;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"restauratrice-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:108519;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"restauratrice-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:889164;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"restauratrice-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:41103;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"restauratrice-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:544692;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"restauratrice-1024x900.png\";s:5:\"width\";i:1024;s:6:\"height\";i:900;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1066070;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"restauratrice-416x312.png\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:189323;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"restauratrice-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20478;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7301", "11888", "_elementor_css", "a:6:{s:4:\"time\";i:1685534198;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7302", "5304", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7219", "11888", "_elementor_data", "[{\"id\":\"64751fbd\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"34353c6a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"30cd4db9\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span data-contrast=\\\"auto\\\">R\\u00eave d\\u2019une vie, ouvrir un restaurant est un r\\u00e9el projet. En ce d\\u00e9but 2023, la France recense d\\u2019ailleurs plus de <strong>175 000 restaurants<\\/strong>. Pays de la gastronomie, voil\\u00e0 une part de notre patrimoine culturel repr\\u00e9sent\\u00e9 aux quatre coins de l\\u2019hexagone. Si cette richesse gastronomique est avantageusement mise \\u00e0 l\\u2019honneur en France, c\\u2019est aussi synonyme de <strong>concurrence<\\/strong> pour tous les<strong> professionnels souhaitant ouvrir leur restaurant<\\/strong>.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><\\/p>\\n<h2><strong>Comment se porte le march\\u00e9 de la restauration en France en 2023 ?&nbsp;<\\/strong><\\/h2>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Inutile de le nier, le secteur de la restauration a \\u00e9t\\u00e9 malmen\\u00e9 ces trois derni\\u00e8res ann\\u00e9es. En cause, la crise sanitaire survenue subitement et qui a contraint les restaurateurs \\u00e0 baisser le rideau de nombreux mois et de fa\\u00e7on r\\u00e9p\\u00e9t\\u00e9e. Avec les gestes barri\\u00e8res lors de la r\\u00e9ouverture et les quotas de clients accept\\u00e9s, le secteur de la restauration a connu une baisse de chiffre d\\u2019affaires de 38 % entre 2019 et 2020.&nbsp;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><span data-contrast=\\\"auto\\\"><strong>2023<\\/strong> pourrait donc bien \\u00eatre<strong> l\\u2019ann\\u00e9e du renouveau pour les restaurateurs<\\/strong>. Alors que les temp\\u00e9ratures sont douces, que les d\\u00e9placements sont de nouveau possibles librement et que les touristes sont de retour, les professionnels de la restauration peuvent bien esp\\u00e9rer que <strong>le vent tourne enfin<\\/strong>. Ce nouvel \\u00e9lan est aussi profitable pour les nouveaux acteurs du march\\u00e9 incarn\\u00e9s par les entrepreneurs d\\u00e9sireux d\\u2019ouvrir leur propre restaurant en France.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><\\/p>\\n<h2><strong>Les bonnes questions \\u00e0 se poser avant d\\u2019ouvrir son restaurant en 2023<\\/strong><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/h2>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Commen\\u00e7ons par une question \\u00e0 priori simple : pourquoi ouvrir son propre restaurant en France en 2023 ? Alors que la cuisine est synonyme de partage et de convivialit\\u00e9 pour certains, elle est avant tout symbole de mets raffin\\u00e9s et gourmets pour d\\u2019autres. Et vous, quelle est votre motivation pour ouvrir votre propre restaurant ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Ce <strong>projet de taille<\\/strong> ne pourra pleinement se concr\\u00e9tiser si vous n\\u2019avez pas conscience des responsabilit\\u00e9s qu\\u2019il incombe ni des risques. En effet, pr\\u00e8s de <strong>60 % des restaurants mettent la cl\\u00e9 sous la porte seulement trois ans apr\\u00e8s leur ouverture<\\/strong>. Pourquoi ? Les r\\u00e9ponses sont multiples\\u2026 Si la qualit\\u00e9 de la cuisine peut \\u00eatre remise en cause, la situation g\\u00e9ographique du restaurant ou encore l\\u2019amabilit\\u00e9 du personnel peuvent \\u00eatre des facteurs d\\u00e9terminants.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><\\/p>\\n<h2><strong>Aussi, commencez par vous poser ces questions avant de sauter le pas :&nbsp;<\\/strong><\\/h2>\\n<p><\\/p>\\n<ul>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\"><strong>\\u00cates-vous pr\\u00eats<\\/strong>, mentalement, physiquement et financi\\u00e8rement \\u00e0 amorcer un tel projet ?<\\/span><\\/li>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Avez-vous les <strong>comp\\u00e9tences<\\/strong> requises pour assurer la restauration de votre \\u00e9tablissement ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">En quoi votre cuisine sera-t-elle diff\\u00e9rente de celle de vos <strong>concurrents<\\/strong> ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">S\\u2019il s\\u2019agit de votre <strong>premier restaurant<\\/strong>, \\u00eates-vous \\u00e0 jour avec les nombreuses r\\u00e9glementations en vigueur ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Avez-vous d\\u00e9j\\u00e0 <strong>une carte en place<\\/strong> ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"2\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Avez-vous des <strong>collaborateurs<\\/strong> ? En voulez-vous ? En avez-vous besoin ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<\\/ul>\\n<p><span data-contrast=\\\"auto\\\">Si cette liste n\\u2019est pas exhaustive, ces <strong>questions<\\/strong> pr\\u00e9liminaires restent <strong>essentielles<\\/strong>. Adaptez-les \\u00e0 votre situation et \\u00e0 vos besoins. Surtout, soyez honn\\u00eate avec vous-m\\u00eame pour que l\\u2019exercice prenne tout son sens. C\\u2019est en <strong>d\\u00e9terminant<\\/strong> vos <strong>faiblesses<\\/strong> et les <strong>risques<\\/strong> du projet au plus t\\u00f4t que vous pourrez les <strong>anticiper<\\/strong> et <strong>trouver des solutions fiables et durables.<\\/strong><\\/span><strong>&nbsp;<\\/strong><\\/p>\\n<p><\\/p>\\n<h2><strong>Les 4 \\u00e9tapes avant d\\u2019ouvrir son restaurant&nbsp;<\\/strong><\\/h2>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Votre projet de restaurant en t\\u00eate, ne vous lancez pas \\u00e0 la l\\u00e9g\\u00e8re et proc\\u00e9dez par \\u00e9tapes. Lors de l\\u2019ouverture officielle, vous serez pr\\u00eats \\u00e0 accueillir vos premiers clients.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><img class=\\\"alignnone wp-image-5462 \\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2023\\/01\\/img2.png\\\" alt=\\\"Ouvrir son restaurant en 2023\\\" width=\\\"782\\\" height=\\\"430\\\"><\\/p>\\n<h3>&nbsp;<\\/h3>\\n<h3><strong>R\\u00e9aliser une \\u00e9tude du march\\u00e9&nbsp;<\\/strong><\\/h3>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Avant d\\u2019ouvrir votre restaurant, il convient de mener une \\u00e9tude approfondie. Aussi, l\\u2019\\u00e9tude de march\\u00e9 comprend 4 \\u00e9tapes cl\\u00e9s :<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<ol>\\n<li><span data-contrast=\\\"auto\\\"><strong>L\\u2019analyse du march\\u00e9<\\/strong> : comprendre et \\u00e9tudier les tendances 2023 du march\\u00e9 de la restauration ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\"><strong>L\\u2019analyse de la demande<\\/strong> : \\u00e9tablir un \\u00ab\\u2009client type\\u2009\\u00bb de votre restaurant en d\\u00e9finissant ses besoins, ses attentes, mais aussi ses freins (alimentaires, financiers\\u2026) ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\"><strong>L\\u2019analyse de l\\u2019offre<\\/strong> : de fa\\u00e7on g\\u00e9n\\u00e9rale, il s\\u2019agit d\\u2019\\u00e9tudier la concurrence locale (tarifs, profil de la client\\u00e8le, notori\\u00e9t\\u00e9\\u2026) ;<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<li data-leveltext=\\\"%1.\\\" data-font=\\\"Calibri\\\" data-listid=\\\"3\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\"><strong>L\\u2019\\u00e9tude des r\\u00e9glementations et des d\\u00e9marches \\u00e0 mener<\\/strong> : r\\u00e8gles d\\u2019hygi\\u00e8ne, enregistrement de l\\u2019\\u00e9tablissement, obtention de licences\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<\\/ol>\\n<p><span data-contrast=\\\"auto\\\">Cette \\u00e9tude de march\\u00e9 est \\u00e0 prendre <strong>tr\\u00e8s s\\u00e9rieusement<\\/strong> pour <strong>\\u00e9tudier<\\/strong> toutes les <strong>opportunit\\u00e9s<\\/strong> et les <strong>menaces<\\/strong> relatives \\u00e0 votre activit\\u00e9.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><\\/p>\\n<h2><strong>D\\u00e9finir l\\u2019identit\\u00e9 et le concept du restaurant&nbsp;<\\/strong><\\/h2>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Vous ne pourrez pas esp\\u00e9rer lancer votre business avant d\\u2019avoir d\\u00e9fini le <strong>type de restaurant<\\/strong> que vous souhaitez : ouvrir un restaurant \\u00e0 votre image ou implanter une franchise. Si cette derni\\u00e8re vous permet de profiter de la notori\\u00e9t\\u00e9 d\\u00e9j\\u00e0 \\u00e9tablie d\\u2019une grande enseigne, la premi\\u00e8re vous offrira le champ des possibles en mati\\u00e8re de concept et d\\u2019identit\\u00e9 visuelle.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><span data-contrast=\\\"auto\\\"><strong>L\\u2019identit\\u00e9 du restaurant est importante<\\/strong>, car elle permet de cr\\u00e9er une image de marque. De cette fa\\u00e7on, vous serez facilement reconnaissable par vos prospects.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Enfin, attardez-vous sur le concept de votre restaurant et ses valeurs :<\\/span><\\/p>\\n<p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<ul>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Que voulez-vous mettre en avant \\u00e0 travers votre cuisine ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<\\/ul>\\n<ul>\\n<li data-leveltext=\\\"\\u25cf\\\" data-font=\\\"Calibri\\\" data-listid=\\\"1\\\" data-list-defn-props=\\\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;\\u25cf&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\\\" data-aria-posinset=\\\"1\\\" data-aria-level=\\\"1\\\"><span data-contrast=\\\"auto\\\">Comment se caract\\u00e9rise-t-elle : traditionnelle, v\\u00e9g\\u00e9tarienne, exotique\\u2026 ?<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/li>\\n<\\/ul>\\n<p><span data-contrast=\\\"auto\\\">Tout est possible\\u202f! Toutefois, sachez qu\\u2019en 2023 les clients <strong>privil\\u00e9gieront<\\/strong> les restaurants pr\\u00f4nant une <strong>cuisine<\\/strong> <strong>de saison<\\/strong>, favorisant un circuit court et soucieuse de la <strong>tra\\u00e7abilit\\u00e9<\\/strong> et de la <strong>qualit\\u00e9 des produits.<\\/strong><\\/span><strong>&nbsp;<\\/strong><\\/p>\\n<p><\\/p>\\n<h2><strong>Pr\\u00e9voir son budget et son plan de financement&nbsp;&nbsp;<\\/strong><\\/h2>\\n<p><\\/p>\\n<p><img class=\\\"alignleft wp-image-2018\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/06\\/creation-identite-visuel.jpg\\\" alt=\\\"Financement restaurant\\\" width=\\\"254\\\" height=\\\"170\\\"><\\/p>\\n<p><span data-contrast=\\\"auto\\\">&nbsp; <\\/span><\\/p>\\n<p><span data-contrast=\\\"auto\\\">M\\u00eame dans la restauration, <strong>l\\u2019argent reste le nerf de la guerre<\\/strong>. Sans financements, vous ne pourrez tout simplement pas louer ou acheter de local, investir dans du mat\\u00e9riel professionnel, ni r\\u00e9mun\\u00e9rer vos \\u00e9quipes. Votre \\u00e9tude de march\\u00e9 effectu\\u00e9e au pr\\u00e9alable, vous pourrez anticiper les postes de d\\u00e9penses les plus importants et mobiliser les ressources n\\u00e9cessaires. Dans votre <strong>budget<\\/strong>, n\\u2019oubliez pas d\\u2019allouer une certaine somme \\u00e0 la <strong>communication du restaurant<\\/strong> (identit\\u00e9 visuelle, communication sur les r\\u00e9seaux sociaux, site web\\u2026).<\\/span><\\/p>\\n<p><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<h2><strong>\\u00c9quiper son restaurant&nbsp;<\\/strong><\\/h2>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">De la cuisine \\u00e0 la salle de r\\u00e9ception, il convient \\u00e9galement <strong>d\\u2019investir dans du mat\\u00e9riel ad\\u00e9quat<\\/strong> avant d\\u2019ouvrir officiellement votre enseigne. Le budget \\u00e9tabli, vous serez en mesure d\\u2019investir dans des <strong>\\u00e9quipements professionnels<\\/strong> et <strong>conformes<\\/strong>. Si vous reprenez un ancien restaurant, la cuisine sera peut-\\u00eatre d\\u00e9j\\u00e0 install\\u00e9e (batterie, cong\\u00e9lateur, four\\u2026). <strong>Avant l\\u2019ouverture<\\/strong>, assurez-vous n\\u00e9anmoins que <strong>tout fonctionne<\\/strong> et que les <strong>r\\u00e8gles d\\u2019hygi\\u00e8ne<\\/strong> soient acquises pour tous vos salari\\u00e9s cuisiniers, serveurs, barmans\\u2026<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><\\/p>\\n<h2><strong>Les cl\\u00e9s pour faire perdurer son restaurant en 2023<\\/strong><span data-ccp-props=\\\"{&quot;134245418&quot;:true,&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/h2>\\n<p><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Maintenant que votre activit\\u00e9 est lanc\\u00e9e, encore faut-il la faire conna\\u00eetre pour ne pas essuyer un \\u00e9chec.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><span data-contrast=\\\"auto\\\">Pour cela une seule chose : la <strong>communication<\\/strong>. Aujourd\\u2019hui, un restaurant, quel qu\\u2019il soit, ne peut esp\\u00e9rer se faire conna\\u00eetre que gr\\u00e2ce au bouche-\\u00e0-oreille. Si cr\\u00e9er <strong>un site internet<\\/strong> est une possibilit\\u00e9,<strong> une alternative<\\/strong> <strong>gratuite<\\/strong> et <strong>plus rapide<\\/strong> \\u00e0 mettre en place sera tout aussi efficace : la <strong>cr\\u00e9ation <\\/strong>d\\u2019une<strong> page Google My Business<\\/strong>. \\u00c0 jour, cette derni\\u00e8re permet de <strong>r\\u00e9f\\u00e9rencer votre \\u00e9tablissement sur Google.<\\/strong> Comment ? C\\u2019est tr\\u00e8s simple. Imaginons que vous soyez propri\\u00e9taire d\\u2019une pizzeria \\u00e0 Marseille et qu\\u2019un Marseillais cherche justement un endroit o\\u00f9 d\\u00e9jeuner. <strong>Gr\\u00e2ce \\u00e0 la g\\u00e9olocalisation sur les appareils mobiles<\\/strong>, s\\u2019il entre la requ\\u00eate \\u00ab\\u2009restaurant italien Marseille\\u2009\\u00bb sur Google, <strong>votre restaurant sera plus susceptible de s\\u2019afficher parmi les premiers r\\u00e9sultats.<\\/strong> Les r\\u00e9sultats de ce type de recherche \\u00e9tant bas\\u00e9s sur la proximit\\u00e9, la fiche Google My Business est <strong>un atout<\\/strong> certain et <strong>une opportunit\\u00e9 pour attirer de nouveaux consommateurs<\\/strong> dans votre restaurant.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\\n<p><\\/p>\\n<p><img class=\\\"alignleft wp-image-4453 size-medium\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/02\\/Les-videos-culinaires-242x300.jpg\\\" alt=\\\"R\\u00e9seaux sociaux restaurant\\\" width=\\\"242\\\" height=\\\"300\\\"><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\"><br><\\/span><\\/p><p><span data-contrast=\\\"auto\\\">Enfin, une <strong>communication sur les r\\u00e9seaux sociaux<\\/strong>, notamment Instagram et&nbsp;<\\/span><a href=\\\"https:\\/\\/www.kook-agency.fr\\/blog\\/tiktok-le-reseau-social-au-service-des-restaurants-en-2022\\\"><span data-contrast=\\\"none\\\">TikTok<\\/span><\\/a><span data-contrast=\\\"auto\\\">, est un bon moyen de vous <strong>faire conna\\u00eetre <\\/strong>tout <strong>en vous d\\u00e9marquant de votre concurrence.<\\/strong> Photos, vid\\u00e9os, r\\u00e9els, il s\\u2019agit d\\u2019un moyen simple de <strong>pr\\u00e9senter votre savoir-faire<\\/strong>, <strong>d\\u2019\\u00e9tendre votre notori\\u00e9t\\u00e9<\\/strong> et de<strong> cr\\u00e9er une communaut\\u00e9.<\\/strong> Attention, car il ne s\\u2019agit pas de publier une belle photo du restaurant de fa\\u00e7on al\\u00e9atoire. <strong>Une strat\\u00e9gie doit \\u00eatre mise en place<\\/strong> et le compte doit \\u00eatre tenu de fa\\u00e7on <strong>professionnelle<\\/strong>. Aussi, tournez-vous vers <\\/span><a href=\\\"https:\\/\\/www.kook-agency.fr\\/?gclid=Cj0KCQiAlKmeBhCkARIsAHy7WVsmH-CQP6LOg-wbElmJpLNwMuC5eVhVt8JQPl6dwld_zE-FnFq51S4aAlZ6EALw_wcB\\\"><span data-contrast=\\\"none\\\">une agence de communication sp\\u00e9cialis\\u00e9e dans la restauration<\\/span><\\/a><span data-contrast=\\\"auto\\\"> pour votre <strong>communication digitale<\\/strong>. Cette derni\\u00e8re saura <strong>mettre en lumi\\u00e8re<\\/strong> votre expertise gr\\u00e2ce \\u00e0 des piliers forts et judicieusement mis en place.<\\/span><span data-ccp-props=\\\"{&quot;201341983&quot;:0,&quot;335551550&quot;:6,&quot;335551620&quot;:6,&quot;335559739&quot;:200,&quot;335559740&quot;:276}\\\">&nbsp;<\\/span><\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7226", "11888", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7264", "11888", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7303", "5304", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7304", "5304", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7305", "12287", "_wp_attached_file", "2022/06/gaspillage-alimentaire-restaurant.jpg");
INSERT INTO `wp_postmeta` VALUES("7306", "12287", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:612;s:6:\"height\";i:408;s:4:\"file\";s:45:\"2022/06/gaspillage-alimentaire-restaurant.jpg\";s:8:\"filesize\";i:69194;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"gaspillage-alimentaire-restaurant-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22872;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"gaspillage-alimentaire-restaurant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10983;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:45:\"gaspillage-alimentaire-restaurant-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37622;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:45:\"gaspillage-alimentaire-restaurant-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5894;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:12:\"Getty Images\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:40:\"Happy people sharing their healthy lunch\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:40:\"Happy people sharing their healthy lunch\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7319", "5304", "_elementor_data", "[{\"id\":\"1e20f821\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e867292\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"73780431\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>En avril dernier, le rapport du GIEC nous a donn\\u00e9 3 ans pour redresser la pente avant que nos actions sur la plan\\u00e8te ne deviennent irr\\u00e9versibles pour l\\u2019avenir. Si la r\\u00e9duction de la pollution fait incontestablement partie de nos priorit\\u00e9s, le gaspillage alimentaire ne doit pas \\u00eatre d\\u00e9laiss\\u00e9 pour autant.<\\/p><p>Si chaque Fran\\u00e7ais gaspille en moyenne l\\u2019\\u00e9quivalent d\\u2019un repas par semaine, les restaurateurs seraient responsables de 14 % de la totalit\\u00e9 du gaspillage alimentaire en France. Et selon l\\u2019Ademe, un restaurant servant 500 couverts environ par jour gaspilleraient 15 \\u00e0 20 tonnes de nourriture par an. Amis restaurateurs, il est donc grand temps d\\u2019agir. Pour vous aider, de nombreuses solutions et applications ont \\u00e9t\\u00e9 mises en place\\u00a0!<\\/p><p>\\u00a0<\\/p><h2>3 bonnes raisons de lutter contre le gaspillage alimentaire dans son restaurant<\\/h2><p>\\u00a0<\\/p><p>Si r\\u00e9duire le gaspillage alimentaire semble une \\u00e9vidence et un acte citoyen pour les plus engag\\u00e9s, cette cause n\\u2019est pas encore ancr\\u00e9e dans les m\\u0153urs. Pleins de volont\\u00e9, certains ne savent tout simplement pas comment faire pour r\\u00e9duire leurs d\\u00e9chets alimentaires, notamment au restaurant. Pourtant, il existe au moins trois bonnes raison de r\\u00e9duire le gaspillage alimentaire dans votre restaurant.<\\/p><p>\\u00a0<\\/p><h3>Faire des \\u00e9conomies<\\/h3><p>\\u00a0<\\/p><p>C\\u2019est un crit\\u00e8re non n\\u00e9gligeable. En effet, en r\\u00e9duisant votre gaspillage alimentaire, les aliments achet\\u00e9s ne finiront pas \\u00e0 la poubelle et seront consomm\\u00e9s. Pour limiter le gaspillage alimentaire tout en faisant des \\u00e9conomies, vous pouvez\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Assurer un suivi r\\u00e9gulier de vos stocks pour \\u00e9viter de trop acheter ou de laisser les aliments se p\\u00e9rimer\\u00a0;<\\/li><li>Privil\\u00e9gier la qualit\\u00e9 \\u00e0 la quantit\\u00e9 dans les assiettes\\u00a0;<\\/li><li>Miser sur des produits locaux et de saison, limitant les co\\u00fbts de transport de la marchandise.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Selon l\\u2019Ademe, le gaspillage alimentaire co\\u00fbterait entre 30\\u00a0000 et 40\\u00a0000 \\u20ac aux restaurateurs chaque ann\\u00e9e. Comme quoi, il est temps de s\\u2019y mettre, vous pourriez faire une grosse diff\\u00e9rence sur votre facture annuelle.<\\/p><p>\\u00a0<\\/p><h3>La loi anti-gaspillage alimentaire pour les restaurants<\\/h3><p>\\u00a0<\\/p><p>Renouvel\\u00e9e r\\u00e9guli\\u00e8rement, la loi anti-gaspillage a r\\u00e9cemment revu ses objectifs \\u00e0 la hausse, notamment dans les secteurs de la restauration collective et de la distribution alimentaire. Les \\u00e9tablissements concern\\u00e9s devront notamment r\\u00e9duire de 50 % par rapport \\u00e0 2015 leur gaspillage alimentaire, et ce, d\\u2019ici 2025. La restauration commerciale quant \\u00e0 elle, a les m\\u00eames objectifs, mais a jusqu\\u2019en 2030 pour les atteindre.<\\/p><p>\\u00a0<\\/p><p>La loi anti-gaspillage encourage \\u00e9galement la r\\u00e9duction massive du plastique. Les services de restauration rapide notamment, devront utiliser de la vaisselle r\\u00e9utilisable \\u00e0 partir de 2023. Si vous proposez la vente \\u00e0 emporter, vous pouvez par exemple vous tourner vers des couverts en bambou et des sacs \\u00e0 en papier, par exemple.<\\/p><p>\\u00a0<\\/p><h3>Am\\u00e9liorer votre image et r\\u00e9pondre \\u00e0 la demande des consommateurs<\\/h3><p>\\u00a0<\\/p><p>De plus en plus impliqu\\u00e9s dans la transition \\u00e9cologique, les Fran\\u00e7ais sont pour 58 % sensibles aux restaurants transparents sur l\\u2019origine de leurs produits et leur cuisine (sondage Snaching.com, 2020).<\\/p><p>\\u00a0<\\/p><p>En privil\\u00e9giant le local et en respectant la saisonnalit\\u00e9 pour votre cuisine, vos clients se sentiront plus proches de vos valeurs. De plus, c\\u2019est un excellent sujet de <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">communication pour vos r\\u00e9seaux sociaux<\\/a>.<\\/p><p>\\u00a0<\\/p><p>Bon pour la plan\\u00e8te, votre tr\\u00e9sorerie et la fid\\u00e9lisation de vos clients, la lutte contre le gaspillage alimentaire dans votre restaurant n\\u2019a que des avantages\\u00a0!<\\/p><p>\\u00a0<\\/p><h2>Les solutions pour lutter contre le gaspillage alimentaire dans son restaurant<\\/h2><p>\\u00a0<\\/p><p>Dans la restauration, les solutions pour lutter contre le gaspillage alimentaire ne manquent pas\\u00a0! Voici notre s\\u00e9lection qui vous aidera sans doute \\u00e0 atteindre les objectifs de la loi anti-gaspillage fix\\u00e9s par le gouvernement.<\\/p><p>\\u00a0<\\/p><h3><img class=\\\"alignleft wp-image-5306 size-medium\\\" title=\\\"Le Doggy bag pour lutter contre le gaspillage alimentaire dans la restauration \\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/05\\/gaspillage-alimentaire-doggy-bag-200x300.jpg\\\" alt=\\\"Le Doggy bag pour lutter contre le gaspillage alimentaire dans la restauration \\\" width=\\\"200\\\" height=\\\"300\\\" \\/><\\/h3><h3>Le Doggy bag, pour emporter son repas \\u00e0 la maison<\\/h3><p>\\u00a0<\\/p><p>Tr\\u00e8s tendance et facile \\u00e0 mettre en place, le doggy bag contient les restes du repas d\\u2019un client qu\\u2019il peut transporter chez lui. Cela \\u00e9vite de jeter la nourriture et les clients peuvent prolonger les plaisirs \\u00e0 la maison.<\\/p><p>\\u00a0<\\/p><p>S\\u2019ils n\\u2019ont pas fini leur assiette, proposez-leur un doggy bac, ils ne connaissent peut-\\u00eatre pas cette pratique. A l\\u2019inverse, certains clients peuvent vous en demander un d\\u2019eux-m\\u00eames\\u00a0: vous \\u00eates alors oblig\\u00e9s de leur fournir des r\\u00e9cipients contenant les restes du repas depuis la loi du 1<sup>er<\\/sup> juillet 2021.<\\/p><h3>\\u00a0<\\/h3><h3>\\u00a0<\\/h3><h3>L\\u2019application ToGoodToGo, m\\u00eame pour les restaurateurs<\\/h3><p>\\u00a0<\\/p><p>Eh non, <a href=\\\"https:\\/\\/toogoodtogo.fr\\/fr\\\">l\\u2019application ToGoodToGo<\\/a>, n\\u2019est pas uniquement d\\u00e9di\\u00e9e aux particuliers\\u00a0! Les restaurateurs aussi peuvent proposer des portions \\u00e0 prix r\\u00e9duits des pr\\u00e9parations non vendues. Selon les chiffres de ToGoodToGo, pr\\u00e8s de 18\\u00a0500 restaurateurs \\u00e0 travers l\\u2019Europe ont utilis\\u00e9 l\\u2019application ToGoodToGo en 2019. Cela aurait sauv\\u00e9 plus de 7 millions de repas et \\u00e9vit\\u00e9 le rejet de plus de 18 tonnes de CO2.<\\/p><p>\\u00a0<\\/p><p>Certains restaurants cr\\u00e9ent m\\u00eame des partenariats avec des associations afin de redistribuer les invendus de la journ\\u00e9e.<\\/p><p>\\u00a0<\\/p><h3>\\u00c9laborer des plats utilisant int\\u00e9gralement les produits<\\/h3><p>\\u00a0<\\/p><p>Vous avez l\\u2019habitude de proposer des cacahu\\u00e8tes ou des chips industrielles pour faire patienter vos clients en attendant leur commande\\u00a0? Ce serait encore mieux avec des chips maison, non\\u00a0? Les \\u00e9pluchures de l\\u00e9gume pourraient devenir votre meilleur alli\\u00e9 pour cela. L\\u2019enjeu est double\\u00a0: vous exploitez pleinement le l\\u00e9gume et vous r\\u00e9duisez les co\\u00fbts\\u00a0! Si vous proposez des potages l\\u2019hiver, n\\u2019achetez plus les cro\\u00fbtons\\u00a0: utilisez le pain de la veille\\u00a0!<\\/p><p>\\u00a0<\\/p><p>Dans l\\u2019assiette ou apr\\u00e8s le repas, les alternatives sont nombreuses pour lutter contre le gaspillage alimentaire dans votre restaurant.<\\/p><p>\\u00a0<\\/p><h3>Conserver et faire des bocaux<\\/h3><p>\\u00a0<\\/p><p>Pour proposer une carte vari\\u00e9e et originale en toute saison, vous pouvez faire vos propres conserves. Ainsi, vous disposerez de l\\u00e9gumes d\\u2019\\u00e9t\\u00e9 en hiver et inversement. Les conserves, les compot\\u00e9es ou encore les sauces maison sont aussi une excellente alternative pour utiliser les produits trop m\\u00fbrs et \\u00e9viter qu\\u2019ils ne pourrissent avant d\\u2019\\u00eatre consomm\\u00e9s.<\\/p><p>\\u00a0<\\/p><h2>Comment communiquer sur ses engagements environnementaux sur les r\\u00e9seaux sociaux\\u00a0?<\\/h2><p>\\u00a0<\\/p><p>Pour communiquer sur votre d\\u00e9marche \\u00e9cologique et votre engagement dans la lutte contre le gaspillage alimentaire, de nombreux outils sont \\u00e0 votre disposition\\u2026<\\/p><p>\\u00a0<\\/p><h3>Gr\\u00e2ce aux r\\u00e9seaux sociaux<\\/h3><p>\\u00a0<\\/p><p>Outils simples \\u00e0 utiliser, les r\\u00e9seaux sociaux mettront en lumi\\u00e8re vos engagements en faveur de la lutte contre le gaspillage alimentaire. Tandis que les stories sous format vid\\u00e9o montreront les coulisses de vos cuisines, <a href=\\\"https:\\/\\/www.kook-agency.fr\\/blog\\/reussir-ses-photographies-culinaires\\\">vos photographies culinaires<\\/a> pourront \\u00eatre ax\\u00e9es sur les diff\\u00e9rents aspects de votre projet (chiffres significatifs...).<\\/p><p>\\u00a0<\\/p><p>Si les r\\u00e9seaux sociaux sont un tr\\u00e8s bon moyen pour communiquer sur cette cause, ils ne sont pas \\u00e0 d\\u00e9laisser pour votre communication globale. D\\u00e9monstration de votre savoir-faire, jeux-concours, vid\\u00e9os, r\\u00e9servations, partenariats d\\u2019influence\\u2026 Instagram est \\u00e0 ce jour LE r\\u00e9seau social sur lequel les restaurateurs ont tout int\\u00e9r\\u00eat \\u00e0 \\u00eatre pr\\u00e9sents\\u00a0!<\\/p><p>\\u00a0<\\/p><h3>Le puissant outil Google<\\/h3><p>\\u00a0<\\/p><p>Vous connaissez Google Avis, mais utilisez-vous les fiches Google My Business\\u00a0? Convenablement optimis\\u00e9es, elles permettront \\u00e0 votre restaurant d\\u2019\\u00eatre bien r\\u00e9f\\u00e9renc\\u00e9 d\\u2019un point de vue local. Comptant parmi les tendances, le gaspillage alimentaire et vos engagements \\u00e9cologiques compl\\u00e8teront certaines cases de ces fiches contribuant \\u00e0 votre positionnement naturel.<\\/p><p>\\u00a0<\\/p><h3>Faire fonctionner les relations de presse<\\/h3><p>\\u00a0<\\/p><p>Ce moyen sans doute moins sollicit\\u00e9 pour la communication de votre restaurant est pourtant tr\\u00e8s utile et efficace. Tr\\u00e8s proches de l\\u2019actualit\\u00e9, des exclusivit\\u00e9s et des engagements locaux, les journalistes seront certainement intrigu\\u00e9s par votre d\\u00e9marche anti-gaspi\\u00a0!<\\/p><p>En passant dans la presse locale, voire nationale, vous donnerez plus de visibilit\\u00e9 \\u00e0 votre restaurant et attirerez de nouveaux clients, sensibles \\u00e0 cette cause\\u00a0!<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7326", "5304", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7376", "5304", "_elementor_css", "a:6:{s:4:\"time\";i:1685534728;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7343", "5304", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7377", "4967", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7378", "4967", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7379", "4967", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7380", "12297", "_wp_attached_file", "2022/06/Franchise-e-sushi-scaled-2.jpg");
INSERT INTO `wp_postmeta` VALUES("7381", "12297", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:4:\"file\";s:38:\"2022/06/Franchise-e-sushi-scaled-2.jpg\";s:8:\"filesize\";i:453270;s:5:\"sizes\";a:9:{s:6:\"medium\";a:5:{s:4:\"file\";s:38:\"Franchise-e-sushi-scaled-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20054;}s:5:\"large\";a:5:{s:4:\"file\";s:39:\"Franchise-e-sushi-scaled-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147027;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"Franchise-e-sushi-scaled-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8943;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:38:\"Franchise-e-sushi-scaled-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91475;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:40:\"Franchise-e-sushi-scaled-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:271117;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:39:\"Franchise-e-sushi-scaled-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:184391;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:40:\"Franchise-e-sushi-scaled-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:194039;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:38:\"Franchise-e-sushi-scaled-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34138;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:38:\"Franchise-e-sushi-scaled-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4881;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7394", "4967", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7395", "4967", "_elementor_data", "[{\"id\":\"494100e0\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"36ca7719\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"640ce2cf\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>La crise du covid-19 a consid\\u00e9rablement chang\\u00e9 nos fa\\u00e7ons de consommer, notamment les restaurants. Face \\u00e0 l\\u2019impossibilit\\u00e9 de sortir de chez soi entre mars et mai 2020, les Fran\\u00e7ais se sont peu \\u00e0 peu tourn\\u00e9s vers la livraison de repas \\u00e0 domicile sur des plateformes comme UberEat et Deliveroo.<\\/p><p>Afin de se d\\u00e9marquer, les restaurateurs ont \\u00e9galement pris le pli du click and collect et de la commande en ligne. En 2022, apr\\u00e8s deux ans de crise sanitaire, o\\u00f9 en sommes-nous\\u00a0? Quelles sont les tendances en mati\\u00e8re de click and collect et sur quelles plateformes miser\\u00a0?<\\/p><p>\\u00a0<\\/p><h2>Qu\\u2019est-ce que le click and collect dans la restauration\\u00a0?<\\/h2><div>\\u00a0<\\/div><p><img class=\\\"wp-image-4933 alignleft\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2020\\/06\\/Sans-titre-2022-03-30T162439.577-300x210.png\\\" alt=\\\"Click &amp; collect restaurant\\\" width=\\\"375\\\" height=\\\"262\\\" \\/><\\/p><p>Inspir\\u00e9 de la grande distribution, de plus en plus de restaurateurs proposent \\u00e0 leurs clients le service de click and collect. Le principe est simple\\u00a0: le client affam\\u00e9 commande son repas en ligne, via une application mobile ou directement sur le site du restaurant, r\\u00e9serve un cr\\u00e9neau de retrait et repart chez lui son repas en main. Rien n\\u2019est plus simple pour le consommateur, le paiement se fait directement ligne\\u00a0: une fois au restaurant, il n\\u2019a plus qu\\u2019\\u00e0 r\\u00e9cup\\u00e9rer son plat.<\\/p><p>De son c\\u00f4t\\u00e9, le restaurateur r\\u00e9ceptionne les commandes et les traite au fur et \\u00e0 mesure afin de respecter les horaires de retrait. La qualit\\u00e9 des plats reste la m\\u00eame, mais les cartes peuvent \\u00e9voluer pour s\\u2019adapter au transport.<\\/p><p>Limitant les contacts physiques et la vaisselle pour le consommateur, le click and collect a largement fait ses preuves pendant les longs mois de confinement en 2020.<\\/p><p>Avec la multiplication des services, le click and collect a \\u00e9volu\\u00e9 et de nombreux restaurants proposent la livraison \\u00e0 domicile. Par rapport \\u00e0 la livraison cependant, le click and collect repr\\u00e9sentait 57 % des parts de march\\u00e9 pendant la crise sanitaire. Selon plusieurs sondages, 68 % des Fran\\u00e7ais pensent conserver leurs habitudes de consommation, m\\u00eame apr\\u00e8s la crise sanitaire et la lev\\u00e9e des gestes barri\\u00e8re. Ainsi, le digital adopt\\u00e9 par les restaurateurs durant la crise pourrait bien leur \\u00eatre b\\u00e9n\\u00e9fique d\\u00e8s \\u00e0 pr\\u00e9sent.<\\/p><p>\\u00a0<\\/p><h2>Comment mettre en place sa propre plateforme de service de click and collect\\u00a0?<\\/h2><div>\\u00a0<\\/div><p>Que vous ayez d\\u00e9j\\u00e0 un service de click and collect ou non, \\u00eates-vous certains d\\u2019avoir tous les outils n\\u00e9cessaires \\u00e0 son bon fonctionnement. Sinon, voici les grandes \\u00e9tapes pour vous lancer dans le grand bain du click and collect.<\\/p><p>\\u00a0<\\/p><h3>1.\\u00a0\\u00a0\\u00a0\\u00a0 Avoir un site de e-commerce<\\/h3><div>\\u00a0<\\/div><p>Le e-commerce, c\\u2019est le commerce en ligne\\u00a0! En pleine transition num\\u00e9rique, le passage sur le web est donc n\\u00e9cessaire pour d\\u00e9marrer avec son service de click and collect.<\\/p><p>Vous pourrez alors pr\\u00e9senter votre carte, l\\u2019emplacement de votre restaurant et vos horaires d\\u2019ouvertures, tr\\u00e8s utiles pour vos clients.<\\/p><p>\\u00a0<\\/p><h3>2.\\u00a0\\u00a0\\u00a0\\u00a0 S\\u2019\\u00e9quiper d\\u2019un logiciel de click and collect<\\/h3><div>\\u00a0<\\/div><p>Pour faire du click and collect, un syst\\u00e8me adapt\\u00e9 est indispensable. Nous vous pr\\u00e9sentons juste apr\\u00e8s les diff\\u00e9rents services existants.<\\/p><p>Ce module de click and collect s\\u2019ajoute directement sur votre site internet.<\\/p><p>\\u00a0<\\/p><h3>3.\\u00a0\\u00a0\\u00a0\\u00a0 (R\\u00e9)organiser son restaurant pour une zone d\\u00e9di\\u00e9e au click and collect<\\/h3><div>\\u00a0<\\/div><p>Eh oui, c\\u2019est essentiel\\u00a0! Si vous assurez \\u00e0 la fois le service en salle et le click and collect, une organisation de ma\\u00eetre est indispensable. Selon l\\u2019agencement de votre restaurant, essayez au mieux de s\\u00e9parer la salle et le comptoir de click and collect pour ne pas confondre les clients. Au retour des beaux jours, vous pouvez m\\u00eame installer votre point de retrait en ext\\u00e9rieur.<\\/p><p>Enfin, n\\u2019oubliez pas de faire la promotion de votre service de click and collect. Mentionnez-le sur vos r\\u00e9seaux sociaux et indiquez-le clairement sur votre point de retrait.<\\/p><p>\\u00a0<\\/p><h2>Quels outils utiliser pour mettre en place son propre service de click and collect\\u00a0?<\\/h2><div>\\u00a0<\\/div><p>Concernant les plateformes dispensant ce type de services justement, elles ne manquent pas\\u00a0! Plus ou moins connues, elles proposent chacune des services de click and collect.<\\/p><p>\\u00a0<\\/p><h3>De nombreux outils existent<\\/h3><div>\\u00a0<\\/div><p>Face au potentiel du march\\u00e9, de nombreuses entreprises proposent des outils de click and collect clefs en main et totalement personnalisables. Certains sont m\\u00eame sp\\u00e9cialis\\u00e9s dans le secteur de la restauration, comme\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Click Eat\\u00a0;<\\/li><li>Lyf\\u00a0;<\\/li><li>Flipdish\\u00a0;<\\/li><li>Tastycloud\\u00a0;<\\/li><li>Square\\u00a0;<\\/li><li>Gloria food\\u00a0;<\\/li><li>Menudrive\\u00a0;<\\/li><li>Restolabs\\u00a0;<\\/li><li>Upserve\\u00a0;<\\/li><li>Touchbistro\\u00a0;<\\/li><\\/ul><p>\\u00a0<\\/p><p>En th\\u00e9orie, il n\\u2019y a pas de syst\\u00e8me meilleur qu\\u2019un autre, mais seulement des plateformes plus ou moins adapt\\u00e9es \\u00e0 vos besoins. Ainsi, n\\u2019h\\u00e9sitez pas \\u00e0 comparer les prix et prestations de chaque plateforme.<\\/p><p>\\u00a0<\\/p><h3>Les plus de certains outils<\\/h3><div>\\u00a0<\\/div><p>Certaines solutions vont plus loin dans la digitalisation de vos services. Au-del\\u00e0 du click and collect, vous pouvez\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Proposer le paiement \\u00e0 table par QRCode\\u00a0;<\\/li><li>La commande \\u00e0 table par QRCode\\u00a0;<\\/li><li>Le pourboire d\\u00e9mat\\u00e9rialis\\u00e9 (toujours par QRCode)\\u00a0;<\\/li><li>Le service de livraison.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Afin d\\u2019exploiter au mieux ces services, \\u00e9tudiez toutes les possibilit\\u00e9s et celles qui valent vraiment le coup d\\u2019\\u00eatre utilis\\u00e9es dans votre restaurant. Le profil de votre client\\u00e8le et la dynamique de votre enseigne sont \\u00e9galement deux facteurs \\u00e0 prendre en compte avant de passer \\u00e0 la totale digitalisation.<\\/p><p>\\u00a0<\\/p><h2>Pourquoi mettre en place un service de click and collect dans son restaurant\\u00a0?<\\/h2><div>\\u00a0<\\/div><p><img class=\\\" wp-image-4968 alignleft\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/cc-recupere-300x200.jpg\\\" alt=\\\"Click and collect\\\" width=\\\"361\\\" height=\\\"240\\\" \\/><\\/p><p>Le click and collect dispose de nombreux avantages, pour les clients certes, mais aussi et surtout pour les restaurateurs.<\\/p><p>Avec la digitalisation de votre restaurant, vous n\\u2019\\u00eates pas limit\\u00e9 par la taille de votre restaurant. Aussi, vous pouvez traiter plus de repas et donc, augmenter votre chiffre d\\u2019affaires. Pr\\u00e9sents sur le web avec un service de click and collect, vous toucherez une nouvelle cible.<\\/p><p>\\u00a0<\\/p><p>Parce que le temps c\\u2019est de l\\u2019argent, le click and collect limite aussi les erreurs de prise de commande par un serveur. Les interm\\u00e9diaires entre le client et la cuisine sont donc r\\u00e9duits et les retours moins importants lib\\u00e9rant les cuisiniers pour de nouvelles commandes.<\\/p><p>Enfin, l\\u2019avantage non n\\u00e9gligeable et qui a sans doute permis \\u00e0 de nombreux restaurateurs de tenir bon pendant les confinements\\u00a0: la limitation de contacts physiques et la possibilit\\u00e9 de rester ouvert malgr\\u00e9 tout.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7403", "4967", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7431", "4963", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7430", "4967", "_elementor_css", "a:6:{s:4:\"time\";i:1685535082;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7432", "4963", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7433", "4963", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7434", "12304", "_wp_attached_file", "2022/05/food-porn-photo.jpg");
INSERT INTO `wp_postmeta` VALUES("7435", "12304", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:640;s:6:\"height\";i:427;s:4:\"file\";s:27:\"2022/05/food-porn-photo.jpg\";s:8:\"filesize\";i:54082;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"food-porn-photo-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16257;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"food-porn-photo-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8501;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:27:\"food-porn-photo-416x278.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:278;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25369;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:27:\"food-porn-photo-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5142;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7542", "4963", "_elementor_css", "a:6:{s:4:\"time\";i:1685535564;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7448", "4963", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7449", "4963", "_elementor_data", "[{\"id\":\"10ba0bc\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5af340a2\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"a7d7944\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Passion ou profession, les photographies culinaires ont le vent en poupe sur internet et les r\\u00e9seaux sociaux. Pour dynamiser vos r\\u00e9seaux et gagner en notori\\u00e9t\\u00e9 aupr\\u00e8s de vos cibles, des professionnels peuvent m\\u00eame <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux#reportage-photo\\\">venir shooter vos prestations<\\/a>.<\\/p>\\n<p><\\/p>\\n<h2>Le souci du d\\u00e9tail pour ses photos culinaires<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p><a href=\\\"https:\\/\\/www.instagram.com\\/poketeafactory\\/?hl=fr\\\"><img class=\\\"aligncenter wp-image-4965\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/Photo-culinaire-Poketea-300x200.jpg\\\" alt=\\\"Photo culinaire Poketea\\\" width=\\\"512\\\" height=\\\"341\\\"><\\/a><\\/p>\\n<p><\\/p>\\n<p>Cela va de soi&nbsp;! L\\u2019\\u00e9clairage a aussi une grande importance. Vous obtiendrez d\\u2019ailleurs de meilleurs r\\u00e9sultats avec un \\u00e9clairage naturel. Le meilleur moment pour votre photo culinaire est donc le matin, lorsque la lumi\\u00e8re est encore douce.<\\/p>\\n<p>Au-del\\u00e0 de la qualit\\u00e9, la composition de l\\u2019image est tr\\u00e8s importante pour la photographie culinaire. Pour cela, n\\u2019h\\u00e9sitez pas \\u00e0 cr\\u00e9er une mise en sc\\u00e8ne avec des accessoires. Vous pr\\u00e9sentez une pizza&nbsp;? La bouteille d\\u2019huile d\\u2019olive sur le c\\u00f4t\\u00e9 accompagnera parfaitement votre plat. Veillez cependant \\u00e0 ne pas surcharger vos photos. Votre pr\\u00e9paration doit \\u00ab&nbsp;respirer&nbsp;\\u00bb.<\\/p>\\n<p>Le support et la vaisselle sont aussi \\u00e0 prendre en compte. Vous pr\\u00e9sentez un plat de poisson blanc&nbsp;? Une assiette noir ou marron le fera ressortir. Chaque petit d\\u00e9tail compte&nbsp;! Par exemple, le r\\u00e9cipient contenant votre sauce ou votre accompagnement sont \\u00e0 d\\u00e9finir en amont de la photo.<\\/p>\\n<p>Dernier point&nbsp;: une petite retouche si n\\u00e9cessaire. Un filtre, votre logo, une phrase d\\u2019accroche\\u2026 \\u00e0 vous de voir ce qui est le plus pertinent pour votre communication. Cependant, attention \\u00e0 ce que votre retouche n\\u2019\\u00e9crase pas votre photo culinaire. Votre pr\\u00e9paration doit ressortir et rester au centre de l\\u2019attention.<\\/p>\\n<p><\\/p>\\n<h2>Food porn&nbsp;: nouvelles tendances de photos culinaires<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>V\\u00e9ritable ph\\u00e9nom\\u00e8ne culinaire et soci\\u00e9tal, le food porn a une place de taille sur les r\\u00e9seaux sociaux. Avant de comprendre comment le mettre en avant \\u00e0 travers votre marque, d\\u00e9couvrons de quoi il s\\u2019agit exactement.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h3>Qu\\u2019est-ce que le food porn&nbsp;?<\\/h3><div><br><\\/div>\\n<div>&nbsp;<\\/div>\\n<p><a href=\\\"https:\\/\\/www.instagram.com\\/hall_street_food\\/?hl=fr\\\"><img class=\\\"alignleft wp-image-4964 size-medium\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/buerge-foodporn-240x300.jpg\\\" alt=\\\"Foodporn burger\\\" width=\\\"240\\\" height=\\\"300\\\"><\\/a><\\/p>\\n<p><\\/p>\\n<p><br><\\/p><p>Le food porn est l\\u2019art de faire saliver les papilles rien qu\\u2019avec une photo. Mot valise de \\u00ab&nbsp;food&nbsp;\\u00bb et de \\u00ab&nbsp;pornographie&nbsp;\\u00bb, le food porn n\\u2019a cependant rien de sexuel ou de pervers. Il s\\u2019agit simplement de photographier les plats, de telle sorte qu\\u2019ils apparaissent gourmands et d\\u00e9bordants d\\u2019envie.<\\/p>\\n<p>Bien que tr\\u00e8s en vogue ces derni\\u00e8res ann\\u00e9es, le ph\\u00e9nom\\u00e8ne ne date pas d\\u2019hier pour autant. Dans les ann\\u00e9es 80, les marques en jouaient d\\u00e9j\\u00e0 dans leurs publicit\\u00e9s pour pr\\u00e9senter leurs produits plus vendeurs.<\\/p>\\n<p><\\/p>\\n<h3>&nbsp;<\\/h3>\\n<h3>Mettre en avant des photos food porn<\\/h3>\\n<div>&nbsp;<\\/div>\\n<p>Parce que le food porn doit \\u00ab&nbsp;donner envie de manger&nbsp;\\u00bb, les ingr\\u00e9dients, plats et autres pr\\u00e9parations culinaires doivent \\u00eatre s\\u00e9lectionn\\u00e9s avec soin. Si vous pensez avoir r\\u00e9ussi vos photos, regardez-les et r\\u00e9pondez objectivement \\u00e0 cette question&nbsp;: \\u00ab&nbsp;cette photo, me donne-t-elle envie de manger&nbsp;? \\u00bb<\\/p>\\n<p>Parmi les tendances food porn, il y a les gros burgers \\u00e0 la sauce d\\u00e9goulinante ou encore les parts de pizza au fromage chaud et coulant. C\\u00f4t\\u00e9 sucr\\u00e9, retrouvez les d\\u00e9licieux nappages aux mille couleurs, ou les g\\u00e2teaux, type moelleux ou beignets, au c\\u0153ur coulant.<\\/p>\\n<p>Pour donner vie \\u00e0 ces photos, vous pouvez enfin prendre plus de hauteur en photographiant un saupoudrage de g\\u00e2teau ou une saut\\u00e9e de l\\u00e9gumes au wok.<\\/p>\\n<p>Surtout, ne profitez pas du food porn pour mentir ou pr\\u00e9senter des produits que vous ne vendez pas. Il s\\u2019agit d\\u2019\\u00eatre le plus naturel possible, tout en sublimant votre plat.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h2>Cr\\u00e9er une coh\\u00e9rence entre vos photographies culinaires<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>Comme pour l\\u2019ensemble de vos supports de communication, la coh\\u00e9rence reste le mot d\\u2019ordre. Si votre charte graphique est bleu et jaune, pourquoi proposer des photos culinaires roses&nbsp;?<\\/p>\\n<p>En revanche, ne vous fiez pas totalement \\u00e0 votre identit\\u00e9 visuelle, mais aux liens qu\\u2019ont les photos entre elles. Ainsi, d\\u00e9finissez&nbsp;et harmonisez :<\\/p>\\n<p><\\/p>\\n<ul>\\n<li>Les couleurs&nbsp;;<\\/li>\\n<li>L\\u2019ambiance des photos&nbsp;;<\\/li>\\n<li>Les filtres s\\u00e9lectionn\\u00e9s\\u2026<\\/li>\\n<\\/ul>\\n<p>Pensez \\u00e9galement \\u00e0 varier les contenus. Ne proposez pas uniquement des photos food porn, au risque de tomber dans la redondance. Des images plus classiques avec plus de recul seront les bienvenues.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h2>Restaurateurs&nbsp;: pourquoi faire des photos culinaires&nbsp;?<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>Faire des photographies culinaires pourquoi pas, mais \\u00e0 quoi \\u00e7a sert r\\u00e9ellement&nbsp;? \\u00c0 plein de choses en r\\u00e9alit\\u00e9.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h3>Pr\\u00e9senter votre savoir-faire<\\/h3>\\n<div>&nbsp;<\\/div>\\n<p>Les photographies culinaires sont l\\u2019occasion parfaite pour pr\\u00e9senter votre savoir-faire et vos plats mythiques. Au-del\\u00e0 de la mise en sc\\u00e8ne cr\\u00e9\\u00e9e sur les photos, un produit mis en avant avec justesse attirera beaucoup plus l\\u2019attention.<\\/p>\\n<p>Enfin, il vous est aussi possible \\u00ab&nbsp;d\\u2019humaniser&nbsp;\\u00bb vos photos culinaires. Montrez par exemple votre p\\u00e2tissier en train de pr\\u00e9parer une p\\u00e2te. Cela vous permettra de mettre en avant votre \\u00e9quipe et de pr\\u00e9senter les \\u00e9tapes de fabrication des produits.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h3>Augmenter votre visibilit\\u00e9<\\/h3>\\n<div>&nbsp;<\\/div>\\n<p>Sur les r\\u00e9seaux sociaux, les photographies culinaires ont une grande place. Pour faire connaitre votre restaurant et augmenter votre visibilit\\u00e9, pensez \\u00e0 cibler des hashtags culinaires populaires. En 2022, ils sont encore tr\\u00e8s nombreux en plus des traditionnels #cuisine, #food\\u2026 Pour les photos de food porn, on y ajoutera le #foodporn.<\\/p>\\n<p>Stories, r\\u00e9els ou publications classiques, la photographie culinaire et ses hashtags deviendront de s\\u00e9rieux atouts pour votre strat\\u00e9gie marketing et votre <a href=\\\"https:\\/\\/www.kook-agency.fr\\/referencement-naturel\\\">r\\u00e9f\\u00e9rencement naturel<\\/a>.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h3>N\\u2019oubliez pas les vid\\u00e9os<\\/h3>\\n<div>&nbsp;<\\/div>\\n<p>Ouverture prochaine d\\u2019un restaurant&nbsp;? Promotion en cours&nbsp;? Jeux-concours&nbsp;? Nouvelle recette \\u00e0 la carte&nbsp;? Il est grand temps de l\\u2019annoncer \\u00e0 votre communaut\\u00e9&nbsp;!<\\/p>\\n<p>Quels que soient le r\\u00e9seau social utilis\\u00e9 et le type de publications, n\\u2019oubliez pas les vid\\u00e9os culinaires. Gros plan sur un plat sorti du four ou vue d\\u2019ensemble, votre cible ne sera pas insensible \\u00e0 ce contenu plus dynamique.<\\/p>\\n<p>Les grands chefs sont maintenant tr\\u00e8s pr\\u00e9sents sur les r\\u00e9seaux sociaux, alors inspirez-vous-en, tout en apportant votre petite touche personnelle&nbsp;!<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7457", "4963", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7543", "5265", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7544", "5265", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7545", "5265", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7546", "12317", "_wp_attached_file", "2022/05/hemblem-influence-3.jpg");
INSERT INTO `wp_postmeta` VALUES("7547", "12317", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:612;s:6:\"height\";i:408;s:4:\"file\";s:31:\"2022/05/hemblem-influence-3.jpg\";s:8:\"filesize\";i:73892;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"hemblem-influence-3-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24222;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"hemblem-influence-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11162;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"hemblem-influence-3-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39587;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"hemblem-influence-3-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6112;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:12:\"Getty Images\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:17:\"Alexander Spatari\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7560", "5265", "_elementor_page_settings", "a:3:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}s:28:\"title_typography_font_weight\";s:3:\"500\";}");
INSERT INTO `wp_postmeta` VALUES("7561", "5265", "_elementor_data", "[{\"id\":\"236de434\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"13a83e17\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7673fdb1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Avec la crise sanitaire, les restaurateurs ont bien compris que pour rester au plus pr\\u00e8s de leur client\\u00e8le, il fallait d\\u00e9sormais passer par le num\\u00e9rique. \\u00catre pr\\u00e9sent l\\u00e0 o\\u00f9 est la cible, est un pas de plus vers la notori\\u00e9t\\u00e9 grandissante. Cependant, encore faut-il r\\u00e9ussir son approche. C\\u2019est ainsi que le marketing d\\u2019influence s\\u2019est peu \\u00e0 peu gliss\\u00e9 dans l\\u2019univers de la restauration et de l\\u2019h\\u00f4tellerie. Pour y parvenir efficacement, plusieurs plateformes se sont d\\u00e9velopp\\u00e9es, \\u00e0 l\\u2019instar de <a href=\\\"https:\\/\\/hemblem.app\\/fr\\\">l\\u2019application HEMBLEM<\\/a>.<\\/p>\\n<p><\\/p>\\n<h2>Qu\\u2019est-ce que l\\u2019application HEMBLEM&nbsp;?<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>D\\u00e9velopp\\u00e9e pendant la crise sanitaire, HEMBLEM APP est une application mettant en relation restaurateurs et influenceurs.<\\/p>\\n<p>Le leitmotiv d\\u2019HEMBLEM est de d\\u00e9velopper la notori\\u00e9t\\u00e9 et la visibilit\\u00e9 des acteurs du CHR sur Instagram et TikTok gr\\u00e2ce au marketing d\\u2019influence.<\\/p>\\n<p>Le principe de cette application unique est simple&nbsp;: votre \\u00e9tablissement est visible sur la plateforme \\u00e0 destination des influenceurs qui peuvent ainsi faire des demandes de r\\u00e9servation chez vous. Ainsi, vous pouvez recevoir des influenceurs dans votre restaurant chaque semaine pour promouvoir votre \\u00e9tablissement et vos produits.<\\/p>\\n<p><img class=\\\"alignleft wp-image-5275 \\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/05\\/Capture-3-hemblem.jpg\\\" alt=\\\"Hemblem : un puissant r\\u00e9seau d\'influenceurs\\\" width=\\\"419\\\" height=\\\"299\\\"><\\/p>\\n<p>En \\u00e9change d\\u2019une couverture forte sur leurs <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">r\\u00e9seaux sociaux pour votre restaurant<\\/a>, les influenceurs profiteront gratuitement des activit\\u00e9s dont ils feront la promotion&nbsp;: un repas, une exp\\u00e9rience, une nuit \\u00e0 l\\u2019h\\u00f4tel\\u2026 sous forme de contenus fig\\u00e9s ou anim\\u00e9s (stories, TikTok, R\\u00e9els).Aujourd\\u2019hui, l\\u2019application est utilis\\u00e9e par plus de 3&nbsp;000 influenceurs actifs et qualifi\\u00e9s. B\\u00e9n\\u00e9ficiant d\\u2019une forte notori\\u00e9t\\u00e9, HEMBLEM propose une strat\\u00e9gie de marketing d\\u2019influence efficace lui permettant de fournir des r\\u00e9sultats significatifs et d\\u2019\\u00eatre au plus proche de grands influenceurs.<\\/p>\\n<p>Pour profiter du puissant outil HEMBLEM et booster votre communication avec du marketing d\\u2019influence, il vous suffit de r\\u00e9f\\u00e9rencer votre \\u00e9tablissement sur l\\u2019application mobile. Une \\u00e9quipe vous accompagnera tout le long de votre abonnement.<\\/p>\\n<p><\\/p>\\n<h2><br><\\/h2>\\n<h2><br><\\/h2>\\n<h2>Pourquoi r\\u00e9f\\u00e9rencer mon \\u00e9tablissement sur HEMBLEM&nbsp;?<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p><img class=\\\"alignright wp-image-5277 \\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/05\\/Capture-2-hemblem.jpg\\\" alt=\\\"Augmentez votre notori\\u00e9t\\u00e9 avec Hemblem\\\" width=\\\"595\\\" height=\\\"409\\\"><\\/p>\\n<p>Comme chaque ann\\u00e9e, plusieurs \\u00e9tudes ont \\u00e9t\\u00e9 men\\u00e9es sur le marketing d\\u2019influence. Pour 2022, les chiffres ne sont pas rest\\u00e9s sur la r\\u00e9serve. En effet, 49 % des consommateurs affirment conditionner leurs achats selon les recommandations d\\u2019influenceurs (\\u00e9tude men\\u00e9e par Digital Marketing Institute). Et pour 8 personnes sur 10, l\\u2019acte d\\u2019achat devient \\u00e9vident suite \\u00e0 l\\u2019avis positif d\\u2019un influenceur. (Rakuten)<\\/p>\\n<p>Pour rappel, un influenceur est une personne sollicit\\u00e9e par les marques pour faire connaitre \\u00e0 sa communaut\\u00e9 les produits et prestations de l\\u2019enseigne en question. \\u00c9videmment, plus importante est la notori\\u00e9t\\u00e9 de l\\u2019influenceur, plus cons\\u00e9quent pourra \\u00eatre le coup de communication.<\\/p>\\n<p>Appr\\u00e9ci\\u00e9 de ses abonn\\u00e9s, l\\u2019influenceur sait comment les aborder et leur faire passer des messages. Ainsi, les risques que votre message passe \\u00e0 la trappe sont largement r\\u00e9duits.<\\/p>\\n<p>Gr\\u00e2ce \\u00e0 la notori\\u00e9t\\u00e9 des influenceurs, vous pourrez proposer des contenus vari\\u00e9s, jug\\u00e9s indispensables \\u00ab&nbsp;pour continuer \\u00e0 exister dans un univers virtuel o\\u00f9 l\\u2019offre devient pl\\u00e9thorique&nbsp;\\u00bb, affirme le fondateur de HEMBLEM, Edouard Hausseguy.<\\/p>\\n<p><br><\\/p>\\n<p><\\/p>\\n<h2>Flexibilit\\u00e9 du planning et retour sur investissement avec HEMBLEM<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>Avec l\\u2019application HEMBLEM, vous \\u00eates en relation avec une trentaine d\\u2019influenceurs par mois pour le pack interm\\u00e9diaire. C\\u2019est vous-m\\u00eame qui acceptez les collaborations et qui g\\u00e9rez votre planning avec les influenceurs.<\\/p>\\n<p><\\/p>\\n<p><img class=\\\"alignleft wp-image-5276 \\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/05\\/Capture-1-hemblem.jpg\\\" alt=\\\"Mesurez vos r\\u00e9sultats avec Hemblem\\\" width=\\\"934\\\" height=\\\"658\\\"><\\/p>\\n<p><\\/p>\\n<p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\"><br><\\/span><\\/p><p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\"><br><\\/span><\\/p><p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\">Au niveau des tarifs, le pack interm\\u00e9diaire est \\u00e0 390&nbsp;\\u20ac HT\\/mois. Un co\\u00fbt qui peut para\\u00eetre cons\\u00e9quent pour un professionnel de la restauration et de l\\u2019h\\u00f4tellerie, mais qui vous permettra de mesurer un retour sur investissement sur le long terme. Dans les statistiques fournies par HEMBLEM, vous visualiserez le nombre de personnes touch\\u00e9es par les contenus r\\u00e9alis\\u00e9s par les influenceurs choisis.<\\/span><\\/p>\\n<p>\\u00c0 noter qu\\u2019il existe \\u00e9galement deux autres offres, pour des besoins plus ou moins importants en marketing d\\u2019influence.<\\/p>\\n<p><\\/p>\\n<h2><br><\\/h2><h2>Quel est le march\\u00e9 du marketing d\\u2019influence en 2022&nbsp;?<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>Vous l\\u2019aurez bien compris, le marketing d\\u2019influence est une nouvelle strat\\u00e9gie marketing faisant appel au pouvoir d\\u2019influence de leaders d\\u2019opinion sur les r\\u00e9seaux sociaux. D\\u2019ailleurs, 70 % d\\u2019entre eux ont entre 19 et 35 ans (\\u00e9tude Hootsuite), leur communaut\\u00e9 sera donc tr\\u00e8s certainement de cette m\\u00eame tranche d\\u2019\\u00e2ge.<\\/p>\\n<p>En 2022, le march\\u00e9 p\\u00e8se lourd. En effet, d\\u2019apr\\u00e8s une \\u00e9tude men\\u00e9e par Business Insider, le marketing d\\u2019influence est estim\\u00e9 \\u00e0 15 milliards de dollars cette ann\\u00e9e.<\\/p>\\n<p>Devenu tr\\u00e8s populaire et rentable, 9 responsables marketing sur 10 affirment avoir d\\u00e9j\\u00e0 eu recours au marketing d\\u2019influence dans le cadre de campagnes marketing digitales (SocialPubli).<\\/p>\\n<p>C\\u00f4t\\u00e9 r\\u00e9seaux sociaux, c\\u2019est TikTok qui a la cote avec une croissance de +700 % en 2021 pour le secteur de la food et du snacking. Le r\\u00e9seau social Snapchat est \\u00e9galement tr\\u00e8s sollicit\\u00e9 par les influenceurs food et leur communaut\\u00e9. (Hootsuite)<\\/p>\\n<p>Restaurateurs aguerris ou non, soyez vigilants, car les faux influenceurs s\\u00e9vissent sur la toile. Avant d\\u2019en engager un, assurez-vous que ses abonn\\u00e9s soient de \\u00ab&nbsp;vraies&nbsp;\\u00bb personnes et non des robots ou des particuliers pay\\u00e9s pour le suivre. C\\u2019est pourquoi des outils de confiance comme HEMBLEM vous mettent directement en relation avec des influenceurs qualifi\\u00e9s et pr\\u00e9-s\\u00e9lectionn\\u00e9s, pour exercer cette fonction.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7569", "5265", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7684", "5265", "_elementor_css", "a:6:{s:4:\"time\";i:1685536051;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7685", "4956", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7686", "4956", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7687", "4956", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7688", "12333", "_wp_attached_file", "2022/04/concept-de-restaurant.jpg");
INSERT INTO `wp_postmeta` VALUES("7689", "12333", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:640;s:6:\"height\";i:480;s:4:\"file\";s:33:\"2022/04/concept-de-restaurant.jpg\";s:8:\"filesize\";i:90696;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"concept-de-restaurant-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21717;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"concept-de-restaurant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8571;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:33:\"concept-de-restaurant-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36412;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:33:\"concept-de-restaurant-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4613;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7702", "4956", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7703", "4956", "_elementor_data", "[{\"id\":\"46301eb4\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"3f367d14\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6755238c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Les franchises sont partout et poussent comme des champignons, tous secteurs confondus. Mode, beaut\\u00e9, d\\u00e9co, sport\\u2026 S\\u2019il y a bien un domaine qui devance largement les autres, c\\u2019est la restauration. Boulangerie, restauration rapide, bar, burger, pizza, sushi et bien d\\u2019autres, aucun type de nourriture ne manque \\u00e0 l\\u2019appel.<\\/p><p>Vous avez mis en place un nouveau concept de restaurant\\u00a0? Vous souhaitez ouvrir un restaurant, mais ne savez pas comment faire\\u00a0? Et si votre r\\u00e9ussite passait par l\\u2019ouverture d\\u2019une franchise\\u00a0?<\\/p><p>\\u00a0<\\/p><h2>Une franchise, qu\\u2019est-ce que c\\u2019est\\u00a0?<\\/h2><div>\\u00a0<\\/div><p>Pour faire simple, une franchise est un moyen de communication entre un franchiseur, le propri\\u00e9taire de l\\u2019enseigne et franchis\\u00e9, un ind\\u00e9pendant qui ouvre un local au nom de la marque.<\\/p><p>En 2019, 44 % des Fran\\u00e7ais souhaitant ouvrir une entreprise envisageaient de passer par une franchise (tous domaines confondus), selon une \\u00e9tude du CSA et de la F\\u00e9d\\u00e9ration Fran\\u00e7aise de la Franchise. En effet, les avantages sont nombreux.<\\/p><p>Cette relation entre franchiseur et franchise est conditionn\\u00e9e par un contrat pour une dur\\u00e9e de 5 \\u00e0 10 ans en g\\u00e9n\\u00e9ral. Comme tout contrat, celui-ci d\\u00e9taille l\\u2019ensemble des obligations des deux parties dont\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Le franchiseur s\\u2019engage \\u00e0 transmettre au franchis\\u00e9 tous les contenus n\\u00e9cessaires au d\\u00e9veloppement et \\u00e0 la mise en place de la structure (communication, moyens de communication, conseils\\u2026)\\u00a0;<\\/li><li>Les modalit\\u00e9s de transmission du contenu et d\\u2019accompagnement du franchiseur\\u00a0;<\\/li><li>Le fonctionnement du r\\u00e9seau de franchis\\u00e9 de la marque\\u00a0;<\\/li><li>Les modalit\\u00e9s de r\\u00e9mun\\u00e9ration du franchis\\u00e9\\u2026<\\/li><\\/ul><p>Enfin, notez que le franchiseur et le franchis\\u00e9 signent au nom de deux entreprises juridiquement diff\\u00e9rentes.<\\/p><p>\\u00a0<\\/p><h2>Comment franchiser son restaurant\\u00a0?<\\/h2><div>\\u00a0<\\/div><p>Un restaurant n\\u00e9 d\\u2019un concept, d\\u2019une id\\u00e9e de son cr\\u00e9ateur. Face \\u00e0 la notori\\u00e9t\\u00e9 croissante, vous pourriez avoir envie de franchiser votre restaurant afin de le faire \\u00e9voluer \\u00e0 \\u00e9chelle nationale et pourquoi pas mondiale.<\\/p><p>Pour franchiser son restaurant, 6 \\u00e9tapes importantes sont \\u00e0 suivre.<\\/p><p>\\u00a0<\\/p><h3>Faire valider votre concept dans un ou plusieurs points de vente<\\/h3><div>\\u00a0<\\/div><p>Si votre restaurant cartonne \\u00e0 un endroit, rien n\\u2019est dit qu\\u2019il en soit de m\\u00eame dans une autre ville. C\\u2019est pourquoi il est vivement conseill\\u00e9 d\\u2019ouvrir au moins un deuxi\\u00e8me restaurant. Ainsi, vous pourrez tester la validit\\u00e9 de votre concept et gagner en notori\\u00e9t\\u00e9.<\\/p><p>Lorsque vous serez pr\\u00eat \\u00e0 recruter des franchis\\u00e9s, vous pourrez attester de votre pr\\u00e9sence dans au moins deux endroits.<\\/p><p>\\u00a0<\\/p><h3>Faire une \\u00e9tude de march\\u00e9 \\u00e0 \\u00e9chelle nationale<\\/h3><div>\\u00a0<\\/div><p>Si vous avez pens\\u00e9 \\u00e0 une id\\u00e9e de g\\u00e9nie, d\\u2019autres l\\u2019auront peut-\\u00eatre eux avant vous. R\\u00e9aliser une \\u00e9tude de march\\u00e9 \\u00e0 \\u00e9chelle nationale vous permettra alors de connaitre vos faiblesses et vos menaces.<\\/p><p>Aussi, en analysant la concurrence, vos points forts ressortiront davantage. C\\u2019est dessus qu\\u2019il faudra travailler pour am\\u00e9liorer votre concept.<\\/p><p>\\u00a0<\\/p><h3>Enregistrer le concept dans un Manuel Op\\u00e9ratoire<\\/h3><div>\\u00a0<\\/div><p>Dans le monde de la franchise, ce manuel op\\u00e9ratoire est une v\\u00e9ritable \\u00ab\\u00a0Bible\\u00a0\\u00bb. Cette \\u00e9tape tr\\u00e8s importante consiste \\u00e0 r\\u00e9diger, synth\\u00e9tiser, imaginer et mettre en place toutes les proc\\u00e9dures, m\\u00e9thodes et pratiques que devront respecter vos futurs franchis\\u00e9s.<\\/p><p>\\u00a0<\\/p><h3>S\\u00e9lectionner le contrat de distribution<\\/h3><div>\\u00a0<\\/div><p>Seul un expert de la franchise pourra vous orienter au mieux. Sachez tout de m\\u00eame qu\\u2019il existe 4 types de contrats de distribution, dont le fameux contrat de franchise.<\\/p><p>Le choix du contrat de distribution se fait en fonction de votre activit\\u00e9, de votre strat\\u00e9gie globale et de votre mod\\u00e8le \\u00e9conomique.<\\/p><p>\\u00a0<\\/p><h3>Mettre en forme le document d\\u2019information pr\\u00e9contractuelle<\\/h3><div>\\u00a0<\\/div><p>Obligatoire avant toute signature de contrat, le franchiseur doit le transmettre au potentiel futur franchis\\u00e9. Ce document doit contenir, entre autres\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Une fiche descriptive de l\\u2019enseigne\\u00a0;<\\/li><li>L\\u2019\\u00e9tude de march\\u00e9 nationale r\\u00e9alis\\u00e9e pr\\u00e9c\\u00e9demment\\u00a0;<\\/li><li>L\\u2019historique du r\\u00e9seau\\u00a0;<\\/li><li>Les perspectives de d\\u00e9veloppement de la franchise\\u2026<\\/li><\\/ul><p>\\u00a0<\\/p><p>L\\u00e0 encore, un expert dans les franchises saura vous conseiller de A \\u00e0 Z.<\\/p><h3>\\u00a0<\\/h3><h3>Fixer les strat\\u00e9gies et mises en \\u0153uvre d\\u2019animation de votre r\\u00e9seau de franchis\\u00e9<\\/h3><p>\\u00a0<\\/p><p>Pour attirer de nouveaux franchis\\u00e9s et garder votre notori\\u00e9t\\u00e9, vous devez enfin penser \\u00e0 plusieurs strat\\u00e9gies de communication, marketing, organisation des locaux\\u2026 Vous devrez alors fournir \\u00e0 vos franchis\\u00e9s les clefs pour pouvoir mettre tout cela en place dans leur \\u00e9tablissement.<\\/p><p>Ce n\\u2019est qu\\u2019apr\\u00e8s avoir suivi ce long chemin que vous pourrez recruter vos franchis\\u00e9s dans les meilleures conditions. Ensuite, une communication importante sur les <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">r\\u00e9seaux sociaux<\\/a> vous permettra de faire \\u00e9voluer votre concept et d\'attirer de nouveaux franchis\\u00e9s.<\\/p><p>\\u00a0<\\/p><h2>Quels sont les avantages d\\u2019une franchise\\u00a0?<\\/h2><div>\\u00a0<\\/div><p><a href=\\\"https:\\/\\/www.instagram.com\\/esushi_officiel\\/?hl=fr\\\"><img class=\\\"aligncenter wp-image-4958\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/Franchise-e-sushi-300x200.jpg\\\" alt=\\\"Franchise E-sushi\\\" width=\\\"452\\\" height=\\\"301\\\" \\/><\\/a><\\/p><p>\\u00a0<\\/p><p>Le principal avantage d\\u2019un franchis\\u00e9 dans la restauration et qu\\u2019il ouvre une enseigne b\\u00e9n\\u00e9ficiant d\\u00e9j\\u00e0 d\\u2019une certaine notori\\u00e9t\\u00e9\\u2009! Aussi, vous b\\u00e9n\\u00e9ficiez d\\u2019une publicit\\u00e9 \\u00e0 \\u00e9chelle nationale et d\\u2019une publicit\\u00e9 de lancement.<\\/p><p>En ouvrant une franchise, les frais d\\u2019\\u00e9tude de march\\u00e9 sont souvent pris en charge par le franchiseur. Aussi, le dossier financier fait partie des documents fournis par le franchiseur.<\\/p><p>M\\u00eame s\\u2019il n\\u2019existe aujourd\\u2019hui aucune \\u00e9tude le prouvant, il s\\u2019av\\u00e8re qu\\u2019un entrepreneur ouvrant une franchise \\u00e0 plus de change de r\\u00e9ussir, et aussi plus rapidement, qu\\u2019un restaurant ind\\u00e9pendant.<\\/p><p>En revanche, le franchis\\u00e9 est responsable de l\\u2019image de son restaurant, de la gestion de ses stocks, de sa tr\\u00e9sorerie, de ses \\u00e9quipes\\u2026 En fonction de votre franchiseur, vous pourrez \\u00e9galement avoir des frais particuliers pour l\\u2019organisation, le mobilier\\u2026 du restaurant selon les \\u00ab\\u00a0codes\\u00a0\\u00bb de la franchise.<\\/p><p>\\u00a0<\\/p><h2>Les obligations d\\u2019une franchise dans la restauration<\\/h2><div>\\u00a0<\\/div><p>Parce qu\\u2019ouvrir une franchise n\\u2019est pas anodin, dans le secteur du secteur de la restauration il y a des r\\u00e8gles sp\\u00e9cifiques \\u00e0 respecter\\u00a0:<\\/p><p>\\u00a0<\\/p><ol><li>Obtenir une licence de d\\u00e9bit de boisson\\u00a0;<\\/li><li>D\\u00e9clarer la manipulation de denr\\u00e9es alimentaires d\\u2019origines animales\\u00a0;<\\/li><li>Respecter les r\\u00e8gles d\\u2019hygi\\u00e8ne et de salubrit\\u00e9\\u00a0;<\\/li><li>Respecter les r\\u00e8gles relatives \\u00e0 l\\u2019accueil du public\\u00a0;<\\/li><li>Respecter le droit d\\u2019information du client (les prix, l\\u2019origine des produits\\u2026).<\\/li><\\/ol><p>\\u00a0<\\/p><p>Sollicitant plusieurs domaines du droit, l\\u2019ouverture d\\u2019une franchise dans la restauration demande du temps et de la documentation. Pour vous aider dans vos d\\u00e9marches, il peut \\u00eatre judicieux de choisir un avocat sp\\u00e9cialis\\u00e9 qui saura vous conseiller et vous aider en cas de litiges.<\\/p><p>\\u00a0<\\/p><h2>Devenir franchis\\u00e9 en 2022\\u00a0: quelle franchise choisir\\u00a0?<\\/h2><div>\\u00a0<\\/div><p>Chaque nouvelle ann\\u00e9e apporte son lot de palmar\\u00e8s et la restauration n\\u2019y \\u00e9chappe pas. Voici les meilleures franchises dans lesquelles investir en 2022.<\\/p><p>\\u00a0<\\/p><h3>Restauration rapide<\\/h3><p>\\u00a0<\\/p><p>Toujours pl\\u00e9biscit\\u00e9e, la restauration rapide ne connait pas les crises \\u00e9conomique et sanitaire. Parmi les grands noms qui recrutent des franchis\\u00e9s, il y a\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Au P\\u2019tit Cr\\u00eape\\u00a0: un concept original de cr\\u00eapes\\u00a0;<\\/li><li>Djawa\\u00a0: le premier restaurant de street food indon\\u00e9sienne en France\\u00a0;<\\/li><li>Bagel Corner\\u00a0: sp\\u00e9cialiste des bagels et donuts, sucr\\u00e9s comme sal\\u00e9s\\u00a0;<\\/li><li>McDonald\\u2019s.<\\/li><\\/ul><h3>\\u00a0<\\/h3><h3>Restaurant \\u00e0 th\\u00e8me<\\/h3><p>\\u00a0<\\/p><p>Sp\\u00e9cialis\\u00e9s, ces restaurants ciblent une client\\u00e8le amatrice de ce type de nourritures. Entre les concepts italiens, mexicains, fran\\u00e7ais ou encore am\\u00e9ricains, les franchises ne manquent pas\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Pizza Del Arte\\u00a0: r\\u00e9f\\u00e9rence dans les pizzas ;<\\/li><li>Buffalo grill\\u00a0: l\\u2019art de la viande\\u00a0;<\\/li><li>Oncle Scott\\u2019s\\u00a0: concept country et plats am\\u00e9ricains\\u00a0;<\\/li><li>Pitaya\\u00a0: le leader de la street food tha\\u00ef en France.<\\/li><\\/ul><h3>\\u00a0<\\/h3><h3>Brasserie<\\/h3><p>\\u00a0<\\/p><p>Elles sont le symbole de la convivialit\\u00e9, des planchettes ap\\u00e9ritives et de soir\\u00e9es r\\u00e9ussies proposant des produits rapides \\u00e0 pr\\u00e9parer et de qualit\\u00e9. Les franchises concern\\u00e9es sont\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Au Bureau\\u00a0: pour un esprit anglo-saxon\\u00a0;<\\/li><li>La Taverne\\u00a0: des plats de caract\\u00e8res\\u00a0;<\\/li><li>Ninkasi\\u00a0: avec \\u00e0 la carte bi\\u00e8res, burgers et musique<\\/li><\\/ul><p>\\u00a0<\\/p><p>Dans les autres th\\u00e9matiques, vous pourriez \\u00e9galement \\u00eatre int\\u00e9ress\\u00e9s par des caf\\u00e9s &amp; coffee shop ou encore des boulangeries.<\\/p><p>\\u00a0<\\/p><p>Quoi qu\\u2019il en soit, avant de devenir franchiseur ou franchis\\u00e9, la documentation est le point de d\\u00e9part de toute chose.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7711", "4956", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7738", "4956", "_elementor_css", "a:6:{s:4:\"time\";i:1685536453;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7739", "4946", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7740", "4946", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7741", "4946", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7742", "12340", "_wp_attached_file", "2022/04/hashtags-food-entete.jpg");
INSERT INTO `wp_postmeta` VALUES("7743", "12340", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:612;s:6:\"height\";i:367;s:4:\"file\";s:32:\"2022/04/hashtags-food-entete.jpg\";s:8:\"filesize\";i:70284;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"hashtags-food-entete-300x180.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26922;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"hashtags-food-entete-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12093;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"hashtags-food-entete-416x249.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:249;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44308;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"hashtags-food-entete-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6070;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:12:\"Getty Images\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:62:\"A variety of hand-drawn doodled text of social media concepts.\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:8:\"jamtoons\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:62:\"A variety of hand-drawn doodled text of social media concepts.\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7756", "4946", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7757", "4946", "_elementor_data", "[{\"id\":\"4f8ac1cf\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"24508bdf\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"56c0ad9f\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Aujourd\\u2019hui, se faire connaitre passe in\\u00e9vitablement par <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">les r\\u00e9seaux sociaux<\\/a>. Mais pour exploiter ces outils au maximum, encore faut-il connaitre leurs codes. Sur Instagram et TikTok notamment, vous gagnerez en visibilit\\u00e9 en utilisant le plus de hashtags possible et coh\\u00e9rents avec votre restaurant.<\\/p><p>D\\u00e9couvrez le pouvoir des hashtags food\\u00a0: v\\u00e9ritables piliers pour am\\u00e9liorer le r\\u00e9f\\u00e9rencement de vos publications sur Instagram et TikTok.<\\/p><p>\\u00a0<\\/p><h2>Le hashtag\\u00a0: qu\\u2019est-ce que c\\u2019est exactement\\u00a0?<\\/h2><div>\\u00a0<\\/div><p><img class=\\\"alignleft wp-image-4948 size-medium\\\" title=\\\"Qu\'est-ce qu\'un hashtag ?\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/hashtags-food-300x200.jpg\\\" alt=\\\"Qu\'est-ce qu\'un hashtag ?\\\" width=\\\"300\\\" height=\\\"200\\\" \\/><\\/p><p>En voil\\u00e0 une bonne question\\u00a0! Le hashtag est une sorte de \\u00ab\\u00a0mot-cible\\u00a0\\u00bb qui va classer votre publication. Dans le domaine de la restauration et de la nourriture, l\\u2019un des plus populaires est le #cuisine. Ainsi, en mentionnant cet hashtag dans votre publication, elle sera r\\u00e9f\\u00e9renc\\u00e9e avec toutes les autres l\\u2019utilisant.<\\/p><p>Aussi, sachez qu\\u2019il est possible de s\\u2019abonner aux hashtags. C\\u2019est pourquoi ils ne sont surtout pas \\u00e0 n\\u00e9gliger\\u00a0! En effet, des internautes abonn\\u00e9s aux hashtags que vous utilisez augmenteront votre notori\\u00e9t\\u00e9 et votre visibilit\\u00e9 sur le r\\u00e9seau social Instagram.<\\/p><p>De mani\\u00e8re g\\u00e9n\\u00e9rale, le hashtag doit \\u00eatre inclus dans votre strat\\u00e9gie de communication. Vous devez donc penser en amont \\u00e0 ceux \\u00e0 utiliser en priorit\\u00e9 pour votre restaurant.<\\/p><p>Dans le secteur de la food sur Instagram, un certain nombre de hashtags peut \\u00eatre judicieusement utilis\\u00e9. Vous entendrez alors parler de \\u00ab\\u00a0hashtag food\\u00a0\\u00bb, autrement dit, les hashtags les plus populaires, les plus pertinents et les plus coh\\u00e9rents pour votre strat\\u00e9gie de communication sur les r\\u00e9seaux sociaux.<\\/p><p>\\u00a0<\\/p><h2>Les bons hashtags food selon votre secteur<\\/h2><div>\\u00a0<\\/div><p>Toutes cat\\u00e9gories de nourritures confondues, les 15 hashtags les plus populaires en ce d\\u00e9but d\\u2019ann\\u00e9e 2022 sont\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>#food\\u00a0;<\\/li><li>#nourriture\\u00a0;<\\/li><li>#foodporn\\u00a0;<\\/li><li>#healthy\\u00a0;<\\/li><li>#parisfoodie\\u00a0;<\\/li><li>#frenchfood\\u00a0;<\\/li><li>#cuisine\\u00a0;<\\/li><li>#cuisinemaison\\u00a0;<\\/li><li>#diner\\u00a0;<\\/li><li>#lunch\\u00a0;<\\/li><li>#lunchbox\\u00a0;<\\/li><li>#patisserie\\u00a0;<\\/li><li>#gouter\\u00a0;<\\/li><li>#gourmandise\\u00a0;<\\/li><li>#gateaux\\u00a0;<\\/li><\\/ul><p>\\u00a0<\\/p><p>En plus des hashtags\\u00a0food populaires en 2022, il est conseill\\u00e9 de cibler des hashtags\\u00a0sp\\u00e9cifiques \\u00e0 votre type de nourriture et de restauration, par exemple #foodtruck, #pasta\\u2026<\\/p><p>\\u00a0<\\/p><h3>Les hashtags de restauration italienne<\\/h3><div>\\u00a0<\\/div><p><a href=\\\"https:\\/\\/www.instagram.com\\/pasticcio_paris\\/\\\"><img class=\\\"alignright wp-image-4952\\\" title=\\\"Publication Instagram Pasticcio\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/Publication-Pasticcio-300x200.jpg\\\" alt=\\\"Publication Instagram Pasticcio\\\" width=\\\"411\\\" height=\\\"274\\\" \\/><\\/a><\\/p><p>\\u00a0<\\/p><p>Avis aux pizzerias, \\u00e9piceries italiennes, boutiques de p\\u00e2tes fra\\u00eeches et autres professionnels amoureux des plats italiens, les hashtags\\u00a0\\u00e0 privil\\u00e9gier sont\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>#trattoria\\u00a0;<\\/li><li>#cuisineitalienne\\u00a0;<\\/li><li>#italianfood ;<\\/li><li>#cucinaitaliana\\u00a0;<\\/li><li>#pasta\\u00a0;<\\/li><li>#pizza\\u00a0;<\\/li><li>#restaurantitalien\\u00a0;<\\/li><li>#italie\\u00a0;<\\/li><li>#italia.<\\/li><\\/ul><p>\\u00a0<\\/p><h3>Les hashtags pour les publications d\\u2019inspiration asiatique<\\/h3><div>\\u00a0<\\/div><p><a href=\\\"https:\\/\\/www.instagram.com\\/bolkiri\\/?hl=fr\\\"><img class=\\\"alignright wp-image-4953\\\" title=\\\"Publication Instagram Bolkiri\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/04\\/Publication-instagram-Bolkiri-200x300.jpg\\\" alt=\\\"Publication Instagram Bolkiri\\\" width=\\\"219\\\" height=\\\"329\\\" \\/><\\/a><\\/p><p>\\u00a0<\\/p><p>Pour les \\u00e9tablissements asiatiques, chinois, japonais, vietnamiens ou encore tha\\u00efs, les hashtags\\u00a0food populaires de votre secteur sont\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>#asianfood\\u00a0;<\\/li><li>#asian\\u00a0;<\\/li><li>#asia\\u00a0;<\\/li><li>#saucesoja\\u00a0;<\\/li><li>#sushi\\u00a0;<\\/li><li>#asiangirl.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Tr\\u00e8s en vogue \\u00e9galement, il y a les restaurations ib\\u00e9riques et originaires de l\\u2019Am\\u00e9rique latine. Si vous \\u00eates concern\\u00e9s, plusieurs hashtags\\u00a0sont\\u00a0pertinents comme #tapas, #sangria\\u2026<\\/p><p>\\u00a0<\\/p><h3>Les hashtags de nouvelles tendances<\\/h3><p>\\u00a0<\\/p><p>Cependant, avec les nouvelles tendances culinaires, telles que le v\\u00e9ganisme, de nouveaux hashtags \\u00e9mergent comme\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>#vegan\\u00a0;<\\/li><li>#glutenfree\\u00a0;<\\/li><li>#sansgluten\\u00a0;<\\/li><li>#mieuxmanger\\u00a0;<\\/li><li>#mangerbio\\u2026<\\/li><\\/ul><p>\\u00a0<\\/p><p>Aussi, pensez \\u00e0 bien mettre en avant ces hashtags si vous proposez ce type de produits ou services. Vous vous d\\u00e9marquerez de votre concurrence et ciblerez une client\\u00e8le adepte de ce type de nourriture.<\\/p><h2>\\u00a0<\\/h2><h2>Les hashtags \\u00e0 ne pas oublier sur Instagram<\\/h2><p>\\u00a0<\\/p><p>Se sp\\u00e9cialiser oui, mais n\\u2019oubliez surtout pas de parler de vous. Si les hashtags\\u00a0doivent permettre de \\u00ab\\u00a0cat\\u00e9goriser\\u00a0\\u00bb vos publications pour \\u00eatre suivies plus facilement, vous vous d\\u00e9marquerez davantage en cr\\u00e9ant vos propres\\u00a0<\\/p><p>hashtags\\u00a0de marque et en ciblant vos publications.<\\/p><p>\\u00a0<\\/p><h3>Les hashtags food populaires<\\/h3><p>\\u00a0<\\/p><p>Chaque r\\u00e9seau social a ses codes et ses hashtags\\u00a0de pr\\u00e9dilections. Sur TikTok par exemple, le hashtag\\u00a0\\u00e0 utiliser absolument sur chaque publication est le #fyp.<\\/p><p>Sur Instagram, ce sont surtout les hashtags\\u00a0avec le pr\\u00e9fixe insta. Cela nous donne par exemple, #instamood, #instafood, #instagood\\u2026 Utiliser ces hashtags\\u00a0sur Instagram pourra augmenter votre visibilit\\u00e9 et g\\u00e9n\\u00e9rer plus de vues sur vos publications et stories.<\\/p><p>\\u00a0<\\/p><h3>Les hashtags de votre marque<\\/h3><p>\\u00a0<\\/p><p>En cr\\u00e9ant des hashtags\\u00a0uniques \\u00e0 votre marque, vous allez renforcer l\\u2019aspect communautaire de votre compte. Vos abonn\\u00e9es pourront facilement vous identifier en suivant votre hashtag\\u00a0et non celui \\u00ab\\u00a0que tout le monde utilise\\u00a0\\u00bb. Vous donnerez ainsi plus de poids \\u00e0 votre publication et elle se d\\u00e9tachera plus facilement de la masse.<\\/p><p>Pour cr\\u00e9er des hashtags\\u00a0de marque, renseignez-vous d\\u2019abord sur l\\u2019existant. Aussi, pensez \\u00e0 cr\\u00e9er des variantes de votre hashtag.<\\/p><p>\\u00a0<\\/p><h3>Les hashtags d\\u2019emplacement<\\/h3><p>\\u00a0<\\/p><p>Si localiser ses publications est important, vous pouvez cibler vos posts avec les hashtags de la ville en question. Votre restaurant se situe dans le 8<sup>e<\\/sup> arrondissement de Paris\\u00a0? Utilisez les hashtags #paris et #paris8. Proches des Champs-\\u00c9lys\\u00e9es\\u00a0? N\\u2019h\\u00e9sitez pas \\u00e0 identifier l\\u2019avenue la plus c\\u00e9l\\u00e8bre de France\\u00a0!<\\/p><p>\\u00c9galement populaire, le hashtag #oumanger + votre ville, par exemple #oumangerparis, pourrait am\\u00e9liorer le r\\u00e9f\\u00e9rencement de votre publication.<\\/p><p>\\u00a0<\\/p><h3>Les hashtags food de niche<\\/h3><p>\\u00a0<\\/p><p>Ces hashtags sont sp\\u00e9cifiques \\u00e0 votre restaurant, au type de cuisine que vous proposez et \\u00e0 vos valeurs. Parmi les hashtags food de niche que vous pouvez utiliser dans vos publications Instagram, retrouvez\\u00a0: #bio, #local, #faitmaison\\u2026 Avec ces hashtags food de niche, vous ciblerez plus sp\\u00e9cifiquement votre c\\u0153ur de cible.<\\/p><p>\\u00a0<\\/p><h2>Finalement, comment choisir le bon hashtag\\u00a0?<\\/h2><p>\\u00a0<\\/p><p>Il est judicieux de m\\u00e9langer deux types de hashtags\\u00a0: les hashtags\\u00a0populaires, aux plus proches de votre publication et les hashtags\\u00a0de votre marque ou plus moins cibl\\u00e9s, mais tout aussi pertinents. Avec ces derniers, vous cr\\u00e9erez donc une sorte de niche.<\\/p><p>\\u00a0<\\/p><h3>Des hashtags coh\\u00e9rents<\\/h3><p>\\u00a0<\\/p><p>Enfin, le dernier point important, mais essentiel, est d\\u2019utiliser des hashtags\\u00a0coh\\u00e9rents avec votre publication et votre secteur. Un hashtag populaire pertinent sur une publication ne le sera pas forc\\u00e9ment sur une seconde, m\\u00eame si elle repr\\u00e9sente toujours votre restaurant. Les hashtags\\u00a0de marque, en revanche, auront toujours une place de choix.<\\/p><p>Si vous lancez un jeu concours, ajoutez de nouveaux hashtags tels que\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>#instaconcours\\u00a0;<\\/li><li>#concours\\u00a0;<\\/li><li>#concoursinstagram.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Pour des op\\u00e9rations sp\\u00e9ciales, telles que des promotions, utilisez\\u00a0: #promos\\u00a0; #soldes\\u2026<\\/p><p>\\u00a0<\\/p><h3>Le bon nombre de hashtags<\\/h3><div>\\u00a0<\\/div><p>En th\\u00e9orie, il n\\u2019y a pas de nombre de hashtags impos\\u00e9 pour chaque publication. En pratique, c\\u2019est autre chose. Si sur Instagram vous \\u00eates limit\\u00e9s \\u00e0 30 hashtags par post, il est inutile d\\u2019en mettre autant. En effet, en abusant sur les hashtags food populaires, votre publication pourrait se noyer dans l\\u2019amas de posts sans capter l\\u2019attention de votre cible.<\\/p><p>Sur TikTok, vous avez moins de place pour commenter et l\\u00e9gender votre contenu vid\\u00e9o. C\\u2019est pourquoi la tendance tourne aujourd\\u2019hui \\u00e0 3 hashtags par publication en moyenne.<\\/p><p>Notre dernier conseil\\u00a0: prospectez constamment. Avec les nouvelles tendances culinaires, les hashtags food changent constamment. C\\u2019est pourquoi une veille am\\u00e9liorera votre positionnement sur Instagram.<\\/p><p>\\u00a0<\\/p><h2>Mesurer les performances de ses hashtags food sur Instagram<\\/h2><div>\\u00a0<\\/div><p>S\\u2019il est important de prospecter en amont de la strat\\u00e9gie, il est tout aussi vital d\\u2019\\u00e9valuer les r\\u00e9sultats de vos hashtags food. Pour cela, Instagram met \\u00e0 votre disposition des statistiques consultables d\\u00e8s 100 abonn\\u00e9s. De l\\u00e0, vous pourrez vous rendre compte de l\\u2019\\u00e9volution de votre compte.<\\/p><p>D\\u2019autres outils tels que Creator Studio, Socialbaker, Iconosquare, Hootsuite, Agorapulse ou encore Swello vous permettront de mesurer les performances de votre strat\\u00e9gie de communication sur Instagram. Selon la formule choisie, vous aurez acc\\u00e8s \\u00e0 plus ou moins de fonctionnalit\\u00e9s.<\\/p><p>Enfin, fixez-vous des objectifs\\u2009! Si vous aviez une faible audience avant d\\u2019utiliser les hashtags food, consultez-vous r\\u00e9guli\\u00e8rement les interactions de votre communaut\\u00e9 avec votre compte (likes, commentaires, abonnements, d\\u00e9sabonnements, partages\\u2026). Vous verrez, avec vos hashtags food pertinents, coh\\u00e9rents et percutants, votre audience sera plus forte.<\\/p><p>Enfin, ne limitez pas l\\u2019utilisation de vos hashtags \\u00e0 vos publications. Stories, r\\u00e9els, vid\\u00e9os, les hashtags food pour votre restaurant s\\u2019appliquent partout sur Instagram. Veillez cependant \\u00e0 ne pas en abuser, notamment dans vos stories, car l\\u2019espace est malgr\\u00e9 tout limit\\u00e9. Pour vous aider, Instagram propose des stickers de hashtags\\u00a0: l\\u2019internaute peut alors cliquer dessus et sera redirig\\u00e9 vers le contenu correspondant au ciblage du sticker.<\\/p><p>Mettre en place une strat\\u00e9gie de hashtags food sur Instagram requiert donc du temps et de l\\u2019investissement si vous voulez des r\\u00e9sultats concrets et rapides.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7765", "4946", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7792", "4946", "_elementor_css", "a:6:{s:4:\"time\";i:1685536730;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7793", "4888", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7794", "4888", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7795", "4888", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7819", "4888", "_elementor_data", "[{\"id\":\"7d903b61\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7d83df44\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"21e00b8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Aujourd\\u2019hui, le digital fait partie int\\u00e9grante de notre quotidien, que ce soit dans le monde professionnel ou dans le cadre familial. Il est donc difficile de passer \\u00e0 c\\u00f4t\\u00e9 de la transition num\\u00e9rique, tous secteurs confondus. Et le monde de la restauration n\\u2019en fait pas exception&nbsp;!<\\/p>\\n<p>Quel serveur n\\u2019a jamais \\u00e9t\\u00e9 confront\\u00e9 \\u00e0 une client\\u00e8le \\u00e9trang\\u00e8re d\\u00e9sireuse de d\\u00e9couvrir les mets locaux&nbsp;? Seul probl\\u00e8me, la barri\\u00e8re de la langue\\u2026<\\/p>\\n<p>De nouveaux outils se sont d\\u00e9velopp\\u00e9s pour faciliter votre quotidien de restaurateur, dont l\\u2019application <a href=\\\"https:\\/\\/www.whatiseat.com\\/fr\\/\\\">WhatisEAT<\\/a>.<\\/p>\\n<p><\\/p>\\n<p><img class=\\\"size-medium wp-image-4897 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/03\\/Application-WhatisEAT-300x300.png\\\" alt=\\\"L\'application WhatisEAT\\\" width=\\\"300\\\" height=\\\"300\\\"><\\/p>\\n<h2><strong>&nbsp;<\\/strong><\\/h2>\\n<h2><strong>Un menu digital sans la barri\\u00e8re de la langue avec WhatisEAT <\\/strong><\\/h2>\\n<div><strong>&nbsp;<\\/strong><\\/div>\\n<p>Quelle situation cocasse que cet \\u00e9change entre amis&nbsp;:<\\/p>\\n<ul>\\n<li>\\u00ab\\u2009Euh le Schweinshaxe c\\u2019est quoi d\\u00e9j\\u00e0 les amis ?!\\u2009\\u00bb<\\/li>\\n<li>\\u00ab\\u2009Mmm je crois que c\\u2019est du jarret de porc bouilli R\\u00e9mi\\u2026 prend plut\\u00f4t le Schwarzw\\u00e4lder Kirschtorte c\\u2019est une valeur s\\u00fbre il para\\u00eet\\u2009\\u00bb<\\/li>\\n<li>\\u00ab\\u2009Mais attend c\\u2019est pas un dessert \\u00e7a plut\\u00f4t ?!...\\u2009\\u00bb<\\/li>\\n<\\/ul>\\n<p>Restaurateurs comme clients, vous redoutez sans doute cette sc\\u00e8ne o\\u00f9 ni l\\u2019un ni l\\u2019autre ne se comprend.<\\/p>\\n<p>WhatisEAT est une application qui vous permettra avant tout de \\u00ab&nbsp;traduire votre menu&nbsp;\\u00bb. Vous \\u00eates un restaurateur fran\\u00e7ais&nbsp;? Votre menu sera pr\\u00e9sent\\u00e9 en fran\\u00e7ais. Mais avec un QRCode install\\u00e9 sur votre table, vos clients \\u00e9trangers pourront consulter la carte dans leur langue natale directement depuis leur smartphone ou leur tablette. Aujourd\\u2019hui, WhatisEAT propose plus de 30 langues&nbsp;! Encore mieux, les traductions de vos menus sont valid\\u00e9es et certifi\\u00e9es par des professionnels.<\\/p>\\n<p>Un petit doute sur le QRCode&nbsp;? Notez que la technologie WhatisEAT repose sur un syst\\u00e8me de QRCodes s\\u00e9curis\\u00e9 et fiable qui a fait ses preuves.<\\/p>\\n<p>Bien plus qu\\u2019un menu digitalis\\u00e9 de qualit\\u00e9, l\\u2019application WhatisEAT est aussi une porte d\\u2019entr\\u00e9e sur le multiculturalisme et la possibilit\\u00e9 de rendre \\u00e0 votre client\\u00e8le \\u00e9trang\\u00e8re une exp\\u00e9rience facilit\\u00e9e dans un pays avec une langue qu\\u2019elle ne ma\\u00eetrise pas forc\\u00e9ment.<\\/p><p><br><\\/p>\\n<h2><strong>Personnaliser son menu digital sur WhatisEAT<\\/strong><\\/h2>\\n<p><br><\\/p><p>L\\u2019avantage de cette application nouvelle g\\u00e9n\\u00e9ration d\\u00e9di\\u00e9e aux restaurateurs, est qu\\u2019elle est enti\\u00e8rement personnalisable. De la typographie, au menu, en passant par votre logo et les couleurs, faites comme vous voulez ! Ajoutez-y vos plus belles photos \\u00e0 poster par la suite sur vos <a title=\\\"R\\u00e9seaux sociaux\\\" href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">r\\u00e9seaux sociaux<\\/a> pour partager votre savoir-faire.<\\/p>\\n<p>Une suggestion du chef&nbsp;? Les plats ont d\\u00fb \\u00eatre adapt\\u00e9s avec l\\u2019arrivage du jour&nbsp;? Depuis votre compte, vous modifiez votre menu \\u00e0 volont\\u00e9. Vous aurez ainsi la possibilit\\u00e9 de rendre votre carte attractive et \\u00e0 jour, ainsi que d\\u2019augmenter votre potentiel vente aupr\\u00e8s de votre client\\u00e8le.<\\/p>\\n<p>Pour traduire votre menu, vous n\\u2019avez aucune d\\u00e9marche \\u00e0 faire. \\u00c0 son lancement sur le smartphone de votre client, l\\u2019application d\\u00e9tecte automatiquement la langue de l\\u2019appareil. Pratique, non&nbsp;?<\\/p>\\n<p><img class=\\\"size-medium wp-image-4901 alignright\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/03\\/Personnalisez-vos-menus-avec-WhatisEAT-300x300.png\\\" alt=\\\"Personnalisez vos menus avec WhatisEAT\\\" width=\\\"300\\\" height=\\\"300\\\"><\\/p>\\n<p>La barri\\u00e8re de la langue est une chose, mais qu\\u2019en est-il lorsque vos clients sont allergiques ou intol\\u00e9rants \\u00e0 certains aliments ? Avec les diff\\u00e9rences de r\\u00e9gimes alimentaires, il est d\\u00e9sormais vivement recommand\\u00e9, et tr\\u00e8s appr\\u00e9ci\\u00e9, de pr\\u00e9ciser les particularit\\u00e9s de certains plats&nbsp;: sans gluten, v\\u00e9g\\u00e9tarien, v\\u00e9gan\\u2026 Votre application WhatisEAT se pr\\u00e9sente alors comme un r\\u00e9el compl\\u00e9ment pour votre menu afin de pr\\u00e9senter tous les allerg\\u00e8nes de vos plats.<\\/p>\\n<p>Supprimez \\u00e0 vos serveurs l\\u2019appr\\u00e9hension qu\\u2019incarne la barri\\u00e8re de la langue et rendez les \\u00e9changes les plus fluides possible entre vos clients et votre \\u00e9quipe gr\\u00e2ce \\u00e0 votre menu digital, compr\\u00e9hensible par tous.<\\/p>\\n<h2>&nbsp;<\\/h2>\\n<h2><strong>Amoureux de la tradition ? Ne d\\u00e9laissez pas pour autant la mythique carte<\\/strong><\\/h2><div><strong><br><\\/strong><\\/div>\\n<p>Face au digital, les menus au format papier ont de quoi prendre peur. Mais les restaurateurs n\\u2019ont pas de souci \\u00e0 se faire avec l\\u2019application WhatisEAT. En effet, vous pourrez tout \\u00e0 fait conserver votre carte traditionnelle. Pensez seulement \\u00e0 y ajouter votre QRCode renvoyant vers votre menu multilingue pour vos clients \\u00e9trangers.<\\/p>\\n<p>Ainsi, vos clients n\\u2019auront qu\\u2019\\u00e0 scanner ces derniers plac\\u00e9s sur vos tables afin d\\u2019acc\\u00e9der \\u00e0 votre menu digital. Cela se passe d\\u2019une mani\\u00e8re intuitive et sans perte de temps pour vos \\u00e9quipes en salle\\u2009!<\\/p>\\n<p>Finalement, c\\u2019est \\u00e0 vous, restaurateurs, que revient l\\u2019enti\\u00e8re d\\u00e9cision de la place que prendra WhatisEAT dans votre \\u00e9tablissement. Totalement engag\\u00e9s dans le digital, prenez le virage <a href=\\\"https:\\/\\/www.whatiseat.com\\/fr\\/\\\">WhatisEAT<\\/a> en profitant de ses fonctionnalit\\u00e9s. D\\u00e9sireux de conserver une image au plus pr\\u00e8s de la tradition, d\\u00e9finissez vos besoins.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7818", "4888", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7804", "12348", "_wp_attached_file", "2022/04/menu-digital-avec-WhatisEAT-1.jpg");
INSERT INTO `wp_postmeta` VALUES("7805", "12348", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:509;s:6:\"height\";i:339;s:4:\"file\";s:41:\"2022/04/menu-digital-avec-WhatisEAT-1.jpg\";s:8:\"filesize\";i:92537;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:41:\"menu-digital-avec-WhatisEAT-1-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14894;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:41:\"menu-digital-avec-WhatisEAT-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7788;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:41:\"menu-digital-avec-WhatisEAT-1-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23771;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:41:\"menu-digital-avec-WhatisEAT-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4494;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:12:\"Getty Images\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:51:\"Woman ordering food online on her electronic device\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:51:\"Woman ordering food online on her electronic device\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7827", "4888", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7884", "4888", "_elementor_css", "a:6:{s:4:\"time\";i:1685537164;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7885", "4445", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7886", "4445", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7887", "4445", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7913", "4445", "_elementor_data", "[{\"id\":\"25eb2c46\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e70245\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7b50eda7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\">Application mobile sortie en 2016 sous Android et IOS, TikTok s\\u2019impose d\\u00e9sormais comme LE r\\u00e9seau social de partage de vid\\u00e9os. Depuis son lancement, plusieurs amateurs, appel\\u00e9s \\u00ab TikTokeur \\u00bb, ont par ailleurs perc\\u00e9 et sont suivis par des milliers d\\u2019abonn\\u00e9s. Si ce nouveau r\\u00e9seau social a r\\u00e9ussi \\u00e0 se d\\u00e9marquer de la concurrence, \\u00e0 l\\u2019instar des r\\u00e9seaux Instagram et Facebook, c\\u2019est avant tout par la pluralit\\u00e9 des contenus : humoristiques, parodiques, artistiques, musicaux, jeux vid\\u00e9o\\u2026<\\/span><\\/p><p>Parmi les secteurs qui ont le vent en poupe sur TikTok, retrouvez \\u00e9galement les contenus culinaires dont raffolent les internautes. Recettes, astuces ou d\\u00e9couvertes, les vid\\u00e9os autour de la cuisine ne manquent pas !<\\/p><p>\\u00a0<\\/p><h2>Les vid\\u00e9os culinaires qui cartonnent sur TikTok<\\/h2><div>\\u00a0<\\/div><p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-size: var(--font-size-base); font-weight: var(--font-weight-body); display: inline !important;\\\">Bien que la cuisine occupait d\\u00e9j\\u00e0 une certaine place sur TikTok, celle-ci n\\u2019a fait que se renforcer depuis les confinements successifs. En effet, pour occuper nos longues heures enferm\\u00e9es, chacun a partag\\u00e9 ses inventions culinaires jusqu\\u2019\\u00e0 instaurer des modes et des tendances \\u00ab food \\u00bb devenues virales sur le r\\u00e9seau social. Parmi celles-ci, retrouvez notamment :<\\/span><\\/p><p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-size: var(--font-size-base); font-weight: var(--font-weight-body); display: inline !important;\\\">\\u00a0<\\/span><\\/p><ul><li>Les mini pancakes et les mini donuts \\u00e0 plonger dans du lait (ou non) ;<\\/li><li>La p\\u00e2te \\u00e0 tartiner aux noisettes en 60 secondes ;<\\/li><li>Le banana bread ;<\\/li><li>Les p\\u00e2tes \\u00e0 la feta cuites au four ;<\\/li><li>Les ramens express\\u2026<\\/li><\\/ul><p>\\u00a0<\\/p><p>Quoi qu\\u2019il en soit, les internautes veulent de l\\u2019originalit\\u00e9 et de la simplicit\\u00e9 avant tout !<\\/p><p>Le \\u00ab fait maison \\u00bb est donc tr\\u00e8s tendance sur TikTok avec cette id\\u00e9e de mieux manger en continuant de se faire plaisir. Voil\\u00e0 pourquoi la plupart des vid\\u00e9os sont gourmandes, mais tr\\u00e8s simples \\u00e0 r\\u00e9aliser chez soi et avec peu d\\u2019ingr\\u00e9dients.<\\/p><p>\\u00a0<\\/p><h2>Quel est l\\u2019avantage pour un restaurateur d\\u2019\\u00eatre pr\\u00e9sent sur TikTok ?<\\/h2><div>\\u00a0<\\/div><p><img class=\\\"wp-image-4452 size-medium alignright\\\" src=\\\"\\/wp-content\\/uploads\\/2022\\/02\\/Avantage-dun-restaurateur-300x200.jpg\\\" alt=\\\"Avantage d\'un restaurateur\\\" width=\\\"300\\\" height=\\\"200\\\" \\/><\\/p><p>Avis aux restaurateurs : directeurs d\\u2019une cha\\u00eene de restauration rapide ou de palace bistronomique, tout le monde \\u00e0 sa place sur TikTok ! Avec cette explosion des contenus culinaires, les professionnels tels que les restaurateurs pourraient d\\u2019ailleurs y trouver leurs comptes\\u2026<\\/p><p>\\u00a0<\\/p><h3>Se faire conna\\u00eetre<\\/h3><div>\\u00a0<\\/div><p>Le principe d\\u2019un r\\u00e9seau social est bien s\\u00fbr de se faire conna\\u00eetre. Sur TikTok cependant, vous pr\\u00e9senterez vos cr\\u00e9ations de fa\\u00e7on originale et dynamique gr\\u00e2ce au format vid\\u00e9o de la plateforme. Alors, ne restez pas sur la r\\u00e9serve et proposez des contenus divertissants et accessibles \\u00e0 tous.<\\/p><p>\\u00a0<\\/p><h3>Toucher une nouvelle cible<\\/h3><div>\\u00a0<\\/div><p>L\\u2019autre avantage est qu\\u2019une communication sur TikTok passe n\\u00e9cessairement par l\\u2019augmentation de votre visibilit\\u00e9 et donc, de votre notori\\u00e9t\\u00e9 si tout se passe pour le mieux.<\\/p><p>Aussi, avec 50 % d\\u2019utilisateurs de moins de 26 ans, vous toucherez une cible plus jeune. Ce sont d\\u2019ailleurs ces derniers, f\\u00e9rus de nouveaut\\u00e9s et de d\\u00e9fis, qui sont \\u00e0 l\\u2019origine de nouvelles tendances. Se<br \\/>faire une place aupr\\u00e8s de ces abonn\\u00e9s se pr\\u00e9sente donc comme une opportunit\\u00e9 de convertir des prospects en clients. Ainsi, les plus jeunes s\\u00e9duis sur TikTok seront plus \\u00e0 m\\u00eame de venir manger chez vous et de relayer votre restaurant sur les r\\u00e9seaux.<\\/p><p>Pour attirer cette client\\u00e8le, proposez avant des contenus accessibles, pour cr\\u00e9er une proximit\\u00e9 entre votre enseigne et vos abonn\\u00e9s.<\\/p><p>\\u00a0<\\/p><h2>Restauration sur TikTok : comment mettre en place sa strat\\u00e9gie ?<\\/h2><div>\\u00a0<\\/div><p>Convaincus par les nombreux avantages de TikTok pour votre restaurant, vous devez maintenant mettre en place votre strat\\u00e9gie. Evidemment, elles sont tr\\u00e8s nombreuses\\u2026 De ce fait, vous devez avant tout d\\u00e9finir celle qui sera la plus adapt\\u00e9e \\u00e0 votre cible et \\u00e0 vos valeurs. Pour un strat\\u00e9gie sur TikTok, voici nos conseils.<\\/p><p>\\u00a0<\\/p><p><img class=\\\"wp-image-4451 alignright\\\" src=\\\"\\/wp-content\\/uploads\\/2022\\/02\\/Utilisation-des-hashtags.jpg\\\" alt=\\\"\\\" width=\\\"350\\\" \\/><\\/p><h3>Utiliser les bons hashtags<\\/h3><div>\\u00a0<\\/div><p>Avant de publier vos contenus, renseignez-vous sur les hashtags les plus populaires, car ce sont eux qui contribueront au positionnement de vos vid\\u00e9os dans le fil d\\u2019actualit\\u00e9 et de recherche.<\\/p><p>Entre 2021 et d\\u00e9but 2022, les hashtags les plus recherch\\u00e9s sur l\\u2019univers de la cuisine \\u00e9taient :<\\/p><p>\\u00a0<\\/p><ul><li>#tiktokfood ;<\\/li><li>#cooking ;<\\/li><li>#cuisine ;<\\/li><li>#tiktokcuisine ;<\\/li><li>#recettefacile ;<\\/li><li>#nourriture\\u2026<\\/li><\\/ul><p>\\u00a0<\\/p><p>N\\u2019h\\u00e9sitez pas non plus \\u00e0 ajouter des hashtags coh\\u00e9rents avec votre vid\\u00e9o. Par exemple, si vous d\\u00e9voilez votre recette de burger, utilisez un #burger.<\\/p><p>Vous pouvez \\u00e9galement cr\\u00e9er votre propre hashtag : un hashtag au nom de votre restaurant par exemple, ce qui permettra \\u00e0 vos abonn\\u00e9s de vous retrouver plus facilement ! Aussi, pour que ces derniers puissent vous identifier ais\\u00e9ment sur leurs propres publications ou dans leurs commentaires, cr\\u00e9ez un compte au nom de votre restaurant.<\\/p><p>\\u00a0<\\/p><h3>Des vid\\u00e9os cr\\u00e9atives<\\/h3><div>\\u00a0<\\/div><p>Qui dit cuisine, dit cr\\u00e9ativit\\u00e9, audace et originalit\\u00e9 ! Alors, l\\u00e2chez-vous et montrez \\u00e0 vos abonn\\u00e9s ce que vous faites ! Par exemple, proposez des vid\\u00e9os autour de recettes exclusives, des contenus sur vos secrets de fabrication, des lives pour r\\u00e9aliser en direct vos meilleures recettes\\u2026<\\/p><p>Ces contenus devront refl\\u00e9ter votre restaurant. Soyez donc cr\\u00e9atifs et donnez envie aux abonn\\u00e9s de continuer \\u00e0 vous suivre et m\\u00eame, de venir chez vous.<\\/p><p>\\u00a0<\\/p><h3>Montrer le quotidien de restaurateur<\\/h3><div>\\u00a0<\\/div><p>Ce qui a fait la renomm\\u00e9e de TikTok, c\\u2019est la facilit\\u00e9 de montrer des actions du quotidien de fa\\u00e7on<br \\/>ludique et agr\\u00e9able. En tant que restaurateur, faites-en de m\\u00eame ! Vous pourrez par exemple :<\\/p><p>\\u00a0<\\/p><ul><li>Filmer la pr\\u00e9paration d\\u2019une commande si vous proposez ce service ;<\\/li><li>Montrer l\\u2019organisation de vos cuisines ;<\\/li><li>Pr\\u00e9senter votre \\u00e9quipe ;<\\/li><li>Proposer des vid\\u00e9os \\u00ab types \\u00bb sur la r\\u00e9alit\\u00e9 de plusieurs m\\u00e9tiers au sein du restaurant (serveur,<br \\/>sommelier, cuisinier\\u2026).<\\/li><\\/ul><p>\\u00a0<\\/p><p>Avec ce type de contenu, vous ouvrez les portes de votre restaurant au public, m\\u00eame \\u00e0 ceux qui ne vous connaissent pas encore. Vous montrez donc une proximit\\u00e9 avec vos abonn\\u00e9s, chose qui s\\u00e9duit particuli\\u00e8rement les TikTokeurs.<\\/p><p>\\u00a0<\\/p><h3>Garder le rythme<\\/h3><div>\\u00a0<\\/div><p>Sur TikTok bien s\\u00fbr, mais comme sur n\\u2019importe quel r\\u00e9seau social, vous devez avant tout fid\\u00e9liser vos abonn\\u00e9s. Pour cela, variez vos contenus avec les diff\\u00e9rentes id\\u00e9es \\u00e9voqu\\u00e9es pr\\u00e9c\\u00e9demment, mais instaurez une fr\\u00e9quence pour tenir en haleine votre public.<\\/p><p>Attention toutefois \\u00e0 ne pas \\u00eatre trop pr\\u00e9sent au risque de lasser vos followers. Le tout est donc de trouver le juste milieu entre des contenus vari\\u00e9s et divertissants, mais publi\\u00e9s au bon moment.<\\/p><p>\\u00a0<\\/p><h2>Mars 2022 : ouverture de 300 restaurants TikTok<\\/h2><p><img class=\\\"wp-image-4454 alignright size-medium\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2022\\/02\\/Ouverture-des-300-restaurants-tiktok-300x169.jpg\\\" alt=\\\"Ouverture des 300 restaurants tiktok\\\" width=\\\"300\\\" height=\\\"169\\\" \\/><\\/p><p>\\u00a0<\\/p><p>Cela a \\u00e9t\\u00e9 annonc\\u00e9 fin 2021 : TikTok va ouvrir d\\u2019ici mars 2022 pr\\u00e8s de 300 restaurants un peu partout aux \\u00c9tats-Unis. Ces restaurants incarneront les tendances culinaires les plus suivies sur le r\\u00e9seau social. \\u00c0 la carte, retrouvez donc les p\\u00e2tes au four et \\u00e0 la f\\u00e9ta ou encore les c\\u00e9l\\u00e8bres recettes de wraps maison.<\\/p><p>\\u00a0<\\/p><h3>Un concept original<\\/h3><div>\\u00a0<\\/div><p>Intitul\\u00e9s \\u00ab TikTok Kitchen \\u00bb, ces restaurants proposeront un service de livraison \\u00e0 domicile avec des recettes en perp\\u00e9tuel renouvellement pour garder le rythme sur les tendances culinaires TikTok. Les recettes cuisin\\u00e9es seront donc exclusivement bas\\u00e9es sur la cuisine virale pr\\u00e9sente sur le r\\u00e9seau social.<\\/p><p>Cependant, inutile de vous pr\\u00e9senter \\u00e0 la porte de ces restaurants. Appel\\u00e9s \\u00ab dark kitchens \\u00bb, ces \\u00e9tablissements n\\u2019accueillent pas de public et sont enti\\u00e8rement r\\u00e9serv\\u00e9s pour la pr\\u00e9paration des repas et des commandes.<\\/p><p>\\u00a0<\\/p><h3>La place des restaurants dans ce projet<\\/h3><div>\\u00a0<\\/div><p>Vous n\\u2019y aurez pas \\u00e9chapp\\u00e9, la livraison \\u00e0 domicile est devenue un mod\\u00e8le \\u00e9conomique s\\u00fbr pour les restaurateurs ces derniers temps. Nouveaut\\u00e9 pour certains, approfondissement d\\u2019un service existant pour d\\u2019autres, de nombreux restaurants se sont lanc\\u00e9s.<\\/p><p>Alors, voil\\u00e0 qui devrez plaire \\u00e0 certains professionnels : les \\u00ab TikTok Kitchens \\u00bb proposent aux restaurateurs de devenir \\u00ab partenaires de march\\u00e9 \\u00bb. Concr\\u00e8tement qu\\u2019est-ce que cela signifie ? C\\u2019est tout simplement le fait d\\u2019accueillir dans vos cuisines la pr\\u00e9paration de commandes TikTok.<\\/p><p>Pr\\u00e9sent\\u00e9 comme booste pour votre publicit\\u00e9 aupr\\u00e8s des jeunes publics, TikTok vous accompagnera donc encore plus loin en 2022. Pensez-y, ce partenariat avec TikTok pourrait \\u00eatre une aubaine pour le d\\u00e9veloppement et la notori\\u00e9t\\u00e9 de votre restaurant.<\\/p><p>\\u00a0<\\/p><h3>Quelle suite ?<\\/h3><div>\\u00a0<\\/div><p>D\\u2019ici la fin de l\\u2019ann\\u00e9e 2022, l\\u2019entreprise chinoise projette d\\u2019ouvrir 1000 \\u00ab dark kitchens \\u00bb \\u00e0 travers le monde. Avec ce nouveau projet, TikTok gravit donc une marche de plus sur le podium des r\\u00e9seaux sociaux et se pr\\u00e9sente comme v\\u00e9ritable concurrent pour Deliveroo et UberEats, d\\u00e9j\\u00e0 bien implant\\u00e9s<br \\/>sur le march\\u00e9.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7898", "12359", "_wp_attached_file", "2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg");
INSERT INTO `wp_postmeta` VALUES("7899", "12359", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:980;s:6:\"height\";i:523;s:4:\"file\";s:63:\"2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg\";s:8:\"filesize\";i:72136;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:63:\"Tiktok-au-service-des-restaurants-en-2022-980x523-1-300x160.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:160;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13828;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:63:\"Tiktok-au-service-des-restaurants-en-2022-980x523-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8156;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:63:\"Tiktok-au-service-des-restaurants-en-2022-980x523-1-768x410.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:410;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50651;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:63:\"Tiktok-au-service-des-restaurants-en-2022-980x523-1-416x222.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:222;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21786;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:63:\"Tiktok-au-service-des-restaurants-en-2022-980x523-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4955;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7912", "4445", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7921", "4445", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("7948", "4445", "_elementor_css", "a:6:{s:4:\"time\";i:1685537841;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("7949", "4041", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7950", "4041", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("7951", "4041", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("7952", "12366", "_wp_attached_file", "2021/06/pablopanini_1080x1080-117112.jpg");
INSERT INTO `wp_postmeta` VALUES("7953", "12366", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1080;s:6:\"height\";i:1080;s:4:\"file\";s:40:\"2021/06/pablopanini_1080x1080-117112.jpg\";s:8:\"filesize\";i:235147;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"pablopanini_1080x1080-117112-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27009;}s:5:\"large\";a:5:{s:4:\"file\";s:42:\"pablopanini_1080x1080-117112-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:168003;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"pablopanini_1080x1080-117112-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9014;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"pablopanini_1080x1080-117112-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:111894;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:42:\"pablopanini_1080x1080-117112-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:168003;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"pablopanini_1080x1080-117112-416x416.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:45124;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"pablopanini_1080x1080-117112-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4902;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7966", "4041", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7967", "4041", "_elementor_data", "[{\"id\":\"18e49c6c\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"f5bed80\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"77679fce\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<h3>D\\u00e9couvrez un nouvel outil d\\u2019interaction, communiquez gr\\u00e2ce \\u00e0 des chiffres pour dynamiser votre compte Instagram !<\\/h3><div>\\u00a0<\\/div><p>Les r\\u00e9seaux sociaux ont une place importante dans nos vies aujourd\\u2019hui surtout en tant qu\\u2019entreprise. Ils permettent de d\\u00e9velopper sa notori\\u00e9t\\u00e9, \\u00eatre proche de sa cible et de les fid\\u00e9liser, prospecter de nouveaux clients. Avoir de la visibilit\\u00e9 sur le nombre de ses abonn\\u00e9s permet de voir l\\u2019engouement de votre entreprise. Instagram et Facebook sont les deux r\\u00e9seaux sociaux o\\u00f9 se trouvent les clients, c\\u2019est pour cela que Smiirl a cr\\u00e9e ce compteur connect\\u00e9 afin d\\u2019avoir un \\u0153il sur votre nombre d\\u2019abonn\\u00e9s en temps r\\u00e9el !<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Le concept<\\/h2><div>\\u00a0<\\/div><p>Le compteur Smiirl vous permet d\\u2019attirer votre client\\u00e8le. Le compteur s\\u2019actualise lorsque vous aviez des nouveaux abonn\\u00e9s en temps r\\u00e9el.<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Transformer vos clients en abonn\\u00e9s et motiver vos \\u00e9quipes<\\/h2><div>\\u00a0<\\/div><p>Un compteur con\\u00e7ut pour attirer l\\u2019\\u0153il et attiser la curiosit\\u00e9 de nouveaux abonn\\u00e9s, des clients ou encore permettent de booster la motivation de votre \\u00e9quipe gr\\u00e2ce aux mouvements des volets qui<br \\/>sont divertissants \\u00e0 regarder.<\\/p><p>Le compteur <a href=\\\"https:\\/\\/www.smiirl.com\\/fr\\/boutique?gclid=Cj0KCQjw_dWGBhDAARIsAMcYuJxAAqEVQ-DwHo7i1Wep0E67TCNGhKS3jptCMC6scJrNM7rkAZvvTfoaAstVEALw_wcB\\\">Smiirl<\\/a> est personnalisable et vous permet \\u00e9galement d\\u2019indiquer les chiffres que vous voulez.<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\" style=\\\"text-align: center;\\\">D\\u00e9marquez-vous\\u00a0!<\\/h2><p>\\u00a0<\\/p><h3>Dans votre boutique\\u00a0<\\/h3><p>Le nombre de chaussures vendues ou<br \\/>encore le nombres de personnes qui<br \\/>sont rentr\\u00e9 dans la boutique.<\\/p><p>\\u00a0<\\/p><h3>Dans votre restaurant<\\/h3><p>Le nombre de plats ou de desserts servis !<\\/p><p>\\u00a0<\\/p><h3>Dans votre bar<\\/h3><p>Le nombre de bi\\u00e8res servis !<\\/p><p>\\u00a0<\\/p><p>Bref c\\u2019est vous qui d\\u00e9cidez\\u00a0!<\\/p><p>Un objet original et qui dynamisera, et habillera votre \\u00e9tablissement par son design en bois et de plus par l\\u2019impression du logo de votre entreprise pour que tout le monde puisse voir qui vous \\u00eates.<\\/p><p>Alors qu\\u2019attendiez-vous\\u00a0? Munissez-vous d\\u2019un compteur Smiirl\\u00a0!<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7975", "4041", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8002", "4041", "_elementor_css", "a:6:{s:4:\"time\";i:1685538272;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8003", "3492", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8004", "3492", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8005", "3492", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8029", "3492", "_elementor_data", "[{\"id\":\"4af32a20\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"19f36e76\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6622e086\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><br><\\/p>\\n<h3>Depuis quelques mois, le monde de la restauration vis une crise \\u00e9conomique forte. Le Clik&amp;Collect est devenu la mani\\u00e8re la plus simple pour les restaurateurs de pouvoir travailler et les consommateurs adorent !<\\/h3>\\n<p><br><\\/p>\\n<h2><strong>Le click &amp; collect c\\u2019est quoi ?<\\/strong><\\/h2><div><strong><br><\\/strong><\\/div>\\n<div>Le click&amp;collect est un service propos\\u00e9 aux consommateurs afin qu\\u2019ils effectuent des achats et des commandent en ligne en les retirant directement en restaurant.<\\/div>\\n<div>Les consommateurs peuvent commander en ligne via le <a href=\\\"https:\\/\\/www.kook-agency.fr\\/gamme-click-kook\\\"><strong>site internet<\\/strong><\\/a>&nbsp;du restaurant, il est similaire au principe de la e-r\\u00e9servation. Les restaurateurs doivent g\\u00e9rer leurs commandes en temps r\\u00e9el.<\\/div>\\n<p>&nbsp;<\\/p>\\n<section class=\\\"pdf_page\\\" aria-label=\\\"Page 1\\\">\\n<div class=\\\"textlayer\\\">\\n<div>Les enseignes mettent en place des pages d\\u00e9di\\u00e9es sur leurs sites internet afin que les consommateurs puissent faire leurs choix, les acheteurs choisissent eux m\\u00eame le restaurant le plus pr\\u00e8s de chez eux afin de pouvoir retirer leurs commandes.<\\/div>\\n<\\/div>\\n<\\/section>\\n<p><br><\\/p>\\n<div>Pour faire exister et faire vivre votre service de Click&amp;Collect il faut avoir de bon outils.<\\/div>\\n<div>&nbsp;<\\/div>\\n<div>Premi\\u00e8rement, il est important d\\u2019avoir un menu digital qui donne envie !<\\/div>\\n<div>&nbsp;<\\/div>\\n<div>Votre menu digital va \\u00eatre la vitrine de votre restaurant et il va offrir la possibilit\\u00e9 aux consommateurs de connaitre les produits. Afin de pouvoir maximiser les chances de donner envie aux clients, il faut que les photos du menu soient qualitatives, que les descriptions des plats soient soign\\u00e9es en que les descriptions mettent l\\u2019accent sur les produits sp\\u00e9ciaux utilis\\u00e9s.<\\/div>\\n<div>&nbsp;<\\/div>\\n<div>Il doit \\u00eatre bien organis\\u00e9, pour que le consommateur ait une bonne exp\\u00e9rience client, car il favorisera \\u00e0 l\\u2019achat de votre client. Choisissez de mettre en place un syst\\u00e8me de paiement en ligne ou non.<\\/div>\\n<p><br><\\/p>\\n<h2>Communiquer sur votre nouveau service Click &amp; Collect !<\\/h2><div><br><\\/div>\\n<div>Afin de pouvoir tenir au courant vos consommateurs du nouveau service, il est primordial de communiquer dessus. Mettez en avant sur vos r\\u00e9seaux sociaux le service click&amp;collect, partagez au maximum votre <strong>menu en ligne<\\/strong>.<\\/div>\\n<p><br><\\/p>\\n<div>Vous pouvez inciter vos clients \\u00e0 profiter du service Click&amp;Collect en mettant en place une r\\u00e9duction sur votre carte !<\\/div>\\n<div>Vous pouvez par ce biais rassurer les consommateurs en faisant une piqure de rappel sur les protocoles sanitaires \\u00e0 suivre, principalement au niveau de la cuisine et au niveau du retrait des commandes. Mettez l\\u2019accent sur la pr\\u00e9sence de gel hydroalcoolique \\u00e0 l\\u2019entr\\u00e9e du restaurant, du sens de circulation \\u00e9tabli ainsi que les distances de s\\u00e9curit\\u00e9 impos\\u00e9es soient respect\\u00e9es ainsi que le port du masque.<\\/div>\\n<p><br><\\/p>\\n<section class=\\\"pdf_page\\\" aria-label=\\\"Page 4\\\">\\n<div class=\\\"textlayer\\\">\\n<div>Il est indispensable que les restaurants disposent d\\u2019un nombre de salari\\u00e9s mobilis\\u00e9s afin que l\\u2019exp\\u00e9rience client reste positive. Les salari\\u00e9s doivent \\u00eatre form\\u00e9s afin d\\u2019utiliser les nouvelles technologies qui changent des approches clients habituels, car il est important qu\\u2019il soit pratique de pouvoir garantir une bonne exp\\u00e9rience client afin d\\u2019inciter les<\\/div>\\n<\\/div>\\n<\\/section>\\n<section class=\\\"pdf_page\\\" aria-label=\\\"Page 5\\\">\\n<div class=\\\"textlayer\\\">\\n<div>clients \\u00e0 recommander. Le consommateur commande pour vivre l\\u2019exp\\u00e9rience d\\u2019\\u00eatre servi \\u00e0 la maison, la qualit\\u00e9 ne doit pas \\u00eatre mise \\u00e0 l\\u2019\\u00e9cart. Il faut donc investir dans des contenants de bonnes qualit\\u00e9s afin d\\u2019\\u00e9viter un go\\u00fbt d\\u00e9sagr\\u00e9able, il faut aussi que le le contenant maintien au chaud et<\\/div>\\n<\\/div>\\n<\\/section>\\n<p><br><\\/p>\\n<h2>Fid\\u00e9lisez votre client\\u00e8le !<\\/h2><div><br><\\/div>\\n<div>Mettez en place une carte de fid\\u00e9lit\\u00e9 digitale, afin que chaque commande rapporte de points au consommateur qui b\\u00e9n\\u00e9ficiera d\\u2019un avantage la fois d\\u2019apr\\u00e8s. Le concept de la fid\\u00e9lisation client, est de donner l\\u2019impression aux clients qu\\u2019ils sont privil\\u00e9gi\\u00e9s. Ce principe, se d\\u00e9veloppe sur les supports personnalis\\u00e9s avec le pr\\u00e9nom du client, son restaurant le plus proche, ses pr\\u00e9c\\u00e9dentes commandes..<\\/div>\\n<p><br><\\/p>\\n<div>Les avantages du service de Click&amp;Collect pour les consommateurs comme pour les restaurants. Le service Click&amp;Collect permet au consommateur de gagner du temps en commandant directement en ligne, il permet aussi d\\u2019\\u00e9conomiser les frais de port en se d\\u00e9pla\\u00e7ant. Mais ce service garde tout de m\\u00eame le contact humain en retirant la commande en restaurant, il permet de d\\u00e9velopper la confiance des acheteurs avec qui ils peuvent \\u00e9changer sur la qualit\\u00e9 des produits.<\\/div>\\n<p><br><\\/p>\\n<div>Le service de Click&amp;Collect permet de favoriser le commerce de proximit\\u00e9, en consommant dans des restaurants pr\\u00e8s de chez vous.<\\/div>\\n<div>Plusieurs outils aident \\u00e0 la d\\u00e9couverte de restaurants pr\\u00e8s de chez vous, certaines communes ont d\\u00e9velopp\\u00e9es des cartes qui permettent aux consommateurs de localiser les commerces qui pro<\\/div>\\n<div>posent le service du Click&amp;Collect.<\\/div>\\n<div>&nbsp;<\\/div>\\n<div>Ce nouveau moyen de vente est un moyen pour attirer une nouvelle client\\u00e8le et de donner de la visibilit\\u00e9 aux restaurants. Votre pr\\u00e9sence en ligne, donne un acc\\u00e8s plus large est \\u00e0 dur\\u00e9e ind\\u00e9termin\\u00e9e. Le service de Click&amp;Collect est plus int\\u00e9ressant que la livraison \\u00e0 domicile, vous visualiserez facilement votre retour sur investissement de m\\u00eame si vous mettez en place un syst\\u00e8me de r\\u00e9duction.<\\/div>\\n<p><br><\\/p>\\n<p>Besoin de mettre une solution Click&amp;Collect dans votre restaurant ? D\\u00e9couvre notre offre <a href=\\\"https:\\/\\/www.kook-agency.fr\\/gamme-click-kook\\\">ici<\\/a>.&nbsp; Envoyez-nous un e-mail \\u00e0 <a href=\\\"mailto:contact@kook-agency.fr\\\">contact@kook-agency.fr<\\/a> un expert r\\u00e9pondra \\u00e0 vos questions.<\\/p>\\n<p><br><\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b5286b3\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"f3839f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"5409882\",\"elType\":\"widget\",\"settings\":{\"title\":\"COMMEN\\u00c7ONS UNE AVENTURE\\n<span class=\\\"d-block\\\">\\n <b><i>INCROYABLE<\\/i><\\/b> ENSEMBLE\\n<\\/span>\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Title\",\"align_mobile\":\"left\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"eb80249\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"LANCEZ VOUS !\",\"type_link\":\"1\",\"link_post_id\":\"4276\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content_mobile\":\"flex-start\",\"text_with_ajax\":\"OUR PORTFOLIO\"},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"b391181\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"aaaa51e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e684f7f\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"4eb2e00\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"https:\\/\\/www.facebook.com\\/kookfoodagency\\/\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"https:\\/\\/twitter.com\\/kook_agency\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"https:\\/\\/www.linkedin.com\\/company\\/kook-food-agency\\/\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"https:\\/\\/www.instagram.com\\/kook_agency\\/\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"icon_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"4a2c31c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"48e1209\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"9\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"89633f1\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\\\"col-contact\\\">\\r\\n\\r\\n<strong>T<\\/strong> : 01 86 90 50 99\\r\\n<p class=\\\"over-hidden\\\"><strong>E<\\/strong> : contact@kook-agency.fr<\\/p>\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"0396df8\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADRESSES\",\"text\":\"<div class=\\\"col-address\\\">\\r\\n\\r\\n1024 Chemin des Plantades, 83130 La Garde\\r\\n\\r\\n6 Rue Lacretelle, 75015 Paris\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8028", "3492", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8014", "12374", "_wp_attached_file", "2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg");
INSERT INTO `wp_postmeta` VALUES("8015", "12374", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:550;s:6:\"height\";i:366;s:4:\"file\";s:100:\"2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg\";s:8:\"filesize\";i:21215;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:100:\"Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11345;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:100:\"Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5517;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:100:\"Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17457;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:100:\"Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3423;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8037", "3492", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8064", "3492", "_elementor_css", "a:6:{s:4:\"time\";i:1685538738;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8065", "3174", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8066", "3174", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8067", "3174", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8068", "12381", "_wp_attached_file", "2020/06/Sans-titre-2022-03-30T162439.577.png");
INSERT INTO `wp_postmeta` VALUES("8069", "12381", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:700;s:4:\"file\";s:44:\"2020/06/Sans-titre-2022-03-30T162439.577.png\";s:8:\"filesize\";i:1149029;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"Sans-titre-2022-03-30T162439.577-300x210.png\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:121421;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"Sans-titre-2022-03-30T162439.577-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:46470;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"Sans-titre-2022-03-30T162439.577-768x538.png\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:658645;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"Sans-titre-2022-03-30T162439.577-416x291.png\";s:5:\"width\";i:416;s:6:\"height\";i:291;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:218710;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"Sans-titre-2022-03-30T162439.577-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22698;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8082", "3174", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8083", "3174", "_elementor_data", "[{\"id\":\"b827fa3\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"712e01a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"3d321b51\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\">Traditionnellement, l\\u2019essentiel de l\\u2019activit\\u00e9 de la restauration s\\u2019effectue en salle de restauration, canal principal de consommation, lieux de vie et source d\\u2019exp\\u00e9riences. Ces derni\\u00e8res ann\\u00e9es ont cependant assist\\u00e9 \\u00e0 l\\u2019essor de deux nouveaux canaux de vente : la livraison et le click-and-collect. Aujourd\\u2019hui d\\u2019autant plus, ces deux solutions ont les arguments et permettent au secteur de se r\\u00e9inventer. Pour cause, elles ont l\\u2019avantage d\\u2019avoir les r\\u00e9ponses aux diverses probl\\u00e9matiques impos\\u00e9es par la crise sanitaire. Elles permettent en effet aux restaurateurs de b\\u00e9n\\u00e9ficier d\\u2019un relai d\\u2019activit\\u00e9 et d\\u2019un levier de chiffre d\\u2019affaires. Si du c\\u00f4t\\u00e9 de l\\u2019offre, les restaurateurs se sont impatient\\u00e9 de voir leur point de vente rouvrir, du c\\u00f4t\\u00e9 des consommateurs, ces deux solutions ont aussi de quoi les satisfaire \\u00e0 court comme \\u00e0 long termes.<\\/span><\\/p><p>\\u00a0<\\/p><h3>L\'importance du Click-and-Collect dans votre restaurant ?<\\/h3><div>\\u00a0<\\/div><p>Dans le secteur de la restauration, le click-and-collect s\\u2019apparente \\u00e0 la vente \\u00e0 emporter (VAE). La diff\\u00e9rence r\\u00e9side dans le canal de prise de commande. Le click-and-collect permet aux consommateurs de passer commande directement depuis leur mobile, tablette ou ordinateur, lib\\u00e9rant de ce fait un temps pr\\u00e9cieux aux restaurateurs. L\\u2019int\\u00e9r\\u00eat et les b\\u00e9n\\u00e9fices de cette solution sont multiples, \\u00e0 la fois pour les restaurateurs et les consommateurs. Adapt\\u00e9 aux nouvelles habitudes de consommation qui d\\u00e9coulent de l\\u2019essor massif du digital, le click-and-collect r\\u00e9pond pr\\u00e9cis\\u00e9ment aux attentes des consommateurs\\u00a0: un gain de temps lors du parcours d\\u2019achat (notamment la suppression de l\\u2019attente, connue comme un irritant majeur), une souplesse lors de la d\\u00e9couverte des produits et du temps pour le processus de s\\u00e9lection.<\\/p><p>De plus, le click-and-collect r\\u00e9pond aux exigences du commerce ATWAD, \\u00e0 savoir la libert\\u00e9 de pouvoir passer commande quand les consommateurs le veulent, o\\u00f9 ils le veulent et depuis n\\u2019importe quel terminal (AnyTime, AnyWhere, Any Device). En offrant un parcours de consommation omni-canal, les restaurateurs b\\u00e9n\\u00e9ficient non seulement d\\u2019un vecteur de satisfaction important, mais attirent \\u00e9galement une nouvelle cible de client\\u00e8le. Les 18-24 ans sont notamment les plus grands consommateurs hors domicile.<\\/p><p>Ces nouveaux canaux de consommation ne sont en aucun cas concurrent des salles de restaurations, ils viennent surtout apporter une r\\u00e9ponse aux \\u00e9volutions soci\\u00e9tales en cours. Le click-and-collect utilisent justement le digital afin de driver du trafic en point de vente. L\\u2019alliance du digital et du physique multiplie ainsi les points de rencontre formant l\\u2019exp\\u00e9rience client au sens large\\u00a0: exp\\u00e9rience et interface utilisateur, exp\\u00e9rience de prise de commande, exp\\u00e9rience du point de vente et du relationnel, et enfin l\\u2019exp\\u00e9rience de consommation.<\\/p><p>\\u00a0<\\/p><h3><strong>Ce soir, c\\u2019est \\u00e0 domicile.<\\/strong><\\/h3><div><strong>\\u00a0<\\/strong><\\/div><p>En ce qui concerne le troisi\\u00e8me canal de vente du secteur, la livraison a le vent en poupe depuis plusieurs ann\\u00e9es maintenant. C\\u2019est notamment le cas suite \\u00e0 l\\u2019av\\u00e8nement des agr\\u00e9gateurs de livraisons qui ont d\\u00e9mocratis\\u00e9 ces pratiques, mais \\u00e9galement car les solutions de livraisons propos\\u00e9es par les g\\u00e9ants du num\\u00e9riques sont de plus en plus flexibles, instantan\\u00e9es et en phases avec les attentes des consommateurs. Ces nouvelles pratiquent impactent alors tous les secteurs, mais cr\\u00e9ent surtout chez les consommateurs un d\\u00e9sir d\\u2019\\u00eatre servis \\u00e0 domicile. En r\\u00e9pondant \\u00e0 ce d\\u00e9sir, les restaurateurs s\\u2019offrent alors l\\u2019opportunit\\u00e9 de satisfaire et fid\\u00e9liser leurs clients, augmentant ainsi leurs commandes, leurs flux et leur chiffre d\\u2019affaires. De plus, les solutions digitales de livraison \\u2013 et de click-and-collet \\u2013 ont aussi l\\u2019avantage de permettre aux restaurateurs de d\\u00e9velopper une base de donn\\u00e9es client. Gr\\u00e2ce \\u00e0 ces informations, les g\\u00e9rants d\\u2019un \\u00e9tablissent b\\u00e9n\\u00e9ficient d\\u2019un regard \\u00e0 360 degr\\u00e9 sur la composition de leur client\\u00e8le, leurs habitudes et comportement de consommations. Les tableaux de bord permettent notamment d\\u2019analyser ces donn\\u00e9es, d\\u2019orienter l\\u2019activit\\u00e9 et de mettre en place des op\\u00e9rations commerciale et de fid\\u00e9lit\\u00e9 plus facilement.<\\/p><p>Les fran\\u00e7ais consomment de plus en plus \\u00e0 domicile. La fr\\u00e9quence de cette pratique se d\\u00e9veloppe jusqu\\u2019\\u00e0 devenir une habitude. Dans une optique de fid\\u00e9lisation et d\\u2019attraction, la livraison se positionne ainsi comme un alli\\u00e9 incontournable pour les restaurateurs. Un service de livraison permet de conserver sa client\\u00e8le et d\\u2019\\u00e9viter que celle-ci fasse appel aux services concurrentiels, mais permet aussi d\\u2019augmenter ses revenus et son parc client. Salons, salles \\u00e0 manger, balcons, terrasses, cuisines, canap\\u00e9s, tous se trouvent alors transform\\u00e9s en salle de restaurant o\\u00f9 l\\u2019exp\\u00e9rience ne peut qu\\u2019\\u00eatre satisfaisante. Face \\u00e0 ce constat, nous offrons aux restaurants les moyens les plus adapt\\u00e9s pour se positionner sur ce march\\u00e9. Restauration traditionnelle ou rapide, franchis\\u00e9e ou ind\\u00e9pendante, Kook Agency permet \\u00e0 ses clients d\\u2019atteindre leurs objectifs de croissance gr\\u00e2ce \\u00e0 un accompagnement strat\\u00e9gique et marketing de leur activit\\u00e9. Disposant \\u00e9galement des outils les plus performants, adapt\\u00e9s \\u00e0 leur image et \\u00e0 leur client\\u00e8le, les restaurateurs prennent alors le contr\\u00f4le de leur activit\\u00e9, leurs commandes, leurs livraisons et leur marketing. Kook Agency se pr\\u00e9sente alors comme la meilleure opportunit\\u00e9 de croissance pour les restaurateurs d\\u00e9sireux d\\u2019augmenter leur chiffre d\\u2019affaires.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8091", "3174", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8118", "3174", "_elementor_css", "a:6:{s:4:\"time\";i:1685539126;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8119", "3001", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8120", "3001", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8121", "3001", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8144", "3001", "_elementor_data", "[{\"id\":\"7c0bdb5d\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"1f0a3da2\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"80538fa\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u00a0<\\/p><p>Trouver avec des id\\u00e9es uniques de publication Facebook pour les restaurants peut \\u00eatre une t\\u00e2che ardue. Amener les abonn\\u00e9s Facebook de votre restaurant \\u00e0 participer \\u00e0 ces publications peut \\u00eatre encore plus difficile de nos jours. Cependant, il est plus important que jamais.<\\/p><p>Les flux de nouvelles sont submerg\\u00e9s de nouveaux contenus chaque seconde.<\\/p><p>Alors, comment pouvez-vous voir les publications Facebook de votre restaurant vues par vos clients? Deux mani\\u00e8res simples. Vous pouvez soit acheter des publicit\\u00e9s, soit cr\\u00e9er un contenu que vos clients aiment et avec qui il s\\u2019engage r\\u00e9ellement.<\\/p><p>Plus votre message est engag\\u00e9, plus il sera vu. Le fait de voir vos publications Facebook plus souvent signifie davantage de clients dans votre restaurant .<\\/p><p>Voici 15 id\\u00e9es de publication Facebook pour les restaurants que vous pouvez utiliser pour augmenter l\\u2019engagement de vos publications.<\\/p><p>\\u00a0<\\/p><h3>PUBLIER DES ID\\u00c9ES QUI AIDERONT \\u00c0 AUGMENTER L\'ENGAGEMENT SUR VOTRE PAGE FACEBOOK POUR VOTRE RESTAURANT<\\/h3><div>\\u00a0<\\/div><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">1. PUBLIEZ AU BON MOMENT.<\\/strong><\\/p><p>\\u00a0<\\/p><p>Publier au bon moment de la journ\\u00e9e peut faire une grande diff\\u00e9rence en ce qui concerne le nombre de personnes qui voient et cliquent sur ce que vous partagez.<\\/p><p>Selon cette infographie , les messages post\\u00e9s entre 13h et 16h g\\u00e9n\\u00e8rent le clic moyen le plus \\u00e9lev\\u00e9. Le meilleur jour de la semaine pour poster est le mercredi, plus pr\\u00e9cis\\u00e9ment \\u00e0 15 heures, tandis que le pire moment se situe le week-end avant 8 heures et apr\\u00e8s 20 heures.<\\/p><p>Les jours de semaine, les gens travaillent souvent le matin mais sont plus susceptibles de s\'ennuyer et de regarder leur Facebook l\'apr\\u00e8s-midi. C\'est pourquoi il est logique de poster entre 13 h et 16 h, parfois entre le d\\u00e9jeuner et leur retour \\u00e0 la maison.<\\/p><p>\\u00a0<\\/p><h2><strong>2. RACONTEZ DES HISTOIRES PERSONNELLES<\\/strong><\\/h2><p>\\u00a0<\\/p><p>Raconter des histoires fonctionne tr\\u00e8s bien parce que les gens peuvent souvent les comprendre et les connecter \\u00e0 un niveau plus personnel. Gardez un \\u0153il attentif chaque fois que quelque chose d\\u2019amusant ou de bizarre se produit au restaurant et assurez-vous de prendre une photo. Partager ces histoires pourrait \\u00eatre vos publications les plus engag\\u00e9es.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">3. PARTAGEZ VOS RECETTES<\\/strong><\\/p><p>\\u00a0<\\/p><p>Les gens aiment les recettes. Ils aiment aussi les partager avec leurs amis. Il y a de fortes chances que lorsque vous parcourez Facebook, vous en rencontriez plusieurs, probablement de Tasty . Apr\\u00e8s tout, ils ont plus de 85 millions de \\\"j\'aime\\\" sur leur page. Les id\\u00e9es de publication sur les restaurants de Facebook sont difficiles \\u00e0 engager, mais les vid\\u00e9os fonctionnent presque toujours. Cr\\u00e9ez une vid\\u00e9o ou m\\u00eame simplement un article de blog avec l\'une de vos recettes et partagez-la sur Facebook et sur d\'autres canaux de m\\u00e9dias sociaux. Jetez un coup d\'\\u0153il \\u00e0 ce que Tasty fait bien dans leurs messages et essayez de vous en inspirer.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"background-color: transparent; color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px;\\\">4. PARTAGER LES AVIS<\\/strong><\\/p><p>\\u00a0<\\/p><p>Chaque restaurant dit qu\'il sert la meilleure nourriture que vous puissiez essayer. Mais combien de personnes vont croire cela quand \\u00e7a vient du propri\\u00e9taire ou du chef? Ils seraient beaucoup plus int\\u00e9ress\\u00e9s \\u00e0 voir ce que les autres clients ou les critiques gastronomiques avaient \\u00e0 dire. Recherchez les commentaires positifs de votre restaurant sur Facebook, Yelp, TripAdvisor et partout o\\u00f9 votre restaurant est r\\u00e9pertori\\u00e9 en ligne . Partagez les meilleurs de Facebook avec une capture d\'\\u00e9cran et un lien direct vers la critique. Remerciez le client qui a post\\u00e9 la critique et offrez-lui un dessert gratuit la prochaine fois qu\'il d\\u00eene dans votre restaurant. Assurez-vous \\u00e9galement de cr\\u00e9er un post chaque fois que votre restaurant est examin\\u00e9 par un critique gastronomique de votre journal local ou en ligne.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"background-color: transparent; color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px;\\\">5. OFFRES EXCLUSIVES<\\/strong><\\/p><p>\\u00a0<\\/p><p>Facebook est un excellent endroit pour publier une offre exclusive. Proposez une offre \\u00e0 vos clients s\'ils aiment votre page et partagez cette offre avec leurs amis. Utilisez une application de coupons Facebook pour cr\\u00e9er facilement des coupons et suivre l\'\\u00e9volution de vos offres. C\'est peut-\\u00eatre l\'une des id\\u00e9es de publication sur Facebook de votre restaurant le plus r\\u00e9ussi de tous les temps.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">6. ALLER DANS LES COULISSES<\\/strong><\\/p><p>\\u00a0<\\/p><p>Laissez vos clients voir ce qui se passe dans les coulisses de votre restaurant. Donnez-leur un aper\\u00e7u de la fa\\u00e7on dont leur nourriture est pr\\u00e9par\\u00e9e dans la cuisine, comment vous connectez avec les agriculteurs locaux pour trouver vos ingr\\u00e9dients et de toute autre chose int\\u00e9ressante dans votre restaurant que les clients n\'auraient pas exp\\u00e9riment\\u00e9e. Semblable au partage d\\u2019histoires personnelles, les clients appr\\u00e9cieront votre ouverture et pourront vous rapprocher de mani\\u00e8re plus personnelle.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">7. POSTE EN FONCTION DE LA M\\u00c9T\\u00c9O<\\/strong><\\/p><p>\\u00a0<\\/p><p>\\u00catre \\u00e0 jour est important, et cela inclut le temps qu\'il fait dehors. S\'il fait chaud dehors, pourquoi ne pas annoncer de la bi\\u00e8re froide. S\'il fait froid, invitez des personnes \\u00e0 l\'int\\u00e9rieur pour un bol de soupe ou une tasse de caf\\u00e9. N\'oubliez pas d\'utiliser des photos autant que possible. Laissez la bi\\u00e8re froide ou le caf\\u00e9 chaud parler pour vous.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">8. DEMANDER L\\u2019AVIS DES CLIENTS<\\/strong><\\/p><p>\\u00a0<\\/p><p>Quel meilleur moyen d\'inciter les clients \\u00e0 interagir et \\u00e0 dialoguer avec vous sur Facebook que de leur poser des questions pour obtenir leur avis?<\\/p><p>Posez des questions sur votre menu, en particulier sur ce qu\\u2019ils aimeraient y voir, ainsi que sur les \\u00e9v\\u00e9nements \\u00e0 venir qu\\u2019ils voudront peut-\\u00eatre regarder ou c\\u00e9l\\u00e9brer dans votre restaurant.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">9. PUBLIER DES VID\\u00c9OS<\\/strong><\\/p><p>\\u00a0<\\/p><p>Plus de 100 millions d\'heures de vid\\u00e9o sont visionn\\u00e9es chaque jour sur Facebook. C\'est l\'une des formes les plus populaires sur le contenu aujourd\'hui. Et encore mieux, les gens adorent utiliser des vid\\u00e9os et les partager avec leurs amis.<\\/p><p>Cr\\u00e9ez des vid\\u00e9os dans votre restaurant pour montrer votre menu, des \\u00e9v\\u00e9nements musicaux en direct, comment cr\\u00e9er certaines recettes, un look dans les coulisses ou tout simplement quelque chose d\'amusant \\u00e0 partager avec vos clients.<\\/p><p>Soyez cr\\u00e9atif et amusez-vous avec!<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">10. LANCER UN CONCOURS DE PHOTOS<\\/strong><\\/p><p>\\u00a0<\\/p><p>Nous avons expliqu\\u00e9 \\u00e0 quel point le partage du contenu client peut \\u00eatre b\\u00e9n\\u00e9fique. Cependant, que se passe-t-il si peu de personnes postent au sujet de votre restaurant?<\\/p><p>Organisez un concours de photos afin de persuader les gens de partager les photos de votre restaurant avec leurs amis.<\\/p><p>Demandez aux gens de partager une photo de leur repas dans votre restaurant sur Facebook. La photo la plus appr\\u00e9ci\\u00e9e donnera au gagnant un ap\\u00e9ritif, un dessert ou un repas lors de sa prochaine visite au restaurant.<\\/p><p>Vous pouvez \\u00e9galement poster votre propre photo et donner aux gens une chance de gagner un prix en l\'aimant, en le partageant et en le commentant. Chaque fian\\u00e7ailles leur procure un billet pour un tirage au sort pour un prix de votre choix.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">11. BIOGRAPHIE DU PERSONNEL<\\/strong><\\/p><p>\\u00a0<\\/p><p>Cr\\u00e9ez de temps en temps un message pour permettre aux clients de conna\\u00eetre votre personnel. Donnez une image d\\u2019eux dans votre restaurant et partagez leur plat pr\\u00e9f\\u00e9r\\u00e9, comment ils ont commenc\\u00e9 \\u00e0 l\\u2019\\u00e9cole, o\\u00f9 ils sont all\\u00e9s \\u00e0 l\\u2019\\u00e9cole, leurs passe-temps et tout ce qui pourrait int\\u00e9resser les gens.<\\/p><p>Cela permet non seulement aux clients de nouer des contacts personnels avec votre restaurant, mais aussi de publier un message qui suscite beaucoup d\\u2019engagement. Vos collaborateurs sont susceptibles de commenter l\'article et de le partager avec leurs amis.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">12. PARTAGER LE CONTENU DU CLIENT<\\/strong><\\/p><p>\\u00a0<\\/p><p>Le bouche \\u00e0 oreille reste l\'une des meilleures formes de publicit\\u00e9. Aujourd\'hui, le bouche \\u00e0 oreille peut prendre de nombreuses formes diff\\u00e9rentes. Les gens postent souvent sur leur exp\\u00e9rience dans leur restaurant pr\\u00e9f\\u00e9r\\u00e9 sur Facebook pour la partager avec leurs amis.<\\/p><p>Utilisez ces exp\\u00e9riences positives que les gens publient \\u00e0 votre avantage. Partagez les meilleurs contenus que les gens publient sur votre restaurant. Cela donne aux autres clients une perspective diff\\u00e9rente de votre restaurant et il pourrait \\u00eatre plus efficace de les convaincre de d\\u00eener sur place.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">13. PUBLICATION DE SUJETS ET TENDANCES D\'ACTUALIT\\u00c9<\\/strong><\\/p><p>\\u00a0<\\/p><p>Vos publications sont plus susceptibles d\'\\u00eatre vues et consult\\u00e9es sur Facebook si elles traitent de sujets d\'actualit\\u00e9. Recherche ce qui est d\\u00e9j\\u00e0 tendance sur Facebook dans ou dans les nouvelles locales.<\\/p><p>Essayez de baser votre message sur un \\u00e9v\\u00e9nement d\'actualit\\u00e9 qui se produit ce jour-l\\u00e0, par exemple un \\u00e9v\\u00e9nement sportif, et encouragez vos fans sur Facebook \\u00e0 interagir avec vous.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">14. PROMOUVOIR VOS \\u00c9V\\u00c9NEMENTS<\\/strong><\\/p><p>\\u00a0<\\/p><p>Si vous investissez beaucoup de temps et d\'argent dans l\' organisation d\'\\u00e9v\\u00e9nements dans votre restaurant , vous devriez en faire la promotion sur Facebook.<\\/p><p>Ne vous contentez pas d\\u2019un poste r\\u00e9gulier pour promouvoir votre \\u00e9v\\u00e9nement. Utilisez l\'onglet Ev\\u00e9nements de votre page Facebook pour cr\\u00e9er un \\u00e9v\\u00e9nement . L\'un des avantages de la cr\\u00e9ation d\'\\u00e9v\\u00e9nements sur Facebook est que vous pouvez inviter des invit\\u00e9s. Vos fans Facebook seront inform\\u00e9s et ils pourront choisir s\'ils participent ou non \\u00e0 l\'\\u00e9v\\u00e9nement. S\'ils choisissent d\'assister \\u00e0 votre \\u00e9v\\u00e9nement, le message sera de plus en plus accessible, car leurs amis le verront peut-\\u00eatre aussi et seront plus enclins \\u00e0 y aller.<\\/p><p>Bien que vous ne souhaitiez g\\u00e9n\\u00e9ralement pas d\\u00e9penser de l\'argent en publicit\\u00e9s sur Facebook, il pourrait \\u00eatre int\\u00e9ressant de relancer un \\u00e9v\\u00e9nement apr\\u00e8s. La publicit\\u00e9 des id\\u00e9es de publication Facebook de votre restaurant les aidera \\u00e0 accro\\u00eetre leur port\\u00e9e, leur engagement et \\u00e0 attirer plus de clients dans votre restaurant.<\\/p><p>\\u00a0<\\/p><p><strong style=\\\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\\\">15. PRISE DE CONTR\\u00d4LE DE FACEBOOK<\\/strong><\\/p><p>\\u00a0<\\/p><p>Si les gens n\'interagissent pas avec vos publications, votre contenu pourrait devenir obsol\\u00e8te. Avoir une nouvelle prise en charge de votre compte pour la journ\\u00e9e pour rafra\\u00eechir les choses.<\\/p><p>Demandez \\u00e0 un membre de votre personnel, \\u00e0 un blogueur sp\\u00e9cialis\\u00e9 dans l\\u2019alimentation, \\u00e0 un agriculteur local ou m\\u00eame \\u00e0 une c\\u00e9l\\u00e9brit\\u00e9 locale de s\'emparer de votre compte Facebook et de publier de son point de vue. Donnez-leur la libert\\u00e9, avec quelques r\\u00e8gles, d\'afficher tout ce qu\'ils trouvent int\\u00e9ressant. Vos clients appr\\u00e9cieront la nouvelle approche de votre style de m\\u00e9dias sociaux.<\\/p><p>Ce ne sont l\\u00e0 que quelques id\\u00e9es de publication sur Facebook de restaurants que vous pouvez essayer sur la page de votre restaurant. Continuez \\u00e0 essayer de nouvelles choses et voyez ce qui fonctionne avec votre public.<\\/p><p>Si vous avez du mal \\u00e0 trouver de nouvelles id\\u00e9es de publication dans les restaurants sur Facebook pour inciter les gens \\u00e0 s\\u2019engager, voyez ce que vos concurrents font qui fonctionne bien et essayez de le reproduire. N\'oubliez pas de garder votre propre style et surtout ne le prenez pas trop au s\\u00e9rieux. Amusez-vous avec votre publication sur Facebook et vos clients le seront \\u00e9galement.<\\/p><p>A vous de jouer ou confiez-nous cela <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">en savoir plus<\\/a>!<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8143", "3001", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8129", "12389", "_wp_attached_file", "2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg");
INSERT INTO `wp_postmeta` VALUES("8130", "12389", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1024;s:6:\"height\";i:578;s:4:\"file\";s:83:\"2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg\";s:8:\"filesize\";i:40464;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:83:\"2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11111;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:83:\"2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6987;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:83:\"2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-768x434.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:434;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33991;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:83:\"2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-416x235.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:235;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15940;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:83:\"2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4412;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8177", "3001", "_elementor_css", "a:6:{s:4:\"time\";i:1685539742;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8152", "3001", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8178", "2634", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8179", "2634", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8180", "2634", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8181", "12396", "_wp_attached_file", "2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png");
INSERT INTO `wp_postmeta` VALUES("8182", "12396", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:675;s:4:\"file\";s:55:\"2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png\";s:8:\"filesize\";i:230419;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:55:\"Sans-titre-2022-03-30T162754.782-1000x675-1-300x203.png\";s:5:\"width\";i:300;s:6:\"height\";i:203;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:107633;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:55:\"Sans-titre-2022-03-30T162754.782-1000x675-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:44338;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:55:\"Sans-titre-2022-03-30T162754.782-1000x675-1-768x518.png\";s:5:\"width\";i:768;s:6:\"height\";i:518;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:649398;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:55:\"Sans-titre-2022-03-30T162754.782-1000x675-1-416x281.png\";s:5:\"width\";i:416;s:6:\"height\";i:281;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:194538;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:55:\"Sans-titre-2022-03-30T162754.782-1000x675-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22145;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8229", "2634", "_elementor_css", "a:6:{s:4:\"time\";i:1685540330;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8195", "2634", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8196", "2634", "_elementor_data", "[{\"id\":\"1165e12d\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"2232dbee\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"66a33d12\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<div class=\\\"et_pb_row et_pb_row_1\\\"><div class=\\\"et_pb_column et_pb_column_4_4 et_pb_column_1 et_pb_css_mix_blend_mode_passthrough et-last-child\\\"><div class=\\\"et_pb_module et_pb_text et_pb_text_1 et_pb_text_align_left et_pb_bg_layout_light\\\"><div class=\\\"et_pb_text_inner\\\"><h2><b>Un micro-influenceur c\\u2019est quoi\\u00a0?<\\/b><\\/h2><div><b>\\u00a0<\\/b><\\/div><p>\\u00a0<\\/p><p>A l\\u2019inverse des grands influenceurs et des c\\u00e9l\\u00e9brit\\u00e9s disposant de plus de cent mille voir de millions de followers, les micro-influenceurs sont des leaders d\\u2019opinion suivis par\\u00a0des\\u00a0petits\\u00a0groupes\\u00a0d\\u2019abonn\\u00e9s qui plus\\u00a0sont g\\u00e9n\\u00e9ralement plus\\u00a0fid\\u00e8les\\u00a0et engag\\u00e9s. Tandis que les c\\u00e9l\\u00e9brit\\u00e9s ont une port\\u00e9e plus large,\\u00a0<strong>les micro-influenceurs peuvent marquer des points pour leur authenticit\\u00e9 et\\u00a0<\\/strong><strong>leur\\u00a0<\\/strong><strong>proximit\\u00e9<\\/strong>.<\\/p><p>Kook agency peut assurer vos campagnes d\\u2019influencement via sont r\\u00e9seaux de micro-influenceurs.<\\/p><p>\\u00a0<\\/p><p>\\u00a0<\\/p><h2><b>Les avantages de faire appel \\u00e0 des micro-influenceurs\\u00a0?<\\/b><\\/h2><div><b>\\u00a0<\\/b><\\/div><p>\\u00a0<\\/p><p>Les micro-influenceurs repr\\u00e9sentent aussi de nombreux avantages pour votre restaurant, peut co\\u00fbteux, ils vous permettent d\\u2019accro\\u00eetre rapidement votre nombre de followers. Partons \\u00e0 la d\\u00e9couverte des ces micro-influenceurs et des principales raisons\\u00a0de collaborer avec eux.<\\/p><p>\\u00a0<\\/p><p>\\u00a0<\\/p><ul><li><b>Taille de communaut\\u00e9\\u00a0<\\/b>\\u00a0: Les micro-influenceurs poss\\u00e8dent g\\u00e9n\\u00e9ralement moins de 30 000 abonn\\u00e9s sur Instagram. Bien que ce chiffre ne soit pas officiel, il donne une bonne indication sur le\\u00a0seuil d\\u2019abonn\\u00e9s\\u00a0qui les diff\\u00e9rencie du macro-influenceurs.<\\/li><\\/ul><ul><li><b>Audience\\u00a0<\\/b>: Les micro-influenceurs sont souvent\\u00a0sp\\u00e9cialis\\u00e9s\\u00a0voire\\u00a0experts\\u00a0dans un domaine d\\u2019activit\\u00e9 comme la restauration, les micro-influenceur n\\u2019ont souvent que peu de difficult\\u00e9s \\u00e0 promouvoir un \\u00e9tablissement ou une cuisine qui s\\u2019y rapporte gr\\u00e2ce aux\\u00a0affinit\\u00e9s\\u00a0qu\\u2019ils peuvent naturellement avoir avec eux.<\\/li><\\/ul><ul><li><b>Risques<\\/b>\\u00a0: Tous les influenceurs sont susceptibles de recourir \\u00e0 des techniques de\\u00a0\\u00ab\\u00a0fake followers\\u00a0\\u00bbautrement dit des \\u00ab\\u00a0faux comptes d\\u2019abonn\\u00e9s\\u00a0\\u00bb<\\/li><\\/ul><ul><li><b>Engagement<\\/b>\\u00a0: Les\\u00a0taux d\\u2019engagement\\u00a0sur les publications des micro-influenceurs sont en moyenne plus \\u00e9lev\\u00e9s que ceux des macro-influenceurs. Cela s\\u2019explique car leur\\u00a0audience\\u00a0concentre uniquement des internautes int\\u00e9ress\\u00e9s voire passionn\\u00e9s par la restauration mais bien souvent au niveau international.<\\/li><\\/ul><ul><li><b>Co\\u00fbt\\u00a0<\\/b>: Les micro-influenceurs\\u00a0sont souvent \\u00e0 la recherche de petites compensations financi\\u00e8res ou alors par le biais d\\u2019un\\u00a0 repas offert contre une centaine de followers sur votre compte Instagram.<\\/li><\\/ul><ul><li><b>Valeurs\\u00a0<\\/b>: Un micro-influenceur se veut \\u00e9galement tr\\u00e8s\\u00a0proche de sa communaut\\u00e9. Celle-ci n\\u2019\\u00e9tant pas excessivement grande, ils prennent g\\u00e9n\\u00e9ralement le temps d\\u2019interagir avec leurs abonn\\u00e9s. C\\u2019est pourquoi ils sont souvent per\\u00e7us comme plus\\u00a0accessibles\\u00a0et plus\\u00a0authentiques, ce qui d\\u00e9gage une\\u00a0image positive.<\\/li><\\/ul><h2>\\u00a0<\\/h2><h2 class=\\\"western\\\"><b>Exemple de post de micro-influenceurs pour les restaurateurs<\\/b><\\/h2><div><b>\\u00a0<\\/b><\\/div><\\/div><\\/div><\\/div><\\/div><div class=\\\"et_pb_row et_pb_row_2\\\"><div class=\\\"et_pb_column et_pb_column_4_4 et_pb_column_2 et_pb_css_mix_blend_mode_passthrough et-last-child\\\"><div class=\\\"et_pb_module et_pb_text et_pb_text_2 et_pb_text_align_left et_pb_bg_layout_light\\\"><div class=\\\"et_pb_text_inner\\\"><ul><li>Avec @foodeaseparis (20 505 abonn\\u00e9es)<\\/li><\\/ul><\\/div><\\/div><\\/div><\\/div><div class=\\\"et_pb_row et_pb_row_3\\\"><div class=\\\"et_pb_column et_pb_column_1_2 et_pb_column_3 et_pb_css_mix_blend_mode_passthrough\\\"><div class=\\\"et_pb_module et_pb_image et_pb_image_0\\\"><span class=\\\"et_pb_image_wrap \\\"><img title=\\\"\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/10\\/2018_10_25_11_58_10_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vid%C3%A9os_Instagram.png\\\" alt=\\\"\\\" data-wp-editing=\\\"1\\\" \\/><\\/span><\\/div><\\/div><div class=\\\"et_pb_column et_pb_column_1_2 et_pb_column_4 et_pb_css_mix_blend_mode_passthrough et-last-child\\\"><div class=\\\"et_pb_module et_pb_image et_pb_image_1\\\"><span class=\\\"et_pb_image_wrap \\\"><img title=\\\"\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/10\\/2018_10_25_11_57_24_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vid%C3%A9os_Instagram.png\\\" alt=\\\"\\\" \\/><\\/span><\\/div><div>\\u00a0<\\/div><\\/div><\\/div><div class=\\\"et_pb_row et_pb_row_4\\\"><div class=\\\"et_pb_column et_pb_column_4_4 et_pb_column_5 et_pb_css_mix_blend_mode_passthrough et-last-child\\\"><div class=\\\"et_pb_module et_pb_text et_pb_text_3 et_pb_text_align_left et_pb_bg_layout_light\\\"><div class=\\\"et_pb_text_inner\\\"><ul><li>Avec @thefoodparisian (11 407 abonn\\u00e9s)<\\/li><\\/ul><\\/div><\\/div><\\/div><\\/div><div class=\\\"et_pb_row et_pb_row_5\\\"><div class=\\\"et_pb_column et_pb_column_1_2 et_pb_column_6 et_pb_css_mix_blend_mode_passthrough\\\"><div class=\\\"et_pb_module et_pb_image et_pb_image_2\\\">\\u00a0<\\/div><div class=\\\"et_pb_module et_pb_image et_pb_image_2\\\"><span class=\\\"et_pb_image_wrap \\\"><img title=\\\"\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/10\\/2018_10_25_12_02_30_thefoodparisian_Photos_et_vid%C3%A9os_Instagram.png\\\" alt=\\\"\\\" \\/><\\/span><\\/div><\\/div><div class=\\\"et_pb_column et_pb_column_1_2 et_pb_column_7 et_pb_css_mix_blend_mode_passthrough et-last-child\\\"><div class=\\\"et_pb_module et_pb_image et_pb_image_3\\\"><span class=\\\"et_pb_image_wrap \\\"><img title=\\\"\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/10\\/2018_10_25_12_06_36_thefoodparisian_Photos_et_vid%C3%A9os_Instagram.png\\\" alt=\\\"\\\" \\/><\\/span><\\/div><\\/div><\\/div>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8204", "2634", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8230", "2626", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8231", "2626", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8232", "2626", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8233", "12403", "_wp_attached_file", "2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg");
INSERT INTO `wp_postmeta` VALUES("8234", "12403", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:613;s:6:\"height\";i:344;s:4:\"file\";s:53:\"2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg\";s:8:\"filesize\";i:28238;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:53:\"coursier-velo-illustration-828622-0@1x-1-300x168.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11648;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:53:\"coursier-velo-illustration-828622-0@1x-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6349;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:53:\"coursier-velo-illustration-828622-0@1x-1-416x233.jpeg\";s:5:\"width\";i:416;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18944;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:53:\"coursier-velo-illustration-828622-0@1x-1-100x100.jpeg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3704;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8281", "2626", "_elementor_css", "a:6:{s:4:\"time\";i:1685540714;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8282", "2481", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8247", "2626", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8248", "2626", "_elementor_data", "[{\"id\":\"442ed557\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"23b202d0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"42c65042\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><span style=\\\"font-size: xx-large; font-family: \'Calibri Light\', serif; font-weight: var(--font-weight-heading); letter-spacing: 2px; background-color: transparent; display: inline !important;\\\">S\\u2019\\u00e9quiper pour la vente \\u00e0 emporter et la livraison ?<\\/span><\\/p><p><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\">Il y a seulement 3 ans, la France voyait naitre des startups de livraison de repas \\u00e0 domicile. Depuis, de nombreux acteurs se sont eux aussi lanc\\u00e9s sur le march\\u00e9\\u00a0: Uber Eats, Foodora, Just Eat, et d\\u2019autre s\\u2019y sont cass\\u00e9 les dents, comme Take It Easy. Mais aujourd\\u2019hui le march\\u00e9 connait une croissance impressionnante (+ 500 % en 2017) et de plus en plus de restaurants se laissent tenter par l\\u2019exp\\u00e9rience. Notre partenaire <\\/span><a style=\\\"font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base);\\\" href=\\\"http:\\/\\/bit.ly\\/2OJsH6G\\\">Finarome<\\/a><span style=\\\"background-color: transparent; font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base); display: inline !important;\\\"> nous explique aujourd\\u2019hui comment s\\u2019\\u00e9quiper pour d\\u00e9marrer.<\\/span><\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Pourquoi choisir la livraison de repas \\u00e0 domicile\\u00a0?<\\/h2><p>\\u00a0<\\/p><p>La principale raison \\u00e9tant que cela vous rapportera des clients sans encombrer votre salle de restaurant. Vous pourrez donc augmenter votre chiffre d\\u2019affaire sans avoir besoin d\\u2019agrandir vos locaux ou d\\u2019\\u00e9largir vos horaires d\\u2019ouverture.<\\/p><p>Si vous disposez de vos propres livreurs, vous pouvez choisir des plateformes comme Just Eat. Si vous n\\u2019en avez pas, choisissez les autres plateformes\\u00a0: Deliveroo, Uber Eats\\u2026 qui vous fournissent leurs propres livreurs \\u00e0 v\\u00e9lo. Vous n\\u2019avez donc pas besoin d\\u2019embaucher de nouveaux employ\\u00e9s pour passer \\u00e0 la livraison \\u00e0 domicile\\u00a0!<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Comment vous \\u00e9quiper pour la livraison\\u00a0?<\\/h2><p>\\u00a0<\\/p><p>Si vous avez vos propres livreurs, il vous faudra des contenants pour maintenir vos plats au chaud avant qu\\u2019ils n\\u2019arrivent chez le client. Il existe de nombreux mod\\u00e8les de <a href=\\\"http:\\/\\/bit.ly\\/2OLBtRL\\\">thermobox et sacs isothermes<\\/a>, vous pourrez faire votre choix en fonction de vos contraintes\\u00a0: v\\u00e9lo ou scooter, taille pizza ou autre\\u2026<\\/p><p>Si vous d\\u00e9l\\u00e9guez la livraison, il faudra tout de m\\u00eame avoir des <a href=\\\"http:\\/\\/bit.ly\\/2OGUzrX\\\">emballages \\u00e0 usage unique<\\/a> pour vos produits. Des pailles pour les boissons, des barquettes en aluminium pour les plats, des <a href=\\\"http:\\/\\/bit.ly\\/2OLBQf7\\\">boites \\u00e0 hamburger<\\/a>, des barquettes de frite, des cartons \\u00e0 pizza\\u2026 Attention de bien penser \\u00e0 \\u00eatre en mesure d\\u2019emballer tous les produits que vous proposez \\u00e0 la vente.<\\/p><p>Vous voil\\u00e0 maintenant pr\\u00eat \\u00e0 vous lancer sur ce nouveau march\\u00e9, plein d\\u2019opportunit\\u00e9s. De plus, vous \\u00e9quiper de ces produits d\\u2019emballage vous permettra de proposer \\u00e0 vos clients des \\u00ab\\u00a0doggy bag\\u00a0\\u00bb. C\\u2019est-\\u00e0-dire d\\u2019emporter les restes de leurs assiettes qu\\u2019ils n\\u2019ont pas termin\\u00e9 afin d\\u2019\\u00e9viter le gaspillage alimentaire. La moyenne par client \\u00e9tant de 211 g, il est important de proposer cette option pour y faire face.<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1247854\",\"elType\":\"section\",\"settings\":{\"dsn_width_layout\":\"dsn-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"html_tag\":\"div\",\"_title\":\"footer\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"dsn_col_margin\":\"mt-section\",\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"e1c647c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"a92cf4b\",\"elType\":\"widget\",\"settings\":{\"title\":\"COMMEN\\u00c7ONS UNE AVENTURE\\n<span class=\\\"d-block\\\">\\n <b><i>INCROYABLE<\\/i><\\/b> ENSEMBLE\\n<\\/span>\",\"font_size\":\"title-h2\",\"align\":\"center\",\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Title\",\"align_mobile\":\"left\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"dsn_heading\"},{\"id\":\"9495c9b\",\"elType\":\"widget\",\"settings\":{\"bg_btn\":\"background-main\",\"text\":\"LANCEZ VOUS !\",\"type_link\":\"1\",\"link_post_id\":\"4276\",\"with_ajax\":\"effect-ajax\",\"icon\":{\"value\":\"fas fa-angle-right\",\"library\":\"fa-solid\"},\"justify_content\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"justify_content_mobile\":\"flex-start\",\"text_with_ajax\":\"OUR PORTFOLIO\"},\"elements\":[],\"widgetType\":\"dsn_button\"},{\"id\":\"73dcf69\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"html_tag\":\"div\",\"_title\":\"Logo & Information\",\"image\":{\"id\":\"\",\"url\":\"\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[{\"id\":\"b2f77ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":30,\"_inline_size_mobile\":100,\"_title\":\"logo & Social\",\"items_from\":[],\"items_to\":[],\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"use_start\":\"100%\",\"use_end\":\"0%\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1cc843b\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"dsn_logo\"},{\"id\":\"1709797\",\"elType\":\"widget\",\"settings\":{\"items\":[{\"_id\":\"11ce129\",\"title\":\"FB\",\"link\":\"https:\\/\\/www.facebook.com\\/kookfoodagency\\/\",\"icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"}},{\"title\":\"TW\",\"link\":\"https:\\/\\/twitter.com\\/kook_agency\",\"_id\":\"4e1bd16\",\"icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"}},{\"title\":\"LN\",\"link\":\"https:\\/\\/www.linkedin.com\\/company\\/kook-food-agency\\/\",\"_id\":\"679fa72\",\"icon\":{\"value\":\"fab fa-linkedin-in\",\"library\":\"fa-brands\"}},{\"title\":\"IN\",\"link\":\"https:\\/\\/www.instagram.com\\/kook_agency\\/\",\"_id\":\"aa33b2f\",\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"}}],\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\",\"icon_color_select\":\"dsn-icon-heading-color\",\"icon_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"dsn_social\"}],\"isInner\":true},{\"id\":\"b3ff237\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":70,\"space_between_widgets\":10,\"_inline_size_mobile\":100,\"_title\":\"Info\",\"items_from\":[],\"items_to\":[],\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"use_start\":\"100%\",\"use_end\":\"0%\",\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[{\"id\":\"9716f66\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"9\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"},{\"id\":\"05f32a4\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"CONTACT\",\"text\":\"<div class=\\\"col-contact\\\">\\r\\n\\r\\n<strong>T<\\/strong> : 01 86 90 50 99\\r\\n<p class=\\\"over-hidden\\\"><strong>E<\\/strong> : contact@kook-agency.fr<\\/p>\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"},{\"id\":\"ceed36b\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"ADRESSES\",\"text\":\"<div class=\\\"col-address\\\">\\r\\n\\r\\n1024 Chemin des Plantades, 83130 La Garde\\r\\n\\r\\n6 Rue Lacretelle, 75015 Paris\\r\\n\\r\\n<\\/div>\",\"filter\":\"on\",\"visual\":\"on\"},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"wp-widget-text\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8256", "2626", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8283", "2481", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8284", "2481", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8308", "2481", "_elementor_data", "[{\"id\":\"6552545a\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"64727f08\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"1e0ec74c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u00a0<\\/p><h3>La concurrence entre les restaurants est f\\u00e9roce et vous devez tout donner pour r\\u00e9ussir. Nous vous aidons avec 16 id\\u00e9es et strat\\u00e9gies marketing pour les restaurants qui promettent de vous aider \\u00e0 am\\u00e9liorer votre entreprise et \\u00e0 attirer l\\u2019attention de tous vos clients !<\\/h3><p>\\u00a0<\\/p><h4><span style=\\\"font-size: large;\\\"><b>1. Photos gourmandes<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Si vous vous \\u00eates d\\u00e9j\\u00e0 connect\\u00e9 \\u00e0 Instagram, vous comprendrez que la pornographie alimentaire est bien vivante.<\\/p><p>Sans aucun doute, la meilleure fa\\u00e7on de promouvoir votre restaurant en ligne consiste \\u00e0 utiliser des photos de qualit\\u00e9 sup\\u00e9rieure. Le contenu visuel est en forte demande en ligne ces jours-ci, et il est essentiel d\'avoir de d\\u00e9licieuses photos sur votre site Web et sur divers m\\u00e9dias sociaux pour attirer des yeux affam\\u00e9s.<\\/p><p>\\u00a0<\\/p><p><img class=\\\" wp-image-2483 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/09\\/dinner-time-300x200.jpg\\\" alt=\\\"\\\" width=\\\"447\\\" height=\\\"298\\\" \\/><\\/p><p>\\u00a0<\\/p><p>Envisagez de faire appel \\u00e0 un professionnel pour prendre des photos de qualit\\u00e9 sup\\u00e9rieure ou essayez-le avec votre smartphone. Soyez averti cependant: prendre de tr\\u00e8s bonnes photos de vos plats peut \\u00eatre plus difficile qu\'il n\'y para\\u00eet, car l\'\\u00e9clairage est souvent un facteur cl\\u00e9\\u00a0!<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>2. Avoir un site internet \\u00e9l\\u00e9gant et fonctionnel<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Les utilisateurs aiment faire des recherches en ligne avant de commander ou de visiter votre restaurant. Ne laissez pas les utilisateurs se d\\u00e9brouiller pour trouver votre menu, pour cela vous devez vous assurer que votre menu publi\\u00e9 sur votre site Web soit toujours \\u00e0 jour, car c\\u2019est souvent la premi\\u00e8re information que les utilisateurs recherchent lors de la visite de votre site (avec les heures, l\\u2019emplacement et les informations de contact). De nos jours, les clients cherche un acc\\u00e8s \\u00e0 votre menu en ligne, sinon ils vont simplement chercher ailleurs.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>3. Annuaires de restaurant.<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Yelp et tripadvisor ont un \\u00e9norme pouvoir dans le secteur de la restauration, et avoir un fort soutien des critiques positives de ces sites, c\'est comme avoir un troupeau d\'oies dor\\u00e9es - les critiques de Yelp et Tripadvisor peuvent faire des merveilles pour votre entreprise. La chose la plus importante \\u00e0 comprendre au sujet de ces sites c\\u2019est que les consommateurs peuvent et vont vous examiner. Pour cette raison, en tant que propri\\u00e9taire de restaurant, vous devez absolument \\u00eatre proactif et habiller votre compte Yelp pour que cela fonctionne pour vous plut\\u00f4t que contre vous.<\\/p><p>\\u00a0<\\/p><p><img class=\\\"size-medium wp-image-2486 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/09\\/TripAdvisor-Logo-Plain-297x300.png\\\" alt=\\\"\\\" width=\\\"297\\\" height=\\\"300\\\" \\/><\\/p><p>Cela signifie ajouter autant de d\\u00e9tails que possible, tels que:<\\/p><p>\\u00a0<\\/p><p>Des photos de vos \\u00e9tablissement, plats, \\u00e9quipe...<br \\/>Vos heures d\'ouverture<br \\/>Fourchette de prix<br \\/>Votre adresse<br \\/>Wi-Fi \\/ si\\u00e8ges ext\\u00e9rieurs \\/ parking \\/ etc.<\\/p><p>Faites de votre mieux pour ajouter autant de d\\u00e9tails que possible.<\\/p><p>L\\u2019autre facteur important \\u00e0 prendre en compte concernant Yelp et TripAdvisor est la mani\\u00e8re dont vous g\\u00e9rez les commentaires. Il est bon de remercier les clients pour leur avis, qu\\u2019il soit positif ou n\\u00e9gatif. Si vous recevez des commentaires n\\u00e9gatifs, r\\u00e9pondez toujours de mani\\u00e8re professionnelle et polie.<\\/p><p>Si vous r\\u00e9pondez publiquement \\u00e0 l\\u2019\\u00e9valuation n\\u00e9gative, remerciez le client pour ses commentaires, pr\\u00e9sentez vos excuses pour l\\u2019incident et promettez de vous am\\u00e9liorer \\u00e0 l\\u2019avenir. Vous pouvez \\u00e9galement envisager de contacter le r\\u00e9viseur en priv\\u00e9 pour plus d\'informations sur les incidents n\\u00e9gatifs.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>4. Outils de r\\u00e9servation en ligne<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Les clients adorent quand vous leur rendez la vie un peu plus facile pour cela proposez leurs la r\\u00e9servation en ligne via votre site internet et les annuaires tel que la fourchette\\u2026 Cela augmente en moyenne 15 \\u00e0 20\\u00a0% le taux de remplissage de votre salle.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>5. Configurez votre compte Google+<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>La configuration du compte Google+ de votre restaurant est tout aussi importante que la configuration de votre compte Yelp. Voici pourquoi:<\\/p><p>\\u00a0<\\/p><p>Lorsque vous recherchez une entreprise dans Google, le graphique de connaissances de Google fournit les d\\u00e9tails de l\\u2019entreprise dans la barre lat\\u00e9rale. Le Knowledge Graph de Google rassemble une grande partie de ses informations sur Google+, donc configurer votre entreprise sur Google+ est un \\u00e9norme avantage, car le fait d\\u2019avoir votre restaurant via le Knowledge Graph de Google vous permet d\\u2019obtenir davantage de recherches de qualit\\u00e9 (gratuitement)!<\\/p><p>\\u00a0<\\/p><p><img class=\\\"size-medium wp-image-2488 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/09\\/google--300x240.png\\\" alt=\\\"\\\" width=\\\"300\\\" height=\\\"240\\\" \\/><\\/p><p>\\u00a0<\\/p><p>Encouragez \\u00e9galement les visiteurs \\u00e0 vous consulter sur Google+, car Knowledge Graph aime regrouper les avis d\'utilisateurs Google.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>6. Annonces g\\u00e9o-cibl\\u00e9es<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Pour la plupart des restaurants, le local est le nom du jeu. La plupart des gens recherchent de bonnes adresse pr\\u00e8s de chez eux et vous tirerez le meilleur parti de vos efforts de marketing en ligne en investissant principalement dans des publicit\\u00e9s cibl\\u00e9es g\\u00e9ographiquement. Les annonces cibl\\u00e9es g\\u00e9ographiquement vous permettent de r\\u00e9aliser des \\u00e9conomies, en veillant \\u00e0 ce que seuls les utilisateurs de certaines villes ou dans un rayon sp\\u00e9cifique voient vos annonces (en \\u00e9liminant les clics non pertinents, qui peuvent vous co\\u00fbter beaucoup d\\u2019argent).<\\/p><p>De nombreux services de publicit\\u00e9 en ligne, des annonces Google Adwords (anciennement Google AdWords) \\u00e0 Facebook et Twitter, offrent des options de ciblage g\\u00e9ographique (sans frais suppl\\u00e9mentaires). Assurez-vous de tirer parti de ces fonctionnalit\\u00e9s de ciblage pratiques pour diffuser vos meilleures annonces aupr\\u00e8s de vos meilleurs clients.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>7. Soyez un Insta-Food<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Avoir une forte pr\\u00e9sence sur Instagram est une autre astuce marketing semi-\\u00e9vidente (mais trop importante \\u00e0 ignorer). Utilisez Instagram pour promouvoir le meilleur contenu visuel de votre restaurant.<\\/p><p>\\u00a0<\\/p><p><img class=\\\" wp-image-2490 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/09\\/repost-instagram-1-300x150.jpg\\\" alt=\\\"\\\" width=\\\"344\\\" height=\\\"172\\\" \\/><\\/p><p>\\u00a0<\\/p><p>Montrez votre cuisine, rapprochez-vous de vos plats pr\\u00e9f\\u00e9r\\u00e9s et utilisez cette sc\\u00e8ne principale des m\\u00e9dias sociaux pour vous familiariser avec votre identit\\u00e9 de marque. Assurez-vous \\u00e9galement de placer des hashtags tels que #food ou #foodstagram ou que vous inventiez les v\\u00f4tres, les hashtags sont un excellent moyen de vous amuser avec les fans.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>8. Envoyer des Newsletter<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Rappelez-vous que la newsletter de votre restaurant n\\u2019a pas besoin d\\u2019\\u00eatre hebdomadaire. En fait, les utilisateurs appr\\u00e9cieront probablement une bo\\u00eete aux lettres moins inond\\u00e9e si vous leur envoyez simplement une newsletter tous les mois.<\\/p><p>Utilisez votre newsletter comme une chance de c\\u00e9l\\u00e9brer votre succ\\u00e8s, de discuter de nouveaux \\u00e9l\\u00e9ments de menu ou de partager des r\\u00e9ductions sp\\u00e9ciales.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>9. Promouvoir le contenu g\\u00e9n\\u00e9r\\u00e9 par les fans<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Le contenu g\\u00e9n\\u00e9r\\u00e9 par l\'utilisateur (surnomm\\u00e9 CGU avec amour) est un excellent moyen de d\\u00e9velopper un engagement personnel et intime avec les utilisateurs. Organisez un concours photo en demandant aux clients de partager leur repas pr\\u00e9f\\u00e9r\\u00e9 dans votre \\u00e9tablissement et partagez les entr\\u00e9es sur une page de contenu d\\u00e9di\\u00e9e (et \\/ ou partagez des soumissions sur vos diff\\u00e9rents r\\u00e9seaux sociaux). Pensez \\u00e0 r\\u00e9compenser des candidats chanceux au hasard avec un ap\\u00e9ritif gratuit ou un autre prix !<\\/p><p>\\u00a0<\\/p><h4><span style=\\\"font-size: large;\\\"><b>10. Montrez votre personnel\\u00a0!<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>\\u00c0 l\'\\u00e8re des repr\\u00e9sentants du service \\u00e0 la client\\u00e8le robotiques et bient\\u00f4t des voitures autonomes, l\'\\u00e9l\\u00e9ment humain fait cruellement d\\u00e9faut. Montrez votre personnel en train de faire ce qu\'il fait de mieux! Voir des employ\\u00e9s heureux et souriants fait des merveilles pour votre r\\u00e9putation, car les clients d\\u00e9sirent ardemment \\u00eatre servis par des travailleurs joyeux.<\\/p><p>\\u00a0<\\/p><p><img class=\\\"size-medium wp-image-2491 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/09\\/257388-1610130Q34315-300x200.jpg\\\" alt=\\\"\\\" width=\\\"300\\\" height=\\\"200\\\" \\/><br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>11. Surveillez votre pr\\u00e9sence sur les m\\u00e9dias sociaux<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Les strat\\u00e9gies de marketing des r\\u00e9seaux sociaux sont une force ind\\u00e9niable dans le monde d\\u2019aujourd\\u2019hui. Les brochures et les menus de livraison pass\\u00e9s sous les portes ne suffiront plus.<\\/p><p>Souvent, les restaurants ayant une forte pr\\u00e9sence dans les m\\u00e9dias sociaux dans le cadre de leur plan marketing sont ceux qui r\\u00e9ussissent le mieux, et dans l\'industrie alimentaire comp\\u00e9titive, ignorer les m\\u00e9dias sociaux est une condamnation \\u00e0 mort.<\\/p><p>Bien s\\u00fbr, vous voudrez cr\\u00e9er une page professionnelle Facebook et Instagram pour partager des r\\u00e9ductions sp\\u00e9ciales, des coupons exclusifs, des photos de vos nouveaux plats et promouvoir vos propres nouvelles. Mais la mise en place de vos comptes n\\u2019est que la moiti\\u00e9 du travail - il est \\u00e9galement essentiel que vous suiviez l\\u2019activit\\u00e9 sur vos r\\u00e9seaux sociaux.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>12. Configurer les alertes Google<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Les alertes Google vous avertissent lorsque le nom de votre entreprise (ou un autre terme associ\\u00e9 \\u00e0 un mot cl\\u00e9) appara\\u00eet dans un nouveau contenu sur le Web! Cela permet de garder un \\u0153il sur qui parle de vous et de vos \\u00e9loges. Un bon moyen de surveiller votre e-reputation\\u00a0!<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>13. D\\u00e9marrer un blog<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Lancer votre propre blog est un excellent moyen de cr\\u00e9er une communaut\\u00e9 et de dialoguer avec vos clients. Les blogs offrent la possibilit\\u00e9 d\\u2019exp\\u00e9rimenter la voix et la personnalit\\u00e9 de votre restaurant. Partagez vos succ\\u00e8s et vos difficult\\u00e9s, vos histoires dr\\u00f4les, vos recettes et tout ce qui pourrait int\\u00e9resser vos clients.<\\/p><p>Un blog peut \\u00eatre un \\u00e9norme projet, mais ce n\\u2019est pas obligatoire. Gardez votre blog aussi simple ou complexe que vous le souhaitez. Vous n\\u2019avez pas \\u00e0 poster constamment, mais il est bon d\\u2019avoir votre blog de restaurant mis en place lorsque vous avez une annonce ou des nouvelles que vous souhaitez diffuser dans le monde.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>14. Sensibilisation des blogueurs alimentaires<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Lorsque vous cr\\u00e9ez votre propre restaurant, il peut \\u00eatre difficile de g\\u00e9n\\u00e9rer des avis et de faire du bruit sur votre etablissement. Une excellente fa\\u00e7on d\'obtenir des critiques et des clics sur le Web est d\'inviter des blogueurs alimentaires dans votre restaurant et d\'envisager de leur offrir un repas ou un ap\\u00e9ritif gratuit. Demandez poliment s\'ils sont pr\\u00eats \\u00e0 communiquer sur votre restaurant et \\u00e0 partager leur exp\\u00e9rience en ligne.<\\/p><p>\\u00a0<\\/p><p><img class=\\\"size-medium wp-image-2121 aligncenter\\\" src=\\\"https:\\/\\/www.kook-agency.fr\\/wp-content\\/uploads\\/2018\\/07\\/poste-reseau-sociau-restaurant-300x200.jpg\\\" alt=\\\"Site internet restaurant\\\" width=\\\"300\\\" height=\\\"200\\\" \\/><\\/p><p>\\u00a0<\\/p><p>Vous ne pouvez pas demander carr\\u00e9ment une \\u00e9valuation positive, car ce serait malhonn\\u00eate, mais il est bon de leur demander simplement une \\u00e9valuation objective des restaurants. Certains blogueurs peuvent d\\u00e9cliner votre offre, mais plus vous demandez, plus vous avez de chances d\'obtenir des retours positifs et de susciter plus d\'int\\u00e9r\\u00eat en ligne.<\\/p><p>Certains blogueurs alimentaires ont de gros suivis, et attirer leur attention peut avoir une grande influence sur votre restaurant. M\\u00eame un seul compte-rendu ou une mention d\'un grand gourmand peut \\u00eatre un \\u00e9norme avantage pour la promotion des restaurants.<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>15. V\\u00e9rifiez les informations de votre restaurant en ligne<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>Les clients aiment faire des recherches en ligne - en fait, 89% des consommateurs font des recherches sur un restaurant en ligne avant de d\\u00eener. C\\u2019est pourquoi il est primordial que tous les d\\u00e9tails de votre restaurant soient en ligne et \\u00e0 jour, y compris l\\u2019adresse, le num\\u00e9ro de t\\u00e9l\\u00e9phone, le site internet, les heures, votre menu actuel, etc...<br \\/><br \\/><\\/p><h4><span style=\\\"font-size: large;\\\"><b>16. D\\u00e9velopper l\'identit\\u00e9 de marque de votre restaurant<\\/b><\\/span><\\/h4><div><span style=\\\"font-size: large;\\\"><b>\\u00a0<\\/b><\\/span><\\/div><p>La cr\\u00e9ation de l\\u2019identit\\u00e9 de marque de votre restaurant peut avoir une grande incidence sur votre performance sur les r\\u00e9seaux sociaux. Votre objectif devrait \\u00eatre de construire l\\u2019identit\\u00e9 de votre restaurant autour de vos clients cibles.<\\/p><p>Votre nourriture cible-t-elle les clients qui pr\\u00e9f\\u00e8rent une alimentation saine? Ou votre restaurant a-t-il une ambiance plus de bi\\u00e8re et d\\u2019ailes? Comprenez qui sont vos clients cibles, puis construisez votre marque autour de ce qui les int\\u00e9resse. Refl\\u00e9tez ces int\\u00e9r\\u00eats sur vos plateformes de m\\u00e9dias sociaux et dans votre mat\\u00e9riel promotionnel.<br \\/><br \\/><\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8307", "2481", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8293", "12411", "_wp_attached_file", "2018/09/marketing-restaurant.jpg");
INSERT INTO `wp_postmeta` VALUES("8294", "12411", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:612;s:6:\"height\";i:398;s:4:\"file\";s:32:\"2018/09/marketing-restaurant.jpg\";s:8:\"filesize\";i:39756;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"marketing-restaurant-300x195.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:195;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14496;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"marketing-restaurant-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7598;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"marketing-restaurant-416x271.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:271;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22524;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"marketing-restaurant-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4464;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:12:\"Getty Images\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:71:\"Business People at the Cafe Restaurant Discussing During Business Lunch\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:71:\"Business People at the Cafe Restaurant Discussing During Business Lunch\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8316", "2481", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8343", "2481", "_elementor_css", "a:6:{s:4:\"time\";i:1685541265;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8344", "2279", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8345", "2279", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8346", "2279", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8347", "12418", "_wp_attached_file", "2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg");
INSERT INTO `wp_postmeta` VALUES("8348", "12418", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1080;s:6:\"height\";i:675;s:4:\"file\";s:47:\"2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg\";s:8:\"filesize\";i:113169;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"IBA-LE-Rouge-VErbier2092-1080x675-1-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15697;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"IBA-LE-Rouge-VErbier2092-1080x675-1-1024x640.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108299;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"IBA-LE-Rouge-VErbier2092-1080x675-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7390;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"IBA-LE-Rouge-VErbier2092-1080x675-1-768x480.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:480;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68910;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:48:\"IBA-LE-Rouge-VErbier2092-1080x675-1-1024x675.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:124803;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:47:\"IBA-LE-Rouge-VErbier2092-1080x675-1-416x260.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:260;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26173;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:47:\"IBA-LE-Rouge-VErbier2092-1080x675-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4068;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8395", "2279", "_elementor_css", "a:6:{s:4:\"time\";i:1685541661;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8361", "2279", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8362", "2279", "_elementor_data", "[{\"id\":\"702172b0\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"4ac4f41b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"738952b1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p align=\\\"justify\\\">Nous allons aborder le sujet des visites virtuelles pour mieux comprendre les retomb\\u00e9es\\u00a0pour votre restaurant ?<br \\/>En effet, dans de nombreux domaines, la technologie ne cesse d\\u2019\\u00e9voluer due \\u00e0 la naissance du digital.<\\/p><p align=\\\"justify\\\">\\u00a0<\\/p><p align=\\\"justify\\\">\\u00a0<\\/p><p align=\\\"justify\\\"><a name=\\\"_GoBack\\\"><\\/a><a href=\\\"http:\\/\\/ib-advantage.com\\/\\\">La visite virtuelle<\\/a> est un outil tr\\u00e8s actif depuis quelques ann\\u00e9es. De la photosph\\u00e8re propos\\u00e9e par Google \\u00e0 la photogramm\\u00e9trie par Matterport (technologie la plus aboutie \\u00e0 l\\u2019heure actuelle), de nombreuses solutions sont propos\\u00e9es sur le march\\u00e9. Ce support innovant r\\u00e9pond \\u00e0 des probl\\u00e9matiques diverses et vari\\u00e9es en fonction du domaine d\\u2019activit\\u00e9.<\\/p><p align=\\\"justify\\\">\\u00a0<\\/p><p>\\u00a0<\\/p><p align=\\\"justify\\\">Le secteur de la restauration est soumis \\u00e0 de fortes \\u00e9volutions depuis quelques ann\\u00e9es\\u00a0: notifications et avis avec TripAdvisor, syst\\u00e8me de r\\u00e9servations avec La Fourchette ou encore cr\\u00e9ation et gestion de votre site internet avec <strong>Kook Food Agency<\\/strong>.<\\/p><p align=\\\"justify\\\">\\u00a0<\\/p><p>\\u00a0<\\/p><p>Dans le domaine de la r\\u00e9alit\\u00e9 virtuelle, Immersive Business Advantage est l\\u2019un des premiers acteurs \\u00e0 proposer la cr\\u00e9ation d\\u2019un outil digital personnalis\\u00e9 \\u00e0 partir de visite virtuelle immersive. Depuis l\\u2019une des plus grandes tables de France avec le restaurant Georges Blanc 3* Michelin jusqu\\u2019au snack de plage, les \\u00e9quipes IBA r\\u00e9alisent la visite virtuelle de votre restaurant en 4 \\u00e9tapes\\u00a0:<\\/p><p>\\u00a0<\\/p><p>\\u00a0<\\/p><ol><li>Rencontre sur les lieux pour mieux comprendre vos objectifs et analyses des espaces.<\\/li><li>Prise de vue avec la technologie Matterport.<\\/li><li>Post-production et int\\u00e9gration des divers m\\u00e9dias.<\\/li><li>Livraison et conseils pour utilisation de l\\u2019outil marketing cr\\u00e9\\u00e9.<\\/li><li>\\u00a0<\\/li><\\/ol><p align=\\\"justify\\\">Avec plus de 4 ann\\u00e9es d\\u2019expertise, <a href=\\\"http:\\/\\/ib-advantage.com\\/visite-virtuelle\\\">IBA<\\/a> propose une multitude de possibilit\\u00e9s \\u00e0 ses clients pour cr\\u00e9er un outil digital de qualit\\u00e9 et sur-mesure. En int\\u00e9grant des documents PDF avec vos menus, photos de vos plats l\\u00e9gend\\u00e9s ou m\\u00eame des vid\\u00e9os dans votre visite virtuelle, vous pourrez transmettre l\\u2019atmosph\\u00e8re de votre restaurant \\u00e0 vos futurs clients pour susciter l\\u2019envie.<\\/p><p align=\\\"justify\\\">\\u00a0<\\/p><p align=\\\"justify\\\">Cette technologie permet \\u00e9galement d\\u2019optimiser votre r\\u00e9f\\u00e9rencement sur internet avec l\\u2019int\\u00e9gration de votre visite virtuelle sur Google Street.<\\/p><p align=\\\"justify\\\">Un autre atout de cette nouvelle fa\\u00e7on de communiquer se retrouve avec l\\u2019utilisation du masque de r\\u00e9alit\\u00e9 virtuelle (VR). IL est possible de transposer la visite virtuelle en mode r\\u00e9alit\\u00e9 virtuelle avec l\\u2019utilisation de masque. Ce nouveau m\\u00e9dia, en pleine expansion depuis l\\u2019arriv\\u00e9e sur le march\\u00e9 de masque de plus en plus performants, autonomes et de moins en moins on\\u00e9reux, permet de d\\u00e9couvrir votre restaurant \\u00e0 360 degr\\u00e9s sur un salon promotionnel par exemple.<\\/p><p align=\\\"justify\\\">\\u00a0<\\/p><p align=\\\"justify\\\">A quand la possibilit\\u00e9 de transmettre les magnifiques odeurs de vos plats \\u00e0 travers une visite virtuelle\\u00a0?<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8370", "2279", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8396", "2259", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8397", "2259", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8398", "2259", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8399", "12425", "_wp_attached_file", "2018/08/IMG_13881542-1080x675-1.jpg");
INSERT INTO `wp_postmeta` VALUES("8400", "12425", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1080;s:6:\"height\";i:675;s:4:\"file\";s:35:\"2018/08/IMG_13881542-1080x675-1.jpg\";s:8:\"filesize\";i:125723;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"IMG_13881542-1080x675-1-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17665;}s:5:\"large\";a:5:{s:4:\"file\";s:36:\"IMG_13881542-1080x675-1-1024x640.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117889;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"IMG_13881542-1080x675-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8364;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"IMG_13881542-1080x675-1-768x480.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:480;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76029;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:36:\"IMG_13881542-1080x675-1-1024x675.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:133771;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:35:\"IMG_13881542-1080x675-1-416x260.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:260;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29497;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:35:\"IMG_13881542-1080x675-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4757;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8422", "2259", "_elementor_data", "[{\"id\":\"3e0c7969\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"155f96ad\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"41a74f7b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u00a0<\\/p><h4>Quand on parle de sites internet avec certains restaurateurs, on entend trop souvent la r\\u00e9ponse suivante : <i>\\u00ab Oui je sais, je dois cr\\u00e9er un site internet pour mon restaurant. Mais c\\u2019est beaucoup de travail pour quelque chose qui va pas me faire gagner de l\\u2019argent ! \\u00bb <\\/i><\\/h4><div><i>\\u00a0<\\/i><\\/div><h4>Pourtant, un site web bien construit et connect\\u00e9 aux op\\u00e9rations de votre \\u00e9tablissement peut augmenter votre chiffre d\\u2019affaires. Mais comment \\u00e7a marche ? Voici quelques pistes de r\\u00e9flexion de nos coll\\u00e8gues chez iKentoo, les sp\\u00e9cialistes de la caisse enregistreuse connect\\u00e9e.<\\/h4><div>\\u00a0<\\/div><p>\\u00a0<\\/p><h2 class=\\\"western\\\">1. Retrouvez vos r\\u00e9servations sur votre caisse<\\/h2><div>\\u00a0<\\/div><p>Saviez-vous que vous pouvez lier votre caisse iKentoo \\u00e0 votre module de r\\u00e9servations en ligne ? Ainsi, vous pouvez retrouver les r\\u00e9servations pass\\u00e9es sur votre site directement sur votre caisse. Le grand avantage ? Maximiser votre <a href=\\\"https:\\/\\/www.ikentoo.com\\/fr\\/news-blog-fr\\/indicateurs-de-performance-pour-la-restauration-2-les-indicateurs-quantitatifs\\\"><span style=\\\"color: #1155cc;\\\"><u>taux de remplissage<\\/u><\\/span><\\/a> et diminuer les risques de double-r\\u00e9servation d\\u2019une table. Vous augmenterez ainsi votre chiffre d\\u2019affaire et la satisfaction de vos clients.<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">2. Collectez toutes les informations de vos clients dans votre CRM<\\/h2><div>\\u00a0<\\/div><p>Vous avez une newsletter ? Vos clients peuvent s\\u2019y inscrire sur votre site ? Retrouvez toutes ces informations sur votre caisse et sur votre plateforme de gestion iKentoo en liant vos formulaires \\u00e0 votre CRM iKentoo. Ainsi vous pourrez personnaliser l\\u2019exp\\u00e9rience client et <a href=\\\"https:\\/\\/www.ikentoo.com\\/fr\\/news-blog-fr\\/comment-fideliser-client-restaurant\\\"><span style=\\\"color: #1155cc;\\\"><u>augmenter la fid\\u00e9lisation<\\/u><\\/span><\\/a> de vos consommateurs-trices avec des offres personnalis\\u00e9es.<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">4. Optimisez la gestion de vos commandes en lignes<\\/h2><div>\\u00a0<\\/div><p>Vous offrez la possibilit\\u00e9 de commander en ligne ? La double saisie manuelle vous fait perdre du temps ? Retrouvez toutes vos commandes sur votre caisse, et automatisez la production. De plus, vous gagnerez un temps pr\\u00e9cieux lors de la gestion des stocks, analyses des ventes et de la comptabilit\\u00e9 car toutes ces informations sont centralis\\u00e9es sur une m\\u00eame plateforme, le Back-Office iKentoo.<\\/p><p>D\\u00e9couvrez l\\u2019offre iKentoo et profitez d\\u2019un devis gratuit sur mesure et un essai gratuit du syst\\u00e8me. Et en tant que client Kook Agency, contactez <a href=\\\"mailto:olivier@kook-agency.fr\\\"><span style=\\\"color: #1155cc;\\\"><u>Olivier<\\/u><\\/span><\\/a> pour b\\u00e9n\\u00e9ficier d\\u2019un rabais exclusif.<\\/p><p>\\u00a0<\\/p><p>iKentoo, la caisse enregistreuse sur iPad pour la restauration la plus performante d\\u2019Europe. Plus de 3500 client-e-s font confiance au syst\\u00e8me d\\u2019encaissement connect\\u00e9 iKentoo. Certifi\\u00e9 NF525, il \\u00e9quipe tous les restaurants du Big Mamma Group (La Felicit\\u00e0, East Mamma, Ober Mamma), les franchises Alto Caf\\u00e9 et Yogurt Factory, ainsi que le Hard Rock Cafe Lyon.<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8421", "2259", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8482", "12436", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1080;s:6:\"height\";i:675;s:4:\"file\";s:40:\"2018/08/slider-template-2-1080x675-1.jpg\";s:8:\"filesize\";i:94392;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"slider-template-2-1080x675-1-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14913;}s:5:\"large\";a:5:{s:4:\"file\";s:41:\"slider-template-2-1080x675-1-1024x640.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:90337;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"slider-template-2-1080x675-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6615;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"slider-template-2-1080x675-1-768x480.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:480;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59403;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:41:\"slider-template-2-1080x675-1-1024x675.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100749;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:40:\"slider-template-2-1080x675-1-416x260.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:260;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24287;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:40:\"slider-template-2-1080x675-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3893;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8430", "2259", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8457", "2259", "_elementor_css", "a:6:{s:4:\"time\";i:1685542080;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8458", "2245", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8459", "2245", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8460", "2245", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8481", "12436", "_wp_attached_file", "2018/08/slider-template-2-1080x675-1.jpg");
INSERT INTO `wp_postmeta` VALUES("8473", "2245", "_elementor_data", "[{\"id\":\"1ac7bd3b\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"4e04fe55\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"67367994\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u00a0<\\/p><h3>La cr\\u00e9ation d\\u2019un restaurant demande beaucoup de temps et d\\u2019investissement. Trouver un avantage concurrentiel, un local, faire les \\u00e9tudes de march\\u00e9\\u2026 Puis vient le moment d\\u2019investir dans son mat\\u00e9riel de cuisine professionnel. Mais quels sont les indispensables\\u00a0? C\\u2019est ce que nous explique notre partenaire <a href=\\\"http:\\/\\/bit.ly\\/2KkjyKH\\\">Finarome<\\/a> aujourd\\u2019hui.<\\/h3><div>\\u00a0<\\/div><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Le mat\\u00e9riel froid<\\/h2><div>\\u00a0<\\/div><p>Qui dit produit frais et fait maison, dit forc\\u00e9ment stockage au froid. Pour cela, le mat\\u00e9riel de base est bien s\\u00fbr l\\u2019armoire r\\u00e9frig\\u00e9r\\u00e9e. Il en existe de nombreux mod\\u00e8les avec diff\\u00e9rentes options\\u00a0; portes pleines ou vitr\\u00e9es, avec ou sans serrure, etc. L\\u2019\\u00e9l\\u00e9ment principal \\u00e0 prendre en compte pour faire votre choix est\\u00a0: <a href=\\\"http:\\/\\/bit.ly\\/2KpI79e\\\">froid ventil\\u00e9\\/semi-ventil\\u00e9 ou statique<\\/a>, et si vous souhaitez un froid positif, n\\u00e9gatif, ou les deux dans une m\\u00eame armoire.<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Le mat\\u00e9riel de cuisson<\\/h2><div>\\u00a0<\\/div><p>En premier, on pense bien \\u00e9videmment au four, qui, s\\u2019il est polyvalent pourra vous permettre de faire \\u00e0 peu pr\\u00e8s toutes vos cuissons. Il en existe l\\u00e0 aussi plusieurs mod\\u00e8les plus ou moins polyvalents\\u00a0: fours mixtes, \\u00e0 vapeur, \\u00e0 gaz, \\u00e0 pizzas, \\u00e0 basse temp\\u00e9rature\\u2026 Mais s\\u2019il y a une chose que les fours ne peuvent pas faire, c\\u2019est la saisie. Compl\\u00e9tez alors votre mat\\u00e9riel de cuisson avec une <a href=\\\"http:\\/\\/bit.ly\\/2McqsU0\\\">plancha professionnelle<\\/a>.<\\/p><p><a name=\\\"_GoBack\\\"><\\/a> Les frites sont incontournables en restauration, ne serait-ce que pour le menu enfant. Alors une bonne friteuse pourra faciliter votre quotidien. Evidemment il ne faut pas n\\u00e9gliger les \\u00e9l\\u00e9ments plus traditionnels comme les fourneaux (associ\\u00e9s \\u00e0 une bonne batterie de cuisine), les toaster pour les snacks, les cuiseurs \\u00e0 p\\u00e2tes ou \\u00e0 riz pour les \\u00e9tablissements sp\\u00e9cialis\\u00e9s, etc.<\\/p><p>\\u00a0<\\/p><h2 class=\\\"western\\\">Le mat\\u00e9riel d\\u2019hygi\\u00e8ne<\\/h2><div>\\u00a0<\\/div><p>Une fois les clients rassasi\\u00e9s, il ne faut pas oublier la derni\\u00e8re \\u00e9tape\\u00a0: le lavage. Afin de gagner en temps et en efficacit\\u00e9, \\u00e9quipez vous d\\u2019un bon lave-vaisselle et d\\u2019un lave-verre. Si vous pensez que c\\u2019est un \\u00e9quipement de \\u00ab\\u00a0luxe\\u00a0\\u00bb dont vous pouvez vous passer dans un premier temps, vous changerez vite d\\u2019avis\\u00a0! Associ\\u00e9 \\u00e0 une bonne plonge, vous vous assurerez une vaisselle \\u00e9clatante et un gain de temps consid\\u00e9rable.<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8480", "2245", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8588", "2084", "_elementor_css", "a:6:{s:4:\"time\";i:1685542821;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8499", "2245", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8534", "2245", "_elementor_css", "a:6:{s:4:\"time\";i:1685542568;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8535", "2084", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8536", "2084", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8537", "2084", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8538", "12443", "_wp_attached_file", "2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg");
INSERT INTO `wp_postmeta` VALUES("8539", "12443", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:848;s:6:\"height\";i:377;s:4:\"file\";s:49:\"2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg\";s:8:\"filesize\";i:30463;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"Avis-negatif-Facebook-Journal-du-CM-1-300x133.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:133;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7107;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"Avis-negatif-Facebook-Journal-du-CM-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3928;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"Avis-negatif-Facebook-Journal-du-CM-1-768x341.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30279;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:49:\"Avis-negatif-Facebook-Journal-du-CM-1-416x185.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:185;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11570;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:49:\"Avis-negatif-Facebook-Journal-du-CM-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2410;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8552", "2084", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8553", "2084", "_elementor_data", "[{\"id\":\"4f4c1721\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7447e7dc\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"4f80e4bb\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u00a0<\\/p><h3>Laisser un avis apr\\u00e8s \\u00eatre all\\u00e9 au restaurant est devenu une habitude chez les clients. Aujourd\\u2019hui il devient compliqu\\u00e9 de g\\u00e9rer les <b>avis clients<\\/b> au sein de son restaurant et pour cela il existe des solutions pour lutter contre une mauvaise <b>e-r\\u00e9putation<\\/b>.<\\/h3><p>\\u00a0<\\/p><h3>Motivez vos employ\\u00e9s\\u00a0!<\\/h3><div>\\u00a0<\\/div><p>Veillez \\u00e0 ce que votre \\u00e9quipe soit au petit soin pour vos clients, il est important de surveiller \\u00e0 que chaque personnes soit bien re\\u00e7u dans votre \\u00e9tablissement. Pour <b>encourager<\\/b> vos salari\\u00e9s, n\\u2019h\\u00e9sitez pas \\u00e0 faire des r\\u00e9unions rapide autour des <b>avis n\\u00e9gatifs et positif<\\/b><b>s<\\/b> de mani\\u00e8re \\u00e0 ce qu\\u2019il r\\u00e9alise l\\u2019impact de leur travail au sein de votre restaurant. N\\u2019h\\u00e9sitez pas \\u00e0 demander \\u00e0 vos clients si ils ont \\u00e9t\\u00e9 satisfait de leurs repas en fin de service et dans le cas contraire pens\\u00e9 toujours \\u00e0 faire un geste commercial pour \\u00e9viter un avis n\\u00e9gatif.<\\/p><p>\\u00a0<\\/p><h3>R\\u00e9f\\u00e9rencement Google.<\\/h3><div>\\u00a0<\\/div><p>Premi\\u00e8re porte d\\u2019entr\\u00e9e de votre\\u00a0<strong>site internet<\\/strong>,\\u00a0le r\\u00e9f\\u00e9rencement naturel est aujourd\\u2019hui indispensable pour lutter contre les avis n\\u00e9gatifs. Cette strat\\u00e9gie\\u00a0 consiste \\u00e0 faire appara\\u00eetre votre site internet dans les meilleures r\\u00e9sultats de recherche et bien souvent devant les annuaires tels que <strong>TripAdvisor, Yelp<\\/strong>\\u2026 Ce qui vous permet d\\u2019avoir un acc\\u00e8s direct vers votre site internet sans que les internautes consultent forcement vos avis. <a href=\\\"https:\\/\\/www.kook-agency.fr\\/referencement-naturel\\\">En savoir plus<\\/a><\\/p><p>\\u00a0<\\/p><h3>Transformer vos clients en influenceurs.<\\/h3><div>\\u00a0<\\/div><p>Sur vos diff\\u00e9rents <b>r\\u00e9seaux sociaux<\\/b>, vous pouvez facilement rep\\u00e9rer les personnes qui aiment votre cuisine et votre \\u00e9tablissement, il suffit juste de les contacter en direct par internet et les inciter \\u00e0 d\\u00e9poser <b>un avis positif<\\/b> \\u00e0 votre attention.<\\/p><p>\\u00a0<\\/p><h3>Communiquez sur les r\\u00e9seaux sociaux.<\\/h3><div>\\u00a0<\\/div><p>Vos avis positifs r\\u00e9colt\\u00e9s peuvent aussi \\u00eatre diffus\\u00e9s sur votre page <b>Facebook <\\/b>professionnelle et sont donc consultables par vos fans et leurs amis. Ils repr\\u00e9sentent un tr\\u00e8s bon moyen de communication pour attirer de <b>nouveaux clients<\\/b> ! En effet, apr\\u00e8s avoir visionn\\u00e9 les photos all\\u00e9chantes de vos plats, ils pourront confirmer leur int\\u00e9r\\u00eat pour votre restaurant gr\\u00e2ce aux nombreux avis de votre communaut\\u00e9. <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">En savoir plus<\\/a><\\/p><p>\\u00a0<\\/p><h3>Savoir r\\u00e9compenser.<\\/h3><div>\\u00a0<\\/div><p>N\\u2019h\\u00e9sitez pas \\u00e0 faire un petit <b>geste commercial<\\/b> (caf\\u00e9, digestif offert..) aupr\\u00e8s de vos clients habituels, en \\u00e9change demandez leurs d\\u2019aimer et partager votre page Facebook, de d\\u00e9poser des avis positifs sur Facebook, Tripadvisor\\u2026 <b>80\\u00a0% de vos clients<\\/b> son friands de r\\u00e9compense pour leurs fid\\u00e9lit\\u00e9s.<\\/p><p>\\u00a0<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8561", "2084", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8589", "191", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8590", "191", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8591", "191", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8612", "12453", "_wp_attached_file", "2018/04/b8177331c059737e7716c47e13112c88.jpg");
INSERT INTO `wp_postmeta` VALUES("8604", "191", "_elementor_data", "[{\"id\":\"566d6ccd\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6ff87a7a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"78454bcf\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>\\u00a0<\\/p><h2>Le QR Code peut facilement am\\u00e9liorer votre exp\\u00e9rience client dans votre restaurant. Voici quelques id\\u00e9es d\\u2019utilisations et de mises \\u00e0 disposition.<\\/h2><div>\\u00a0<\\/div><p>Un QR code\\u00a0<em>(abr\\u00e9viation de Quick Response)\\u00a0<\\/em>s\\u2019apparente \\u00e0 un code barre lisible gr\\u00e2ce \\u00e0 votre smartphone. Par le biais d\'une application gratuite, votre smartphone trouve l\\u2019\\u00e9l\\u00e9ment associ\\u00e9 au QR code et l\\u2019ouvre directement. Il peut s\\u2019agir d\\u2019une page web, d\\u2019un email, de vos r\\u00e9seaux sociaux, d\\u2019un contact, d\\u2019un num\\u00e9ro de t\\u00e9l\\u00e9phone, d\\u2019un \\u00e9v\\u00e9nement, d\\u2019une g\\u00e9olocalisation ou bien m\\u00eame d\\u2019un mot de passe wifi !<\\/p><p>\\u00a0<\\/p><p>\\u00a0<\\/p><h3>Quelles utilisations possibles dans votre restaurant ?<\\/h3><h4><strong>Renforcez l\'exp\\u00e9rience client<\\/strong><\\/h4><div><strong>\\u00a0<\\/strong><\\/div><p><strong>1. D\\u00e9couvrir votre site internet.<\\/strong>\\u00a0<em>Redirigez votre QR Code vers\\u00a0 votre site\\u00a0adapt\\u00e9 aux smartphones<\\/em><em>, o\\u00f9 vous d\\u00e9voilez ce qui vous rend unique. Pas besoin de grand discours, nous vous conseillons de r\\u00e9sumer votre savoir-faire en une phrase<\\/em><em>\\u00a0et de l\\u2019illustrer de preuves (photos, vid\\u00e9os, \\u2026)<\\/em><\\/p><p><em>\\u00a0<\\/em><\\/p><p><strong>2. Inviter vos clients \\u00e0 vous suivre sur les r\\u00e9seaux sociaux.<\\/strong>\\u00a0<em>Redirigez votre QR Code vers votre page Facebook \\/ Instagram et cr\\u00e9ez des offres autour de cela. Par exemple, offrez un bonus aux clients qui \\u00ab\\u00a0aiment\\u00a0\\u00bb votre page Facebook ou \\u00e0 ceux qui partagent une photo de votre lieu sur leurs r\\u00e9seaux sociaux. Cela permet de d\\u00e9velopper votre pr\\u00e9sence sur internet.\\u00a0 Une bonne occasion d\\u2019augmenter votre communaut\\u00e9.<\\/em><\\/p><p><em>\\u00a0<\\/em><\\/p><p><strong>3. Aider vos clients prospects \\u00e0 venir jusqu\\u2019\\u00e0 vous.\\u00a0<\\/strong><em>Redirigez votre QR Code vers votre adresse (g\\u00e9olocalisation), votre num\\u00e9ro de t\\u00e9l\\u00e9phone. Ins\\u00e9rez-le ensuite sur vos flyers, cartes de visites \\u2026<\\/em><\\/p><p><em>\\u00a0<\\/em><\\/p><p><strong>4. Inviter vos clients \\u00e0 passer une commande en ligne.<\\/strong><em>\\u00a0Si votre site internet vous le permet, inciter vos clients \\u00e0 passer une commande en ligne\\u00a0 si ce n\'est pas le cas vers<\\/em><em>\\u00a0une application de livraison tel que AlloResto, Uber Eat, Deliveroo. Imprimez-le sur votre vitrine, vos flyers ou votre carte de visite pour que vos clients et prospects puissent vous trouvez directement.<\\/em><\\/p><p><em>\\u00a0<\\/em><\\/p><p>\\u00a0<\\/p><h4><strong>Cr\\u00e9ez une exp\\u00e9rience ludique<\\/strong><\\/h4><div><strong>\\u00a0<\\/strong><\\/div><div><b>5. D\\u00e9couvrir la provenance de vos produits. <\\/b><i>Redirigez votre QR Code vers une page ou un site qui montre l\\u2019origine des produits de votre carte. Le restaurant Harney Sushi (Californie) a eu l\\u2019id\\u00e9e d\\u2019imprimer des QR Codes sur du papier de riz en utilisant de l\\u2019encre comestible \\u00e0 base d\\u2019eau. Leurs clients peuvent ainsi \\u00ab num\\u00e9riser leur poisson \\u00bb avec leur smartphone pour savoir exactement o\\u00f9 il a \\u00e9t\\u00e9 p\\u00each\\u00e9 ou bien conna\\u00eetre les r\\u00e9serves oc\\u00e9aniques de cette esp\\u00e8ce.<\\/i><\\/div><div>\\u00a0<\\/div>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8611", "191", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8613", "12453", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:745;s:6:\"height\";i:400;s:4:\"file\";s:44:\"2018/04/b8177331c059737e7716c47e13112c88.jpg\";s:8:\"filesize\";i:55604;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"b8177331c059737e7716c47e13112c88-300x161.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:161;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13512;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"b8177331c059737e7716c47e13112c88-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6776;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:44:\"b8177331c059737e7716c47e13112c88-416x223.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:223;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22458;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:44:\"b8177331c059737e7716c47e13112c88-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3888;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8663", "191", "_elementor_css", "a:6:{s:4:\"time\";i:1685543282;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("8630", "191", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8664", "188", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8665", "188", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("8666", "188", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("8690", "188", "_elementor_data", "[{\"id\":\"64a281c5\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"410f8568\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7c6e3026\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><\\/p>\\n<h2>Peut-on supprimer un avis TripAdvisor ? Oui, mais seulement dans certains cas. Comment faire ? Nous vous guidons pas \\u00e0 pas.<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>Aujourd\\u2019hui, un nombre grandissant d\\u2019internautes consulte les avis avant de se rendre dans un restaurant.&nbsp;<strong>TripAdvisor<\\/strong>&nbsp;est une r\\u00e9f\\u00e9rence mondiale en mati\\u00e8re de r\\u00e9f\\u00e9rencement. Cependant, tous les avis ne sont pas n\\u00e9cessairement honn\\u00eates et bienveillants. En effet, faux t\\u00e9moignages, propos outrageux ou exag\\u00e9ration de la situation sont parfois \\u00e0 d\\u00e9plorer. Si votre \\u00e9tablissement est vis\\u00e9, vous avez la possibilit\\u00e9 de demander la suppression de l\\u2019avis en question \\u00e0 TripAdvisor.<\\/p><p><br><\\/p>\\n<p><\\/p>\\n<h2>Que faire en cas d\\u2019avis n\\u00e9gatif ?<\\/h2>\\n<div>&nbsp;<\\/div>\\n<p>En cas d\\u2019avis n\\u00e9gatif, vous pouvez r\\u00e9pondre&nbsp;intelligemment \\u00e0 l\\u2019utilisateur. Cela n\\u2019est pas toujours facile car il faut pouvoir prendre du recul afin de remercier la personne pour son commentaire, reconna\\u00eetre ses tords, mettre en avant les aspects positifs, d\\u00e9tailler les \\u00e9ventuelles mesures d\\u2019am\\u00e9lioration mises en place suite \\u00e0 sa visite et l\\u2019inviter \\u00e0 venir \\u00e0 nouveau dans votre \\u00e9tablissement. Pour vous aider dans cette t\\u00e2che mandater <a href=\\\"https:\\/\\/www.kook-agency.fr\\/reseaux-sociaux\\\">une agence<\\/a> pour s\'en occuper<br>Pour signaler un avis suspect, frauduleux ou abusif et&nbsp;<strong>demander sa suppression \\u00e0 TripAdvisor<\\/strong>, il est n\\u00e9cessaire de&nbsp;<\\/p><p>:<\\/p>\\n<p><\\/p>\\n<ol>\\n<li>Se connecter \\u00e0 l\\u2019espace Propri\\u00e9taire<\\/li>\\n<li>Aller dans la rubrique \\u00ab Avis \\u00bb et cliquer sur \\u00ab Un avis \\u00e0 signaler ? \\u00bb<\\/li>\\n<li>Cliquer sur \\u00ab Lisez nos conditions d\\u2019utilisation et envoyez vos commentaires \\u00bb.<\\/li>\\n<li>Remplir le formulaire en indiquant l\\u2019avis concern\\u00e9, les raisons de votre demande et les preuves (si vous en avez).<\\/li>\\n<\\/ol>\\n<p><br><\\/p><p>A partir du moment o\\u00f9 vous envoyez un signalement \\u00e0 TripAdvisor, une enqu\\u00eate est engag\\u00e9e afin de valider ou non la suppression.<\\/p>\\n<p>Si l\\u2019avis n\\u2019\\u00e9tait&nbsp;<strong>pas adress\\u00e9 \\u00e0 votre \\u00e9tablissement<\\/strong>&nbsp;et que parvenez \\u00e0 le prouver, il peut \\u00eatre effac\\u00e9 de votre page.<\\/p>\\n<p>Par ailleurs, en cas de&nbsp;<strong>changement de propri\\u00e9taire<\\/strong>, les avis pourront \\u00eatre supprim\\u00e9s sur preuve du&nbsp;<a href=\\\"https:\\/\\/www.tripadvisorsupport.com\\/hc\\/fr\\/articles\\/200614487-Je-viens-d-acqu%C3%A9rir-un-h%C3%B4tel-un-restaurant-ou-une-activit%C3%A9-et-je-pr%C3%A9vois-d-en-am%C3%A9liorer-la-gestion-Puis-je-faire-table-rase-du-pass%C3%A9-\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">rachat<\\/a>&nbsp;mais dans ce cas tous seront supprim\\u00e9s (pas uniquement les mauvais).<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8689", "188", "_elementor_page_settings", "a:2:{s:27:\"title_typography_typography\";s:6:\"custom\";s:26:\"title_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:50;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8675", "12461", "_wp_attached_file", "2018/02/avis-client-1.jpg");
INSERT INTO `wp_postmeta` VALUES("8676", "12461", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:612;s:6:\"height\";i:433;s:4:\"file\";s:25:\"2018/02/avis-client-1.jpg\";s:8:\"filesize\";i:32766;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"avis-client-1-300x212.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:212;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11606;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"avis-client-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7062;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"avis-client-1-416x294.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:294;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17722;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"avis-client-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4190;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:12:\"Getty Images\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:79:\"Customer reviews, service evaluation, feedback, rating system isometric concept\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:79:\"Customer reviews, service evaluation, feedback, rating system isometric concept\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8698", "188", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9527", "12566", "_wp_attached_file", "2023/06/MR__4249-2-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("9528", "12566", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:29:\"2023/06/MR__4249-2-scaled.jpg\";s:8:\"filesize\";i:529018;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"MR__4249-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15665;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"MR__4249-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98139;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"MR__4249-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7584;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"MR__4249-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62780;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"MR__4249-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:194061;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"MR__4249-2-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:335780;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"MR__4249-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:126678;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"MR__4249-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:134743;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"MR__4249-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25590;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"MR__4249-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4366;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"MR__4249-2.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("9559", "12571", "_wp_attached_file", "2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2.png");
INSERT INTO `wp_postmeta` VALUES("9560", "12571", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:576;s:6:\"height\";i:139;s:4:\"file\";s:50:\"2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2.png\";s:8:\"filesize\";i:3644;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"61378a6aa73744d413238ebf_HEMBLEM-logo2-300x72.png\";s:5:\"width\";i:300;s:6:\"height\";i:72;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6095;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"61378a6aa73744d413238ebf_HEMBLEM-logo2-150x139.png\";s:5:\"width\";i:150;s:6:\"height\";i:139;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1225;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:50:\"61378a6aa73744d413238ebf_HEMBLEM-logo2-416x100.png\";s:5:\"width\";i:416;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8090;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:50:\"61378a6aa73744d413238ebf_HEMBLEM-logo2-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2351;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10084", "11982", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("10085", "11982", "_yoast_wpseo_estimated-reading-time-minutes", "3");
INSERT INTO `wp_postmeta` VALUES("10149", "4242", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("10150", "4242", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("9826", "12606", "_wp_attached_file", "2023/06/K-LOGO-NOIR-1.png");
INSERT INTO `wp_postmeta` VALUES("9827", "12606", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:25:\"2023/06/K-LOGO-NOIR-1.png\";s:8:\"filesize\";i:10377;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"K-LOGO-NOIR-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3360;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"K-LOGO-NOIR-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1498;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"K-LOGO-NOIR-1-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12173;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"K-LOGO-NOIR-1-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5153;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"K-LOGO-NOIR-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:941;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9828", "12607", "_wp_attached_file", "2023/06/cropped-K-LOGO-NOIR-1.png");
INSERT INTO `wp_postmeta` VALUES("9829", "12607", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("9830", "12607", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:33:\"2023/06/cropped-K-LOGO-NOIR-1.png\";s:8:\"filesize\";i:9776;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5171;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2215;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-416x416.png\";s:5:\"width\";i:416;s:6:\"height\";i:416;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8424;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1324;}s:13:\"site_icon-270\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-270x270.png\";s:5:\"width\";i:270;s:6:\"height\";i:270;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4446;}s:13:\"site_icon-192\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-192x192.png\";s:5:\"width\";i:192;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2857;}s:13:\"site_icon-180\";a:5:{s:4:\"file\";s:33:\"cropped-K-LOGO-NOIR-1-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2707;}s:12:\"site_icon-32\";a:5:{s:4:\"file\";s:31:\"cropped-K-LOGO-NOIR-1-32x32.png\";s:5:\"width\";i:32;s:6:\"height\";i:32;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:482;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9834", "11417", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("9835", "11417", "_elementor_page_settings", "a:1:{s:16:\"site_description\";s:48:\"L&#039;agence de communication des restaurateurs\";}");
INSERT INTO `wp_postmeta` VALUES("9970", "6180", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("9971", "6180", "_yoast_wpseo_estimated-reading-time-minutes", "3");
INSERT INTO `wp_postmeta` VALUES("9915", "12618", "_wp_attached_file", "2023/06/PORTRAITKOOK-15-2-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("9916", "12618", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:36:\"2023/06/PORTRAITKOOK-15-2-scaled.jpg\";s:8:\"filesize\";i:456079;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"PORTRAITKOOK-15-2-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11893;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"PORTRAITKOOK-15-2-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:82629;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"PORTRAITKOOK-15-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6146;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"PORTRAITKOOK-15-2-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50949;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"PORTRAITKOOK-15-2-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:170821;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"PORTRAITKOOK-15-2-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:297055;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"PORTRAITKOOK-15-2-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108348;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"PORTRAITKOOK-15-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:136075;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"PORTRAITKOOK-15-2-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19335;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"PORTRAITKOOK-15-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3592;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"PORTRAITKOOK-15-2.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10056", "11981", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("10057", "11981", "_yoast_wpseo_estimated-reading-time-minutes", "3");
INSERT INTO `wp_postmeta` VALUES("11781", "6206", "_elementor_css", "a:6:{s:4:\"time\";i:1685971893;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10123", "6206", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("10176", "3857", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("10177", "3857", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("10029", "11980", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("10030", "11980", "_yoast_wpseo_estimated-reading-time-minutes", "3");
INSERT INTO `wp_postmeta` VALUES("12614", "12926", "_wp_attached_file", "2023/06/LABUCHERIE_MR_10-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12615", "12926", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2048;s:4:\"file\";s:35:\"2023/06/LABUCHERIE_MR_10-scaled.jpg\";s:8:\"filesize\";i:589566;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"LABUCHERIE_MR_10-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19790;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"LABUCHERIE_MR_10-1024x819.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:819;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:124204;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"LABUCHERIE_MR_10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8449;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"LABUCHERIE_MR_10-768x614.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:614;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80538;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"LABUCHERIE_MR_10-1536x1229.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:234029;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"LABUCHERIE_MR_10-2048x1638.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1638;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:385086;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:29:\"LABUCHERIE_MR_10-1200x960.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:158046;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"LABUCHERIE_MR_10-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145109;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"LABUCHERIE_MR_10-416x333.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32169;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"LABUCHERIE_MR_10-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4786;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"LABUCHERIE_MR_10.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10554", "12697", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("10555", "12697", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("10556", "12697", "_menu_item_object_id", "6180");
INSERT INTO `wp_postmeta` VALUES("10179", "12648", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10180", "12648", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("10181", "12648", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("10182", "12648", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("10183", "12648", "_cdp_counter", "8");
INSERT INTO `wp_postmeta` VALUES("10184", "12648", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10185", "12648", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10186", "12648", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10187", "12648", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10188", "12648", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("10189", "12648", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("10190", "12648", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("10191", "12648", "_thumbnail_id", "12651");
INSERT INTO `wp_postmeta` VALUES("10192", "12648", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10193", "12648", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("10194", "12648", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10195", "12648", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:38:\"https://lo-beach-restaurant.eatbu.com/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:31:\"<b>Publié:</b> 14 janvier 2023\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:69;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10196", "12648", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Si vous voulez manger fran\\u00e7ais et recherchez un \\u00e9tablissement o\\u00f9 passer la soir\\u00e9e, vous \\u00eates les bienvenus chez nous. <br>Bienvenue dans le \\u00ab L\'O Beach \\u00bb. Profitez de nos plats savoureux et de la superbe ambiance de notre restaurant. nn Go\\u00fbtez notre cuisine v\\u00e9g\\u00e9tarienne. Vous serez surpris du nombre de possibilit\\u00e9s de repas sains dont vous disposez.nn Notre zone ext\\u00e9rieure chauff\\u00e9e vous assure une superbe ambiance et vous invite \\u00e0 rester plus longtemps. <br> Admirez directement la mer depuis notre \\u00e9tablissement. Qu\\u2019il s\\u2019agisse d\\u2019un important d\\u00e9jeuner d\\u2019affaires ou d\\u2019un simple d\\u00e9jeuner dehors avec des coll\\u00e8gues, notre menu de midi propose un choix changeant de plats raffin\\u00e9s.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LOBEACH_MR_169-scaled.jpg\",\"id\":12652,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"L\\u2019O Beach\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":58,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LOBEACH_MR_40-scaled.jpg\",\"id\":12653,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"L\\u2019O Beach\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/LOBEACH_MR_29-scaled.jpg\",\"id\":12654,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"L\\u2019O Beach\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"033b576\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"2433364\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"749a5ea\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10197", "12648", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10198", "12648", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10218", "12651", "_wp_attached_file", "2023/06/LOBEACH_MR_44-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10219", "12651", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:32:\"2023/06/LOBEACH_MR_44-scaled.jpg\";s:8:\"filesize\";i:394167;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_44-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14564;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_44-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93550;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_44-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6489;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_44-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93550;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_44-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175597;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_44-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:276495;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_44-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:187801;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"LOBEACH_MR_44-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119391;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_44-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36419;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_44-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3780;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"LOBEACH_MR_44.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10208", "12648", "_edit_lock", "1685973303:1");
INSERT INTO `wp_postmeta` VALUES("10220", "12652", "_wp_attached_file", "2023/06/LOBEACH_MR_169-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10221", "12652", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1920;s:4:\"file\";s:33:\"2023/06/LOBEACH_MR_169-scaled.jpg\";s:8:\"filesize\";i:1080551;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_169-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25347;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_169-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:199204;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_169-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10080;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_169-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:121888;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_169-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:406563;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_169-2048x1536.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:695940;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_169-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263334;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:28:\"LOBEACH_MR_169-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:266623;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_169-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42948;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_169-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5302;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:18:\"LOBEACH_MR_169.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10222", "12653", "_wp_attached_file", "2023/06/LOBEACH_MR_40-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10223", "12653", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:32:\"2023/06/LOBEACH_MR_40-scaled.jpg\";s:8:\"filesize\";i:406342;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_40-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16684;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_40-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101763;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_40-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7428;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_40-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91874;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_40-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:183488;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_40-1639x2048.jpg\";s:5:\"width\";i:1639;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:284648;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_40-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:176846;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"LOBEACH_MR_40-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:121575;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_40-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37806;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_40-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4146;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"LOBEACH_MR_40.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10224", "12654", "_wp_attached_file", "2023/06/LOBEACH_MR_29-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10225", "12654", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:32:\"2023/06/LOBEACH_MR_29-scaled.jpg\";s:8:\"filesize\";i:543670;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_29-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17453;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"LOBEACH_MR_29-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108047;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_29-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7527;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_29-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97486;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_29-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205859;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_29-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:346425;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"LOBEACH_MR_29-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:197505;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"LOBEACH_MR_29-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127143;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_29-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39462;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"LOBEACH_MR_29-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4272;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"LOBEACH_MR_29.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10253", "12648", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("10254", "12648", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("10256", "12658", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10257", "12658", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("10258", "12658", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("10259", "12658", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("10260", "12658", "_cdp_counter", "9");
INSERT INTO `wp_postmeta` VALUES("10261", "12658", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10262", "12658", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10263", "12658", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10264", "12658", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10265", "12658", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("10266", "12658", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("10267", "12658", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("10268", "12658", "_thumbnail_id", "12660");
INSERT INTO `wp_postmeta` VALUES("10269", "12658", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10270", "12658", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("10271", "12658", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10272", "12658", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:30:\"https://www.rubyrestaurant.fr/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:28:\"<b>Publié:</b> 14 mars 2023\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:33;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10273", "12658", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Si vous souhaitez manger fran\\u00e7ais et \\u00eates en qu\\u00eate d\\u2019un \\u00e9tablissement o\\u00f9 passer la soir\\u00e9e, vous \\u00eates les bienvenus chez nous. Le RUBY satisfait m\\u00eame les plus exigeants \\u2013 vous serez conquis par d\\u2019excellents plats servis dans une atmosph\\u00e8re agr\\u00e9able. Passez de douces soir\\u00e9es dans notre magnifique et agr\\u00e9able espace ext\\u00e9rieur.\\n<br><br>\\nRestaurant authentique situ\\u00e9 dans un environnement chic.<br>\\nNotre cuisine fran\\u00e7aise riche en traditions vous offre un grand choix de plats d\\u00e9licieux et fra\\u00eechement pr\\u00e9par\\u00e9s.\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/RUBY_MR_024-scaled.jpg\",\"id\":12662,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"ruby\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":58,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/RUBY_MR_061-scaled.jpg\",\"id\":12663,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"ruby\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/RUBY_MR_050-scaled.jpg\",\"id\":12664,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"ruby\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3d36a3b\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"5d042b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"0dbf02d\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10274", "12658", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10275", "12658", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10297", "12662", "_wp_attached_file", "2023/06/RUBY_MR_024-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10298", "12662", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/06/RUBY_MR_024-scaled.jpg\";s:8:\"filesize\";i:627165;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_024-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14956;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_024-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115994;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_024-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6489;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_024-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115994;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_024-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:238729;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_024-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:408271;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_024-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:257926;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"RUBY_MR_024-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:153717;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_024-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40554;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_024-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3647;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"RUBY_MR_024.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10285", "12658", "_edit_lock", "1685973445:1");
INSERT INTO `wp_postmeta` VALUES("10286", "12660", "_wp_attached_file", "2023/06/RUBY_MR_026-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10287", "12660", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/06/RUBY_MR_026-scaled.jpg\";s:8:\"filesize\";i:620525;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_026-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14135;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_026-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117511;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_026-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5442;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_026-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117511;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_026-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:239965;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_026-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:406721;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_026-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:258506;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"RUBY_MR_026-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:151277;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_026-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40468;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_026-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2933;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"RUBY_MR_026.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10299", "12663", "_wp_attached_file", "2023/06/RUBY_MR_061-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10300", "12663", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/06/RUBY_MR_061-scaled.jpg\";s:8:\"filesize\";i:401881;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_061-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11078;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_061-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75507;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_061-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4630;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_061-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75507;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_061-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:151508;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_061-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:259529;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_061-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:162963;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"RUBY_MR_061-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93283;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_061-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28442;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_061-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2772;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"RUBY_MR_061.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10301", "12664", "_wp_attached_file", "2023/06/RUBY_MR_050-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10302", "12664", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:30:\"2023/06/RUBY_MR_050-scaled.jpg\";s:8:\"filesize\";i:370008;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_050-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11595;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_050-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67495;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_050-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5851;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"RUBY_MR_050-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67495;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_050-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:134832;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_050-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:234363;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"RUBY_MR_050-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145326;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"RUBY_MR_050-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93960;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_050-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26937;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"RUBY_MR_050-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3519;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"RUBY_MR_050.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10330", "12658", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("10331", "12658", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("10333", "12668", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10334", "12668", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("10335", "12668", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("10336", "12668", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("10337", "12668", "_cdp_counter", "10");
INSERT INTO `wp_postmeta` VALUES("10338", "12668", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10339", "12668", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10340", "12668", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10341", "12668", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10342", "12668", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("10343", "12668", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("10344", "12668", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("10345", "12668", "_thumbnail_id", "12671");
INSERT INTO `wp_postmeta` VALUES("10346", "12668", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10347", "12668", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("10348", "12668", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10349", "12668", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:27:\"https://vita-ristorante.fr/\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:15:\"VISITEZ LE SITE\";s:8:\"subtitle\";s:33:\"<b>Publié:</b> 14 décembre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:40;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10350", "12668", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Restaurant ouvert tous les jours jusqu\'\\u00e0 2 heures du matin et la cuisine est ouverte jusqu\'\\u00e0 minuit\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/VITA_MR_5-scaled.jpg\",\"id\":12672,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Vita Ristorante\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":58,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/VITA_MR_36-scaled.jpg\",\"id\":12673,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Vita Ristorante\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/VITA_MR_66-scaled.jpg\",\"id\":12674,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Vita Ristorante\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"25c11fc\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"73e7cfd\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"f7e0654\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10351", "12668", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10352", "12668", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10372", "12671", "_wp_attached_file", "2023/06/VITA_MR_23-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10373", "12671", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2048;s:4:\"file\";s:29:\"2023/06/VITA_MR_23-scaled.jpg\";s:8:\"filesize\";i:924765;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"VITA_MR_23-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17423;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"VITA_MR_23-1024x819.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:819;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:143083;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"VITA_MR_23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7137;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"VITA_MR_23-768x614.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:614;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:84562;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"VITA_MR_23-1536x1229.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:317659;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"VITA_MR_23-2048x1638.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1638;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:578011;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"VITA_MR_23-1200x960.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:192722;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"VITA_MR_23-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:180676;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"VITA_MR_23-416x333.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29680;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"VITA_MR_23-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4060;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"VITA_MR_23.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10362", "12668", "_edit_lock", "1685973468:1");
INSERT INTO `wp_postmeta` VALUES("10374", "12672", "_wp_attached_file", "2023/06/VITA_MR_5-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10375", "12672", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:28:\"2023/06/VITA_MR_5-scaled.jpg\";s:8:\"filesize\";i:702857;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"VITA_MR_5-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17166;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"VITA_MR_5-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117040;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"VITA_MR_5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7802;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"VITA_MR_5-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:105077;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"VITA_MR_5-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:243842;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"VITA_MR_5-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:436332;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"VITA_MR_5-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:233036;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"VITA_MR_5-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:149513;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"VITA_MR_5-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39688;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"VITA_MR_5-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4357;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:13:\"VITA_MR_5.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10376", "12673", "_wp_attached_file", "2023/06/VITA_MR_36-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10377", "12673", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2023/06/VITA_MR_36-scaled.jpg\";s:8:\"filesize\";i:659214;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"VITA_MR_36-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17891;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"VITA_MR_36-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:129576;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"VITA_MR_36-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7151;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"VITA_MR_36-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116021;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"VITA_MR_36-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:257693;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"VITA_MR_36-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:432981;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"VITA_MR_36-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:247859;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"VITA_MR_36-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:146044;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"VITA_MR_36-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42856;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"VITA_MR_36-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4052;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"VITA_MR_36.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10378", "12674", "_wp_attached_file", "2023/06/VITA_MR_66-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10379", "12674", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:29:\"2023/06/VITA_MR_66-scaled.jpg\";s:8:\"filesize\";i:408964;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"VITA_MR_66-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14134;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"VITA_MR_66-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93122;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"VITA_MR_66-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6169;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"VITA_MR_66-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83820;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"VITA_MR_66-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175568;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:24:\"VITA_MR_66-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:279779;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"VITA_MR_66-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:168943;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:24:\"VITA_MR_66-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113119;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:22:\"VITA_MR_66-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32690;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:22:\"VITA_MR_66-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3606;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:14:\"VITA_MR_66.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10407", "12668", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("10408", "12668", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("10410", "12678", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10411", "12678", "_cdp_origin", "12187");
INSERT INTO `wp_postmeta` VALUES("10412", "12678", "_cdp_origin_site", "-1");
INSERT INTO `wp_postmeta` VALUES("10413", "12678", "_cdp_origin_title", " 369 Restaurant #[Counter]");
INSERT INTO `wp_postmeta` VALUES("10414", "12678", "_cdp_counter", "11");
INSERT INTO `wp_postmeta` VALUES("10415", "12678", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10416", "12678", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10417", "12678", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10418", "12678", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10419", "12678", "_cdp_origin", "12169");
INSERT INTO `wp_postmeta` VALUES("10420", "12678", "_cdp_origin", "12160");
INSERT INTO `wp_postmeta` VALUES("10421", "12678", "_cdp_origin", "217");
INSERT INTO `wp_postmeta` VALUES("10422", "12678", "_thumbnail_id", "12680");
INSERT INTO `wp_postmeta` VALUES("10423", "12678", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10424", "12678", "_elementor_template_type", "wp-post");
INSERT INTO `wp_postmeta` VALUES("10425", "12678", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10426", "12678", "_elementor_page_settings", "a:9:{s:15:\"opacity_overlay\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:2;s:5:\"sizes\";a:0:{}}s:9:\"head_link\";a:4:{s:3:\"url\";s:45:\"https://www.instagram.com/divino.paris/?hl=fr\";s:11:\"is_external\";s:2:\"on\";s:8:\"nofollow\";s:2:\"on\";s:17:\"custom_attributes\";s:0:\"\";}s:9:\"text_link\";s:19:\"VISITEZ L\'INSTAGRAM\";s:8:\"subtitle\";s:30:\"<b>Publié:</b> 4 octobre 2022\";s:12:\"show_sidebar\";s:0:\"\";s:20:\"motion_effect_footer\";s:14:\"footer-animate\";s:17:\"motion_effect_svg\";s:11:\"svg-animate\";s:17:\"dsn_footer_bg_svg\";s:19:\"dsn-icon-main-color\";s:43:\"background_option_position_image_position_y\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:40;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10427", "12678", "_elementor_data", "[{\"id\":\"b47432a\",\"elType\":\"section\",\"settings\":{\"dsn_col_padding\":\"pb-section\",\"background_dsn_style\":\"background-section\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"Info Project\",\"margin\":{\"unit\":\"px\",\"top\":\"\",\"right\":0,\"bottom\":\"\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"16cf7f3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_width_layout\":\"container\",\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":30,\"margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"febbb8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\ud83c\\udf5d Cuisine italienne de saison<br>\\n\\ud83c\\udf77 Bar \\u00e0 vins<br>\\n\\ud83d\\udccd Trocad\\u00e9ro<br>\\n\\ud83d\\udd51 12h-23h\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-up\",\"space\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"p\",\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3ef8d00\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5e9bb9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"256823a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DIVINO-52-1-scaled.jpg\",\"id\":12681,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Di vino\",\"position_image\":\"yes\",\"position_image_position_y\":{\"unit\":\"px\",\"size\":58,\"sizes\":[]},\"effect_open_image\":\"dsn-animate dsn-effect-down\",\"size_img_popup_size\":\"full\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8b60f7a\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ecc178b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"dsn_custom_gap\":\"dsn-column-gap-custom\",\"dsn_col_number_col\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"dsn_col_layout_gap\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"_inline_size\":null,\"content_position\":\"center\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"dsn_col_number_col_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"dsn_col_layout_gap_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"dsn_row_layout_gap_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]}},\"elements\":[{\"id\":\"68b23c6\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/P1460489-scaled.jpg\",\"id\":12682,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Di vino\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":70,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"},{\"id\":\"1a0d367\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"http:\\/\\/kookagency\\/wp-content\\/uploads\\/2023\\/06\\/DIVINO-16-scaled.jpg\",\"id\":12683,\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"image_size\":\"full\",\"caption_source\":\"custom\",\"caption\":\"Di Vino\",\"use_scrolling_effects\":\"\",\"use_as_popup\":\"1\",\"size_img_popup_size\":\"full\",\"group_by_fancybox\":\"_1\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"height\":{\"unit\":\"vh\",\"size\":80,\"sizes\":[]},\"height_tablet\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]},\"height_mobile\":{\"unit\":\"vh\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"dsn_image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"be61eee\",\"elType\":\"section\",\"settings\":{\"dsn_col_margin\":\"section-margin\",\"dsn_width_layout\":\"dsn-container dsn-right-container\",\"layout\":\"full_width\",\"gap\":\"no\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"_title\":\"description\"},\"elements\":[{\"id\":\"3960df3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"space_between_widgets\":0,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"9\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"38129d7\",\"elType\":\"widget\",\"settings\":{\"title\":\"D\\u00e9couvrez un autre de nos clients !\",\"font_size\":\"title-block\",\"dsn_html_tag\":\"p\",\"align\":\"center\",\"dsn_title_animate\":\"dsn-text\",\"space\":{\"unit\":\"px\",\"size\":570,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"move_from_duration\":\"-100%\",\"move_to_duration\":\"0%\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[],\"title_color\":\"heading-color\"},\"elements\":[],\"widgetType\":\"dsn_heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10428", "12678", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10429", "12678", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10475", "12678", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("10476", "12678", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("10439", "12678", "_edit_lock", "1685973235:1");
INSERT INTO `wp_postmeta` VALUES("10440", "12680", "_wp_attached_file", "2023/06/P1460372-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10441", "12680", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:27:\"2023/06/P1460372-scaled.jpg\";s:8:\"filesize\";i:687407;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"P1460372-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13250;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"P1460372-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:96722;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"P1460372-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6074;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"P1460372-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119800;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"P1460372-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:214118;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"P1460372-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:408466;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"P1460372-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:303359;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"P1460372-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:129120;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"P1460372-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41076;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"P1460372-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3656;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:12:\"P1460372.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10442", "12681", "_wp_attached_file", "2023/06/DIVINO-52-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10443", "12681", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:30:\"2023/06/DIVINO-52-1-scaled.jpg\";s:8:\"filesize\";i:783880;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"DIVINO-52-1-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22964;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"DIVINO-52-1-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:172639;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"DIVINO-52-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9887;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"DIVINO-52-1-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107098;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"DIVINO-52-1-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:333150;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"DIVINO-52-1-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:537502;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"DIVINO-52-1-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:223388;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"DIVINO-52-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:226553;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"DIVINO-52-1-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39930;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"DIVINO-52-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5395;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"DIVINO-52-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10444", "12682", "_wp_attached_file", "2023/06/P1460489-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10445", "12682", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1808;s:6:\"height\";i:2560;s:4:\"file\";s:27:\"2023/06/P1460489-scaled.jpg\";s:8:\"filesize\";i:530487;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"P1460489-212x300.jpg\";s:5:\"width\";i:212;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14948;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"P1460489-723x1024.jpg\";s:5:\"width\";i:723;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93017;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"P1460489-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7163;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"P1460489-768x1088.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1088;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102141;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"P1460489-1085x1536.jpg\";s:5:\"width\";i:1085;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:186893;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"P1460489-1446x2048.jpg\";s:5:\"width\";i:1446;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:330050;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"P1460489-1200x1699.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1699;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:226625;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"P1460489-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131147;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"P1460489-416x589.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:589;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40041;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"P1460489-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4233;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:12:\"P1460489.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("10446", "12683", "_wp_attached_file", "2023/06/DIVINO-16-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("10447", "12683", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1707;s:6:\"height\";i:2560;s:4:\"file\";s:28:\"2023/06/DIVINO-16-scaled.jpg\";s:8:\"filesize\";i:431212;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"DIVINO-16-200x300.jpg\";s:5:\"width\";i:200;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11263;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"DIVINO-16-683x1024.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70664;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"DIVINO-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5896;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"DIVINO-16-768x1152.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85847;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"DIVINO-16-1024x1536.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:144948;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"DIVINO-16-1365x2048.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:261986;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"DIVINO-16-1200x1800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:199110;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"DIVINO-16-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107495;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"DIVINO-16-416x624.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:624;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32272;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"DIVINO-16-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3581;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:13:\"DIVINO-16.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12198", "217", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("12199", "217", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("12141", "12151", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12142", "12151", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("12111", "12160", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12112", "12160", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("11940", "12169", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("11941", "12169", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("12054", "12178", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("12055", "12178", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("11883", "12187", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("11884", "12187", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("12024", "12197", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12025", "12197", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("12288", "12206", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12289", "12206", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("12348", "12215", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12349", "12215", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("12318", "12224", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12319", "12224", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("12258", "12233", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12259", "12233", "_yoast_wpseo_estimated-reading-time-minutes", "2");
INSERT INTO `wp_postmeta` VALUES("12228", "12243", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("12229", "12243", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("10490", "188", "_elementor_css", "a:6:{s:4:\"time\";i:1685708283;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10529", "11096", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("10530", "11096", "_yoast_wpseo_estimated-reading-time-minutes", "7");
INSERT INTO `wp_postmeta` VALUES("10532", "12693", "_wp_attached_file", "2023/06/My-project-1black.png");
INSERT INTO `wp_postmeta` VALUES("10533", "12693", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1080;s:6:\"height\";i:566;s:4:\"file\";s:29:\"2023/06/My-project-1black.png\";s:8:\"filesize\";i:52988;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"My-project-1black-300x157.png\";s:5:\"width\";i:300;s:6:\"height\";i:157;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13452;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"My-project-1black-1024x537.png\";s:5:\"width\";i:1024;s:6:\"height\";i:537;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:69506;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"My-project-1black-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7522;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"My-project-1black-768x402.png\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:45452;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"My-project-1black-1024x566.png\";s:5:\"width\";i:1024;s:6:\"height\";i:566;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50588;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"My-project-1black-416x218.png\";s:5:\"width\";i:416;s:6:\"height\";i:218;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20020;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"My-project-1black-100x100.png\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4747;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10557", "12697", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("10558", "12697", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("10559", "12697", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10560", "12697", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("10561", "12697", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("10590", "12697", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("10563", "12698", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("10564", "12698", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("10565", "12698", "_menu_item_object_id", "11980");
INSERT INTO `wp_postmeta` VALUES("10566", "12698", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("10567", "12698", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("10568", "12698", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10569", "12698", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("10570", "12698", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("10591", "12698", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("10572", "12699", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("10573", "12699", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("10574", "12699", "_menu_item_object_id", "11981");
INSERT INTO `wp_postmeta` VALUES("10575", "12699", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("10576", "12699", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("10577", "12699", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10578", "12699", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("10579", "12699", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("10592", "12699", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("10581", "12700", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("10582", "12700", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("10583", "12700", "_menu_item_object_id", "11982");
INSERT INTO `wp_postmeta` VALUES("10584", "12700", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("10585", "12700", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("10586", "12700", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10587", "12700", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("10588", "12700", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("10593", "12700", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("10687", "12712", "_wp_attached_file", "2023/06/log_file_2023-06-05__11-24-42.txt");
INSERT INTO `wp_postmeta` VALUES("10688", "62", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10689", "62", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("10690", "62", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("10691", "62", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("10692", "62", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("10693", "62", "_et_builder_version", "BB|Divi|3.0.106");
INSERT INTO `wp_postmeta` VALUES("10694", "62", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("10695", "62", "_yoast_wpseo_focuskw_text_input", "plan du site");
INSERT INTO `wp_postmeta` VALUES("10696", "62", "_yoast_wpseo_focuskw", "plan du site");
INSERT INTO `wp_postmeta` VALUES("10697", "62", "_yoast_wpseo_linkdex", "33");
INSERT INTO `wp_postmeta` VALUES("10698", "62", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("10699", "62", "_metaseo_metakeywords", "Site internet restaurant");
INSERT INTO `wp_postmeta` VALUES("10700", "62", "_metaseo_metatitle", "plan du site kook agency");
INSERT INTO `wp_postmeta` VALUES("10701", "62", "_yoast_wpseo_title", "plan du site kook agency");
INSERT INTO `wp_postmeta` VALUES("10702", "62", "_metaseo_metadesc", "plan du site kook agency");
INSERT INTO `wp_postmeta` VALUES("10703", "62", "_yoast_wpseo_metadesc", "plan du site kook agency");
INSERT INTO `wp_postmeta` VALUES("10704", "62", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_0 et_pb_with_background et_pb_fullwidth_section et_section_regular\" data-padding=\"||10%|\" >\n				\n				\n				\n				\n					<section class=\"et_pb_module et_pb_fullwidth_header et_pb_fullwidth_header_0 et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_fullwidth_header_container left\">\n					<div class=\"header-content-container center\">\n					<div class=\"header-content\">\n						\n						<h1 class=\"et_pb_module_header\">Plan du site</h1>\n						\n						<div class=\"et_pb_header_content_wrapper\"></div>\n						\n					</div>\n				</div>\n					\n				</div>\n				<div class=\"et_pb_fullwidth_header_overlay\"></div>\n				<div class=\"et_pb_fullwidth_header_scroll\"></div>\n			</section>\n				\n				\n			</div> <!-- .et_pb_section --><div class=\"et_pb_section et_pb_section_1 et_pb_fullwidth_section et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_module et_pb_fullwidth_image et_pb_fullwidth_image_0\">\n				\n				\n				<img loading=\"lazy\" width=\"1950\" height=\"950\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif.jpg\" alt=\"\" title=\"\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif.jpg 1950w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-300x146.jpg 300w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-768x374.jpg 768w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-1024x499.jpg 1024w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-1080x526.jpg 1080w\" sizes=\"(max-width: 1950px) 100vw, 1950px\" class=\"wp-image-557\" />\n			\n			</div>\n				\n				\n			</div> <!-- .et_pb_section --><div class=\"et_pb_section et_pb_section_2 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_0\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_0  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_0 et_animated  et_pb_text_align_center et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><p>Plan du site</p></div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_1_2 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1 et_animated  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><style type=\"text/css\">.simple-sitemap-container-60fc2038de795.tab-enabled .panel { border-top: 4px solid #de5737; } .simple-sitemap-container-60fc2038de795.tab-enabled input:checked + label { background-color: #de5737; } .simple-sitemap-container-60fc2038de795.tab-enabled input:checked + label > * { color: #ffffff; } .simple-sitemap-container-60fc2038de795.tab-enabled { max-width: ; }.simple-sitemap-container-60fc2038de795 { margin: 1em 0 0 0; } </style><div class=\"simple-sitemap-container simple-sitemap-container-60fc2038de795 tab-disabled\"><div class=\"simple-sitemap-wrap\"><ul class=\"simple-sitemap-page main\"><li class=\"sitemap-item page_item page-item-62\"><a href=\"https://www.kook-agency.fr/plan-du-site\">Plan du site</a></li>\n<li class=\"sitemap-item page_item page-item-72\"><a href=\"https://www.kook-agency.fr/\">L\'agence de communication pour les restaurateurs - KOOK AGENCY</a></li>\n<li class=\"sitemap-item page_item page-item-578\"><a href=\"https://www.kook-agency.fr/creation-site-web-restaurant\">Création de site web restaurant</a></li>\n<li class=\"sitemap-item page_item page-item-644\"><a href=\"https://www.kook-agency.fr/gamme-easy-kook\">Pack EASY KOOK</a></li>\n<li class=\"sitemap-item page_item page-item-819\"><a href=\"https://www.kook-agency.fr/gamme-up-kook\">Pack UP KOOK</a></li>\n<li class=\"sitemap-item page_item page-item-823\"><a href=\"https://www.kook-agency.fr/gamme-click-kook\">PACK CLICK &amp; KOOK</a></li>\n<li class=\"sitemap-item page_item page-item-964\"><a href=\"https://www.kook-agency.fr/referencement-naturel\">Référencement naturel</a></li>\n<li class=\"sitemap-item page_item page-item-973\"><a href=\"https://www.kook-agency.fr/video-marketing\">Vidéo marketing</a></li>\n<li class=\"sitemap-item page_item page-item-827\"><a href=\"https://www.kook-agency.fr/reseaux-sociaux\">Réseaux sociaux</a></li>\n<li class=\"sitemap-item page_item page-item-370\"><a href=\"https://www.kook-agency.fr/tarifs-site-internet-reseaux-sociaux\">Tarifs</a></li>\n<li class=\"sitemap-item page_item page-item-975\"><a href=\"https://www.kook-agency.fr/demande-contact\">Contact</a></li>\n<li class=\"sitemap-item page_item page-item-1431\"><a href=\"https://www.kook-agency.fr/partenaires\">Partenaires</a></li>\n<li class=\"sitemap-item page_item page-item-1432\"><a href=\"https://www.kook-agency.fr/mentions-legales\">Mentions légales</a></li>\n<li class=\"sitemap-item page_item page-item-1774\"><a href=\"https://www.kook-agency.fr/erreur-404-page-introuvable\">ERREUR 404 - PAGE INTROUVABLE</a></li>\n<li class=\"sitemap-item page_item page-item-1800\"><a href=\"https://www.kook-agency.fr/blog\">Blog</a></li>\n<li class=\"sitemap-item page_item page-item-1915\"><a href=\"https://www.kook-agency.fr/politique-de-confidentialite\">Politique de confidentialité</a></li>\n<li class=\"sitemap-item page_item page-item-2240\"><a href=\"https://www.kook-agency.fr/404-error-content-does-not-exist-anymore\">404 Error, content does not exist anymore</a></li>\n<li class=\"sitemap-item page_item page-item-3327\"><a href=\"https://www.kook-agency.fr/aides-digitalisation-restaurants\">Aides digitalisation des restaurants</a></li>\n</ul></div></div><br style=\"clear: both;\"></div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column --><div class=\"et_pb_column et_pb_column_1_2 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_2 et_animated  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><style type=\"text/css\">.simple-sitemap-container-60fc2038e31ab.tab-enabled .panel { border-top: 4px solid #de5737; } .simple-sitemap-container-60fc2038e31ab.tab-enabled input:checked + label { background-color: #de5737; } .simple-sitemap-container-60fc2038e31ab.tab-enabled input:checked + label > * { color: #ffffff; } .simple-sitemap-container-60fc2038e31ab.tab-enabled { max-width: ; }.simple-sitemap-container-60fc2038e31ab { margin: 1em 0 0 0; } </style><div class=\"simple-sitemap-container simple-sitemap-container-60fc2038e31ab tab-disabled\"><div class=\"simple-sitemap-wrap\"><ul class=\"simple-sitemap-post main\"><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/supprimer-avis-tripadvisor\">Supprimer un avis ou une note sur TripAdvisor, c’est possible ?</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/comment-utiliser-le-qr-code-dans-votre-restaurant\">Comment utiliser le QR code dans votre restaurant ?</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/comment-lutter-contre-les-avis-negatifs\">Comment lutter contre les avis négatifs ?</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/le-materiel-indispensable-pour-ouvrir-son-restaurant\">Le matériel indispensable pour ouvrir son restaurant</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/comment-augmenter-le-chiffre-daffaires-de-votre-restaurant-avec-votre-site-internet-et-votre-caisse-enregistreuse\">Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/la-visite-virtuelle-immersive-un-outil-marketing-pour-votre-restaurant\">La visite virtuelle immersive : un outil marketing pour votre restaurant</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/16-idees-marketing-pour-developper-votre-restaurant\">16 idées marketing pour développer votre restaurant </a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/sequiper-pour-la-vente-a-emporter-et-la-livraison\">S’équiper pour la vente à emporter et la livraison</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/les-micro-influenceurs-sur-instagram-source-de-trafic-dans-les-restaurants\">Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/15-idees-de-posts-pour-animer-la-page-facebook-de-son-restaurant\">15 idées de posts pour animer la page Facebook de son restaurant</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/propulser-son-restaurant-grace-au-click-and-collect\">Comment propulser son restaurant grâce aux solutions de livraison et de click-and-collect.</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/non-classe/le-click-collect-dans-son-restaurant-une-solution-pour-2021\">Le Click &#038; Collect dans son restaurant, une solution pour 2021 ?</a></li><li class=\"sitemap-item\"><a href=\"https://www.kook-agency.fr/blog/smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux\">Smiirl &#8211; un nouvel outil marketing pour booster vos réseaux sociaux</a></li></ul></div></div><br style=\"clear: both;\"></div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("10705", "62", "_et_pb_truncate_post_date", "2021-07-24 14:14:16");
INSERT INTO `wp_postmeta` VALUES("10706", "62", "et_enqueued_post_fonts", "a:3:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}s:9:\"cache_key\";s:72:\"{\"gph\":-1,\"divi\":\"4.21.0\",\"wp\":\"6.2.2\",\"enable_all_character_sets\":\"on\"}\";}");
INSERT INTO `wp_postmeta` VALUES("10707", "62", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("10708", "370", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10709", "370", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("10710", "370", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("10711", "370", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("10712", "370", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("10713", "370", "_et_builder_version", "VB|Divi|4.14.8");
INSERT INTO `wp_postmeta` VALUES("10714", "370", "_et_pb_custom_css", ".su-button-style-default span {\n    border-top-width: 0px !important;\n    border-bottom-width: 0px !important;\n}\n#column-tarif .et_pb_column {\n\n    border-bottom: 1px solid #efefef;\n}\n@media screen and (max-width:400px)\n{\n.et_pb_text_inner {\n    padding-right: 15px;\n}\n\nspan#paiement2, span#paiement1, span#paiement3, span#paiement4 {\n    font-size: 13px !important;\n}\n}");
INSERT INTO `wp_postmeta` VALUES("10715", "370", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("10716", "370", "_yoast_wpseo_post_image_cache", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10717", "370", "_metaseo_metatitle", "Tarifs : Création site web & réseaux sociaux pour restaurant");
INSERT INTO `wp_postmeta` VALUES("10718", "370", "_yoast_wpseo_title", "Tarifs : Création site web click & collect pour restaurant");
INSERT INTO `wp_postmeta` VALUES("10719", "370", "_metaseo_metadesc", "Découvrez les tarifs pour la création d\'un site web pour votre restaurant & les tarifs pour les réseaux sociaux pour votre restaurant");
INSERT INTO `wp_postmeta` VALUES("10720", "370", "_yoast_wpseo_metadesc", "Découvrez les tarifs pour la création d\'un site web pour votre restaurant, site web pour restaurant pas cher. Site internet pour restaurant click&collect");
INSERT INTO `wp_postmeta` VALUES("10721", "370", "_metaseo_metakeywords", "tarifs pour la création d\'un site web pour votre restaurant, site web pour restaurant pas cher. Site internet pour restaurant click&collect");
INSERT INTO `wp_postmeta` VALUES("10722", "370", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("10723", "370", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"370\" /]");
INSERT INTO `wp_postmeta` VALUES("10724", "370", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("10725", "370", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("10726", "370", "_metaseo_metaspecific_keywords", "tarifs,création site web,restaurant,click & collect");
INSERT INTO `wp_postmeta` VALUES("10727", "370", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("10728", "370", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("10729", "370", "et_enqueued_post_fonts", "a:3:{s:6:\"family\";a:1:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";}s:6:\"subset\";a:7:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";}s:9:\"cache_key\";s:72:\"{\"gph\":-1,\"divi\":\"4.21.0\",\"wp\":\"6.2.2\",\"enable_all_character_sets\":\"on\"}\";}");
INSERT INTO `wp_postmeta` VALUES("10730", "370", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("10731", "1432", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10732", "1432", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("10733", "1432", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("10734", "1432", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("10735", "1432", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("10736", "1432", "_et_builder_version", "BB|Divi|3.4.1");
INSERT INTO `wp_postmeta` VALUES("10737", "1432", "_et_pb_ab_stats_refresh_interval", "hourly");
INSERT INTO `wp_postmeta` VALUES("10738", "1432", "_et_pb_custom_css", "h3 {\r\n    margin-top: 20px;\r\n}");
INSERT INTO `wp_postmeta` VALUES("10739", "1432", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("10740", "1432", "_yoast_wpseo_post_image_cache", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10741", "1432", "_metaseo_metatitle", "mentions légales kook agency, agence web restaurant");
INSERT INTO `wp_postmeta` VALUES("10742", "1432", "_yoast_wpseo_title", "mentions légales kook agency, agence web restaurant");
INSERT INTO `wp_postmeta` VALUES("10743", "1432", "_metaseo_metadesc", "mentions légales kook agency, agence web restaurant");
INSERT INTO `wp_postmeta` VALUES("10744", "1432", "_yoast_wpseo_metadesc", "mentions légales kook agency, agence web restaurant");
INSERT INTO `wp_postmeta` VALUES("10745", "1432", "_metaseo_metakeywords", "Site internet restaurant");
INSERT INTO `wp_postmeta` VALUES("10746", "1432", "_et_pb_use_ab_testing", "off");
INSERT INTO `wp_postmeta` VALUES("10747", "1432", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_0 et_pb_with_background et_pb_fullwidth_section et_section_regular\" data-padding=\"||10%|\" >\n				\n				\n				\n				\n					<section class=\"et_pb_module et_pb_fullwidth_header et_pb_fullwidth_header_0 et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_fullwidth_header_container left\">\n					<div class=\"header-content-container center\">\n					<div class=\"header-content\">\n						\n						<h1 class=\"et_pb_module_header\">Mentions légales</h1>\n						\n						<div class=\"et_pb_header_content_wrapper\"></div>\n						\n					</div>\n				</div>\n					\n				</div>\n				<div class=\"et_pb_fullwidth_header_overlay\"></div>\n				<div class=\"et_pb_fullwidth_header_scroll\"></div>\n			</section>\n				\n				\n			</div> <!-- .et_pb_section --><div class=\"et_pb_section et_pb_section_1 et_pb_fullwidth_section et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_module et_pb_fullwidth_image et_pb_fullwidth_image_0\">\n				\n				\n				<img loading=\"lazy\" width=\"1950\" height=\"950\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif.jpg\" alt=\"\" title=\"\" srcset=\"https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif.jpg 1950w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-300x146.jpg 300w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-768x374.jpg 768w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-1024x499.jpg 1024w, https://www.kook-agency.fr/wp-content/uploads/2018/03/bg-kook-agency-tarif-1080x526.jpg 1080w\" sizes=\"(max-width: 1950px) 100vw, 1950px\" class=\"wp-image-557\" />\n			\n			</div>\n				\n				\n			</div> <!-- .et_pb_section --><div class=\"et_pb_section et_pb_section_2 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_0\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_0  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_0  et_pb_text_align_center et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><p>Mentions légales</p></div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row --><div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1 et_animated  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><p>Mise à jour : Mai 2018<br />\nMerci de lire avec attention les différentes modalités d’utilisation du présent site avant d’y parcourir ses pages. En vous connectant sur ce site, vous acceptez sans réserves les présentes modalités. Aussi, en vertu de l’article 6 de la loi n° 2004-575 du 21 juin 2004 pour la confiance dans l’économie numérique, il est précisé aux utilisateurs du site www.kook-agency.fr l’identité des différents intervenants dans le cadre de sa réalisation et de son suivi :</p>\n<p>PROPRIÉTAIRE DU SITE<br />\nKOOK AGENCY<br />\nAdresse : 66 avenue des Champs-Elysées<br />\n75008 PARIS &#8211; FRANCE<br />\nResponsable publication : Olivier VOGEL<br />\nemail : contact@kook-agency.fr</p></div>\n			</div> <!-- .et_pb_text --><div class=\"et_pb_module et_pb_divider_0 et_pb_space et_pb_divider_hidden\"><div class=\"et_pb_divider_internal\"></div></div><div class=\"et_pb_module et_pb_text et_pb_text_2 et_animated  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><p>1. CONDITIONS D’UTILISATION<br />\nL’utilisation du site www.kook-agency.fr implique l’acceptation pleine et entière des conditions générales d’utilisation ci-après décrites. Ces conditions d’utilisation sont susceptibles d’être modifiées ou complétées à tout moment, les utilisateurs du site www.kook-agency.fr sont donc invités à les consulter de manière régulière.<br />\nLe site www.kook-agency.fr est proposé en différents langages web (HTML, HTML5, Javascript, CSS, etc…) pour un meilleur confort d’utilisation et un graphisme plus agréable, nous vous recommandons de recourir à des navigateurs modernes comme Internet explorer, Safari, Firefox, Google Chrome, etc…<br />\nCe site est normalement accessible à tout moment aux utilisateurs. Une interruption pour raison de maintenance technique peut être toutefois décidée par son propriétaire, KOOK AGENCY, qui s’efforcera alors de communiquer préalablement aux utilisateurs les dates et heures de l’intervention.</p>\n<p>2. LIMITATION DE RESPONSABILITÉ<br />\nKOOK AGENCY ne pourra être tenue responsable des dommages directs et indirects causés au matériel de l’utilisateur, lors de l’accès au site www.kook-agency.fr, et résultant soit de l’utilisation d’un matériel ne répondant pas aux spécifications indiquées au point 4, soit de l’apparition d’un bug ou d’une incompatibilité.<br />\nKOOK AGENCY ne pourra également être tenue responsable des dommages indirects (tels par exemple qu’une perte de marché ou perte d’une chance) consécutifs à l’utilisation du site www.kook-agency.fr.<br />\nDes espaces interactifs (possibilité de poser des questions dans l’espace contact) sont à la disposition des utilisateurs. KOOK AGENCY se réserve le droit de supprimer, sans mise en demeure préalable, tout contenu déposé dans cet espace qui contreviendrait à la législation applicable en France, en particulier aux dispositions relatives à la protection des données. Le cas échéant, KOOK AGENCY se réserve également la possibilité de mettre en cause la responsabilité civile et/ou pénale de l’utilisateur, notamment en cas de message à caractère raciste, injurieux, diffamant, ou pornographique, quel que soit le support utilisé (texte, photographie…).<br />\nTout contenu téléchargé se fait aux risques et périls de l’utilisateur et sous sa seule responsabilité. En conséquence, Mme VOGEL Olivier ne saurait être tenu responsable d’un quelconque dommage subi par l’ordinateur de l’utilisateur ou d’une quelconque perte de données consécutives au téléchargement. De plus, l’utilisateur du site s’engage à accéder au site en utilisant un matériel récent, ne contenant pas de virus et avec un navigateur de dernière génération mis-à-jour.</p>\n<p>4. DONNÉES PERSONNELLES<br />\nEn application de la Loi n° 78-17 du 6 janvier 1978, notamment modifiée par la loi n° 2004-801 du 6 août 2004 relative à l’informatique, aux fichiers et aux libertés, les internautes disposent d’un droit d’accès, de rectification, de modification et de suppression concernant les données qui les concernent personnellement. Consultez notre politique de confidentialité pour connaître la démarche à suivre.<br />\nDe manière générale, vous n’êtes pas tenu de nous communiquer vos données personnelles lorsque vous visitez notre site Internet www.kook-agency.fr.<br />\nCependant, ce principe comporte certaines exceptions. En effet, pour certains services proposés par notre site, vous pouvez être amenés à nous communiquer certaines données telles que : votre nom, votre adresse électronique, et votre numéro de téléphone. Tel est le cas lorsque vous remplissez le formulaire qui vous est proposé en ligne, dans la rubrique « contact ». Dans tous les cas, vous pouvez refuser de fournir vos données personnelles. Dans ce cas, vous ne pourrez pas utiliser les services du site, notamment celui de solliciter des renseignements sur notre offre.<br />\nEnfin, nous pouvons collecter de manière automatique certaines informations vous concernant lors d’une simple navigation sur notre site Internet, notamment : des informations concernant l’utilisation de notre site, comme les zones que vous visitez et les services auxquels vous accédez, votre adresse IP, le type de votre navigateur, vos temps d’accès. De telles informations sont utilisées exclusivement à des fins de statistiques internes, de manière à améliorer la qualité des services qui vous sont proposés. Les bases de données sont protégées par les dispositions de la loi du 1er juillet 1998 transposant la directive 96/9 du 11 mars 1996 relative à la protection juridique des bases de données.</p>\n<p>5. LIENS HYPERTEXTES<br />\nLe site www.kook-agency.fr contient un certain nombre de liens hypertextes vers d’autres sites, mis en place avec l’autorisation de KOOK AGENCY. Cependant, KOOK AGENCY n’a pas la possibilité de vérifier le contenu des sites ainsi visités, et n’assumera en conséquence aucune responsabilité de ce fait.<br />\nLes utilisateurs, les abonnés et les visiteurs des sites internet de ne peuvent mettre en place un hyperlien en direction de ce site sans l’autorisation expresse et préalable de KOOK AGENCY.<br />\nDans l’hypothèse où un utilisateur ou visiteur souhaiterait mettre en place un hyperlien en direction du site www.kook-agency.fr, il lui appartiendra d’adresser un email accessible sur le site afin de formuler sa demande de mise en place d’un hyperlien. KOOK AGENCY se réserve le droit d’accepter ou de refuser un hyperlien sans avoir à en justifier sa décision.<br />\nLes liens hypertextes mis en place dans le cadre du présent site internet en direction d’autres ressources présentes sur le réseau Internet ne sauraient engager la responsabilité de KOOK AGENCY.</p>\n<p>6. COOKIES<br />\n6.1. INFORMATIONS SUR LES COOKIES<br />\nPour des besoins de statistiques et d’affichage, le présent site utilise des cookies. Il s’agit de petits fichiers textes stockés sur votre disque dur afin d’enregistrer des données techniques sur votre navigation. Certaines parties de ce site ne peuvent être fonctionnelle sans l’acceptation de cookies.</p>\n<p>6.2. FINALITÉ DES COOKIES UTILISÉS<br />\nNous utilisons des cookies de la part des services suivants : Google Analytics, Smartlook, Mautic. Les données et statistiques que nous collectons au moyen de ces cookies sont utilisées dans le seul et unique but d’améliorer la qualité de nos services.<br />\nGoogle Analytics : est utilisé de façon anonyme afin d’améliorer l’expérience utilisateur sur notre site web et vous offrir une navigation intuitive. Ces données ne sont pas communiquées à quelque tiers que ce soit.</p>\n<p>6.3. VOS CHOIX CONCERNANT LES COOKIES<br />\nVous pouvez faire le choix à tout moment d’exprimer et de modifier vos souhaits en matière de cookies, par les moyens décrits ci-dessous.<br />\nVous pouvez configurer votre logiciel de navigation de manière à ce que des cookies soient enregistrés dans votre terminal ou, au contraire, qu’ils soient rejetés, soit systématiquement, soit selon leur émetteur. Vous pouvez également configurer votre logiciel de navigation de manière à ce que l’acceptation ou le refus des cookies vous soient proposés ponctuellement, avant qu’un cookie soit susceptible d’être enregistré dans votre terminal. Pour plus d’informations, consultez la rubrique “Comment exercer vos choix, selon le navigateur que vous utilisez ?”</p>\n<p>6.3.1. ACCEPTATION DES COOKIES<br />\nL’enregistrement d’un cookie dans un terminal est subordonné à la volonté de son utilisateur, exprimée et modifiée à tout moment gratuitement à travers les choix proposés par son logiciel de navigation. Si vous avez accepté dans votre logiciel de navigation l’enregistrement de cookies dans votre terminal, les cookies intégrés dans les pages et contenus que vous avez consultés pourront être stockés temporairement dans un espace dédié de votre terminal. Ils y seront lisibles uniquement par leur émetteur.</p>\n<p>6.3.2. REFUS DES COOKIES<br />\nSi vous refusez l’enregistrement de cookies dans votre terminal, ou si vous supprimez ceux qui y sont enregistrés, vous pourrez éventuellement ne plus bénéficier d’un certain nombre de fonctionnalités. Tel serait également le cas lorsque nous -ou nos prestataires- ne pourrions pas reconnaître, à des fins de compatibilité technique, le type de navigateur utilisé par votre terminal, ses paramètres de langue et d’affichage ou le pays depuis lequel votre terminal semble connecté à Internet. Le cas échéant, nous déclinons toute responsabilité pour les conséquences liées au fonctionnement dégradé de nos services résultant de l’impossibilité d’enregistrer ou de consulter les cookies nécessaires à leur fonctionnement et que vous auriez refusés ou supprimés.</p>\n<p>6.3.3. COMMENT EXERCER VOS CHOIX SELON LE NAVIGATEUR QUE VOUS UTILISEZ ?<br />\nPour la gestion des cookies et de vos choix, la configuration de chaque navigateur est différente. Elle est décrite dans le menu d’aide de votre navigateur, qui vous permettra de savoir de quelle manière modifier vos souhaits en matière de cookies.<br />\nNous vous invitons à cliquer sur le nom de votre navigateur pour accéder au menu d’aide correspondant :</p>\n<p> 	Pour Internet Explorer™<br />\n 	Pour Safari™<br />\n 	Pour Chrome™<br />\n 	Pour Firefox™<br />\n 	Pour Opera™</p>\n<p>Vous pouvez également paramétrer votre navigateur afin que celui-ci envoie un code indiquant aux sites Web que vous ne souhaitez pas être suivis. (option « Do No Track »).<br />\nNous vous invitons à cliquer sur le nom de votre navigateur pour accéder au menu d’aide correspondant :</p>\n<p> 	Internet Explorer™ ;<br />\n 	Safari™ ;<br />\n 	Chrome™ ;<br />\n 	Firefox™ ;<br />\n 	Opera™.</p>\n<p>7. PROPRIÉTÉ INTELLECTUELLE ET CONTREFAÇONS<br />\nKOOK AGENCY est propriétaire des droits de propriété intellectuelle ou détient les droits d’usage sur tous les éléments accessibles sur le site, notamment les textes, images, graphismes, logo, icônes, sons, logiciels. Tout le contenu du présent sur le site www.kook-agency.fr, incluant, de façon non limitative, les graphismes, images, textes, vidéos, animations, sons, logos, gifs et icônes ainsi que leur mise en forme sont la propriété exclusive de la société à l’exception des marques, logos ou contenus appartenant à d’autres sociétés partenaires ou auteurs.<br />\nToute reproduction, représentation, modification, publication, adaptation de tout ou partie des éléments du site, quel que soit le moyen ou le procédé utilisé, est interdite, sauf autorisation écrite préalable de : KOOK AGENCY. Cette représentation ou reproduction, par quelque procédé que ce soit, constitue une contrefaçon sanctionnée par les articles L.335-2 et suivants du Code de la propriété intellectuelle. Le non-respect de cette interdiction constitue une contrefaçon pouvant engager la responsabilité civile et pénale du contrefacteur. En outre, les propriétaires des Contenus copiés pourraient intenter une action en justice à votre encontre.<br />\nToute exploitation non autorisée du site ou de l’un quelconque des éléments qu’il contient sera considérée comme constitutive d’une contrefaçon et poursuivie conformément aux dispositions des articles L.335-2 et suivants du Code de Propriété Intellectuelle. L’ensemble du contenu présent sur le site est protégé par les droits de propriété intellectuelle et notamment par le droit d’auteur dans le monde entier et pour la durée des droits telle qu’elle résulte des dispositions légales existantes et/ou des prolongations à intervenir. Toute reproduction, représentation, adaptation, modification et/ou utilisation hors de la sphère privée est strictement interdit.</p>\n<p>8. DÉCLARATION À LA CNIL<br />\nConformément à la loi 78-17 du 6 janvier 1978 (modifiée par la loi 2004-801 du 6 août 2004 relative à la protection des personnes physiques à l’égard des traitements de données à caractère personnel) relative à l’informatique, aux fichiers et aux libertés, ce site n’a pas fait l’objet d’une déclaration auprès de la Commission nationale de l’informatique et des libertés (www.cnil.fr).</p>\n<p>9. LITIGES<br />\nLes présentes conditions du site www.kook-agency.fr sont régies par les lois françaises et toute contestation ou litiges qui pourraient naître de l’interprétation ou de l’exécution de celles-ci seront de la compétence exclusive des tribunaux dont dépend le siège social de la société. La langue de référence, pour le règlement de contentieux éventuels, est le français.</p>\n<p>10. CONTACTEZ-NOUS<br />\nKOOK AGENCY est à votre disposition pour tous vos commentaires ou suggestions. Vous pouvez nous écrire en français par courrier électronique à : contact@kook-agency&nbsp;.fr</p></div>\n			</div> <!-- .et_pb_text -->\n			</div> <!-- .et_pb_column -->\n				\n				\n			</div> <!-- .et_pb_row -->\n				\n				\n			</div> <!-- .et_pb_section -->\n");
INSERT INTO `wp_postmeta` VALUES("10748", "1432", "_et_pb_truncate_post_date", "2021-07-22 12:07:05");
INSERT INTO `wp_postmeta` VALUES("10749", "1432", "_wxr_import_has_attachment_refs", "1");
INSERT INTO `wp_postmeta` VALUES("10766", "4809", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10767", "4809", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("10768", "4809", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("10769", "4809", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("10770", "4809", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("10771", "4809", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("10772", "4809", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("10773", "4809", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_pb_section_parallax et_pb_with_background et_pb_fullwidth_section et_section_regular\" >\n				\n				<div class=\"et_parallax_bg_wrap\"><div\n						class=\"et_parallax_bg\"\n						style=\"background-image: url(https://www.kook-agency.fr/wp-content/uploads/2022/02/Sans-titre-2022-02-26T150943.854.png);\"\n					></div></div>\n				\n				\n					<section class=\"et_pb_module et_pb_fullwidth_header et_pb_fullwidth_header_0 et_hover_enabled et_pb_text_align_left et_pb_bg_layout_dark\">\n				\n				\n				<div class=\"et_pb_fullwidth_header_container left\">\n					<div class=\"header-content-container center\">\n					<div class=\"header-content\">\n						\n						<h1 class=\"et_pb_module_header\">Vous êtes influenceur(se) ou micro-influenceur(se) ?</h1>\n						<span class=\"et_pb_fullwidth_header_subhead\">Collaborer avec nous</span>\n						<div class=\"et_pb_header_content_wrapper\"></div>\n						\n					</div>\n				</div>\n					\n				</div>\n				<div class=\"et_pb_fullwidth_header_overlay\"></div>\n				<div class=\"et_pb_fullwidth_header_scroll\"></div>\n			</section>\n				\n				\n			</div><div class=\"et_pb_section et_pb_section_2 et_section_regular\" >\n				\n				\n				\n				\n					<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				<div class=\"et_pb_text_inner\"><div class=\"forminator-ui forminator-custom-form forminator-custom-form-4676 forminator-design--material  forminator_ajax\" data-forminator-render=\"0\" data-form=\"forminator-module-4676\"><br/></div><form\r\n				id=\"forminator-module-4676\"\r\n				class=\"forminator-ui forminator-custom-form forminator-custom-form-4676 forminator-design--material  forminator_ajax\"\r\n				method=\"post\"\r\n				data-forminator-render=\"0\"\r\n				data-form-id=\"4676\"\r\n				\r\n				data-design=\"material\"\r\n				\r\n				\r\n				\r\n				data-grid=\"open\"\r\n				\r\n				\r\n				style=\"display: none;\"\r\n			><div class=\"forminator-response-message forminator-error\" aria-hidden=\"true\"></div><div class=\"forminator-row\"><div id=\"html-2\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-field forminator-merge-tags\"><p><strong>Remplissez ce formulaire pour tester de nouveaux restaurant !</strong></p></div></div></div><div class=\"forminator-row\"><div id=\"name-1\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-field\"><label for=\"forminator-field-name-1\" class=\"forminator-label\">Votre Nom : <span class=\"forminator-required\">*</span></label><input type=\"text\" name=\"name-1\" value=\"\" placeholder=\"\" id=\"forminator-field-name-1\" class=\"forminator-input forminator-name--field\" aria-required=\"true\" /></div></div></div><div class=\"forminator-row\"><div id=\"text-1\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-field\"><label for=\"forminator-field-text-1\" class=\"forminator-label\">Votre compte Instagram : <span class=\"forminator-required\">*</span></label><input type=\"text\" name=\"text-1\" value=\"\" placeholder=\"\" id=\"forminator-field-text-1\" class=\"forminator-input forminator-name--field\" data-required=\"1\" /></div></div></div><div class=\"forminator-row\"><div id=\"address-1\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-row\" data-multiple=\"false\"><div class=\"forminator-col forminator-col-12\"><div class=\"forminator-field\"><label for=\"forminator-field-cityaddress-1\" class=\"forminator-label\">Ville <span class=\"forminator-required\">*</span></label><input type=\"text\" name=\"address-1-city\" placeholder=\"Par exemple : Paris\" id=\"forminator-field-cityaddress-1\" class=\"forminator-input\" data-required=\"1\" aria-required=\"true\" value=\"\" /></div></div></div></div></div><div class=\"forminator-row\"><div id=\"email-1\" class=\"forminator-col forminator-col-6 \"><div class=\"forminator-field\"><label for=\"forminator-field-email-1\" class=\"forminator-label\">Votre adresse e-mail : <span class=\"forminator-required\">*</span></label><input type=\"email\" name=\"email-1\" value=\"\" placeholder=\"\" id=\"forminator-field-email-1\" class=\"forminator-input forminator-email--field\" data-required=\"1\" aria-required=\"true\" /></div></div><div id=\"phone-1\" class=\"forminator-col forminator-col-6 \"><div class=\"forminator-field\"><label for=\"forminator-field-phone-1\" class=\"forminator-label\">Téléphone :</label><input type=\"text\" name=\"phone-1\" value=\"\" placeholder=\"\" id=\"forminator-field-phone-1\" class=\"forminator-input forminator-field--phone\" data-required=\"\" aria-required=\"false\" autocomplete=\"off\" /></div></div></div><div class=\"forminator-row\"><div id=\"number-1\" class=\"forminator-col forminator-col-6 \"><div class=\"forminator-field\"><label for=\"forminator-field-number-1\" class=\"forminator-label\">Nombre moyen de likes :</label><input name=\"number-1\" value=\"\" placeholder=\"\" id=\"forminator-field-number-1\" class=\"forminator-input forminator-number--field\" inputmode=\"decimal\" data-required=\"\" data-decimals=\"0\" aria-required=\"false\" data-inputmask=\"\'groupSeparator\': \'\', \'radixPoint\': \'\', \'digits\': \'0\'\" type=\"number\" /></div></div><div id=\"text-2\" class=\"forminator-col forminator-col-6 \"><div class=\"forminator-field\"><label for=\"forminator-field-text-2\" class=\"forminator-label\">Votre taux d&#039;engagement :</label><input type=\"text\" name=\"text-2\" value=\"\" placeholder=\"\" id=\"forminator-field-text-2\" class=\"forminator-input forminator-name--field\" data-required=\"\" /></div></div></div><div class=\"forminator-row\"><div id=\"text-3\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-field\"><label for=\"forminator-field-text-3\" class=\"forminator-label\">Votre univers :</label><input type=\"text\" name=\"text-3\" value=\"\" placeholder=\"(exemple : Food, Lifstyle, Mode...)\" id=\"forminator-field-text-3\" class=\"forminator-input forminator-name--field\" data-required=\"\" /></div></div></div><div class=\"forminator-row\"><div id=\"consent-1\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-field\"><div class=\"forminator-checkbox__wrapper\"><label for=\"forminator-field-consent-1-621ea7153b85b\" class=\"forminator-checkbox\" style=\"margin: 0;\" aria-labelledby=\"forminator-field-consent-1-621ea7153b85b__label\"><input type=\"checkbox\" name=\"consent-1\" value=\"checked\" id=\"forminator-field-consent-1-621ea7153b85b\" data-required=\"true\" aria-required=\"true\" /><span class=\"forminator-checkbox-box\" aria-hidden=\"true\"></span></label><div id=\"forminator-field-consent-1-621ea7153b85b__label\" class=\"forminator-checkbox__label\"><p>Oui, J’accepte <a href=\"https://www.kook-agency.fr/politique-de-confidentialite\" target=\"_blank\" rel=\"noopener\">la politique de confidentialité</a>. Je suis informé que mes données ne seront utilisées que par www.kook-agency.fr et ne seront en aucun cas transmis à des tiers. Et j\'autorise le propriétaire du site  www.kook-agency.fr à me contacter pour répondre à ma demande.</p>\n<p style=\"font-size: 14px;font-style: italic\">En cochant cette case, j\'accepte que mes données personnelles soient utilisées par Kook Agency</p></div></div></div></div></div><div class=\"forminator-row\"><div id=\"captcha-1\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-g-recaptcha\" data-theme=\"light\"  data-sitekey=\"6LexG2IUAAAAAOz2gURWTsuUO2SjvSsjR3ssvdMq\" data-size=\"normal\"></div> </div></div><div class=\"forminator-row\"><div id=\"html-1\" class=\"forminator-col forminator-col-12 \"><div class=\"forminator-field forminator-merge-tags\">(* champ obligatoire)</div></div></div><input type=\"hidden\" name=\"referer_url\" value=\"\" /><div class=\"forminator-row forminator-row-last\"><div class=\"forminator-col\"><div class=\"forminator-field\"><button class=\"forminator-button forminator-button-submit\"><span>ENVOYER</span><span aria-hidden=\"true\"></span></button></div></div></div><input type=\"hidden\" id=\"forminator_nonce\" name=\"forminator_nonce\" value=\"092d6b94e8\" /><input type=\"hidden\" name=\"_wp_http_referer\" value=\"/?s=\" /><input type=\"hidden\" name=\"form_id\" value=\"4676\"><input type=\"hidden\" name=\"page_id\" value=\"4809\"><input type=\"hidden\" name=\"form_type\" value=\"default\"><input type=\"hidden\" name=\"current_url\" value=\"https://www.kook-agency.fr/?s=\"><input type=\"hidden\" name=\"render_id\" value=\"0\"><input type=\"hidden\" name=\"action\" value=\"forminator_submit_form_custom-forms\"></form></div>\n			</div>\n			</div>\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("10774", "4809", "_et_pb_truncate_post_date", "2022-03-01 23:07:01");
INSERT INTO `wp_postmeta` VALUES("10775", "4809", "_metaseo_metatitle", "Vous êtes influenceur(se) ou micro-influenceur(se) ?");
INSERT INTO `wp_postmeta` VALUES("10776", "4809", "wp_metaseo_seoscore", "58");
INSERT INTO `wp_postmeta` VALUES("10777", "4809", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("10778", "4809", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"4809\" /]");
INSERT INTO `wp_postmeta` VALUES("10779", "4809", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("10780", "4809", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("10781", "4809", "_et_builder_version", "VB|Divi|4.14.1");
INSERT INTO `wp_postmeta` VALUES("10782", "4809", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("10783", "4809", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:3:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";s:13:\"et-gf-poppins\";s:134:\"Poppins:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic\";s:13:\"et-gf-raleway\";s:134:\"Raleway:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic\";}s:6:\"subset\";a:8:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";i:7;s:10:\"devanagari\";}}");
INSERT INTO `wp_postmeta` VALUES("10784", "5104", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10785", "5104", "slide_template", "default");
INSERT INTO `wp_postmeta` VALUES("10786", "5104", "rs_page_bg_color", "#ffffff");
INSERT INTO `wp_postmeta` VALUES("10787", "5104", "_et_pb_post_hide_nav", "default");
INSERT INTO `wp_postmeta` VALUES("10788", "5104", "_et_pb_page_layout", "et_right_sidebar");
INSERT INTO `wp_postmeta` VALUES("10789", "5104", "_et_pb_side_nav", "off");
INSERT INTO `wp_postmeta` VALUES("10790", "5104", "_et_pb_use_builder", "on");
INSERT INTO `wp_postmeta` VALUES("10791", "5104", "_et_pb_truncate_post", "<div class=\"et_pb_section et_pb_section_1 et_pb_section_parallax et_pb_with_background et_pb_fullwidth_section et_section_regular\" >\n				\n				<span class=\"et_parallax_bg_wrap\"><span\n						class=\"et_parallax_bg\"\n						style=\"background-image: url(https://www.kook-agency.fr/wp-content/uploads/2022/02/law-firm-26.jpg);\"\n					></span></span>\n				\n				\n				\n				\n				<section class=\"et_pb_module et_pb_fullwidth_header et_pb_fullwidth_header_0 et_hover_enabled et_pb_text_align_left et_pb_bg_layout_dark\">\n				\n				\n				\n				\n				<div class=\"et_pb_fullwidth_header_container left\">\n					<div class=\"header-content-container center\">\n					<div class=\"header-content\">\n						\n						<h1 class=\"et_pb_module_header\">Conditions Générales de Service</h1>\n						<span class=\"et_pb_fullwidth_header_subhead\">KOOK AGENCY</span>\n						<div class=\"et_pb_header_content_wrapper\"></div>\n						\n					</div>\n				</div>\n					\n				</div>\n				<div class=\"et_pb_fullwidth_header_overlay\"></div>\n				<div class=\"et_pb_fullwidth_header_scroll\"></div>\n			</section>\n				\n				\n			</div><div class=\"et_pb_section et_pb_section_2 et_section_regular\" >\n				\n				\n				\n				\n				\n				\n				<div class=\"et_pb_row et_pb_row_1\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_1  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_text et_pb_text_1  et_pb_text_align_left et_pb_bg_layout_light\">\n				\n				\n				\n				\n				<div class=\"et_pb_text_inner\">L’accès et l’utilisation du site Internet accessible à l’adresse suivante : https://www.kook-agency.fr (ci-après dénommé le « Site ») de la société KOOK AGENCY-  SAS AGENCE HASHTAG (ci-après dénommée le « Responsable du Site ») et des services qui y sont proposés sont soumis au respect des présentes Conditions Générales de Service (ci-après dénommées les « CGS »).</p>\n<p>Le Responsable du Site exerce une activité de création et d’animation de réseaux web, au profit de sociétés souhaitant se faire connaître ou accroître leur visibilité commerciale par le biais de différents outils et plus spécialement internet et les réseaux sociaux et communautaires. À ce titre, le Responsable du Site revendique une compétence dans la mise en œuvre d’actions spécifiques afin d’optimiser la communication professionnelle du Client.</p>\n<p>Le Client a souhaité se rapprocher du Responsable du Site afin d’envisager l’animation et l’organisation d’une communication ciblée et particulière adossée aux supports définis par le Devis.</p>\n<p>Le Client a ainsi confié au Responsable du Site le soin de réaliser et de fournir, en vue de son intégration sur l’outil défini au Devis, des contenus identifiés au sein du Devis, ou dans un descriptif préalable valant Procès-verbal de discussion entre le Responsable du Site et le Client.</p>\n<p>Après avoir pris connaissance des spécificités et attentes et contraintes éditoriales du Client, le Responsable du Site a déclaré disposer de l&#8217;organisation, des compétences, des moyens et des ressources lui permettant de réaliser et fournir les Services, et notamment le Contenu et ses Mises à jour conformément aux présentes CGS. </div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div><div class=\"et_pb_row et_pb_row_2\">\n				<div class=\"et_pb_column et_pb_column_4_4 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough et-last-child\">\n				\n				\n				\n				\n				<div class=\"et_pb_module et_pb_accordion et_pb_accordion_0 onglCgs\">\n				\n				\n				\n				\n				<div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_0  et_pb_toggle_open\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">1)	ACCEPTATION</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Tout accès au Site et/ou utilisation du Site par le Client suppose l’acceptation inconditionnelle et sans réserve et le respect de l’ensemble des termes des présentes CGS. Elles constituent un contrat entre le Responsable du Site et le Client. </p>\n<p>Le Responsable du Site se réserve la possibilité de faire évoluer à tout moment le Site ainsi que les présentes Conditions Générales de Service, ou encore de modifier ou compléter celles-ci par de nouvelles conditions contractuelles complémentaires. Le Client sera informé par tous moyens de toute modification des présentes CGS.<br />\nLes CGS applicables sont celles en ligne sur le Site et en vigueur à la date de Commande passée par le Client.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_1  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">2)	DÉFINITIONS</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Au sens des présentes CGS, les termes et/ou expressions mentionnées ci-dessous auront la signification suivante, à savoir :<br />\n«&nbsp;Anomalie&nbsp;» : désigne toute différence entre le fonctionnement constaté d’un Développement spécifique et le fonctionnement décrit dans l’expression de besoin du Client, dès lors que cette différence est exclusivement imputable au Responsable du Site.<br />\n« Anomalie Bloquante » désigne toute Anomalie rendant impossible l’utilisation de tout ou partie des Développements spécifiques.<br />\n« Anomalie Semi‐Bloquante » désigne toute Anomalie ne permettant l’utilisation des Développements spécifiques que pour partie.<br />\n« Anomalie Non Bloquante » désigne toute Anomalie permettant de poursuivre l’exploitation complète desDéveloppements spécifiques, même si cela se fait au moyen d’une procédure inhabituelle, mise en œuvre par le Client lui‐même.<br />\n«&nbsp;Client&nbsp;»&nbsp;: désigne la personne morale qui effectue une Commande&nbsp;sur le Site ;<br />\n«&nbsp;Commande&nbsp;»&nbsp;: désigne l’achat de Service(s) effectué sur le Site par le Client après acceptation sans réserve des CGS et qui constitue une vente ferme et définitive&nbsp;;<br />\n«&nbsp;Contenu&nbsp;»&nbsp;: désigne l’ensemble des éléments d’information pouvant être décrits dans une annexe, dans un Procès-verbal de discussion ou directement dans un Devis, entre le Responsable du Site et le Client et comprenant notamment des articles rédactionnels, textes, photos, dessins, graphiques, tableaux, titres, informations et données de toute sorte, et les mises à jour de ces éléments&nbsp;;<br />\n«&nbsp;Contrat&nbsp;»&nbsp;: désigne le contrat résultant de l’acceptation des présentes CGS et du choix des Services par le Client, matérialisé par la signature électronique du Client lors de la Commande&nbsp;;<br />\n«&nbsp;Devis&nbsp;»&nbsp;: désigne la proposition commerciale formulée par le Responsable du Site en fonction des besoins exprimés par le Client&nbsp;;<br />\n«&nbsp;Développement spécifique&nbsp;»: désigne le programme informatique, en code source et en code objet, destiné à mettre en œuvre les Services&nbsp;;<br />\n«&nbsp;Mise à jour&nbsp;»&nbsp;: désigne tout complément, modification, adaptation d’un contenu existant, à l’exception des refontes complètes de ce contenu&nbsp;;<br />\n«&nbsp;Responsable du site&nbsp;»&nbsp;: désigne la société KOOK AGENCY-&nbsp; SAS AGENCE HASHTAG&nbsp;;<br />\n«&nbsp;Procès-verbal de discussion&nbsp;»&nbsp;: désigne les documents définissant notamment les contraintes techniques relatives au Contenu, en ce compris les supports et les spécifications techniques des formats de fourniture et de transmission, les fréquences et les modalités de livraison des Contenus et Mises à jour&nbsp;;<br />\n«&nbsp;Service(s)&nbsp;»désigne les services commercialisés par la société KOOK AGENCY-&nbsp; SAS AGENCE HASHTAG, et notamment les services d’animation des réseaux sociaux et sites web identifiés d’un commun accord avec le Client, ainsi que la fourniture du Contenu et des Mises à jour sur ces sites web, la gestion de leur référencement naturel et des campagnes publicitaires, pouvant comprendre également des prestations de shootings photo et vidéo dans les locaux du Client&nbsp;;<br />\n«&nbsp;Site&nbsp;»&nbsp;: désigne le site Internet de la société KOOK AGENCY-&nbsp; SAS AGENCE HASHTAG accessible à l’adresse url&nbsp;: https://www.kook-agency.fr.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_2  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">3)	DOCUMENTS CONTRACTUELS</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Les documents contractuels sont dans l’ordre de priorité décroissant :</p>\n<p>Les Devis acceptés du client,<br />\nLe contrat résultant des présentes CGS, ses avenants, tout Procès-verbal de discussion co-signé des parties,<br />\nLes annexes aux documents ci-avant mentionnés.</p>\n<p>En cas de contradiction entre une ou plusieurs stipulations figurant dans l’un quelconque de ces différents documents, le document de niveau supérieur prévaudra.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_3  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">4)	OBJET</h5>\n				<div class=\"et_pb_toggle_content clearfix\">La société KOOK AGENCY-&nbsp; SAS AGENCE HASHTAG, Responsable du Site, est spécialisée dans l’accompagnement de ses Clients dans la mise en œuvre de leur stratégie digitale, et notamment le développement de sites web et d’applications mobiles, la création de site vitrine et e-commerce, le référencement naturel ou encore le community management.<br />\nLe Site permet donc aux Clients d’effectuer des Commandes de Services relatifs à ces activités.<br />\nLes présentes CGS établissent les conditions contractuelles exclusivement applicables à toute Commande effectuée sur le Site par un Client.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_4  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">5)	SERVICES</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le Responsable du Site présente au Client les caractéristiques essentielles des Services fournis via le Site, que le Client est invité à lire attentivement.<br />\nLes Services peuvent être réalisés par le Responsable du Site dans tout le territoire de l’Union européenne.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_5  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">6)	COMMANDE</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le Client peut effectuer des Commandes sur le Site en contactant au préalable le Responsable du Site par téléphone au 04 94 03 92 28, par mail en écrivant à l’adresse contact@kook-agency.fr.<br />\nPour passer Commande, le Client, après avoir indiqué le(s) Service(s) souhaité(s) et repris dans le Devis, et avoir obtenu les caractéristiques essentielles de ces services par le Responsable du Site, doit ensuite valider la conclusion du Contrat en le signant par la voie de la signature électronique, et fournir les informations relatives au moyen de paiement du ou des Service(s).<br />\nAvant de signer le Contrat par voie électronique, le Client peut vérifier le détail de sa commande et son prix total,et revenir aux pages précédentes pour corriger d’éventuelles erreurs ou modifier sa Commande.<br />\nLa Commande n’est définitivement enregistrée qu’après validation par le Client de son accord de paiement et acceptation par la banque de la transaction.<br />\nDès que sa Commande est enregistrée, le Client reçoit un courrier électronique de confirmation reprenant les éléments essentiels de sa Commande.<br />\nL’ensemble des données fournies par le Client lors du processus de Commande et la confirmation enregistrée de cette Commande valent preuve de la transaction.<br />\nLa confirmation de la Commande entraîne acceptation des CGS et forme le Contrat.<br />\nLa Commande effectuée par le Client ne l’engage que pour les Services contenus dans le Contrat, le Responsable du Site n’en déduit aucun engagement supplémentaire de la part du Client.<br />\nLe Responsable du Site décline toute responsabilité en cas de non-validation de la Commande, sans recours possible de la part du Client.</p>\n<p> Modification de commande</p>\n<p>Toute modification ou annulation de Commande par le Client après confirmation de sa Commande est soumise à l’acceptation du Responsable du Site.<br />\nToute modification de Commande par le Responsable du Site après confirmation de la Commande est soumise à l’acceptation du Client.</p>\n<p> Validation de la Commande</p>\n<p>Le Responsable du Site se réserve le droit de refuser toute Commande pour des motifs légitimes et plus particulièrement s’il a un doute légitime quant à la capacité à contracterdu Client.<br />\nToute Commande passée après le 15 du mois ne pourra effectivement débuter qu’à compter du 1er du mois suivant et après validation de la première livraison d’un Contenu ou d’une Mise à jour par le Client.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_6  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">7)	PAIEMENT</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le paiement s’effectue immédiatement dès la confirmation de la Commande par prélèvement bancaire, ou dans des circonstances exceptionnelles tenant à la situation particulière du Client, par virement bancaire.<br />\nEn cas de refus du paiement par la banque, le compte du Client n’étant pas débité, le Responsable du Site adresse un message électronique au Client lui demandant de mettre à jour ses informations bancaires. Ceci peut se produire par exemple si le compte du Client n’est pas suffisamment approvisionné.<br />\nEn attendant de recevoir ses coordonnées de paiement mises à jour, la Commande du Client est suspendue. Dès mise à jour effective des coordonnées de paiement, le Responsable du Site soumet à nouveau le règlement à la banque du Client. Une fois le paiement validé, le Client reçoit un message électronique confirmant que sa Commande est bien prise en compte.<br />\nToutefois, en raison des caractéristiques des Services fournis par le Responsable du Site, la facturation du prix des Services sera réalisée par périodicité trimestrielle, au titre d’un paiement à échoir pour les Services devant être effectués dans la période de trois mois suivant la réception de la facture par le Client.<br />\nToute retard dans le paiement du prix des Services en cours de Contrat donne lieu à une indemnité due au Responsable du Site par le Client, dont le montant correspond à 10 % du prix total des Services faisant l’objet de la Commande.<br />\nA défaut de paiement avant la prochaine facturation trimestrielle du Client émise par le Responsable du Site, ce dernier sera en droit de suspendre tout ou partie des Services fournis au Client dans le cadre du Contrat.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_7  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">8)	PRIX</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le prix des Services est celui en vigueur au jour de la confirmation de la Commande, tel qu’indiqué au sein du Devis.<br />\nLe prix des Servicesest indiqué en euros Toutes Taxes Comprises au sein du Contrat.<br />\nToutes les Commandes, quelle que soit leur pays d’origine, sont payables en euros.<br />\nLe prix des Services est exigible en totalité après la confirmation de la Commande par le Client.<br />\nLe Responsable du Site se réserve le droit de modifier ces prix à tout moment. Toutefois, les Services seront facturés sur la base des tarifs en vigueur au moment de la confirmation des Commandes, sous réserve de la disponibilité des Services.<br />\nPar défaut, le prix des Services est révisé par le Responsable du Site le 1er janvier de chaque année civile. Néanmoins la facturation du Client ne pourra être modifiée qu’à l’issue de la première période contractuelle telle que prévue au Devis.<br />\nLe Responsable du Site pourra appliquer une formule de révision qui sera calculée pour la prestation concernée, sur la base de la formule suivante :<br />\nP = Po x [0,15 + 0,85 (Syntec A / Syntec A-1)]\noù :<br />\nP = Nouveau Prix<br />\nPo = Ancien Prix<br />\nSyntec A = Valeur du dernier indice Syntec connu lors de la conclusion du Contrat.<br />\nSyntec A-1 = Valeur indice Syntec de l’année N’1 par rapport à la date de révision.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_8  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">9)	FOURNITURE DES SERVICES</h5>\n				<div class=\"et_pb_toggle_content clearfix\">	OBLIGATIONS GENERALES DU RESPONSABLE DU SITE</p>\n<p>Le Responsable du Site est soumis à une obligation de conseil et de mise en garde dans le cadre de l’exécution des présentes.</p>\n<p>À l’issue du Contrat, le Responsable du Site livrera les Développements spécifiques réalisés, ainsi que toute documentation résultant de la mise en œuvre des Services, en ce compris les Contenus et les Mises à jour demandés par le Client.</p>\n<p>Compte tenu des aléas inhérents à tout projet informatique, le Responsable du Site est tenu d’une obligation de moyens, par laquelle il s’engage à mettre en œuvre ses meilleurs moyens afin de réaliser les Services et les Développements spécifiques.</p>\n<p>Les délais dans lesquels les Services et les Développements spécifiques doivent être réalisés par le Responsable du Site seront déterminés en fonction des Services commandés par le Client et indiqués au sein du Contrat, avant sa signature par le Client.</p>\n<p>Toutefois, le Client reconnaît que le respect de ces délais par le Responsable du Site est subordonné à une étroite collaboration du Client dans l’exécution du Contrat, et à sa capacité à mobiliser ses équipes afin de fournir au Responsable du Site toute information ou documentation nécessaire à la réalisation des Services.</p>\n<p>Le Responsable du Site s’engage à proposer au Client le Contenu et les Mises à jour en fonction de l’état de l’art existant au moment de la conclusion du Contrat, et des évolutions relatives au domaine d’activité de ces derniers conformément aux conditions définies aux présentes, au Devis ou au Procès-verbal de discussions, et dans lesdélais, formats et volumes arrêtés conjointement par les Parties.</p>\n<p>Par ailleurs, le Responsable du Site veillera à ce que le Contenu soit d’une qualité de rédaction (compréhension, niveau de précision etc..) adaptée au public auquel s’adresse le Client, en fonction des informations qui lui auront été communiquées par le Client.</p>\n<p>Le Responsable du Site s’assurera avec l’aval du Client qu’à tout moment le Contenu ne contient ni dénigrement, ni imputations diffamatoires, n’est pas contraire aux bonnes mœurs, ne porte pas atteinte à la vie privée et à l’ordre public, et ne viole pas les dispositionsrelatives aux lois sur la protection de la jeunesse, ou sur la protection des droits de propriété intellectuelle.</p>\n<p>Le Contenu pourra, si le Client le souhaite, faire l’objet d’une personnalisation selon sa charte graphique, et ses signes distinctifs.</p>\n<p>	OBLIGATIONS PARTICULIERES DU RESPONSABLE DU SITE</p>\n<p>Dans le cadre de l’exécution des Services, le Responsable du Site est susceptible d’avoir recours à un prestataire tiers pour permettre au Client de bénéficier de contrats de location-vente portant notamment sur la création et le maintien de sites web.</p>\n<p>Lorsqu’il agit dans ce cadre, le Responsable du Site ne peut en aucun cas être tenu responsable des conditions contractuelles régissant la relation entre le Client et le prestataire tiers auquel le Client a recours afin de permettre la mise en œuvre des Services.</p>\n<p>Par ailleurs, si les Services commandés par le Client impliquent des prestations de shootings photo et vidéo au sein de ses locaux réalisés par le Responsable du Site, ce dernier s’engage à respecter les règles d’utilisation du système d’information du Client qui lui auraient été communiquées par le Client le cas échéant.</p>\n<p>	OBLIGATIONS DU CLIENT</p>\n<p>Le Client est tenu d’apporter au Responsable du Site toutes les informations, matériels et ressources nécessaires à la bonne exécution du Contrat et à la mise en œuvre des Services afin de faciliter les interventions du Responsable du Site.</p>\n<p>A ce titre, le Client s’engage à définir de façon précise et circonstanciée l’ensemble de ses besoins au Responsable du Site afin que ce dernier émette un Devis conforme à ses attentes.</p>\n<p>Le Client est également tenu de participer à toutes les réunions rendues nécessaires par la mise en œuvre des Services.</p>\n<p>Enfin, il incombe au Client, qui s’y engage, d’effectuer, au fur et à mesure, dans les délais et selon les procédures visées aux présentes, les recettes des Développements spécifiques réalisés par le Responsable du Site au titre du Contrat et de faire remonter les Anomalies ou difficultés rencontrées.</p>\n<p>Afin de faciliter la mise en œuvre de son obligation de collaboration, le Client désigne un interlocuteur privilégié pour assurer le dialogue dans les diverses étapes de la mission confiée au Responsable du Site, qu’il devra désigner au sein du Devis validé par ses soins.</p>\n<p>Afin de faciliter la rédaction du Contenu, le Client est tenu de fournir au Responsable du Site toutes les informations et explications nécessaires afin que le Responsable du Site soit en mesure de comprendre de façon exhaustive les éventuelles contraintes professionnelles auxquelles il serait tenu, pour restituer des Contenus conformes et qualitatifs dans le cadre des opérations de communication souhaitées par le Client.</p>\n<p>Si les Services commandés par le Client impliquent des prestations de shootings photo et vidéo par le Responsable du Site, le Client s’engage à obtenir, de ses salariés et de ses clients, l’autorisation d’exploiter leur image. Le Client est seul responsable de l’obtention de l’autorisation d’exploiter l’image de ses salariés et de ses clients.</p>\n<p>	RECETTES</p>\n<p>	a- Développements spécifiques</p>\n<p>Lorsque les Services faisant l’objet de la Commande impliquent des Développements spécifiques de la part du Responsable du Site, le Client s’engage à réaliser la recette des Développements spécifiques dans les conditions ci-après.</p>\n<p>La recette des Développements spécifiques devra être effectuée par le Client au plus tard 10 (dix) jours calendaires après la dernière livraison des Développements spécifiques précédant la date de fin du Contrat.</p>\n<p>Faute d’acceptation expresse, de réserves ou de refus émis dans ce délai, la mise en production des Développements spécifiques vaudra recette tacite.</p>\n<p>Par ailleurs, la recette définitive des Développements spécifiques sera réputée acquise à l’expiration du délai susvisé, si le Client n’a pas fait connaître dans ce délai son acceptation, ou émis des réserves, ou manifesté son refus.</p>\n<p>Lors de la recette des Développements spécifiques, le Client doit notifier par écrit au Responsable du Site toute Anomalie.</p>\n<p>Cette notification devra comprendre une description précise del’Anomalie constatée afin que le Responsable du Site puissela corriger.</p>\n<p>Après réception de la notification du Client, le Responsable du Siteindiquera une durée de résolution estimative de l’Anomalie, puis procédera à la correction de l’Anomalie et présentera les corrections effectuées au Client pour recette.</p>\n<p>Le Client s’engage à effectuer une nouvelle recette à compter de la nouvelle livraison des Développements spécifiques corrigés.</p>\n<p>	b- Contenus et Mises à jour</p>\n<p>Lorsque les Services faisant l’objet de la Commande impliquent la création de Contenus ou la réalisation de Mises à jour de la part du Responsable du Site, le Client s’engage à réaliser la recette des Contenus et des Mises à jour dans les conditions ci-après.</p>\n<p>La recette des Contenus et des Mises à jour devra être effectuée par le Client au plus tard 5 (cinq) jours calendaires après leur livraison par le Responsable du Site.</p>\n<p>En cas de refus ou de réserve motivée par le Client, le Responsable du Sites’engage à présenter une nouvelle version du Contenu ou de la Mise à jour dans un délai de 10 jours ouvrés. Le Client s’engage alors à ne pas diffuser les Contenus ou la Mise à jour refusés et ayant fait l’objet de corrections.</p>\n<p>A défaut de recette des Contenus ou des Mises à jour par le Client, ce dernier pourra confier la réalisation du Contenu ou de la Mise à jour concerné à un tiers.</p>\n<p>Le Client pourra toujours demander au Responsable du Site la suppression de tout Contenu mis en ligne qu’il jugerait inopportun. Le Responsable du Site s’engage alors à retirer le Contenu dans les plus brefs délais.</p>\n<p>	c- Limitations</p>\n<p>Seules les réserves relatives à des Anomalies Bloquantes ou à des Anomalies Semi-Bloquantes peuvent justifier l’absence d’acceptation de la recette d’un Développement spécifique, d’un Contenu ou d’une Mise à jour.</p>\n<p>Pour chaque opération de recette d’un Développement spécifique, d’un Contenu ou d’une Mise à jour, le Client ne peut formuler de réserves que deux fois pour le même Développement spécifique, le même Contenu ou la même Mise à jour.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_9  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">10)	GARANTIE</h5>\n				<div class=\"et_pb_toggle_content clearfix\">A la suite de la première mise en production des Développements spécifiques, le Client peut disposer d’une garantie de résolution des Anomalies pendant une durée déterminée durant laquelle le Responsable du Site fera ses meilleurs efforts pour corriger les Anomalies qui lui seraient notifiées par le Client.<br />\nEn cas d’Anomalie Bloquante, le Responsable du Site s’engage à intervenir dans un délai maximum de48h à compter de la réception de la notification du Client.<br />\nEn cas d’Anomalie Semi‐Bloquante, le Responsable du Site s’engage à intervenir dans un délai maximum de 72h à compter de la réception de la notification du Client.<br />\nEn cas d’Anomalie Non Bloquante, le Responsable du Site s’engage à intervenir dans un délai maximum de 5 jours à compter de la réception de la notification du Client.<br />\nLa présente garantie constitue un service optionnel qui sera facturé par le Responsable du Site au Client et dont la durée et le prix figureront au sein du Contrat, avant sa signature par le Client.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_10  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">11)	DONNÉES PERSONNELLES</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Les Parties s’engagent à respecter les dispositions du règlement (UE) n°2016/679 du 27 avril 2016 relatif à la protection des données à caractère personnel (RGPD) et de la loi n°78-17 du 6 janvier 1978 modifiée.<br />\nPour les traitements de données à caractère personnel découlant le cas échéant des présentes, le Client est qualifié de Responsable du traitement et le Responsable du Site est qualifié de sous-traitant, au sens de l’article 4 du RGPD.</p>\n<p>Description du traitement</p>\n<p>Le Responsable du Site est autorisé à traiter pour le compte du Client les données à caractère personnel nécessaires pour fournir les Services fournis au Client repris au sein du Devis.<br />\nLa nature des opérations réalisées sur les données est&nbsp;(rayer les mentions inutiles):</p>\n<p>Collecte<br />\nEnregistrement<br />\nOrganisation<br />\nStructuration<br />\nConservation<br />\nAdaptation ou modification<br />\nExtraction<br />\nConsultation<br />\nUtilisation<br />\nCommunication par transmission<br />\nDiffusion ou toute autre forme de mise à disposition<br />\nRapprochement ou interconnexion<br />\nLimitation<br />\nEffacement ou destruction</p>\n<p>La ou les finalité(s) du traitement sont la mise en œuvre des Services fournis au Client par le Responsable du Site.<br />\nLes données à caractère personnel traitées sont&nbsp;(rayer les mentions inutiles) :</p>\n<p>Données d’identification (état civil, coordonnées, photographie…)<br />\nVie professionnelle (CV, situation professionnelle, scolarité, formation, distinctions, diplômes…)<br />\nVie personnelle (habitude de vie, situation familiale…)<br />\nDonnées de connexion (adresse IP, Logs, identification des terminaux, horadatage…)<br />\nInformation d’ordre économique et financière (revenu, données bancaires, rib, situation financière…)<br />\nDonnées de transaction (panier d’achat, montant et date de transactions…)<br />\nDonnées de navigation (cookies, traceurs, mesure d’audience…)<br />\nDonnées de localisation (déplacement, données GPS…)</p>\n<p>Les catégories de personnes concernées sont (rayer les mentions inutiles)&nbsp;:</p>\n<p>Prestataires<br />\nCollaborateurs<br />\nFamille des collaborateurs<br />\nStagiaires<br />\nIntérimaires<br />\nContractuels<br />\nVisiteurs<br />\nClients<br />\nFamille des clients<br />\nProspects<br />\nFamille des prospects<br />\nInternautes<br />\nDirigeants<br />\nActionnaires/Associés</p>\n<p>Pour l’exécution des Services, le Client met à la disposition du Responsable du Site les informations nécessaires afin de mettre en œuvre les Services fournis au Client par le Responsable du Site, ainsi que les données à caractère personnel indiquées ci-dessus.</p>\n<p>Durée</p>\n<p>Les présentes sont applicables pour une durée égale à celle du Contrat.</p>\n<p>Obligations du Responsable du Site</p>\n<p>Le Responsable du Site s’engage à&nbsp;:<br />\n1.traiter les données uniquement pour la ou les seule(s) finalité(s) qui fait/font l’objet de la sous-traitance.</p>\n<p>traiter les données conformément aux instructions documentées du Client figurant en annexe des présentes clauses. Si le Responsable du Site considère qu’une instruction constitue une violation du règlement européen sur la protection des données ou de toute autre disposition du droit de l’Union ou du droit des Etats membres relative à la protection des données, il en informe immédiatement le Client. En outre, si le Responsable du Site est tenu de procéder à un transfert de données vers un pays tiers ou à une organisation internationale, en vertu du droit de l’Union ou du droit de l’Etat membre auquel il est soumis, il doit informer le Client de cette obligation juridique avant le traitement, sauf si le droit concerné interdit une telle information pour des motifs importants d’intérêt public.<br />\ngarantir la confidentialité des données à caractère personnel traitées dans le cadre des présentes clauses<br />\nveiller à ce que les personnes autorisées à traiter les données à caractère personnel en vertu des présentesclauses&nbsp;:</p>\n<p>s’engagent à respecter la confidentialité ou soient soumises à une obligation légale appropriée de confidentialité<br />\nreçoivent la formation nécessaire en matière de protection des données à caractère personnel</p>\n<p>prendre en compte, s’agissant de ses outils, produits, applications ou services, les principes de protection des données dès la conception et de protection des données par défaut.<br />\nSous-traitance</p>\n<p>Le Responsable du Site peut faire appel à un autre sous-traitant (ci-après, « le Sous-traitant ultérieur ») pour mener des activités de traitement spécifiques. Dans ce cas, il informe préalablement et par tout moyen le Client de tout changement envisagé concernant l’ajout ou le remplacement d’autres sous-traitants. Cette information doit indiquer clairement les activités de traitement sous-traitées, l’identité et les coordonnées du Sous-traitant ultérieur et les dates du contrat de sous-traitance. Le Client dispose d’un délai de 7 (sept) jours à compter de la date de réception de cette information pour présenter ses objections. A défaut d’objection, le Client sera réputé avoir accepté les changements dont il a été informé par le Responsable du Site.</p>\n<p>Droit d’information des personnes concernées</p>\n<p>Il appartient au Client de fournir l’information aux personnes concernées par les opérations de traitement au moment de la collecte des données.</p>\n<p>Exercice des droits des personnes</p>\n<p>Dans la mesure du possible, le Responsable du Site doit aider le Client à s’acquitter de son obligation de donner suite aux demandes d’exercice des droits des personnes concernées&nbsp;: droit d’accès, de rectification, d’effacement et d’opposition, droit à la limitation du traitement, droit à la portabilité des données, droit de ne pas faire l’objet d’une décision individuelle automatisée (y compris le profilage).<br />\nLorsque les personnes concernées exercent auprès du Responsable du Site des demandes d’exercice de leurs droits, celui-ci doit adresser ces demandes dans les meilleurs délais par courrier électronique au Client.</p>\n<p>Notification des violations de données à caractère personnel</p>\n<p>Le Responsable du Site notifie au Client toute violation de données à caractère personnel dans les meilleurs délais après en avoir pris connaissance. Cette notification est accompagnée de toute documentation utile afin de permettre au Client, si nécessaire, de notifier cette violation à l’autorité de contrôle compétente.</p>\n<p>Aide du Responsable du Site dans le cadre du respect par le Responsable de traitement de ses obligations</p>\n<p>Le Responsable du Site aide le Client pour la réalisation d’analyses d’impact relative à la protection des données.<br />\nLe Responsable du Site aide le Client pour la réalisation de la consultation préalable de l’autorité de contrôle.</p>\n<p>Mesures de sécurité</p>\n<p>Le Responsable du Site s’engage à mettre en œuvre les mesures de sécurité suivantes en fonction des nécessités du traitement faisant l’objet de la sous-traitance&nbsp;:</p>\n<p>lapseudonymisation et le chiffrement des données à caractère personnel<br />\nles moyens permettant de garantir la confidentialité, l’intégrité, la disponibilité et la résilience constantes des systèmes et des services de traitement&nbsp;;<br />\nles moyens permettant de rétablir la disponibilité des données à caractère personnel et l’accès à celles-ci dans des délais appropriés en cas d’incident physique ou technique&nbsp;;<br />\nune procédure visant à tester, à ’analyser et à ’évaluer régulièrement l’efficacité des mesures techniques et organisationnelles pour assurer la sécurité du traitement]\n<p>Sort des données</p>\n<p>Au terme de la prestation de services relatifs au traitement de ces données, le Responsable du Site s’engage à restituer les données au Client et ensuite à les détruire, sauf convention contraire entre les Parties.</p>\n<p>Délégué à la protection des données</p>\n<p>Le Responsable du Site communique au Client le nom et les coordonnées de son délégué à la protection des données, s’il en a désigné un conformément à l’article 37 du règlement européen sur la protection des données.</p>\n<p>Registre des catégories d’activités de traitement</p>\n<p>Le Responsable du Site déclare tenir par écrit un registre de toutes les catégories d’activités de traitement effectuées pour le compte du Responsable de traitement comprenant&nbsp;:</p>\n<p>le nom et les coordonnées du Responsable de traitement pour le compte duquel il agit,<br />\ndes éventuels sous-traitants et, le cas échéant, du délégué à la protection des données&nbsp;;<br />\nles catégories de traitements effectués pour le compte du responsable du traitement&nbsp;;<br />\nle cas échéant, les transferts de données à caractère personnel vers un pays tiers ou à une organisation internationale, y compris l’identification de ce pays tiers ou de cette organisation internationale et, dans le cas des transferts visés à l’article 49, paragraphe 1, deuxième alinéa du règlement européen sur la protection des données, les documents attestant de l’existence de garanties appropriées&nbsp;;<br />\ndans la mesure du possible, une description générale des mesures de sécurité techniques et organisationnelles, y compris entre autres, selon les besoins&nbsp;:</p>\n<p>lapseudonymisation et le chiffrement des données à caractère personnel&nbsp;;<br />\ndes moyens permettant de garantir la confidentialité, l’intégrité, la disponibilité et<br />\nla résilience constante des systèmes et des services de traitement&nbsp;;<br />\ndes moyens permettant de rétablir la disponibilité des données à caractère personnel et l’accès à celles-ci dans des délais appropriés en cas d’incident physique ou technique&nbsp;;<br />\nune procédure visant à tester, à analyser et à évaluer régulièrement l’efficacité des mesures techniques et organisationnelles pour assurer la sécurité du traitement.</p>\n<p>Documentation</p>\n<p>Le Responsable du Site met à la disposition du Client la documentation nécessaire pour démontrer le respect de toutes ses obligations et pour permettre la réalisation d’audits, y compris des inspections, par le Client ou un autre auditeur qu’il a mandaté, et contribuer à ces audits.</p>\n<p>Obligations du Client</p>\n<p>Le Client s’engage à&nbsp;:</p>\n<p>fournir au Responsable du Site les données visées à l’article 2 des présentes clauses et garantir la licéité des traitements mis en œuvre&nbsp;;<br />\ndocumenter par écrit toute instruction concernant le traitement des données par le Responsable du Site&nbsp;;<br />\nveiller, au préalable et pendant toute la durée du traitement, au respect des obligations prévues par le règlement européen sur la protection des données de la part du Responsable du Site&nbsp;;<br />\nsuperviser le traitement, y compris réaliser les audits et les inspections auprès du Responsable du Site.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_11  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">12)	PROPRIETE INTELLECTUELLE</h5>\n				<div class=\"et_pb_toggle_content clearfix\">	Développements spécifiques</p>\n<p>Les droits d’utilisation, de reproduction et de représentation exclusifs attachés aux Développements spécifiques faisant partie des Services et fournis par le Responsable du Site au Client sont concédés au Client dans leur intégralité au fur et à mesure de leur réalisation et sous réserve du respect par le Client des stipulations des présentes et du respect des droits des tiers par le Client. La présente licence est concédée par le Responsable du Site pour le monde entier et pour toute la durée légale de protection des droits d’auteur.La concession du droit d’adaptation des Développements spécifiques peut être convenue entre les Parties au moyen d’un accord exprès séparé des présentes.Les droits concédés par le Responsable du Site sur les Développements spécifiques sont les suivants&nbsp;:Le droit de reproduction&nbsp;: ce droit comporte le droit de reproduction et d’utilisation pour quelque usage que ce soit, par quelque procédé que ce soit, sur tout support papier, magnétique, optique, vidéographique, numérique ou autre, pour toute exploitation, y compris en réseau, des Développements spécifiques (en tout ou en partie), objet de la présente licence, en nombre illimité, en toutes matières, toutes couleurs et toutes dimensions&nbsp;; ce droit comporte également le droit pour le Client de confier l’exécution de cette exploitation à toute personne physique ou morale de son choix.Le droit de représentation&nbsp;: ce droit comporte le droit de de représentation et diffusion, de quelque façon que ce soit, sur quelque support et/ou réseau que ce soit, édition de tout ou partie des Développements spécifiques pour toute utilisation qui pourrait être faite par le Client soit à son profit, soit pour le compte d’un tiers.</p>\n<p>Contenus et Mises à jour</p>\n<p>	Les droits d’utilisation, de reproduction, de représentation et d’adaptation exclusifs attachés aux Contenus et aux Mises à jour faisant partie des Services et fournis par le Responsable du Site au Client sont concédés au Client dans leur intégralité au fur et à mesure de leur réalisation et sous réserve du respect par le Client des stipulations des présentes et du respect des droits des tiers par le Client. La présente licence est concédée par le Responsable du Site pour le monde entier et pour toute la durée légale de protection des droits d’auteur.</p>\n<p>Les droits concédés par le Responsable du Site sur les Contenus et les Mises à jour sont les suivants&nbsp;:</p>\n<p>	Le droit de reproduction&nbsp;: ce droit comporte le droit de reproduction et d’utilisation pour quelque usage que ce soit, par quelque procédé que ce soit, sur tout support papier, magnétique, optique, vidéographique, numérique ou autre, pour toute exploitation, y compris en réseau, des Contenus et des Mises à jour (en tout ou en partie), objet de la présente licence, en nombre illimité, en toutes matières, toutes couleurs et toutes dimensions ; ce droit comporte également le droit pour le Client de confier l’exécution de cette exploitation à toute personne physique ou morale de son choix.<br />\n	Le droit de représentation&nbsp;: ce droit comporte le droit de de représentation et diffusion, de quelque façon que ce soit, sur quelque support et/ou réseau que ce soit, édition de tout ou partie des Contenus et des Mises à jour pour toute utilisation qui pourrait être faite par le Client soit à son profit, soit pour le compte d’un tiers.<br />\n	Le droit d’adaptation&nbsp;: ce droit comporte le droit d’adapter, directement ou indirectement tout ou partie des Contenus et des Mises à jour en vue de leur exploitation dans le cadre de l’activité du Client ou d’un tiers pour le compte duquel le Client agit.</p>\n<p>Le Responsable du Site autorise expressément le Client à faire mention de son propre nom sur le Contenu ou la Mise à jour et notamment à présenter le Contenu ou la Mise à jour selon sa charte graphique et ses signes distinctifs.</p>\n<p>	Garantie d’éviction</p>\n<p>Le Responsable du Site garantit au Client une jouissance paisible des Développements spécifiques, des Contenus et des Mises à jour, de son fait personnel.</p>\n<p>À ce titre, il s’engage à défendre le Client à ses frais contre toute action en violation de droit d’auteur ou d’autres droits de propriété intellectuelle intentée par un tiers, et portant sur les Développements spécifiques, les Contenus ou les Mises à jour, sous réserve que le Client :</p>\n<p>	en ait averti immédiatement par écrit le Responsable du Site et que la prétendue violation ne résulte pas du fait du Client ;<br />\n	donne au Responsable du Site le contrôle exclusif de la conduite de la défense et du règlement de la réclamation. Le Responsable du Site aura toute latitude pour transiger ou poursuivre toute procédure de son choix&nbsp;;<br />\n	fournisse au Responsable du Site toutes les informations, éléments et assistance nécessaires pour lui permettre de mener à bien sa défense ou de parvenir à un accord transactionnel ; et<br />\n	déploie tout effort raisonnable pour limiter toute perte ou dommage.</p>\n<p>Si tout ou partie des Développements spécifiques, des Contenus ou des Mises à jour est reconnu, par une décision de justice ayant force exécutoire, constituer une contrefaçon ou si le Responsable du Site estime qu’il est vraisemblable que ceux-ci, en tout ou partie, soient considérés comme étant une contrefaçon, le Responsable du Site pourra, à son choix :</p>\n<p>	soit procurer au Clientdes Développements spécifiques, des Contenus et des Mises à jour non contrefaisants ayant les mêmes fonctionnalités&nbsp;ou qualités rédactionnelles ;<br />\n	soit obtenir le droit pour le Client de continuer à utiliser et exploiter les Développements spécifiques, les Contenus, ou les Mises à jour ;<br />\n	soit rembourser au Client le prix perçu au titre du Contrat.</p>\n<p>Dans le cas des Développements spécifiques, le Responsable du Sitene pourra pas être tenu responsable si ladite réclamation résulte de :</p>\n<p>	l’utilisation de tout ou partie des Développements spécifiques, par le Client, en combinaison avec tout logiciel, matériel, produits ou autres équipements ou matériels non fournis ou approuvés par écrit par le Responsable du Site ;<br />\n	l’utilisationdes Développements spécifiques, par le Client, non-conforme aux recommandations ou instructions du Responsable du Site et que ceux-ci n’auraient jamais été reconnu contrefaisants sans une telle utilisation par le Client.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_12  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">13)	SERVICE CLIENT</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Pour toute information ou question, notre service Clientèle est à votre disposition&nbsp;:</p>\n<p>Par téléphone (du lundi au vendredi de 8h00 à 18h00) :04 94 03 92 28<br />\nPar courrier :</p>\n<p>Société KOOK AGENCY-&nbsp; SAS AGENCE HASHTAG, 57 rue Auffan 83000 TOULON</p>\n<p>Par email : contact@kook-agency.fr</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_13  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">14)	CONFIDENTIALITÉ </h5>\n				<div class=\"et_pb_toggle_content clearfix\">Chaque partie s’interdit de divulguer les informations confidentielles auxquelles elle pourrait avoir accès dans le cadre du présent contrat. Sont considérés comme confidentiels toutes les informations et tous les documents désignés comme tels, qui lui seront transmis par l’autre Partie, quel que soit le support utilisé pour cette transmission (papier, dessins, supports informatiques, etc.) ou la forme (écrite, orale, etc.) de cette transmission.<br />\nEn conséquence, les Parties s’engagent à limiter la communication des informations confidentielles aux seules personnes affectées à l’exécution du présent Contrat. Etant précisé que chaque partie se porte fort du respect par son personnel, ses fournisseurs et à tout tiers intervenant au titre du Contrat, de la plus stricte confidentialité pour l’ensemble des opérations qu’ils réalisent, au moyen de la conclusion préalable et par écrit d’un engagement de confidentialité reprenant les obligations de la présente clause.<br />\nNe seront toutefois pas considérées comme confidentielles les informations qui étaient connues du public antérieurement à leur divulgation sans qu’il y ait eu manquement au présent contrat.<br />\nLes dispositions du présent article demeureront en vigueur pendant une durée d’un an à compter de l’expiration du présent Contrat.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_14  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">15)	RÉFÉRENCE</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le Responsable du Siteest autorisé à faire figurer le nom du Client sur la liste de ses références commerciales, notamment sur son site internet et à condition d’en informer préalablement le Client.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_15  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">16)	MODIFICATION BILATÉRALE DU CONTRAT</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Dans le cas où des informations sur lesquelles est basé le Contrat sont modifiés dans des proportions telles que l’une ou l’autre des parties rencontrerait des difficultés sérieuses et imprévisibles, il est d’ores et déjà arrêté le principe d’une consultation mutuelle entre les Partiesafin de réajuster l’étendue des Services.<br />\nIl en irait ainsi de toute nouvelle disposition particulière d’ordre légal ou réglementaire ou même de conditions générales d’utilisation des supports et outils utilisés par les Parties dans le cadre du Contrat.<br />\nLe Responsable du Site et le Client acceptent alors le principe d’une révision de l’étendue et de la redéfinition des Services à fournir.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_16  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">17)	FORCE MAJEURE</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Les retards ou la non-exécution des Commandes résultant de cas de force majeure ou tout autre événement inévitable, imprévisible et échappant au contrôle du Responsable du Site au sens de la jurisprudence ne peuvent donner lieu à indemnité. Les dispositions du présent article ne pourront cependant, en aucun cas, dispenser une partie de l’obligation de régler à l’autre toute somme qu’elle lui devrait.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_17  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">18)	RESPONSABILITÉ</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le Responsable du Site ne pourra en aucune circonstance encourir de responsabilité au titre des pertes ou dommages indirects ou imprévisibles du Client ou des tiers, ce qui inclut notamment tout gain manqué, perte, inexactitude ou corruption de fichiers ou de données, préjudice commercial et perte de chiffre d’affaires, coût de l’obtention d’un produit, de substitution, en relation ou provenant de l’inexécution ou de l’exécution fautive des présentes CGS.<br />\nLe montant des dommages réparables que le Responsable du Site peut être amené à payer au Client en raison d’un manquement contractuel est limité, tous dommages confondus, au prix des Commandes effectivement payées par le Client. Ce plafond de réparation n’est pas applicable en cas de dol, de faute lourde commise par le Responsable du Site dans le cadre des présentes CGS.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_18  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">19)	DURÉE - RESILIATION</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Le Contrat est conclu pour une durée de 12 mois, 24 mois, ou 36 mois, en fonction de ce qui sera convenu par les Parties au sein du Devis.<br />\nChaque Partie est libre de prononcer la résiliation du Contrat, sous réserve de respecter un délai de préavis de 90 jours avant la date de fin du contrat, ou de ses éventuels renouvellements.<br />\nA défaut du respect de ce délai de préavis, le Contrat est reconduit tacitement pour une durée de 12 mois.<br />\nEn cas de manquement d’une des Parties à une de ses obligations substantielles, l’autre Partie pourra, 30 (trente) jours francs à compter de la date de réception ou, à défaut, de la date de première présentation d’une lettre de mise en demeure recommandée avec demande d’avis de réception restée infructueuse, prononcer la résiliation de plein droit des présentes, sans préavis ni formalité judiciaire ou autre et sans préjudice de tous autres droits ou actions notamment en vue de solliciter tous dommages-intérêts auxquels elle pourrait prétendre.<br />\nA la fin des présentes, quelle qu’en soit la cause, le Responsable du Site restituera au Client l’ensemble des documents, supports et information dont la restitution ou la fourniture sont prévues au titre des présentes pour la mise en œuvre des Services et notamment la livraison des Développements spécifiques.</div>\n			</div><div class=\"et_pb_toggle et_pb_module et_pb_accordion_item et_pb_accordion_item_19  et_pb_toggle_close\">\n				\n				\n				\n				\n				<h5 class=\"et_pb_toggle_title\">20)	DROIT APPLICABLE / LITIGES</h5>\n				<div class=\"et_pb_toggle_content clearfix\">Les présentes CGS sont soumises à la loi française.<br />\nPour tous différends ou divergences d’interprétation, relatifs à l’exécution ou à la cessation du Contrat, les Parties conviennent de désigner d’un commun accord un médiateur.<br />\nSi au terme d’un délai de 30 jours, les Parties n’arrivaient pas à se mettre d’accord sur le choix de celui-ci, le médiateur serait désigné par le Président du Tribunal de Commerce de Toulon, statuant en référé à la requête de la Partie la plus diligente.<br />\nCe médiateur réunira les Parties, effectuera toutes constatations utiles et les informera des conséquences de leurs positions respectives. Il devra leur proposer, dans un délai de 30 jours, les éléments d’une solution de nature à régler leur différend tout en sauvegardant leurs intérêts légitimes. Cette proposition ne sera ni obligatoire, ni exécutoire. Les frais et honoraires de ce médiateur seront répartis par moitié entre les Parties.<br />\nTout litige relatif à la conclusion, l’interprétation, l’exécution ou la cessation des présentes sera soumis aux tribunaux compétents de Toulon, y compris en référé, nonobstant l’appel en garantie ou la pluralité de défendeurs.</div>\n			</div>\n			</div>\n			</div>\n				\n				\n				\n				\n			</div>\n				\n				\n			</div>\n");
INSERT INTO `wp_postmeta` VALUES("10792", "5104", "_et_pb_truncate_post_date", "2022-11-12 10:04:12");
INSERT INTO `wp_postmeta` VALUES("10793", "5104", "_metaseo_metatitle", "Conditions générales de services | Kook Agency");
INSERT INTO `wp_postmeta` VALUES("10794", "5104", "_metaseo_metadesc", "L’accès et l’utilisation du site et des services qui y sont proposés sont soumis au respect des présentes Conditions Générales de Services");
INSERT INTO `wp_postmeta` VALUES("10795", "5104", "_metaseo_metaspecific_keywords", "Conditions générales de services,CGS Kook agency,Documents contractuels,1.	OBLIGATIONS GENERALES DU RESPONSABLE DU SITE");
INSERT INTO `wp_postmeta` VALUES("10796", "5104", "wp_metaseo_seoscore", "88");
INSERT INTO `wp_postmeta` VALUES("10797", "5104", "_et_pb_built_for_post_type", "page");
INSERT INTO `wp_postmeta` VALUES("10798", "5104", "_et_pb_ab_current_shortcode", "[et_pb_split_track id=\"5104\" /]");
INSERT INTO `wp_postmeta` VALUES("10799", "5104", "_et_pb_gutter_width", "3");
INSERT INTO `wp_postmeta` VALUES("10800", "5104", "_global_colors_info", "{}");
INSERT INTO `wp_postmeta` VALUES("10801", "5104", "_et_builder_version", "VB|Divi|4.14.8");
INSERT INTO `wp_postmeta` VALUES("10802", "5104", "_et_pb_show_page_creation", "off");
INSERT INTO `wp_postmeta` VALUES("10803", "5104", "et_enqueued_post_fonts", "a:2:{s:6:\"family\";a:3:{s:12:\"et-gf-roboto\";s:91:\"Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic\";s:13:\"et-gf-poppins\";s:134:\"Poppins:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic\";s:13:\"et-gf-raleway\";s:134:\"Raleway:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic\";}s:6:\"subset\";a:8:{i:0;s:8:\"cyrillic\";i:1;s:12:\"cyrillic-ext\";i:2;s:5:\"greek\";i:3;s:9:\"greek-ext\";i:4;s:5:\"latin\";i:5;s:9:\"latin-ext\";i:6;s:10:\"vietnamese\";i:7;s:10:\"devanagari\";}}");
INSERT INTO `wp_postmeta` VALUES("10804", "370", "_edit_lock", "1685966169:1");
INSERT INTO `wp_postmeta` VALUES("10805", "370", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10806", "370", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("10807", "370", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10820", "12714", "_wp_attached_file", "2023/06/log_file_2023-06-05__11-40-45.txt");
INSERT INTO `wp_postmeta` VALUES("10821", "12715", "_wp_attached_file", "2023/06/log_file_2023-06-05__11-41-00.txt");
INSERT INTO `wp_postmeta` VALUES("10822", "370", "_elementor_css", "a:6:{s:4:\"time\";i:1685966013;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10826", "62", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10827", "62", "_edit_lock", "1685971011:1");
INSERT INTO `wp_postmeta` VALUES("10828", "370", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10834", "5104", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10835", "5104", "_edit_lock", "1685969759:1");
INSERT INTO `wp_postmeta` VALUES("10836", "1432", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10837", "1432", "_edit_lock", "1685966982:1");
INSERT INTO `wp_postmeta` VALUES("10838", "6504", "_elementor_css", "a:7:{s:4:\"time\";i:1685966366;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:5:\"empty\";i:0;s:0:\"\";s:3:\"css\";s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10839", "1432", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10840", "1432", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("10841", "1432", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10850", "1432", "_elementor_data", "[{\"id\":\"544ef599\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"17213270\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"146b7b5\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<div class=\\\"et_pb_module et_pb_text et_pb_text_2 et_pb_text_align_left et_pb_bg_layout_light et_had_animation\\\"><div class=\\\"et_pb_text_inner\\\"><p><strong>Mise \\u00e0 jour :<\\/strong>\\u00a0Mai 2018<\\/p><\\/div><p>\\u00a0<\\/p><div class=\\\"et_pb_text_inner\\\"><p>Merci de lire avec attention les diff\\u00e9rentes modalit\\u00e9s d\\u2019utilisation du pr\\u00e9sent site avant d\\u2019y parcourir ses pages. En vous connectant sur ce site, vous acceptez sans r\\u00e9serves les pr\\u00e9sentes modalit\\u00e9s. Aussi, en vertu de l\\u2019article 6 de la loi n\\u00b0 2004-575 du 21 juin 2004 pour la confiance dans l\\u2019\\u00e9conomie num\\u00e9rique, il est pr\\u00e9cis\\u00e9 aux utilisateurs du site www.kook-agency.fr l\\u2019identit\\u00e9 des diff\\u00e9rents intervenants dans le cadre de sa r\\u00e9alisation et de son suivi :<\\/p><p>\\u00a0<\\/p><h3>PROPRI\\u00c9TAIRE DU SITE<\\/h3><p>\\u00a0<\\/p><p>KOOK AGENCY<br \\/>Adresse : 66 avenue des Champs-Elys\\u00e9es<br \\/>75008 PARIS \\u2013 FRANCE<br \\/>Responsable publication : Olivier VOGEL<br \\/>email : contact@kook-agency.fr<\\/p><p>\\u00a0<\\/p><\\/div><\\/div><div class=\\\"et_pb_module et_pb_divider_0 et_pb_space et_pb_divider_hidden\\\"><div class=\\\"et_pb_divider_internal\\\">\\u00a0<\\/div><\\/div><div class=\\\"et_pb_module et_pb_text et_pb_text_3 et_pb_text_align_left et_pb_bg_layout_light et_had_animation\\\"><div class=\\\"et_pb_text_inner\\\"><h3>1. CONDITIONS D\\u2019UTILISATION<\\/h3><p>\\u00a0<\\/p><p>L\\u2019utilisation du site www.kook-agency.fr implique l\\u2019acceptation pleine et enti\\u00e8re des conditions g\\u00e9n\\u00e9rales d\\u2019utilisation ci-apr\\u00e8s d\\u00e9crites. Ces conditions d\\u2019utilisation sont susceptibles d\\u2019\\u00eatre modifi\\u00e9es ou compl\\u00e9t\\u00e9es \\u00e0 tout moment, les utilisateurs du site www.kook-agency.fr sont donc invit\\u00e9s \\u00e0 les consulter de mani\\u00e8re r\\u00e9guli\\u00e8re.<\\/p><p>\\u00a0<\\/p><p>Le site www.kook-agency.fr est propos\\u00e9 en diff\\u00e9rents langages web (HTML, HTML5, Javascript, CSS, etc\\u2026) pour un meilleur confort d\\u2019utilisation et un graphisme plus agr\\u00e9able, nous vous recommandons de recourir \\u00e0 des navigateurs modernes comme Internet explorer, Safari, Firefox, Google Chrome, etc\\u2026<\\/p><p>\\u00a0<\\/p><p>Ce site est normalement accessible \\u00e0 tout moment aux utilisateurs. Une interruption pour raison de maintenance technique peut \\u00eatre toutefois d\\u00e9cid\\u00e9e par son propri\\u00e9taire, KOOK AGENCY, qui s\\u2019efforcera alors de communiquer pr\\u00e9alablement aux utilisateurs les dates et heures de l\\u2019intervention.<\\/p><p>\\u00a0<\\/p><h3>2. LIMITATION DE RESPONSABILIT\\u00c9<\\/h3><p>\\u00a0<\\/p><p>KOOK AGENCY ne pourra \\u00eatre tenue responsable des dommages directs et indirects caus\\u00e9s au mat\\u00e9riel de l\\u2019utilisateur, lors de l\\u2019acc\\u00e8s au site www.kook-agency.fr, et r\\u00e9sultant soit de l\\u2019utilisation d\\u2019un mat\\u00e9riel ne r\\u00e9pondant pas aux sp\\u00e9cifications indiqu\\u00e9es au point 4, soit de l\\u2019apparition d\\u2019un bug ou d\\u2019une incompatibilit\\u00e9.<\\/p><p>\\u00a0<\\/p><p>KOOK AGENCY ne pourra \\u00e9galement \\u00eatre tenue responsable des dommages indirects (tels par exemple qu\\u2019une perte de march\\u00e9 ou perte d\\u2019une chance) cons\\u00e9cutifs \\u00e0 l\\u2019utilisation du site www.kook-agency.fr.<\\/p><p>\\u00a0<\\/p><p>Des espaces interactifs (possibilit\\u00e9 de poser des questions dans l\\u2019espace contact) sont \\u00e0 la disposition des utilisateurs. KOOK AGENCY se r\\u00e9serve le droit de supprimer, sans mise en demeure pr\\u00e9alable, tout contenu d\\u00e9pos\\u00e9 dans cet espace qui contreviendrait \\u00e0 la l\\u00e9gislation applicable en France, en particulier aux dispositions relatives \\u00e0 la protection des donn\\u00e9es. Le cas \\u00e9ch\\u00e9ant, KOOK AGENCY se r\\u00e9serve \\u00e9galement la possibilit\\u00e9 de mettre en cause la responsabilit\\u00e9 civile et\\/ou p\\u00e9nale de l\\u2019utilisateur, notamment en cas de message \\u00e0 caract\\u00e8re raciste, injurieux, diffamant, ou pornographique, quel que soit le support utilis\\u00e9 (texte, photographie\\u2026).<\\/p><p>\\u00a0<\\/p><p>Tout contenu t\\u00e9l\\u00e9charg\\u00e9 se fait aux risques et p\\u00e9rils de l\\u2019utilisateur et sous sa seule responsabilit\\u00e9. En cons\\u00e9quence, Mme VOGEL Olivier ne saurait \\u00eatre tenu responsable d\\u2019un quelconque dommage subi par l\\u2019ordinateur de l\\u2019utilisateur ou d\\u2019une quelconque perte de donn\\u00e9es cons\\u00e9cutives au t\\u00e9l\\u00e9chargement. De plus, l\\u2019utilisateur du site s\\u2019engage \\u00e0 acc\\u00e9der au site en utilisant un mat\\u00e9riel r\\u00e9cent, ne contenant pas de virus et avec un navigateur de derni\\u00e8re g\\u00e9n\\u00e9ration mis-\\u00e0-jour.<\\/p><p>\\u00a0<\\/p><h3>4. DONN\\u00c9ES PERSONNELLES<\\/h3><p>\\u00a0<\\/p><p>En application de la Loi n\\u00b0 78-17 du 6 janvier 1978, notamment modifi\\u00e9e par la loi n\\u00b0 2004-801 du 6 ao\\u00fbt 2004 relative \\u00e0 l\\u2019informatique, aux fichiers et aux libert\\u00e9s, les internautes disposent d\\u2019un droit d\\u2019acc\\u00e8s, de rectification, de modification et de suppression concernant les donn\\u00e9es qui les concernent personnellement. Consultez notre politique de confidentialit\\u00e9 pour conna\\u00eetre la d\\u00e9marche \\u00e0 suivre.<\\/p><p>\\u00a0<\\/p><p>De mani\\u00e8re g\\u00e9n\\u00e9rale, vous n\\u2019\\u00eates pas tenu de nous communiquer vos donn\\u00e9es personnelles lorsque vous visitez notre site Internet www.kook-agency.fr.<\\/p><p>\\u00a0<\\/p><p>Cependant, ce principe comporte certaines exceptions. En effet, pour certains services propos\\u00e9s par notre site, vous pouvez \\u00eatre amen\\u00e9s \\u00e0 nous communiquer certaines donn\\u00e9es telles que : votre nom, votre adresse \\u00e9lectronique, et votre num\\u00e9ro de t\\u00e9l\\u00e9phone. Tel est le cas lorsque vous remplissez le formulaire qui vous est propos\\u00e9 en ligne, dans la rubrique \\u00ab contact \\u00bb. Dans tous les cas, vous pouvez refuser de fournir vos donn\\u00e9es personnelles. Dans ce cas, vous ne pourrez pas utiliser les services du site, notamment celui de solliciter des renseignements sur notre offre.<\\/p><p>\\u00a0<\\/p><p>Enfin, nous pouvons collecter de mani\\u00e8re automatique certaines informations vous concernant lors d\\u2019une simple navigation sur notre site Internet, notamment : des informations concernant l\\u2019utilisation de notre site, comme les zones que vous visitez et les services auxquels vous acc\\u00e9dez, votre adresse IP, le type de votre navigateur, vos temps d\\u2019acc\\u00e8s. De telles informations sont utilis\\u00e9es exclusivement \\u00e0 des fins de statistiques internes, de mani\\u00e8re \\u00e0 am\\u00e9liorer la qualit\\u00e9 des services qui vous sont propos\\u00e9s. Les bases de donn\\u00e9es sont prot\\u00e9g\\u00e9es par les dispositions de la loi du 1er juillet 1998 transposant la directive 96\\/9 du 11 mars 1996 relative \\u00e0 la protection juridique des bases de donn\\u00e9es.<\\/p><p>\\u00a0<\\/p><h3>5. LIENS HYPERTEXTES<\\/h3><p>\\u00a0<\\/p><p>Le site www.kook-agency.fr contient un certain nombre de liens hypertextes vers d\\u2019autres sites, mis en place avec l\\u2019autorisation de KOOK AGENCY. Cependant, KOOK AGENCY n\\u2019a pas la possibilit\\u00e9 de v\\u00e9rifier le contenu des sites ainsi visit\\u00e9s, et n\\u2019assumera en cons\\u00e9quence aucune responsabilit\\u00e9 de ce fait.<\\/p><p>\\u00a0<\\/p><p>Les utilisateurs, les abonn\\u00e9s et les visiteurs des sites internet de ne peuvent mettre en place un hyperlien en direction de ce site sans l\\u2019autorisation expresse et pr\\u00e9alable de KOOK AGENCY.<\\/p><p>\\u00a0<\\/p><p>Dans l\\u2019hypoth\\u00e8se o\\u00f9 un utilisateur ou visiteur souhaiterait mettre en place un hyperlien en direction du site www.kook-agency.fr, il lui appartiendra d\\u2019adresser un email accessible sur le site afin de formuler sa demande de mise en place d\\u2019un hyperlien. KOOK AGENCY se r\\u00e9serve le droit d\\u2019accepter ou de refuser un hyperlien sans avoir \\u00e0 en justifier sa d\\u00e9cision.<\\/p><p>\\u00a0<\\/p><p>Les liens hypertextes mis en place dans le cadre du pr\\u00e9sent site internet en direction d\\u2019autres ressources pr\\u00e9sentes sur le r\\u00e9seau Internet ne sauraient engager la responsabilit\\u00e9 de KOOK AGENCY.<\\/p><p>\\u00a0<\\/p><h3>6. COOKIES<\\/h3><h4>\\u00a0<\\/h4><h4>6.1. INFORMATIONS SUR LES COOKIES<\\/h4><p>\\u00a0<\\/p><p>Pour des besoins de statistiques et d\\u2019affichage, le pr\\u00e9sent site utilise des cookies. Il s\\u2019agit de petits fichiers textes stock\\u00e9s sur votre disque dur afin d\\u2019enregistrer des donn\\u00e9es techniques sur votre navigation. Certaines parties de ce site ne peuvent \\u00eatre fonctionnelle sans l\\u2019acceptation de cookies.<\\/p><h4>\\u00a0<\\/h4><h4>6.2. FINALIT\\u00c9 DES COOKIES UTILIS\\u00c9S<\\/h4><p>\\u00a0<\\/p><p>Nous utilisons des cookies de la part des services suivants : Google Analytics, Smartlook, Mautic. Les donn\\u00e9es et statistiques que nous collectons au moyen de ces cookies sont utilis\\u00e9es dans le seul et unique but d\\u2019am\\u00e9liorer la qualit\\u00e9 de nos services.<br \\/>Google Analytics : est utilis\\u00e9 de fa\\u00e7on anonyme afin d\\u2019am\\u00e9liorer l\\u2019exp\\u00e9rience utilisateur sur notre site web et vous offrir une navigation intuitive. Ces donn\\u00e9es ne sont pas communiqu\\u00e9es \\u00e0 quelque tiers que ce soit.<\\/p><h4>\\u00a0<\\/h4><h4>6.3. VOS CHOIX CONCERNANT LES COOKIES<\\/h4><p>\\u00a0<\\/p><p>Vous pouvez faire le choix \\u00e0 tout moment d\\u2019exprimer et de modifier vos souhaits en mati\\u00e8re de cookies, par les moyens d\\u00e9crits ci-dessous.<br \\/>Vous pouvez configurer votre logiciel de navigation de mani\\u00e8re \\u00e0 ce que des cookies soient enregistr\\u00e9s dans votre terminal ou, au contraire, qu\\u2019ils soient rejet\\u00e9s, soit syst\\u00e9matiquement, soit selon leur \\u00e9metteur. Vous pouvez \\u00e9galement configurer votre logiciel de navigation de mani\\u00e8re \\u00e0 ce que l\\u2019acceptation ou le refus des cookies vous soient propos\\u00e9s ponctuellement, avant qu\\u2019un cookie soit susceptible d\\u2019\\u00eatre enregistr\\u00e9 dans votre terminal. Pour plus d\\u2019informations, consultez la rubrique \\u201cComment exercer vos choix, selon le navigateur que vous utilisez ?\\u201d<\\/p><h5>\\u00a0<\\/h5><h5>6.3.1. ACCEPTATION DES COOKIES<\\/h5><p>\\u00a0<\\/p><p>L\\u2019enregistrement d\\u2019un cookie dans un terminal est subordonn\\u00e9 \\u00e0 la volont\\u00e9 de son utilisateur, exprim\\u00e9e et modifi\\u00e9e \\u00e0 tout moment gratuitement \\u00e0 travers les choix propos\\u00e9s par son logiciel de navigation. Si vous avez accept\\u00e9 dans votre logiciel de navigation l\\u2019enregistrement de cookies dans votre terminal, les cookies int\\u00e9gr\\u00e9s dans les pages et contenus que vous avez consult\\u00e9s pourront \\u00eatre stock\\u00e9s temporairement dans un espace d\\u00e9di\\u00e9 de votre terminal. Ils y seront lisibles uniquement par leur \\u00e9metteur.<\\/p><h5>\\u00a0<\\/h5><h5>6.3.2. REFUS DES COOKIES<\\/h5><p>\\u00a0<\\/p><p>Si vous refusez l\\u2019enregistrement de cookies dans votre terminal, ou si vous supprimez ceux qui y sont enregistr\\u00e9s, vous pourrez \\u00e9ventuellement ne plus b\\u00e9n\\u00e9ficier d\\u2019un certain nombre de fonctionnalit\\u00e9s. Tel serait \\u00e9galement le cas lorsque nous -ou nos prestataires- ne pourrions pas reconna\\u00eetre, \\u00e0 des fins de compatibilit\\u00e9 technique, le type de navigateur utilis\\u00e9 par votre terminal, ses param\\u00e8tres de langue et d\\u2019affichage ou le pays depuis lequel votre terminal semble connect\\u00e9 \\u00e0 Internet. Le cas \\u00e9ch\\u00e9ant, nous d\\u00e9clinons toute responsabilit\\u00e9 pour les cons\\u00e9quences li\\u00e9es au fonctionnement d\\u00e9grad\\u00e9 de nos services r\\u00e9sultant de l\\u2019impossibilit\\u00e9 d\\u2019enregistrer ou de consulter les cookies n\\u00e9cessaires \\u00e0 leur fonctionnement et que vous auriez refus\\u00e9s ou supprim\\u00e9s.<\\/p><h5>\\u00a0<\\/h5><h5>6.3.3. COMMENT EXERCER VOS CHOIX SELON LE NAVIGATEUR QUE VOUS UTILISEZ ?<\\/h5><p>\\u00a0<\\/p><p>Pour la gestion des cookies et de vos choix, la configuration de chaque navigateur est diff\\u00e9rente. Elle est d\\u00e9crite dans le menu d\\u2019aide de votre navigateur, qui vous permettra de savoir de quelle mani\\u00e8re modifier vos souhaits en mati\\u00e8re de cookies.<br \\/>Nous vous invitons \\u00e0 cliquer sur le nom de votre navigateur pour acc\\u00e9der au menu d\\u2019aide correspondant :<\\/p><p>\\u00a0<\\/p><ul><li>Pour\\u00a0<a title=\\\"Internet Explorer\\u2122\\\" href=\\\"http:\\/\\/windows.microsoft.com\\/fr-fr\\/windows-vista\\/block-or-allow-cookies\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Internet Explorer\\u2122<\\/a><\\/li><li>Pour\\u00a0<a title=\\\"Safari\\u2122\\\" href=\\\"http:\\/\\/support.apple.com\\/kb\\/ht1677?viewlocale=fr_fr\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Safari\\u2122<\\/a><\\/li><li>Pour\\u00a0<a title=\\\"Chrome\\u2122\\\" href=\\\"http:\\/\\/support.google.com\\/chrome\\/bin\\/answer.py?hl=fr&amp;hlrm=en&amp;answer=95647\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Chrome\\u2122<\\/a><\\/li><li>Pour\\u00a0<a title=\\\"Firefox\\u2122\\\" href=\\\"https:\\/\\/support.mozilla.org\\/fr\\/kb\\/activer-desactiver-cookies-preferences\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Firefox\\u2122<\\/a><\\/li><li>Pour Opera\\u2122<\\/li><\\/ul><p>\\u00a0<\\/p><p>Vous pouvez \\u00e9galement param\\u00e9trer votre navigateur afin que celui-ci envoie un code indiquant aux sites Web que vous ne souhaitez pas \\u00eatre suivis. (option \\u00ab Do No Track \\u00bb).<br \\/>Nous vous invitons \\u00e0 cliquer sur le nom de votre navigateur pour acc\\u00e9der au menu d\\u2019aide correspondant :<\\/p><p>\\u00a0<\\/p><ul><li><a title=\\\"Internet Explorer\\u2122\\\" href=\\\"https:\\/\\/support.microsoft.com\\/fr-fr\\/help\\/17288\\/windows-internet-explorer-11-use-do-not-track\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Internet Explorer\\u2122<\\/a>\\u00a0;<\\/li><li>Safari\\u2122 ;<\\/li><li><a title=\\\"Chrome\\u2122\\\" href=\\\"https:\\/\\/support.google.com\\/chrome\\/answer\\/114836?\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Chrome\\u2122<\\/a>\\u00a0;<\\/li><li><a title=\\\"Firefox\\u2122\\\" href=\\\"https:\\/\\/support.mozilla.org\\/fr\\/kb\\/comment-activer-option-ne-pas-pister\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Firefox\\u2122<\\/a>\\u00a0;<\\/li><li>Opera\\u2122.<\\/li><\\/ul><h3>\\u00a0<\\/h3><h3>7. PROPRI\\u00c9T\\u00c9 INTELLECTUELLE ET CONTREFA\\u00c7ONS<\\/h3><p>\\u00a0<\\/p><p>KOOK AGENCY est propri\\u00e9taire des droits de propri\\u00e9t\\u00e9 intellectuelle ou d\\u00e9tient les droits d\\u2019usage sur tous les \\u00e9l\\u00e9ments accessibles sur le site, notamment les textes, images, graphismes, logo, ic\\u00f4nes, sons, logiciels. Tout le contenu du pr\\u00e9sent sur le site www.kook-agency.fr, incluant, de fa\\u00e7on non limitative, les graphismes, images, textes, vid\\u00e9os, animations, sons, logos, gifs et ic\\u00f4nes ainsi que leur mise en forme sont la propri\\u00e9t\\u00e9 exclusive de la soci\\u00e9t\\u00e9 \\u00e0 l\\u2019exception des marques, logos ou contenus appartenant \\u00e0 d\\u2019autres soci\\u00e9t\\u00e9s partenaires ou auteurs.<\\/p><p>\\u00a0<\\/p><p>Toute reproduction, repr\\u00e9sentation, modification, publication, adaptation de tout ou partie des \\u00e9l\\u00e9ments du site, quel que soit le moyen ou le proc\\u00e9d\\u00e9 utilis\\u00e9, est interdite, sauf autorisation \\u00e9crite pr\\u00e9alable de : KOOK AGENCY. Cette repr\\u00e9sentation ou reproduction, par quelque proc\\u00e9d\\u00e9 que ce soit, constitue une contrefa\\u00e7on sanctionn\\u00e9e par les articles L.335-2 et suivants du Code de la propri\\u00e9t\\u00e9 intellectuelle. Le non-respect de cette interdiction constitue une contrefa\\u00e7on pouvant engager la responsabilit\\u00e9 civile et p\\u00e9nale du contrefacteur. En outre, les propri\\u00e9taires des Contenus copi\\u00e9s pourraient intenter une action en justice \\u00e0 votre encontre.<\\/p><p>\\u00a0<\\/p><p>Toute exploitation non autoris\\u00e9e du site ou de l\\u2019un quelconque des \\u00e9l\\u00e9ments qu\\u2019il contient sera consid\\u00e9r\\u00e9e comme constitutive d\\u2019une contrefa\\u00e7on et poursuivie conform\\u00e9ment aux dispositions des articles L.335-2 et suivants du Code de Propri\\u00e9t\\u00e9 Intellectuelle. L\\u2019ensemble du contenu pr\\u00e9sent sur le site est prot\\u00e9g\\u00e9 par les droits de propri\\u00e9t\\u00e9 intellectuelle et notamment par le droit d\\u2019auteur dans le monde entier et pour la dur\\u00e9e des droits telle qu\\u2019elle r\\u00e9sulte des dispositions l\\u00e9gales existantes et\\/ou des prolongations \\u00e0 intervenir. Toute reproduction, repr\\u00e9sentation, adaptation, modification et\\/ou utilisation hors de la sph\\u00e8re priv\\u00e9e est strictement interdit.<\\/p><h3>\\u00a0<\\/h3><h3>8. D\\u00c9CLARATION \\u00c0 LA CNIL<\\/h3><p>\\u00a0<\\/p><p>Conform\\u00e9ment \\u00e0 la loi 78-17 du 6 janvier 1978 (modifi\\u00e9e par la loi 2004-801 du 6 ao\\u00fbt 2004 relative \\u00e0 la protection des personnes physiques \\u00e0 l\\u2019\\u00e9gard des traitements de donn\\u00e9es \\u00e0 caract\\u00e8re personnel) relative \\u00e0 l\\u2019informatique, aux fichiers et aux libert\\u00e9s, ce site n\\u2019a pas fait l\\u2019objet d\\u2019une d\\u00e9claration aupr\\u00e8s de la Commission nationale de l\\u2019informatique et des libert\\u00e9s (www.cnil.fr).<\\/p><h3>\\u00a0<\\/h3><h3>9. LITIGES<\\/h3><p>\\u00a0<\\/p><p>Les pr\\u00e9sentes conditions du site www.kook-agency.fr sont r\\u00e9gies par les lois fran\\u00e7aises et toute contestation ou litiges qui pourraient na\\u00eetre de l\\u2019interpr\\u00e9tation ou de l\\u2019ex\\u00e9cution de celles-ci seront de la comp\\u00e9tence exclusive des tribunaux dont d\\u00e9pend le si\\u00e8ge social de la soci\\u00e9t\\u00e9. La langue de r\\u00e9f\\u00e9rence, pour le r\\u00e8glement de contentieux \\u00e9ventuels, est le fran\\u00e7ais.<\\/p><h3>\\u00a0<\\/h3><h3>10. CONTACTEZ-NOUS<\\/h3><p>\\u00a0<\\/p><p>KOOK AGENCY est \\u00e0 votre disposition pour tous vos commentaires ou suggestions. Vous pouvez nous \\u00e9crire en fran\\u00e7ais par courrier \\u00e9lectronique \\u00e0 : contact@kook-agency\\u00a0.fr<\\/p><\\/div><\\/div>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10858", "1432", "_yoast_wpseo_estimated-reading-time-minutes", "10");
INSERT INTO `wp_postmeta` VALUES("10859", "1432", "_elementor_css", "a:6:{s:4:\"time\";i:1685966887;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10857", "1432", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10867", "3", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10868", "3", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("10869", "3", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10878", "3", "_elementor_data", "[{\"id\":\"7661d39d\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6f09c1bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"7729d646\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<!-- wp:heading -->\\n<div id=\\\"main-content\\\">\\n<article id=\\\"post-1915\\\" class=\\\"post-1915 page type-page status-publish hentry\\\">\\n<div class=\\\"entry-content\\\">\\n<div class=\\\"et-l et-l--post\\\">\\n<div class=\\\"et_builder_inner_content et_pb_gutters3\\\">\\n<div class=\\\"et_pb_section et_pb_section_1 et_pb_with_background et_pb_fullwidth_section et_section_regular et_pb_section_first\\\">\\n<section class=\\\"et_pb_module et_pb_fullwidth_header et_pb_fullwidth_header_0 et_pb_text_align_center et_pb_bg_layout_light\\\" data-fix-page-container=\\\"on\\\">\\n<div class=\\\"et_pb_fullwidth_header_overlay\\\">\\u00a0<\\/div>\\n<div class=\\\"et_pb_fullwidth_header_scroll\\\">\\u00a0<\\/div>\\n<\\/section>\\n<\\/div>\\n<div class=\\\"et_pb_section et_pb_section_3 et_section_regular\\\">\\n<div class=\\\"et_pb_row et_pb_row_2\\\">\\n<div class=\\\"et_pb_column et_pb_column_4_4 et_pb_column_2  et_pb_css_mix_blend_mode_passthrough et-last-child\\\">\\n<div class=\\\"et_pb_module et_pb_text et_pb_text_2  et_pb_text_align_left et_pb_bg_layout_light\\\">\\n<div class=\\\"et_pb_text_inner\\\">\\n<p><strong>Mise \\u00e0 jour : Mai 2018<\\/strong><\\/p>\\n<p>\\u00a0<\\/p>\\n<h2>1. Qui sommes-nous ?<\\/h2>\\n<p>\\u00a0<\\/p>\\n<p>L\\u2019adresse de notre site Web est : www.kook-agency.fr.<\\/p>\\n<h2>\\u00a0<\\/h2>\\n<h2>2. Utilisation des donn\\u00e9es personnelles collect\\u00e9es<\\/h2>\\n<p>\\u00a0<\\/p>\\n<h3><strong>2.1. Commentaires<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Quand vous laissez un commentaire sur notre site web, les donn\\u00e9es inscrites dans le formulaire de commentaire, mais aussi votre adresse IP et l\\u2019agent utilisateur de votre navigateur sont collect\\u00e9s pour nous aider \\u00e0 la d\\u00e9tection des commentaires ind\\u00e9sirables.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Une cha\\u00eene anonymis\\u00e9e cr\\u00e9\\u00e9e \\u00e0 partir de votre adresse de messagerie (\\u00e9galement appel\\u00e9e hash) peut \\u00eatre envoy\\u00e9e au service Gravatar pour v\\u00e9rifier si vous utilisez ce dernier. Les clauses de confidentialit\\u00e9 du service Gravatar sont disponibles ici :<\\/p>\\n<p>https:\\/\\/automattic.com\\/privacy\\/. Apr\\u00e8s validation de votre commentaire, votre photo de profil sera visible publiquement \\u00e0 cot\\u00e9 de votre commentaire.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>2.2. M\\u00e9dias<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Si vous \\u00eates un utilisateur ou une utilisatrice enregistr\\u00e9\\u00b7e et que vous t\\u00e9l\\u00e9versez des images sur le site web, nous vous conseillons d\\u2019\\u00e9viter de t\\u00e9l\\u00e9verser des images contenant des donn\\u00e9es EXIF de coordonn\\u00e9es GPS. Les visiteurs de votre site web peuvent t\\u00e9l\\u00e9charger et extraire des donn\\u00e9es de localisation depuis ces images.<\\/p>\\n<h3>\\u00a0<\\/h3>\\n<h3><strong>2.3. Formulaires de contact<\\/strong><\\/h3>\\n<div>\\n<p>\\u00a0<\\/p>\\n<p>Les informations recueillies sur les formulaires de ce site sont enregistr\\u00e9es dans un fichier informatis\\u00e9 par la soci\\u00e9t\\u00e9 Kook Agency pour communiquer les informations li\\u00e9es aux services du site www.kook-agency.fr. Elles sont conserv\\u00e9es pendant 3 ans et sont destin\\u00e9es au service marketing et au service commercial de notre soci\\u00e9t\\u00e9. Ce fichier est accessible uniquement par la soci\\u00e9t\\u00e9 Kook Agency et les collaborateurs du p\\u00f4le marketing de la soci\\u00e9t\\u00e9 Kook Agency.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Conform\\u00e9ment \\u00e0 la loi \\u00ab informatique et libert\\u00e9s \\u00bb, vous pouvez exercer votre droit d\\u2019acc\\u00e8s aux donn\\u00e9es vous concernant et les faire rectifier en contactant : contact[at]kook-agency.fr;(cf. \\u00a73.1).<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>En cochant la case de consentement obligatoire avant la soumission de chaque formulaire sur notre site web (\\u00ab J\\u2019autorise www.kook-agency.fr \\u00e0 me contacter pour r\\u00e9pondre \\u00e0 ma demande. Je suis inform\\u00e9 que mes donn\\u00e9es ne seront utilis\\u00e9es que par www.kook-agency.fr et ne seront en aucun cas transmis \\u00e0 des tiers. \\u00bb), vous autorisez explicitement le stockage et le traitement de vos donn\\u00e9es dans le but de vous faire conna\\u00eetre nos services. Vous autorisez :<\\/p>\\n<p>\\u00a0<\\/p>\\n<\\/div>\\n<ul>\\n<li>Le propri\\u00e9taire du site www.kook-agency.fr \\u00e0 vous contacter pour toute relation commerciale<\\/li>\\n<li>Le service Marketing \\u00e0 vous communiquer des informations personnalis\\u00e9es sur nos services<\\/li>\\n<\\/ul>\\n<h2>\\u00a0<\\/h2>\\n<h2>3. Politique de cookies<\\/h2>\\n<h3>\\u00a0<\\/h3>\\n<h3><strong>3.1. Informations sur les cookies<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Ce site utilise des cookies \\u2013 de petits fichiers texte qui sont plac\\u00e9s sur votre machine pour aider le site \\u00e0 fournir une meilleure exp\\u00e9rience utilisateur. Les cookies sont utilis\\u00e9s pour conserver les pr\\u00e9f\\u00e9rences de l\\u2019utilisateur, stocker des informations pour des choses comme les paniers d\\u2019achat et fournir des donn\\u00e9es de suivi anonymis\\u00e9es \\u00e0 des applications tierces comme Google Analytics. En r\\u00e8gle g\\u00e9n\\u00e9rale, les cookies rendront votre exp\\u00e9rience de navigation meilleure.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Si vous d\\u00e9posez un commentaire sur notre site, il vous sera propos\\u00e9 d\\u2019enregistrer votre nom, adresse de messagerie et site web dans des cookies. C\\u2019est uniquement pour votre confort afin de ne pas avoir \\u00e0 saisir ces informations si vous d\\u00e9posez un autre commentaire plus tard. Ces cookies expirent au bout d\\u2019un an. Si vous avez un compte et que vous vous connectez sur ce site, un cookie temporaire sera cr\\u00e9\\u00e9 afin de d\\u00e9terminer si votre navigateur accepte les cookies. Il ne contient pas de donn\\u00e9es personnelles et sera supprim\\u00e9 automatiquement \\u00e0 la fermeture de votre navigateur.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Lorsque vous vous connecterez, nous mettrons en place un certain nombre de cookies pour enregistrer vos informations de connexion et vos pr\\u00e9f\\u00e9rences d\\u2019\\u00e9cran. La dur\\u00e9e de vie d\\u2019un cookie de connexion est de deux jours, celle d\\u2019un cookie d\\u2019option d\\u2019\\u00e9cran est d\\u2019un an. Si vous cochez \\u00ab Se souvenir de moi \\u00bb, votre cookie de connexion sera conserv\\u00e9 pendant deux semaines. Si vous vous d\\u00e9connectez de votre compte, le cookie de connexion sera effac\\u00e9.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>En modifiant ou en publiant un article, un cookie suppl\\u00e9mentaire sera enregistr\\u00e9 dans votre navigateur. Ce cookie ne comprend aucune donn\\u00e9e personnelle. Il indique simplement l\\u2019identifiant de l\\u2019article que vous venez de modifier. Il expire au bout d\\u2019un jour.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Toutefois, vous pouvez pr\\u00e9f\\u00e9rer d\\u00e9sactiver les cookies sur ce site et sur d\\u2019autres. Le moyen le plus efficace consiste \\u00e0 d\\u00e9sactiver les cookies dans votre navigateur. Nous vous sugg\\u00e9rons de consulter la section 3.3.2 de ce document ou de consulter le site Web \\u00c0 propos des cookies (en anglais) qui propose des conseils pour tous les navigateurs modernes.<br \\/>Attention, certaines parties de ce site ne peuvent \\u00eatre fonctionnelle sans l\\u2019acceptation de cookies.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>3.2. Finalit\\u00e9 des cookies utilis\\u00e9s<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Nous utilisons des cookies de la part des services suivants : Google Analytics, Smartlook, Mautic. Les donn\\u00e9es et statistiques que nous collectons au moyen de ces cookies sont utilis\\u00e9es dans le seul et unique but d\\u2019am\\u00e9liorer la qualit\\u00e9 de nos services.<br \\/><strong>Google Analytics :<\\/strong>\\u00a0est utilis\\u00e9 de fa\\u00e7on anonyme afin d\\u2019am\\u00e9liorer l\\u2019exp\\u00e9rience utilisateur sur notre site web et vous offrir une navigation intuitive. Ces donn\\u00e9es ne sont pas communiqu\\u00e9es \\u00e0 quelque tiers que ce soit.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>3.3. Vos choix concernant les cookies<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Vous pouvez faire le choix \\u00e0 tout moment d\\u2019exprimer et de modifier vos souhaits en mati\\u00e8re de cookies, par les moyens d\\u00e9crits ci-dessous.<br \\/>Vous pouvez configurer votre logiciel de navigation de mani\\u00e8re \\u00e0 ce que des cookies soient enregistr\\u00e9s dans votre terminal ou, au contraire, qu\\u2019ils soient rejet\\u00e9s, soit syst\\u00e9matiquement, soit selon leur \\u00e9metteur. Vous pouvez \\u00e9galement configurer votre logiciel de navigation de mani\\u00e8re \\u00e0 ce que l\\u2019acceptation ou le refus des cookies vous soient propos\\u00e9s ponctuellement, avant qu\\u2019un cookie soit susceptible d\\u2019\\u00eatre enregistr\\u00e9 dans votre terminal. Pour plus d\\u2019informations, consultez la rubrique \\u201cComment exercer vos choix, selon le navigateur que vous utilisez ?\\u201d<\\/p>\\n<p>\\u00a0<\\/p>\\n<h4><strong>3.3.1. Acceptation des cookies<\\/strong><\\/h4>\\n<p>\\u00a0<\\/p>\\n<p>L\\u2019enregistrement d\\u2019un cookie dans un terminal est subordonn\\u00e9 \\u00e0 la volont\\u00e9 de son utilisateur, exprim\\u00e9e et modifi\\u00e9e \\u00e0 tout moment gratuitement \\u00e0 travers les choix propos\\u00e9s par son logiciel de navigation. Si vous avez accept\\u00e9 dans votre logiciel de navigation l\\u2019enregistrement de cookies dans votre terminal, les cookies int\\u00e9gr\\u00e9s dans les pages et contenus que vous avez consult\\u00e9s pourront \\u00eatre stock\\u00e9s temporairement dans un espace d\\u00e9di\\u00e9 de votre terminal. Ils y seront lisibles uniquement par leur \\u00e9metteur.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h4><strong>3.3.2. Refus des cookies<\\/strong><\\/h4>\\n<p>\\u00a0<\\/p>\\n<p>Si vous refusez l\\u2019enregistrement de cookies dans votre terminal, ou si vous supprimez ceux qui y sont enregistr\\u00e9s, vous pourrez \\u00e9ventuellement ne plus b\\u00e9n\\u00e9ficier d\\u2019un certain nombre de fonctionnalit\\u00e9s. Tel serait \\u00e9galement le cas lorsque nous -ou nos prestataires- ne pourrions pas reconna\\u00eetre, \\u00e0 des fins de compatibilit\\u00e9 technique, le type de navigateur utilis\\u00e9 par votre terminal, ses param\\u00e8tres de langue et d\\u2019affichage ou le pays depuis lequel votre terminal semble connect\\u00e9 \\u00e0 Internet. Le cas \\u00e9ch\\u00e9ant, nous d\\u00e9clinons toute responsabilit\\u00e9 pour les cons\\u00e9quences li\\u00e9es au fonctionnement d\\u00e9grad\\u00e9 de nos services r\\u00e9sultant de l\\u2019impossibilit\\u00e9 d\\u2019enregistrer ou de consulter les cookies n\\u00e9cessaires \\u00e0 leur fonctionnement et que vous auriez refus\\u00e9s ou supprim\\u00e9s.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h4><strong>3.3.3. Comment exercer vos choix selon le navigateur que vous utilisez ?<\\/strong><\\/h4>\\n<p>\\u00a0<\\/p>\\n<p>Pour la gestion des cookies et de vos choix, la configuration de chaque navigateur est diff\\u00e9rente. Elle est d\\u00e9crite dans le menu d\\u2019aide de votre navigateur, qui vous permettra de savoir de quelle mani\\u00e8re modifier vos souhaits en mati\\u00e8re de cookies.<br \\/>Nous vous invitons \\u00e0 cliquer sur le nom de votre navigateur pour acc\\u00e9der au menu d\\u2019aide correspondant :<\\/p>\\n<p>\\u00a0<\\/p>\\n<ul>\\n<li>Pour\\u00a0<a title=\\\"http:\\/\\/windows.microsoft.com\\/fr-fr\\/windows-vista\\/block-or-allow-cookies\\\" href=\\\"http:\\/\\/windows.microsoft.com\\/fr-fr\\/windows-vista\\/block-or-allow-cookies\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Internet Explorer\\u2122<\\/a><\\/li>\\n<li>Pour\\u00a0<a title=\\\"http:\\/\\/support.apple.com\\/kb\\/ht1677?viewlocale=fr_fr\\\" href=\\\"http:\\/\\/support.apple.com\\/kb\\/ht1677?viewlocale=fr_fr\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Safari\\u2122<\\/a><\\/li>\\n<li>Pour\\u00a0<a title=\\\"http:\\/\\/support.google.com\\/chrome\\/bin\\/answer.py?hl=fr&amp;;hlrm=en&amp;answer=95647\\\" href=\\\"http:\\/\\/support.google.com\\/chrome\\/bin\\/answer.py?hl=fr&amp;;hlrm=en&amp;answer=95647\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Chrome\\u2122<\\/a><\\/li>\\n<li>Pour\\u00a0<a title=\\\"https:\\/\\/support.mozilla.org\\/fr\\/kb\\/activer-desactiver-cookies-preferences\\\" href=\\\"https:\\/\\/support.mozilla.org\\/fr\\/kb\\/activer-desactiver-cookies-preferences\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Firefox\\u2122<\\/a><\\/li>\\n<li>Pour Opera\\u2122<\\/li>\\n<\\/ul>\\n<p>\\u00a0<\\/p>\\n<p>Vous pouvez \\u00e9galement param\\u00e9trer votre navigateur afin que celui-ci envoie un code indiquant aux sites Web que vous ne souhaitez pas \\u00eatre suivis. (option \\u00ab Do No Track \\u00bb).<br \\/>Nous vous invitons \\u00e0 cliquer sur le nom de votre navigateur pour acc\\u00e9der au menu d\\u2019aide correspondant :<\\/p>\\n<p>\\u00a0<\\/p>\\n<ul>\\n<li><a title=\\\"https:\\/\\/support.microsoft.com\\/fr-fr\\/help\\/17288\\/windows-internet-explorer-11-use-do-not-track\\\" href=\\\"https:\\/\\/support.microsoft.com\\/fr-fr\\/help\\/17288\\/windows-internet-explorer-11-use-do-not-track\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Internet Explorer\\u2122<\\/a>\\u00a0;<\\/li>\\n<li>Safari\\u2122 ;<\\/li>\\n<li><a title=\\\"https:\\/\\/support.google.com\\/chrome\\/answer\\/114836?\\\" href=\\\"https:\\/\\/support.google.com\\/chrome\\/answer\\/114836?\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Chrome\\u2122<\\/a>\\u00a0;<\\/li>\\n<li><a title=\\\"https:\\/\\/support.mozilla.org\\/fr\\/kb\\/comment-activer-option-ne-pas-pister\\\" href=\\\"https:\\/\\/support.mozilla.org\\/fr\\/kb\\/comment-activer-option-ne-pas-pister\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Firefox\\u2122<\\/a>\\u00a0;<\\/li>\\n<li><a title=\\\"http:\\/\\/help.opera.com\\/Windows\\/12.10\\/en\\/notrack.html\\\" href=\\\"http:\\/\\/help.opera.com\\/Windows\\/12.10\\/en\\/notrack.html\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Opera\\u2122<\\/a>.<\\/li>\\n<\\/ul>\\n<h3>\\u00a0<\\/h3>\\n<h3><strong>3.4 Plugin: Smush<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Smush envoie des images aux serveurs WPMU DEV pour les optimiser pour une utilisation sur le Web. Cela inclut le transfert des donn\\u00e9es EXIF.\\u00a0<span class=\\\"\\\">Les donn\\u00e9es EXIF seront supprim\\u00e9es ou renvoy\\u00e9es telles quelles.<\\/span>\\u00a0Il n\\u2019est pas stock\\u00e9 sur les serveurs WPMU DEV.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>3.5 Plugin: Defender Pro<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p><strong>Tiers :\\u00a0<\\/strong><span id=\\\"result_box\\\" class=\\\"\\\" lang=\\\"fr\\\"><span class=\\\"\\\">Ce site peut \\u00eatre utilis\\u00e9 par un stockage en nuage WPMU tiers pour stocker des sauvegardes de son audit lorsque des informations personnelles sont collect\\u00e9es.<\\/span><br \\/><\\/span><\\/p>\\n<p>\\u00a0<\\/p>\\n<p><strong>Donn\\u00e9es suppl\\u00e9mentaires :\\u00a0<\\/strong><span id=\\\"result_box\\\" class=\\\"\\\" lang=\\\"fr\\\"><span class=\\\"\\\">Ce site cr\\u00e9e et stocke un journal d\\u2019activit\\u00e9 qui capture l\\u2019adresse IP, le nom d\\u2019utilisateur, l\\u2019adresse \\u00e9lectronique et l\\u2019activit\\u00e9 de l\\u2019utilisateur (par exemple, lorsqu\\u2019un utilisateur fait un commentaire).<\\/span><\\/span><\\/p>\\n<p><span id=\\\"result_box\\\" class=\\\"\\\" lang=\\\"fr\\\"><span class=\\\"\\\">Les informations seront stock\\u00e9es localement pendant 30 jours et \\u00e0 distance pendant 1 an.<\\/span><\\/span><\\/p>\\n<p><span id=\\\"result_box\\\" class=\\\"\\\" lang=\\\"fr\\\"><span class=\\\"\\\">Les informations sur les journaux distants ne peuvent pas \\u00eatre effac\\u00e9es pour des raisons de s\\u00e9curit\\u00e9.<\\/span><\\/span><\\/p>\\n<\\/div>\\n<p>\\u00a0<\\/p>\\n<div class=\\\"et_pb_text_inner\\\">\\n<h2>4. Contenu embarqu\\u00e9 depuis d\\u2019autres sites<\\/h2>\\n<p>\\u00a0<\\/p>\\n<p>Les articles de ce site peuvent inclure des contenus int\\u00e9gr\\u00e9s (par exemple des vid\\u00e9os, images, articles\\u2026). Le contenu int\\u00e9gr\\u00e9 depuis d\\u2019autres sites se comporte de la m\\u00eame mani\\u00e8re que si le visiteur se rendait sur cet autre site.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Ces sites web pourraient collecter des donn\\u00e9es sur vous, utiliser des cookies, embarquer des outils de suivis tiers, suivre vos interactions avec ces contenus embarqu\\u00e9s si vous disposez d\\u2019un compte connect\\u00e9 sur leur site web.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>4.1 Statistiques et mesures d\\u2019audience : Google Analytics<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Ce site web utilise Google Analytics, un service d\\u2019analyse web fourni par Google, Inc. (\\u201cGoogle\\u201d). Google Analytics utilise des \\u201ccookies\\u201d, qui sont des fichiers texte plac\\u00e9s sur les ordinateurs des visiteurs ayant pour but d\\u2019aider les op\\u00e9rateurs de sites web \\u00e0 analyser comment les visiteurs utilisent leur site. Les informations g\\u00e9n\\u00e9r\\u00e9es par le cookie \\u00e0 propos de la mani\\u00e8re dont les visiteurs utilisent le site web seront g\\u00e9n\\u00e9ralement transmises et stock\\u00e9es par Google sur des serveurs aux \\u00c9tats-Unis.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Sur ce site web, l\\u2019anonymisation de l\\u2019adresse IP a \\u00e9t\\u00e9 activ\\u00e9e. L\\u2019adresse IP des utilisateurs de Google des membres des \\u00e9tats de l\\u2019union europ\\u00e9enne, ou de tout autre pays ayant contract\\u00e9 l\\u2019accord sur l\\u2019Espace \\u00e9conomique europ\\u00e9en sera raccourcie. L\\u2019adresse IP compl\\u00e8te sera transf\\u00e9r\\u00e9e uniquement dans des cas exceptionnels sur un serveur de Google aux \\u00c9tats-Unis, et sera raccourcie ensuite sur celui-ci. Pour le compte de l\\u2019op\\u00e9rateur du site web, Google utilisera ces informations dans le but d\\u2019\\u00e9valuer le site pour ses utilisateurs, pour compiler des rapports sur l\\u2019activit\\u00e9 du site web, et pour fournir d\\u2019autres services relatifs \\u00e0 l\\u2019activit\\u00e9 du site web et de l\\u2019utilisation d\\u2019Internet pour les op\\u00e9rateurs du site web.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Google n\\u2019associera pas les adresses IP transf\\u00e9r\\u00e9es dans le cadre de Google Analytics avec toute autre donn\\u00e9e utilis\\u00e9e par Google. Vous pouvez refuser l\\u2019utilisation de cookies en param\\u00e9trant l\\u2019option appropri\\u00e9e dans votre navigateur web. Veuillez n\\u00e9anmoins garder \\u00e0 l\\u2019esprit qu\\u2019en faisant cela, vous pourriez ne pas \\u00eatre en mesure d\\u2019utiliser toutes les fonctionnalit\\u00e9s de ce site web.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>De plus, les utilisateurs peuvent emp\\u00eacher la r\\u00e9colte des donn\\u00e9es relatives \\u00e0 leurs utilisation du site web (y compris leur adresse IP) g\\u00e9n\\u00e9r\\u00e9es par le cookie et l\\u2019utilisation des donn\\u00e9es par Google, en t\\u00e9l\\u00e9chargeant et en installant le plug-in pour le navigateur disponible \\u00e0 cette adresse :\\u00a0<\\/p>\\n<p><a class=\\\"external_blank\\\" title=\\\"https:\\/\\/tools.google.com\\/dlpage\\/gaoptout?hl=fr\\\" href=\\\"https:\\/\\/tools.google.com\\/dlpage\\/gaoptout?hl=fr\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">https:\\/\\/tools.google.com\\/dlpage\\/gaoptout?hl=fr<\\/a>.<\\/p>\\n<h2>\\u00a0<\\/h2>\\n<h2>5. Utilisation et transmission de vos donn\\u00e9es personnelles<\\/h2>\\n<h3>\\u00a0<\\/h3>\\n<h3><strong>5.1. Dur\\u00e9es de stockage de vos donn\\u00e9es<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Si vous laissez un commentaire, le commentaire et ses m\\u00e9tadonn\\u00e9es sont conserv\\u00e9s ind\\u00e9finiment. Cela permet de reconna\\u00eetre et approuver automatiquement les commentaires suivants au lieu de les laisser dans la file de mod\\u00e9ration.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Pour les utilisateurs et utilisatrices qui s\\u2019enregistrent sur notre site (si cela est possible), nous stockons \\u00e9galement les donn\\u00e9es personnelles indiqu\\u00e9es dans leur profil. Tous les utilisateurs et utilisatrices peuvent voir, modifier ou supprimer leurs informations personnelles \\u00e0 tout moment (\\u00e0 l\\u2019exception de leur nom d\\u2019utilisateur\\u00b7ice). Les gestionnaires du site peuvent aussi voir et modifier ces informations.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>5.2. Les droits que vous avez sur vos donn\\u00e9es<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Si vous avez un compte ou si vous avez laiss\\u00e9 des commentaires sur le site, vous pouvez demander \\u00e0 recevoir un fichier contenant toutes les donn\\u00e9es personnelles que nous poss\\u00e9dons \\u00e0 votre sujet, incluant celles que vous nous avez fournies. Vous pouvez \\u00e9galement demander la suppression des donn\\u00e9es personnelles vous concernant. Cela ne prend pas en compte les donn\\u00e9es stock\\u00e9es \\u00e0 des fins administratives, l\\u00e9gales ou pour des raisons de s\\u00e9curit\\u00e9.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>5.3. Droit d\\u2019acc\\u00e8s \\u00e0 vos donn\\u00e9es personnelles<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Vous disposez d\\u2019un droit d\\u2019acc\\u00e8s, de modification et\\/ou de suppression des donn\\u00e9es vous concernant \\u00e0 tout moment en contactant la responsable :<\\/p>\\n<p>\\u00a0<\\/p>\\n<ul>\\n<li>Par voie postale : Kook Agency \\u2013 66 avenue des Champs-Elys\\u00e9es \\u2013 75008 PARIS accompagn\\u00e9 d\\u2019une copie d\\u2019une pi\\u00e8ce d\\u2019identit\\u00e9. Id\\u00e9alement, en recommand\\u00e9 avec accus\\u00e9 de r\\u00e9ception.<\\/li>\\n<li>Sur place dans nos locaux : avec pr\\u00e9sentation d\\u2019une pi\\u00e8ce d\\u2019identit\\u00e9. La CNIL pr\\u00e9cise : \\u00ab Il est possible de se faire accompagner par la personne de son choix. La consultation doit durer suffisamment longtemps pour prendre note commod\\u00e9ment et compl\\u00e8tement. Il est possible de demander une copie des donn\\u00e9es \\u00bb.<\\/li>\\n<\\/ul>\\n<p>\\u00a0<\\/p>\\n<p>Le responsable du fichier dispose d\\u2019un d\\u00e9lai de r\\u00e9ponse maximal de 2 mois \\u00e0 compter de la demande, qu\\u2019elle ait \\u00e9t\\u00e9 exerc\\u00e9e par voie postale ou sur place. La CNIL pr\\u00e9cise : \\u00ab Si la demande est incompl\\u00e8te (absence de la pi\\u00e8ce d\\u2019identit\\u00e9 par exemple), le responsable du fichier est en droit de demander des compl\\u00e9ments : le d\\u00e9lai est alors suspendu et courre \\u00e0 nouveau une fois ces \\u00e9l\\u00e9ments fournis \\u00bb.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Les limites au droit d\\u2019acc\\u00e8s sont pr\\u00e9cis\\u00e9es sur le site de la CNIL et\\u00a0<a title=\\\"https:\\/\\/www.cnil.fr\\/fr\\/respecter-les-droits-des-personnes\\\" href=\\\"https:\\/\\/www.cnil.fr\\/fr\\/respecter-les-droits-des-personnes\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">consultables en cliquant ici<\\/a>.<\\/p>\\n<p>\\u00a0<\\/p>\\n<h3><strong>5.4. Modification de vos abonnements<\\/strong><\\/h3>\\n<p>\\u00a0<\\/p>\\n<p>Vous pouvez aussi modifier librement vos abonnements \\u00e0 nos communications en cliquant sur \\u00ab Modifier mes pr\\u00e9f\\u00e9rences \\u00bb en bas de chacune de nos communications envoy\\u00e9es par e-mail.<\\/p>\\n<p>\\u00a0<\\/p>\\n<p>Pour vous d\\u00e9sabonner de toutes les communications de www.kook-agency.fr, vous devez cliquer sur le lien de d\\u00e9sabonnement qui se situe en bas de nos e-mails. Vous pourrez ensuite choisir :<br \\/>\\u2013 de modifier vos pr\\u00e9f\\u00e9rences de r\\u00e9ception de nos communications<br \\/>\\u2013 de vous d\\u00e9sabonner de toutes les communications marketing et commerciales jusqu\\u2019\\u00e0 nouvelle soumission de votre consentement sur le site internet.<\\/p>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/article>\\n<\\/div>\\n<footer class=\\\"et-l et-l--footer\\\">\\n<div class=\\\"et_builder_inner_content et_pb_gutters3\\\">\\n<div class=\\\"et_pb_section et_pb_section_0_tb_footer et_pb_with_background et_section_regular et_pb_section--with-menu\\\">\\n<div class=\\\"et_pb_row et_pb_row_0_tb_footer footerRowContain et_pb_row--with-menu et_pb_row_4col\\\">\\n<div class=\\\"et_pb_column et_pb_column_1_4 et_pb_column_0_tb_footer  et_pb_css_mix_blend_mode_passthrough\\\">\\u00a0<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<\\/footer><!-- \\/wp:paragraph -->\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10886", "3", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("10887", "3", "_yoast_wpseo_estimated-reading-time-minutes", "12");
INSERT INTO `wp_postmeta` VALUES("10888", "3", "_elementor_css", "a:6:{s:4:\"time\";i:1685967383;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10885", "3", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("10889", "5104", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10890", "5104", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("10891", "5104", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("10900", "5104", "_elementor_data", "[{\"id\":\"4ed0df4a\",\"elType\":\"section\",\"settings\":{\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"26d99261\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"6e55bf2d\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>L\\u2019acc\\u00e8s et l\\u2019utilisation du site Internet accessible \\u00e0 l\\u2019adresse suivante : https:\\/\\/www.kook-agency.fr (ci-apr\\u00e8s d\\u00e9nomm\\u00e9 le \\u00ab Site \\u00bb) de la soci\\u00e9t\\u00e9 KOOK AGENCY- SAS AGENCE HASHTAG (ci-apr\\u00e8s d\\u00e9nomm\\u00e9e le \\u00ab Responsable du Site \\u00bb) et des services qui y sont propos\\u00e9s sont soumis au respect des pr\\u00e9sentes Conditions G\\u00e9n\\u00e9rales de Service (ci-apr\\u00e8s d\\u00e9nomm\\u00e9es les \\u00ab CGS \\u00bb).<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site exerce une activit\\u00e9 de cr\\u00e9ation et d\\u2019animation de r\\u00e9seaux web, au profit de soci\\u00e9t\\u00e9s souhaitant se faire conna\\u00eetre ou accro\\u00eetre leur visibilit\\u00e9 commerciale par le biais de diff\\u00e9rents outils et plus sp\\u00e9cialement internet et les r\\u00e9seaux sociaux et communautaires. \\u00c0 ce titre, le Responsable du Site revendique une comp\\u00e9tence dans la mise en \\u0153uvre d\\u2019actions sp\\u00e9cifiques afin d\\u2019optimiser la communication professionnelle du Client.<\\/p><p>Le Client a souhait\\u00e9 se rapprocher du Responsable du Site afin d\\u2019envisager l\\u2019animation et l\\u2019organisation d\\u2019une communication cibl\\u00e9e et particuli\\u00e8re adoss\\u00e9e aux supports d\\u00e9finis par le Devis.<\\/p><p>Le Client a ainsi confi\\u00e9 au Responsable du Site le soin de r\\u00e9aliser et de fournir, en vue de son int\\u00e9gration sur l\\u2019outil d\\u00e9fini au Devis, des contenus identifi\\u00e9s au sein du Devis, ou dans un descriptif pr\\u00e9alable valant Proc\\u00e8s-verbal de discussion entre le Responsable du Site et le Client.<\\/p><p>Apr\\u00e8s avoir pris connaissance des sp\\u00e9cificit\\u00e9s et attentes et contraintes \\u00e9ditoriales du Client, le Responsable du Site a d\\u00e9clar\\u00e9 disposer de l\\u2019organisation, des comp\\u00e9tences, des moyens et des ressources lui permettant de r\\u00e9aliser et fournir les Services, et notamment le Contenu et ses Mises \\u00e0 jour conform\\u00e9ment aux pr\\u00e9sentes CGS.<\\/p>\",\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ff98d57\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"tab_title\":\"ACCEPTATION\",\"tab_content\":\"<p>Tout acc\\u00e8s au Site et\\/ou utilisation du Site par le Client suppose l\\u2019acceptation inconditionnelle et sans r\\u00e9serve et le respect de l\\u2019ensemble des termes des pr\\u00e9sentes CGS. Elles constituent un contrat entre le Responsable du Site et le Client.<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site se r\\u00e9serve la possibilit\\u00e9 de faire \\u00e9voluer \\u00e0 tout moment le Site ainsi que les pr\\u00e9sentes Conditions G\\u00e9n\\u00e9rales de Service, ou encore de modifier ou compl\\u00e9ter celles-ci par de nouvelles conditions contractuelles compl\\u00e9mentaires. Le Client sera inform\\u00e9 par tous moyens de toute modification des pr\\u00e9sentes CGS.<br \\/>Les CGS applicables sont celles en ligne sur le Site et en vigueur \\u00e0 la date de Commande pass\\u00e9e par le Client.<\\/p>\",\"_id\":\"e759159\"},{\"tab_title\":\"D\\u00c9FINITIONS\",\"tab_content\":\"<p>Au sens des pr\\u00e9sentes CGS, les termes et\\/ou expressions mentionn\\u00e9es ci-dessous auront la signification suivante, \\u00e0 savoir :<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Anomalie<\\/strong>\\u00a0\\u00bb : d\\u00e9signe toute diff\\u00e9rence entre le fonctionnement constat\\u00e9 d\\u2019un D\\u00e9veloppement sp\\u00e9cifique et le fonctionnement d\\u00e9crit dans l\\u2019expression de besoin du Client, d\\u00e8s lors que cette diff\\u00e9rence est exclusivement imputable au Responsable du Site.<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Anomalie Bloquante<\\/strong>\\u00a0\\u00bb d\\u00e9signe toute Anomalie rendant impossible l\\u2019utilisation de tout ou partie des D\\u00e9veloppements sp\\u00e9cifiques.<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Anomalie Semi<\\/strong><strong>\\u2010<\\/strong><strong>Bloquante<\\/strong>\\u00a0\\u00bb d\\u00e9signe toute Anomalie ne permettant l\\u2019utilisation des D\\u00e9veloppements sp\\u00e9cifiques que pour partie.<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Anomalie Non Bloquante<\\/strong> \\u00bb d\\u00e9signe toute Anomalie permettant de poursuivre l\\u2019exploitation compl\\u00e8te des D\\u00e9veloppements sp\\u00e9cifiques, m\\u00eame si cela se fait au moyen d\\u2019une proc\\u00e9dure inhabituelle, mise en \\u0153uvre par le Client lui\\u2010m\\u00eame.<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Client<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe la personne morale qui effectue une Commande\\u00a0sur le Site ;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Commande<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe l\\u2019achat de Service(s) effectu\\u00e9 sur le Site par le Client apr\\u00e8s acceptation sans r\\u00e9serve des CGS et qui constitue une vente ferme et d\\u00e9finitive\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Contenu<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe l\\u2019ensemble des \\u00e9l\\u00e9ments d\\u2019information pouvant \\u00eatre d\\u00e9crits dans une annexe, dans un Proc\\u00e8s-verbal de discussion ou directement dans un Devis, entre le Responsable du Site et le Client et comprenant notamment des articles r\\u00e9dactionnels, textes, photos, dessins, graphiques, tableaux, titres, informations et donn\\u00e9es de toute sorte, et les mises \\u00e0 jour de ces \\u00e9l\\u00e9ments\\u00a0;<\\/p><p>\\u00a0<\\/p><p><strong>\\u00ab\\u00a0Contrat\\u00a0\\u00bb\\u00a0<\\/strong>: d\\u00e9signe le contrat r\\u00e9sultant de l\\u2019acceptation des pr\\u00e9sentes CGS et du choix des Services par le Client, mat\\u00e9rialis\\u00e9 par la signature \\u00e9lectronique du Client lors de la Commande\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Devis<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe la proposition commerciale formul\\u00e9e par le Responsable du Site en fonction des besoins exprim\\u00e9s par le Client\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>D\\u00e9veloppement sp\\u00e9cifique\\u00a0<\\/strong>\\u00bb: d\\u00e9signe le programme informatique, en code source et en code objet, destin\\u00e9 \\u00e0 mettre en \\u0153uvre les Services\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Mise \\u00e0 jour<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe tout compl\\u00e9ment, modification, adaptation d\\u2019un contenu existant, \\u00e0 l\\u2019exception des refontes compl\\u00e8tes de ce contenu\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Responsable du site<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe la soci\\u00e9t\\u00e9 KOOK AGENCY-\\u00a0 SAS AGENCE HASHTAG\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Proc\\u00e8s-verbal de discussion<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe les documents d\\u00e9finissant notamment les contraintes techniques relatives au Contenu, en ce compris les supports et les sp\\u00e9cifications techniques des formats de fourniture et de transmission, les fr\\u00e9quences et les modalit\\u00e9s de livraison des Contenus et Mises \\u00e0 jour\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Service(s)<\\/strong>\\u00a0\\u00bbd\\u00e9signe les services commercialis\\u00e9s par la soci\\u00e9t\\u00e9 KOOK AGENCY-\\u00a0 SAS AGENCE HASHTAG, et notamment les services d\\u2019animation des r\\u00e9seaux sociaux et sites web identifi\\u00e9s d\\u2019un commun accord avec le Client, ainsi que la fourniture du Contenu et des Mises \\u00e0 jour sur ces sites web, la gestion de leur r\\u00e9f\\u00e9rencement naturel et des campagnes publicitaires, pouvant comprendre \\u00e9galement des prestations de shootings photo et vid\\u00e9o dans les locaux du Client\\u00a0;<\\/p><p>\\u00a0<\\/p><p>\\u00ab\\u00a0<strong>Site<\\/strong>\\u00a0\\u00bb\\u00a0: d\\u00e9signe le site Internet de la soci\\u00e9t\\u00e9 KOOK AGENCY-\\u00a0 SAS AGENCE HASHTAG accessible \\u00e0 l\\u2019adresse url\\u00a0: https:\\/\\/www.kook-agency.fr.<\\/p>\",\"_id\":\"7d5bdac\"},{\"tab_title\":\"DOCUMENTS CONTRACTUELS\",\"tab_content\":\"<p>Les documents contractuels sont dans l\\u2019ordre de priorit\\u00e9 d\\u00e9croissant :<\\/p><p>\\u00a0<\\/p><ul><li>Les Devis accept\\u00e9s du client,<\\/li><li>Le contrat r\\u00e9sultant des pr\\u00e9sentes CGS, ses avenants, tout Proc\\u00e8s-verbal de discussion co-sign\\u00e9 des parties,<\\/li><li>Les annexes aux documents ci-avant mentionn\\u00e9s.<\\/li><\\/ul><p>\\u00a0<\\/p><p>En cas de contradiction entre une ou plusieurs stipulations figurant dans l\\u2019un quelconque de ces diff\\u00e9rents documents, le document de niveau sup\\u00e9rieur pr\\u00e9vaudra.<\\/p>\",\"_id\":\"ea2e963\"},{\"tab_title\":\"OBJET\",\"tab_content\":\"<p>La soci\\u00e9t\\u00e9 KOOK AGENCY-\\u00a0 SAS AGENCE HASHTAG, Responsable du Site, est sp\\u00e9cialis\\u00e9e dans l\\u2019accompagnement de ses Clients dans la mise en \\u0153uvre de leur strat\\u00e9gie digitale, et notamment le d\\u00e9veloppement de sites web et d\\u2019applications mobiles, la cr\\u00e9ation de site vitrine et e-commerce, le r\\u00e9f\\u00e9rencement naturel ou encore le community management.<\\/p><p>\\u00a0<\\/p><p>Le Site permet donc aux Clients d\\u2019effectuer des Commandes de Services relatifs \\u00e0 ces activit\\u00e9s.<\\/p><p>\\u00a0<\\/p><p>Les pr\\u00e9sentes CGS \\u00e9tablissent les conditions contractuelles exclusivement applicables \\u00e0 toute Commande effectu\\u00e9e sur le Site par un Client.<\\/p>\",\"_id\":\"3c63770\"},{\"tab_title\":\"SERVICES\",\"tab_content\":\"<p>Le Responsable du Site pr\\u00e9sente au Client les caract\\u00e9ristiques essentielles des Services fournis via le Site, que le Client est invit\\u00e9 \\u00e0 lire attentivement.<\\/p><p>\\u00a0<\\/p><p>Les Services peuvent \\u00eatre r\\u00e9alis\\u00e9s par le Responsable du Site dans tout le territoire de l\\u2019Union europ\\u00e9enne.<\\/p>\",\"_id\":\"98d7b17\"},{\"tab_title\":\"COMMANDE\",\"tab_content\":\"<p>Le Client peut effectuer des Commandes sur le Site en contactant au pr\\u00e9alable le Responsable du Site par t\\u00e9l\\u00e9phone au 04 94 03 92 28, par mail en \\u00e9crivant \\u00e0 l\\u2019adresse contact@kook-agency.fr.<\\/p><p>\\u00a0<\\/p><p>Pour passer Commande, le Client, apr\\u00e8s avoir indiqu\\u00e9 le(s) Service(s) souhait\\u00e9(s) et repris dans le Devis, et avoir obtenu les caract\\u00e9ristiques essentielles de ces services par le Responsable du Site, doit ensuite valider la conclusion du Contrat en le signant par la voie de la signature \\u00e9lectronique, et fournir les informations relatives au moyen de paiement du ou des Service(s).<\\/p><p>\\u00a0<\\/p><p>Avant de signer le Contrat par voie \\u00e9lectronique, le Client peut v\\u00e9rifier le d\\u00e9tail de sa commande et son prix total, et revenir aux pages pr\\u00e9c\\u00e9dentes pour corriger d\\u2019\\u00e9ventuelles erreurs ou modifier sa Commande.<\\/p><p>\\u00a0<\\/p><p>La Commande n\\u2019est d\\u00e9finitivement enregistr\\u00e9e qu\\u2019apr\\u00e8s validation par le Client de son accord de paiement et acceptation par la banque de la transaction.<\\/p><p>\\u00a0<\\/p><p>D\\u00e8s que sa Commande est enregistr\\u00e9e, le Client re\\u00e7oit un courrier \\u00e9lectronique de confirmation reprenant les \\u00e9l\\u00e9ments essentiels de sa Commande.<\\/p><p>\\u00a0<\\/p><p>L\\u2019ensemble des donn\\u00e9es fournies par le Client lors du processus de Commande et la confirmation enregistr\\u00e9e de cette Commande valent preuve de la transaction.<\\/p><p>\\u00a0<\\/p><p>La confirmation de la Commande entra\\u00eene acceptation des CGS et forme le Contrat.<\\/p><p>\\u00a0<\\/p><p>La Commande effectu\\u00e9e par le Client ne l\\u2019engage que pour les Services contenus dans le Contrat, le Responsable du Site n\\u2019en d\\u00e9duit aucun engagement suppl\\u00e9mentaire de la part du Client.<\\/p><p>Le Responsable du Site d\\u00e9cline toute responsabilit\\u00e9 en cas de non-validation de la Commande, sans recours possible de la part du Client.<\\/p><p>\\u00a0<\\/p><ol start=\\\"2\\\"><li><a name=\\\"_Toc61969345\\\"><\\/a><strong>Modification de commande<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Toute modification ou annulation de Commande par le Client apr\\u00e8s confirmation de sa Commande est soumise \\u00e0 l\\u2019acceptation du Responsable du Site.<\\/p><p>\\u00a0<\\/p><p>Toute modification de Commande par le Responsable du Site apr\\u00e8s confirmation de la Commande est soumise \\u00e0 l\\u2019acceptation du Client.<\\/p><p>\\u00a0<\\/p><ol start=\\\"3\\\"><li><a name=\\\"_Toc61969346\\\"><\\/a><strong>Validation de la Commande<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site se r\\u00e9serve le droit de refuser toute Commande pour des motifs l\\u00e9gitimes et plus particuli\\u00e8rement s\\u2019il a un doute l\\u00e9gitime quant \\u00e0 la capacit\\u00e9 \\u00e0 contracter du Client.<\\/p><p>\\u00a0<\\/p><p>Toute Commande pass\\u00e9e apr\\u00e8s le 15 du mois ne pourra effectivement d\\u00e9buter qu\\u2019\\u00e0 compter du 1er du mois suivant et apr\\u00e8s validation de la premi\\u00e8re livraison d\\u2019un Contenu ou d\\u2019une Mise \\u00e0 jour par le Client.<\\/p>\",\"_id\":\"c5525bb\"},{\"tab_title\":\"PAIEMENT\",\"tab_content\":\"<p>Le paiement s\\u2019effectue imm\\u00e9diatement d\\u00e8s la confirmation de la Commande par pr\\u00e9l\\u00e8vement bancaire, ou dans des circonstances exceptionnelles tenant \\u00e0 la situation particuli\\u00e8re du Client, par virement bancaire.<\\/p><p>\\u00a0<\\/p><p>En cas de refus du paiement par la banque, le compte du Client n\\u2019\\u00e9tant pas d\\u00e9bit\\u00e9, le Responsable du Site adresse un message \\u00e9lectronique au Client lui demandant de mettre \\u00e0 jour ses informations bancaires. Ceci peut se produire par exemple si le compte du Client n\\u2019est pas suffisamment approvisionn\\u00e9.<\\/p><p>\\u00a0<\\/p><p>En attendant de recevoir ses coordonn\\u00e9es de paiement mises \\u00e0 jour, la Commande du Client est suspendue. D\\u00e8s mise \\u00e0 jour effective des coordonn\\u00e9es de paiement, le Responsable du Site soumet \\u00e0 nouveau le r\\u00e8glement \\u00e0 la banque du Client. Une fois le paiement valid\\u00e9, le Client re\\u00e7oit un message \\u00e9lectronique confirmant que sa Commande est bien prise en compte.<\\/p><p>\\u00a0<\\/p><p>Toutefois, en raison des caract\\u00e9ristiques des Services fournis par le Responsable du Site, la facturation du prix des Services sera r\\u00e9alis\\u00e9e par p\\u00e9riodicit\\u00e9 trimestrielle, au titre d\\u2019un paiement \\u00e0 \\u00e9choir pour les Services devant \\u00eatre effectu\\u00e9s dans la p\\u00e9riode de trois mois suivant la r\\u00e9ception de la facture par le Client.<\\/p><p>\\u00a0<\\/p><p>Toute retard dans le paiement du prix des Services en cours de Contrat donne lieu \\u00e0 une indemnit\\u00e9 due au Responsable du Site par le Client, dont le montant correspond \\u00e0 10 % du prix total des Services faisant l\\u2019objet de la Commande.<\\/p><p>\\u00a0<\\/p><p>A d\\u00e9faut de paiement avant la prochaine facturation trimestrielle du Client \\u00e9mise par le Responsable du Site, ce dernier sera en droit de suspendre tout ou partie des Services fournis au Client dans le cadre du Contrat.<\\/p>\",\"_id\":\"d47f2dc\"},{\"tab_title\":\"PRIX\",\"tab_content\":\"<p>Le prix des Services est celui en vigueur au jour de la confirmation de la Commande, tel qu\\u2019indiqu\\u00e9 au sein du Devis.<\\/p><p>\\u00a0<\\/p><p>Le prix des Servicesest indiqu\\u00e9 en euros Toutes Taxes Comprises au sein du Contrat.<\\/p><p>\\u00a0<\\/p><p>Toutes les Commandes, quelle que soit leur pays d\\u2019origine, sont payables en euros.<\\/p><p>\\u00a0<\\/p><p>Le prix des Services est exigible en totalit\\u00e9 apr\\u00e8s la confirmation de la Commande par le Client.<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site se r\\u00e9serve le droit de modifier ces prix \\u00e0 tout moment. Toutefois, les Services seront factur\\u00e9s sur la base des tarifs en vigueur au moment de la confirmation des Commandes, sous r\\u00e9serve de la disponibilit\\u00e9 des Services.<\\/p><p>\\u00a0<\\/p><p>Par d\\u00e9faut, le prix des Services est r\\u00e9vis\\u00e9 par le Responsable du Site le 1er janvier de chaque ann\\u00e9e civile. N\\u00e9anmoins la facturation du Client ne pourra \\u00eatre modifi\\u00e9e qu\\u2019\\u00e0 l\\u2019issue de la premi\\u00e8re p\\u00e9riode contractuelle telle que pr\\u00e9vue au Devis.<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site pourra appliquer une formule de r\\u00e9vision qui sera calcul\\u00e9e pour la prestation concern\\u00e9e, sur la base de la formule suivante :<\\/p><p>\\u00a0<\\/p><p>P = Po x [0,15 + 0,85 (Syntec A \\/ Syntec A-1)]<\\/p><p>\\u00a0<\\/p><p>o\\u00f9 :<\\/p><p>\\u00a0<\\/p><p>P = Nouveau Prix<\\/p><p>\\u00a0<\\/p><p>Po = Ancien Prix<\\/p><p>\\u00a0<\\/p><p>Syntec A = Valeur du dernier indice Syntec connu lors de la conclusion du Contrat.<\\/p><p>\\u00a0<\\/p><p>Syntec A-1 = Valeur indice Syntec de l\\u2019ann\\u00e9e N\\u20191 par rapport \\u00e0 la date de r\\u00e9vision.<\\/p>\",\"_id\":\"9c7cbc4\"},{\"tab_title\":\"FOURNITURE DES SERVICES\",\"tab_content\":\"<ol><li><strong>\\u00a0OBLIGATIONS GENERALES DU RESPONSABLE DU SITE<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site est soumis \\u00e0 une obligation de conseil et de mise en garde dans le cadre de l\\u2019ex\\u00e9cution des pr\\u00e9sentes.<\\/p><p>\\u00a0<\\/p><p>\\u00c0 l\\u2019issue du Contrat, le Responsable du Site livrera les D\\u00e9veloppements sp\\u00e9cifiques r\\u00e9alis\\u00e9s, ainsi que toute documentation r\\u00e9sultant de la mise en \\u0153uvre des Services, en ce compris les Contenus et les Mises \\u00e0 jour demand\\u00e9s par le Client.<\\/p><p>\\u00a0<\\/p><p>Compte tenu des al\\u00e9as inh\\u00e9rents \\u00e0 tout projet informatique, le Responsable du Site est tenu d\\u2019une obligation de moyens, par laquelle il s\\u2019engage \\u00e0 mettre en \\u0153uvre ses meilleurs moyens afin de r\\u00e9aliser les Services et les D\\u00e9veloppements sp\\u00e9cifiques.<\\/p><p>\\u00a0<\\/p><p>Les d\\u00e9lais dans lesquels les Services et les D\\u00e9veloppements sp\\u00e9cifiques doivent \\u00eatre r\\u00e9alis\\u00e9s par le Responsable du Site seront d\\u00e9termin\\u00e9s en fonction des Services command\\u00e9s par le Client et indiqu\\u00e9s au sein du Contrat, avant sa signature par le Client.<\\/p><p>\\u00a0<\\/p><p>Toutefois, le Client reconna\\u00eet que le respect de ces d\\u00e9lais par le Responsable du Site est subordonn\\u00e9 \\u00e0 une \\u00e9troite collaboration du Client dans l\\u2019ex\\u00e9cution du Contrat, et \\u00e0 sa capacit\\u00e9 \\u00e0 mobiliser ses \\u00e9quipes afin de fournir au Responsable du Site toute information ou documentation n\\u00e9cessaire \\u00e0 la r\\u00e9alisation des Services.<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site s\\u2019engage \\u00e0 proposer au Client le Contenu et les Mises \\u00e0 jour en fonction de l\\u2019\\u00e9tat de l\\u2019art existant au moment de la conclusion du Contrat, et des \\u00e9volutions relatives au domaine d\\u2019activit\\u00e9 de ces derniers conform\\u00e9ment aux conditions d\\u00e9finies aux pr\\u00e9sentes, au Devis ou au Proc\\u00e8s-verbal de discussions, et dans lesd\\u00e9lais, formats et volumes arr\\u00eat\\u00e9s conjointement par les Parties.<\\/p><p>\\u00a0<\\/p><p>Par ailleurs, le Responsable du Site veillera \\u00e0 ce que le Contenu soit d\\u2019une qualit\\u00e9 de r\\u00e9daction (compr\\u00e9hension, niveau de pr\\u00e9cision etc..) adapt\\u00e9e au public auquel s\\u2019adresse le Client, en fonction des informations qui lui auront \\u00e9t\\u00e9 communiqu\\u00e9es par le Client.<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site s\\u2019assurera avec l\\u2019aval du Client qu\\u2019\\u00e0 tout moment le Contenu ne contient ni d\\u00e9nigrement, ni imputations diffamatoires, n\\u2019est pas contraire aux bonnes m\\u0153urs, ne porte pas atteinte \\u00e0 la vie priv\\u00e9e et \\u00e0 l\\u2019ordre public, et ne viole pas les dispositions relatives aux lois sur la protection de la jeunesse, ou sur la protection des droits de propri\\u00e9t\\u00e9 intellectuelle.<\\/p><p>\\u00a0<\\/p><p>Le Contenu pourra, si le Client le souhaite, faire l\\u2019objet d\\u2019une personnalisation selon sa charte graphique, et ses signes distinctifs.<\\/p><p>\\u00a0<\\/p><ol start=\\\"2\\\"><li><strong>OBLIGATIONS PARTICULIERES DU RESPONSABLE DU SITE<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Dans le cadre de l\\u2019ex\\u00e9cution des Services, le Responsable du Site est susceptible d\\u2019avoir recours \\u00e0 un prestataire tiers pour permettre au Client de b\\u00e9n\\u00e9ficier de contrats de location-vente portant notamment sur la cr\\u00e9ation et le maintien de sites web.<\\/p><p>\\u00a0<\\/p><p>Lorsqu\\u2019il agit dans ce cadre, le Responsable du Site ne peut en aucun cas \\u00eatre tenu responsable des conditions contractuelles r\\u00e9gissant la relation entre le Client et le prestataire tiers auquel le Client a recours afin de permettre la mise en \\u0153uvre des Services.<\\/p><p>\\u00a0<\\/p><p>Par ailleurs, si les Services command\\u00e9s par le Client impliquent des prestations de shootings photo et vid\\u00e9o au sein de ses locaux r\\u00e9alis\\u00e9s par le Responsable du Site, ce dernier s\\u2019engage \\u00e0 respecter les r\\u00e8gles d\\u2019utilisation du syst\\u00e8me d\\u2019information du Client qui lui auraient \\u00e9t\\u00e9 communiqu\\u00e9es par le Client le cas \\u00e9ch\\u00e9ant.<\\/p><p>\\u00a0<\\/p><ol start=\\\"3\\\"><li><strong>OBLIGATIONS DU CLIENT<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Client est tenu d\\u2019apporter au Responsable du Site toutes les informations, mat\\u00e9riels et ressources n\\u00e9cessaires \\u00e0 la bonne ex\\u00e9cution du Contrat et \\u00e0 la mise en \\u0153uvre des Services afin de faciliter les interventions du Responsable du Site.<\\/p><p>\\u00a0<\\/p><p>A ce titre, le Client s\\u2019engage \\u00e0 d\\u00e9finir de fa\\u00e7on pr\\u00e9cise et circonstanci\\u00e9e l\\u2019ensemble de ses besoins au Responsable du Site afin que ce dernier \\u00e9mette un Devis conforme \\u00e0 ses attentes.<\\/p><p>\\u00a0<\\/p><p>Le Client est \\u00e9galement tenu de participer \\u00e0 toutes les r\\u00e9unions rendues n\\u00e9cessaires par la mise en \\u0153uvre des Services.<\\/p><p>\\u00a0<\\/p><p>Enfin, il incombe au Client, qui s\\u2019y engage, d\\u2019effectuer, au fur et \\u00e0 mesure, dans les d\\u00e9lais et selon les proc\\u00e9dures vis\\u00e9es aux pr\\u00e9sentes, les recettes des D\\u00e9veloppements sp\\u00e9cifiques r\\u00e9alis\\u00e9s par le Responsable du Site au titre du Contrat et de faire remonter les Anomalies ou difficult\\u00e9s rencontr\\u00e9es.<\\/p><p>\\u00a0<\\/p><p>Afin de faciliter la mise en \\u0153uvre de son obligation de collaboration, le Client d\\u00e9signe un interlocuteur privil\\u00e9gi\\u00e9 pour assurer le dialogue dans les diverses \\u00e9tapes de la mission confi\\u00e9e au Responsable du Site, qu\\u2019il devra d\\u00e9signer au sein du Devis valid\\u00e9 par ses soins.<\\/p><p>\\u00a0<\\/p><p>Afin de faciliter la r\\u00e9daction du Contenu, le Client est tenu de fournir au Responsable du Site toutes les informations et explications n\\u00e9cessaires afin que le Responsable du Site soit en mesure de comprendre de fa\\u00e7on exhaustive les \\u00e9ventuelles contraintes professionnelles auxquelles il serait tenu, pour restituer des Contenus conformes et qualitatifs dans le cadre des op\\u00e9rations de communication souhait\\u00e9es par le Client.<\\/p><p>\\u00a0<\\/p><p>Si les Services command\\u00e9s par le Client impliquent des prestations de shootings photo et vid\\u00e9o par le Responsable du Site, le Client s\\u2019engage \\u00e0 obtenir, de ses salari\\u00e9s et de ses clients, l\\u2019autorisation d\\u2019exploiter leur image. Le Client est seul responsable de l\\u2019obtention de l\\u2019autorisation d\\u2019exploiter l\\u2019image de ses salari\\u00e9s et de ses clients.<\\/p><p>\\u00a0<\\/p><ol start=\\\"4\\\"><li><strong>RECETTES<\\/strong><ol><li><strong>a- D\\u00e9veloppements sp\\u00e9cifiques<\\/strong><\\/li><\\/ol><\\/li><\\/ol><p>\\u00a0<\\/p><p>Lorsque les Services faisant l\\u2019objet de la Commande impliquent des D\\u00e9veloppements sp\\u00e9cifiques de la part du Responsable du Site, le Client s\\u2019engage \\u00e0 r\\u00e9aliser la recette des D\\u00e9veloppements sp\\u00e9cifiques dans les conditions ci-apr\\u00e8s.<\\/p><p>\\u00a0<\\/p><p>La recette des D\\u00e9veloppements sp\\u00e9cifiques devra \\u00eatre effectu\\u00e9e par le Client au plus tard 10 (dix) jours calendaires apr\\u00e8s la derni\\u00e8re livraison des D\\u00e9veloppements sp\\u00e9cifiques pr\\u00e9c\\u00e9dant la date de fin du Contrat.<\\/p><p>\\u00a0<\\/p><p>Faute d\\u2019acceptation expresse, de r\\u00e9serves ou de refus \\u00e9mis dans ce d\\u00e9lai, la mise en production des D\\u00e9veloppements sp\\u00e9cifiques vaudra recette tacite.<\\/p><p>\\u00a0<\\/p><p>Par ailleurs, la recette d\\u00e9finitive des D\\u00e9veloppements sp\\u00e9cifiques sera r\\u00e9put\\u00e9e acquise \\u00e0 l\\u2019expiration du d\\u00e9lai susvis\\u00e9, si le Client n\\u2019a pas fait conna\\u00eetre dans ce d\\u00e9lai son acceptation, ou \\u00e9mis des r\\u00e9serves, ou manifest\\u00e9 son refus.<\\/p><p>\\u00a0<\\/p><p>Lors de la recette des D\\u00e9veloppements sp\\u00e9cifiques, le Client doit notifier par \\u00e9crit au Responsable du Site toute Anomalie.<\\/p><p>\\u00a0<\\/p><p>Cette notification devra comprendre une description pr\\u00e9cise de l\\u2019Anomalie constat\\u00e9e afin que le Responsable du Site puisse la corriger.<\\/p><p>\\u00a0<\\/p><p>Apr\\u00e8s r\\u00e9ception de la notification du Client, le Responsable du Site indiquera une dur\\u00e9e de r\\u00e9solution estimative de l\\u2019Anomalie, puis proc\\u00e9dera \\u00e0 la correction de l\\u2019Anomalie et pr\\u00e9sentera les corrections effectu\\u00e9es au Client pour recette.<\\/p><p>\\u00a0<\\/p><p>Le Client s\\u2019engage \\u00e0 effectuer une nouvelle recette \\u00e0 compter de la nouvelle livraison des D\\u00e9veloppements sp\\u00e9cifiques corrig\\u00e9s.<\\/p><p>\\u00a0<\\/p><ol><li><strong>b- Contenus et Mises \\u00e0 jour<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Lorsque les Services faisant l\\u2019objet de la Commande impliquent la cr\\u00e9ation de Contenus ou la r\\u00e9alisation de Mises \\u00e0 jour de la part du Responsable du Site, le Client s\\u2019engage \\u00e0 r\\u00e9aliser la recette des Contenus et des Mises \\u00e0 jour dans les conditions ci-apr\\u00e8s.<\\/p><p>\\u00a0<\\/p><p>La recette des Contenus et des Mises \\u00e0 jour devra \\u00eatre effectu\\u00e9e par le Client au plus tard 5 (cinq) jours calendaires apr\\u00e8s leur livraison par le Responsable du Site.<\\/p><p>\\u00a0<\\/p><p>En cas de refus ou de r\\u00e9serve motiv\\u00e9e par le Client, le Responsable du Site s\\u2019engage \\u00e0 pr\\u00e9senter une nouvelle version du Contenu ou de la Mise \\u00e0 jour dans un d\\u00e9lai de 10 jours ouvr\\u00e9s. Le Client s\\u2019engage alors \\u00e0 ne pas diffuser les Contenus ou la Mise \\u00e0 jour refus\\u00e9s et ayant fait l\\u2019objet de corrections.<\\/p><p>\\u00a0<\\/p><p>A d\\u00e9faut de recette des Contenus ou des Mises \\u00e0 jour par le Client, ce dernier pourra confier la r\\u00e9alisation du Contenu ou de la Mise \\u00e0 jour concern\\u00e9 \\u00e0 un tiers.<\\/p><p>\\u00a0<\\/p><p>Le Client pourra toujours demander au Responsable du Site la suppression de tout Contenu mis en ligne qu\\u2019il jugerait inopportun. Le Responsable du Site s\\u2019engage alors \\u00e0 retirer le Contenu dans les plus brefs d\\u00e9lais.<\\/p><p>\\u00a0<\\/p><ol><li><strong>c- Limitations<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Seules les r\\u00e9serves relatives \\u00e0 des Anomalies Bloquantes ou \\u00e0 des Anomalies Semi-Bloquantes peuvent justifier l\\u2019absence d\\u2019acceptation de la recette d\\u2019un D\\u00e9veloppement sp\\u00e9cifique, d\\u2019un Contenu ou d\\u2019une Mise \\u00e0 jour.<\\/p><p>\\u00a0<\\/p><p>Pour chaque op\\u00e9ration de recette d\\u2019un D\\u00e9veloppement sp\\u00e9cifique, d\\u2019un Contenu ou d\\u2019une Mise \\u00e0 jour, le Client ne peut formuler de r\\u00e9serves que deux fois pour le m\\u00eame D\\u00e9veloppement sp\\u00e9cifique, le m\\u00eame Contenu ou la m\\u00eame Mise \\u00e0 jour.<\\/p>\",\"_id\":\"062f260\"},{\"tab_title\":\"GARANTIE\",\"tab_content\":\"<p>A la suite de la premi\\u00e8re mise en production des D\\u00e9veloppements sp\\u00e9cifiques, le Client peut disposer d\\u2019une garantie de r\\u00e9solution des Anomalies pendant une dur\\u00e9e d\\u00e9termin\\u00e9e durant laquelle le Responsable du Site fera ses meilleurs efforts pour corriger les Anomalies qui lui seraient notifi\\u00e9es par le Client.<\\/p><p>\\u00a0<\\/p><p>En cas d\\u2019Anomalie Bloquante, le Responsable du Site s\\u2019engage \\u00e0 intervenir dans un d\\u00e9lai maximum de48h \\u00e0 compter de la r\\u00e9ception de la notification du Client.<\\/p><p>\\u00a0<\\/p><p>En cas d\\u2019Anomalie Semi\\u2010Bloquante, le Responsable du Site s\\u2019engage \\u00e0 intervenir dans un d\\u00e9lai maximum de 72h \\u00e0 compter de la r\\u00e9ception de la notification du Client.<\\/p><p>\\u00a0<\\/p><p>En cas d\\u2019Anomalie Non Bloquante, le Responsable du Site s\\u2019engage \\u00e0 intervenir dans un d\\u00e9lai maximum de 5 jours \\u00e0 compter de la r\\u00e9ception de la notification du Client.<\\/p><p>\\u00a0<\\/p><p>La pr\\u00e9sente garantie constitue un service optionnel qui sera factur\\u00e9 par le Responsable du Site au Client et dont la dur\\u00e9e et le prix figureront au sein du Contrat, avant sa signature par le Client.<\\/p>\",\"_id\":\"60d66f6\"},{\"tab_title\":\"DONN\\u00c9ES PERSONNELLES\",\"tab_content\":\"<p>Les Parties s\\u2019engagent \\u00e0 respecter les dispositions du r\\u00e8glement (UE) n\\u00b02016\\/679 du 27 avril 2016 relatif \\u00e0 la protection des donn\\u00e9es \\u00e0 caract\\u00e8re personnel (RGPD) et de la loi n\\u00b078-17 du 6 janvier 1978 modifi\\u00e9e.<\\/p><p>\\u00a0<\\/p><p>Pour les traitements de donn\\u00e9es \\u00e0 caract\\u00e8re personnel d\\u00e9coulant le cas \\u00e9ch\\u00e9ant des pr\\u00e9sentes, le Client est qualifi\\u00e9 de Responsable du traitement et le Responsable du Site est qualifi\\u00e9 de sous-traitant, au sens de l\\u2019article 4 du RGPD.<\\/p><p>\\u00a0<\\/p><ol><li><strong>Description du traitement<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site est autoris\\u00e9 \\u00e0 traiter pour le compte du Client les donn\\u00e9es \\u00e0 caract\\u00e8re personnel n\\u00e9cessaires pour fournir les Services fournis au Client repris au sein du Devis.<\\/p><p>\\u00a0<\\/p><p>La nature des op\\u00e9rations r\\u00e9alis\\u00e9es sur les donn\\u00e9es est\\u00a0(rayer les mentions inutiles):<\\/p><p>\\u00a0<\\/p><ul><li>Collecte<\\/li><li>Enregistrement<\\/li><li>Organisation<\\/li><li>Structuration<\\/li><li>Conservation<\\/li><li>Adaptation ou modification<\\/li><li>Extraction<\\/li><li>Consultation<\\/li><li>Utilisation<\\/li><li>Communication par transmission<\\/li><li>Diffusion ou toute autre forme de mise \\u00e0 disposition<\\/li><li>Rapprochement ou interconnexion<\\/li><li>Limitation<\\/li><li>Effacement ou destruction<\\/li><\\/ul><p>\\u00a0<\\/p><p>La ou les finalit\\u00e9(s) du traitement sont la mise en \\u0153uvre des Services fournis au Client par le Responsable du Site.<\\/p><p>\\u00a0<\\/p><p>Les donn\\u00e9es \\u00e0 caract\\u00e8re personnel trait\\u00e9es sont\\u00a0(rayer les mentions inutiles) :<\\/p><p>\\u00a0<\\/p><ul><li>Donn\\u00e9es d\\u2019identification (\\u00e9tat civil, coordonn\\u00e9es, photographie\\u2026)<\\/li><li>Vie professionnelle (CV, situation professionnelle, scolarit\\u00e9, formation, distinctions, dipl\\u00f4mes\\u2026)<\\/li><li>Vie personnelle (habitude de vie, situation familiale\\u2026)<\\/li><li>Donn\\u00e9es de connexion (adresse IP, Logs, identification des terminaux, horadatage\\u2026)<\\/li><li>Information d\\u2019ordre \\u00e9conomique et financi\\u00e8re (revenu, donn\\u00e9es bancaires, rib, situation financi\\u00e8re\\u2026)<\\/li><li>Donn\\u00e9es de transaction (panier d\\u2019achat, montant et date de transactions\\u2026)<\\/li><li>Donn\\u00e9es de navigation (cookies, traceurs, mesure d\\u2019audience\\u2026)<\\/li><li>Donn\\u00e9es de localisation (d\\u00e9placement, donn\\u00e9es GPS\\u2026)<\\/li><\\/ul><p>\\u00a0<\\/p><p>Les cat\\u00e9gories de personnes concern\\u00e9es sont (rayer les mentions inutiles)\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Prestataires<\\/li><li>Collaborateurs<\\/li><li>Famille des collaborateurs<\\/li><li>Stagiaires<\\/li><li>Int\\u00e9rimaires<\\/li><li>Contractuels<\\/li><li>Visiteurs<\\/li><li>Clients<\\/li><li>Famille des clients<\\/li><li>Prospects<\\/li><li>Famille des prospects<\\/li><li>Internautes<\\/li><li>Dirigeants<\\/li><li>Actionnaires\\/Associ\\u00e9s<\\/li><\\/ul><p>\\u00a0<\\/p><p>Pour l\\u2019ex\\u00e9cution des Services, le Client met \\u00e0 la disposition du Responsable du Site les informations n\\u00e9cessaires afin de mettre en \\u0153uvre les Services fournis au Client par le Responsable du Site, ainsi que les donn\\u00e9es \\u00e0 caract\\u00e8re personnel indiqu\\u00e9es ci-dessus.<\\/p><p>\\u00a0<\\/p><ol start=\\\"2\\\"><li><strong>Dur\\u00e9e<\\/strong><\\/li><\\/ol><p>Les pr\\u00e9sentes sont applicables pour une dur\\u00e9e \\u00e9gale \\u00e0 celle du Contrat.<\\/p><p>\\u00a0<\\/p><ol start=\\\"3\\\"><li><strong>Obligations du Responsable du Site<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site s\\u2019engage \\u00e0\\u00a0:<\\/p><p>\\u00a0<\\/p><p>1.traiter les donn\\u00e9es uniquement pour la ou les seule(s) finalit\\u00e9(s) qui fait\\/font l\\u2019objet de la sous-traitance.<\\/p><p>\\u00a0<\\/p><ol start=\\\"2\\\"><li>traiter les donn\\u00e9es conform\\u00e9ment aux instructions document\\u00e9es du Client figurant en annexe des pr\\u00e9sentes clauses. Si le Responsable du Site consid\\u00e8re qu\\u2019une instruction constitue une violation du r\\u00e8glement europ\\u00e9en sur la protection des donn\\u00e9es ou de toute autre disposition du droit de l\\u2019Union ou du droit des Etats membres relative \\u00e0 la protection des donn\\u00e9es, il en informe imm\\u00e9diatement le Client. En outre, si le Responsable du Site est tenu de proc\\u00e9der \\u00e0 un transfert de donn\\u00e9es vers un pays tiers ou \\u00e0 une organisation internationale, en vertu du droit de l\\u2019Union ou du droit de l\\u2019Etat membre auquel il est soumis, il doit informer le Client de cette obligation juridique avant le traitement, sauf si le droit concern\\u00e9 interdit une telle information pour des motifs importants d\\u2019int\\u00e9r\\u00eat public.<\\/li><li>garantir la confidentialit\\u00e9 des donn\\u00e9es \\u00e0 caract\\u00e8re personnel trait\\u00e9es dans le cadre des pr\\u00e9sentes clauses<\\/li><li>veiller \\u00e0 ce que les personnes autoris\\u00e9es \\u00e0 traiter les donn\\u00e9es \\u00e0 caract\\u00e8re personnel en vertu des pr\\u00e9sentesclauses\\u00a0:<\\/li><\\/ol><ul><li>s\\u2019engagent \\u00e0 respecter la confidentialit\\u00e9 ou soient soumises \\u00e0 une obligation l\\u00e9gale appropri\\u00e9e de confidentialit\\u00e9<\\/li><li>re\\u00e7oivent la formation n\\u00e9cessaire en mati\\u00e8re de protection des donn\\u00e9es \\u00e0 caract\\u00e8re personnel<\\/li><\\/ul><ol start=\\\"5\\\"><li>prendre en compte, s\\u2019agissant de ses outils, produits, applications ou services, les principes de protection des donn\\u00e9es d\\u00e8s la conception et de protection des donn\\u00e9es par d\\u00e9faut.<\\/li><li>Sous-traitance<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site peut faire appel \\u00e0 un autre sous-traitant (ci-apr\\u00e8s, \\u00ab le Sous-traitant ult\\u00e9rieur \\u00bb) pour mener des activit\\u00e9s de traitement sp\\u00e9cifiques. Dans ce cas, il informe pr\\u00e9alablement et par tout moyen le Client de tout changement envisag\\u00e9 concernant l\\u2019ajout ou le remplacement d\\u2019autres sous-traitants. Cette information doit indiquer clairement les activit\\u00e9s de traitement sous-trait\\u00e9es, l\\u2019identit\\u00e9 et les coordonn\\u00e9es du Sous-traitant ult\\u00e9rieur et les dates du contrat de sous-traitance. Le Client dispose d\\u2019un d\\u00e9lai de 7 (sept) jours \\u00e0 compter de la date de r\\u00e9ception de cette information pour pr\\u00e9senter ses objections. A d\\u00e9faut d\\u2019objection, le Client sera r\\u00e9put\\u00e9 avoir accept\\u00e9 les changements dont il a \\u00e9t\\u00e9 inform\\u00e9 par le Responsable du Site.<\\/p><p>\\u00a0<\\/p><ol start=\\\"7\\\"><li>Droit d\\u2019information des personnes concern\\u00e9es<\\/li><\\/ol><p>\\u00a0<\\/p><p>Il appartient au Client de fournir l\\u2019information aux personnes concern\\u00e9es par les op\\u00e9rations de traitement au moment de la collecte des donn\\u00e9es.<\\/p><p>\\u00a0<\\/p><ol start=\\\"8\\\"><li>Exercice des droits des personnes<\\/li><\\/ol><p>\\u00a0<\\/p><p>Dans la mesure du possible, le Responsable du Site doit aider le Client \\u00e0 s\\u2019acquitter de son obligation de donner suite aux demandes d\\u2019exercice des droits des personnes concern\\u00e9es\\u00a0: droit d\\u2019acc\\u00e8s, de rectification, d\\u2019effacement et d\\u2019opposition, droit \\u00e0 la limitation du traitement, droit \\u00e0 la portabilit\\u00e9 des donn\\u00e9es, droit de ne pas faire l\\u2019objet d\\u2019une d\\u00e9cision individuelle automatis\\u00e9e (y compris le profilage).<\\/p><p>\\u00a0<\\/p><p>Lorsque les personnes concern\\u00e9es exercent aupr\\u00e8s du Responsable du Site des demandes d\\u2019exercice de leurs droits, celui-ci doit adresser ces demandes dans les meilleurs d\\u00e9lais par courrier \\u00e9lectronique au Client.<\\/p><p>\\u00a0<\\/p><ol start=\\\"9\\\"><li>Notification des violations de donn\\u00e9es \\u00e0 caract\\u00e8re personnel<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site notifie au Client toute violation de donn\\u00e9es \\u00e0 caract\\u00e8re personnel dans les meilleurs d\\u00e9lais apr\\u00e8s en avoir pris connaissance. Cette notification est accompagn\\u00e9e de toute documentation utile afin de permettre au Client, si n\\u00e9cessaire, de notifier cette violation \\u00e0 l\\u2019autorit\\u00e9 de contr\\u00f4le comp\\u00e9tente.<\\/p><p>\\u00a0<\\/p><ol start=\\\"10\\\"><li>Aide du Responsable du Site dans le cadre du respect par le Responsable de traitement de ses obligations<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site aide le Client pour la r\\u00e9alisation d\\u2019analyses d\\u2019impact relative \\u00e0 la protection des donn\\u00e9es.<\\/p><p>\\u00a0<\\/p><p>Le Responsable du Site aide le Client pour la r\\u00e9alisation de la consultation pr\\u00e9alable de l\\u2019autorit\\u00e9 de contr\\u00f4le.<\\/p><p>\\u00a0<\\/p><ol start=\\\"11\\\"><li>Mesures de s\\u00e9curit\\u00e9<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site s\\u2019engage \\u00e0 mettre en \\u0153uvre les mesures de s\\u00e9curit\\u00e9 suivantes en fonction des n\\u00e9cessit\\u00e9s du traitement faisant l\\u2019objet de la sous-traitance\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>lapseudonymisation et le chiffrement des donn\\u00e9es \\u00e0 caract\\u00e8re personnel<\\/li><li>les moyens permettant de garantir la confidentialit\\u00e9, l\\u2019int\\u00e9grit\\u00e9, la disponibilit\\u00e9 et la r\\u00e9silience constantes des syst\\u00e8mes et des services de traitement\\u00a0;<\\/li><li>les moyens permettant de r\\u00e9tablir la disponibilit\\u00e9 des donn\\u00e9es \\u00e0 caract\\u00e8re personnel et l\\u2019acc\\u00e8s \\u00e0 celles-ci dans des d\\u00e9lais appropri\\u00e9s en cas d\\u2019incident physique ou technique\\u00a0;<\\/li><li>une proc\\u00e9dure visant \\u00e0 tester, \\u00e0 \\u2019analyser et \\u00e0 \\u2019\\u00e9valuer r\\u00e9guli\\u00e8rement l\\u2019efficacit\\u00e9 des mesures techniques et organisationnelles pour assurer la s\\u00e9curit\\u00e9 du traitement]<\\/li><\\/ul><ol start=\\\"12\\\"><li>Sort des donn\\u00e9es<\\/li><\\/ol><p>\\u00a0<\\/p><p>Au terme de la prestation de services relatifs au traitement de ces donn\\u00e9es, le Responsable du Site s\\u2019engage \\u00e0 restituer les donn\\u00e9es au Client et ensuite \\u00e0 les d\\u00e9truire, sauf convention contraire entre les Parties.<\\/p><p>\\u00a0<\\/p><ol start=\\\"13\\\"><li>D\\u00e9l\\u00e9gu\\u00e9 \\u00e0 la protection des donn\\u00e9es<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site communique au Client le nom et les coordonn\\u00e9es de son d\\u00e9l\\u00e9gu\\u00e9 \\u00e0 la protection des donn\\u00e9es, s\\u2019il en a d\\u00e9sign\\u00e9 un conform\\u00e9ment \\u00e0 l\\u2019article 37 du r\\u00e8glement europ\\u00e9en sur la protection des donn\\u00e9es.<\\/p><p>\\u00a0<\\/p><ol start=\\\"14\\\"><li>Registre des cat\\u00e9gories d\\u2019activit\\u00e9s de traitement<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site d\\u00e9clare tenir par \\u00e9crit un registre de toutes les cat\\u00e9gories d\\u2019activit\\u00e9s de traitement effectu\\u00e9es pour le compte du Responsable de traitement comprenant\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>le nom et les coordonn\\u00e9es du Responsable de traitement pour le compte duquel il agit,<\\/li><li>des \\u00e9ventuels sous-traitants et, le cas \\u00e9ch\\u00e9ant, du d\\u00e9l\\u00e9gu\\u00e9 \\u00e0 la protection des donn\\u00e9es\\u00a0;<\\/li><li>les cat\\u00e9gories de traitements effectu\\u00e9s pour le compte du responsable du traitement\\u00a0;<\\/li><li>le cas \\u00e9ch\\u00e9ant, les transferts de donn\\u00e9es \\u00e0 caract\\u00e8re personnel vers un pays tiers ou \\u00e0 une organisation internationale, y compris l\\u2019identification de ce pays tiers ou de cette organisation internationale et, dans le cas des transferts vis\\u00e9s \\u00e0 l\\u2019article 49, paragraphe 1, deuxi\\u00e8me alin\\u00e9a du r\\u00e8glement europ\\u00e9en sur la protection des donn\\u00e9es, les documents attestant de l\\u2019existence de garanties appropri\\u00e9es\\u00a0;<\\/li><li>dans la mesure du possible, une description g\\u00e9n\\u00e9rale des mesures de s\\u00e9curit\\u00e9 techniques et organisationnelles, y compris entre autres, selon les besoins\\u00a0:<ul><li>lapseudonymisation et le chiffrement des donn\\u00e9es \\u00e0 caract\\u00e8re personnel\\u00a0;<\\/li><li>des moyens permettant de garantir la confidentialit\\u00e9, l\\u2019int\\u00e9grit\\u00e9, la disponibilit\\u00e9 et<\\/li><li>la r\\u00e9silience constante des syst\\u00e8mes et des services de traitement\\u00a0;<\\/li><li>des moyens permettant de r\\u00e9tablir la disponibilit\\u00e9 des donn\\u00e9es \\u00e0 caract\\u00e8re personnel et l\\u2019acc\\u00e8s \\u00e0 celles-ci dans des d\\u00e9lais appropri\\u00e9s en cas d\\u2019incident physique ou technique\\u00a0;<\\/li><li>une proc\\u00e9dure visant \\u00e0 tester, \\u00e0 analyser et \\u00e0 \\u00e9valuer r\\u00e9guli\\u00e8rement l\\u2019efficacit\\u00e9 des mesures techniques et organisationnelles pour assurer la s\\u00e9curit\\u00e9 du traitement.<\\/li><\\/ul><\\/li><\\/ul><ol start=\\\"15\\\"><li>Documentation<\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site met \\u00e0 la disposition du Client la documentation n\\u00e9cessaire pour d\\u00e9montrer le respect de toutes ses obligations et pour permettre la r\\u00e9alisation d\\u2019audits, y compris des inspections, par le Client ou un autre auditeur qu\\u2019il a mandat\\u00e9, et contribuer \\u00e0 ces audits.<\\/p><p>\\u00a0<\\/p><ol start=\\\"4\\\"><li><strong>Obligations du Client<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Client s\\u2019engage \\u00e0\\u00a0:<\\/p><p>\\u00a0<\\/p><ol><li>fournir au Responsable du Site les donn\\u00e9es vis\\u00e9es \\u00e0 l\\u2019article 2 des pr\\u00e9sentes clauses et garantir la lic\\u00e9it\\u00e9 des traitements mis en \\u0153uvre\\u00a0;<\\/li><li>documenter par \\u00e9crit toute instruction concernant le traitement des donn\\u00e9es par le Responsable du Site\\u00a0;<\\/li><li>veiller, au pr\\u00e9alable et pendant toute la dur\\u00e9e du traitement, au respect des obligations pr\\u00e9vues par le r\\u00e8glement europ\\u00e9en sur la protection des donn\\u00e9es de la part du Responsable du Site\\u00a0;<\\/li><li>superviser le traitement, y compris r\\u00e9aliser les audits et les inspections aupr\\u00e8s du Responsable du Site.<\\/li><\\/ol>\",\"_id\":\"74144a8\"},{\"tab_title\":\"PROPRIETE INTELLECTUELLE\",\"tab_content\":\"<ol><li><strong>D\\u00e9veloppements sp\\u00e9cifiques<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Les droits d\\u2019utilisation, de reproduction et de repr\\u00e9sentation exclusifs attach\\u00e9s aux D\\u00e9veloppements sp\\u00e9cifiques faisant partie des Services et fournis par le Responsable du Site au Client sont conc\\u00e9d\\u00e9s au Client dans leur int\\u00e9gralit\\u00e9 au fur et \\u00e0 mesure de leur r\\u00e9alisation et sous r\\u00e9serve du respect par le Client des stipulations des pr\\u00e9sentes et du respect des droits des tiers par le Client. La pr\\u00e9sente licence est conc\\u00e9d\\u00e9e par le Responsable du Site pour le monde entier et pour toute la dur\\u00e9e l\\u00e9gale de protection des droits d\\u2019auteur. La concession du droit d\\u2019adaptation des D\\u00e9veloppements sp\\u00e9cifiques peut \\u00eatre convenue entre les Parties au moyen d\\u2019un accord expr\\u00e8s s\\u00e9par\\u00e9 des pr\\u00e9sentes. Les droits conc\\u00e9d\\u00e9s par le Responsable du Site sur les D\\u00e9veloppements sp\\u00e9cifiques sont les suivants :Le droit de reproduction : ce droit comporte le droit de reproduction et d\\u2019utilisation pour quelque usage que ce soit, par quelque proc\\u00e9d\\u00e9 que ce soit, sur tout support papier, magn\\u00e9tique, optique, vid\\u00e9ographique, num\\u00e9rique ou autre, pour toute exploitation, y compris en r\\u00e9seau, des D\\u00e9veloppements sp\\u00e9cifiques (en tout ou en partie), objet de la pr\\u00e9sente licence, en nombre illimit\\u00e9, en toutes mati\\u00e8res, toutes couleurs et toutes dimensions ; ce droit comporte \\u00e9galement le droit pour le Client de confier l\\u2019ex\\u00e9cution de cette exploitation \\u00e0 toute personne physique ou morale de son choix. Le droit de repr\\u00e9sentation : ce droit comporte le droit de de repr\\u00e9sentation et diffusion, de quelque fa\\u00e7on que ce soit, sur quelque support et\\/ou r\\u00e9seau que ce soit, \\u00e9dition de tout ou partie des D\\u00e9veloppements sp\\u00e9cifiques pour toute utilisation qui pourrait \\u00eatre faite par le Client soit \\u00e0 son profit, soit pour le compte d\\u2019un tiers.<\\/p><p>\\u00a0<\\/p><p><strong>Contenus et Mises \\u00e0 jour<\\/strong><\\/p><p>\\u00a0<\\/p><ol start=\\\"2\\\"><li>Les droits d\\u2019utilisation, de reproduction, de repr\\u00e9sentation et d\\u2019adaptation exclusifs attach\\u00e9s aux Contenus et aux Mises \\u00e0 jour faisant partie des Services et fournis par le Responsable du Site au Client sont conc\\u00e9d\\u00e9s au Client dans leur int\\u00e9gralit\\u00e9 au fur et \\u00e0 mesure de leur r\\u00e9alisation et sous r\\u00e9serve du respect par le Client des stipulations des pr\\u00e9sentes et du respect des droits des tiers par le Client. La pr\\u00e9sente licence est conc\\u00e9d\\u00e9e par le Responsable du Site pour le monde entier et pour toute la dur\\u00e9e l\\u00e9gale de protection des droits d\\u2019auteur.<\\/li><\\/ol><p>\\u00a0<\\/p><p>Les droits conc\\u00e9d\\u00e9s par le Responsable du Site sur les Contenus et les Mises \\u00e0 jour sont les suivants\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Le droit de reproduction\\u00a0: ce droit comporte le droit de reproduction et d\\u2019utilisation pour quelque usage que ce soit, par quelque proc\\u00e9d\\u00e9 que ce soit, sur tout support papier, magn\\u00e9tique, optique, vid\\u00e9ographique, num\\u00e9rique ou autre, pour toute exploitation, y compris en r\\u00e9seau, des Contenus et des Mises \\u00e0 jour (en tout ou en partie), objet de la pr\\u00e9sente licence, en nombre illimit\\u00e9, en toutes mati\\u00e8res, toutes couleurs et toutes dimensions ; ce droit comporte \\u00e9galement le droit pour le Client de confier l\\u2019ex\\u00e9cution de cette exploitation \\u00e0 toute personne physique ou morale de son choix.<\\/li><li>Le droit de repr\\u00e9sentation\\u00a0: ce droit comporte le droit de de repr\\u00e9sentation et diffusion, de quelque fa\\u00e7on que ce soit, sur quelque support et\\/ou r\\u00e9seau que ce soit, \\u00e9dition de tout ou partie des Contenus et des Mises \\u00e0 jour pour toute utilisation qui pourrait \\u00eatre faite par le Client soit \\u00e0 son profit, soit pour le compte d\\u2019un tiers.<\\/li><li>Le droit d\\u2019adaptation\\u00a0: ce droit comporte le droit d\\u2019adapter, directement ou indirectement tout ou partie des Contenus et des Mises \\u00e0 jour en vue de leur exploitation dans le cadre de l\\u2019activit\\u00e9 du Client ou d\\u2019un tiers pour le compte duquel le Client agit.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Le Responsable du Site autorise express\\u00e9ment le Client \\u00e0 faire mention de son propre nom sur le Contenu ou la Mise \\u00e0 jour et notamment \\u00e0 pr\\u00e9senter le Contenu ou la Mise \\u00e0 jour selon sa charte graphique et ses signes distinctifs.<\\/p><p>\\u00a0<\\/p><ol start=\\\"3\\\"><li><strong>Garantie d\\u2019\\u00e9viction<\\/strong><\\/li><\\/ol><p>\\u00a0<\\/p><p>Le Responsable du Site garantit au Client une jouissance paisible des D\\u00e9veloppements sp\\u00e9cifiques, des Contenus et des Mises \\u00e0 jour, de son fait personnel.<\\/p><p>\\u00a0<\\/p><p>\\u00c0 ce titre, il s\\u2019engage \\u00e0 d\\u00e9fendre le Client \\u00e0 ses frais contre toute action en violation de droit d\\u2019auteur ou d\\u2019autres droits de propri\\u00e9t\\u00e9 intellectuelle intent\\u00e9e par un tiers, et portant sur les D\\u00e9veloppements sp\\u00e9cifiques, les Contenus ou les Mises \\u00e0 jour, sous r\\u00e9serve que le Client :<\\/p><p>\\u00a0<\\/p><ul><li>en ait averti imm\\u00e9diatement par \\u00e9crit le Responsable du Site et que la pr\\u00e9tendue violation ne r\\u00e9sulte pas du fait du Client ;<\\/li><li>donne au Responsable du Site le contr\\u00f4le exclusif de la conduite de la d\\u00e9fense et du r\\u00e8glement de la r\\u00e9clamation. Le Responsable du Site aura toute latitude pour transiger ou poursuivre toute proc\\u00e9dure de son choix\\u00a0;<\\/li><li>fournisse au Responsable du Site toutes les informations, \\u00e9l\\u00e9ments et assistance n\\u00e9cessaires pour lui permettre de mener \\u00e0 bien sa d\\u00e9fense ou de parvenir \\u00e0 un accord transactionnel ; et<\\/li><li>d\\u00e9ploie tout effort raisonnable pour limiter toute perte ou dommage.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Si tout ou partie des D\\u00e9veloppements sp\\u00e9cifiques, des Contenus ou des Mises \\u00e0 jour est reconnu, par une d\\u00e9cision de justice ayant force ex\\u00e9cutoire, constituer une contrefa\\u00e7on ou si le Responsable du Site estime qu\\u2019il est vraisemblable que ceux-ci, en tout ou partie, soient consid\\u00e9r\\u00e9s comme \\u00e9tant une contrefa\\u00e7on, le Responsable du Site pourra, \\u00e0 son choix :<\\/p><p>\\u00a0<\\/p><ul><li>soit procurer au Client des D\\u00e9veloppements sp\\u00e9cifiques, des Contenus et des Mises \\u00e0 jour non contrefaisants ayant les m\\u00eames fonctionnalit\\u00e9s ou qualit\\u00e9s r\\u00e9dactionnelles ;<\\/li><li>soit obtenir le droit pour le Client de continuer \\u00e0 utiliser et exploiter les D\\u00e9veloppements sp\\u00e9cifiques, les Contenus, ou les Mises \\u00e0 jour ;<\\/li><li>soit rembourser au Client le prix per\\u00e7u au titre du Contrat.<\\/li><\\/ul><p>\\u00a0<\\/p><p>Dans le cas des D\\u00e9veloppements sp\\u00e9cifiques, le Responsable du Sitene pourra pas \\u00eatre tenu responsable si ladite r\\u00e9clamation r\\u00e9sulte de :<\\/p><p>\\u00a0<\\/p><ul><li>l\\u2019utilisation de tout ou partie des D\\u00e9veloppements sp\\u00e9cifiques, par le Client, en combinaison avec tout logiciel, mat\\u00e9riel, produits ou autres \\u00e9quipements ou mat\\u00e9riels non fournis ou approuv\\u00e9s par \\u00e9crit par le Responsable du Site ;<\\/li><li>l\\u2019utilisationdes D\\u00e9veloppements sp\\u00e9cifiques, par le Client, non-conforme aux recommandations ou instructions du Responsable du Site et que ceux-ci n\\u2019auraient jamais \\u00e9t\\u00e9 reconnu contrefaisants sans une telle utilisation par le Client.<\\/li><\\/ul>\",\"_id\":\"3ce0482\"},{\"tab_title\":\"SERVICE CLIENT\",\"tab_content\":\"<p>Pour toute information ou question, notre service Client\\u00e8le est \\u00e0 votre disposition\\u00a0:<\\/p><p>\\u00a0<\\/p><ul><li>Par t\\u00e9l\\u00e9phone (du lundi au vendredi de 9h00 \\u00e0 19h00) :01 86 90 50 99<\\/li><li>Par courrier :<\\/li><\\/ul><p>\\u00a0<\\/p><p>Soci\\u00e9t\\u00e9 KOOK AGENCY-\\u00a0 SAS AGENCE HASHTAG, 1024 Chemin des Plantades, 83130 La Garde<\\/p><p>\\u00a0<\\/p><ul><li>Par email :\\u00a0<a href=\\\"mailto:contact@synergyhashtag.fr\\\">contact@kook-agency.fr<\\/a><\\/li><\\/ul>\",\"_id\":\"afc470b\"},{\"tab_title\":\"CONFIDENTIALIT\\u00c9\",\"tab_content\":\"<p>Chaque partie s\\u2019interdit de divulguer les informations confidentielles auxquelles elle pourrait avoir acc\\u00e8s dans le cadre du pr\\u00e9sent contrat. Sont consid\\u00e9r\\u00e9s comme confidentiels toutes les informations et tous les documents d\\u00e9sign\\u00e9s comme tels, qui lui seront transmis par l\\u2019autre Partie, quel que soit le support utilis\\u00e9 pour cette transmission (papier, dessins, supports informatiques, etc.) ou la forme (\\u00e9crite, orale, etc.) de cette transmission.<\\/p><p>\\u00a0<\\/p><p>En cons\\u00e9quence, les Parties s\\u2019engagent \\u00e0 limiter la communication des informations confidentielles aux seules personnes affect\\u00e9es \\u00e0 l\\u2019ex\\u00e9cution du pr\\u00e9sent Contrat. Etant pr\\u00e9cis\\u00e9 que chaque partie se porte fort du respect par son personnel, ses fournisseurs et \\u00e0 tout tiers intervenant au titre du Contrat, de la plus stricte confidentialit\\u00e9 pour l\\u2019ensemble des op\\u00e9rations qu\\u2019ils r\\u00e9alisent, au moyen de la conclusion pr\\u00e9alable et par \\u00e9crit d\\u2019un engagement de confidentialit\\u00e9 reprenant les obligations de la pr\\u00e9sente clause.<\\/p><p>\\u00a0<\\/p><p>Ne seront toutefois pas consid\\u00e9r\\u00e9es comme confidentielles les informations qui \\u00e9taient connues du public ant\\u00e9rieurement \\u00e0 leur divulgation sans qu\\u2019il y ait eu manquement au pr\\u00e9sent contrat.<\\/p><p>\\u00a0<\\/p><p>Les dispositions du pr\\u00e9sent article demeureront en vigueur pendant une dur\\u00e9e d\\u2019un an \\u00e0 compter de l\\u2019expiration du pr\\u00e9sent Contrat.<\\/p>\",\"_id\":\"e95b649\"},{\"tab_title\":\"R\\u00c9F\\u00c9RENCE\",\"tab_content\":\"<p>Le Responsable du Siteest autoris\\u00e9 \\u00e0 faire figurer le nom du Client sur la liste de ses r\\u00e9f\\u00e9rences commerciales, notamment sur son site internet et \\u00e0 condition d\\u2019en informer pr\\u00e9alablement le Client.<\\/p>\",\"_id\":\"05a0e90\"},{\"tab_title\":\"MODIFICATION BILAT\\u00c9RALE DU CONTRAT\",\"tab_content\":\"<p>Dans le cas o\\u00f9 des informations sur lesquelles est bas\\u00e9 le Contrat sont modifi\\u00e9s dans des proportions telles que l\\u2019une ou l\\u2019autre des parties rencontrerait des difficult\\u00e9s s\\u00e9rieuses et impr\\u00e9visibles, il est d\\u2019ores et d\\u00e9j\\u00e0 arr\\u00eat\\u00e9 le principe d\\u2019une consultation mutuelle entre les Parties afin de r\\u00e9ajuster l\\u2019\\u00e9tendue des Services.<\\/p><p>\\u00a0<\\/p><p>Il en irait ainsi de toute nouvelle disposition particuli\\u00e8re d\\u2019ordre l\\u00e9gal ou r\\u00e9glementaire ou m\\u00eame de conditions g\\u00e9n\\u00e9rales d\\u2019utilisation des supports et outils utilis\\u00e9s par les Parties dans le cadre du Contrat.<\\/p><p>Le Responsable du Site et le Client acceptent alors le principe d\\u2019une r\\u00e9vision de l\\u2019\\u00e9tendue et de la red\\u00e9finition des Services \\u00e0 fournir.<\\/p>\",\"_id\":\"ea9d352\"},{\"tab_title\":\"FORCE MAJEURE\",\"tab_content\":\"<p>Les retards ou la non-ex\\u00e9cution des Commandes r\\u00e9sultant de cas de force majeure ou tout autre \\u00e9v\\u00e9nement in\\u00e9vitable, impr\\u00e9visible et \\u00e9chappant au contr\\u00f4le du Responsable du Site au sens de la jurisprudence ne peuvent donner lieu \\u00e0 indemnit\\u00e9. Les dispositions du pr\\u00e9sent article ne pourront cependant, en aucun cas, dispenser une partie de l\\u2019obligation de r\\u00e9gler \\u00e0 l\\u2019autre toute somme qu\\u2019elle lui devrait.<\\/p>\",\"_id\":\"e714080\"},{\"tab_title\":\"RESPONSABILIT\\u00c9\",\"tab_content\":\"<p>Le Responsable du Site ne pourra en aucune circonstance encourir de responsabilit\\u00e9 au titre des pertes ou dommages indirects ou impr\\u00e9visibles du Client ou des tiers, ce qui inclut notamment tout gain manqu\\u00e9, perte, inexactitude ou corruption de fichiers ou de donn\\u00e9es, pr\\u00e9judice commercial et perte de chiffre d\\u2019affaires, co\\u00fbt de l\\u2019obtention d\\u2019un produit, de substitution, en relation ou provenant de l\\u2019inex\\u00e9cution ou de l\\u2019ex\\u00e9cution fautive des pr\\u00e9sentes CGS.<\\/p><p>\\u00a0<\\/p><p>Le montant des dommages r\\u00e9parables que le Responsable du Site peut \\u00eatre amen\\u00e9 \\u00e0 payer au Client en raison d\\u2019un manquement contractuel est limit\\u00e9, tous dommages confondus, au prix des Commandes effectivement pay\\u00e9es par le Client. Ce plafond de r\\u00e9paration n\\u2019est pas applicable en cas de dol, de faute lourde commise par le Responsable du Site dans le cadre des pr\\u00e9sentes CGS.<\\/p>\",\"_id\":\"36736f7\"},{\"tab_title\":\" DUR\\u00c9E - RESILIATION\",\"tab_content\":\"<p>Le Contrat est conclu pour une dur\\u00e9e de 12 mois, 24 mois, ou 36 mois, en fonction de ce qui sera convenu par les Parties au sein du Devis.<\\/p><p>\\u00a0<\\/p><p>Chaque Partie est libre de prononcer la r\\u00e9siliation du Contrat, sous r\\u00e9serve de respecter un d\\u00e9lai de pr\\u00e9avis de 90 jours avant la date de fin du contrat, ou de ses \\u00e9ventuels renouvellements.<\\/p><p>\\u00a0<\\/p><p>A d\\u00e9faut du respect de ce d\\u00e9lai de pr\\u00e9avis, le Contrat est reconduit tacitement pour une dur\\u00e9e de 12 mois.<\\/p><p>\\u00a0<\\/p><p>En cas de manquement d\\u2019une des Parties \\u00e0 une de ses obligations substantielles, l\\u2019autre Partie pourra, 30 (trente) jours francs \\u00e0 compter de la date de r\\u00e9ception ou, \\u00e0 d\\u00e9faut, de la date de premi\\u00e8re pr\\u00e9sentation d\\u2019une lettre de mise en demeure recommand\\u00e9e avec demande d\\u2019avis de r\\u00e9ception rest\\u00e9e infructueuse, prononcer la r\\u00e9siliation de plein droit des pr\\u00e9sentes, sans pr\\u00e9avis ni formalit\\u00e9 judiciaire ou autre et sans pr\\u00e9judice de tous autres droits ou actions notamment en vue de solliciter tous dommages-int\\u00e9r\\u00eats auxquels elle pourrait pr\\u00e9tendre.<\\/p><p>\\u00a0<\\/p><p>A la fin des pr\\u00e9sentes, quelle qu\\u2019en soit la cause, le Responsable du Site restituera au Client l\\u2019ensemble des documents, supports et information dont la restitution ou la fourniture sont pr\\u00e9vues au titre des pr\\u00e9sentes pour la mise en \\u0153uvre des Services et notamment la livraison des D\\u00e9veloppements sp\\u00e9cifiques.<\\/p>\",\"_id\":\"28a9a36\"},{\"tab_title\":\"DROIT APPLICABLE \\/ LITIGES\",\"tab_content\":\"<p>Les pr\\u00e9sentes CGS sont soumises \\u00e0 la loi fran\\u00e7aise.<\\/p><p>\\u00a0<\\/p><p>Pour tous diff\\u00e9rends ou divergences d\\u2019interpr\\u00e9tation, relatifs \\u00e0 l\\u2019ex\\u00e9cution ou \\u00e0 la cessation du Contrat, les Parties conviennent de d\\u00e9signer d\\u2019un commun accord un m\\u00e9diateur.<\\/p><p>\\u00a0<\\/p><p>Si au terme d\\u2019un d\\u00e9lai de 30 jours, les Parties n\\u2019arrivaient pas \\u00e0 se mettre d\\u2019accord sur le choix de celui-ci, le m\\u00e9diateur serait d\\u00e9sign\\u00e9 par le Pr\\u00e9sident du Tribunal de Commerce de Toulon, statuant en r\\u00e9f\\u00e9r\\u00e9 \\u00e0 la requ\\u00eate de la Partie la plus diligente.<\\/p><p>\\u00a0<\\/p><p>Ce m\\u00e9diateur r\\u00e9unira les Parties, effectuera toutes constatations utiles et les informera des cons\\u00e9quences de leurs positions respectives. Il devra leur proposer, dans un d\\u00e9lai de 30 jours, les \\u00e9l\\u00e9ments d\\u2019une solution de nature \\u00e0 r\\u00e9gler leur diff\\u00e9rend tout en sauvegardant leurs int\\u00e9r\\u00eats l\\u00e9gitimes. Cette proposition ne sera ni obligatoire, ni ex\\u00e9cutoire. Les frais et honoraires de ce m\\u00e9diateur seront r\\u00e9partis par moiti\\u00e9 entre les Parties.<\\/p><p>\\u00a0<\\/p><p>Tout litige relatif \\u00e0 la conclusion, l\\u2019interpr\\u00e9tation, l\\u2019ex\\u00e9cution ou la cessation des pr\\u00e9sentes sera soumis aux tribunaux comp\\u00e9tents de Toulon, y compris en r\\u00e9f\\u00e9r\\u00e9, nonobstant l\\u2019appel en garantie ou la pluralit\\u00e9 de d\\u00e9fendeurs.<\\/p>\",\"_id\":\"b911b9c\"}],\"_margin\":{\"unit\":\"%\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[],\"widgetType\":\"accordion\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10908", "5104", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("10909", "5104", "_yoast_wpseo_estimated-reading-time-minutes", "35");
INSERT INTO `wp_postmeta` VALUES("11072", "5104", "_elementor_css", "a:6:{s:4:\"time\";i:1685969715;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("10907", "5104", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("11080", "62", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("11081", "62", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("11082", "62", "_elementor_version", "3.13.4");
INSERT INTO `wp_postmeta` VALUES("11101", "62", "_elementor_page_settings", "a:2:{s:11:\"type_footer\";s:6:\"custom\";s:22:\"choose_template_footer\";s:4:\"3352\";}");
INSERT INTO `wp_postmeta` VALUES("11496", "62", "_elementor_css", "a:6:{s:4:\"time\";i:1685970819;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11102", "62", "_elementor_data", "[{\"id\":\"c39877b\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"%\",\"top\":\"2\",\"right\":0,\"bottom\":\"2\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"cc4824c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"5c571738\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NAVIGATION\",\"nav_menu\":\"9\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"}],\"isInner\":false},{\"id\":\"af74f36\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"ef9dd52\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"NOS CLIENTS\",\"nav_menu\":\"48\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"}],\"isInner\":false},{\"id\":\"d5dfade\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"use_start\":\"100%\",\"use_end\":\"0%\",\"items_from\":[],\"items_to\":[]},\"elements\":[{\"id\":\"957a352\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"LE BLOG\",\"nav_menu\":\"49\"},\"items_from\":[],\"items_to\":[],\"use_start\":\"100%\",\"use_end\":\"0%\"},\"elements\":[],\"widgetType\":\"wp-widget-nav_menu\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("11110", "62", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("11112", "62", "_yoast_wpseo_estimated-reading-time-minutes", "1");
INSERT INTO `wp_postmeta` VALUES("11172", "12765", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11173", "12765", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11174", "12765", "_menu_item_object_id", "12678");
INSERT INTO `wp_postmeta` VALUES("11175", "12765", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11176", "12765", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11177", "12765", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11178", "12765", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11179", "12765", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11307", "12765", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11181", "12766", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11182", "12766", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11183", "12766", "_menu_item_object_id", "12668");
INSERT INTO `wp_postmeta` VALUES("11184", "12766", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11185", "12766", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11186", "12766", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11187", "12766", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11188", "12766", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11308", "12766", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11190", "12767", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11191", "12767", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11192", "12767", "_menu_item_object_id", "12658");
INSERT INTO `wp_postmeta` VALUES("11193", "12767", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11194", "12767", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11195", "12767", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11196", "12767", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11197", "12767", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11309", "12767", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11199", "12768", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11200", "12768", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11201", "12768", "_menu_item_object_id", "12648");
INSERT INTO `wp_postmeta` VALUES("11202", "12768", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11203", "12768", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11204", "12768", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11205", "12768", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11206", "12768", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11310", "12768", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11208", "12769", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11209", "12769", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11210", "12769", "_menu_item_object_id", "12243");
INSERT INTO `wp_postmeta` VALUES("11211", "12769", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11212", "12769", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11213", "12769", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11214", "12769", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11215", "12769", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11311", "12769", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11217", "12770", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11218", "12770", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11219", "12770", "_menu_item_object_id", "12233");
INSERT INTO `wp_postmeta` VALUES("11220", "12770", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11221", "12770", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11222", "12770", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11223", "12770", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11224", "12770", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11312", "12770", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11226", "12771", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11227", "12771", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11228", "12771", "_menu_item_object_id", "12224");
INSERT INTO `wp_postmeta` VALUES("11229", "12771", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11230", "12771", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11231", "12771", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11232", "12771", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11233", "12771", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11313", "12771", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11235", "12772", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11236", "12772", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11237", "12772", "_menu_item_object_id", "12215");
INSERT INTO `wp_postmeta` VALUES("11238", "12772", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11239", "12772", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11240", "12772", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11241", "12772", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11242", "12772", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11314", "12772", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11244", "12773", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11245", "12773", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11246", "12773", "_menu_item_object_id", "12206");
INSERT INTO `wp_postmeta` VALUES("11247", "12773", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11248", "12773", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11249", "12773", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11250", "12773", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11251", "12773", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11315", "12773", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11253", "12774", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11254", "12774", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11255", "12774", "_menu_item_object_id", "12197");
INSERT INTO `wp_postmeta` VALUES("11256", "12774", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11257", "12774", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11258", "12774", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11259", "12774", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11260", "12774", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11316", "12774", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11262", "12775", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11263", "12775", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11264", "12775", "_menu_item_object_id", "12187");
INSERT INTO `wp_postmeta` VALUES("11265", "12775", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11266", "12775", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11267", "12775", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11268", "12775", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11269", "12775", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11317", "12775", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11271", "12776", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11272", "12776", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11273", "12776", "_menu_item_object_id", "12178");
INSERT INTO `wp_postmeta` VALUES("11274", "12776", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11275", "12776", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11276", "12776", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11277", "12776", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11278", "12776", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11318", "12776", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11280", "12777", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11281", "12777", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11282", "12777", "_menu_item_object_id", "12169");
INSERT INTO `wp_postmeta` VALUES("11283", "12777", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11284", "12777", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11285", "12777", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11286", "12777", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11287", "12777", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11319", "12777", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11289", "12778", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11290", "12778", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11291", "12778", "_menu_item_object_id", "12160");
INSERT INTO `wp_postmeta` VALUES("11292", "12778", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11293", "12778", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11294", "12778", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11295", "12778", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11296", "12778", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11320", "12778", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11298", "12779", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11299", "12779", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11300", "12779", "_menu_item_object_id", "12151");
INSERT INTO `wp_postmeta` VALUES("11301", "12779", "_menu_item_object", "blackdsn-portfolio");
INSERT INTO `wp_postmeta` VALUES("11302", "12779", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11303", "12779", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11304", "12779", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11305", "12779", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11321", "12779", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11322", "12780", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11323", "12780", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11324", "12780", "_menu_item_object_id", "6148");
INSERT INTO `wp_postmeta` VALUES("11325", "12780", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11326", "12780", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11327", "12780", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11328", "12780", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11329", "12780", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11457", "12780", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11331", "12781", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11332", "12781", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11333", "12781", "_menu_item_object_id", "6136");
INSERT INTO `wp_postmeta` VALUES("11334", "12781", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11335", "12781", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11336", "12781", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11337", "12781", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11338", "12781", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11458", "12781", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11340", "12782", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11341", "12782", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11342", "12782", "_menu_item_object_id", "6133");
INSERT INTO `wp_postmeta` VALUES("11343", "12782", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11344", "12782", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11345", "12782", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11346", "12782", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11347", "12782", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11459", "12782", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11349", "12783", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11350", "12783", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11351", "12783", "_menu_item_object_id", "11888");
INSERT INTO `wp_postmeta` VALUES("11352", "12783", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11353", "12783", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11354", "12783", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11355", "12783", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11356", "12783", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11460", "12783", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11358", "12784", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11359", "12784", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11360", "12784", "_menu_item_object_id", "5304");
INSERT INTO `wp_postmeta` VALUES("11361", "12784", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11362", "12784", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11363", "12784", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11364", "12784", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11365", "12784", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11461", "12784", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11367", "12785", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11368", "12785", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11369", "12785", "_menu_item_object_id", "4967");
INSERT INTO `wp_postmeta` VALUES("11370", "12785", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11371", "12785", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11372", "12785", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11373", "12785", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11374", "12785", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11462", "12785", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11376", "12786", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11377", "12786", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11378", "12786", "_menu_item_object_id", "4963");
INSERT INTO `wp_postmeta` VALUES("11379", "12786", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11380", "12786", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11381", "12786", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11382", "12786", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11383", "12786", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11463", "12786", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11385", "12787", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11386", "12787", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11387", "12787", "_menu_item_object_id", "5265");
INSERT INTO `wp_postmeta` VALUES("11388", "12787", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11389", "12787", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11390", "12787", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11391", "12787", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11392", "12787", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11464", "12787", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11394", "12788", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11395", "12788", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11396", "12788", "_menu_item_object_id", "4956");
INSERT INTO `wp_postmeta` VALUES("11397", "12788", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11398", "12788", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11399", "12788", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11400", "12788", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11401", "12788", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11465", "12788", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11403", "12789", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11404", "12789", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11405", "12789", "_menu_item_object_id", "4946");
INSERT INTO `wp_postmeta` VALUES("11406", "12789", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11407", "12789", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11408", "12789", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11409", "12789", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11410", "12789", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11466", "12789", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11412", "12790", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11413", "12790", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11414", "12790", "_menu_item_object_id", "4888");
INSERT INTO `wp_postmeta` VALUES("11415", "12790", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11416", "12790", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11417", "12790", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11418", "12790", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11419", "12790", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11467", "12790", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11421", "12791", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11422", "12791", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11423", "12791", "_menu_item_object_id", "4445");
INSERT INTO `wp_postmeta` VALUES("11424", "12791", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11425", "12791", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11426", "12791", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11427", "12791", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11428", "12791", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11468", "12791", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11430", "12792", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11431", "12792", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11432", "12792", "_menu_item_object_id", "4041");
INSERT INTO `wp_postmeta` VALUES("11433", "12792", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11434", "12792", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11435", "12792", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11436", "12792", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11437", "12792", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11469", "12792", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11439", "12793", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11440", "12793", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11441", "12793", "_menu_item_object_id", "3492");
INSERT INTO `wp_postmeta` VALUES("11442", "12793", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11443", "12793", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11444", "12793", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11445", "12793", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11446", "12793", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11470", "12793", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("11448", "12794", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("11449", "12794", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("11450", "12794", "_menu_item_object_id", "3174");
INSERT INTO `wp_postmeta` VALUES("11451", "12794", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("11452", "12794", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("11453", "12794", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("11454", "12794", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("11455", "12794", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("11471", "12794", "_menu_item_text_ajax", "");
INSERT INTO `wp_postmeta` VALUES("12690", "12941", "_wp_attached_file", "2023/06/DSC06618-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12691", "12941", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:27:\"2023/06/DSC06618-scaled.jpg\";s:8:\"filesize\";i:527710;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"DSC06618-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14907;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"DSC06618-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92917;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"DSC06618-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6831;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"DSC06618-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83506;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"DSC06618-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:183760;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"DSC06618-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:322285;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"DSC06618-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175025;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:22:\"DSC06618-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117433;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:20:\"DSC06618-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33319;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:20:\"DSC06618-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4029;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"2.5\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:8:\"ILCE-7M3\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1685698632\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"800\";s:13:\"shutter_speed\";s:8:\"0.003125\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:12:\"DSC06618.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12731", "12949", "_wp_attached_file", "2023/06/PASTICCIO_MR_018.jpg");
INSERT INTO `wp_postmeta` VALUES("12732", "12949", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1620;s:6:\"height\";i:1080;s:4:\"file\";s:28:\"2023/06/PASTICCIO_MR_018.jpg\";s:8:\"filesize\";i:1370471;s:5:\"sizes\";a:9:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_018-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19184;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"PASTICCIO_MR_018-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:137673;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_018-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9007;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_018-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86757;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"PASTICCIO_MR_018-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:258702;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:29:\"PASTICCIO_MR_018-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:175530;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"PASTICCIO_MR_018-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:187916;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_018-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32566;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_018-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4919;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"8\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:11:\"NIKON D7500\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1624006369\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"70\";s:3:\"iso\";s:3:\"110\";s:13:\"shutter_speed\";s:5:\"0.002\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("11830", "4242", "_elementor_css", "a:6:{s:4:\"time\";i:1685972069;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12026", "12197", "_elementor_css", "a:6:{s:4:\"time\";i:1685973193;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12056", "12178", "_elementor_css", "a:6:{s:4:\"time\";i:1685973220;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12113", "12160", "_elementor_css", "a:6:{s:4:\"time\";i:1685973261;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12143", "12151", "_elementor_css", "a:6:{s:4:\"time\";i:1685973288;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12200", "217", "_elementor_css", "a:6:{s:4:\"time\";i:1685973321;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12230", "12243", "_elementor_css", "a:6:{s:4:\"time\";i:1685973338;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12260", "12233", "_elementor_css", "a:6:{s:4:\"time\";i:1685973366;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12290", "12206", "_elementor_css", "a:6:{s:4:\"time\";i:1685973382;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12320", "12224", "_elementor_css", "a:6:{s:4:\"time\";i:1685973405;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12350", "12215", "_elementor_css", "a:6:{s:4:\"time\";i:1685973423;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12437", "10485", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("12438", "10485", "_yoast_wpseo_estimated-reading-time-minutes", "12");
INSERT INTO `wp_postmeta` VALUES("12536", "10240", "_edit_lock", "1686036746:1");
INSERT INTO `wp_postmeta` VALUES("12537", "10155", "_elementor_css", "a:6:{s:4:\"time\";i:1686036767;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12538", "10155", "_edit_lock", "1686051530:1");
INSERT INTO `wp_postmeta` VALUES("12539", "5408", "_edit_lock", "1686036884:1");
INSERT INTO `wp_postmeta` VALUES("12540", "5404", "_edit_lock", "1686036886:1");
INSERT INTO `wp_postmeta` VALUES("12541", "11847", "_edit_lock", "1686036820:1");
INSERT INTO `wp_postmeta` VALUES("12542", "11839", "_elementor_css", "a:7:{s:4:\"time\";i:1686036987;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:5:\"empty\";i:0;s:0:\"\";s:3:\"css\";s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12577", "12920", "_wp_attached_file", "2023/06/WhatsApp-Image-2023-06-06-a-09.56.49.jpg");
INSERT INTO `wp_postmeta` VALUES("12578", "12920", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:4:\"file\";s:48:\"2023/06/WhatsApp-Image-2023-06-06-a-09.56.49.jpg\";s:8:\"filesize\";i:349819;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-06-a-09.56.49-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22414;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"WhatsApp-Image-2023-06-06-a-09.56.49-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147293;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-06-a-09.56.49-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9640;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"WhatsApp-Image-2023-06-06-a-09.56.49-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:147293;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"WhatsApp-Image-2023-06-06-a-09.56.49-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:302754;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:50:\"WhatsApp-Image-2023-06-06-a-09.56.49-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:194517;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-06-a-09.56.49-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:56136;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-06-a-09.56.49-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5252;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("12604", "12924", "_wp_attached_file", "2023/06/DIVINO_MR_046-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12605", "12924", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:32:\"2023/06/DIVINO_MR_046-scaled.jpg\";s:8:\"filesize\";i:436157;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_046-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16464;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"DIVINO_MR_046-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103721;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_046-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7567;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"DIVINO_MR_046-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103721;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"DIVINO_MR_046-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:194996;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"DIVINO_MR_046-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:306146;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:27:\"DIVINO_MR_046-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:207946;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"DIVINO_MR_046-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:130766;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_046-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40804;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_046-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4416;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"3.2\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1666146910\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:5:\"0.008\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"DIVINO_MR_046.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12620", "12929", "_wp_attached_file", "2023/06/FDR_MR_31-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12618", "12928", "_wp_attached_file", "2023/06/AV_FUERO_10-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12616", "12927", "_wp_attached_file", "2023/06/DIVINO_MR_045-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12617", "12927", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1920;s:4:\"file\";s:32:\"2023/06/DIVINO_MR_045-scaled.jpg\";s:8:\"filesize\";i:462646;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_045-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18575;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"DIVINO_MR_045-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113575;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_045-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8028;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_045-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73531;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"DIVINO_MR_045-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:210520;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:27:\"DIVINO_MR_045-2048x1536.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:327280;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:26:\"DIVINO_MR_045-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145599;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:27:\"DIVINO_MR_045-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131946;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_045-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29394;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:25:\"DIVINO_MR_045-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4580;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"3.2\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1666146902\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:5:\"0.008\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:17:\"DIVINO_MR_045.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12619", "12928", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:30:\"2023/06/AV_FUERO_10-scaled.jpg\";s:8:\"filesize\";i:400300;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"AV_FUERO_10-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14579;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"AV_FUERO_10-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:92356;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"AV_FUERO_10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6640;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"AV_FUERO_10-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59511;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"AV_FUERO_10-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:173660;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:25:\"AV_FUERO_10-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:274655;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:24:\"AV_FUERO_10-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:118380;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:25:\"AV_FUERO_10-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119682;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:23:\"AV_FUERO_10-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23471;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:23:\"AV_FUERO_10-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3790;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"5.6\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:15:\"Canon EOS 1300D\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1654694437\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"47\";s:3:\"iso\";s:3:\"800\";s:13:\"shutter_speed\";s:6:\"0.0125\";s:5:\"title\";s:5:\"FUERO\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:15:\"AV_FUERO_10.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12621", "12929", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:1920;s:6:\"height\";i:2560;s:4:\"file\";s:28:\"2023/06/FDR_MR_31-scaled.jpg\";s:8:\"filesize\";i:454251;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"FDR_MR_31-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16178;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"FDR_MR_31-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98178;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"FDR_MR_31-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7744;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"FDR_MR_31-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98178;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"FDR_MR_31-1152x1536.jpg\";s:5:\"width\";i:1152;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:185874;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"FDR_MR_31-1536x2048.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:302533;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:23:\"FDR_MR_31-1200x1600.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1600;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:198928;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"FDR_MR_31-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:132591;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"FDR_MR_31-416x555.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:555;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38972;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"FDR_MR_31-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4560;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:13:\"FDR_MR_31.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12622", "12930", "_wp_attached_file", "2023/06/OSCAR_MR_045-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12623", "12930", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:31:\"2023/06/OSCAR_MR_045-scaled.jpg\";s:8:\"filesize\";i:316297;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"OSCAR_MR_045-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11063;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"OSCAR_MR_045-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63589;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"OSCAR_MR_045-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6000;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"OSCAR_MR_045-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40661;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"OSCAR_MR_045-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122112;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:26:\"OSCAR_MR_045-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:206238;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:25:\"OSCAR_MR_045-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81198;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"OSCAR_MR_045-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93728;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"OSCAR_MR_045-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17381;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"OSCAR_MR_045-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3620;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:16:\"OSCAR_MR_045.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12679", "6180", "_elementor_css", "a:6:{s:4:\"time\";i:1686050921;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12680", "12939", "_wp_attached_file", "2023/06/DANDY_MR_187-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12681", "12939", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:31:\"2023/06/DANDY_MR_187-scaled.jpg\";s:8:\"filesize\";i:252668;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_187-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10315;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_187-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61091;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_187-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4819;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_187-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54980;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_187-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113032;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_187-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:177333;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_187-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108827;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"DANDY_MR_187-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74781;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_187-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22222;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_187-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2958;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:13:\"MARGOT RAOULT\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1680618743\";s:9:\"copyright\";s:11:\"KOOK AGENCY\";s:12:\"focal_length\";s:2:\"76\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:9:\"0.0015625\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:16:\"DANDY_MR_187.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12694", "12943", "_wp_attached_file", "2023/06/LAPLACEVERTE_MR_013.jpg");
INSERT INTO `wp_postmeta` VALUES("12692", "12942", "_wp_attached_file", "2023/06/PASTICCIO_MR_067-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12693", "12942", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:35:\"2023/06/PASTICCIO_MR_067-scaled.jpg\";s:8:\"filesize\";i:539667;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_067-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15477;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"PASTICCIO_MR_067-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:96106;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_067-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7585;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_067-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61196;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"PASTICCIO_MR_067-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:188053;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"PASTICCIO_MR_067-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:327631;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:29:\"PASTICCIO_MR_067-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:123049;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"PASTICCIO_MR_067-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:136024;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_067-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24863;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"PASTICCIO_MR_067-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4393;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"1.8\";s:6:\"credit\";s:13:\"RAOULT Margot\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1646136505\";s:9:\"copyright\";s:15:\"c2021 GOMARPROD\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"320\";s:13:\"shutter_speed\";s:6:\"0.0025\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"PASTICCIO_MR_067.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12695", "12943", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2000;s:6:\"height\";i:1500;s:4:\"file\";s:31:\"2023/06/LAPLACEVERTE_MR_013.jpg\";s:8:\"filesize\";i:1678015;s:5:\"sizes\";a:9:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"LAPLACEVERTE_MR_013-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15377;}s:5:\"large\";a:5:{s:4:\"file\";s:32:\"LAPLACEVERTE_MR_013-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89285;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"LAPLACEVERTE_MR_013-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6836;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"LAPLACEVERTE_MR_013-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:58515;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:33:\"LAPLACEVERTE_MR_013-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167479;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:32:\"LAPLACEVERTE_MR_013-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114324;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:33:\"LAPLACEVERTE_MR_013-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106073;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:31:\"LAPLACEVERTE_MR_013-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24235;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:31:\"LAPLACEVERTE_MR_013-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3957;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"1.8\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1667895627\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:4:\"1600\";s:13:\"shutter_speed\";s:6:\"0.0125\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("12720", "11980", "_elementor_css", "a:6:{s:4:\"time\";i:1686052145;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:3:{i:0;s:8:\"fa-solid\";i:5;s:0:\"\";i:7;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12733", "12950", "_wp_attached_file", "2023/06/FDR_MR_54-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12734", "12950", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1920;s:4:\"file\";s:28:\"2023/06/FDR_MR_54-scaled.jpg\";s:8:\"filesize\";i:643951;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"FDR_MR_54-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21344;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"FDR_MR_54-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:139114;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"FDR_MR_54-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8729;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"FDR_MR_54-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89376;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"FDR_MR_54-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:264962;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"FDR_MR_54-2048x1536.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:430604;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"FDR_MR_54-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:179491;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:23:\"FDR_MR_54-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:166523;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:21:\"FDR_MR_54-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34639;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:21:\"FDR_MR_54-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4874;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:13:\"FDR_MR_54.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12759", "11981", "_elementor_css", "a:6:{s:4:\"time\";i:1686052603;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:2;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("12761", "12954", "_wp_attached_file", "2023/06/DANDY_MR_194-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12762", "12954", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:31:\"2023/06/DANDY_MR_194-scaled.jpg\";s:8:\"filesize\";i:274463;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_194-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11726;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"DANDY_MR_194-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68016;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_194-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5010;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_194-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61587;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_194-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:124218;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_194-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:192949;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:26:\"DANDY_MR_194-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119942;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:26:\"DANDY_MR_194-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70676;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_194-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25212;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:24:\"DANDY_MR_194-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3097;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"4\";s:6:\"credit\";s:13:\"MARGOT RAOULT\";s:6:\"camera\";s:12:\"Canon EOS R6\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1680619228\";s:9:\"copyright\";s:11:\"KOOK AGENCY\";s:12:\"focal_length\";s:2:\"76\";s:3:\"iso\";s:3:\"250\";s:13:\"shutter_speed\";s:6:\"0.0005\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:16:\"DANDY_MR_194.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12763", "12955", "_wp_attached_file", "2023/06/LASUBLIMEPORTE_MR_14-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12764", "12955", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2048;s:6:\"height\";i:2560;s:4:\"file\";s:39:\"2023/06/LASUBLIMEPORTE_MR_14-scaled.jpg\";s:8:\"filesize\";i:672637;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_14-240x300.jpg\";s:5:\"width\";i:240;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12281;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"LASUBLIMEPORTE_MR_14-819x1024.jpg\";s:5:\"width\";i:819;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97007;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5204;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_14-768x960.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85405;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_14-1229x1536.jpg\";s:5:\"width\";i:1229;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:218132;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_14-1638x2048.jpg\";s:5:\"width\";i:1638;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:407696;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_14-1200x1500.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:1500;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:207516;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:34:\"LASUBLIMEPORTE_MR_14-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:124923;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_14-416x520.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:520;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:29472;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:32:\"LASUBLIMEPORTE_MR_14-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2993;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:24:\"LASUBLIMEPORTE_MR_14.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12843", "12968", "_wp_attached_file", "2023/06/AV_Cafe-Capone_32-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12844", "12968", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1829;s:4:\"file\";s:36:\"2023/06/AV_Cafe-Capone_32-scaled.jpg\";s:8:\"filesize\";i:848407;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"AV_Cafe-Capone_32-300x214.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:214;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19869;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"AV_Cafe-Capone_32-1024x731.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:731;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:151838;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"AV_Cafe-Capone_32-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8499;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"AV_Cafe-Capone_32-768x549.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:549;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93469;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"AV_Cafe-Capone_32-1536x1097.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1097;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:313263;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"AV_Cafe-Capone_32-2048x1463.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1463;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:546452;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"AV_Cafe-Capone_32-1200x857.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:857;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:199705;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"AV_Cafe-Capone_32-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205916;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"AV_Cafe-Capone_32-416x297.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:297;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33993;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"AV_Cafe-Capone_32-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4631;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"5\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:15:\"Canon EOS 1300D\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1654783495\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"18\";s:3:\"iso\";s:4:\"1600\";s:13:\"shutter_speed\";s:5:\"0.008\";s:5:\"title\";s:12:\"Café Capone\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"AV_Cafe-Capone_32.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12831", "12965", "_wp_attached_file", "2023/06/6EMESENS_MR_010-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12832", "12965", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:36:\"2023/06/6EMESENS_MR_010-1-scaled.jpg\";s:8:\"filesize\";i:608165;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"6EMESENS_MR_010-1-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12006;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"6EMESENS_MR_010-1-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113981;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"6EMESENS_MR_010-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6797;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"6EMESENS_MR_010-1-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66749;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"6EMESENS_MR_010-1-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:237675;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"6EMESENS_MR_010-1-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:402075;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"6EMESENS_MR_010-1-1200x800.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:800;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:152157;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"6EMESENS_MR_010-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:188282;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"6EMESENS_MR_010-1-416x277.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:277;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21307;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"6EMESENS_MR_010-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3770;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"6EMESENS_MR_010-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12833", "12966", "_wp_attached_file", "2023/06/179473332_1435143870158576_578293220653616719_n-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12834", "12966", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1743;s:4:\"file\";s:66:\"2023/06/179473332_1435143870158576_578293220653616719_n-scaled.jpg\";s:8:\"filesize\";i:409320;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:59:\"179473332_1435143870158576_578293220653616719_n-300x204.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:204;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12722;}s:5:\"large\";a:5:{s:4:\"file\";s:60:\"179473332_1435143870158576_578293220653616719_n-1024x697.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:697;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89399;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:59:\"179473332_1435143870158576_578293220653616719_n-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6038;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"179473332_1435143870158576_578293220653616719_n-768x523.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:523;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55810;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:61:\"179473332_1435143870158576_578293220653616719_n-1536x1046.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1046;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:174503;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:61:\"179473332_1435143870158576_578293220653616719_n-2048x1394.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1394;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:282536;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:60:\"179473332_1435143870158576_578293220653616719_n-1200x817.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:817;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116163;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:61:\"179473332_1435143870158576_578293220653616719_n-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:129084;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:59:\"179473332_1435143870158576_578293220653616719_n-416x283.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:283;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21041;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:59:\"179473332_1435143870158576_578293220653616719_n-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3470;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:51:\"179473332_1435143870158576_578293220653616719_n.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12845", "12969", "_wp_attached_file", "2023/06/AMOUR_FLO_MR_28-1-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12846", "12969", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:2048;s:4:\"file\";s:36:\"2023/06/AMOUR_FLO_MR_28-1-scaled.jpg\";s:8:\"filesize\";i:930447;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"AMOUR_FLO_MR_28-1-300x240.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19955;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"AMOUR_FLO_MR_28-1-1024x819.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:819;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:192945;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"AMOUR_FLO_MR_28-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7843;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"AMOUR_FLO_MR_28-1-768x614.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:614;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113408;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:31:\"AMOUR_FLO_MR_28-1-1536x1229.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1229;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:394124;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:31:\"AMOUR_FLO_MR_28-1-2048x1638.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1638;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:640707;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:30:\"AMOUR_FLO_MR_28-1-1200x960.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:960;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:256015;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:31:\"AMOUR_FLO_MR_28-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:232039;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:29:\"AMOUR_FLO_MR_28-1-416x333.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36140;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:29:\"AMOUR_FLO_MR_28-1-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4309;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:21:\"AMOUR_FLO_MR_28-1.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12847", "12970", "_wp_attached_file", "2023/06/LOBEACH_MR_034-2-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("12848", "12970", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1920;s:4:\"file\";s:35:\"2023/06/LOBEACH_MR_034-2-scaled.jpg\";s:8:\"filesize\";i:764959;s:5:\"sizes\";a:10:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_034-2-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20317;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"LOBEACH_MR_034-2-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:161045;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_034-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8099;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_034-2-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:99438;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:30:\"LOBEACH_MR_034-2-1536x1152.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:318254;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:30:\"LOBEACH_MR_034-2-2048x1536.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:517520;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:29:\"LOBEACH_MR_034-2-1200x900.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:900;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:211111;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:30:\"LOBEACH_MR_034-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:210158;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_034-2-416x312.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:312;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35120;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:28:\"LOBEACH_MR_034-2-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4303;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:20:\"LOBEACH_MR_034-2.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("12873", "11982", "_elementor_css", "a:6:{s:4:\"time\";i:1686060487;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("13644", "3857", "_elementor_css", "a:6:{s:4:\"time\";i:1686146368;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("13241", "13018", "_wp_attached_file", "2023/06/WhatsApp-Image-2023-06-07-a-11.11.05.jpg");
INSERT INTO `wp_postmeta` VALUES("13242", "13018", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1067;s:6:\"height\";i:1001;s:4:\"file\";s:48:\"2023/06/WhatsApp-Image-2023-06-07-a-11.11.05.jpg\";s:8:\"filesize\";i:161503;s:5:\"sizes\";a:7:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-07-a-11.11.05-300x281.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:281;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18735;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"WhatsApp-Image-2023-06-07-a-11.11.05-1024x961.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:961;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:108174;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-07-a-11.11.05-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7057;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-07-a-11.11.05-768x720.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:720;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72773;}s:21:\"woocommerce_thumbnail\";a:6:{s:4:\"file\";s:50:\"WhatsApp-Image-2023-06-07-a-11.11.05-1024x1001.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1001;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115522;s:9:\"uncropped\";b:0;}s:18:\"woocommerce_single\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-07-a-11.11.05-416x390.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:390;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30242;}s:29:\"woocommerce_gallery_thumbnail\";a:5:{s:4:\"file\";s:48:\"WhatsApp-Image-2023-06-07-a-11.11.05-100x100.jpg\";s:5:\"width\";i:100;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4033;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13350", "13032", "_wp_attached_file", "2023/06/Design-sans-titre-1.mp4");
INSERT INTO `wp_postmeta` VALUES("13351", "13032", "_wp_attachment_metadata", "a:10:{s:8:\"filesize\";i:76558940;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:24;s:16:\"length_formatted\";s:4:\"0:24\";s:5:\"width\";i:3572;s:6:\"height\";i:2320;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:48000;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:-2082844800;}");
INSERT INTO `wp_postmeta` VALUES("13411", "12678", "_elementor_css", "a:6:{s:4:\"time\";i:1686140633;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("13678", "10485", "_elementor_css", "a:6:{s:4:\"time\";i:1686211999;s:5:\"fonts\";a:1:{i:0;s:14:\"League Spartan\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:2;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("13519", "3352", "_elementor_css", "a:6:{s:4:\"time\";i:1686143054;s:5:\"fonts\";a:1:{i:0;s:14:\"League Spartan\";}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("13679", "8", "original-file", "2022/08/1-scaled-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13680", "8", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13681", "8", "smush-info", "The file was compressed from 107.10 KB to 74.27 KB saving 30.66 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13682", "8", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:109669;s:12:\"smushed-size\";i:76048;s:15:\"savings-percent\";d:30.66;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:109669;s:10:\"compressed\";i:76048;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:41903;s:10:\"compressed\";i:32577;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2162;s:10:\"compressed\";i:1676;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:7631;s:10:\"compressed\";i:6290;}s:6:\"medium\";a:2:{s:8:\"original\";i:5037;s:10:\"compressed\";i:4136;}s:5:\"large\";a:2:{s:8:\"original\";i:26026;s:10:\"compressed\";i:20493;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3311;s:10:\"compressed\";i:2666;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:17288;s:10:\"compressed\";i:14017;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:48016;s:10:\"compressed\";i:36096;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:75530;s:10:\"compressed\";i:54001;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:33362;s:10:\"compressed\";i:25890;}}}");
INSERT INTO `wp_postmeta` VALUES("13683", "34", "original-file", "2019/01/hoodie-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13684", "34", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13685", "34", "smush-info", "The file was compressed from 45.00 KB to 23.26 KB saving 48.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13686", "34", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:46079;s:12:\"smushed-size\";i:23820;s:15:\"savings-percent\";d:48.31;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:46079;s:10:\"compressed\";i:23820;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1980;s:10:\"compressed\";i:1495;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12547;s:10:\"compressed\";i:10123;}s:6:\"medium\";a:2:{s:8:\"original\";i:7987;s:10:\"compressed\";i:6632;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3134;s:10:\"compressed\";i:2513;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29350;s:10:\"compressed\";i:22259;}}}");
INSERT INTO `wp_postmeta` VALUES("13687", "52", "original-file", "2022/08/3-7-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13688", "52", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13689", "52", "smush-info", "The file was compressed from 64.24 KB to 42.22 KB saving 34.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13690", "52", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:65785;s:12:\"smushed-size\";i:43234;s:15:\"savings-percent\";d:34.28;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:65785;s:10:\"compressed\";i:43234;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:38964;s:10:\"compressed\";i:28849;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2082;s:10:\"compressed\";i:1566;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8858;s:10:\"compressed\";i:7297;}s:6:\"medium\";a:2:{s:8:\"original\";i:5956;s:10:\"compressed\";i:4868;}s:5:\"large\";a:2:{s:8:\"original\";i:30789;s:10:\"compressed\";i:23273;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3043;s:10:\"compressed\";i:2369;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:20372;s:10:\"compressed\";i:15827;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:39195;s:10:\"compressed\";i:28962;}}}");
INSERT INTO `wp_postmeta` VALUES("13691", "53", "original-file", "2022/08/2-7-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13692", "53", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13693", "53", "smush-info", "The file was compressed from 76.20 KB to 37.30 KB saving 51.05 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13694", "53", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:78032;s:12:\"smushed-size\";i:38199;s:15:\"savings-percent\";d:51.05;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:78032;s:10:\"compressed\";i:38199;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:38071;s:10:\"compressed\";i:29252;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2510;s:10:\"compressed\";i:1979;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:7944;s:10:\"compressed\";i:6609;}s:6:\"medium\";a:2:{s:8:\"original\";i:5395;s:10:\"compressed\";i:4479;}s:5:\"large\";a:2:{s:8:\"original\";i:27145;s:10:\"compressed\";i:20764;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3655;s:10:\"compressed\";i:2965;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:18048;s:10:\"compressed\";i:14233;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:34451;s:10:\"compressed\";i:25830;}}}");
INSERT INTO `wp_postmeta` VALUES("13695", "57", "original-file", "2022/08/4-scaled-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13696", "57", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13697", "57", "smush-info", "The file was compressed from 95.58 KB to 59.29 KB saving 37.97 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13698", "57", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:97873;s:12:\"smushed-size\";i:60711;s:15:\"savings-percent\";d:37.97;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:97873;s:10:\"compressed\";i:60711;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:40472;s:10:\"compressed\";i:29360;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1838;s:10:\"compressed\";i:1385;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:5726;s:10:\"compressed\";i:4473;}s:6:\"medium\";a:2:{s:8:\"original\";i:3626;s:10:\"compressed\";i:2808;}s:5:\"large\";a:2:{s:8:\"original\";i:21908;s:10:\"compressed\";i:15465;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2669;s:10:\"compressed\";i:2095;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:14004;s:10:\"compressed\";i:10249;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:41612;s:10:\"compressed\";i:27784;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:66138;s:10:\"compressed\";i:42304;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:28447;s:10:\"compressed\";i:19573;}}}");
INSERT INTO `wp_postmeta` VALUES("13699", "88", "original-file", "2022/08/1-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13700", "88", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13701", "88", "smush-info", "The file was compressed from 387.81 KB to 285.32 KB saving 26.43 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13702", "88", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:397119;s:12:\"smushed-size\";i:292164;s:15:\"savings-percent\";d:26.43;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:397119;s:10:\"compressed\";i:292164;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:139176;s:10:\"compressed\";i:116406;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3212;s:10:\"compressed\";i:2598;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34020;s:10:\"compressed\";i:28603;}s:6:\"medium\";a:2:{s:8:\"original\";i:11493;s:10:\"compressed\";i:9775;}s:5:\"large\";a:2:{s:8:\"original\";i:107069;s:10:\"compressed\";i:89173;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5127;s:10:\"compressed\";i:4351;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:109234;s:10:\"compressed\";i:90930;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:224858;s:10:\"compressed\";i:187769;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:245605;s:10:\"compressed\";i:205043;}}}");
INSERT INTO `wp_postmeta` VALUES("13703", "96", "original-file", "2022/08/2-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13704", "96", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13705", "96", "smush-info", "The file was compressed from 183.85 KB to 135.23 KB saving 26.44 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13706", "96", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:188260;s:12:\"smushed-size\";i:138476;s:15:\"savings-percent\";d:26.44;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:188260;s:10:\"compressed\";i:138476;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:61231;s:10:\"compressed\";i:48659;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2402;s:10:\"compressed\";i:1858;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19056;s:10:\"compressed\";i:15858;}s:6:\"medium\";a:2:{s:8:\"original\";i:8084;s:10:\"compressed\";i:6862;}s:5:\"large\";a:2:{s:8:\"original\";i:53738;s:10:\"compressed\";i:43437;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3548;s:10:\"compressed\";i:2882;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:52468;s:10:\"compressed\";i:42443;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:113091;s:10:\"compressed\";i:90184;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:120480;s:10:\"compressed\";i:95981;}}}");
INSERT INTO `wp_postmeta` VALUES("13707", "106", "original-file", "2022/08/9d6c76146067617.62a9b2aa00784-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13708", "106", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13709", "106", "smush-info", "The file was compressed from 664.42 KB to 194.32 KB saving 70.75 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13710", "106", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:680366;s:12:\"smushed-size\";i:198980;s:15:\"savings-percent\";d:70.75;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:680366;s:10:\"compressed\";i:198980;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93075;s:10:\"compressed\";i:77132;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2782;s:10:\"compressed\";i:2249;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:24094;s:10:\"compressed\";i:20446;}s:6:\"medium\";a:2:{s:8:\"original\";i:10521;s:10:\"compressed\";i:8994;}s:5:\"large\";a:2:{s:8:\"original\";i:79675;s:10:\"compressed\";i:66066;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4573;s:10:\"compressed\";i:3827;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:69360;s:10:\"compressed\";i:57635;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:169129;s:10:\"compressed\";i:139185;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:158076;s:10:\"compressed\";i:129946;}}}");
INSERT INTO `wp_postmeta` VALUES("13711", "107", "original-file", "2022/08/9110f5146067617.62a9b2a9f3154-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13712", "107", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13713", "107", "smush-info", "The file was compressed from 624.99 KB to 153.83 KB saving 75.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13714", "107", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:639988;s:12:\"smushed-size\";i:157524;s:15:\"savings-percent\";d:75.39;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:639988;s:10:\"compressed\";i:157524;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:86354;s:10:\"compressed\";i:74318;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3138;s:10:\"compressed\";i:2580;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25311;s:10:\"compressed\";i:21962;}s:6:\"medium\";a:2:{s:8:\"original\";i:10581;s:10:\"compressed\";i:9221;}s:5:\"large\";a:2:{s:8:\"original\";i:67589;s:10:\"compressed\";i:58079;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5145;s:10:\"compressed\";i:4368;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65955;s:10:\"compressed\";i:56716;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:132744;s:10:\"compressed\";i:112884;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:138167;s:10:\"compressed\";i:117469;}}}");
INSERT INTO `wp_postmeta` VALUES("13715", "117", "original-file", "2022/08/f8706c146067617-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13716", "117", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13717", "117", "smush-info", "The file was compressed from 131.79 KB to 92.54 KB saving 29.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13718", "117", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134953;s:12:\"smushed-size\";i:94764;s:15:\"savings-percent\";d:29.78;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:134953;s:10:\"compressed\";i:94764;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:53884;s:10:\"compressed\";i:42888;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2254;s:10:\"compressed\";i:1754;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16798;s:10:\"compressed\";i:13564;}s:6:\"medium\";a:2:{s:8:\"original\";i:7371;s:10:\"compressed\";i:6153;}s:5:\"large\";a:2:{s:8:\"original\";i:47642;s:10:\"compressed\";i:37822;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3420;s:10:\"compressed\";i:2767;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:43696;s:10:\"compressed\";i:34771;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:91895;s:10:\"compressed\";i:72545;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:90768;s:10:\"compressed\";i:71583;}}}");
INSERT INTO `wp_postmeta` VALUES("13719", "134", "original-file", "2022/08/4-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13720", "134", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13721", "134", "smush-info", "The file was compressed from 135.19 KB to 95.17 KB saving 29.6 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13722", "134", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:138433;s:12:\"smushed-size\";i:97458;s:15:\"savings-percent\";d:29.6;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:138433;s:10:\"compressed\";i:97458;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:116206;s:10:\"compressed\";i:99405;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3581;s:10:\"compressed\";i:2957;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35561;s:10:\"compressed\";i:30794;}s:6:\"medium\";a:2:{s:8:\"original\";i:13630;s:10:\"compressed\";i:11844;}s:5:\"large\";a:2:{s:8:\"original\";i:99582;s:10:\"compressed\";i:85821;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5935;s:10:\"compressed\";i:5107;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:98674;s:10:\"compressed\";i:85031;}}}");
INSERT INTO `wp_postmeta` VALUES("13723", "135", "original-file", "2022/08/5-5-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13724", "135", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13725", "135", "smush-info", "The file was compressed from 121.44 KB to 85.13 KB saving 29.9 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13726", "135", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:124351;s:12:\"smushed-size\";i:87170;s:15:\"savings-percent\";d:29.9;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:124351;s:10:\"compressed\";i:87170;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:104717;s:10:\"compressed\";i:88623;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2960;s:10:\"compressed\";i:2401;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29991;s:10:\"compressed\";i:25748;}s:6:\"medium\";a:2:{s:8:\"original\";i:11456;s:10:\"compressed\";i:9949;}s:5:\"large\";a:2:{s:8:\"original\";i:91079;s:10:\"compressed\";i:77661;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4799;s:10:\"compressed\";i:4066;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:88440;s:10:\"compressed\";i:75292;}}}");
INSERT INTO `wp_postmeta` VALUES("13727", "136", "original-file", "2022/08/6-5-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13728", "136", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13729", "136", "smush-info", "The file was compressed from 198.13 KB to 141.54 KB saving 28.56 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13730", "136", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:202882;s:12:\"smushed-size\";i:144936;s:15:\"savings-percent\";d:28.56;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:202882;s:10:\"compressed\";i:144936;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:172161;s:10:\"compressed\";i:146515;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3895;s:10:\"compressed\";i:3234;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:51338;s:10:\"compressed\";i:43442;}s:6:\"medium\";a:2:{s:8:\"original\";i:18244;s:10:\"compressed\";i:15465;}s:5:\"large\";a:2:{s:8:\"original\";i:150714;s:10:\"compressed\";i:129015;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6871;s:10:\"compressed\";i:5920;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:146629;s:10:\"compressed\";i:125443;}}}");
INSERT INTO `wp_postmeta` VALUES("13731", "139", "original-file", "2022/08/9-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13732", "139", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13733", "139", "smush-info", "The file was compressed from 150.04 KB to 107.24 KB saving 28.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13734", "139", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:153646;s:12:\"smushed-size\";i:109813;s:15:\"savings-percent\";d:28.53;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:153646;s:10:\"compressed\";i:109813;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:131894;s:10:\"compressed\";i:112579;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3613;s:10:\"compressed\";i:2995;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38917;s:10:\"compressed\";i:33314;}s:6:\"medium\";a:2:{s:8:\"original\";i:14105;s:10:\"compressed\";i:12226;}s:5:\"large\";a:2:{s:8:\"original\";i:113285;s:10:\"compressed\";i:97400;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6269;s:10:\"compressed\";i:5403;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:109628;s:10:\"compressed\";i:94391;}}}");
INSERT INTO `wp_postmeta` VALUES("13735", "153", "original-file", "2022/08/logo-1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13736", "153", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13737", "153", "smush-info", "The file was compressed from 5.31 KB to 2.67 KB saving 49.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13738", "153", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5442;s:12:\"smushed-size\";i:2733;s:15:\"savings-percent\";d:49.78;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5442;s:10:\"compressed\";i:2733;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1622;s:10:\"compressed\";i:1622;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2004;s:10:\"compressed\";i:1670;}}}");
INSERT INTO `wp_postmeta` VALUES("13739", "154", "original-file", "2022/08/logo-light-1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13740", "154", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13741", "154", "smush-info", "The file was compressed from 5.24 KB to 2.66 KB saving 49.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13742", "154", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5368;s:12:\"smushed-size\";i:2726;s:15:\"savings-percent\";d:49.22;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5368;s:10:\"compressed\";i:2726;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1474;s:10:\"compressed\";i:1474;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1819;s:10:\"compressed\";i:1819;}}}");
INSERT INTO `wp_postmeta` VALUES("13743", "157", "original-file", "2022/08/1-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13744", "157", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13745", "157", "smush-info", "The file was compressed from 343.45 KB to 170.38 KB saving 50.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13746", "157", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:351696;s:12:\"smushed-size\";i:174470;s:15:\"savings-percent\";d:50.39;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:351696;s:10:\"compressed\";i:174470;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:152426;s:10:\"compressed\";i:129539;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2490;s:10:\"compressed\";i:1968;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16376;s:10:\"compressed\";i:13918;}s:6:\"medium\";a:2:{s:8:\"original\";i:9157;s:10:\"compressed\";i:7849;}s:5:\"large\";a:2:{s:8:\"original\";i:92934;s:10:\"compressed\";i:78500;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4177;s:10:\"compressed\";i:3498;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:52299;s:10:\"compressed\";i:44216;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:125914;s:10:\"compressed\";i:106806;}}}");
INSERT INTO `wp_postmeta` VALUES("13747", "158", "original-file", "2022/08/2-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13748", "158", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13749", "158", "smush-info", "The file was compressed from 377.60 KB to 183.16 KB saving 51.49 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13750", "158", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:386662;s:12:\"smushed-size\";i:187560;s:15:\"savings-percent\";d:51.49;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:386662;s:10:\"compressed\";i:187560;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:154465;s:10:\"compressed\";i:130517;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2240;s:10:\"compressed\";i:1750;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16295;s:10:\"compressed\";i:13796;}s:6:\"medium\";a:2:{s:8:\"original\";i:9147;s:10:\"compressed\";i:7827;}s:5:\"large\";a:2:{s:8:\"original\";i:99226;s:10:\"compressed\";i:83492;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3774;s:10:\"compressed\";i:3111;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:55436;s:10:\"compressed\";i:46506;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:134063;s:10:\"compressed\";i:113727;}}}");
INSERT INTO `wp_postmeta` VALUES("13751", "159", "original-file", "2022/08/3-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13752", "159", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13753", "159", "smush-info", "The file was compressed from 377.05 KB to 123.91 KB saving 67.14 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13754", "159", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:386100;s:12:\"smushed-size\";i:126885;s:15:\"savings-percent\";d:67.14;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:386100;s:10:\"compressed\";i:126885;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93283;s:10:\"compressed\";i:78869;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2564;s:10:\"compressed\";i:2041;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:15014;s:10:\"compressed\";i:13086;}s:6:\"medium\";a:2:{s:8:\"original\";i:9186;s:10:\"compressed\";i:7950;}s:5:\"large\";a:2:{s:8:\"original\";i:68350;s:10:\"compressed\";i:58054;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4124;s:10:\"compressed\";i:3442;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41516;s:10:\"compressed\";i:35565;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:89896;s:10:\"compressed\";i:76501;}}}");
INSERT INTO `wp_postmeta` VALUES("13755", "160", "original-file", "2022/08/6-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13756", "160", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13757", "160", "smush-info", "The file was compressed from 241.97 KB to 95.89 KB saving 60.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13758", "160", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:247776;s:12:\"smushed-size\";i:98190;s:15:\"savings-percent\";d:60.37;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:247776;s:10:\"compressed\";i:98190;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:103975;s:10:\"compressed\";i:87955;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2946;s:10:\"compressed\";i:2407;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14360;s:10:\"compressed\";i:12423;}s:6:\"medium\";a:2:{s:8:\"original\";i:8892;s:10:\"compressed\";i:7643;}s:5:\"large\";a:2:{s:8:\"original\";i:61098;s:10:\"compressed\";i:51959;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4937;s:10:\"compressed\";i:4151;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:37779;s:10:\"compressed\";i:32246;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:78966;s:10:\"compressed\";i:66924;}}}");
INSERT INTO `wp_postmeta` VALUES("13759", "161", "original-file", "2022/08/7-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13760", "161", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13761", "161", "smush-info", "The file was compressed from 268.72 KB to 101.05 KB saving 62.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13762", "161", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:275169;s:12:\"smushed-size\";i:103478;s:15:\"savings-percent\";d:62.39;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:275169;s:10:\"compressed\";i:103478;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:114253;s:10:\"compressed\";i:96573;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2914;s:10:\"compressed\";i:2356;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14056;s:10:\"compressed\";i:12193;}s:6:\"medium\";a:2:{s:8:\"original\";i:8520;s:10:\"compressed\";i:7308;}s:5:\"large\";a:2:{s:8:\"original\";i:62846;s:10:\"compressed\";i:53345;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4878;s:10:\"compressed\";i:4069;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:38313;s:10:\"compressed\";i:32749;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:82838;s:10:\"compressed\";i:70014;}}}");
INSERT INTO `wp_postmeta` VALUES("13763", "162", "original-file", "2022/08/8-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13764", "162", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13765", "162", "smush-info", "The file was compressed from 274.28 KB to 99.59 KB saving 63.69 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13766", "162", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:280860;s:12:\"smushed-size\";i:101977;s:15:\"savings-percent\";d:63.69;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:280860;s:10:\"compressed\";i:101977;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:114818;s:10:\"compressed\";i:96092;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2627;s:10:\"compressed\";i:2094;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13092;s:10:\"compressed\";i:11284;}s:6:\"medium\";a:2:{s:8:\"original\";i:7880;s:10:\"compressed\";i:6758;}s:5:\"large\";a:2:{s:8:\"original\";i:61136;s:10:\"compressed\";i:51404;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4394;s:10:\"compressed\";i:3684;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:36849;s:10:\"compressed\";i:31230;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:81324;s:10:\"compressed\";i:68276;}}}");
INSERT INTO `wp_postmeta` VALUES("13767", "163", "original-file", "2022/08/9-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13768", "163", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13769", "163", "smush-info", "The file was compressed from 180.08 KB to 100.08 KB saving 44.42 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13770", "163", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:184398;s:12:\"smushed-size\";i:102486;s:15:\"savings-percent\";d:44.42;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:184398;s:10:\"compressed\";i:102486;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:95376;s:10:\"compressed\";i:80221;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2458;s:10:\"compressed\";i:1933;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13042;s:10:\"compressed\";i:11233;}s:6:\"medium\";a:2:{s:8:\"original\";i:7935;s:10:\"compressed\";i:6781;}s:5:\"large\";a:2:{s:8:\"original\";i:60112;s:10:\"compressed\";i:50932;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4050;s:10:\"compressed\";i:3342;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:36629;s:10:\"compressed\";i:31222;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:78976;s:10:\"compressed\";i:66732;}}}");
INSERT INTO `wp_postmeta` VALUES("13771", "164", "original-file", "2022/08/10-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13772", "164", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13773", "164", "smush-info", "The file was compressed from 708.17 KB to 286.60 KB saving 59.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13774", "164", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:725171;s:12:\"smushed-size\";i:293474;s:15:\"savings-percent\";d:59.53;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:725171;s:10:\"compressed\";i:293474;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:263902;s:10:\"compressed\";i:216206;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3434;s:10:\"compressed\";i:2813;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:27963;s:10:\"compressed\";i:23253;}s:6:\"medium\";a:2:{s:8:\"original\";i:15001;s:10:\"compressed\";i:12599;}s:5:\"large\";a:2:{s:8:\"original\";i:166895;s:10:\"compressed\";i:137084;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6325;s:10:\"compressed\";i:5392;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:95564;s:10:\"compressed\";i:78612;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:222142;s:10:\"compressed\";i:182762;}}}");
INSERT INTO `wp_postmeta` VALUES("13775", "218", "original-file", "2022/08/1-3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13776", "218", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13777", "218", "smush-info", "The file was compressed from 322.31 KB to 234.08 KB saving 27.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13778", "218", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:330042;s:12:\"smushed-size\";i:239700;s:15:\"savings-percent\";d:27.37;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:330042;s:10:\"compressed\";i:239700;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:115671;s:10:\"compressed\";i:98642;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2796;s:10:\"compressed\";i:2248;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16302;s:10:\"compressed\";i:14265;}s:6:\"medium\";a:2:{s:8:\"original\";i:9872;s:10:\"compressed\";i:8557;}s:5:\"large\";a:2:{s:8:\"original\";i:85508;s:10:\"compressed\";i:73025;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4452;s:10:\"compressed\";i:3753;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:50363;s:10:\"compressed\";i:43172;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:179898;s:10:\"compressed\";i:153795;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:115335;s:10:\"compressed\";i:98424;}}}");
INSERT INTO `wp_postmeta` VALUES("13779", "226", "original-file", "2022/08/2-3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13780", "226", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13781", "226", "smush-info", "The file was compressed from 124.48 KB to 94.34 KB saving 24.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13782", "226", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:127466;s:12:\"smushed-size\";i:96607;s:15:\"savings-percent\";d:24.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:127466;s:10:\"compressed\";i:96607;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:63197;s:10:\"compressed\";i:53443;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2342;s:10:\"compressed\";i:1862;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12399;s:10:\"compressed\";i:10856;}s:6:\"medium\";a:2:{s:8:\"original\";i:7787;s:10:\"compressed\";i:6599;}s:5:\"large\";a:2:{s:8:\"original\";i:48580;s:10:\"compressed\";i:41515;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3763;s:10:\"compressed\";i:3106;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:31128;s:10:\"compressed\";i:26848;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:91740;s:10:\"compressed\";i:76341;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:62323;s:10:\"compressed\";i:52744;}}}");
INSERT INTO `wp_postmeta` VALUES("13783", "234", "original-file", "2022/08/3-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13784", "234", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13785", "234", "smush-info", "The file was compressed from 85.13 KB to 59.70 KB saving 29.87 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13786", "234", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:87173;s:12:\"smushed-size\";i:61134;s:15:\"savings-percent\";d:29.87;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:87173;s:10:\"compressed\";i:61134;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2946;s:10:\"compressed\";i:2409;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25081;s:10:\"compressed\";i:21332;}s:6:\"medium\";a:2:{s:8:\"original\";i:10322;s:10:\"compressed\";i:8843;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5094;s:10:\"compressed\";i:4333;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65171;s:10:\"compressed\";i:55015;}}}");
INSERT INTO `wp_postmeta` VALUES("13787", "235", "original-file", "2022/08/4-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13788", "235", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13789", "235", "smush-info", "The file was compressed from 57.62 KB to 41.99 KB saving 27.13 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13790", "235", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:59001;s:12:\"smushed-size\";i:42995;s:15:\"savings-percent\";d:27.13;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:59001;s:10:\"compressed\";i:42995;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2377;s:10:\"compressed\";i:1874;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:18323;s:10:\"compressed\";i:15809;}s:6:\"medium\";a:2:{s:8:\"original\";i:7788;s:10:\"compressed\";i:6636;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3887;s:10:\"compressed\";i:3233;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:46675;s:10:\"compressed\";i:39497;}}}");
INSERT INTO `wp_postmeta` VALUES("13791", "242", "original-file", "2022/08/5-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13792", "242", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13793", "242", "smush-info", "The file was compressed from 431.33 KB to 284.10 KB saving 34.13 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13794", "242", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:441684;s:12:\"smushed-size\";i:290920;s:15:\"savings-percent\";d:34.13;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:441684;s:10:\"compressed\";i:290920;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:284316;s:10:\"compressed\";i:237194;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3665;s:10:\"compressed\";i:3029;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:30777;s:10:\"compressed\";i:25916;}s:6:\"medium\";a:2:{s:8:\"original\";i:16649;s:10:\"compressed\";i:14065;}s:5:\"large\";a:2:{s:8:\"original\";i:181058;s:10:\"compressed\";i:152383;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6585;s:10:\"compressed\";i:5639;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:105896;s:10:\"compressed\";i:88595;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:241323;s:10:\"compressed\";i:203952;}}}");
INSERT INTO `wp_postmeta` VALUES("13795", "248", "original-file", "2022/08/6-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13796", "248", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13797", "248", "smush-info", "The file was compressed from 76.66 KB to 54.14 KB saving 29.38 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13798", "248", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:78501;s:12:\"smushed-size\";i:55439;s:15:\"savings-percent\";d:29.38;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:78501;s:10:\"compressed\";i:55439;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2796;s:10:\"compressed\";i:2268;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16139;s:10:\"compressed\";i:14053;}s:6:\"medium\";a:2:{s:8:\"original\";i:9983;s:10:\"compressed\";i:8656;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4456;s:10:\"compressed\";i:3750;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41031;s:10:\"compressed\";i:35396;}}}");
INSERT INTO `wp_postmeta` VALUES("13799", "249", "original-file", "2022/08/7-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13800", "249", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13801", "249", "smush-info", "The file was compressed from 62.93 KB to 41.74 KB saving 33.67 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13802", "249", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:64440;s:12:\"smushed-size\";i:42743;s:15:\"savings-percent\";d:33.67;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:64440;s:10:\"compressed\";i:42743;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2504;s:10:\"compressed\";i:1979;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13571;s:10:\"compressed\";i:11959;}s:6:\"medium\";a:2:{s:8:\"original\";i:8455;s:10:\"compressed\";i:7238;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4086;s:10:\"compressed\";i:3390;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:33660;s:10:\"compressed\";i:29125;}}}");
INSERT INTO `wp_postmeta` VALUES("13803", "250", "original-file", "2022/08/8-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13804", "250", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13805", "250", "smush-info", "The file was compressed from 121.59 KB to 83.16 KB saving 31.61 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13806", "250", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:124504;s:12:\"smushed-size\";i:85154;s:15:\"savings-percent\";d:31.61;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:124504;s:10:\"compressed\";i:85154;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2940;s:10:\"compressed\";i:2376;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22962;s:10:\"compressed\";i:19789;}s:6:\"medium\";a:2:{s:8:\"original\";i:13243;s:10:\"compressed\";i:11478;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4879;s:10:\"compressed\";i:4074;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:62233;s:10:\"compressed\";i:53516;}}}");
INSERT INTO `wp_postmeta` VALUES("13807", "251", "original-file", "2022/08/9-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13808", "251", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13809", "251", "smush-info", "The file was compressed from 95.93 KB to 71.33 KB saving 25.64 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13810", "251", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:98231;s:12:\"smushed-size\";i:73046;s:15:\"savings-percent\";d:25.64;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:98231;s:10:\"compressed\";i:73046;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3597;s:10:\"compressed\";i:2946;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21273;s:10:\"compressed\";i:18383;}s:6:\"medium\";a:2:{s:8:\"original\";i:13023;s:10:\"compressed\";i:11140;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6035;s:10:\"compressed\";i:5134;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54243;s:10:\"compressed\";i:46733;}}}");
INSERT INTO `wp_postmeta` VALUES("13811", "252", "original-file", "2022/08/10-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13812", "252", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13813", "252", "smush-info", "The file was compressed from 71.11 KB to 55.64 KB saving 21.75 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13814", "252", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:72817;s:12:\"smushed-size\";i:56977;s:15:\"savings-percent\";d:21.75;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:72817;s:10:\"compressed\";i:56977;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2828;s:10:\"compressed\";i:2275;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:15791;s:10:\"compressed\";i:13753;}s:6:\"medium\";a:2:{s:8:\"original\";i:10280;s:10:\"compressed\";i:8869;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4500;s:10:\"compressed\";i:3737;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41352;s:10:\"compressed\";i:35535;}}}");
INSERT INTO `wp_postmeta` VALUES("13815", "305", "original-file", "2022/08/1-4-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13816", "305", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13817", "305", "smush-info", "The file was compressed from 598.40 KB to 387.72 KB saving 35.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13818", "305", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:612759;s:12:\"smushed-size\";i:397023;s:15:\"savings-percent\";d:35.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:612759;s:10:\"compressed\";i:397023;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:229533;s:10:\"compressed\";i:194954;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4313;s:10:\"compressed\";i:3559;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29171;s:10:\"compressed\";i:24773;}s:6:\"medium\";a:2:{s:8:\"original\";i:16851;s:10:\"compressed\";i:14338;}s:5:\"large\";a:2:{s:8:\"original\";i:154239;s:10:\"compressed\";i:130314;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7831;s:10:\"compressed\";i:6715;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:89093;s:10:\"compressed\";i:75427;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:323045;s:10:\"compressed\";i:274691;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:210129;s:10:\"compressed\";i:177654;}}}");
INSERT INTO `wp_postmeta` VALUES("13819", "306", "original-file", "2022/08/2-4-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13820", "306", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13821", "306", "smush-info", "The file was compressed from 238.35 KB to 163.16 KB saving 31.54 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13822", "306", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:244071;s:12:\"smushed-size\";i:167080;s:15:\"savings-percent\";d:31.54;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:244071;s:10:\"compressed\";i:167080;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:163101;s:10:\"compressed\";i:139485;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3818;s:10:\"compressed\";i:3154;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22529;s:10:\"compressed\";i:19304;}s:6:\"medium\";a:2:{s:8:\"original\";i:13116;s:10:\"compressed\";i:11288;}s:5:\"large\";a:2:{s:8:\"original\";i:104555;s:10:\"compressed\";i:90288;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6742;s:10:\"compressed\";i:5764;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63392;s:10:\"compressed\";i:54621;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:137314;s:10:\"compressed\";i:118653;}}}");
INSERT INTO `wp_postmeta` VALUES("13823", "307", "original-file", "2022/08/3-3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13824", "307", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13825", "307", "smush-info", "The file was compressed from 141.79 KB to 99.01 KB saving 30.17 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13826", "307", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:145191;s:12:\"smushed-size\";i:101391;s:15:\"savings-percent\";d:30.17;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:145191;s:10:\"compressed\";i:101391;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:110774;s:10:\"compressed\";i:95666;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4089;s:10:\"compressed\";i:3385;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21976;s:10:\"compressed\";i:18964;}s:6:\"medium\";a:2:{s:8:\"original\";i:13763;s:10:\"compressed\";i:11818;}s:5:\"large\";a:2:{s:8:\"original\";i:85565;s:10:\"compressed\";i:74755;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6946;s:10:\"compressed\";i:5937;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54658;s:10:\"compressed\";i:47806;}}}");
INSERT INTO `wp_postmeta` VALUES("13827", "308", "original-file", "2022/08/4-3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13828", "308", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13829", "308", "smush-info", "The file was compressed from 277.40 KB to 177.65 KB saving 35.96 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13830", "308", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:284062;s:12:\"smushed-size\";i:181914;s:15:\"savings-percent\";d:35.96;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:284062;s:10:\"compressed\";i:181914;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:175687;s:10:\"compressed\";i:148365;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4061;s:10:\"compressed\";i:3327;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:26791;s:10:\"compressed\";i:22557;}s:6:\"medium\";a:2:{s:8:\"original\";i:15726;s:10:\"compressed\";i:13230;}s:5:\"large\";a:2:{s:8:\"original\";i:118983;s:10:\"compressed\";i:101557;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7346;s:10:\"compressed\";i:6223;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:73856;s:10:\"compressed\";i:62729;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:153949;s:10:\"compressed\";i:131905;}}}");
INSERT INTO `wp_postmeta` VALUES("13831", "309", "original-file", "2022/08/5-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13832", "309", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13833", "309", "smush-info", "The file was compressed from 297.52 KB to 189.57 KB saving 36.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13834", "309", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:304664;s:12:\"smushed-size\";i:194121;s:15:\"savings-percent\";d:36.28;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:304664;s:10:\"compressed\";i:194121;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:186142;s:10:\"compressed\";i:158646;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4316;s:10:\"compressed\";i:3531;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:30147;s:10:\"compressed\";i:25196;}s:6:\"medium\";a:2:{s:8:\"original\";i:17719;s:10:\"compressed\";i:14812;}s:5:\"large\";a:2:{s:8:\"original\";i:130365;s:10:\"compressed\";i:110867;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8065;s:10:\"compressed\";i:6794;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:81482;s:10:\"compressed\";i:68928;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:167395;s:10:\"compressed\";i:143003;}}}");
INSERT INTO `wp_postmeta` VALUES("13835", "335", "original-file", "2022/08/1-5-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13836", "335", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13837", "335", "smush-info", "The file was compressed from 77.12 KB to 54.67 KB saving 29.11 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13838", "335", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:78973;s:12:\"smushed-size\";i:55983;s:15:\"savings-percent\";d:29.11;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:78973;s:10:\"compressed\";i:55983;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:49212;s:10:\"compressed\";i:38743;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1640;s:10:\"compressed\";i:1188;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:5312;s:10:\"compressed\";i:4076;}s:6:\"medium\";a:2:{s:8:\"original\";i:3402;s:10:\"compressed\";i:2600;}s:5:\"large\";a:2:{s:8:\"original\";i:23933;s:10:\"compressed\";i:17898;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2463;s:10:\"compressed\";i:1896;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:14664;s:10:\"compressed\";i:11168;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:48747;s:10:\"compressed\";i:35739;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:31999;s:10:\"compressed\";i:23671;}}}");
INSERT INTO `wp_postmeta` VALUES("13839", "348", "smush-info", "Failed with error code exceeded_max_filesize - C:wamp64wwwKOOKAgency/wp-content/uploads/2022/08/2-2.gif - cannot be optimized, file size is above service provider limit");
INSERT INTO `wp_postmeta` VALUES("13840", "348", "smush-complete", "");
INSERT INTO `wp_postmeta` VALUES("13841", "359", "original-file", "2022/08/3-4-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13842", "359", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13843", "359", "smush-info", "The file was compressed from 87.06 KB to 66.57 KB saving 23.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13844", "359", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:89145;s:12:\"smushed-size\";i:68165;s:15:\"savings-percent\";d:23.53;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:89145;s:10:\"compressed\";i:68165;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:57260;s:10:\"compressed\";i:47902;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1990;s:10:\"compressed\";i:1516;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9741;s:10:\"compressed\";i:8212;}s:6:\"medium\";a:2:{s:8:\"original\";i:6011;s:10:\"compressed\";i:5011;}s:5:\"large\";a:2:{s:8:\"original\";i:44722;s:10:\"compressed\";i:37639;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3121;s:10:\"compressed\";i:2510;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27391;s:10:\"compressed\";i:23266;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:59113;s:10:\"compressed\";i:49315;}}}");
INSERT INTO `wp_postmeta` VALUES("13845", "360", "original-file", "2022/08/4-4-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13846", "360", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13847", "360", "smush-info", "The file was compressed from 71.81 KB to 56.71 KB saving 21.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13848", "360", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:73533;s:12:\"smushed-size\";i:58075;s:15:\"savings-percent\";d:21.02;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:73533;s:10:\"compressed\";i:58075;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:52408;s:10:\"compressed\";i:43472;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2235;s:10:\"compressed\";i:1765;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10264;s:10:\"compressed\";i:8882;}s:6:\"medium\";a:2:{s:8:\"original\";i:6573;s:10:\"compressed\";i:5529;}s:5:\"large\";a:2:{s:8:\"original\";i:40273;s:10:\"compressed\";i:33655;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3491;s:10:\"compressed\";i:2855;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25564;s:10:\"compressed\";i:21724;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:52165;s:10:\"compressed\";i:43064;}}}");
INSERT INTO `wp_postmeta` VALUES("13849", "371", "original-file", "2022/08/5-3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13850", "371", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13851", "371", "smush-info", "The file was compressed from 82.36 KB to 59.25 KB saving 28.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13852", "371", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:84336;s:12:\"smushed-size\";i:60674;s:15:\"savings-percent\";d:28.06;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:84336;s:10:\"compressed\";i:60674;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:55310;s:10:\"compressed\";i:44871;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2354;s:10:\"compressed\";i:1844;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8007;s:10:\"compressed\";i:6632;}s:6:\"medium\";a:2:{s:8:\"original\";i:5015;s:10:\"compressed\";i:4100;}s:5:\"large\";a:2:{s:8:\"original\";i:30220;s:10:\"compressed\";i:23843;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3783;s:10:\"compressed\";i:3075;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:19337;s:10:\"compressed\";i:15614;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:56111;s:10:\"compressed\";i:42889;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:38818;s:10:\"compressed\";i:30294;}}}");
INSERT INTO `wp_postmeta` VALUES("13853", "372", "original-file", "2022/08/6-3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13854", "372", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13855", "372", "smush-info", "The file was compressed from 65.36 KB to 51.26 KB saving 21.57 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13856", "372", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:66933;s:12:\"smushed-size\";i:52495;s:15:\"savings-percent\";d:21.57;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:66933;s:10:\"compressed\";i:52495;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:50193;s:10:\"compressed\";i:39381;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1658;s:10:\"compressed\";i:1190;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6525;s:10:\"compressed\";i:5067;}s:6:\"medium\";a:2:{s:8:\"original\";i:4155;s:10:\"compressed\";i:3223;}s:5:\"large\";a:2:{s:8:\"original\";i:31115;s:10:\"compressed\";i:24469;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2400;s:10:\"compressed\";i:1815;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:17798;s:10:\"compressed\";i:14190;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:44001;s:10:\"compressed\";i:34286;}}}");
INSERT INTO `wp_postmeta` VALUES("13857", "373", "original-file", "2022/08/7-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13858", "373", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13859", "373", "smush-info", "The file was compressed from 99.50 KB to 78.12 KB saving 21.5 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13860", "373", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:101893;s:12:\"smushed-size\";i:79990;s:15:\"savings-percent\";d:21.5;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:101893;s:10:\"compressed\";i:79990;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:80455;s:10:\"compressed\";i:66943;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2039;s:10:\"compressed\";i:1575;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10745;s:10:\"compressed\";i:8969;}s:6:\"medium\";a:2:{s:8:\"original\";i:6420;s:10:\"compressed\";i:5395;}s:5:\"large\";a:2:{s:8:\"original\";i:49414;s:10:\"compressed\";i:41040;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3451;s:10:\"compressed\";i:2830;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29786;s:10:\"compressed\";i:24917;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:66468;s:10:\"compressed\";i:54930;}}}");
INSERT INTO `wp_postmeta` VALUES("13861", "3293", "original-file", "2022/08/1-6-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13862", "3293", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13863", "3293", "smush-info", "The file was compressed from 219.19 KB to 50.54 KB saving 76.94 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13864", "3293", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:224454;s:12:\"smushed-size\";i:51750;s:15:\"savings-percent\";d:76.94;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:224454;s:10:\"compressed\";i:51750;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2408;s:10:\"compressed\";i:1947;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16221;s:10:\"compressed\";i:14156;}s:6:\"medium\";a:2:{s:8:\"original\";i:8817;s:10:\"compressed\";i:7651;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3782;s:10:\"compressed\";i:3161;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:44143;s:10:\"compressed\";i:37512;}}}");
INSERT INTO `wp_postmeta` VALUES("13865", "3294", "original-file", "2022/08/2-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13866", "3294", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13867", "3294", "smush-info", "The file was compressed from 95.11 KB to 95.11 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13868", "3294", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:97389;s:12:\"smushed-size\";i:97389;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:97389;s:10:\"compressed\";i:97389;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:10909;s:10:\"compressed\";i:5075;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:138575;s:10:\"compressed\";i:55758;}s:6:\"medium\";a:2:{s:8:\"original\";i:76211;s:10:\"compressed\";i:30811;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:22324;s:10:\"compressed\";i:9695;}}}");
INSERT INTO `wp_postmeta` VALUES("13869", "3295", "original-file", "2022/08/3-5-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13870", "3295", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13871", "3295", "smush-info", "The file was compressed from 140.61 KB to 42.09 KB saving 70.07 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13872", "3295", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:143987;s:12:\"smushed-size\";i:43096;s:15:\"savings-percent\";d:70.07;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:143987;s:10:\"compressed\";i:43096;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2364;s:10:\"compressed\";i:1855;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14078;s:10:\"compressed\";i:11710;}s:6:\"medium\";a:2:{s:8:\"original\";i:7894;s:10:\"compressed\";i:6667;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3546;s:10:\"compressed\";i:2890;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:35299;s:10:\"compressed\";i:28489;}}}");
INSERT INTO `wp_postmeta` VALUES("13873", "3296", "original-file", "2022/08/2-5-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13874", "3296", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13875", "3296", "smush-info", "The file was compressed from 1.70 KB to 1.57 KB saving 8.14 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13876", "3296", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1745;s:12:\"smushed-size\";i:1603;s:15:\"savings-percent\";d:8.14;s:10:\"sizes-info\";a:1:{s:4:\"full\";a:2:{s:8:\"original\";i:1745;s:10:\"compressed\";i:1603;}}}");
INSERT INTO `wp_postmeta` VALUES("13877", "3310", "original-file", "2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13878", "3310", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13879", "3310", "smush-info", "The file was compressed from 274.41 KB to 230.43 KB saving 16.03 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13880", "3310", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:280994;s:12:\"smushed-size\";i:235958;s:15:\"savings-percent\";d:16.03;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:280994;s:10:\"compressed\";i:235958;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:244185;s:10:\"compressed\";i:204781;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4445;s:10:\"compressed\";i:3720;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38310;s:10:\"compressed\";i:31846;}s:6:\"medium\";a:2:{s:8:\"original\";i:21390;s:10:\"compressed\";i:17745;}s:5:\"large\";a:2:{s:8:\"original\";i:189957;s:10:\"compressed\";i:160363;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8581;s:10:\"compressed\";i:7428;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:115985;s:10:\"compressed\";i:97525;}}}");
INSERT INTO `wp_postmeta` VALUES("13881", "3312", "original-file", "2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13882", "3312", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13883", "3312", "smush-info", "The file was compressed from 275.83 KB to 203.49 KB saving 26.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13884", "3312", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:282453;s:12:\"smushed-size\";i:208370;s:15:\"savings-percent\";d:26.23;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:282453;s:10:\"compressed\";i:208370;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:120337;s:10:\"compressed\";i:105363;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3236;s:10:\"compressed\";i:2658;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19984;s:10:\"compressed\";i:17406;}s:6:\"medium\";a:2:{s:8:\"original\";i:11725;s:10:\"compressed\";i:10220;}s:5:\"large\";a:2:{s:8:\"original\";i:87421;s:10:\"compressed\";i:75766;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5588;s:10:\"compressed\";i:4785;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54426;s:10:\"compressed\";i:47333;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:165239;s:10:\"compressed\";i:144011;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:113555;s:10:\"compressed\";i:98919;}}}");
INSERT INTO `wp_postmeta` VALUES("13885", "3314", "original-file", "2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13886", "3314", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13887", "3314", "smush-info", "The file was compressed from 363.92 KB to 315.87 KB saving 13.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13888", "3314", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:372656;s:12:\"smushed-size\";i:323453;s:15:\"savings-percent\";d:13.2;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:372656;s:10:\"compressed\";i:323453;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:132486;s:10:\"compressed\";i:115284;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3554;s:10:\"compressed\";i:2946;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39913;s:10:\"compressed\";i:34503;}s:6:\"medium\";a:2:{s:8:\"original\";i:12339;s:10:\"compressed\";i:10671;}s:5:\"large\";a:2:{s:8:\"original\";i:89009;s:10:\"compressed\";i:76784;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6426;s:10:\"compressed\";i:5508;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:107028;s:10:\"compressed\";i:92372;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:167983;s:10:\"compressed\";i:145336;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:259069;s:10:\"compressed\";i:225128;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:213808;s:10:\"compressed\";i:185473;}}}");
INSERT INTO `wp_postmeta` VALUES("13889", "3320", "original-file", "2022/08/1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13890", "3320", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13891", "3320", "smush-info", "The file was compressed from 5.40 KB to 4.83 KB saving 10.59 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13892", "3320", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5534;s:12:\"smushed-size\";i:4948;s:15:\"savings-percent\";d:10.59;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5534;s:10:\"compressed\";i:4948;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1922;s:10:\"compressed\";i:1556;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3144;s:10:\"compressed\";i:2278;}}}");
INSERT INTO `wp_postmeta` VALUES("13893", "3321", "original-file", "2022/08/2-1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13894", "3321", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13895", "3321", "smush-info", "The file was compressed from 4.05 KB to 3.98 KB saving 1.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13896", "3321", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4152;s:12:\"smushed-size\";i:4072;s:15:\"savings-percent\";d:1.93;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4152;s:10:\"compressed\";i:4072;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1642;s:10:\"compressed\";i:1376;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2357;s:10:\"compressed\";i:1773;}}}");
INSERT INTO `wp_postmeta` VALUES("13897", "3322", "original-file", "2022/08/3-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13898", "3322", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13899", "3322", "smush-info", "The file was compressed from 4.38 KB to 4.20 KB saving 4.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13900", "3322", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4488;s:12:\"smushed-size\";i:4298;s:15:\"savings-percent\";d:4.23;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4488;s:10:\"compressed\";i:4298;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1789;s:10:\"compressed\";i:1542;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2581;s:10:\"compressed\";i:1966;}}}");
INSERT INTO `wp_postmeta` VALUES("13901", "3323", "original-file", "2022/08/4-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13902", "3323", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13903", "3323", "smush-info", "The file was compressed from 4.65 KB to 4.40 KB saving 5.34 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13904", "3323", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4758;s:12:\"smushed-size\";i:4504;s:15:\"savings-percent\";d:5.34;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4758;s:10:\"compressed\";i:4504;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2118;s:10:\"compressed\";i:1743;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2750;s:10:\"compressed\";i:2112;}}}");
INSERT INTO `wp_postmeta` VALUES("13905", "3324", "original-file", "2022/08/5-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13906", "3324", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13907", "3324", "smush-info", "The file was compressed from 5.10 KB to 4.79 KB saving 6.05 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13908", "3324", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5226;s:12:\"smushed-size\";i:4910;s:15:\"savings-percent\";d:6.05;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5226;s:10:\"compressed\";i:4910;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2044;s:10:\"compressed\";i:1645;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2872;s:10:\"compressed\";i:2079;}}}");
INSERT INTO `wp_postmeta` VALUES("13909", "3325", "original-file", "2022/08/6-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13910", "3325", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13911", "3325", "smush-info", "The file was compressed from 4.88 KB to 4.63 KB saving 5.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13912", "3325", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5001;s:12:\"smushed-size\";i:4737;s:15:\"savings-percent\";d:5.28;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5001;s:10:\"compressed\";i:4737;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1735;s:10:\"compressed\";i:1511;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2595;s:10:\"compressed\";i:1949;}}}");
INSERT INTO `wp_postmeta` VALUES("13913", "4466", "original-file", "2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13914", "4466", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13915", "4466", "smush-info", "The file was compressed from 102.77 KB to 80.95 KB saving 21.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13916", "4466", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:105235;s:12:\"smushed-size\";i:82894;s:15:\"savings-percent\";d:21.23;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:105235;s:10:\"compressed\";i:82894;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:62319;s:10:\"compressed\";i:53141;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2808;s:10:\"compressed\";i:2255;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14469;s:10:\"compressed\";i:12838;}s:6:\"medium\";a:2:{s:8:\"original\";i:9160;s:10:\"compressed\";i:7945;}s:5:\"large\";a:2:{s:8:\"original\";i:50712;s:10:\"compressed\";i:44163;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4555;s:10:\"compressed\";i:3836;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:33880;s:10:\"compressed\";i:29747;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:91898;s:10:\"compressed\";i:78843;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:64134;s:10:\"compressed\";i:55624;}}}");
INSERT INTO `wp_postmeta` VALUES("13917", "4476", "original-file", "2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13918", "4476", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13919", "4476", "smush-info", "The file was compressed from 131.16 KB to 92.00 KB saving 29.86 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13920", "4476", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134305;s:12:\"smushed-size\";i:94206;s:15:\"savings-percent\";d:29.86;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:134305;s:10:\"compressed\";i:94206;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:69093;s:10:\"compressed\";i:57581;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2779;s:10:\"compressed\";i:2266;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22197;s:10:\"compressed\";i:18773;}s:6:\"medium\";a:2:{s:8:\"original\";i:7887;s:10:\"compressed\";i:6806;}s:5:\"large\";a:2:{s:8:\"original\";i:46686;s:10:\"compressed\";i:38951;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4542;s:10:\"compressed\";i:3850;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:55705;s:10:\"compressed\";i:46316;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:87911;s:10:\"compressed\";i:72075;}}}");
INSERT INTO `wp_postmeta` VALUES("13921", "4532", "original-file", "2022/08/nordgreen-taqlluwbrgE-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13922", "4532", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13923", "4532", "smush-info", "The file was compressed from 83.15 KB to 62.81 KB saving 24.46 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13924", "4532", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:85148;s:12:\"smushed-size\";i:64320;s:15:\"savings-percent\";d:24.46;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:85148;s:10:\"compressed\";i:64320;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:58242;s:10:\"compressed\";i:49901;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2665;s:10:\"compressed\";i:2144;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10255;s:10:\"compressed\";i:9056;}s:6:\"medium\";a:2:{s:8:\"original\";i:6689;s:10:\"compressed\";i:5784;}s:5:\"large\";a:2:{s:8:\"original\";i:38357;s:10:\"compressed\";i:33030;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4170;s:10:\"compressed\";i:3506;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:24887;s:10:\"compressed\";i:21573;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:71661;s:10:\"compressed\";i:60431;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:49123;s:10:\"compressed\";i:42052;}}}");
INSERT INTO `wp_postmeta` VALUES("13925", "4680", "original-file", "2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13926", "4680", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13927", "4680", "smush-info", "The file was compressed from 112.71 KB to 85.25 KB saving 24.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13928", "4680", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:115413;s:12:\"smushed-size\";i:87292;s:15:\"savings-percent\";d:24.37;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:115413;s:10:\"compressed\";i:87292;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:90417;s:10:\"compressed\";i:79276;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3571;s:10:\"compressed\";i:2954;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19662;s:10:\"compressed\";i:17287;}s:6:\"medium\";a:2:{s:8:\"original\";i:12208;s:10:\"compressed\";i:10654;}s:5:\"large\";a:2:{s:8:\"original\";i:75942;s:10:\"compressed\";i:67002;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6184;s:10:\"compressed\";i:5317;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:49565;s:10:\"compressed\";i:43652;}}}");
INSERT INTO `wp_postmeta` VALUES("13929", "4705", "original-file", "2022/08/skills-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13930", "4705", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13931", "4705", "smush-info", "The file was compressed from 163.45 KB to 42.16 KB saving 74.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13932", "4705", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:167377;s:12:\"smushed-size\";i:43173;s:15:\"savings-percent\";d:74.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:167377;s:10:\"compressed\";i:43173;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:32216;s:10:\"compressed\";i:21644;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1436;s:10:\"compressed\";i:975;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4460;s:10:\"compressed\";i:3006;}s:6:\"medium\";a:2:{s:8:\"original\";i:3090;s:10:\"compressed\";i:2170;}s:5:\"large\";a:2:{s:8:\"original\";i:19193;s:10:\"compressed\";i:12118;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1960;s:10:\"compressed\";i:1371;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:11688;s:10:\"compressed\";i:7716;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:40408;s:10:\"compressed\";i:24734;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:25184;s:10:\"compressed\";i:15736;}}}");
INSERT INTO `wp_postmeta` VALUES("13933", "4920", "original-file", "2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13934", "4920", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13935", "4920", "smush-info", "The file was compressed from 113.77 KB to 76.75 KB saving 32.54 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13936", "4920", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:116504;s:12:\"smushed-size\";i:78594;s:15:\"savings-percent\";d:32.54;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:116504;s:10:\"compressed\";i:78594;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:52872;s:10:\"compressed\";i:42117;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2088;s:10:\"compressed\";i:1624;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11715;s:10:\"compressed\";i:9979;}s:6:\"medium\";a:2:{s:8:\"original\";i:7338;s:10:\"compressed\";i:6295;}s:5:\"large\";a:2:{s:8:\"original\";i:46421;s:10:\"compressed\";i:38164;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3284;s:10:\"compressed\";i:2684;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29874;s:10:\"compressed\";i:24813;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:88313;s:10:\"compressed\";i:71246;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:60277;s:10:\"compressed\";i:49177;}}}");
INSERT INTO `wp_postmeta` VALUES("13937", "4921", "original-file", "2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13938", "4921", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13939", "4921", "smush-info", "The file was compressed from 144.20 KB to 105.28 KB saving 26.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13940", "4921", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:147658;s:12:\"smushed-size\";i:107806;s:15:\"savings-percent\";d:26.99;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:147658;s:10:\"compressed\";i:107806;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:92024;s:10:\"compressed\";i:79995;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3253;s:10:\"compressed\";i:2673;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23584;s:10:\"compressed\";i:20638;}s:6:\"medium\";a:2:{s:8:\"original\";i:14864;s:10:\"compressed\";i:12997;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5426;s:10:\"compressed\";i:4632;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:58628;s:10:\"compressed\";i:51215;}}}");
INSERT INTO `wp_postmeta` VALUES("13941", "4922", "original-file", "2022/06/content-pixie-VJX5imdELxo-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13942", "4922", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13943", "4922", "smush-info", "The file was compressed from 185.59 KB to 134.91 KB saving 27.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13944", "4922", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:190049;s:12:\"smushed-size\";i:138145;s:15:\"savings-percent\";d:27.31;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:190049;s:10:\"compressed\";i:138145;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:162263;s:10:\"compressed\";i:135184;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3163;s:10:\"compressed\";i:2582;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19966;s:10:\"compressed\";i:17038;}s:6:\"medium\";a:2:{s:8:\"original\";i:11185;s:10:\"compressed\";i:9645;}s:5:\"large\";a:2:{s:8:\"original\";i:109625;s:10:\"compressed\";i:93242;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5353;s:10:\"compressed\";i:4549;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63576;s:10:\"compressed\";i:54020;}}}");
INSERT INTO `wp_postmeta` VALUES("13945", "6107", "original-file", "2022/09/pexels-pixabay-356147-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13946", "6107", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13947", "6107", "smush-info", "The file was compressed from 80.10 KB to 52.19 KB saving 34.85 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13948", "6107", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:82020;s:12:\"smushed-size\";i:53439;s:15:\"savings-percent\";d:34.85;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:82020;s:10:\"compressed\";i:53439;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:33353;s:10:\"compressed\";i:24126;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1497;s:10:\"compressed\";i:1056;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4153;s:10:\"compressed\";i:2955;}s:6:\"medium\";a:2:{s:8:\"original\";i:2831;s:10:\"compressed\";i:2027;}s:5:\"large\";a:2:{s:8:\"original\";i:16728;s:10:\"compressed\";i:11230;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2121;s:10:\"compressed\";i:1550;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:10323;s:10:\"compressed\";i:7133;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:34583;s:10:\"compressed\";i:22713;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:22418;s:10:\"compressed\";i:14857;}}}");
INSERT INTO `wp_postmeta` VALUES("13949", "6111", "original-file", "2022/09/pexels-rachel-claire-5490267-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13950", "6111", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13951", "6111", "smush-info", "The file was compressed from 87.33 KB to 65.96 KB saving 24.47 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13952", "6111", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:89424;s:12:\"smushed-size\";i:67545;s:15:\"savings-percent\";d:24.47;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:89424;s:10:\"compressed\";i:67545;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:81439;s:10:\"compressed\";i:65558;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1970;s:10:\"compressed\";i:1524;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22335;s:10:\"compressed\";i:18539;}s:6:\"medium\";a:2:{s:8:\"original\";i:5328;s:10:\"compressed\";i:4452;}s:5:\"large\";a:2:{s:8:\"original\";i:68782;s:10:\"compressed\";i:55429;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3012;s:10:\"compressed\";i:2453;}}}");
INSERT INTO `wp_postmeta` VALUES("13953", "6112", "original-file", "2022/09/pexels-pixabay-90764-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13954", "6112", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13955", "6112", "smush-info", "The file was compressed from 42.45 KB to 40.86 KB saving 3.76 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13956", "6112", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:43471;s:12:\"smushed-size\";i:41838;s:15:\"savings-percent\";d:3.76;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:43471;s:10:\"compressed\";i:41838;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:32632;s:10:\"compressed\";i:21790;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1331;s:10:\"compressed\";i:901;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4435;s:10:\"compressed\";i:3096;}s:6:\"medium\";a:2:{s:8:\"original\";i:2819;s:10:\"compressed\";i:1969;}s:5:\"large\";a:2:{s:8:\"original\";i:19568;s:10:\"compressed\";i:12346;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1886;s:10:\"compressed\";i:1346;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:11781;s:10:\"compressed\";i:7742;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:40858;s:10:\"compressed\";i:24937;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:25971;s:10:\"compressed\";i:16187;}}}");
INSERT INTO `wp_postmeta` VALUES("13957", "6124", "original-file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13958", "6124", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13959", "6124", "smush-info", "The file was compressed from 41.55 KB to 16.15 KB saving 61.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13960", "6124", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:42549;s:12:\"smushed-size\";i:16542;s:15:\"savings-percent\";d:61.12;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:42549;s:10:\"compressed\";i:16542;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:29877;s:10:\"compressed\";i:5824;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1321;s:10:\"compressed\";i:126;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10696;s:10:\"compressed\";i:517;}s:6:\"medium\";a:2:{s:8:\"original\";i:6659;s:10:\"compressed\";i:198;}s:5:\"large\";a:2:{s:8:\"original\";i:37077;s:10:\"compressed\";i:7456;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3321;s:10:\"compressed\";i:172;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:15671;s:10:\"compressed\";i:2660;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:60823;s:10:\"compressed\";i:9741;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:45226;s:10:\"compressed\";i:12300;}}}");
INSERT INTO `wp_postmeta` VALUES("13961", "6422", "original-file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13962", "6422", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13963", "6422", "smush-info", "The file was compressed from 80.20 KB to 20.87 KB saving 73.97 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13964", "6422", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:82122;s:12:\"smushed-size\";i:21375;s:15:\"savings-percent\";d:73.97;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:82122;s:10:\"compressed\";i:21375;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1149;s:10:\"compressed\";i:126;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6825;s:10:\"compressed\";i:760;}s:6:\"medium\";a:2:{s:8:\"original\";i:3903;s:10:\"compressed\";i:307;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2400;s:10:\"compressed\";i:232;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:16273;s:10:\"compressed\";i:3488;}}}");
INSERT INTO `wp_postmeta` VALUES("13965", "6465", "original-file", "2022/09/pexels-roman-odintsov-4925863-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13966", "6465", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13967", "6465", "smush-info", "The file was compressed from 201.47 KB to 153.99 KB saving 23.57 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13968", "6465", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:206310;s:12:\"smushed-size\";i:157688;s:15:\"savings-percent\";d:23.57;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:206310;s:10:\"compressed\";i:157688;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:104657;s:10:\"compressed\";i:92799;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3598;s:10:\"compressed\";i:2972;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20620;s:10:\"compressed\";i:18027;}s:6:\"medium\";a:2:{s:8:\"original\";i:12675;s:10:\"compressed\";i:11016;}s:5:\"large\";a:2:{s:8:\"original\";i:79096;s:10:\"compressed\";i:69840;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6246;s:10:\"compressed\";i:5344;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:51058;s:10:\"compressed\";i:45127;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:147152;s:10:\"compressed\";i:129861;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:100399;s:10:\"compressed\";i:88713;}}}");
INSERT INTO `wp_postmeta` VALUES("13969", "7221", "original-file", "2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13970", "7221", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13971", "7221", "smush-info", "The file was compressed from 327.95 KB to 252.78 KB saving 22.92 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13972", "7221", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:335818;s:12:\"smushed-size\";i:258850;s:15:\"savings-percent\";d:22.92;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:335818;s:10:\"compressed\";i:258850;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:119254;s:10:\"compressed\";i:99371;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2620;s:10:\"compressed\";i:2075;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:27762;s:10:\"compressed\";i:23254;}s:6:\"medium\";a:2:{s:8:\"original\";i:11180;s:10:\"compressed\";i:9479;}s:5:\"large\";a:2:{s:8:\"original\";i:87930;s:10:\"compressed\";i:73267;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4872;s:10:\"compressed\";i:4056;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:78154;s:10:\"compressed\";i:65362;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:181434;s:10:\"compressed\";i:149282;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:176872;s:10:\"compressed\";i:145536;}}}");
INSERT INTO `wp_postmeta` VALUES("13973", "7250", "original-file", "2022/09/ab3-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13974", "7250", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13975", "7250", "smush-info", "The file was compressed from 62.34 KB to 30.92 KB saving 50.4 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13976", "7250", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:63833;s:12:\"smushed-size\";i:31660;s:15:\"savings-percent\";d:50.4;s:10:\"sizes-info\";a:4:{s:4:\"full\";a:2:{s:8:\"original\";i:63833;s:10:\"compressed\";i:31660;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2377;s:10:\"compressed\";i:1860;}s:6:\"medium\";a:2:{s:8:\"original\";i:11956;s:10:\"compressed\";i:10446;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4120;s:10:\"compressed\";i:3433;}}}");
INSERT INTO `wp_postmeta` VALUES("13977", "7257", "original-file", "2022/09/dots-dark-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("13978", "7257", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13979", "7257", "smush-info", "The file was compressed from 128 bytes to 128 bytes saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13980", "7257", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:128;s:12:\"smushed-size\";i:128;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:1:{s:4:\"full\";a:2:{s:8:\"original\";i:128;s:10:\"compressed\";i:128;}}}");
INSERT INTO `wp_postmeta` VALUES("13981", "7361", "original-file", "2022/09/1-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13982", "7361", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13983", "7361", "smush-info", "The file was compressed from 222.72 KB to 221.32 KB saving 0.63 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13984", "7361", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:228062;s:12:\"smushed-size\";i:226635;s:15:\"savings-percent\";d:0.63;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:228062;s:10:\"compressed\";i:226635;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:175068;s:10:\"compressed\";i:149430;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3640;s:10:\"compressed\";i:3007;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:31267;s:10:\"compressed\";i:26627;}s:6:\"medium\";a:2:{s:8:\"original\";i:17971;s:10:\"compressed\";i:15414;}s:5:\"large\";a:2:{s:8:\"original\";i:156935;s:10:\"compressed\";i:133213;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6495;s:10:\"compressed\";i:5560;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:93441;s:10:\"compressed\";i:79411;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:205627;s:10:\"compressed\";i:175357;}}}");
INSERT INTO `wp_postmeta` VALUES("13985", "7363", "original-file", "2022/09/2-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13986", "7363", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13987", "7363", "smush-info", "The file was compressed from 154.54 KB to 152.57 KB saving 1.27 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13988", "7363", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:158246;s:12:\"smushed-size\";i:156230;s:15:\"savings-percent\";d:1.27;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:158246;s:10:\"compressed\";i:156230;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:106216;s:10:\"compressed\";i:91728;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2997;s:10:\"compressed\";i:2468;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23762;s:10:\"compressed\";i:20634;}s:6:\"medium\";a:2:{s:8:\"original\";i:14216;s:10:\"compressed\";i:12378;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5102;s:10:\"compressed\";i:4353;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65831;s:10:\"compressed\";i:56940;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:137858;s:10:\"compressed\";i:118936;}}}");
INSERT INTO `wp_postmeta` VALUES("13989", "7365", "original-file", "2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13990", "7365", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13991", "7365", "smush-info", "The file was compressed from 189.57 KB to 137.03 KB saving 27.71 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13992", "7365", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:194117;s:12:\"smushed-size\";i:140321;s:15:\"savings-percent\";d:27.71;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:194117;s:10:\"compressed\";i:140321;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:87082;s:10:\"compressed\";i:72291;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2057;s:10:\"compressed\";i:1603;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11798;s:10:\"compressed\";i:10110;}s:6:\"medium\";a:2:{s:8:\"original\";i:6849;s:10:\"compressed\";i:5822;}s:5:\"large\";a:2:{s:8:\"original\";i:55978;s:10:\"compressed\";i:46718;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3395;s:10:\"compressed\";i:2784;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:34046;s:10:\"compressed\";i:28600;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:113935;s:10:\"compressed\";i:94421;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:74476;s:10:\"compressed\";i:61916;}}}");
INSERT INTO `wp_postmeta` VALUES("13993", "7433", "original-file", "2022/09/pexels-nancy-bourque-1209982-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13994", "7433", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13995", "7433", "smush-info", "The file was compressed from 276.24 KB to 207.14 KB saving 25.01 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("13996", "7433", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:282868;s:12:\"smushed-size\";i:212112;s:15:\"savings-percent\";d:25.01;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:282868;s:10:\"compressed\";i:212112;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:213743;s:10:\"compressed\";i:179992;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3415;s:10:\"compressed\";i:2804;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28999;s:10:\"compressed\";i:24755;}s:6:\"medium\";a:2:{s:8:\"original\";i:15848;s:10:\"compressed\";i:13539;}s:5:\"large\";a:2:{s:8:\"original\";i:149202;s:10:\"compressed\";i:128097;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6202;s:10:\"compressed\";i:5307;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:89967;s:10:\"compressed\";i:77235;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:193979;s:10:\"compressed\";i:166940;}}}");
INSERT INTO `wp_postmeta` VALUES("13997", "7435", "original-file", "2022/09/pexels-johannes-plenio-1632788-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("13998", "7435", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("13999", "7435", "smush-info", "The file was compressed from 202.37 KB to 133.16 KB saving 34.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14000", "7435", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:207224;s:12:\"smushed-size\";i:136358;s:15:\"savings-percent\";d:34.2;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:207224;s:10:\"compressed\";i:136358;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:138552;s:10:\"compressed\";i:115957;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3426;s:10:\"compressed\";i:2747;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22898;s:10:\"compressed\";i:19402;}s:6:\"medium\";a:2:{s:8:\"original\";i:13650;s:10:\"compressed\";i:11524;}s:5:\"large\";a:2:{s:8:\"original\";i:101597;s:10:\"compressed\";i:86717;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5927;s:10:\"compressed\";i:4927;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63415;s:10:\"compressed\";i:53904;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:130807;s:10:\"compressed\";i:111904;}}}");
INSERT INTO `wp_postmeta` VALUES("14001", "8816", "original-file", "2022/08/cropped-logo-1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14002", "8816", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14003", "8816", "smush-info", "The file was compressed from 6.77 KB to 6.41 KB saving 5.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14004", "8816", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:6930;s:12:\"smushed-size\";i:6568;s:15:\"savings-percent\";d:5.22;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:6930;s:10:\"compressed\";i:6568;}s:6:\"medium\";a:2:{s:8:\"original\";i:7071;s:10:\"compressed\";i:6210;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4395;s:10:\"compressed\";i:3746;}}}");
INSERT INTO `wp_postmeta` VALUES("14005", "9635", "original-file", "2022/09/pexels-sevenstorm-juhaszimrus-934345-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14006", "9635", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14007", "9635", "smush-info", "The file was compressed from 303.90 KB to 217.88 KB saving 28.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14008", "9635", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:311190;s:12:\"smushed-size\";i:223105;s:15:\"savings-percent\";d:28.31;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:311190;s:10:\"compressed\";i:223105;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:224078;s:10:\"compressed\";i:186302;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4275;s:10:\"compressed\";i:3544;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35505;s:10:\"compressed\";i:30068;}s:6:\"medium\";a:2:{s:8:\"original\";i:20756;s:10:\"compressed\";i:17571;}s:5:\"large\";a:2:{s:8:\"original\";i:164124;s:10:\"compressed\";i:138707;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7814;s:10:\"compressed\";i:6694;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:101977;s:10:\"compressed\";i:86188;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:213413;s:10:\"compressed\";i:180505;}}}");
INSERT INTO `wp_postmeta` VALUES("14009", "10136", "original-file", "2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14010", "10136", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14011", "10136", "smush-info", "The file was compressed from 2.00 KB to 1.74 KB saving 12.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14012", "10136", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:2043;s:12:\"smushed-size\";i:1782;s:15:\"savings-percent\";d:12.78;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:2043;s:10:\"compressed\";i:1782;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1167;s:10:\"compressed\";i:740;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1504;s:10:\"compressed\";i:962;}}}");
INSERT INTO `wp_postmeta` VALUES("14013", "11119", "original-file", "2022/10/woocommerce-placeholder-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14014", "11119", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14015", "11119", "smush-info", "The file was compressed from 100.24 KB to 73.05 KB saving 27.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14016", "11119", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:102644;s:12:\"smushed-size\";i:74804;s:15:\"savings-percent\";d:27.12;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:102644;s:10:\"compressed\";i:74804;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:98202;s:10:\"compressed\";i:55198;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2344;s:10:\"compressed\";i:1677;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21117;s:10:\"compressed\";i:11817;}s:6:\"medium\";a:2:{s:8:\"original\";i:12475;s:10:\"compressed\";i:7061;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4204;s:10:\"compressed\";i:2482;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:60014;s:10:\"compressed\";i:32700;}}}");
INSERT INTO `wp_postmeta` VALUES("14017", "11151", "original-file", "2019/01/vneck-tee-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14018", "11151", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14019", "11151", "smush-info", "The file was compressed from 48.34 KB to 23.49 KB saving 51.4 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14020", "11151", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:49497;s:12:\"smushed-size\";i:24054;s:15:\"savings-percent\";d:51.4;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:49497;s:10:\"compressed\";i:24054;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1990;s:10:\"compressed\";i:1520;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12443;s:10:\"compressed\";i:10082;}s:6:\"medium\";a:2:{s:8:\"original\";i:7908;s:10:\"compressed\";i:6552;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3146;s:10:\"compressed\";i:2519;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29727;s:10:\"compressed\";i:22690;}}}");
INSERT INTO `wp_postmeta` VALUES("14021", "11152", "original-file", "2019/01/vnech-tee-green-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14022", "11152", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14023", "11152", "smush-info", "The file was compressed from 99.96 KB to 24.91 KB saving 75.09 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14024", "11152", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:102362;s:12:\"smushed-size\";i:25503;s:15:\"savings-percent\";d:75.09;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:102362;s:10:\"compressed\";i:25503;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1816;s:10:\"compressed\";i:1361;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11741;s:10:\"compressed\";i:9499;}s:6:\"medium\";a:2:{s:8:\"original\";i:7283;s:10:\"compressed\";i:6021;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2834;s:10:\"compressed\";i:2260;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:28537;s:10:\"compressed\";i:21616;}}}");
INSERT INTO `wp_postmeta` VALUES("14025", "11153", "original-file", "2019/01/vnech-tee-blue-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14026", "11153", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14027", "11153", "smush-info", "The file was compressed from 117.41 KB to 26.85 KB saving 77.13 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14028", "11153", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:120226;s:12:\"smushed-size\";i:27494;s:15:\"savings-percent\";d:77.13;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:120226;s:10:\"compressed\";i:27494;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1883;s:10:\"compressed\";i:1428;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12322;s:10:\"compressed\";i:10114;}s:6:\"medium\";a:2:{s:8:\"original\";i:7699;s:10:\"compressed\";i:6431;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2989;s:10:\"compressed\";i:2401;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30219;s:10:\"compressed\";i:23292;}}}");
INSERT INTO `wp_postmeta` VALUES("14029", "11154", "original-file", "2019/01/hoodie-blue-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14030", "11154", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14031", "11154", "smush-info", "The file was compressed from 98.92 KB to 25.52 KB saving 74.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14032", "11154", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:101298;s:12:\"smushed-size\";i:26133;s:15:\"savings-percent\";d:74.2;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:101298;s:10:\"compressed\";i:26133;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1809;s:10:\"compressed\";i:1352;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12302;s:10:\"compressed\";i:9911;}s:6:\"medium\";a:2:{s:8:\"original\";i:7687;s:10:\"compressed\";i:6386;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2916;s:10:\"compressed\";i:2321;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29102;s:10:\"compressed\";i:21948;}}}");
INSERT INTO `wp_postmeta` VALUES("14033", "11155", "original-file", "2019/01/hoodie-green-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14034", "11155", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14035", "11155", "smush-info", "The file was compressed from 96.19 KB to 24.87 KB saving 74.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14036", "11155", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:98498;s:12:\"smushed-size\";i:25463;s:15:\"savings-percent\";d:74.15;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:98498;s:10:\"compressed\";i:25463;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1827;s:10:\"compressed\";i:1373;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12047;s:10:\"compressed\";i:9664;}s:6:\"medium\";a:2:{s:8:\"original\";i:7580;s:10:\"compressed\";i:6280;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2907;s:10:\"compressed\";i:2324;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:28591;s:10:\"compressed\";i:21565;}}}");
INSERT INTO `wp_postmeta` VALUES("14037", "11156", "original-file", "2019/01/hoodie-with-logo-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14038", "11156", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14039", "11156", "smush-info", "The file was compressed from 45.87 KB to 24.39 KB saving 46.83 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14040", "11156", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:46969;s:12:\"smushed-size\";i:24974;s:15:\"savings-percent\";d:46.83;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:46969;s:10:\"compressed\";i:24974;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1910;s:10:\"compressed\";i:1457;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13022;s:10:\"compressed\";i:10541;}s:6:\"medium\";a:2:{s:8:\"original\";i:8263;s:10:\"compressed\";i:6883;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3101;s:10:\"compressed\";i:2483;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30254;s:10:\"compressed\";i:22926;}}}");
INSERT INTO `wp_postmeta` VALUES("14041", "11157", "original-file", "2019/01/tshirt-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14042", "11157", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14043", "11157", "smush-info", "The file was compressed from 40.19 KB to 20.90 KB saving 47.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14044", "11157", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:41155;s:12:\"smushed-size\";i:21405;s:15:\"savings-percent\";d:47.99;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:41155;s:10:\"compressed\";i:21405;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1769;s:10:\"compressed\";i:1314;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11130;s:10:\"compressed\";i:8980;}s:6:\"medium\";a:2:{s:8:\"original\";i:7135;s:10:\"compressed\";i:5827;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2789;s:10:\"compressed\";i:2220;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:26461;s:10:\"compressed\";i:19803;}}}");
INSERT INTO `wp_postmeta` VALUES("14045", "11159", "original-file", "2019/01/belt-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14046", "11159", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14047", "11159", "smush-info", "The file was compressed from 36.46 KB to 19.67 KB saving 46.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14048", "11159", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:37339;s:12:\"smushed-size\";i:20141;s:15:\"savings-percent\";d:46.06;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:37339;s:10:\"compressed\";i:20141;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1710;s:10:\"compressed\";i:1266;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10573;s:10:\"compressed\";i:8334;}s:6:\"medium\";a:2:{s:8:\"original\";i:6732;s:10:\"compressed\";i:5451;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2682;s:10:\"compressed\";i:2120;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25701;s:10:\"compressed\";i:18890;}}}");
INSERT INTO `wp_postmeta` VALUES("14049", "11160", "original-file", "2019/01/cap-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14050", "11160", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14051", "11160", "smush-info", "The file was compressed from 36.79 KB to 19.72 KB saving 46.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14052", "11160", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:37675;s:12:\"smushed-size\";i:20197;s:15:\"savings-percent\";d:46.39;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:37675;s:10:\"compressed\";i:20197;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1659;s:10:\"compressed\";i:1221;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10605;s:10:\"compressed\";i:8282;}s:6:\"medium\";a:2:{s:8:\"original\";i:6664;s:10:\"compressed\";i:5418;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2564;s:10:\"compressed\";i:2001;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25862;s:10:\"compressed\";i:18734;}}}");
INSERT INTO `wp_postmeta` VALUES("14053", "11161", "original-file", "2019/01/sunglasses-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14054", "11161", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14055", "11161", "smush-info", "The file was compressed from 24.11 KB to 15.00 KB saving 37.77 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14056", "11161", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:24691;s:12:\"smushed-size\";i:15364;s:15:\"savings-percent\";d:37.77;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:24691;s:10:\"compressed\";i:15364;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1510;s:10:\"compressed\";i:1064;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8352;s:10:\"compressed\";i:6396;}s:6:\"medium\";a:2:{s:8:\"original\";i:5337;s:10:\"compressed\";i:4120;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2238;s:10:\"compressed\";i:1675;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:20654;s:10:\"compressed\";i:14050;}}}");
INSERT INTO `wp_postmeta` VALUES("14057", "11162", "original-file", "2019/01/hoodie-with-pocket-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14058", "11162", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14059", "11162", "smush-info", "The file was compressed from 42.25 KB to 23.19 KB saving 45.11 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14060", "11162", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:43268;s:12:\"smushed-size\";i:23750;s:15:\"savings-percent\";d:45.11;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:43268;s:10:\"compressed\";i:23750;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1893;s:10:\"compressed\";i:1427;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12399;s:10:\"compressed\";i:9925;}s:6:\"medium\";a:2:{s:8:\"original\";i:7990;s:10:\"compressed\";i:6646;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3013;s:10:\"compressed\";i:2401;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:28865;s:10:\"compressed\";i:21703;}}}");
INSERT INTO `wp_postmeta` VALUES("14061", "11163", "original-file", "2019/01/hoodie-with-zipper-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14062", "11163", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14063", "11163", "smush-info", "The file was compressed from 55.28 KB to 28.25 KB saving 48.9 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14064", "11163", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:56609;s:12:\"smushed-size\";i:28925;s:15:\"savings-percent\";d:48.9;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:56609;s:10:\"compressed\";i:28925;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2145;s:10:\"compressed\";i:1667;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14573;s:10:\"compressed\";i:12006;}s:6:\"medium\";a:2:{s:8:\"original\";i:9293;s:10:\"compressed\";i:7874;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3605;s:10:\"compressed\";i:2966;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:34120;s:10:\"compressed\";i:26678;}}}");
INSERT INTO `wp_postmeta` VALUES("14065", "11164", "original-file", "2019/01/long-sleeve-tee-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14066", "11164", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14067", "11164", "smush-info", "The file was compressed from 49.92 KB to 23.86 KB saving 52.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14068", "11164", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:51118;s:12:\"smushed-size\";i:24434;s:15:\"savings-percent\";d:52.2;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:51118;s:10:\"compressed\";i:24434;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1993;s:10:\"compressed\";i:1532;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12479;s:10:\"compressed\";i:10258;}s:6:\"medium\";a:2:{s:8:\"original\";i:8077;s:10:\"compressed\";i:6794;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3303;s:10:\"compressed\";i:2682;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29790;s:10:\"compressed\";i:23237;}}}");
INSERT INTO `wp_postmeta` VALUES("14069", "11165", "original-file", "2019/01/polo-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14070", "11165", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14071", "11165", "smush-info", "The file was compressed from 43.37 KB to 21.78 KB saving 49.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14072", "11165", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:44409;s:12:\"smushed-size\";i:22303;s:15:\"savings-percent\";d:49.78;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:44409;s:10:\"compressed\";i:22303;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1816;s:10:\"compressed\";i:1365;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11673;s:10:\"compressed\";i:9458;}s:6:\"medium\";a:2:{s:8:\"original\";i:7266;s:10:\"compressed\";i:5970;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2862;s:10:\"compressed\";i:2277;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27726;s:10:\"compressed\";i:21061;}}}");
INSERT INTO `wp_postmeta` VALUES("14073", "11166", "original-file", "2019/01/single-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14074", "11166", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14075", "11166", "smush-info", "The file was compressed from 121.80 KB to 30.43 KB saving 75.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14076", "11166", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:124720;s:12:\"smushed-size\";i:31161;s:15:\"savings-percent\";d:75.02;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:124720;s:10:\"compressed\";i:31161;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2284;s:10:\"compressed\";i:1782;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14799;s:10:\"compressed\";i:12390;}s:6:\"medium\";a:2:{s:8:\"original\";i:9585;s:10:\"compressed\";i:8077;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3741;s:10:\"compressed\";i:3066;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:34144;s:10:\"compressed\";i:27045;}}}");
INSERT INTO `wp_postmeta` VALUES("14077", "11167", "original-file", "2019/01/t-shirt-with-logo-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14078", "11167", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14079", "11167", "smush-info", "The file was compressed from 66.24 KB to 24.89 KB saving 62.42 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14080", "11167", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:67833;s:12:\"smushed-size\";i:25492;s:15:\"savings-percent\";d:62.42;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:67833;s:10:\"compressed\";i:25492;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1964;s:10:\"compressed\";i:1507;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12960;s:10:\"compressed\";i:10555;}s:6:\"medium\";a:2:{s:8:\"original\";i:8160;s:10:\"compressed\";i:6859;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3154;s:10:\"compressed\";i:2533;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30709;s:10:\"compressed\";i:23647;}}}");
INSERT INTO `wp_postmeta` VALUES("14081", "11168", "original-file", "2019/01/beanie-with-logo-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14082", "11168", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14083", "11168", "smush-info", "The file was compressed from 44.31 KB to 16.37 KB saving 63.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14084", "11168", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:45371;s:12:\"smushed-size\";i:16759;s:15:\"savings-percent\";d:63.06;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:45371;s:10:\"compressed\";i:16759;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1667;s:10:\"compressed\";i:1227;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9089;s:10:\"compressed\";i:7184;}s:6:\"medium\";a:2:{s:8:\"original\";i:5851;s:10:\"compressed\";i:4695;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2434;s:10:\"compressed\";i:1877;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:21734;s:10:\"compressed\";i:15781;}}}");
INSERT INTO `wp_postmeta` VALUES("14085", "11170", "smush-info", "Failed with error code exceeded_max_filesize - C:wamp64wwwKOOKAgency/wp-content/uploads/2022/08/2-3.gif - cannot be optimized, file size is above service provider limit");
INSERT INTO `wp_postmeta` VALUES("14086", "11170", "smush-complete", "");
INSERT INTO `wp_postmeta` VALUES("14087", "11171", "original-file", "2022/08/3-4-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14088", "11171", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14089", "11171", "smush-info", "The file was compressed from 87.06 KB to 66.57 KB saving 23.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14090", "11171", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:89145;s:12:\"smushed-size\";i:68165;s:15:\"savings-percent\";d:23.53;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:89145;s:10:\"compressed\";i:68165;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:57260;s:10:\"compressed\";i:47902;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1990;s:10:\"compressed\";i:1516;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9741;s:10:\"compressed\";i:8212;}s:6:\"medium\";a:2:{s:8:\"original\";i:6011;s:10:\"compressed\";i:5011;}s:5:\"large\";a:2:{s:8:\"original\";i:44722;s:10:\"compressed\";i:37639;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3121;s:10:\"compressed\";i:2510;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27391;s:10:\"compressed\";i:23266;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:59113;s:10:\"compressed\";i:49315;}}}");
INSERT INTO `wp_postmeta` VALUES("14091", "11172", "original-file", "2022/08/4-4-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14092", "11172", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14093", "11172", "smush-info", "The file was compressed from 71.81 KB to 56.71 KB saving 21.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14094", "11172", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:73533;s:12:\"smushed-size\";i:58075;s:15:\"savings-percent\";d:21.02;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:73533;s:10:\"compressed\";i:58075;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:52408;s:10:\"compressed\";i:43472;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2235;s:10:\"compressed\";i:1765;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10264;s:10:\"compressed\";i:8882;}s:6:\"medium\";a:2:{s:8:\"original\";i:6573;s:10:\"compressed\";i:5529;}s:5:\"large\";a:2:{s:8:\"original\";i:40273;s:10:\"compressed\";i:33655;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3491;s:10:\"compressed\";i:2855;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25564;s:10:\"compressed\";i:21724;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:52165;s:10:\"compressed\";i:43064;}}}");
INSERT INTO `wp_postmeta` VALUES("14095", "11173", "original-file", "2022/08/5-3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14096", "11173", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14097", "11173", "smush-info", "The file was compressed from 82.36 KB to 59.25 KB saving 28.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14098", "11173", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:84336;s:12:\"smushed-size\";i:60674;s:15:\"savings-percent\";d:28.06;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:84336;s:10:\"compressed\";i:60674;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:55310;s:10:\"compressed\";i:44871;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2354;s:10:\"compressed\";i:1844;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8007;s:10:\"compressed\";i:6632;}s:6:\"medium\";a:2:{s:8:\"original\";i:5015;s:10:\"compressed\";i:4100;}s:5:\"large\";a:2:{s:8:\"original\";i:30220;s:10:\"compressed\";i:23843;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3783;s:10:\"compressed\";i:3075;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:19337;s:10:\"compressed\";i:15614;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:56111;s:10:\"compressed\";i:42889;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:38818;s:10:\"compressed\";i:30294;}}}");
INSERT INTO `wp_postmeta` VALUES("14099", "11174", "original-file", "2022/08/6-3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14100", "11174", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14101", "11174", "smush-info", "The file was compressed from 65.36 KB to 51.26 KB saving 21.57 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14102", "11174", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:66933;s:12:\"smushed-size\";i:52495;s:15:\"savings-percent\";d:21.57;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:66933;s:10:\"compressed\";i:52495;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:50193;s:10:\"compressed\";i:39381;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1658;s:10:\"compressed\";i:1190;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6525;s:10:\"compressed\";i:5067;}s:6:\"medium\";a:2:{s:8:\"original\";i:4155;s:10:\"compressed\";i:3223;}s:5:\"large\";a:2:{s:8:\"original\";i:31115;s:10:\"compressed\";i:24469;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2400;s:10:\"compressed\";i:1815;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:17798;s:10:\"compressed\";i:14190;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:44001;s:10:\"compressed\";i:34286;}}}");
INSERT INTO `wp_postmeta` VALUES("14103", "11175", "original-file", "2022/08/7-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14104", "11175", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14105", "11175", "smush-info", "The file was compressed from 99.50 KB to 78.12 KB saving 21.5 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14106", "11175", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:101893;s:12:\"smushed-size\";i:79990;s:15:\"savings-percent\";d:21.5;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:101893;s:10:\"compressed\";i:79990;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:80455;s:10:\"compressed\";i:66943;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2039;s:10:\"compressed\";i:1575;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10745;s:10:\"compressed\";i:8969;}s:6:\"medium\";a:2:{s:8:\"original\";i:6420;s:10:\"compressed\";i:5395;}s:5:\"large\";a:2:{s:8:\"original\";i:49414;s:10:\"compressed\";i:41040;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3451;s:10:\"compressed\";i:2830;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29786;s:10:\"compressed\";i:24917;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:66468;s:10:\"compressed\";i:54930;}}}");
INSERT INTO `wp_postmeta` VALUES("14107", "11176", "original-file", "2022/08/1-6-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14108", "11176", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14109", "11176", "smush-info", "The file was compressed from 50.54 KB to 50.54 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14110", "11176", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:51750;s:12:\"smushed-size\";i:51750;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:51750;s:10:\"compressed\";i:51750;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1947;s:10:\"compressed\";i:1947;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14156;s:10:\"compressed\";i:14153;}s:6:\"medium\";a:2:{s:8:\"original\";i:7651;s:10:\"compressed\";i:7651;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3161;s:10:\"compressed\";i:3161;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:37512;s:10:\"compressed\";i:37512;}}}");
INSERT INTO `wp_postmeta` VALUES("14111", "11177", "original-file", "2022/08/2-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14112", "11177", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14113", "11177", "smush-info", "The file was compressed from 95.11 KB to 95.11 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14114", "11177", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:97389;s:12:\"smushed-size\";i:97389;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:97389;s:10:\"compressed\";i:97389;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:10909;s:10:\"compressed\";i:5075;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:138575;s:10:\"compressed\";i:56524;}s:6:\"medium\";a:2:{s:8:\"original\";i:76211;s:10:\"compressed\";i:30811;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:22324;s:10:\"compressed\";i:9695;}}}");
INSERT INTO `wp_postmeta` VALUES("14115", "11178", "original-file", "2022/08/3-5-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14116", "11178", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14117", "11178", "smush-info", "The file was compressed from 140.61 KB to 42.09 KB saving 70.07 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14118", "11178", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:143987;s:12:\"smushed-size\";i:43096;s:15:\"savings-percent\";d:70.07;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:143987;s:10:\"compressed\";i:43096;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2364;s:10:\"compressed\";i:1855;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14078;s:10:\"compressed\";i:11710;}s:6:\"medium\";a:2:{s:8:\"original\";i:7894;s:10:\"compressed\";i:6667;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3546;s:10:\"compressed\";i:2890;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:35299;s:10:\"compressed\";i:28489;}}}");
INSERT INTO `wp_postmeta` VALUES("14119", "11179", "original-file", "2022/08/2-5-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14120", "11179", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14121", "11179", "smush-info", "The file was compressed from 1.70 KB to 1.57 KB saving 8.14 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14122", "11179", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1745;s:12:\"smushed-size\";i:1603;s:15:\"savings-percent\";d:8.14;s:10:\"sizes-info\";a:1:{s:4:\"full\";a:2:{s:8:\"original\";i:1745;s:10:\"compressed\";i:1603;}}}");
INSERT INTO `wp_postmeta` VALUES("14123", "11180", "original-file", "2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14124", "11180", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14125", "11180", "smush-info", "The file was compressed from 274.41 KB to 230.43 KB saving 16.03 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14126", "11180", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:280994;s:12:\"smushed-size\";i:235958;s:15:\"savings-percent\";d:16.03;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:280994;s:10:\"compressed\";i:235958;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:244185;s:10:\"compressed\";i:204781;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4445;s:10:\"compressed\";i:3720;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38310;s:10:\"compressed\";i:31846;}s:6:\"medium\";a:2:{s:8:\"original\";i:21390;s:10:\"compressed\";i:17745;}s:5:\"large\";a:2:{s:8:\"original\";i:189957;s:10:\"compressed\";i:160363;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8581;s:10:\"compressed\";i:7428;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:115985;s:10:\"compressed\";i:97525;}}}");
INSERT INTO `wp_postmeta` VALUES("14127", "11181", "original-file", "2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14128", "11181", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14129", "11181", "smush-info", "The file was compressed from 275.83 KB to 203.49 KB saving 26.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14130", "11181", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:282453;s:12:\"smushed-size\";i:208370;s:15:\"savings-percent\";d:26.23;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:282453;s:10:\"compressed\";i:208370;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:120337;s:10:\"compressed\";i:105363;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3236;s:10:\"compressed\";i:2658;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19984;s:10:\"compressed\";i:17406;}s:6:\"medium\";a:2:{s:8:\"original\";i:11725;s:10:\"compressed\";i:10220;}s:5:\"large\";a:2:{s:8:\"original\";i:87421;s:10:\"compressed\";i:75766;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5588;s:10:\"compressed\";i:4785;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54426;s:10:\"compressed\";i:47333;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:165239;s:10:\"compressed\";i:144011;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:113555;s:10:\"compressed\";i:98919;}}}");
INSERT INTO `wp_postmeta` VALUES("14131", "11182", "original-file", "2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14132", "11182", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14133", "11182", "smush-info", "The file was compressed from 363.92 KB to 315.87 KB saving 13.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14134", "11182", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:372656;s:12:\"smushed-size\";i:323453;s:15:\"savings-percent\";d:13.2;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:372656;s:10:\"compressed\";i:323453;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:132486;s:10:\"compressed\";i:115284;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3554;s:10:\"compressed\";i:2946;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39913;s:10:\"compressed\";i:34503;}s:6:\"medium\";a:2:{s:8:\"original\";i:12339;s:10:\"compressed\";i:10671;}s:5:\"large\";a:2:{s:8:\"original\";i:89009;s:10:\"compressed\";i:76784;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6426;s:10:\"compressed\";i:5508;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:107028;s:10:\"compressed\";i:92372;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:167983;s:10:\"compressed\";i:145336;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:259069;s:10:\"compressed\";i:225128;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:213808;s:10:\"compressed\";i:185473;}}}");
INSERT INTO `wp_postmeta` VALUES("14135", "11183", "original-file", "2022/08/1-2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14136", "11183", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14137", "11183", "smush-info", "The file was compressed from 4.83 KB to 4.83 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14138", "11183", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4948;s:12:\"smushed-size\";i:4948;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4948;s:10:\"compressed\";i:4948;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1556;s:10:\"compressed\";i:1556;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2278;s:10:\"compressed\";i:2278;}}}");
INSERT INTO `wp_postmeta` VALUES("14139", "11184", "original-file", "2022/08/2-1-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14140", "11184", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14141", "11184", "smush-info", "The file was compressed from 4.05 KB to 3.98 KB saving 1.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14142", "11184", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4152;s:12:\"smushed-size\";i:4072;s:15:\"savings-percent\";d:1.93;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4152;s:10:\"compressed\";i:4072;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1642;s:10:\"compressed\";i:1376;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2357;s:10:\"compressed\";i:1773;}}}");
INSERT INTO `wp_postmeta` VALUES("14143", "11185", "original-file", "2022/08/3-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14144", "11185", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14145", "11185", "smush-info", "The file was compressed from 4.38 KB to 4.20 KB saving 4.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14146", "11185", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4488;s:12:\"smushed-size\";i:4298;s:15:\"savings-percent\";d:4.23;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4488;s:10:\"compressed\";i:4298;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1789;s:10:\"compressed\";i:1542;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2581;s:10:\"compressed\";i:1966;}}}");
INSERT INTO `wp_postmeta` VALUES("14147", "11186", "original-file", "2022/08/4-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14148", "11186", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14149", "11186", "smush-info", "The file was compressed from 4.65 KB to 4.40 KB saving 5.34 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14150", "11186", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4758;s:12:\"smushed-size\";i:4504;s:15:\"savings-percent\";d:5.34;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4758;s:10:\"compressed\";i:4504;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2118;s:10:\"compressed\";i:1743;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2750;s:10:\"compressed\";i:2112;}}}");
INSERT INTO `wp_postmeta` VALUES("14151", "11187", "original-file", "2022/08/5-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14152", "11187", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14153", "11187", "smush-info", "The file was compressed from 5.10 KB to 4.79 KB saving 6.05 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14154", "11187", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5226;s:12:\"smushed-size\";i:4910;s:15:\"savings-percent\";d:6.05;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5226;s:10:\"compressed\";i:4910;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2044;s:10:\"compressed\";i:1645;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2872;s:10:\"compressed\";i:2079;}}}");
INSERT INTO `wp_postmeta` VALUES("14155", "11188", "original-file", "2022/08/6-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14156", "11188", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14157", "11188", "smush-info", "The file was compressed from 4.88 KB to 4.63 KB saving 5.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14158", "11188", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5001;s:12:\"smushed-size\";i:4737;s:15:\"savings-percent\";d:5.28;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5001;s:10:\"compressed\";i:4737;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1735;s:10:\"compressed\";i:1511;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2595;s:10:\"compressed\";i:1949;}}}");
INSERT INTO `wp_postmeta` VALUES("14159", "11189", "original-file", "2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14160", "11189", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14161", "11189", "smush-info", "The file was compressed from 80.95 KB to 80.94 KB saving 0.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14162", "11189", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:82894;s:12:\"smushed-size\";i:82880;s:15:\"savings-percent\";d:0.02;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:82894;s:10:\"compressed\";i:82880;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:53141;s:10:\"compressed\";i:53141;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2255;s:10:\"compressed\";i:2254;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12838;s:10:\"compressed\";i:12838;}s:6:\"medium\";a:2:{s:8:\"original\";i:7945;s:10:\"compressed\";i:7945;}s:5:\"large\";a:2:{s:8:\"original\";i:44163;s:10:\"compressed\";i:44163;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3836;s:10:\"compressed\";i:3836;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29747;s:10:\"compressed\";i:29747;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:78843;s:10:\"compressed\";i:78843;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:55624;s:10:\"compressed\";i:55624;}}}");
INSERT INTO `wp_postmeta` VALUES("14163", "11190", "original-file", "2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14164", "11190", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14165", "11190", "smush-info", "The file was compressed from 92.00 KB to 92.00 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14166", "11190", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:94206;s:12:\"smushed-size\";i:94206;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:94206;s:10:\"compressed\";i:94206;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:57581;s:10:\"compressed\";i:57581;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2266;s:10:\"compressed\";i:2266;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:18773;s:10:\"compressed\";i:18773;}s:6:\"medium\";a:2:{s:8:\"original\";i:6806;s:10:\"compressed\";i:6802;}s:5:\"large\";a:2:{s:8:\"original\";i:38951;s:10:\"compressed\";i:38937;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3850;s:10:\"compressed\";i:3846;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:46316;s:10:\"compressed\";i:46313;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:72075;s:10:\"compressed\";i:72075;}}}");
INSERT INTO `wp_postmeta` VALUES("14167", "11191", "original-file", "2022/08/nordgreen-taqlluwbrgE-unsplash-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14168", "11191", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14169", "11191", "smush-info", "The file was compressed from 62.81 KB to 62.81 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14170", "11191", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:64320;s:12:\"smushed-size\";i:64320;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:64320;s:10:\"compressed\";i:64320;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:49901;s:10:\"compressed\";i:49901;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2144;s:10:\"compressed\";i:2143;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9056;s:10:\"compressed\";i:9056;}s:6:\"medium\";a:2:{s:8:\"original\";i:5784;s:10:\"compressed\";i:5784;}s:5:\"large\";a:2:{s:8:\"original\";i:33030;s:10:\"compressed\";i:33030;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3506;s:10:\"compressed\";i:3506;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:21573;s:10:\"compressed\";i:21573;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:60431;s:10:\"compressed\";i:60430;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:42052;s:10:\"compressed\";i:42052;}}}");
INSERT INTO `wp_postmeta` VALUES("14171", "11192", "original-file", "2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14172", "11192", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14173", "11192", "smush-info", "The file was compressed from 112.71 KB to 85.25 KB saving 24.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14174", "11192", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:115413;s:12:\"smushed-size\";i:87292;s:15:\"savings-percent\";d:24.37;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:115413;s:10:\"compressed\";i:87292;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:90417;s:10:\"compressed\";i:79276;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3571;s:10:\"compressed\";i:2954;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19662;s:10:\"compressed\";i:17287;}s:6:\"medium\";a:2:{s:8:\"original\";i:12208;s:10:\"compressed\";i:10654;}s:5:\"large\";a:2:{s:8:\"original\";i:75942;s:10:\"compressed\";i:67002;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6184;s:10:\"compressed\";i:5317;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:49565;s:10:\"compressed\";i:43652;}}}");
INSERT INTO `wp_postmeta` VALUES("14175", "11193", "original-file", "2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14176", "11193", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14177", "11193", "smush-info", "The file was compressed from 144.20 KB to 105.28 KB saving 26.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14178", "11193", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:147658;s:12:\"smushed-size\";i:107806;s:15:\"savings-percent\";d:26.99;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:147658;s:10:\"compressed\";i:107806;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:92024;s:10:\"compressed\";i:79995;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3253;s:10:\"compressed\";i:2673;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23584;s:10:\"compressed\";i:20638;}s:6:\"medium\";a:2:{s:8:\"original\";i:14864;s:10:\"compressed\";i:12997;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5426;s:10:\"compressed\";i:4632;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:58628;s:10:\"compressed\";i:51215;}}}");
INSERT INTO `wp_postmeta` VALUES("14179", "11194", "original-file", "2022/06/content-pixie-VJX5imdELxo-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14180", "11194", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14181", "11194", "smush-info", "The file was compressed from 185.59 KB to 134.91 KB saving 27.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14182", "11194", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:190049;s:12:\"smushed-size\";i:138145;s:15:\"savings-percent\";d:27.31;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:190049;s:10:\"compressed\";i:138145;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:162263;s:10:\"compressed\";i:135184;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3163;s:10:\"compressed\";i:2582;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19966;s:10:\"compressed\";i:17038;}s:6:\"medium\";a:2:{s:8:\"original\";i:11185;s:10:\"compressed\";i:9645;}s:5:\"large\";a:2:{s:8:\"original\";i:109625;s:10:\"compressed\";i:93242;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5353;s:10:\"compressed\";i:4549;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63576;s:10:\"compressed\";i:54020;}}}");
INSERT INTO `wp_postmeta` VALUES("14183", "11195", "original-file", "2022/09/pexels-pixabay-90764-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14184", "11195", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14185", "11195", "smush-info", "The file was compressed from 42.45 KB to 40.86 KB saving 3.76 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14186", "11195", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:43471;s:12:\"smushed-size\";i:41838;s:15:\"savings-percent\";d:3.76;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:43471;s:10:\"compressed\";i:41838;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:32632;s:10:\"compressed\";i:21790;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1331;s:10:\"compressed\";i:901;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4435;s:10:\"compressed\";i:3096;}s:6:\"medium\";a:2:{s:8:\"original\";i:2819;s:10:\"compressed\";i:1969;}s:5:\"large\";a:2:{s:8:\"original\";i:19568;s:10:\"compressed\";i:12346;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1886;s:10:\"compressed\";i:1346;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:11781;s:10:\"compressed\";i:7742;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:40858;s:10:\"compressed\";i:24937;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:25971;s:10:\"compressed\";i:16187;}}}");
INSERT INTO `wp_postmeta` VALUES("14187", "11196", "original-file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14188", "11196", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14189", "11196", "smush-info", "The file was compressed from 41.55 KB to 16.15 KB saving 61.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14190", "11196", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:42549;s:12:\"smushed-size\";i:16542;s:15:\"savings-percent\";d:61.12;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:42549;s:10:\"compressed\";i:16542;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:29877;s:10:\"compressed\";i:5824;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1321;s:10:\"compressed\";i:126;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10696;s:10:\"compressed\";i:517;}s:6:\"medium\";a:2:{s:8:\"original\";i:6659;s:10:\"compressed\";i:198;}s:5:\"large\";a:2:{s:8:\"original\";i:37077;s:10:\"compressed\";i:7456;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3321;s:10:\"compressed\";i:172;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:15671;s:10:\"compressed\";i:2660;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:60823;s:10:\"compressed\";i:9741;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:45226;s:10:\"compressed\";i:12300;}}}");
INSERT INTO `wp_postmeta` VALUES("14191", "11197", "original-file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14192", "11197", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14193", "11197", "smush-info", "The file was compressed from 80.20 KB to 20.87 KB saving 73.97 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14194", "11197", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:82122;s:12:\"smushed-size\";i:21375;s:15:\"savings-percent\";d:73.97;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:82122;s:10:\"compressed\";i:21375;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1149;s:10:\"compressed\";i:126;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6825;s:10:\"compressed\";i:760;}s:6:\"medium\";a:2:{s:8:\"original\";i:3903;s:10:\"compressed\";i:307;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2400;s:10:\"compressed\";i:232;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:16273;s:10:\"compressed\";i:3488;}}}");
INSERT INTO `wp_postmeta` VALUES("14195", "11198", "original-file", "2022/09/1-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14196", "11198", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14197", "11198", "smush-info", "The file was compressed from 222.72 KB to 221.32 KB saving 0.63 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14198", "11198", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:228062;s:12:\"smushed-size\";i:226635;s:15:\"savings-percent\";d:0.63;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:228062;s:10:\"compressed\";i:226635;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:175068;s:10:\"compressed\";i:149430;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3640;s:10:\"compressed\";i:3007;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:31267;s:10:\"compressed\";i:26627;}s:6:\"medium\";a:2:{s:8:\"original\";i:17971;s:10:\"compressed\";i:15414;}s:5:\"large\";a:2:{s:8:\"original\";i:156935;s:10:\"compressed\";i:133213;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6495;s:10:\"compressed\";i:5560;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:93441;s:10:\"compressed\";i:79411;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:205627;s:10:\"compressed\";i:175357;}}}");
INSERT INTO `wp_postmeta` VALUES("14199", "11199", "original-file", "2022/09/2-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14200", "11199", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14201", "11199", "smush-info", "The file was compressed from 154.54 KB to 152.57 KB saving 1.27 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14202", "11199", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:158246;s:12:\"smushed-size\";i:156230;s:15:\"savings-percent\";d:1.27;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:158246;s:10:\"compressed\";i:156230;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:106216;s:10:\"compressed\";i:91728;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2997;s:10:\"compressed\";i:2468;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23762;s:10:\"compressed\";i:20634;}s:6:\"medium\";a:2:{s:8:\"original\";i:14216;s:10:\"compressed\";i:12378;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5102;s:10:\"compressed\";i:4353;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65831;s:10:\"compressed\";i:56940;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:137858;s:10:\"compressed\";i:118936;}}}");
INSERT INTO `wp_postmeta` VALUES("14203", "11200", "original-file", "2022/09/pexels-johannes-plenio-1632788-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14204", "11200", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14205", "11200", "smush-info", "The file was compressed from 202.37 KB to 133.16 KB saving 34.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14206", "11200", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:207224;s:12:\"smushed-size\";i:136358;s:15:\"savings-percent\";d:34.2;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:207224;s:10:\"compressed\";i:136358;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:138552;s:10:\"compressed\";i:115957;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3426;s:10:\"compressed\";i:2747;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22898;s:10:\"compressed\";i:19402;}s:6:\"medium\";a:2:{s:8:\"original\";i:13650;s:10:\"compressed\";i:11524;}s:5:\"large\";a:2:{s:8:\"original\";i:101597;s:10:\"compressed\";i:86717;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5927;s:10:\"compressed\";i:4927;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63415;s:10:\"compressed\";i:53904;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:130807;s:10:\"compressed\";i:111904;}}}");
INSERT INTO `wp_postmeta` VALUES("14207", "11201", "original-file", "2022/08/cropped-logo-1-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14208", "11201", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14209", "11201", "smush-info", "The file was compressed from 6.77 KB to 6.41 KB saving 5.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14210", "11201", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:6930;s:12:\"smushed-size\";i:6568;s:15:\"savings-percent\";d:5.22;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:6930;s:10:\"compressed\";i:6568;}s:6:\"medium\";a:2:{s:8:\"original\";i:7071;s:10:\"compressed\";i:6210;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4395;s:10:\"compressed\";i:3746;}}}");
INSERT INTO `wp_postmeta` VALUES("14211", "11202", "original-file", "2022/09/pexels-sevenstorm-juhaszimrus-934345-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14212", "11202", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14213", "11202", "smush-info", "The file was compressed from 303.90 KB to 217.88 KB saving 28.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14214", "11202", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:311190;s:12:\"smushed-size\";i:223105;s:15:\"savings-percent\";d:28.31;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:311190;s:10:\"compressed\";i:223105;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:224078;s:10:\"compressed\";i:186302;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4275;s:10:\"compressed\";i:3544;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35505;s:10:\"compressed\";i:30068;}s:6:\"medium\";a:2:{s:8:\"original\";i:20756;s:10:\"compressed\";i:17571;}s:5:\"large\";a:2:{s:8:\"original\";i:164124;s:10:\"compressed\";i:138707;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7814;s:10:\"compressed\";i:6694;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:101977;s:10:\"compressed\";i:86188;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:213413;s:10:\"compressed\";i:180505;}}}");
INSERT INTO `wp_postmeta` VALUES("14215", "11203", "original-file", "2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14216", "11203", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14217", "11203", "smush-info", "The file was compressed from 2.00 KB to 1.74 KB saving 12.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14218", "11203", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:2043;s:12:\"smushed-size\";i:1782;s:15:\"savings-percent\";d:12.78;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:2043;s:10:\"compressed\";i:1782;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1167;s:10:\"compressed\";i:740;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1504;s:10:\"compressed\";i:962;}}}");
INSERT INTO `wp_postmeta` VALUES("14219", "11204", "original-file", "2022/10/woocommerce-placeholder-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14220", "11204", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14221", "11204", "smush-info", "The file was compressed from 100.24 KB to 73.05 KB saving 27.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14222", "11204", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:102644;s:12:\"smushed-size\";i:74804;s:15:\"savings-percent\";d:27.12;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:102644;s:10:\"compressed\";i:74804;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:98202;s:10:\"compressed\";i:55198;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2344;s:10:\"compressed\";i:1677;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21117;s:10:\"compressed\";i:11817;}s:6:\"medium\";a:2:{s:8:\"original\";i:12475;s:10:\"compressed\";i:7132;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4204;s:10:\"compressed\";i:2482;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:60014;s:10:\"compressed\";i:32700;}}}");
INSERT INTO `wp_postmeta` VALUES("14223", "11268", "original-file", "2019/01/ragbo452081071c_q1_2-0-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14224", "11268", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14225", "11268", "smush-info", "The file was compressed from 163.48 KB to 138.63 KB saving 15.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14226", "11268", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:167402;s:12:\"smushed-size\";i:141953;s:15:\"savings-percent\";d:15.2;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:167402;s:10:\"compressed\";i:141953;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127590;s:10:\"compressed\";i:106051;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2029;s:10:\"compressed\";i:1555;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20483;s:10:\"compressed\";i:16558;}s:6:\"medium\";a:2:{s:8:\"original\";i:6504;s:10:\"compressed\";i:5280;}s:5:\"large\";a:2:{s:8:\"original\";i:83402;s:10:\"compressed\";i:67975;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3122;s:10:\"compressed\";i:2491;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:76173;s:10:\"compressed\";i:62001;}}}");
INSERT INTO `wp_postmeta` VALUES("14227", "11269", "original-file", "2019/01/ragbo452081071c_q1_2-0-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14228", "11269", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14229", "11269", "smush-info", "The file was compressed from 163.48 KB to 138.63 KB saving 15.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14230", "11269", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:167402;s:12:\"smushed-size\";i:141953;s:15:\"savings-percent\";d:15.2;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:167402;s:10:\"compressed\";i:141953;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127590;s:10:\"compressed\";i:106051;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2029;s:10:\"compressed\";i:1555;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20483;s:10:\"compressed\";i:16558;}s:6:\"medium\";a:2:{s:8:\"original\";i:6504;s:10:\"compressed\";i:5280;}s:5:\"large\";a:2:{s:8:\"original\";i:83402;s:10:\"compressed\";i:67975;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3122;s:10:\"compressed\";i:2491;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:76173;s:10:\"compressed\";i:62001;}}}");
INSERT INTO `wp_postmeta` VALUES("14231", "11270", "original-file", "2019/01/pr1-pink-2-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14232", "11270", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14233", "11270", "smush-info", "The file was compressed from 280.07 KB to 236.26 KB saving 15.64 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14234", "11270", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:286795;s:12:\"smushed-size\";i:241934;s:15:\"savings-percent\";d:15.64;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:286795;s:10:\"compressed\";i:241934;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:182573;s:10:\"compressed\";i:154499;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2225;s:10:\"compressed\";i:1682;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:37410;s:10:\"compressed\";i:31972;}s:6:\"medium\";a:2:{s:8:\"original\";i:12155;s:10:\"compressed\";i:10304;}s:5:\"large\";a:2:{s:8:\"original\";i:131767;s:10:\"compressed\";i:111849;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4481;s:10:\"compressed\";i:3528;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:120876;s:10:\"compressed\";i:102768;}}}");
INSERT INTO `wp_postmeta` VALUES("14235", "11271", "original-file", "2019/01/pr1-pink-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14236", "11271", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14237", "11271", "smush-info", "The file was compressed from 280.07 KB to 236.26 KB saving 15.64 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14238", "11271", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:286795;s:12:\"smushed-size\";i:241934;s:15:\"savings-percent\";d:15.64;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:286795;s:10:\"compressed\";i:241934;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:182573;s:10:\"compressed\";i:154499;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2225;s:10:\"compressed\";i:1682;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:37410;s:10:\"compressed\";i:31972;}s:6:\"medium\";a:2:{s:8:\"original\";i:12155;s:10:\"compressed\";i:10304;}s:5:\"large\";a:2:{s:8:\"original\";i:131767;s:10:\"compressed\";i:111849;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4481;s:10:\"compressed\";i:3528;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:120876;s:10:\"compressed\";i:102768;}}}");
INSERT INTO `wp_postmeta` VALUES("14239", "11272", "original-file", "2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14240", "11272", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14241", "11272", "smush-info", "The file was compressed from 117.64 KB to 97.83 KB saving 16.83 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14242", "11272", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:120459;s:12:\"smushed-size\";i:100183;s:15:\"savings-percent\";d:16.83;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:120459;s:10:\"compressed\";i:100183;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:91696;s:10:\"compressed\";i:74027;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1786;s:10:\"compressed\";i:1315;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19308;s:10:\"compressed\";i:15129;}s:6:\"medium\";a:2:{s:8:\"original\";i:6460;s:10:\"compressed\";i:5163;}s:5:\"large\";a:2:{s:8:\"original\";i:62213;s:10:\"compressed\";i:49200;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2891;s:10:\"compressed\";i:2260;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:57552;s:10:\"compressed\";i:45418;}}}");
INSERT INTO `wp_postmeta` VALUES("14243", "11273", "original-file", "2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14244", "11273", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14245", "11273", "smush-info", "The file was compressed from 117.64 KB to 97.83 KB saving 16.83 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14246", "11273", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:120459;s:12:\"smushed-size\";i:100183;s:15:\"savings-percent\";d:16.83;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:120459;s:10:\"compressed\";i:100183;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:91696;s:10:\"compressed\";i:74027;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1786;s:10:\"compressed\";i:1315;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19308;s:10:\"compressed\";i:15129;}s:6:\"medium\";a:2:{s:8:\"original\";i:6460;s:10:\"compressed\";i:5163;}s:5:\"large\";a:2:{s:8:\"original\";i:62213;s:10:\"compressed\";i:49200;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2891;s:10:\"compressed\";i:2260;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:57552;s:10:\"compressed\";i:45418;}}}");
INSERT INTO `wp_postmeta` VALUES("14247", "11274", "original-file", "2019/01/acndb3127517966_q1_2-0-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14248", "11274", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14249", "11274", "smush-info", "The file was compressed from 185.38 KB to 159.63 KB saving 13.89 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14250", "11274", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:189832;s:12:\"smushed-size\";i:163460;s:15:\"savings-percent\";d:13.89;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:189832;s:10:\"compressed\";i:163460;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:145217;s:10:\"compressed\";i:119122;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2195;s:10:\"compressed\";i:1688;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28376;s:10:\"compressed\";i:23338;}s:6:\"medium\";a:2:{s:8:\"original\";i:9461;s:10:\"compressed\";i:8124;}s:5:\"large\";a:2:{s:8:\"original\";i:97731;s:10:\"compressed\";i:79530;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3920;s:10:\"compressed\";i:3218;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:90318;s:10:\"compressed\";i:73552;}}}");
INSERT INTO `wp_postmeta` VALUES("14251", "11275", "original-file", "2019/01/acndb3127517966_q1_2-0-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14252", "11275", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14253", "11275", "smush-info", "The file was compressed from 159.63 KB to 159.63 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14254", "11275", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:163460;s:12:\"smushed-size\";i:163460;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:163460;s:10:\"compressed\";i:163460;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:119122;s:10:\"compressed\";i:119122;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1688;s:10:\"compressed\";i:1688;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23338;s:10:\"compressed\";i:23338;}s:6:\"medium\";a:2:{s:8:\"original\";i:8124;s:10:\"compressed\";i:8124;}s:5:\"large\";a:2:{s:8:\"original\";i:79530;s:10:\"compressed\";i:79530;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3218;s:10:\"compressed\";i:3218;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:73552;s:10:\"compressed\";i:73552;}}}");
INSERT INTO `wp_postmeta` VALUES("14255", "11317", "original-file", "2022/10/pexels-photo-8365688-2-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14256", "11317", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14257", "11317", "smush-info", "The file was compressed from 69.01 KB to 69.01 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14258", "11317", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:70664;s:12:\"smushed-size\";i:70664;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:70664;s:10:\"compressed\";i:70664;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3081;s:10:\"compressed\";i:2531;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:46745;s:10:\"compressed\";i:38804;}s:6:\"medium\";a:2:{s:8:\"original\";i:13297;s:10:\"compressed\";i:11436;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5351;s:10:\"compressed\";i:4595;}}}");
INSERT INTO `wp_postmeta` VALUES("14259", "11318", "original-file", "2022/10/pexels-terje-sollie-298864-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14260", "11318", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14261", "11318", "smush-info", "The file was compressed from 56.46 KB to 41.25 KB saving 26.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14262", "11318", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:57811;s:12:\"smushed-size\";i:42240;s:15:\"savings-percent\";d:26.93;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:57811;s:10:\"compressed\";i:42240;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4047;s:10:\"compressed\";i:3360;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22138;s:10:\"compressed\";i:19315;}s:6:\"medium\";a:2:{s:8:\"original\";i:13497;s:10:\"compressed\";i:11687;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7011;s:10:\"compressed\";i:6040;}}}");
INSERT INTO `wp_postmeta` VALUES("14263", "11319", "original-file", "2022/10/pexels-terje-sollie-298864-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14264", "11319", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14265", "11319", "smush-info", "The file was compressed from 56.46 KB to 41.25 KB saving 26.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14266", "11319", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:57811;s:12:\"smushed-size\";i:42240;s:15:\"savings-percent\";d:26.93;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:57811;s:10:\"compressed\";i:42240;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4047;s:10:\"compressed\";i:3360;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22138;s:10:\"compressed\";i:19315;}s:6:\"medium\";a:2:{s:8:\"original\";i:13497;s:10:\"compressed\";i:11687;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7011;s:10:\"compressed\";i:6040;}}}");
INSERT INTO `wp_postmeta` VALUES("14267", "11322", "original-file", "2022/10/pexels-photo-631411-2-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14268", "11322", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14269", "11322", "smush-info", "The file was compressed from 78.12 KB to 78.12 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14270", "11322", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:79996;s:12:\"smushed-size\";i:79996;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:79996;s:10:\"compressed\";i:79996;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3724;s:10:\"compressed\";i:3026;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25292;s:10:\"compressed\";i:21770;}s:6:\"medium\";a:2:{s:8:\"original\";i:15048;s:10:\"compressed\";i:12945;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6611;s:10:\"compressed\";i:5645;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:67573;s:10:\"compressed\";i:58870;}}}");
INSERT INTO `wp_postmeta` VALUES("14271", "11323", "original-file", "2022/10/pexels-photo-631411-3-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14272", "11323", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14273", "11323", "smush-info", "The file was compressed from 78.12 KB to 78.12 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14274", "11323", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:79996;s:12:\"smushed-size\";i:79996;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:79996;s:10:\"compressed\";i:79996;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3724;s:10:\"compressed\";i:3026;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25292;s:10:\"compressed\";i:21770;}s:6:\"medium\";a:2:{s:8:\"original\";i:15048;s:10:\"compressed\";i:12945;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6611;s:10:\"compressed\";i:5645;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:67573;s:10:\"compressed\";i:58870;}}}");
INSERT INTO `wp_postmeta` VALUES("14275", "11326", "original-file", "2022/10/pexels-photo-1337753-2-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14276", "11326", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14277", "11326", "smush-info", "The file was compressed from 745.99 KB to 745.99 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14278", "11326", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:763896;s:12:\"smushed-size\";i:763896;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:763896;s:10:\"compressed\";i:763896;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:281065;s:10:\"compressed\";i:236228;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4196;s:10:\"compressed\";i:3477;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:79140;s:10:\"compressed\";i:66833;}s:6:\"medium\";a:2:{s:8:\"original\";i:19514;s:10:\"compressed\";i:16366;}s:5:\"large\";a:2:{s:8:\"original\";i:207766;s:10:\"compressed\";i:174119;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8335;s:10:\"compressed\";i:7152;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:256408;s:10:\"compressed\";i:215241;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:432431;s:10:\"compressed\";i:362674;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:704659;s:10:\"compressed\";i:596833;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:578317;s:10:\"compressed\";i:486755;}}}");
INSERT INTO `wp_postmeta` VALUES("14279", "11327", "original-file", "2022/10/pexels-photo-1337753-3-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14280", "11327", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14281", "11327", "smush-info", "The file was compressed from 745.99 KB to 745.99 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14282", "11327", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:763896;s:12:\"smushed-size\";i:763896;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:763896;s:10:\"compressed\";i:763896;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:281065;s:10:\"compressed\";i:236228;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4196;s:10:\"compressed\";i:3477;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:79140;s:10:\"compressed\";i:66833;}s:6:\"medium\";a:2:{s:8:\"original\";i:19514;s:10:\"compressed\";i:16366;}s:5:\"large\";a:2:{s:8:\"original\";i:207766;s:10:\"compressed\";i:174119;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8335;s:10:\"compressed\";i:7152;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:256408;s:10:\"compressed\";i:215241;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:432431;s:10:\"compressed\";i:362674;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:704659;s:10:\"compressed\";i:596833;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:578317;s:10:\"compressed\";i:486755;}}}");
INSERT INTO `wp_postmeta` VALUES("14283", "11396", "original-file", "2022/10/7a1f64152979619.632bd4d966dbe-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14284", "11396", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14285", "11396", "smush-info", "The file was compressed from 304.42 KB to 90.86 KB saving 70.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14286", "11396", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:311723;s:12:\"smushed-size\";i:93036;s:15:\"savings-percent\";d:70.15;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:311723;s:10:\"compressed\";i:93036;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:62471;s:10:\"compressed\";i:49671;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2123;s:10:\"compressed\";i:1648;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8962;s:10:\"compressed\";i:7499;}s:6:\"medium\";a:2:{s:8:\"original\";i:5576;s:10:\"compressed\";i:4625;}s:5:\"large\";a:2:{s:8:\"original\";i:36689;s:10:\"compressed\";i:28146;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3468;s:10:\"compressed\";i:2846;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:23070;s:10:\"compressed\";i:18054;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:70749;s:10:\"compressed\";i:53056;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:47679;s:10:\"compressed\";i:36144;}}}");
INSERT INTO `wp_postmeta` VALUES("14287", "11397", "original-file", "2022/10/7a1f64152979619.632bd4d966dbe-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14288", "11397", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14289", "11397", "smush-info", "The file was compressed from 304.42 KB to 90.86 KB saving 70.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14290", "11397", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:311723;s:12:\"smushed-size\";i:93036;s:15:\"savings-percent\";d:70.15;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:311723;s:10:\"compressed\";i:93036;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:62471;s:10:\"compressed\";i:49671;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2123;s:10:\"compressed\";i:1648;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8962;s:10:\"compressed\";i:7499;}s:6:\"medium\";a:2:{s:8:\"original\";i:5576;s:10:\"compressed\";i:4625;}s:5:\"large\";a:2:{s:8:\"original\";i:36689;s:10:\"compressed\";i:28146;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3468;s:10:\"compressed\";i:2846;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:23070;s:10:\"compressed\";i:18054;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:70749;s:10:\"compressed\";i:53056;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:47679;s:10:\"compressed\";i:36144;}}}");
INSERT INTO `wp_postmeta` VALUES("14291", "11414", "original-file", "2022/10/c96a9b144890955.6294d44ef1e11-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14292", "11414", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14293", "11414", "smush-info", "The file was compressed from 164.43 KB to 97.96 KB saving 40.43 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14294", "11414", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:168380;s:12:\"smushed-size\";i:100308;s:15:\"savings-percent\";d:40.43;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:168380;s:10:\"compressed\";i:100308;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93919;s:10:\"compressed\";i:77519;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3036;s:10:\"compressed\";i:2378;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10539;s:10:\"compressed\";i:8645;}s:6:\"medium\";a:2:{s:8:\"original\";i:6574;s:10:\"compressed\";i:5405;}s:5:\"large\";a:2:{s:8:\"original\";i:44451;s:10:\"compressed\";i:35634;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4950;s:10:\"compressed\";i:4052;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27699;s:10:\"compressed\";i:22360;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:86222;s:10:\"compressed\";i:68533;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:57582;s:10:\"compressed\";i:45974;}}}");
INSERT INTO `wp_postmeta` VALUES("14295", "11415", "original-file", "2022/10/c96a9b144890955.6294d44ef1e11-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14296", "11415", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14297", "11415", "smush-info", "The file was compressed from 97.96 KB to 97.24 KB saving 0.73 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14298", "11415", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:100308;s:12:\"smushed-size\";i:99574;s:15:\"savings-percent\";d:0.73;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:100308;s:10:\"compressed\";i:99574;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:77519;s:10:\"compressed\";i:77322;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2378;s:10:\"compressed\";i:2378;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8645;s:10:\"compressed\";i:8622;}s:6:\"medium\";a:2:{s:8:\"original\";i:5405;s:10:\"compressed\";i:5395;}s:5:\"large\";a:2:{s:8:\"original\";i:35634;s:10:\"compressed\";i:35502;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4052;s:10:\"compressed\";i:4042;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:22360;s:10:\"compressed\";i:22271;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:68533;s:10:\"compressed\";i:68238;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:45974;s:10:\"compressed\";i:45762;}}}");
INSERT INTO `wp_postmeta` VALUES("14299", "11419", "original-file", "2022/10/439f20144119531.628671b94bd08-1-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14300", "11419", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14301", "11419", "smush-info", "The file was compressed from 131.12 KB to 89.53 KB saving 31.72 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14302", "11419", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134269;s:12:\"smushed-size\";i:91678;s:15:\"savings-percent\";d:31.72;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:134269;s:10:\"compressed\";i:91678;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:81831;s:10:\"compressed\";i:69774;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2865;s:10:\"compressed\";i:2315;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9906;s:10:\"compressed\";i:8520;}s:6:\"medium\";a:2:{s:8:\"original\";i:6164;s:10:\"compressed\";i:5255;}s:5:\"large\";a:2:{s:8:\"original\";i:39162;s:10:\"compressed\";i:32638;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4655;s:10:\"compressed\";i:3942;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:24717;s:10:\"compressed\";i:20778;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:76263;s:10:\"compressed\";i:62662;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:50737;s:10:\"compressed\";i:41995;}}}");
INSERT INTO `wp_postmeta` VALUES("14303", "11420", "original-file", "2022/10/439f20144119531.628671b94bd08-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14304", "11420", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14305", "11420", "smush-info", "The file was compressed from 131.12 KB to 89.53 KB saving 31.72 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14306", "11420", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134269;s:12:\"smushed-size\";i:91678;s:15:\"savings-percent\";d:31.72;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:134269;s:10:\"compressed\";i:91678;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:81831;s:10:\"compressed\";i:69774;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2865;s:10:\"compressed\";i:2315;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9906;s:10:\"compressed\";i:8520;}s:6:\"medium\";a:2:{s:8:\"original\";i:6164;s:10:\"compressed\";i:5255;}s:5:\"large\";a:2:{s:8:\"original\";i:39162;s:10:\"compressed\";i:32638;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4655;s:10:\"compressed\";i:3942;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:24717;s:10:\"compressed\";i:20778;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:76263;s:10:\"compressed\";i:62662;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:50737;s:10:\"compressed\";i:41995;}}}");
INSERT INTO `wp_postmeta` VALUES("14307", "11672", "original-file", "woocommerce-placeholder-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14308", "11672", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14309", "11672", "smush-info", "The file was compressed from 100.24 KB to 73.05 KB saving 27.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14310", "11672", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:102644;s:12:\"smushed-size\";i:74804;s:15:\"savings-percent\";d:27.12;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:102644;s:10:\"compressed\";i:74804;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:98202;s:10:\"compressed\";i:55198;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2344;s:10:\"compressed\";i:1677;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21117;s:10:\"compressed\";i:11817;}s:6:\"medium\";a:2:{s:8:\"original\";i:12475;s:10:\"compressed\";i:7061;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4204;s:10:\"compressed\";i:2482;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:60014;s:10:\"compressed\";i:32700;}}}");
INSERT INTO `wp_postmeta` VALUES("14311", "11675", "original-file", "2022/08/1-scaled-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14312", "11675", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14313", "11675", "smush-info", "The file was compressed from 107.10 KB to 74.27 KB saving 30.66 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14314", "11675", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:109669;s:12:\"smushed-size\";i:76048;s:15:\"savings-percent\";d:30.66;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:109669;s:10:\"compressed\";i:76048;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:41903;s:10:\"compressed\";i:32577;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2162;s:10:\"compressed\";i:1676;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:7631;s:10:\"compressed\";i:6290;}s:6:\"medium\";a:2:{s:8:\"original\";i:5037;s:10:\"compressed\";i:4136;}s:5:\"large\";a:2:{s:8:\"original\";i:26026;s:10:\"compressed\";i:20493;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3311;s:10:\"compressed\";i:2666;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:17288;s:10:\"compressed\";i:14017;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:48016;s:10:\"compressed\";i:36096;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:75530;s:10:\"compressed\";i:54001;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:33362;s:10:\"compressed\";i:25890;}}}");
INSERT INTO `wp_postmeta` VALUES("14315", "11676", "original-file", "2019/01/hoodie-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14316", "11676", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14317", "11676", "smush-info", "The file was compressed from 45.00 KB to 23.26 KB saving 48.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14318", "11676", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:46079;s:12:\"smushed-size\";i:23820;s:15:\"savings-percent\";d:48.31;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:46079;s:10:\"compressed\";i:23820;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1980;s:10:\"compressed\";i:1495;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12547;s:10:\"compressed\";i:10123;}s:6:\"medium\";a:2:{s:8:\"original\";i:7987;s:10:\"compressed\";i:6632;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3134;s:10:\"compressed\";i:2513;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29350;s:10:\"compressed\";i:22259;}}}");
INSERT INTO `wp_postmeta` VALUES("14319", "11677", "original-file", "2022/08/3-8-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14320", "11677", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14321", "11677", "smush-info", "The file was compressed from 64.24 KB to 42.22 KB saving 34.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14322", "11677", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:65785;s:12:\"smushed-size\";i:43234;s:15:\"savings-percent\";d:34.28;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:65785;s:10:\"compressed\";i:43234;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:38964;s:10:\"compressed\";i:28849;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2082;s:10:\"compressed\";i:1566;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8858;s:10:\"compressed\";i:7297;}s:6:\"medium\";a:2:{s:8:\"original\";i:5956;s:10:\"compressed\";i:4868;}s:5:\"large\";a:2:{s:8:\"original\";i:30789;s:10:\"compressed\";i:23273;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3043;s:10:\"compressed\";i:2369;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:20372;s:10:\"compressed\";i:15827;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:39195;s:10:\"compressed\";i:28962;}}}");
INSERT INTO `wp_postmeta` VALUES("14323", "11678", "original-file", "2019/01/vneck-tee-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14324", "11678", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14325", "11678", "smush-info", "The file was compressed from 48.34 KB to 23.49 KB saving 51.4 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14326", "11678", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:49497;s:12:\"smushed-size\";i:24054;s:15:\"savings-percent\";d:51.4;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:49497;s:10:\"compressed\";i:24054;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1990;s:10:\"compressed\";i:1520;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12443;s:10:\"compressed\";i:10082;}s:6:\"medium\";a:2:{s:8:\"original\";i:7908;s:10:\"compressed\";i:6552;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3146;s:10:\"compressed\";i:2519;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29727;s:10:\"compressed\";i:22690;}}}");
INSERT INTO `wp_postmeta` VALUES("14327", "11679", "original-file", "2019/01/vnech-tee-green-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14328", "11679", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14329", "11679", "smush-info", "The file was compressed from 99.96 KB to 24.91 KB saving 75.09 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14330", "11679", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:102362;s:12:\"smushed-size\";i:25503;s:15:\"savings-percent\";d:75.09;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:102362;s:10:\"compressed\";i:25503;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1816;s:10:\"compressed\";i:1361;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11741;s:10:\"compressed\";i:9499;}s:6:\"medium\";a:2:{s:8:\"original\";i:7283;s:10:\"compressed\";i:6021;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2834;s:10:\"compressed\";i:2260;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:28537;s:10:\"compressed\";i:21616;}}}");
INSERT INTO `wp_postmeta` VALUES("14331", "11680", "original-file", "2019/01/vnech-tee-blue-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14332", "11680", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14333", "11680", "smush-info", "The file was compressed from 117.41 KB to 26.85 KB saving 77.13 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14334", "11680", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:120226;s:12:\"smushed-size\";i:27494;s:15:\"savings-percent\";d:77.13;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:120226;s:10:\"compressed\";i:27494;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1883;s:10:\"compressed\";i:1428;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12322;s:10:\"compressed\";i:10114;}s:6:\"medium\";a:2:{s:8:\"original\";i:7699;s:10:\"compressed\";i:6431;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2989;s:10:\"compressed\";i:2401;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30219;s:10:\"compressed\";i:23292;}}}");
INSERT INTO `wp_postmeta` VALUES("14335", "11681", "original-file", "2019/01/hoodie-blue-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14336", "11681", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14337", "11681", "smush-info", "The file was compressed from 98.92 KB to 25.52 KB saving 74.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14338", "11681", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:101298;s:12:\"smushed-size\";i:26133;s:15:\"savings-percent\";d:74.2;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:101298;s:10:\"compressed\";i:26133;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1809;s:10:\"compressed\";i:1352;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12302;s:10:\"compressed\";i:9911;}s:6:\"medium\";a:2:{s:8:\"original\";i:7687;s:10:\"compressed\";i:6386;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2916;s:10:\"compressed\";i:2321;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29102;s:10:\"compressed\";i:21948;}}}");
INSERT INTO `wp_postmeta` VALUES("14339", "11682", "original-file", "2019/01/hoodie-green-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14340", "11682", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14341", "11682", "smush-info", "The file was compressed from 96.19 KB to 24.87 KB saving 74.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14342", "11682", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:98498;s:12:\"smushed-size\";i:25463;s:15:\"savings-percent\";d:74.15;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:98498;s:10:\"compressed\";i:25463;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1827;s:10:\"compressed\";i:1373;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12047;s:10:\"compressed\";i:9664;}s:6:\"medium\";a:2:{s:8:\"original\";i:7580;s:10:\"compressed\";i:6280;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2907;s:10:\"compressed\";i:2324;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:28591;s:10:\"compressed\";i:21565;}}}");
INSERT INTO `wp_postmeta` VALUES("14343", "11683", "original-file", "2019/01/hoodie-with-logo-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14344", "11683", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14345", "11683", "smush-info", "The file was compressed from 45.87 KB to 24.39 KB saving 46.83 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14346", "11683", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:46969;s:12:\"smushed-size\";i:24974;s:15:\"savings-percent\";d:46.83;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:46969;s:10:\"compressed\";i:24974;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1910;s:10:\"compressed\";i:1457;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13022;s:10:\"compressed\";i:10541;}s:6:\"medium\";a:2:{s:8:\"original\";i:8263;s:10:\"compressed\";i:6883;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3101;s:10:\"compressed\";i:2483;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30254;s:10:\"compressed\";i:22926;}}}");
INSERT INTO `wp_postmeta` VALUES("14347", "11684", "original-file", "2019/01/tshirt-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14348", "11684", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14349", "11684", "smush-info", "The file was compressed from 40.19 KB to 20.90 KB saving 47.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14350", "11684", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:41155;s:12:\"smushed-size\";i:21405;s:15:\"savings-percent\";d:47.99;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:41155;s:10:\"compressed\";i:21405;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1769;s:10:\"compressed\";i:1314;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11130;s:10:\"compressed\";i:8980;}s:6:\"medium\";a:2:{s:8:\"original\";i:7135;s:10:\"compressed\";i:5827;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2789;s:10:\"compressed\";i:2220;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:26461;s:10:\"compressed\";i:19803;}}}");
INSERT INTO `wp_postmeta` VALUES("14351", "11685", "original-file", "2019/01/belt-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14352", "11685", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14353", "11685", "smush-info", "The file was compressed from 36.46 KB to 19.67 KB saving 46.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14354", "11685", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:37339;s:12:\"smushed-size\";i:20141;s:15:\"savings-percent\";d:46.06;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:37339;s:10:\"compressed\";i:20141;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1710;s:10:\"compressed\";i:1266;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10573;s:10:\"compressed\";i:8334;}s:6:\"medium\";a:2:{s:8:\"original\";i:6732;s:10:\"compressed\";i:5451;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2682;s:10:\"compressed\";i:2120;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25701;s:10:\"compressed\";i:18890;}}}");
INSERT INTO `wp_postmeta` VALUES("14355", "11686", "original-file", "2019/01/cap-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14356", "11686", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14357", "11686", "smush-info", "The file was compressed from 36.79 KB to 19.72 KB saving 46.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14358", "11686", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:37675;s:12:\"smushed-size\";i:20197;s:15:\"savings-percent\";d:46.39;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:37675;s:10:\"compressed\";i:20197;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1659;s:10:\"compressed\";i:1221;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10605;s:10:\"compressed\";i:8282;}s:6:\"medium\";a:2:{s:8:\"original\";i:6664;s:10:\"compressed\";i:5418;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2564;s:10:\"compressed\";i:2001;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25862;s:10:\"compressed\";i:18734;}}}");
INSERT INTO `wp_postmeta` VALUES("14359", "11687", "original-file", "2019/01/sunglasses-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14360", "11687", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14361", "11687", "smush-info", "The file was compressed from 24.11 KB to 15.00 KB saving 37.77 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14362", "11687", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:24691;s:12:\"smushed-size\";i:15364;s:15:\"savings-percent\";d:37.77;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:24691;s:10:\"compressed\";i:15364;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1510;s:10:\"compressed\";i:1064;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8352;s:10:\"compressed\";i:6396;}s:6:\"medium\";a:2:{s:8:\"original\";i:5337;s:10:\"compressed\";i:4120;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2238;s:10:\"compressed\";i:1675;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:20654;s:10:\"compressed\";i:14050;}}}");
INSERT INTO `wp_postmeta` VALUES("14363", "11688", "original-file", "2019/01/hoodie-with-pocket-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14364", "11688", "smush-info", "Failed with error code could_not_lock - The task could not be locked");
INSERT INTO `wp_postmeta` VALUES("14365", "11688", "smush-complete", "");
INSERT INTO `wp_postmeta` VALUES("14366", "11689", "original-file", "2019/01/hoodie-with-zipper-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14367", "11689", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14368", "11689", "smush-info", "The file was compressed from 55.28 KB to 28.25 KB saving 48.9 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14369", "11689", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:56609;s:12:\"smushed-size\";i:28925;s:15:\"savings-percent\";d:48.9;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:56609;s:10:\"compressed\";i:28925;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2145;s:10:\"compressed\";i:1667;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14573;s:10:\"compressed\";i:12006;}s:6:\"medium\";a:2:{s:8:\"original\";i:9293;s:10:\"compressed\";i:7874;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3605;s:10:\"compressed\";i:2966;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:34120;s:10:\"compressed\";i:26678;}}}");
INSERT INTO `wp_postmeta` VALUES("14370", "11690", "original-file", "2019/01/long-sleeve-tee-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14371", "11690", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14372", "11690", "smush-info", "The file was compressed from 49.92 KB to 23.86 KB saving 52.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14373", "11690", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:51118;s:12:\"smushed-size\";i:24434;s:15:\"savings-percent\";d:52.2;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:51118;s:10:\"compressed\";i:24434;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1993;s:10:\"compressed\";i:1532;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12479;s:10:\"compressed\";i:10258;}s:6:\"medium\";a:2:{s:8:\"original\";i:8077;s:10:\"compressed\";i:6794;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3303;s:10:\"compressed\";i:2682;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29790;s:10:\"compressed\";i:23237;}}}");
INSERT INTO `wp_postmeta` VALUES("14374", "11691", "original-file", "2019/01/polo-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14375", "11691", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14376", "11691", "smush-info", "The file was compressed from 43.37 KB to 21.78 KB saving 49.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14377", "11691", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:44409;s:12:\"smushed-size\";i:22303;s:15:\"savings-percent\";d:49.78;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:44409;s:10:\"compressed\";i:22303;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1816;s:10:\"compressed\";i:1365;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11673;s:10:\"compressed\";i:9458;}s:6:\"medium\";a:2:{s:8:\"original\";i:7266;s:10:\"compressed\";i:5970;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2862;s:10:\"compressed\";i:2277;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27726;s:10:\"compressed\";i:21061;}}}");
INSERT INTO `wp_postmeta` VALUES("14378", "11692", "original-file", "2019/01/single-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14379", "11692", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14380", "11692", "smush-info", "The file was compressed from 121.80 KB to 30.43 KB saving 75.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14381", "11692", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:124720;s:12:\"smushed-size\";i:31161;s:15:\"savings-percent\";d:75.02;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:124720;s:10:\"compressed\";i:31161;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2284;s:10:\"compressed\";i:1782;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14799;s:10:\"compressed\";i:12390;}s:6:\"medium\";a:2:{s:8:\"original\";i:9585;s:10:\"compressed\";i:8077;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3741;s:10:\"compressed\";i:3066;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:34144;s:10:\"compressed\";i:27045;}}}");
INSERT INTO `wp_postmeta` VALUES("14382", "11693", "original-file", "2019/01/t-shirt-with-logo-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14383", "11693", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14384", "11693", "smush-info", "The file was compressed from 66.24 KB to 24.89 KB saving 62.42 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14385", "11693", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:67833;s:12:\"smushed-size\";i:25492;s:15:\"savings-percent\";d:62.42;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:67833;s:10:\"compressed\";i:25492;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1964;s:10:\"compressed\";i:1507;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12960;s:10:\"compressed\";i:10555;}s:6:\"medium\";a:2:{s:8:\"original\";i:8160;s:10:\"compressed\";i:6859;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3154;s:10:\"compressed\";i:2533;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30709;s:10:\"compressed\";i:23647;}}}");
INSERT INTO `wp_postmeta` VALUES("14386", "11694", "original-file", "2019/01/beanie-with-logo-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14387", "11694", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14388", "11694", "smush-info", "The file was compressed from 44.31 KB to 16.37 KB saving 63.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14389", "11694", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:45371;s:12:\"smushed-size\";i:16759;s:15:\"savings-percent\";d:63.06;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:45371;s:10:\"compressed\";i:16759;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1667;s:10:\"compressed\";i:1227;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9089;s:10:\"compressed\";i:7184;}s:6:\"medium\";a:2:{s:8:\"original\";i:5851;s:10:\"compressed\";i:4695;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2434;s:10:\"compressed\";i:1877;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:21734;s:10:\"compressed\";i:15781;}}}");
INSERT INTO `wp_postmeta` VALUES("14390", "11695", "original-file", "2022/08/2-8-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14391", "11695", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14392", "11695", "smush-info", "The file was compressed from 76.20 KB to 37.30 KB saving 51.05 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14393", "11695", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:78032;s:12:\"smushed-size\";i:38199;s:15:\"savings-percent\";d:51.05;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:78032;s:10:\"compressed\";i:38199;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:38071;s:10:\"compressed\";i:29252;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2510;s:10:\"compressed\";i:1979;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:7944;s:10:\"compressed\";i:6609;}s:6:\"medium\";a:2:{s:8:\"original\";i:5395;s:10:\"compressed\";i:4479;}s:5:\"large\";a:2:{s:8:\"original\";i:27145;s:10:\"compressed\";i:20764;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3655;s:10:\"compressed\";i:2965;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:18048;s:10:\"compressed\";i:14233;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:34451;s:10:\"compressed\";i:25830;}}}");
INSERT INTO `wp_postmeta` VALUES("14394", "11696", "original-file", "2022/08/4-scaled-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14395", "11696", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14396", "11696", "smush-info", "The file was compressed from 95.58 KB to 59.29 KB saving 37.97 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14397", "11696", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:97873;s:12:\"smushed-size\";i:60711;s:15:\"savings-percent\";d:37.97;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:97873;s:10:\"compressed\";i:60711;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:40472;s:10:\"compressed\";i:29360;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1838;s:10:\"compressed\";i:1385;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:5726;s:10:\"compressed\";i:4473;}s:6:\"medium\";a:2:{s:8:\"original\";i:3626;s:10:\"compressed\";i:2808;}s:5:\"large\";a:2:{s:8:\"original\";i:21908;s:10:\"compressed\";i:15465;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2669;s:10:\"compressed\";i:2095;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:14004;s:10:\"compressed\";i:10249;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:41612;s:10:\"compressed\";i:27784;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:66138;s:10:\"compressed\";i:42304;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:28447;s:10:\"compressed\";i:19573;}}}");
INSERT INTO `wp_postmeta` VALUES("14398", "11697", "original-file", "2022/08/1-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14399", "11697", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14400", "11697", "smush-info", "The file was compressed from 387.81 KB to 285.32 KB saving 26.43 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14401", "11697", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:397119;s:12:\"smushed-size\";i:292164;s:15:\"savings-percent\";d:26.43;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:397119;s:10:\"compressed\";i:292164;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:139176;s:10:\"compressed\";i:116406;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3212;s:10:\"compressed\";i:2598;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34020;s:10:\"compressed\";i:28603;}s:6:\"medium\";a:2:{s:8:\"original\";i:11493;s:10:\"compressed\";i:9775;}s:5:\"large\";a:2:{s:8:\"original\";i:107069;s:10:\"compressed\";i:89173;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5127;s:10:\"compressed\";i:4351;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:109234;s:10:\"compressed\";i:90930;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:224858;s:10:\"compressed\";i:187769;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:245605;s:10:\"compressed\";i:205043;}}}");
INSERT INTO `wp_postmeta` VALUES("14402", "11698", "original-file", "2022/08/2-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14403", "11698", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14404", "11698", "smush-info", "The file was compressed from 183.85 KB to 135.23 KB saving 26.44 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14405", "11698", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:188260;s:12:\"smushed-size\";i:138476;s:15:\"savings-percent\";d:26.44;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:188260;s:10:\"compressed\";i:138476;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:61231;s:10:\"compressed\";i:48659;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2402;s:10:\"compressed\";i:1858;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19056;s:10:\"compressed\";i:15858;}s:6:\"medium\";a:2:{s:8:\"original\";i:8084;s:10:\"compressed\";i:6862;}s:5:\"large\";a:2:{s:8:\"original\";i:53738;s:10:\"compressed\";i:43437;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3548;s:10:\"compressed\";i:2882;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:52468;s:10:\"compressed\";i:42443;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:113091;s:10:\"compressed\";i:90184;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:120480;s:10:\"compressed\";i:95981;}}}");
INSERT INTO `wp_postmeta` VALUES("14406", "11699", "original-file", "2022/08/9d6c76146067617.62a9b2aa00784-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14407", "11699", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14408", "11699", "smush-info", "The file was compressed from 664.42 KB to 194.32 KB saving 70.75 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14409", "11699", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:680366;s:12:\"smushed-size\";i:198980;s:15:\"savings-percent\";d:70.75;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:680366;s:10:\"compressed\";i:198980;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93075;s:10:\"compressed\";i:77132;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2782;s:10:\"compressed\";i:2249;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:24094;s:10:\"compressed\";i:20446;}s:6:\"medium\";a:2:{s:8:\"original\";i:10521;s:10:\"compressed\";i:8994;}s:5:\"large\";a:2:{s:8:\"original\";i:79675;s:10:\"compressed\";i:66066;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4573;s:10:\"compressed\";i:3827;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:69360;s:10:\"compressed\";i:57635;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:169129;s:10:\"compressed\";i:139185;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:158076;s:10:\"compressed\";i:129946;}}}");
INSERT INTO `wp_postmeta` VALUES("14410", "11700", "original-file", "2022/08/9110f5146067617.62a9b2a9f3154-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14411", "11700", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14412", "11700", "smush-info", "The file was compressed from 624.99 KB to 153.83 KB saving 75.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14413", "11700", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:639988;s:12:\"smushed-size\";i:157524;s:15:\"savings-percent\";d:75.39;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:639988;s:10:\"compressed\";i:157524;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:86354;s:10:\"compressed\";i:74318;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3138;s:10:\"compressed\";i:2580;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25311;s:10:\"compressed\";i:21962;}s:6:\"medium\";a:2:{s:8:\"original\";i:10581;s:10:\"compressed\";i:9221;}s:5:\"large\";a:2:{s:8:\"original\";i:67589;s:10:\"compressed\";i:58079;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5145;s:10:\"compressed\";i:4368;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65955;s:10:\"compressed\";i:56716;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:132744;s:10:\"compressed\";i:112884;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:138167;s:10:\"compressed\";i:117469;}}}");
INSERT INTO `wp_postmeta` VALUES("14414", "11701", "original-file", "2022/08/f8706c146067617-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14415", "11701", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14416", "11701", "smush-info", "The file was compressed from 131.79 KB to 92.54 KB saving 29.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14417", "11701", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134953;s:12:\"smushed-size\";i:94764;s:15:\"savings-percent\";d:29.78;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:134953;s:10:\"compressed\";i:94764;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:53884;s:10:\"compressed\";i:42888;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2254;s:10:\"compressed\";i:1754;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16798;s:10:\"compressed\";i:13564;}s:6:\"medium\";a:2:{s:8:\"original\";i:7371;s:10:\"compressed\";i:6153;}s:5:\"large\";a:2:{s:8:\"original\";i:47642;s:10:\"compressed\";i:37822;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3420;s:10:\"compressed\";i:2767;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:43696;s:10:\"compressed\";i:34771;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:91895;s:10:\"compressed\";i:72545;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:90768;s:10:\"compressed\";i:71583;}}}");
INSERT INTO `wp_postmeta` VALUES("14418", "11702", "original-file", "2022/08/4-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14419", "11702", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14420", "11702", "smush-info", "The file was compressed from 135.19 KB to 95.17 KB saving 29.6 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14421", "11702", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:138433;s:12:\"smushed-size\";i:97458;s:15:\"savings-percent\";d:29.6;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:138433;s:10:\"compressed\";i:97458;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:116206;s:10:\"compressed\";i:99405;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3581;s:10:\"compressed\";i:2957;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35561;s:10:\"compressed\";i:30794;}s:6:\"medium\";a:2:{s:8:\"original\";i:13630;s:10:\"compressed\";i:11844;}s:5:\"large\";a:2:{s:8:\"original\";i:99582;s:10:\"compressed\";i:85821;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5935;s:10:\"compressed\";i:5107;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:98674;s:10:\"compressed\";i:85031;}}}");
INSERT INTO `wp_postmeta` VALUES("14422", "11703", "original-file", "2022/08/5-6-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14423", "11703", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14424", "11703", "smush-info", "The file was compressed from 121.44 KB to 85.13 KB saving 29.9 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14425", "11703", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:124351;s:12:\"smushed-size\";i:87170;s:15:\"savings-percent\";d:29.9;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:124351;s:10:\"compressed\";i:87170;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:104717;s:10:\"compressed\";i:88623;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2960;s:10:\"compressed\";i:2401;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29991;s:10:\"compressed\";i:25748;}s:6:\"medium\";a:2:{s:8:\"original\";i:11456;s:10:\"compressed\";i:9949;}s:5:\"large\";a:2:{s:8:\"original\";i:91079;s:10:\"compressed\";i:77661;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4799;s:10:\"compressed\";i:4066;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:88440;s:10:\"compressed\";i:75292;}}}");
INSERT INTO `wp_postmeta` VALUES("14426", "11704", "original-file", "2022/08/6-6-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14427", "11704", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14428", "11704", "smush-info", "The file was compressed from 198.13 KB to 141.54 KB saving 28.56 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14429", "11704", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:202882;s:12:\"smushed-size\";i:144936;s:15:\"savings-percent\";d:28.56;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:202882;s:10:\"compressed\";i:144936;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:172161;s:10:\"compressed\";i:146515;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3895;s:10:\"compressed\";i:3234;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:51338;s:10:\"compressed\";i:43442;}s:6:\"medium\";a:2:{s:8:\"original\";i:18244;s:10:\"compressed\";i:15465;}s:5:\"large\";a:2:{s:8:\"original\";i:150714;s:10:\"compressed\";i:129015;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6871;s:10:\"compressed\";i:5920;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:146629;s:10:\"compressed\";i:125443;}}}");
INSERT INTO `wp_postmeta` VALUES("14430", "11705", "original-file", "2022/08/9-5-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14431", "11705", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14432", "11705", "smush-info", "The file was compressed from 150.04 KB to 107.24 KB saving 28.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14433", "11705", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:153646;s:12:\"smushed-size\";i:109813;s:15:\"savings-percent\";d:28.53;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:153646;s:10:\"compressed\";i:109813;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:131894;s:10:\"compressed\";i:112579;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3613;s:10:\"compressed\";i:2995;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38917;s:10:\"compressed\";i:33314;}s:6:\"medium\";a:2:{s:8:\"original\";i:14105;s:10:\"compressed\";i:12226;}s:5:\"large\";a:2:{s:8:\"original\";i:113285;s:10:\"compressed\";i:97400;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6269;s:10:\"compressed\";i:5403;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:109628;s:10:\"compressed\";i:94391;}}}");
INSERT INTO `wp_postmeta` VALUES("14434", "11706", "original-file", "2022/08/logo-1-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14435", "11706", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14436", "11706", "smush-info", "The file was compressed from 5.31 KB to 2.67 KB saving 49.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14437", "11706", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5442;s:12:\"smushed-size\";i:2733;s:15:\"savings-percent\";d:49.78;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5442;s:10:\"compressed\";i:2733;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1622;s:10:\"compressed\";i:1622;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2004;s:10:\"compressed\";i:1670;}}}");
INSERT INTO `wp_postmeta` VALUES("14438", "11707", "original-file", "2022/08/logo-light-1-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14439", "11707", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14440", "11707", "smush-info", "The file was compressed from 5.24 KB to 2.66 KB saving 49.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14441", "11707", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5368;s:12:\"smushed-size\";i:2726;s:15:\"savings-percent\";d:49.22;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5368;s:10:\"compressed\";i:2726;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1474;s:10:\"compressed\";i:1474;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1819;s:10:\"compressed\";i:1819;}}}");
INSERT INTO `wp_postmeta` VALUES("14442", "11708", "original-file", "2022/08/1-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14443", "11708", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14444", "11708", "smush-info", "The file was compressed from 343.45 KB to 170.38 KB saving 50.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14445", "11708", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:351696;s:12:\"smushed-size\";i:174470;s:15:\"savings-percent\";d:50.39;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:351696;s:10:\"compressed\";i:174470;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:152426;s:10:\"compressed\";i:129539;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2490;s:10:\"compressed\";i:1968;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16376;s:10:\"compressed\";i:13918;}s:6:\"medium\";a:2:{s:8:\"original\";i:9157;s:10:\"compressed\";i:7849;}s:5:\"large\";a:2:{s:8:\"original\";i:92934;s:10:\"compressed\";i:78500;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4177;s:10:\"compressed\";i:3498;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:52299;s:10:\"compressed\";i:44216;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:125914;s:10:\"compressed\";i:106806;}}}");
INSERT INTO `wp_postmeta` VALUES("14446", "11709", "original-file", "2022/08/2-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14447", "11709", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14448", "11709", "smush-info", "The file was compressed from 377.60 KB to 183.16 KB saving 51.49 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14449", "11709", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:386662;s:12:\"smushed-size\";i:187560;s:15:\"savings-percent\";d:51.49;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:386662;s:10:\"compressed\";i:187560;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:154465;s:10:\"compressed\";i:130517;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2240;s:10:\"compressed\";i:1750;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16295;s:10:\"compressed\";i:13796;}s:6:\"medium\";a:2:{s:8:\"original\";i:9147;s:10:\"compressed\";i:7827;}s:5:\"large\";a:2:{s:8:\"original\";i:99226;s:10:\"compressed\";i:83492;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3774;s:10:\"compressed\";i:3111;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:55436;s:10:\"compressed\";i:46506;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:134063;s:10:\"compressed\";i:113727;}}}");
INSERT INTO `wp_postmeta` VALUES("14450", "11710", "original-file", "2022/08/3-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14451", "11710", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14452", "11710", "smush-info", "The file was compressed from 377.05 KB to 123.91 KB saving 67.14 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14453", "11710", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:386100;s:12:\"smushed-size\";i:126885;s:15:\"savings-percent\";d:67.14;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:386100;s:10:\"compressed\";i:126885;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93283;s:10:\"compressed\";i:78869;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2564;s:10:\"compressed\";i:2041;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:15014;s:10:\"compressed\";i:13086;}s:6:\"medium\";a:2:{s:8:\"original\";i:9186;s:10:\"compressed\";i:7950;}s:5:\"large\";a:2:{s:8:\"original\";i:68350;s:10:\"compressed\";i:58054;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4124;s:10:\"compressed\";i:3442;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41516;s:10:\"compressed\";i:35565;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:89896;s:10:\"compressed\";i:76501;}}}");
INSERT INTO `wp_postmeta` VALUES("14454", "11711", "original-file", "2022/08/6-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14455", "11711", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14456", "11711", "smush-info", "The file was compressed from 241.97 KB to 95.89 KB saving 60.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14457", "11711", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:247776;s:12:\"smushed-size\";i:98190;s:15:\"savings-percent\";d:60.37;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:247776;s:10:\"compressed\";i:98190;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:103975;s:10:\"compressed\";i:87955;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2946;s:10:\"compressed\";i:2407;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14360;s:10:\"compressed\";i:12423;}s:6:\"medium\";a:2:{s:8:\"original\";i:8892;s:10:\"compressed\";i:7643;}s:5:\"large\";a:2:{s:8:\"original\";i:61098;s:10:\"compressed\";i:51959;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4937;s:10:\"compressed\";i:4151;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:37779;s:10:\"compressed\";i:32246;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:78966;s:10:\"compressed\";i:66924;}}}");
INSERT INTO `wp_postmeta` VALUES("14458", "11712", "original-file", "2022/08/7-5-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14459", "11712", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14460", "11712", "smush-info", "The file was compressed from 268.72 KB to 101.05 KB saving 62.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14461", "11712", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:275169;s:12:\"smushed-size\";i:103478;s:15:\"savings-percent\";d:62.39;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:275169;s:10:\"compressed\";i:103478;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:114253;s:10:\"compressed\";i:96573;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2914;s:10:\"compressed\";i:2356;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14056;s:10:\"compressed\";i:12193;}s:6:\"medium\";a:2:{s:8:\"original\";i:8520;s:10:\"compressed\";i:7308;}s:5:\"large\";a:2:{s:8:\"original\";i:62846;s:10:\"compressed\";i:53345;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4878;s:10:\"compressed\";i:4069;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:38313;s:10:\"compressed\";i:32749;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:82838;s:10:\"compressed\";i:70014;}}}");
INSERT INTO `wp_postmeta` VALUES("14462", "11713", "original-file", "2022/08/8-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14463", "11713", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14464", "11713", "smush-info", "The file was compressed from 274.28 KB to 99.59 KB saving 63.69 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14465", "11713", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:280860;s:12:\"smushed-size\";i:101977;s:15:\"savings-percent\";d:63.69;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:280860;s:10:\"compressed\";i:101977;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:114818;s:10:\"compressed\";i:96092;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2627;s:10:\"compressed\";i:2094;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13092;s:10:\"compressed\";i:11284;}s:6:\"medium\";a:2:{s:8:\"original\";i:7880;s:10:\"compressed\";i:6758;}s:5:\"large\";a:2:{s:8:\"original\";i:61136;s:10:\"compressed\";i:51404;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4394;s:10:\"compressed\";i:3684;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:36849;s:10:\"compressed\";i:31230;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:81324;s:10:\"compressed\";i:68276;}}}");
INSERT INTO `wp_postmeta` VALUES("14466", "11714", "original-file", "2022/08/9-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14467", "11714", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14468", "11714", "smush-info", "The file was compressed from 180.08 KB to 100.08 KB saving 44.42 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14469", "11714", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:184398;s:12:\"smushed-size\";i:102486;s:15:\"savings-percent\";d:44.42;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:184398;s:10:\"compressed\";i:102486;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:95376;s:10:\"compressed\";i:80221;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2458;s:10:\"compressed\";i:1933;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13042;s:10:\"compressed\";i:11233;}s:6:\"medium\";a:2:{s:8:\"original\";i:7935;s:10:\"compressed\";i:6781;}s:5:\"large\";a:2:{s:8:\"original\";i:60112;s:10:\"compressed\";i:50932;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4050;s:10:\"compressed\";i:3342;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:36629;s:10:\"compressed\";i:31222;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:78976;s:10:\"compressed\";i:66732;}}}");
INSERT INTO `wp_postmeta` VALUES("14470", "11715", "original-file", "2022/08/10-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14471", "11715", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14472", "11715", "smush-info", "The file was compressed from 708.17 KB to 286.60 KB saving 59.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14473", "11715", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:725171;s:12:\"smushed-size\";i:293474;s:15:\"savings-percent\";d:59.53;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:725171;s:10:\"compressed\";i:293474;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:263902;s:10:\"compressed\";i:216206;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3434;s:10:\"compressed\";i:2813;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:27963;s:10:\"compressed\";i:23253;}s:6:\"medium\";a:2:{s:8:\"original\";i:15001;s:10:\"compressed\";i:12599;}s:5:\"large\";a:2:{s:8:\"original\";i:166895;s:10:\"compressed\";i:137084;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6325;s:10:\"compressed\";i:5392;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:95564;s:10:\"compressed\";i:78612;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:222142;s:10:\"compressed\";i:182762;}}}");
INSERT INTO `wp_postmeta` VALUES("14474", "11716", "original-file", "2022/08/1-3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14475", "11716", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14476", "11716", "smush-info", "The file was compressed from 322.31 KB to 234.08 KB saving 27.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14477", "11716", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:330042;s:12:\"smushed-size\";i:239700;s:15:\"savings-percent\";d:27.37;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:330042;s:10:\"compressed\";i:239700;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:115671;s:10:\"compressed\";i:98642;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2796;s:10:\"compressed\";i:2248;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16302;s:10:\"compressed\";i:14265;}s:6:\"medium\";a:2:{s:8:\"original\";i:9872;s:10:\"compressed\";i:8557;}s:5:\"large\";a:2:{s:8:\"original\";i:85508;s:10:\"compressed\";i:73025;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4452;s:10:\"compressed\";i:3753;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:50363;s:10:\"compressed\";i:43172;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:179898;s:10:\"compressed\";i:153795;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:115335;s:10:\"compressed\";i:98424;}}}");
INSERT INTO `wp_postmeta` VALUES("14478", "11717", "original-file", "2022/08/2-3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14479", "11717", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14480", "11717", "smush-info", "The file was compressed from 124.48 KB to 94.34 KB saving 24.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14481", "11717", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:127466;s:12:\"smushed-size\";i:96607;s:15:\"savings-percent\";d:24.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:127466;s:10:\"compressed\";i:96607;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:63197;s:10:\"compressed\";i:53443;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2342;s:10:\"compressed\";i:1862;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:12399;s:10:\"compressed\";i:10856;}s:6:\"medium\";a:2:{s:8:\"original\";i:7787;s:10:\"compressed\";i:6599;}s:5:\"large\";a:2:{s:8:\"original\";i:48580;s:10:\"compressed\";i:41515;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3763;s:10:\"compressed\";i:3106;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:31128;s:10:\"compressed\";i:26848;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:91740;s:10:\"compressed\";i:76341;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:62323;s:10:\"compressed\";i:52744;}}}");
INSERT INTO `wp_postmeta` VALUES("14482", "11718", "original-file", "2022/08/3-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14483", "11718", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14484", "11718", "smush-info", "The file was compressed from 85.13 KB to 59.70 KB saving 29.87 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14485", "11718", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:87173;s:12:\"smushed-size\";i:61134;s:15:\"savings-percent\";d:29.87;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:87173;s:10:\"compressed\";i:61134;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2946;s:10:\"compressed\";i:2409;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25081;s:10:\"compressed\";i:21332;}s:6:\"medium\";a:2:{s:8:\"original\";i:10322;s:10:\"compressed\";i:8843;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5094;s:10:\"compressed\";i:4333;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65171;s:10:\"compressed\";i:55015;}}}");
INSERT INTO `wp_postmeta` VALUES("14486", "11719", "original-file", "2022/08/4-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14487", "11719", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14488", "11719", "smush-info", "The file was compressed from 57.62 KB to 41.99 KB saving 27.13 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14489", "11719", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:59001;s:12:\"smushed-size\";i:42995;s:15:\"savings-percent\";d:27.13;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:59001;s:10:\"compressed\";i:42995;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2377;s:10:\"compressed\";i:1874;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:18323;s:10:\"compressed\";i:15809;}s:6:\"medium\";a:2:{s:8:\"original\";i:7788;s:10:\"compressed\";i:6636;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3887;s:10:\"compressed\";i:3233;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:46675;s:10:\"compressed\";i:39497;}}}");
INSERT INTO `wp_postmeta` VALUES("14490", "11720", "original-file", "2022/08/5-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14491", "11720", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14492", "11720", "smush-info", "The file was compressed from 431.33 KB to 284.10 KB saving 34.13 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14493", "11720", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:441684;s:12:\"smushed-size\";i:290920;s:15:\"savings-percent\";d:34.13;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:441684;s:10:\"compressed\";i:290920;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:284316;s:10:\"compressed\";i:237194;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3665;s:10:\"compressed\";i:3029;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:30777;s:10:\"compressed\";i:25916;}s:6:\"medium\";a:2:{s:8:\"original\";i:16649;s:10:\"compressed\";i:14065;}s:5:\"large\";a:2:{s:8:\"original\";i:181058;s:10:\"compressed\";i:152383;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6585;s:10:\"compressed\";i:5639;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:105896;s:10:\"compressed\";i:88595;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:241323;s:10:\"compressed\";i:203952;}}}");
INSERT INTO `wp_postmeta` VALUES("14494", "11721", "original-file", "2022/08/6-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14495", "11721", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14496", "11721", "smush-info", "The file was compressed from 76.66 KB to 54.14 KB saving 29.38 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14497", "11721", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:78501;s:12:\"smushed-size\";i:55439;s:15:\"savings-percent\";d:29.38;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:78501;s:10:\"compressed\";i:55439;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2796;s:10:\"compressed\";i:2268;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16139;s:10:\"compressed\";i:14053;}s:6:\"medium\";a:2:{s:8:\"original\";i:9983;s:10:\"compressed\";i:8656;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4456;s:10:\"compressed\";i:3750;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41031;s:10:\"compressed\";i:35396;}}}");
INSERT INTO `wp_postmeta` VALUES("14498", "11722", "original-file", "2022/08/7-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14499", "11722", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14500", "11722", "smush-info", "The file was compressed from 62.93 KB to 41.74 KB saving 33.67 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14501", "11722", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:64440;s:12:\"smushed-size\";i:42743;s:15:\"savings-percent\";d:33.67;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:64440;s:10:\"compressed\";i:42743;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2504;s:10:\"compressed\";i:1979;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13571;s:10:\"compressed\";i:11959;}s:6:\"medium\";a:2:{s:8:\"original\";i:8455;s:10:\"compressed\";i:7238;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4086;s:10:\"compressed\";i:3390;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:33660;s:10:\"compressed\";i:29125;}}}");
INSERT INTO `wp_postmeta` VALUES("14502", "11723", "original-file", "2022/08/8-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14503", "11723", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14504", "11723", "smush-info", "The file was compressed from 121.59 KB to 83.16 KB saving 31.61 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14505", "11723", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:124504;s:12:\"smushed-size\";i:85154;s:15:\"savings-percent\";d:31.61;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:124504;s:10:\"compressed\";i:85154;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2940;s:10:\"compressed\";i:2376;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22962;s:10:\"compressed\";i:19789;}s:6:\"medium\";a:2:{s:8:\"original\";i:13243;s:10:\"compressed\";i:11478;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4879;s:10:\"compressed\";i:4074;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:62233;s:10:\"compressed\";i:53516;}}}");
INSERT INTO `wp_postmeta` VALUES("14506", "11724", "original-file", "2022/08/9-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14507", "11724", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14508", "11724", "smush-info", "The file was compressed from 95.93 KB to 71.33 KB saving 25.64 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14509", "11724", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:98231;s:12:\"smushed-size\";i:73046;s:15:\"savings-percent\";d:25.64;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:98231;s:10:\"compressed\";i:73046;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3597;s:10:\"compressed\";i:2946;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21273;s:10:\"compressed\";i:18383;}s:6:\"medium\";a:2:{s:8:\"original\";i:13023;s:10:\"compressed\";i:11140;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6035;s:10:\"compressed\";i:5134;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54243;s:10:\"compressed\";i:46733;}}}");
INSERT INTO `wp_postmeta` VALUES("14510", "11725", "original-file", "2022/08/10-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14511", "11725", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14512", "11725", "smush-info", "The file was compressed from 71.11 KB to 55.64 KB saving 21.75 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14513", "11725", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:72817;s:12:\"smushed-size\";i:56977;s:15:\"savings-percent\";d:21.75;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:72817;s:10:\"compressed\";i:56977;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2828;s:10:\"compressed\";i:2275;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:15791;s:10:\"compressed\";i:13753;}s:6:\"medium\";a:2:{s:8:\"original\";i:10280;s:10:\"compressed\";i:8869;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4500;s:10:\"compressed\";i:3737;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41352;s:10:\"compressed\";i:35535;}}}");
INSERT INTO `wp_postmeta` VALUES("14514", "11726", "original-file", "2022/08/1-4-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14515", "11726", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14516", "11726", "smush-info", "The file was compressed from 598.40 KB to 387.72 KB saving 35.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14517", "11726", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:612759;s:12:\"smushed-size\";i:397023;s:15:\"savings-percent\";d:35.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:612759;s:10:\"compressed\";i:397023;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:229533;s:10:\"compressed\";i:194954;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4313;s:10:\"compressed\";i:3559;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29171;s:10:\"compressed\";i:24773;}s:6:\"medium\";a:2:{s:8:\"original\";i:16851;s:10:\"compressed\";i:14338;}s:5:\"large\";a:2:{s:8:\"original\";i:154239;s:10:\"compressed\";i:130314;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7831;s:10:\"compressed\";i:6715;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:89093;s:10:\"compressed\";i:75427;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:323045;s:10:\"compressed\";i:274691;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:210129;s:10:\"compressed\";i:177654;}}}");
INSERT INTO `wp_postmeta` VALUES("14518", "11727", "original-file", "2022/08/2-4-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14519", "11727", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14520", "11727", "smush-info", "The file was compressed from 238.35 KB to 163.16 KB saving 31.54 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14521", "11727", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:244071;s:12:\"smushed-size\";i:167080;s:15:\"savings-percent\";d:31.54;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:244071;s:10:\"compressed\";i:167080;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:163101;s:10:\"compressed\";i:139485;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3818;s:10:\"compressed\";i:3154;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22529;s:10:\"compressed\";i:19304;}s:6:\"medium\";a:2:{s:8:\"original\";i:13116;s:10:\"compressed\";i:11288;}s:5:\"large\";a:2:{s:8:\"original\";i:104555;s:10:\"compressed\";i:90288;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6742;s:10:\"compressed\";i:5764;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63392;s:10:\"compressed\";i:54621;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:137314;s:10:\"compressed\";i:118653;}}}");
INSERT INTO `wp_postmeta` VALUES("14522", "11728", "original-file", "2022/08/3-3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14523", "11728", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14524", "11728", "smush-info", "The file was compressed from 141.79 KB to 99.01 KB saving 30.17 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14525", "11728", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:145191;s:12:\"smushed-size\";i:101391;s:15:\"savings-percent\";d:30.17;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:145191;s:10:\"compressed\";i:101391;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:110774;s:10:\"compressed\";i:95666;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4089;s:10:\"compressed\";i:3385;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21976;s:10:\"compressed\";i:18964;}s:6:\"medium\";a:2:{s:8:\"original\";i:13763;s:10:\"compressed\";i:11818;}s:5:\"large\";a:2:{s:8:\"original\";i:85565;s:10:\"compressed\";i:74755;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6946;s:10:\"compressed\";i:5937;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54658;s:10:\"compressed\";i:47806;}}}");
INSERT INTO `wp_postmeta` VALUES("14526", "11729", "original-file", "2022/08/4-3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14527", "11729", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14528", "11729", "smush-info", "The file was compressed from 277.40 KB to 177.65 KB saving 35.96 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14529", "11729", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:284062;s:12:\"smushed-size\";i:181914;s:15:\"savings-percent\";d:35.96;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:284062;s:10:\"compressed\";i:181914;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:175687;s:10:\"compressed\";i:148365;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4061;s:10:\"compressed\";i:3327;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:26791;s:10:\"compressed\";i:22557;}s:6:\"medium\";a:2:{s:8:\"original\";i:15726;s:10:\"compressed\";i:13230;}s:5:\"large\";a:2:{s:8:\"original\";i:118983;s:10:\"compressed\";i:101557;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7346;s:10:\"compressed\";i:6223;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:73856;s:10:\"compressed\";i:62729;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:153949;s:10:\"compressed\";i:131905;}}}");
INSERT INTO `wp_postmeta` VALUES("14530", "11730", "original-file", "2022/08/5-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14531", "11730", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14532", "11730", "smush-info", "The file was compressed from 297.52 KB to 189.57 KB saving 36.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14533", "11730", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:304664;s:12:\"smushed-size\";i:194121;s:15:\"savings-percent\";d:36.28;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:304664;s:10:\"compressed\";i:194121;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:186142;s:10:\"compressed\";i:158646;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4316;s:10:\"compressed\";i:3531;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:30147;s:10:\"compressed\";i:25196;}s:6:\"medium\";a:2:{s:8:\"original\";i:17719;s:10:\"compressed\";i:14812;}s:5:\"large\";a:2:{s:8:\"original\";i:130365;s:10:\"compressed\";i:110867;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8065;s:10:\"compressed\";i:6794;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:81482;s:10:\"compressed\";i:68928;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:167395;s:10:\"compressed\";i:143003;}}}");
INSERT INTO `wp_postmeta` VALUES("14534", "11731", "original-file", "2022/08/1-5-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14535", "11731", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14536", "11731", "smush-info", "The file was compressed from 77.12 KB to 54.67 KB saving 29.11 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14537", "11731", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:78973;s:12:\"smushed-size\";i:55983;s:15:\"savings-percent\";d:29.11;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:78973;s:10:\"compressed\";i:55983;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:49212;s:10:\"compressed\";i:38743;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1640;s:10:\"compressed\";i:1188;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:5312;s:10:\"compressed\";i:4076;}s:6:\"medium\";a:2:{s:8:\"original\";i:3402;s:10:\"compressed\";i:2600;}s:5:\"large\";a:2:{s:8:\"original\";i:23933;s:10:\"compressed\";i:17898;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2463;s:10:\"compressed\";i:1896;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:14664;s:10:\"compressed\";i:11168;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:48747;s:10:\"compressed\";i:35739;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:31999;s:10:\"compressed\";i:23671;}}}");
INSERT INTO `wp_postmeta` VALUES("14538", "11732", "smush-info", "Failed with error code exceeded_max_filesize - C:wamp64wwwKOOKAgency/wp-content/uploads/2022/08/2-4.gif - cannot be optimized, file size is above service provider limit");
INSERT INTO `wp_postmeta` VALUES("14539", "11732", "smush-complete", "");
INSERT INTO `wp_postmeta` VALUES("14540", "11733", "original-file", "2022/08/3-4-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14541", "11733", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14542", "11733", "smush-info", "The file was compressed from 87.06 KB to 66.57 KB saving 23.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14543", "11733", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:89145;s:12:\"smushed-size\";i:68165;s:15:\"savings-percent\";d:23.53;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:89145;s:10:\"compressed\";i:68165;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:57260;s:10:\"compressed\";i:47902;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1990;s:10:\"compressed\";i:1516;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9741;s:10:\"compressed\";i:8212;}s:6:\"medium\";a:2:{s:8:\"original\";i:6011;s:10:\"compressed\";i:5011;}s:5:\"large\";a:2:{s:8:\"original\";i:44722;s:10:\"compressed\";i:37639;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3121;s:10:\"compressed\";i:2510;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27391;s:10:\"compressed\";i:23266;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:59113;s:10:\"compressed\";i:49315;}}}");
INSERT INTO `wp_postmeta` VALUES("14544", "11734", "original-file", "2022/08/4-4-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14545", "11734", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14546", "11734", "smush-info", "The file was compressed from 71.81 KB to 56.71 KB saving 21.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14547", "11734", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:73533;s:12:\"smushed-size\";i:58075;s:15:\"savings-percent\";d:21.02;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:73533;s:10:\"compressed\";i:58075;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:52408;s:10:\"compressed\";i:43472;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2235;s:10:\"compressed\";i:1765;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10264;s:10:\"compressed\";i:8882;}s:6:\"medium\";a:2:{s:8:\"original\";i:6573;s:10:\"compressed\";i:5529;}s:5:\"large\";a:2:{s:8:\"original\";i:40273;s:10:\"compressed\";i:33655;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3491;s:10:\"compressed\";i:2855;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:25564;s:10:\"compressed\";i:21724;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:52165;s:10:\"compressed\";i:43064;}}}");
INSERT INTO `wp_postmeta` VALUES("14548", "11735", "original-file", "2022/08/5-3-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14549", "11735", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14550", "11735", "smush-info", "The file was compressed from 82.36 KB to 59.25 KB saving 28.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14551", "11735", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:84336;s:12:\"smushed-size\";i:60674;s:15:\"savings-percent\";d:28.06;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:84336;s:10:\"compressed\";i:60674;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:55310;s:10:\"compressed\";i:44871;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2354;s:10:\"compressed\";i:1844;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8007;s:10:\"compressed\";i:6632;}s:6:\"medium\";a:2:{s:8:\"original\";i:5015;s:10:\"compressed\";i:4100;}s:5:\"large\";a:2:{s:8:\"original\";i:30220;s:10:\"compressed\";i:23843;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3783;s:10:\"compressed\";i:3075;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:19337;s:10:\"compressed\";i:15614;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:56111;s:10:\"compressed\";i:42889;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:38818;s:10:\"compressed\";i:30294;}}}");
INSERT INTO `wp_postmeta` VALUES("14552", "11736", "original-file", "2022/08/6-3-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14553", "11736", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14554", "11736", "smush-info", "The file was compressed from 65.36 KB to 51.26 KB saving 21.57 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14555", "11736", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:66933;s:12:\"smushed-size\";i:52495;s:15:\"savings-percent\";d:21.57;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:66933;s:10:\"compressed\";i:52495;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:50193;s:10:\"compressed\";i:39381;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1658;s:10:\"compressed\";i:1190;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6525;s:10:\"compressed\";i:5067;}s:6:\"medium\";a:2:{s:8:\"original\";i:4155;s:10:\"compressed\";i:3223;}s:5:\"large\";a:2:{s:8:\"original\";i:31115;s:10:\"compressed\";i:24469;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2400;s:10:\"compressed\";i:1815;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:17798;s:10:\"compressed\";i:14190;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:44001;s:10:\"compressed\";i:34286;}}}");
INSERT INTO `wp_postmeta` VALUES("14556", "11737", "original-file", "2022/08/7-2-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14557", "11737", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14558", "11737", "smush-info", "The file was compressed from 99.50 KB to 78.12 KB saving 21.5 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14559", "11737", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:101893;s:12:\"smushed-size\";i:79990;s:15:\"savings-percent\";d:21.5;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:101893;s:10:\"compressed\";i:79990;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:80455;s:10:\"compressed\";i:66943;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2039;s:10:\"compressed\";i:1575;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10745;s:10:\"compressed\";i:8969;}s:6:\"medium\";a:2:{s:8:\"original\";i:6420;s:10:\"compressed\";i:5395;}s:5:\"large\";a:2:{s:8:\"original\";i:49414;s:10:\"compressed\";i:41040;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3451;s:10:\"compressed\";i:2830;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29786;s:10:\"compressed\";i:24917;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:66468;s:10:\"compressed\";i:54930;}}}");
INSERT INTO `wp_postmeta` VALUES("14560", "11738", "original-file", "2022/08/1-6-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14561", "11738", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14562", "11738", "smush-info", "The file was compressed from 219.19 KB to 50.54 KB saving 76.94 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14563", "11738", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:224454;s:12:\"smushed-size\";i:51750;s:15:\"savings-percent\";d:76.94;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:224454;s:10:\"compressed\";i:51750;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2408;s:10:\"compressed\";i:1947;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:16221;s:10:\"compressed\";i:14156;}s:6:\"medium\";a:2:{s:8:\"original\";i:8817;s:10:\"compressed\";i:7651;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3782;s:10:\"compressed\";i:3161;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:44143;s:10:\"compressed\";i:37512;}}}");
INSERT INTO `wp_postmeta` VALUES("14564", "11739", "original-file", "2022/08/2-5-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14565", "11739", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14566", "11739", "smush-info", "The file was compressed from 95.11 KB to 95.11 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14567", "11739", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:97389;s:12:\"smushed-size\";i:97389;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:97389;s:10:\"compressed\";i:97389;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:10909;s:10:\"compressed\";i:5075;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:138575;s:10:\"compressed\";i:56524;}s:6:\"medium\";a:2:{s:8:\"original\";i:76211;s:10:\"compressed\";i:30811;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:22324;s:10:\"compressed\";i:9695;}}}");
INSERT INTO `wp_postmeta` VALUES("14568", "11740", "original-file", "2022/08/3-5-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14569", "11740", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14570", "11740", "smush-info", "The file was compressed from 140.61 KB to 42.09 KB saving 70.07 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14571", "11740", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:143987;s:12:\"smushed-size\";i:43096;s:15:\"savings-percent\";d:70.07;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:143987;s:10:\"compressed\";i:43096;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2364;s:10:\"compressed\";i:1855;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14078;s:10:\"compressed\";i:11710;}s:6:\"medium\";a:2:{s:8:\"original\";i:7894;s:10:\"compressed\";i:6667;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3546;s:10:\"compressed\";i:2890;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:35299;s:10:\"compressed\";i:28489;}}}");
INSERT INTO `wp_postmeta` VALUES("14572", "11741", "original-file", "2022/08/2-5-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14573", "11741", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14574", "11741", "smush-info", "The file was compressed from 1.70 KB to 1.57 KB saving 8.14 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14575", "11741", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1745;s:12:\"smushed-size\";i:1603;s:15:\"savings-percent\";d:8.14;s:10:\"sizes-info\";a:1:{s:4:\"full\";a:2:{s:8:\"original\";i:1745;s:10:\"compressed\";i:1603;}}}");
INSERT INTO `wp_postmeta` VALUES("14576", "11742", "original-file", "2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14577", "11742", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14578", "11742", "smush-info", "The file was compressed from 274.41 KB to 230.43 KB saving 16.03 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14579", "11742", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:280994;s:12:\"smushed-size\";i:235958;s:15:\"savings-percent\";d:16.03;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:280994;s:10:\"compressed\";i:235958;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:244185;s:10:\"compressed\";i:204781;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4445;s:10:\"compressed\";i:3720;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38310;s:10:\"compressed\";i:31846;}s:6:\"medium\";a:2:{s:8:\"original\";i:21390;s:10:\"compressed\";i:17745;}s:5:\"large\";a:2:{s:8:\"original\";i:189957;s:10:\"compressed\";i:160363;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8581;s:10:\"compressed\";i:7428;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:115985;s:10:\"compressed\";i:97525;}}}");
INSERT INTO `wp_postmeta` VALUES("14580", "11743", "original-file", "2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14581", "11743", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14582", "11743", "smush-info", "The file was compressed from 275.83 KB to 203.49 KB saving 26.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14583", "11743", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:282453;s:12:\"smushed-size\";i:208370;s:15:\"savings-percent\";d:26.23;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:282453;s:10:\"compressed\";i:208370;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:120337;s:10:\"compressed\";i:105363;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3236;s:10:\"compressed\";i:2658;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19984;s:10:\"compressed\";i:17406;}s:6:\"medium\";a:2:{s:8:\"original\";i:11725;s:10:\"compressed\";i:10220;}s:5:\"large\";a:2:{s:8:\"original\";i:87421;s:10:\"compressed\";i:75766;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5588;s:10:\"compressed\";i:4785;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54426;s:10:\"compressed\";i:47333;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:165239;s:10:\"compressed\";i:144011;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:113555;s:10:\"compressed\";i:98919;}}}");
INSERT INTO `wp_postmeta` VALUES("14584", "11744", "original-file", "2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14585", "11744", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14586", "11744", "smush-info", "The file was compressed from 363.92 KB to 315.87 KB saving 13.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14587", "11744", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:372656;s:12:\"smushed-size\";i:323453;s:15:\"savings-percent\";d:13.2;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:372656;s:10:\"compressed\";i:323453;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:132486;s:10:\"compressed\";i:115284;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3554;s:10:\"compressed\";i:2946;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39913;s:10:\"compressed\";i:34503;}s:6:\"medium\";a:2:{s:8:\"original\";i:12339;s:10:\"compressed\";i:10671;}s:5:\"large\";a:2:{s:8:\"original\";i:89009;s:10:\"compressed\";i:76784;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6426;s:10:\"compressed\";i:5508;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:107028;s:10:\"compressed\";i:92372;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:167983;s:10:\"compressed\";i:145336;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:259069;s:10:\"compressed\";i:225128;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:213808;s:10:\"compressed\";i:185473;}}}");
INSERT INTO `wp_postmeta` VALUES("14588", "11745", "original-file", "2022/08/1-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14589", "11745", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14590", "11745", "smush-info", "The file was compressed from 5.40 KB to 4.83 KB saving 10.59 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14591", "11745", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5534;s:12:\"smushed-size\";i:4948;s:15:\"savings-percent\";d:10.59;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5534;s:10:\"compressed\";i:4948;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1922;s:10:\"compressed\";i:1556;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3144;s:10:\"compressed\";i:2278;}}}");
INSERT INTO `wp_postmeta` VALUES("14592", "11746", "original-file", "2022/08/2-1-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14593", "11746", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14594", "11746", "smush-info", "The file was compressed from 4.05 KB to 3.98 KB saving 1.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14595", "11746", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4152;s:12:\"smushed-size\";i:4072;s:15:\"savings-percent\";d:1.93;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4152;s:10:\"compressed\";i:4072;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1642;s:10:\"compressed\";i:1376;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2357;s:10:\"compressed\";i:1773;}}}");
INSERT INTO `wp_postmeta` VALUES("14596", "11747", "original-file", "2022/08/3-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14597", "11747", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14598", "11747", "smush-info", "The file was compressed from 4.38 KB to 4.20 KB saving 4.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14599", "11747", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4488;s:12:\"smushed-size\";i:4298;s:15:\"savings-percent\";d:4.23;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4488;s:10:\"compressed\";i:4298;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1789;s:10:\"compressed\";i:1542;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2581;s:10:\"compressed\";i:1966;}}}");
INSERT INTO `wp_postmeta` VALUES("14600", "11748", "original-file", "2022/08/4-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14601", "11748", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14602", "11748", "smush-info", "The file was compressed from 4.65 KB to 4.43 KB saving 4.73 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14603", "11748", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:4758;s:12:\"smushed-size\";i:4533;s:15:\"savings-percent\";d:4.73;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:4758;s:10:\"compressed\";i:4533;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2118;s:10:\"compressed\";i:1743;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2750;s:10:\"compressed\";i:2112;}}}");
INSERT INTO `wp_postmeta` VALUES("14604", "11749", "original-file", "2022/08/5-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14605", "11749", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14606", "11749", "smush-info", "The file was compressed from 5.10 KB to 4.79 KB saving 6.05 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14607", "11749", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5226;s:12:\"smushed-size\";i:4910;s:15:\"savings-percent\";d:6.05;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5226;s:10:\"compressed\";i:4910;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2044;s:10:\"compressed\";i:1645;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2872;s:10:\"compressed\";i:2079;}}}");
INSERT INTO `wp_postmeta` VALUES("14608", "11750", "original-file", "2022/08/6-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14609", "11750", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14610", "11750", "smush-info", "The file was compressed from 4.88 KB to 4.63 KB saving 5.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14611", "11750", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:5001;s:12:\"smushed-size\";i:4737;s:15:\"savings-percent\";d:5.28;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:5001;s:10:\"compressed\";i:4737;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1735;s:10:\"compressed\";i:1511;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2595;s:10:\"compressed\";i:1978;}}}");
INSERT INTO `wp_postmeta` VALUES("14612", "11751", "original-file", "2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14613", "11751", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14614", "11751", "smush-info", "The file was compressed from 102.77 KB to 80.95 KB saving 21.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14615", "11751", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:105235;s:12:\"smushed-size\";i:82894;s:15:\"savings-percent\";d:21.23;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:105235;s:10:\"compressed\";i:82894;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:62319;s:10:\"compressed\";i:53141;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2808;s:10:\"compressed\";i:2255;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14469;s:10:\"compressed\";i:12838;}s:6:\"medium\";a:2:{s:8:\"original\";i:9160;s:10:\"compressed\";i:7945;}s:5:\"large\";a:2:{s:8:\"original\";i:50712;s:10:\"compressed\";i:44163;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4555;s:10:\"compressed\";i:3836;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:33880;s:10:\"compressed\";i:29747;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:91898;s:10:\"compressed\";i:78843;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:64134;s:10:\"compressed\";i:55624;}}}");
INSERT INTO `wp_postmeta` VALUES("14616", "11752", "original-file", "2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14617", "11752", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14618", "11752", "smush-info", "The file was compressed from 131.16 KB to 92.00 KB saving 29.86 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14619", "11752", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134305;s:12:\"smushed-size\";i:94206;s:15:\"savings-percent\";d:29.86;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:134305;s:10:\"compressed\";i:94206;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:69093;s:10:\"compressed\";i:57581;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2779;s:10:\"compressed\";i:2266;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22197;s:10:\"compressed\";i:18773;}s:6:\"medium\";a:2:{s:8:\"original\";i:7887;s:10:\"compressed\";i:6806;}s:5:\"large\";a:2:{s:8:\"original\";i:46686;s:10:\"compressed\";i:38951;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4542;s:10:\"compressed\";i:3850;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:55705;s:10:\"compressed\";i:46316;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:87911;s:10:\"compressed\";i:72075;}}}");
INSERT INTO `wp_postmeta` VALUES("14620", "11753", "original-file", "2022/08/nordgreen-taqlluwbrgE-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14621", "11753", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14622", "11753", "smush-info", "The file was compressed from 83.15 KB to 62.81 KB saving 24.46 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14623", "11753", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:85148;s:12:\"smushed-size\";i:64320;s:15:\"savings-percent\";d:24.46;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:85148;s:10:\"compressed\";i:64320;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:58242;s:10:\"compressed\";i:49901;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2665;s:10:\"compressed\";i:2144;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10255;s:10:\"compressed\";i:9056;}s:6:\"medium\";a:2:{s:8:\"original\";i:6689;s:10:\"compressed\";i:5784;}s:5:\"large\";a:2:{s:8:\"original\";i:38357;s:10:\"compressed\";i:33030;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4170;s:10:\"compressed\";i:3506;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:24887;s:10:\"compressed\";i:21573;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:71661;s:10:\"compressed\";i:60431;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:49123;s:10:\"compressed\";i:42052;}}}");
INSERT INTO `wp_postmeta` VALUES("14624", "11754", "original-file", "2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14625", "11754", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14626", "11754", "smush-info", "The file was compressed from 112.71 KB to 85.25 KB saving 24.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14627", "11754", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:115413;s:12:\"smushed-size\";i:87292;s:15:\"savings-percent\";d:24.37;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:115413;s:10:\"compressed\";i:87292;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:90417;s:10:\"compressed\";i:79276;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3571;s:10:\"compressed\";i:2954;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19662;s:10:\"compressed\";i:17287;}s:6:\"medium\";a:2:{s:8:\"original\";i:12208;s:10:\"compressed\";i:10654;}s:5:\"large\";a:2:{s:8:\"original\";i:75942;s:10:\"compressed\";i:67002;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6184;s:10:\"compressed\";i:5317;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:49565;s:10:\"compressed\";i:43652;}}}");
INSERT INTO `wp_postmeta` VALUES("14628", "11755", "original-file", "2022/08/skills-2-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14629", "11755", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14630", "11755", "smush-info", "The file was compressed from 163.45 KB to 42.16 KB saving 74.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14631", "11755", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:167377;s:12:\"smushed-size\";i:43173;s:15:\"savings-percent\";d:74.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:167377;s:10:\"compressed\";i:43173;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:32216;s:10:\"compressed\";i:21644;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1436;s:10:\"compressed\";i:975;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4460;s:10:\"compressed\";i:3006;}s:6:\"medium\";a:2:{s:8:\"original\";i:3090;s:10:\"compressed\";i:2170;}s:5:\"large\";a:2:{s:8:\"original\";i:19193;s:10:\"compressed\";i:12118;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1960;s:10:\"compressed\";i:1371;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:11688;s:10:\"compressed\";i:7716;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:40408;s:10:\"compressed\";i:24734;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:25184;s:10:\"compressed\";i:15736;}}}");
INSERT INTO `wp_postmeta` VALUES("14632", "11756", "original-file", "2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14633", "11756", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14634", "11756", "smush-info", "The file was compressed from 113.77 KB to 76.75 KB saving 32.54 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14635", "11756", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:116504;s:12:\"smushed-size\";i:78594;s:15:\"savings-percent\";d:32.54;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:116504;s:10:\"compressed\";i:78594;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:52872;s:10:\"compressed\";i:42117;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2088;s:10:\"compressed\";i:1624;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11715;s:10:\"compressed\";i:9979;}s:6:\"medium\";a:2:{s:8:\"original\";i:7338;s:10:\"compressed\";i:6295;}s:5:\"large\";a:2:{s:8:\"original\";i:46421;s:10:\"compressed\";i:38164;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3284;s:10:\"compressed\";i:2684;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29874;s:10:\"compressed\";i:24813;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:88313;s:10:\"compressed\";i:71246;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:60277;s:10:\"compressed\";i:49177;}}}");
INSERT INTO `wp_postmeta` VALUES("14636", "11757", "original-file", "2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14637", "11757", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14638", "11757", "smush-info", "The file was compressed from 144.20 KB to 105.28 KB saving 26.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14639", "11757", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:147658;s:12:\"smushed-size\";i:107806;s:15:\"savings-percent\";d:26.99;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:147658;s:10:\"compressed\";i:107806;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:92024;s:10:\"compressed\";i:79995;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3253;s:10:\"compressed\";i:2673;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23584;s:10:\"compressed\";i:20638;}s:6:\"medium\";a:2:{s:8:\"original\";i:14864;s:10:\"compressed\";i:12997;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5426;s:10:\"compressed\";i:4632;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:58628;s:10:\"compressed\";i:51215;}}}");
INSERT INTO `wp_postmeta` VALUES("14640", "11758", "original-file", "2022/06/content-pixie-VJX5imdELxo-unsplash-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14641", "11758", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14642", "11758", "smush-info", "The file was compressed from 185.59 KB to 134.91 KB saving 27.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14643", "11758", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:190049;s:12:\"smushed-size\";i:138145;s:15:\"savings-percent\";d:27.31;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:190049;s:10:\"compressed\";i:138145;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:162263;s:10:\"compressed\";i:135184;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3163;s:10:\"compressed\";i:2582;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19966;s:10:\"compressed\";i:17038;}s:6:\"medium\";a:2:{s:8:\"original\";i:11185;s:10:\"compressed\";i:9645;}s:5:\"large\";a:2:{s:8:\"original\";i:109625;s:10:\"compressed\";i:93242;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5353;s:10:\"compressed\";i:4549;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63576;s:10:\"compressed\";i:54020;}}}");
INSERT INTO `wp_postmeta` VALUES("14644", "11759", "original-file", "2022/09/pexels-pixabay-356147-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14645", "11759", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14646", "11759", "smush-info", "The file was compressed from 80.10 KB to 52.19 KB saving 34.85 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14647", "11759", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:82020;s:12:\"smushed-size\";i:53439;s:15:\"savings-percent\";d:34.85;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:82020;s:10:\"compressed\";i:53439;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:33353;s:10:\"compressed\";i:24126;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1497;s:10:\"compressed\";i:1056;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4153;s:10:\"compressed\";i:2955;}s:6:\"medium\";a:2:{s:8:\"original\";i:2831;s:10:\"compressed\";i:2027;}s:5:\"large\";a:2:{s:8:\"original\";i:16728;s:10:\"compressed\";i:11230;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2121;s:10:\"compressed\";i:1550;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:10323;s:10:\"compressed\";i:7133;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:34583;s:10:\"compressed\";i:22713;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:22418;s:10:\"compressed\";i:14857;}}}");
INSERT INTO `wp_postmeta` VALUES("14648", "11760", "original-file", "2022/09/pexels-rachel-claire-5490267-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14649", "11760", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14650", "11760", "smush-info", "The file was compressed from 87.33 KB to 65.96 KB saving 24.47 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14651", "11760", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:89424;s:12:\"smushed-size\";i:67545;s:15:\"savings-percent\";d:24.47;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:89424;s:10:\"compressed\";i:67545;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:81439;s:10:\"compressed\";i:65558;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1970;s:10:\"compressed\";i:1524;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22335;s:10:\"compressed\";i:18539;}s:6:\"medium\";a:2:{s:8:\"original\";i:5328;s:10:\"compressed\";i:4452;}s:5:\"large\";a:2:{s:8:\"original\";i:68782;s:10:\"compressed\";i:55429;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3012;s:10:\"compressed\";i:2453;}}}");
INSERT INTO `wp_postmeta` VALUES("14652", "11761", "original-file", "2022/09/pexels-pixabay-90764-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14653", "11761", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14654", "11761", "smush-info", "The file was compressed from 42.45 KB to 40.86 KB saving 3.76 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14655", "11761", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:43471;s:12:\"smushed-size\";i:41838;s:15:\"savings-percent\";d:3.76;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:43471;s:10:\"compressed\";i:41838;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:32632;s:10:\"compressed\";i:21790;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1331;s:10:\"compressed\";i:901;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:4435;s:10:\"compressed\";i:3096;}s:6:\"medium\";a:2:{s:8:\"original\";i:2819;s:10:\"compressed\";i:1969;}s:5:\"large\";a:2:{s:8:\"original\";i:19568;s:10:\"compressed\";i:12346;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1886;s:10:\"compressed\";i:1346;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:11781;s:10:\"compressed\";i:7742;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:40858;s:10:\"compressed\";i:24937;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:25971;s:10:\"compressed\";i:16187;}}}");
INSERT INTO `wp_postmeta` VALUES("14656", "11762", "original-file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14657", "11762", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14658", "11762", "smush-info", "The file was compressed from 41.55 KB to 16.15 KB saving 61.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14659", "11762", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:42549;s:12:\"smushed-size\";i:16542;s:15:\"savings-percent\";d:61.12;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:42549;s:10:\"compressed\";i:16542;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:29877;s:10:\"compressed\";i:5824;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1321;s:10:\"compressed\";i:126;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10696;s:10:\"compressed\";i:517;}s:6:\"medium\";a:2:{s:8:\"original\";i:6659;s:10:\"compressed\";i:198;}s:5:\"large\";a:2:{s:8:\"original\";i:37077;s:10:\"compressed\";i:7456;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3321;s:10:\"compressed\";i:172;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:15671;s:10:\"compressed\";i:2660;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:60823;s:10:\"compressed\";i:9770;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:45226;s:10:\"compressed\";i:12300;}}}");
INSERT INTO `wp_postmeta` VALUES("14660", "11763", "original-file", "2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14661", "11763", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14662", "11763", "smush-info", "The file was compressed from 80.20 KB to 20.87 KB saving 73.97 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14663", "11763", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:82122;s:12:\"smushed-size\";i:21375;s:15:\"savings-percent\";d:73.97;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:82122;s:10:\"compressed\";i:21375;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1149;s:10:\"compressed\";i:126;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6825;s:10:\"compressed\";i:760;}s:6:\"medium\";a:2:{s:8:\"original\";i:3903;s:10:\"compressed\";i:307;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2400;s:10:\"compressed\";i:232;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:16273;s:10:\"compressed\";i:3488;}}}");
INSERT INTO `wp_postmeta` VALUES("14664", "11764", "original-file", "2022/09/pexels-roman-odintsov-4925863-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14665", "11764", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14666", "11764", "smush-info", "The file was compressed from 201.47 KB to 153.99 KB saving 23.57 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14667", "11764", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:206310;s:12:\"smushed-size\";i:157688;s:15:\"savings-percent\";d:23.57;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:206310;s:10:\"compressed\";i:157688;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:104657;s:10:\"compressed\";i:92799;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3598;s:10:\"compressed\";i:2972;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20620;s:10:\"compressed\";i:18027;}s:6:\"medium\";a:2:{s:8:\"original\";i:12675;s:10:\"compressed\";i:11016;}s:5:\"large\";a:2:{s:8:\"original\";i:79096;s:10:\"compressed\";i:69840;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6246;s:10:\"compressed\";i:5344;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:51058;s:10:\"compressed\";i:45127;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:147152;s:10:\"compressed\";i:129861;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:100399;s:10:\"compressed\";i:88713;}}}");
INSERT INTO `wp_postmeta` VALUES("14668", "11765", "original-file", "2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14669", "11765", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14670", "11765", "smush-info", "The file was compressed from 327.95 KB to 252.78 KB saving 22.92 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14671", "11765", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:335818;s:12:\"smushed-size\";i:258850;s:15:\"savings-percent\";d:22.92;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:335818;s:10:\"compressed\";i:258850;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:119254;s:10:\"compressed\";i:99371;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2620;s:10:\"compressed\";i:2075;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:27762;s:10:\"compressed\";i:23254;}s:6:\"medium\";a:2:{s:8:\"original\";i:11180;s:10:\"compressed\";i:9479;}s:5:\"large\";a:2:{s:8:\"original\";i:87930;s:10:\"compressed\";i:73267;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4872;s:10:\"compressed\";i:4056;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:78154;s:10:\"compressed\";i:65362;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:181434;s:10:\"compressed\";i:149282;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:176872;s:10:\"compressed\";i:145536;}}}");
INSERT INTO `wp_postmeta` VALUES("14672", "11766", "original-file", "2022/09/ab3-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14673", "11766", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14674", "11766", "smush-info", "The file was compressed from 62.34 KB to 30.92 KB saving 50.4 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14675", "11766", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:63833;s:12:\"smushed-size\";i:31660;s:15:\"savings-percent\";d:50.4;s:10:\"sizes-info\";a:4:{s:4:\"full\";a:2:{s:8:\"original\";i:63833;s:10:\"compressed\";i:31660;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2377;s:10:\"compressed\";i:1860;}s:6:\"medium\";a:2:{s:8:\"original\";i:11956;s:10:\"compressed\";i:10446;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4120;s:10:\"compressed\";i:3433;}}}");
INSERT INTO `wp_postmeta` VALUES("14676", "11767", "original-file", "2022/09/dots-dark-3-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14677", "11767", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14678", "11767", "smush-info", "The file was compressed from 128 bytes to 128 bytes saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14679", "11767", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:128;s:12:\"smushed-size\";i:128;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:1:{s:4:\"full\";a:2:{s:8:\"original\";i:128;s:10:\"compressed\";i:128;}}}");
INSERT INTO `wp_postmeta` VALUES("14680", "11768", "original-file", "2022/09/1-1-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14681", "11768", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14682", "11768", "smush-info", "The file was compressed from 222.72 KB to 221.32 KB saving 0.63 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14683", "11768", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:228062;s:12:\"smushed-size\";i:226635;s:15:\"savings-percent\";d:0.63;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:228062;s:10:\"compressed\";i:226635;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:175068;s:10:\"compressed\";i:149430;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3640;s:10:\"compressed\";i:3007;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:31267;s:10:\"compressed\";i:26627;}s:6:\"medium\";a:2:{s:8:\"original\";i:17971;s:10:\"compressed\";i:15414;}s:5:\"large\";a:2:{s:8:\"original\";i:156935;s:10:\"compressed\";i:133213;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6495;s:10:\"compressed\";i:5560;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:93441;s:10:\"compressed\";i:79411;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:205627;s:10:\"compressed\";i:175357;}}}");
INSERT INTO `wp_postmeta` VALUES("14684", "11769", "original-file", "2022/09/2-1-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14685", "11769", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14686", "11769", "smush-info", "The file was compressed from 154.54 KB to 152.57 KB saving 1.27 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14687", "11769", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:158246;s:12:\"smushed-size\";i:156230;s:15:\"savings-percent\";d:1.27;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:158246;s:10:\"compressed\";i:156230;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:106216;s:10:\"compressed\";i:91728;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2997;s:10:\"compressed\";i:2468;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23762;s:10:\"compressed\";i:20634;}s:6:\"medium\";a:2:{s:8:\"original\";i:14216;s:10:\"compressed\";i:12378;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5102;s:10:\"compressed\";i:4353;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:65831;s:10:\"compressed\";i:56940;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:137858;s:10:\"compressed\";i:118936;}}}");
INSERT INTO `wp_postmeta` VALUES("14688", "11770", "original-file", "2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14689", "11770", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14690", "11770", "smush-info", "The file was compressed from 189.57 KB to 137.03 KB saving 27.71 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14691", "11770", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:194117;s:12:\"smushed-size\";i:140321;s:15:\"savings-percent\";d:27.71;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:194117;s:10:\"compressed\";i:140321;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:87082;s:10:\"compressed\";i:72291;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2057;s:10:\"compressed\";i:1603;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11798;s:10:\"compressed\";i:10110;}s:6:\"medium\";a:2:{s:8:\"original\";i:6849;s:10:\"compressed\";i:5822;}s:5:\"large\";a:2:{s:8:\"original\";i:55978;s:10:\"compressed\";i:46718;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3395;s:10:\"compressed\";i:2784;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:34046;s:10:\"compressed\";i:28600;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:113935;s:10:\"compressed\";i:94421;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:74476;s:10:\"compressed\";i:61916;}}}");
INSERT INTO `wp_postmeta` VALUES("14692", "11771", "original-file", "2022/09/pexels-nancy-bourque-1209982-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14693", "11771", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14694", "11771", "smush-info", "The file was compressed from 276.24 KB to 207.14 KB saving 25.01 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14695", "11771", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:282868;s:12:\"smushed-size\";i:212112;s:15:\"savings-percent\";d:25.01;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:282868;s:10:\"compressed\";i:212112;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:213743;s:10:\"compressed\";i:179992;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3415;s:10:\"compressed\";i:2804;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28999;s:10:\"compressed\";i:24755;}s:6:\"medium\";a:2:{s:8:\"original\";i:15848;s:10:\"compressed\";i:13539;}s:5:\"large\";a:2:{s:8:\"original\";i:149202;s:10:\"compressed\";i:128097;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6202;s:10:\"compressed\";i:5307;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:89967;s:10:\"compressed\";i:77235;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:193979;s:10:\"compressed\";i:166940;}}}");
INSERT INTO `wp_postmeta` VALUES("14696", "11772", "original-file", "2022/09/pexels-johannes-plenio-1632788-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14697", "11772", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14698", "11772", "smush-info", "The file was compressed from 202.37 KB to 133.16 KB saving 34.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14699", "11772", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:207224;s:12:\"smushed-size\";i:136358;s:15:\"savings-percent\";d:34.2;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:207224;s:10:\"compressed\";i:136358;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:138552;s:10:\"compressed\";i:115957;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3426;s:10:\"compressed\";i:2747;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22898;s:10:\"compressed\";i:19402;}s:6:\"medium\";a:2:{s:8:\"original\";i:13650;s:10:\"compressed\";i:11524;}s:5:\"large\";a:2:{s:8:\"original\";i:101597;s:10:\"compressed\";i:86717;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5927;s:10:\"compressed\";i:4927;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63415;s:10:\"compressed\";i:53904;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:130807;s:10:\"compressed\";i:111904;}}}");
INSERT INTO `wp_postmeta` VALUES("14700", "11773", "original-file", "2022/08/cropped-logo-1-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14701", "11773", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14702", "11773", "smush-info", "The file was compressed from 6.77 KB to 6.41 KB saving 5.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14703", "11773", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:6930;s:12:\"smushed-size\";i:6568;s:15:\"savings-percent\";d:5.22;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:6930;s:10:\"compressed\";i:6568;}s:6:\"medium\";a:2:{s:8:\"original\";i:7071;s:10:\"compressed\";i:6210;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4395;s:10:\"compressed\";i:3746;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8566;s:10:\"compressed\";i:7607;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3098;s:10:\"compressed\";i:2811;}}}");
INSERT INTO `wp_postmeta` VALUES("14704", "11774", "original-file", "2022/09/pexels-sevenstorm-juhaszimrus-934345-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14705", "11774", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14706", "11774", "smush-info", "The file was compressed from 303.90 KB to 217.88 KB saving 28.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14707", "11774", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:311190;s:12:\"smushed-size\";i:223105;s:15:\"savings-percent\";d:28.31;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:311190;s:10:\"compressed\";i:223105;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:224078;s:10:\"compressed\";i:186302;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4275;s:10:\"compressed\";i:3544;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35505;s:10:\"compressed\";i:30068;}s:6:\"medium\";a:2:{s:8:\"original\";i:20756;s:10:\"compressed\";i:17571;}s:5:\"large\";a:2:{s:8:\"original\";i:164124;s:10:\"compressed\";i:138707;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7814;s:10:\"compressed\";i:6694;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:101977;s:10:\"compressed\";i:86188;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:213413;s:10:\"compressed\";i:180505;}}}");
INSERT INTO `wp_postmeta` VALUES("14708", "11775", "original-file", "2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14709", "11775", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14710", "11775", "smush-info", "The file was compressed from 2.00 KB to 1.74 KB saving 12.78 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14711", "11775", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:2043;s:12:\"smushed-size\";i:1782;s:15:\"savings-percent\";d:12.78;s:10:\"sizes-info\";a:3:{s:4:\"full\";a:2:{s:8:\"original\";i:2043;s:10:\"compressed\";i:1782;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1167;s:10:\"compressed\";i:740;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1504;s:10:\"compressed\";i:962;}}}");
INSERT INTO `wp_postmeta` VALUES("14712", "11776", "original-file", "2022/10/woocommerce-placeholder-4-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14713", "11776", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14714", "11776", "smush-info", "The file was compressed from 100.24 KB to 73.05 KB saving 27.12 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14715", "11776", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:102644;s:12:\"smushed-size\";i:74804;s:15:\"savings-percent\";d:27.12;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:102644;s:10:\"compressed\";i:74804;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:98202;s:10:\"compressed\";i:55198;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2344;s:10:\"compressed\";i:1677;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21117;s:10:\"compressed\";i:11817;}s:6:\"medium\";a:2:{s:8:\"original\";i:12475;s:10:\"compressed\";i:7061;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4204;s:10:\"compressed\";i:2482;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:60014;s:10:\"compressed\";i:32700;}}}");
INSERT INTO `wp_postmeta` VALUES("14716", "11780", "original-file", "2019/01/ragbo452081071c_q1_2-0-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14717", "11780", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14718", "11780", "smush-info", "The file was compressed from 163.48 KB to 138.63 KB saving 15.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14719", "11780", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:167402;s:12:\"smushed-size\";i:141953;s:15:\"savings-percent\";d:15.2;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:167402;s:10:\"compressed\";i:141953;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127590;s:10:\"compressed\";i:106051;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2029;s:10:\"compressed\";i:1555;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20483;s:10:\"compressed\";i:16558;}s:6:\"medium\";a:2:{s:8:\"original\";i:6504;s:10:\"compressed\";i:5280;}s:5:\"large\";a:2:{s:8:\"original\";i:83402;s:10:\"compressed\";i:67975;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3122;s:10:\"compressed\";i:2491;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:76173;s:10:\"compressed\";i:62001;}}}");
INSERT INTO `wp_postmeta` VALUES("14720", "11781", "original-file", "2019/01/pr1-pink-2-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14721", "11781", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14722", "11781", "smush-info", "The file was compressed from 280.07 KB to 236.26 KB saving 15.64 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14723", "11781", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:286795;s:12:\"smushed-size\";i:241934;s:15:\"savings-percent\";d:15.64;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:286795;s:10:\"compressed\";i:241934;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:182573;s:10:\"compressed\";i:154499;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2225;s:10:\"compressed\";i:1682;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:37410;s:10:\"compressed\";i:31972;}s:6:\"medium\";a:2:{s:8:\"original\";i:12155;s:10:\"compressed\";i:10304;}s:5:\"large\";a:2:{s:8:\"original\";i:131767;s:10:\"compressed\";i:111849;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4481;s:10:\"compressed\";i:3528;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:120876;s:10:\"compressed\";i:102768;}}}");
INSERT INTO `wp_postmeta` VALUES("14724", "11782", "original-file", "2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14725", "11782", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14726", "11782", "smush-info", "The file was compressed from 117.64 KB to 97.83 KB saving 16.83 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14727", "11782", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:120459;s:12:\"smushed-size\";i:100183;s:15:\"savings-percent\";d:16.83;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:120459;s:10:\"compressed\";i:100183;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:91696;s:10:\"compressed\";i:74027;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1786;s:10:\"compressed\";i:1315;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19308;s:10:\"compressed\";i:15129;}s:6:\"medium\";a:2:{s:8:\"original\";i:6460;s:10:\"compressed\";i:5163;}s:5:\"large\";a:2:{s:8:\"original\";i:62213;s:10:\"compressed\";i:49200;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2891;s:10:\"compressed\";i:2260;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:57552;s:10:\"compressed\";i:45418;}}}");
INSERT INTO `wp_postmeta` VALUES("14728", "11783", "original-file", "2019/01/acndb3127517966_q1_2-0-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14729", "11783", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14730", "11783", "smush-info", "The file was compressed from 185.38 KB to 159.63 KB saving 13.89 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14731", "11783", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:189832;s:12:\"smushed-size\";i:163460;s:15:\"savings-percent\";d:13.89;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:189832;s:10:\"compressed\";i:163460;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:145217;s:10:\"compressed\";i:119122;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2195;s:10:\"compressed\";i:1688;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28376;s:10:\"compressed\";i:23338;}s:6:\"medium\";a:2:{s:8:\"original\";i:9461;s:10:\"compressed\";i:8124;}s:5:\"large\";a:2:{s:8:\"original\";i:97731;s:10:\"compressed\";i:79530;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3920;s:10:\"compressed\";i:3218;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:90318;s:10:\"compressed\";i:73552;}}}");
INSERT INTO `wp_postmeta` VALUES("14732", "11786", "original-file", "2022/10/pexels-photo-8365688-3-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14733", "11786", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14734", "11786", "smush-info", "The file was compressed from 69.01 KB to 69.01 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14735", "11786", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:70664;s:12:\"smushed-size\";i:70664;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:70664;s:10:\"compressed\";i:70664;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3081;s:10:\"compressed\";i:2531;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:46745;s:10:\"compressed\";i:38804;}s:6:\"medium\";a:2:{s:8:\"original\";i:13297;s:10:\"compressed\";i:11436;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5351;s:10:\"compressed\";i:4595;}}}");
INSERT INTO `wp_postmeta` VALUES("14736", "11787", "original-file", "2022/10/pexels-terje-sollie-298864-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14737", "11787", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14738", "11787", "smush-info", "The file was compressed from 56.46 KB to 41.25 KB saving 26.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14739", "11787", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:57811;s:12:\"smushed-size\";i:42240;s:15:\"savings-percent\";d:26.93;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:57811;s:10:\"compressed\";i:42240;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4047;s:10:\"compressed\";i:3360;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22138;s:10:\"compressed\";i:19315;}s:6:\"medium\";a:2:{s:8:\"original\";i:13497;s:10:\"compressed\";i:11687;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7011;s:10:\"compressed\";i:6040;}}}");
INSERT INTO `wp_postmeta` VALUES("14740", "11788", "original-file", "2022/10/pexels-photo-631411-4-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14741", "11788", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14742", "11788", "smush-info", "The file was compressed from 78.12 KB to 78.12 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14743", "11788", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:79996;s:12:\"smushed-size\";i:79996;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:79996;s:10:\"compressed\";i:79996;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3724;s:10:\"compressed\";i:3026;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25292;s:10:\"compressed\";i:21770;}s:6:\"medium\";a:2:{s:8:\"original\";i:15048;s:10:\"compressed\";i:12945;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6611;s:10:\"compressed\";i:5645;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:67573;s:10:\"compressed\";i:58870;}}}");
INSERT INTO `wp_postmeta` VALUES("14744", "11789", "original-file", "2022/10/pexels-photo-1337753-4-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14745", "11789", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14746", "11789", "smush-info", "The file was compressed from 745.99 KB to 745.99 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14747", "11789", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:763896;s:12:\"smushed-size\";i:763896;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:763896;s:10:\"compressed\";i:763896;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:281065;s:10:\"compressed\";i:236228;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4196;s:10:\"compressed\";i:3477;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:79140;s:10:\"compressed\";i:66833;}s:6:\"medium\";a:2:{s:8:\"original\";i:19514;s:10:\"compressed\";i:16366;}s:5:\"large\";a:2:{s:8:\"original\";i:207766;s:10:\"compressed\";i:174119;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8335;s:10:\"compressed\";i:7152;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:256408;s:10:\"compressed\";i:215241;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:432431;s:10:\"compressed\";i:362674;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:704659;s:10:\"compressed\";i:596833;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:578317;s:10:\"compressed\";i:486755;}}}");
INSERT INTO `wp_postmeta` VALUES("14748", "11790", "original-file", "2022/10/7a1f64152979619.632bd4d966dbe-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14749", "11790", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14750", "11790", "smush-info", "The file was compressed from 304.42 KB to 90.86 KB saving 70.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14751", "11790", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:311723;s:12:\"smushed-size\";i:93036;s:15:\"savings-percent\";d:70.15;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:311723;s:10:\"compressed\";i:93036;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:62471;s:10:\"compressed\";i:49671;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2123;s:10:\"compressed\";i:1648;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8962;s:10:\"compressed\";i:7499;}s:6:\"medium\";a:2:{s:8:\"original\";i:5576;s:10:\"compressed\";i:4625;}s:5:\"large\";a:2:{s:8:\"original\";i:36689;s:10:\"compressed\";i:28146;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3468;s:10:\"compressed\";i:2846;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:23070;s:10:\"compressed\";i:18054;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:70749;s:10:\"compressed\";i:53056;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:47679;s:10:\"compressed\";i:36144;}}}");
INSERT INTO `wp_postmeta` VALUES("14752", "11791", "original-file", "2022/10/c96a9b144890955.6294d44ef1e11-1-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14753", "11791", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14754", "11791", "smush-info", "The file was compressed from 164.43 KB to 97.96 KB saving 40.43 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14755", "11791", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:168380;s:12:\"smushed-size\";i:100308;s:15:\"savings-percent\";d:40.43;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:168380;s:10:\"compressed\";i:100308;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93919;s:10:\"compressed\";i:77519;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3036;s:10:\"compressed\";i:2378;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:10539;s:10:\"compressed\";i:8645;}s:6:\"medium\";a:2:{s:8:\"original\";i:6574;s:10:\"compressed\";i:5405;}s:5:\"large\";a:2:{s:8:\"original\";i:44451;s:10:\"compressed\";i:35634;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4950;s:10:\"compressed\";i:4052;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:27699;s:10:\"compressed\";i:22360;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:86222;s:10:\"compressed\";i:68533;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:57582;s:10:\"compressed\";i:45974;}}}");
INSERT INTO `wp_postmeta` VALUES("14756", "11792", "original-file", "2022/10/439f20144119531.628671b94bd08-1-4-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14757", "11792", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14758", "11792", "smush-info", "The file was compressed from 131.12 KB to 89.53 KB saving 31.72 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14759", "11792", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:134269;s:12:\"smushed-size\";i:91678;s:15:\"savings-percent\";d:31.72;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:134269;s:10:\"compressed\";i:91678;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:81831;s:10:\"compressed\";i:69774;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2865;s:10:\"compressed\";i:2315;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9906;s:10:\"compressed\";i:8520;}s:6:\"medium\";a:2:{s:8:\"original\";i:6164;s:10:\"compressed\";i:5255;}s:5:\"large\";a:2:{s:8:\"original\";i:39162;s:10:\"compressed\";i:32638;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4655;s:10:\"compressed\";i:3942;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:24717;s:10:\"compressed\";i:20778;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:76263;s:10:\"compressed\";i:62662;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:50737;s:10:\"compressed\";i:41995;}}}");
INSERT INTO `wp_postmeta` VALUES("14760", "11994", "original-file", "2023/05/My-project-1-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14761", "11994", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14762", "11994", "smush-info", "The file was compressed from 66.18 KB to 24.47 KB saving 63.03 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14763", "11994", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:67773;s:12:\"smushed-size\";i:25056;s:15:\"savings-percent\";d:63.03;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:67773;s:10:\"compressed\";i:25056;}s:6:\"medium\";a:2:{s:8:\"original\";i:9067;s:10:\"compressed\";i:5321;}s:5:\"large\";a:2:{s:8:\"original\";i:48547;s:10:\"compressed\";i:23741;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5114;s:10:\"compressed\";i:3205;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:32264;s:10:\"compressed\";i:15771;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:44861;s:10:\"compressed\";i:21990;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14093;s:10:\"compressed\";i:7850;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3046;s:10:\"compressed\";i:2187;}}}");
INSERT INTO `wp_postmeta` VALUES("14764", "11995", "original-file", "2023/05/LOGO-BASELINE-NOIR-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14765", "11995", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14766", "11995", "smush-info", "The file was compressed from 130.82 KB to 51.67 KB saving 60.5 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14767", "11995", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:133963;s:12:\"smushed-size\";i:52915;s:15:\"savings-percent\";d:60.5;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:133963;s:10:\"compressed\";i:52915;}s:6:\"medium\";a:2:{s:8:\"original\";i:10187;s:10:\"compressed\";i:6629;}s:5:\"large\";a:2:{s:8:\"original\";i:42390;s:10:\"compressed\";i:24612;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5674;s:10:\"compressed\";i:3955;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30501;s:10:\"compressed\";i:18063;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:66790;s:10:\"compressed\";i:38238;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:90177;s:10:\"compressed\";i:52469;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:49832;s:10:\"compressed\";i:28553;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:50604;s:10:\"compressed\";i:29035;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14746;s:10:\"compressed\";i:9305;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3642;s:10:\"compressed\";i:2742;}}}");
INSERT INTO `wp_postmeta` VALUES("14768", "12003", "original-file", "2023/05/IMG_9580-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14769", "12003", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14770", "12003", "smush-info", "The file was compressed from 748.03 KB to 636.05 KB saving 14.97 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14771", "12003", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:765978;s:12:\"smushed-size\";i:651317;s:15:\"savings-percent\";d:14.97;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:765978;s:10:\"compressed\";i:651317;}s:6:\"medium\";a:2:{s:8:\"original\";i:22399;s:10:\"compressed\";i:18820;}s:5:\"large\";a:2:{s:8:\"original\";i:147941;s:10:\"compressed\";i:127814;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7751;s:10:\"compressed\";i:6595;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:92734;s:10:\"compressed\";i:80229;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:294346;s:10:\"compressed\";i:253539;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:494295;s:10:\"compressed\";i:423427;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:192047;s:10:\"compressed\";i:166076;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35697;s:10:\"compressed\";i:30516;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4354;s:10:\"compressed\";i:3570;}}}");
INSERT INTO `wp_postmeta` VALUES("14772", "12004", "original-file", "2023/05/impronta_restaurant-1-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14773", "12004", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14774", "12004", "smush-info", "The file was compressed from 119.51 KB to 91.77 KB saving 23.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14775", "12004", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:122381;s:12:\"smushed-size\";i:93971;s:15:\"savings-percent\";d:23.21;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:122381;s:10:\"compressed\";i:93971;}s:6:\"medium\";a:2:{s:8:\"original\";i:18767;s:10:\"compressed\";i:16133;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6951;s:10:\"compressed\";i:5937;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:73476;s:10:\"compressed\";i:64076;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29837;s:10:\"compressed\";i:25765;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4075;s:10:\"compressed\";i:3388;}}}");
INSERT INTO `wp_postmeta` VALUES("14776", "12005", "original-file", "2023/05/thank-me_after-min-1-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14777", "12005", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14778", "12005", "smush-info", "The file was compressed from 108.64 KB to 81.64 KB saving 24.85 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14779", "12005", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:111244;s:12:\"smushed-size\";i:83604;s:15:\"savings-percent\";d:24.85;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:111244;s:10:\"compressed\";i:83604;}s:6:\"medium\";a:2:{s:8:\"original\";i:14761;s:10:\"compressed\";i:12740;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5640;s:10:\"compressed\";i:4777;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:61441;s:10:\"compressed\";i:52924;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23686;s:10:\"compressed\";i:20422;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3444;s:10:\"compressed\";i:2805;}}}");
INSERT INTO `wp_postmeta` VALUES("14780", "12009", "original-file", "2023/05/Kook-Studio-2022-4-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14781", "12009", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14782", "12009", "smush-info", "The file was compressed from 177.03 KB to 135.88 KB saving 23.24 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14783", "12009", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:181282;s:12:\"smushed-size\";i:139145;s:15:\"savings-percent\";d:23.24;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:181282;s:10:\"compressed\";i:139145;}s:6:\"medium\";a:2:{s:8:\"original\";i:7818;s:10:\"compressed\";i:6663;}s:5:\"large\";a:2:{s:8:\"original\";i:40473;s:10:\"compressed\";i:33219;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4738;s:10:\"compressed\";i:3972;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:47983;s:10:\"compressed\";i:39038;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:75111;s:10:\"compressed\";i:60068;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:121295;s:10:\"compressed\";i:94704;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:97075;s:10:\"compressed\";i:76542;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:61001;s:10:\"compressed\";i:50411;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19986;s:10:\"compressed\";i:16749;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3088;s:10:\"compressed\";i:2495;}}}");
INSERT INTO `wp_postmeta` VALUES("14784", "12015", "original-file", "2023/05/pongo-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14785", "12015", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14786", "12015", "smush-info", "The file was compressed from 32.10 KB to 12.79 KB saving 60.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14787", "12015", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:32874;s:12:\"smushed-size\";i:13099;s:15:\"savings-percent\";d:60.15;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:32874;s:10:\"compressed\";i:13099;}s:6:\"medium\";a:2:{s:8:\"original\";i:12967;s:10:\"compressed\";i:5665;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5569;s:10:\"compressed\";i:2783;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22905;s:10:\"compressed\";i:9610;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3488;s:10:\"compressed\";i:2519;}}}");
INSERT INTO `wp_postmeta` VALUES("14788", "12016", "original-file", "2023/05/logo_primary_light-1-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14789", "12016", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14790", "12016", "smush-info", "The file was compressed from 42.54 KB to 19.22 KB saving 54.82 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14791", "12016", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:43561;s:12:\"smushed-size\";i:19683;s:15:\"savings-percent\";d:54.82;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:43561;s:10:\"compressed\";i:19683;}s:6:\"medium\";a:2:{s:8:\"original\";i:6638;s:10:\"compressed\";i:3970;}s:5:\"large\";a:2:{s:8:\"original\";i:31852;s:10:\"compressed\";i:14383;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3693;s:10:\"compressed\";i:2521;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:22092;s:10:\"compressed\";i:10173;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:54503;s:10:\"compressed\";i:23795;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:37960;s:10:\"compressed\";i:16807;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:24333;s:10:\"compressed\";i:10382;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:9861;s:10:\"compressed\";i:4983;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2406;s:10:\"compressed\";i:1793;}}}");
INSERT INTO `wp_postmeta` VALUES("14792", "12017", "original-file", "2023/05/partoo_logo-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14793", "12017", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14794", "12017", "smush-info", "The file was compressed from 11.67 KB to 11.67 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14795", "12017", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:11954;s:12:\"smushed-size\";i:11954;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:11954;s:10:\"compressed\";i:11954;}s:6:\"medium\";a:2:{s:8:\"original\";i:11536;s:10:\"compressed\";i:4943;}s:5:\"large\";a:2:{s:8:\"original\";i:51404;s:10:\"compressed\";i:19251;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5441;s:10:\"compressed\";i:3185;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:36109;s:10:\"compressed\";i:13774;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:24489;s:10:\"compressed\";i:10772;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17187;s:10:\"compressed\";i:6866;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3593;s:10:\"compressed\";i:2247;}}}");
INSERT INTO `wp_postmeta` VALUES("14796", "12018", "original-file", "2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14797", "12018", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14798", "12018", "smush-info", "The file was compressed from 2.84 KB to 1.56 KB saving 45.18 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14799", "12018", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:2906;s:12:\"smushed-size\";i:1593;s:15:\"savings-percent\";d:45.18;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:2906;s:10:\"compressed\";i:1593;}s:6:\"medium\";a:2:{s:8:\"original\";i:5124;s:10:\"compressed\";i:3498;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1149;s:10:\"compressed\";i:580;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:6859;s:10:\"compressed\";i:4455;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2095;s:10:\"compressed\";i:1675;}}}");
INSERT INTO `wp_postmeta` VALUES("14800", "12019", "original-file", "2023/05/Logo_WhatisEAT_2021_violet-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14801", "12019", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14802", "12019", "smush-info", "The file was compressed from 15.42 KB to 8.31 KB saving 46.14 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14803", "12019", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:15792;s:12:\"smushed-size\";i:8506;s:15:\"savings-percent\";d:46.14;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:15792;s:10:\"compressed\";i:8506;}s:6:\"medium\";a:2:{s:8:\"original\";i:9446;s:10:\"compressed\";i:5317;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4117;s:10:\"compressed\";i:3173;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:29546;s:10:\"compressed\";i:14558;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:13815;s:10:\"compressed\";i:7271;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2373;s:10:\"compressed\";i:1724;}}}");
INSERT INTO `wp_postmeta` VALUES("14804", "12020", "original-file", "2023/05/Meta-Logo-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14805", "12020", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14806", "12020", "smush-info", "The file was compressed from 109.29 KB to 109.29 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14807", "12020", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:111916;s:12:\"smushed-size\";i:111916;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:111916;s:10:\"compressed\";i:111916;}s:6:\"medium\";a:2:{s:8:\"original\";i:10965;s:10:\"compressed\";i:5682;}s:5:\"large\";a:2:{s:8:\"original\";i:63631;s:10:\"compressed\";i:30966;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4861;s:10:\"compressed\";i:3172;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:39739;s:10:\"compressed\";i:19082;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:120656;s:10:\"compressed\";i:62321;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:215089;s:10:\"compressed\";i:111050;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:83323;s:10:\"compressed\";i:40921;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:80800;s:10:\"compressed\";i:41846;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17192;s:10:\"compressed\";i:8046;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3042;s:10:\"compressed\";i:2364;}}}");
INSERT INTO `wp_postmeta` VALUES("14808", "12142", "original-file", "2022/08/xZ3rAYpY-1-scaled-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("14809", "12142", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14810", "12142", "smush-info", "The file was compressed from 957.38 KB to 810.13 KB saving 15.38 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14811", "12142", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:980357;s:12:\"smushed-size\";i:829578;s:15:\"savings-percent\";d:15.38;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:980357;s:10:\"compressed\";i:829578;}s:6:\"medium\";a:2:{s:8:\"original\";i:21101;s:10:\"compressed\";i:17630;}s:5:\"large\";a:2:{s:8:\"original\";i:194035;s:10:\"compressed\";i:161708;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8651;s:10:\"compressed\";i:7455;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:114564;s:10:\"compressed\";i:95438;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:401829;s:10:\"compressed\";i:336732;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:668176;s:10:\"compressed\";i:562094;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:258518;s:10:\"compressed\";i:215902;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:265911;s:10:\"compressed\";i:223203;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:37757;s:10:\"compressed\";i:31406;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4566;s:10:\"compressed\";i:3826;}}}");
INSERT INTO `wp_postmeta` VALUES("14812", "12143", "original-file", "2022/08/BAP_MR_015-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14813", "12143", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14814", "12143", "smush-info", "The file was compressed from 435.74 KB to 362.08 KB saving 16.9 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14815", "12143", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:446193;s:12:\"smushed-size\";i:370766;s:15:\"savings-percent\";d:16.9;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:446193;s:10:\"compressed\";i:370766;}s:6:\"medium\";a:2:{s:8:\"original\";i:11660;s:10:\"compressed\";i:10142;}s:5:\"large\";a:2:{s:8:\"original\";i:73375;s:10:\"compressed\";i:63576;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5808;s:10:\"compressed\";i:4926;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:88583;s:10:\"compressed\";i:76623;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:146679;s:10:\"compressed\";i:125903;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:264251;s:10:\"compressed\";i:223273;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:200486;s:10:\"compressed\";i:170677;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:104161;s:10:\"compressed\";i:89634;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:33970;s:10:\"compressed\";i:29604;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3526;s:10:\"compressed\";i:2897;}}}");
INSERT INTO `wp_postmeta` VALUES("14816", "12144", "original-file", "2022/08/BAP_MR_031-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14817", "12144", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14818", "12144", "smush-info", "The file was compressed from 270.95 KB to 224.00 KB saving 17.33 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14819", "12144", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:277448;s:12:\"smushed-size\";i:229380;s:15:\"savings-percent\";d:17.33;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:277448;s:10:\"compressed\";i:229380;}s:6:\"medium\";a:2:{s:8:\"original\";i:9950;s:10:\"compressed\";i:8565;}s:5:\"large\";a:2:{s:8:\"original\";i:56756;s:10:\"compressed\";i:48814;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5361;s:10:\"compressed\";i:4457;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:67375;s:10:\"compressed\";i:57767;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:107490;s:10:\"compressed\";i:91134;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:178585;s:10:\"compressed\";i:149377;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:141136;s:10:\"compressed\";i:119064;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:83615;s:10:\"compressed\";i:71524;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:27029;s:10:\"compressed\";i:23456;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3332;s:10:\"compressed\";i:2704;}}}");
INSERT INTO `wp_postmeta` VALUES("14820", "12145", "original-file", "2022/08/BAP_MR_008-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14821", "12145", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14822", "12145", "smush-info", "The file was compressed from 628.95 KB to 537.60 KB saving 14.52 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14823", "12145", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:644043;s:12:\"smushed-size\";i:550498;s:15:\"savings-percent\";d:14.52;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:644043;s:10:\"compressed\";i:550498;}s:6:\"medium\";a:2:{s:8:\"original\";i:19677;s:10:\"compressed\";i:16572;}s:5:\"large\";a:2:{s:8:\"original\";i:139543;s:10:\"compressed\";i:119732;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8344;s:10:\"compressed\";i:7157;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:167068;s:10:\"compressed\";i:143611;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:264345;s:10:\"compressed\";i:227686;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:429001;s:10:\"compressed\";i:369025;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:343107;s:10:\"compressed\";i:295628;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:148161;s:10:\"compressed\";i:129018;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:63427;s:10:\"compressed\";i:53843;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4688;s:10:\"compressed\";i:3892;}}}");
INSERT INTO `wp_postmeta` VALUES("14824", "12146", "original-file", "2022/08/BAP_MR_017-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14825", "12146", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14826", "12146", "smush-info", "The file was compressed from 467.67 KB to 386.98 KB saving 17.25 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14827", "12146", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:478895;s:12:\"smushed-size\";i:396272;s:15:\"savings-percent\";d:17.25;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:478895;s:10:\"compressed\";i:396272;}s:6:\"medium\";a:2:{s:8:\"original\";i:12568;s:10:\"compressed\";i:10887;}s:5:\"large\";a:2:{s:8:\"original\";i:73617;s:10:\"compressed\";i:64240;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6293;s:10:\"compressed\";i:5333;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:88652;s:10:\"compressed\";i:77336;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:149016;s:10:\"compressed\";i:128340;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:277132;s:10:\"compressed\";i:233866;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:207123;s:10:\"compressed\";i:176714;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:99603;s:10:\"compressed\";i:85997;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35032;s:10:\"compressed\";i:30674;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3874;s:10:\"compressed\";i:3177;}}}");
INSERT INTO `wp_postmeta` VALUES("14828", "12147", "original-file", "2022/08/BAP_MR_028-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14829", "12147", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14830", "12147", "smush-info", "The file was compressed from 265.66 KB to 223.43 KB saving 15.89 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14831", "12147", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:272031;s:12:\"smushed-size\";i:228796;s:15:\"savings-percent\";d:15.89;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:272031;s:10:\"compressed\";i:228796;}s:6:\"medium\";a:2:{s:8:\"original\";i:11533;s:10:\"compressed\";i:9927;}s:5:\"large\";a:2:{s:8:\"original\";i:63989;s:10:\"compressed\";i:55420;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5722;s:10:\"compressed\";i:4797;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:41514;s:10:\"compressed\";i:36143;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:117052;s:10:\"compressed\";i:100550;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:185266;s:10:\"compressed\";i:157415;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:80385;s:10:\"compressed\";i:69516;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:83405;s:10:\"compressed\";i:71824;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17652;s:10:\"compressed\";i:15206;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3558;s:10:\"compressed\";i:2869;}}}");
INSERT INTO `wp_postmeta` VALUES("14832", "12153", "original-file", "2023/05/GABRIELA_A_MR_006-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14833", "12153", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14834", "12153", "smush-info", "The file was compressed from 868.35 KB to 718.45 KB saving 17.26 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14835", "12153", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:889192;s:12:\"smushed-size\";i:735691;s:15:\"savings-percent\";d:17.26;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:889192;s:10:\"compressed\";i:735691;}s:6:\"medium\";a:2:{s:8:\"original\";i:17997;s:10:\"compressed\";i:15003;}s:5:\"large\";a:2:{s:8:\"original\";i:131317;s:10:\"compressed\";i:111748;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7736;s:10:\"compressed\";i:6522;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:79396;s:10:\"compressed\";i:67384;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:287798;s:10:\"compressed\";i:243492;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:537302;s:10:\"compressed\";i:448788;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:176859;s:10:\"compressed\";i:150281;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:181930;s:10:\"compressed\";i:153793;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29644;s:10:\"compressed\";i:24858;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4336;s:10:\"compressed\";i:3529;}}}");
INSERT INTO `wp_postmeta` VALUES("14836", "12154", "original-file", "2023/05/GABRIELA_A_MR_004-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14837", "12154", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14838", "12154", "smush-info", "The file was compressed from 819.87 KB to 682.54 KB saving 16.75 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14839", "12154", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:839544;s:12:\"smushed-size\";i:698926;s:15:\"savings-percent\";d:16.75;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:839544;s:10:\"compressed\";i:698926;}s:6:\"medium\";a:2:{s:8:\"original\";i:19166;s:10:\"compressed\";i:16075;}s:5:\"large\";a:2:{s:8:\"original\";i:131248;s:10:\"compressed\";i:112773;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8095;s:10:\"compressed\";i:6786;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:277429;s:10:\"compressed\";i:236731;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:508291;s:10:\"compressed\";i:428692;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:301252;s:10:\"compressed\";i:256800;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:165477;s:10:\"compressed\";i:141906;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:48661;s:10:\"compressed\";i:41502;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4616;s:10:\"compressed\";i:3733;}}}");
INSERT INTO `wp_postmeta` VALUES("14840", "12155", "original-file", "2023/05/GABRIELA_A_MR_016-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14841", "12155", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14842", "12155", "smush-info", "The file was compressed from 770.95 KB to 630.60 KB saving 18.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14843", "12155", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:789453;s:12:\"smushed-size\";i:645732;s:15:\"savings-percent\";d:18.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:789453;s:10:\"compressed\";i:645732;}s:6:\"medium\";a:2:{s:8:\"original\";i:16172;s:10:\"compressed\";i:13635;}s:5:\"large\";a:2:{s:8:\"original\";i:108618;s:10:\"compressed\";i:93084;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7524;s:10:\"compressed\";i:6304;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:241365;s:10:\"compressed\";i:204183;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:463916;s:10:\"compressed\";i:385510;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:263628;s:10:\"compressed\";i:222505;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:151658;s:10:\"compressed\";i:129457;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:40010;s:10:\"compressed\";i:34207;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4220;s:10:\"compressed\";i:3399;}}}");
INSERT INTO `wp_postmeta` VALUES("14844", "12156", "original-file", "2023/05/GABRIELA_MR_006-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14845", "12156", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14846", "12156", "smush-info", "The file was compressed from 1.05 MB to 890.29 KB saving 16.86 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14847", "12156", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1096492;s:12:\"smushed-size\";i:911653;s:15:\"savings-percent\";d:16.86;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:1096492;s:10:\"compressed\";i:911653;}s:6:\"medium\";a:2:{s:8:\"original\";i:26109;s:10:\"compressed\";i:20555;}s:5:\"large\";a:2:{s:8:\"original\";i:200403;s:10:\"compressed\";i:165289;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:10882;s:10:\"compressed\";i:8677;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:123817;s:10:\"compressed\";i:101047;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:402471;s:10:\"compressed\";i:335172;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:696716;s:10:\"compressed\";i:580649;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:261057;s:10:\"compressed\";i:216419;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:273721;s:10:\"compressed\";i:227792;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:45112;s:10:\"compressed\";i:35933;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5730;s:10:\"compressed\";i:4649;}}}");
INSERT INTO `wp_postmeta` VALUES("14848", "12162", "original-file", "2023/05/FUERO_MR_6-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14849", "12162", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14850", "12162", "smush-info", "The file was compressed from 685.38 KB to 588.41 KB saving 14.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14851", "12162", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:701832;s:12:\"smushed-size\";i:602530;s:15:\"savings-percent\";d:14.15;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:701832;s:10:\"compressed\";i:602530;}s:6:\"medium\";a:2:{s:8:\"original\";i:18656;s:10:\"compressed\";i:15959;}s:5:\"large\";a:2:{s:8:\"original\";i:141444;s:10:\"compressed\";i:121886;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7330;s:10:\"compressed\";i:6271;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:87686;s:10:\"compressed\";i:75251;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:281972;s:10:\"compressed\";i:243648;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:468215;s:10:\"compressed\";i:403160;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:183884;s:10:\"compressed\";i:158602;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:165033;s:10:\"compressed\";i:142653;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:31502;s:10:\"compressed\";i:26934;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4010;s:10:\"compressed\";i:3322;}}}");
INSERT INTO `wp_postmeta` VALUES("14852", "12163", "original-file", "2023/05/FUERO_MR_43-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14853", "12163", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14854", "12163", "smush-info", "The file was compressed from 739.41 KB to 628.20 KB saving 15.04 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14855", "12163", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:757159;s:12:\"smushed-size\";i:643279;s:15:\"savings-percent\";d:15.04;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:757159;s:10:\"compressed\";i:643279;}s:6:\"medium\";a:2:{s:8:\"original\";i:20579;s:10:\"compressed\";i:17261;}s:5:\"large\";a:2:{s:8:\"original\";i:155607;s:10:\"compressed\";i:131269;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9477;s:10:\"compressed\";i:8104;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:95662;s:10:\"compressed\";i:80399;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:312547;s:10:\"compressed\";i:264349;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:513559;s:10:\"compressed\";i:435443;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:205337;s:10:\"compressed\";i:173454;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:216099;s:10:\"compressed\";i:182222;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34351;s:10:\"compressed\";i:28789;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5267;s:10:\"compressed\";i:4384;}}}");
INSERT INTO `wp_postmeta` VALUES("14856", "12164", "original-file", "2023/05/FUERO_MR_26-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14857", "12164", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14858", "12164", "smush-info", "The file was compressed from 654.85 KB to 546.09 KB saving 16.61 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14859", "12164", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:670566;s:12:\"smushed-size\";i:559199;s:15:\"savings-percent\";d:16.61;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:670566;s:10:\"compressed\";i:559199;}s:6:\"medium\";a:2:{s:8:\"original\";i:17659;s:10:\"compressed\";i:14966;}s:5:\"large\";a:2:{s:8:\"original\";i:112209;s:10:\"compressed\";i:96378;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7966;s:10:\"compressed\";i:6799;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:100314;s:10:\"compressed\";i:86112;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:231595;s:10:\"compressed\";i:197339;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:415020;s:10:\"compressed\";i:349559;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:221312;s:10:\"compressed\";i:188792;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:142400;s:10:\"compressed\";i:121784;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39166;s:10:\"compressed\";i:33422;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4588;s:10:\"compressed\";i:3796;}}}");
INSERT INTO `wp_postmeta` VALUES("14860", "12165", "original-file", "2023/05/FUERO_MR_29-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14861", "12165", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14862", "12165", "smush-info", "The file was compressed from 387.81 KB to 315.45 KB saving 18.66 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14863", "12165", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:397119;s:12:\"smushed-size\";i:323024;s:15:\"savings-percent\";d:18.66;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:397119;s:10:\"compressed\";i:323024;}s:6:\"medium\";a:2:{s:8:\"original\";i:9094;s:10:\"compressed\";i:7947;}s:5:\"large\";a:2:{s:8:\"original\";i:59794;s:10:\"compressed\";i:51635;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4481;s:10:\"compressed\";i:3788;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:53259;s:10:\"compressed\";i:46122;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:127313;s:10:\"compressed\";i:107517;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:236666;s:10:\"compressed\";i:195458;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:121008;s:10:\"compressed\";i:102323;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:78058;s:10:\"compressed\";i:67080;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20127;s:10:\"compressed\";i:17745;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2879;s:10:\"compressed\";i:2337;}}}");
INSERT INTO `wp_postmeta` VALUES("14864", "12171", "original-file", "2023/05/BIA_MR_44-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14865", "12171", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14866", "12171", "smush-info", "The file was compressed from 452.23 KB to 394.99 KB saving 12.66 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14867", "12171", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:463085;s:12:\"smushed-size\";i:404465;s:15:\"savings-percent\";d:12.66;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:463085;s:10:\"compressed\";i:404465;}s:6:\"medium\";a:2:{s:8:\"original\";i:18966;s:10:\"compressed\";i:15798;}s:5:\"large\";a:2:{s:8:\"original\";i:109791;s:10:\"compressed\";i:95387;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8336;s:10:\"compressed\";i:6936;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:99029;s:10:\"compressed\";i:86143;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:198461;s:10:\"compressed\";i:173814;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:314121;s:10:\"compressed\";i:275924;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:191377;s:10:\"compressed\";i:167539;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127363;s:10:\"compressed\";i:111175;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:41355;s:10:\"compressed\";i:35069;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4772;s:10:\"compressed\";i:3848;}}}");
INSERT INTO `wp_postmeta` VALUES("14868", "12172", "original-file", "2023/05/BIA_MR_26-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14869", "12172", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14870", "12172", "smush-info", "The file was compressed from 598.18 KB to 515.35 KB saving 13.85 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14871", "12172", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:612539;s:12:\"smushed-size\";i:527716;s:15:\"savings-percent\";d:13.85;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:612539;s:10:\"compressed\";i:527716;}s:6:\"medium\";a:2:{s:8:\"original\";i:19285;s:10:\"compressed\";i:16060;}s:5:\"large\";a:2:{s:8:\"original\";i:140314;s:10:\"compressed\";i:119769;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8621;s:10:\"compressed\";i:7247;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:125787;s:10:\"compressed\";i:107259;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:270497;s:10:\"compressed\";i:232195;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:430776;s:10:\"compressed\";i:370675;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:260271;s:10:\"compressed\";i:223413;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:174554;s:10:\"compressed\";i:149225;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:46611;s:10:\"compressed\";i:39220;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4876;s:10:\"compressed\";i:3928;}}}");
INSERT INTO `wp_postmeta` VALUES("14872", "12173", "original-file", "2023/05/BIA_MR_37-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14873", "12173", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14874", "12173", "smush-info", "The file was compressed from 355.50 KB to 297.36 KB saving 16.35 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14875", "12173", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:364033;s:12:\"smushed-size\";i:304501;s:15:\"savings-percent\";d:16.35;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:364033;s:10:\"compressed\";i:304501;}s:6:\"medium\";a:2:{s:8:\"original\";i:11122;s:10:\"compressed\";i:9725;}s:5:\"large\";a:2:{s:8:\"original\";i:71486;s:10:\"compressed\";i:61784;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5164;s:10:\"compressed\";i:4342;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63998;s:10:\"compressed\";i:55462;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:140151;s:10:\"compressed\";i:119870;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:235588;s:10:\"compressed\";i:199071;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:134439;s:10:\"compressed\";i:114953;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:91244;s:10:\"compressed\";i:78465;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:24980;s:10:\"compressed\";i:21907;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3101;s:10:\"compressed\";i:2510;}}}");
INSERT INTO `wp_postmeta` VALUES("14876", "12174", "original-file", "2023/05/Sans-titre-2022-12-23T161950.222-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("14877", "12174", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14878", "12174", "smush-info", "The file was compressed from 1.67 MB to 474.57 KB saving 72.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14879", "12174", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1749132;s:12:\"smushed-size\";i:485955;s:15:\"savings-percent\";d:72.22;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:1749132;s:10:\"compressed\";i:485955;}s:6:\"medium\";a:2:{s:8:\"original\";i:163294;s:10:\"compressed\";i:50009;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:45874;s:10:\"compressed\";i:15602;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:958239;s:10:\"compressed\";i:273167;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:299373;s:10:\"compressed\";i:88068;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:22018;s:10:\"compressed\";i:8273;}}}");
INSERT INTO `wp_postmeta` VALUES("14880", "12180", "smush-info", "Failed with error code could_not_lock - The task could not be locked");
INSERT INTO `wp_postmeta` VALUES("14881", "12180", "smush-complete", "");
INSERT INTO `wp_postmeta` VALUES("14882", "12181", "original-file", "2023/05/DANDY_MR_115-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14883", "12181", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14884", "12181", "smush-info", "The file was compressed from 756.50 KB to 647.49 KB saving 14.41 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14885", "12181", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:774660;s:12:\"smushed-size\";i:663030;s:15:\"savings-percent\";d:14.41;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:774660;s:10:\"compressed\";i:663030;}s:6:\"medium\";a:2:{s:8:\"original\";i:18772;s:10:\"compressed\";i:15987;}s:5:\"large\";a:2:{s:8:\"original\";i:160117;s:10:\"compressed\";i:136942;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7655;s:10:\"compressed\";i:6568;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:142636;s:10:\"compressed\";i:122018;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:316904;s:10:\"compressed\";i:271928;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:519979;s:10:\"compressed\";i:446177;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:304943;s:10:\"compressed\";i:261349;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:187126;s:10:\"compressed\";i:161546;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:48940;s:10:\"compressed\";i:41693;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4178;s:10:\"compressed\";i:3458;}}}");
INSERT INTO `wp_postmeta` VALUES("14886", "12182", "original-file", "2023/05/DANDY_MR_144-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14887", "12182", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14888", "12182", "smush-info", "The file was compressed from 561.20 KB to 490.37 KB saving 12.62 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14889", "12182", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:574672;s:12:\"smushed-size\";i:502138;s:15:\"savings-percent\";d:12.62;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:574672;s:10:\"compressed\";i:502138;}s:6:\"medium\";a:2:{s:8:\"original\";i:21776;s:10:\"compressed\";i:18355;}s:5:\"large\";a:2:{s:8:\"original\";i:141381;s:10:\"compressed\";i:122343;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9128;s:10:\"compressed\";i:7807;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:127825;s:10:\"compressed\";i:110337;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:260110;s:10:\"compressed\";i:226886;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:403973;s:10:\"compressed\";i:353314;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:250705;s:10:\"compressed\";i:218565;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:174199;s:10:\"compressed\";i:150940;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:50668;s:10:\"compressed\";i:43196;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4990;s:10:\"compressed\";i:4131;}}}");
INSERT INTO `wp_postmeta` VALUES("14890", "12183", "original-file", "2023/05/DANDY_MR_19-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14891", "12183", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14892", "12183", "smush-info", "The file was compressed from 483.55 KB to 419.15 KB saving 13.32 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14893", "12183", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:495155;s:12:\"smushed-size\";i:429206;s:15:\"savings-percent\";d:13.32;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:495155;s:10:\"compressed\";i:429206;}s:6:\"medium\";a:2:{s:8:\"original\";i:15224;s:10:\"compressed\";i:13192;}s:5:\"large\";a:2:{s:8:\"original\";i:105898;s:10:\"compressed\";i:91390;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6628;s:10:\"compressed\";i:5578;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:66420;s:10:\"compressed\";i:57406;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:206456;s:10:\"compressed\";i:178639;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:336025;s:10:\"compressed\";i:291421;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:137022;s:10:\"compressed\";i:118349;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127410;s:10:\"compressed\";i:109348;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25132;s:10:\"compressed\";i:21693;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3975;s:10:\"compressed\";i:3253;}}}");
INSERT INTO `wp_postmeta` VALUES("14894", "12189", "original-file", "2023/05/369_MR_8-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14895", "12189", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14896", "12189", "smush-info", "The file was compressed from 572.66 KB to 494.64 KB saving 13.62 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14897", "12189", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:586403;s:12:\"smushed-size\";i:506511;s:15:\"savings-percent\";d:13.62;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:586403;s:10:\"compressed\";i:506511;}s:6:\"medium\";a:2:{s:8:\"original\";i:17958;s:10:\"compressed\";i:15309;}s:5:\"large\";a:2:{s:8:\"original\";i:129884;s:10:\"compressed\";i:111569;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7297;s:10:\"compressed\";i:6247;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:116180;s:10:\"compressed\";i:99899;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:252120;s:10:\"compressed\";i:217065;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:405723;s:10:\"compressed\";i:349754;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:242294;s:10:\"compressed\";i:208702;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:162024;s:10:\"compressed\";i:139293;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:43229;s:10:\"compressed\";i:37051;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4079;s:10:\"compressed\";i:3373;}}}");
INSERT INTO `wp_postmeta` VALUES("14898", "12190", "original-file", "2023/05/369_MR_175-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14899", "12190", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14900", "12190", "smush-info", "The file was compressed from 401.19 KB to 338.18 KB saving 15.7 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14901", "12190", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:410819;s:12:\"smushed-size\";i:346301;s:15:\"savings-percent\";d:15.7;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:410819;s:10:\"compressed\";i:346301;}s:6:\"medium\";a:2:{s:8:\"original\";i:12537;s:10:\"compressed\";i:10854;}s:5:\"large\";a:2:{s:8:\"original\";i:79118;s:10:\"compressed\";i:68410;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6079;s:10:\"compressed\";i:5163;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:71328;s:10:\"compressed\";i:61762;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:153555;s:10:\"compressed\";i:131727;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:260973;s:10:\"compressed\";i:221891;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:147306;s:10:\"compressed\";i:126390;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:102138;s:10:\"compressed\";i:88499;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28381;s:10:\"compressed\";i:24606;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3542;s:10:\"compressed\";i:2885;}}}");
INSERT INTO `wp_postmeta` VALUES("14902", "12191", "original-file", "2023/05/369_MR_91-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14903", "12191", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14904", "12191", "smush-info", "The file was compressed from 492.12 KB to 426.01 KB saving 13.43 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14905", "12191", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:503934;s:12:\"smushed-size\";i:436239;s:15:\"savings-percent\";d:13.43;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:503934;s:10:\"compressed\";i:436239;}s:6:\"medium\";a:2:{s:8:\"original\";i:17615;s:10:\"compressed\";i:15026;}s:5:\"large\";a:2:{s:8:\"original\";i:113755;s:10:\"compressed\";i:99115;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7317;s:10:\"compressed\";i:6246;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:102242;s:10:\"compressed\";i:89062;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:214345;s:10:\"compressed\";i:186885;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:343576;s:10:\"compressed\";i:298435;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:205979;s:10:\"compressed\";i:179593;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:128013;s:10:\"compressed\";i:111622;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:40420;s:10:\"compressed\";i:34782;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4325;s:10:\"compressed\";i:3584;}}}");
INSERT INTO `wp_postmeta` VALUES("14906", "12192", "original-file", "2023/05/369_MR_9-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14907", "12192", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14908", "12192", "smush-info", "The file was compressed from 704.65 KB to 609.94 KB saving 13.44 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14909", "12192", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:721565;s:12:\"smushed-size\";i:624583;s:15:\"savings-percent\";d:13.44;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:721565;s:10:\"compressed\";i:624583;}s:6:\"medium\";a:2:{s:8:\"original\";i:18013;s:10:\"compressed\";i:15345;}s:5:\"large\";a:2:{s:8:\"original\";i:144993;s:10:\"compressed\";i:124767;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7485;s:10:\"compressed\";i:6381;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:128722;s:10:\"compressed\";i:110822;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:292865;s:10:\"compressed\";i:253711;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:488195;s:10:\"compressed\";i:422046;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:281149;s:10:\"compressed\";i:243374;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:180591;s:10:\"compressed\";i:156332;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:44640;s:10:\"compressed\";i:38210;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4165;s:10:\"compressed\";i:3452;}}}");
INSERT INTO `wp_postmeta` VALUES("14910", "12199", "original-file", "2023/05/CODERACK_MR_17-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14911", "12199", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14912", "12199", "smush-info", "The file was compressed from 634.13 KB to 531.16 KB saving 16.24 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14913", "12199", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:649349;s:12:\"smushed-size\";i:543911;s:15:\"savings-percent\";d:16.24;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:649349;s:10:\"compressed\";i:543911;}s:6:\"medium\";a:2:{s:8:\"original\";i:18310;s:10:\"compressed\";i:15250;}s:5:\"large\";a:2:{s:8:\"original\";i:120042;s:10:\"compressed\";i:102176;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7319;s:10:\"compressed\";i:6022;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:106865;s:10:\"compressed\";i:91090;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:241954;s:10:\"compressed\";i:205302;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:417979;s:10:\"compressed\";i:352077;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:230731;s:10:\"compressed\";i:195845;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:139690;s:10:\"compressed\";i:118252;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:41321;s:10:\"compressed\";i:34854;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4236;s:10:\"compressed\";i:3350;}}}");
INSERT INTO `wp_postmeta` VALUES("14914", "12200", "original-file", "2023/05/CODERACK_MR_10-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14915", "12200", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14916", "12200", "smush-info", "The file was compressed from 542.77 KB to 451.11 KB saving 16.89 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14917", "12200", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:555801;s:12:\"smushed-size\";i:461932;s:15:\"savings-percent\";d:16.89;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:555801;s:10:\"compressed\";i:461932;}s:6:\"medium\";a:2:{s:8:\"original\";i:13034;s:10:\"compressed\";i:11425;}s:5:\"large\";a:2:{s:8:\"original\";i:87317;s:10:\"compressed\";i:75576;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5881;s:10:\"compressed\";i:5025;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:77326;s:10:\"compressed\";i:67082;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:189848;s:10:\"compressed\";i:161233;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:345898;s:10:\"compressed\";i:289622;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:181061;s:10:\"compressed\";i:153981;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:111772;s:10:\"compressed\";i:95946;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28671;s:10:\"compressed\";i:25131;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3582;s:10:\"compressed\";i:2942;}}}");
INSERT INTO `wp_postmeta` VALUES("14918", "12201", "original-file", "2023/05/CODERACK_MR_63-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14919", "12201", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14920", "12201", "smush-info", "The file was compressed from 440.26 KB to 380.64 KB saving 13.54 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14921", "12201", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:450822;s:12:\"smushed-size\";i:389777;s:15:\"savings-percent\";d:13.54;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:450822;s:10:\"compressed\";i:389777;}s:6:\"medium\";a:2:{s:8:\"original\";i:17812;s:10:\"compressed\";i:14957;}s:5:\"large\";a:2:{s:8:\"original\";i:107218;s:10:\"compressed\";i:92857;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7805;s:10:\"compressed\";i:6566;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:97100;s:10:\"compressed\";i:83880;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:196671;s:10:\"compressed\";i:171426;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:310856;s:10:\"compressed\";i:270333;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:189823;s:10:\"compressed\";i:165198;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127543;s:10:\"compressed\";i:110806;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39791;s:10:\"compressed\";i:33737;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4402;s:10:\"compressed\";i:3585;}}}");
INSERT INTO `wp_postmeta` VALUES("14922", "12202", "original-file", "2023/05/CODERACK_MR_1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14923", "12202", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14924", "12202", "smush-info", "The file was compressed from 394.99 KB to 329.70 KB saving 16.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14925", "12202", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:404472;s:12:\"smushed-size\";i:337609;s:15:\"savings-percent\";d:16.53;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:404472;s:10:\"compressed\";i:337609;}s:6:\"medium\";a:2:{s:8:\"original\";i:11594;s:10:\"compressed\";i:10194;}s:5:\"large\";a:2:{s:8:\"original\";i:71046;s:10:\"compressed\";i:62177;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5301;s:10:\"compressed\";i:4505;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:63753;s:10:\"compressed\";i:55966;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:144595;s:10:\"compressed\";i:124357;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:254958;s:10:\"compressed\";i:215539;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:138165;s:10:\"compressed\";i:119032;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:87282;s:10:\"compressed\";i:75871;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25035;s:10:\"compressed\";i:22197;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3264;s:10:\"compressed\";i:2673;}}}");
INSERT INTO `wp_postmeta` VALUES("14926", "12208", "original-file", "2023/05/LOUGARDO_MR_6-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14927", "12208", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14928", "12208", "smush-info", "The file was compressed from 836.89 KB to 710.79 KB saving 15.07 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14929", "12208", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:856975;s:12:\"smushed-size\";i:727852;s:15:\"savings-percent\";d:15.07;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:856975;s:10:\"compressed\";i:727852;}s:6:\"medium\";a:2:{s:8:\"original\";i:23611;s:10:\"compressed\";i:19321;}s:5:\"large\";a:2:{s:8:\"original\";i:196382;s:10:\"compressed\";i:162367;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8516;s:10:\"compressed\";i:7250;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:174974;s:10:\"compressed\";i:144587;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:379461;s:10:\"compressed\";i:317670;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:602340;s:10:\"compressed\";i:508495;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:364994;s:10:\"compressed\";i:305288;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:216968;s:10:\"compressed\";i:181641;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:61325;s:10:\"compressed\";i:50231;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4595;s:10:\"compressed\";i:3775;}}}");
INSERT INTO `wp_postmeta` VALUES("14930", "12209", "original-file", "2023/05/LOUGARDO_MR_26-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14931", "12209", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14932", "12209", "smush-info", "The file was compressed from 530.61 KB to 435.02 KB saving 18.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14933", "12209", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:543346;s:12:\"smushed-size\";i:445458;s:15:\"savings-percent\";d:18.02;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:543346;s:10:\"compressed\";i:445458;}s:6:\"medium\";a:2:{s:8:\"original\";i:11327;s:10:\"compressed\";i:9568;}s:5:\"large\";a:2:{s:8:\"original\";i:80944;s:10:\"compressed\";i:68518;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5329;s:10:\"compressed\";i:4396;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:71663;s:10:\"compressed\";i:60738;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:176875;s:10:\"compressed\";i:148238;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:328934;s:10:\"compressed\";i:272264;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:168603;s:10:\"compressed\";i:141423;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:107579;s:10:\"compressed\";i:91187;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:26026;s:10:\"compressed\";i:21966;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3191;s:10:\"compressed\";i:2519;}}}");
INSERT INTO `wp_postmeta` VALUES("14934", "12210", "original-file", "2023/05/LOUGARDO_MR_13-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14935", "12210", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14936", "12210", "smush-info", "The file was compressed from 1.09 MB to 949.35 KB saving 15.2 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14937", "12210", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1146433;s:12:\"smushed-size\";i:972131;s:15:\"savings-percent\";d:15.2;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:1146433;s:10:\"compressed\";i:972131;}s:6:\"medium\";a:2:{s:8:\"original\";i:26715;s:10:\"compressed\";i:21806;}s:5:\"large\";a:2:{s:8:\"original\";i:248616;s:10:\"compressed\";i:204599;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9918;s:10:\"compressed\";i:8474;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:220718;s:10:\"compressed\";i:181414;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:500384;s:10:\"compressed\";i:416139;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:803654;s:10:\"compressed\";i:676085;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:480646;s:10:\"compressed\";i:399679;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:316165;s:10:\"compressed\";i:260451;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:72491;s:10:\"compressed\";i:59225;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5148;s:10:\"compressed\";i:4293;}}}");
INSERT INTO `wp_postmeta` VALUES("14938", "12211", "original-file", "2023/05/LOUGARDO_MR_96-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14939", "12211", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14940", "12211", "smush-info", "The file was compressed from 396.75 KB to 341.68 KB saving 13.88 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14941", "12211", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:406269;s:12:\"smushed-size\";i:349879;s:15:\"savings-percent\";d:13.88;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:406269;s:10:\"compressed\";i:349879;}s:6:\"medium\";a:2:{s:8:\"original\";i:15952;s:10:\"compressed\";i:13499;}s:5:\"large\";a:2:{s:8:\"original\";i:94332;s:10:\"compressed\";i:81464;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7605;s:10:\"compressed\";i:6337;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:85095;s:10:\"compressed\";i:73569;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:175625;s:10:\"compressed\";i:152062;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:279878;s:10:\"compressed\";i:241934;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:168947;s:10:\"compressed\";i:146259;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:118491;s:10:\"compressed\";i:102461;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34908;s:10:\"compressed\";i:29894;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4421;s:10:\"compressed\";i:3547;}}}");
INSERT INTO `wp_postmeta` VALUES("14942", "12217", "original-file", "2023/05/HEMINGWAY_MR_4-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14943", "12217", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14944", "12217", "smush-info", "The file was compressed from 621.93 KB to 543.17 KB saving 12.66 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14945", "12217", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:636857;s:12:\"smushed-size\";i:556204;s:15:\"savings-percent\";d:12.66;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:636857;s:10:\"compressed\";i:556204;}s:6:\"medium\";a:2:{s:8:\"original\";i:19158;s:10:\"compressed\";i:16301;}s:5:\"large\";a:2:{s:8:\"original\";i:149869;s:10:\"compressed\";i:129424;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7342;s:10:\"compressed\";i:6323;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:92922;s:10:\"compressed\";i:79851;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:286407;s:10:\"compressed\";i:249310;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:450727;s:10:\"compressed\";i:393055;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:192392;s:10:\"compressed\";i:166935;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:173598;s:10:\"compressed\";i:150553;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:33097;s:10:\"compressed\";i:28180;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4087;s:10:\"compressed\";i:3408;}}}");
INSERT INTO `wp_postmeta` VALUES("14946", "12218", "original-file", "2023/05/HEMINGWAY_MR_9-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14947", "12218", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14948", "12218", "smush-info", "The file was compressed from 523.35 KB to 451.77 KB saving 13.68 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14949", "12218", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:535914;s:12:\"smushed-size\";i:462617;s:15:\"savings-percent\";d:13.68;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:535914;s:10:\"compressed\";i:462617;}s:6:\"medium\";a:2:{s:8:\"original\";i:16640;s:10:\"compressed\";i:14292;}s:5:\"large\";a:2:{s:8:\"original\";i:124922;s:10:\"compressed\";i:107984;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6782;s:10:\"compressed\";i:5787;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:111934;s:10:\"compressed\";i:96737;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:236965;s:10:\"compressed\";i:205269;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:374605;s:10:\"compressed\";i:324105;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:228698;s:10:\"compressed\";i:198072;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:142296;s:10:\"compressed\";i:123774;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:41303;s:10:\"compressed\";i:35704;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4014;s:10:\"compressed\";i:3312;}}}");
INSERT INTO `wp_postmeta` VALUES("14950", "12219", "original-file", "2023/05/HEMINGWAY_MR_123-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14951", "12219", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14952", "12219", "smush-info", "The file was compressed from 425.84 KB to 369.40 KB saving 13.26 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14953", "12219", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:436061;s:12:\"smushed-size\";i:378261;s:15:\"savings-percent\";d:13.26;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:436061;s:10:\"compressed\";i:378261;}s:6:\"medium\";a:2:{s:8:\"original\";i:15823;s:10:\"compressed\";i:13476;}s:5:\"large\";a:2:{s:8:\"original\";i:102985;s:10:\"compressed\";i:89724;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6709;s:10:\"compressed\";i:5695;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:92700;s:10:\"compressed\";i:80703;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:193725;s:10:\"compressed\";i:169184;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:305863;s:10:\"compressed\";i:266626;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:186735;s:10:\"compressed\";i:163096;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:120588;s:10:\"compressed\";i:105130;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:36130;s:10:\"compressed\";i:31234;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3964;s:10:\"compressed\";i:3280;}}}");
INSERT INTO `wp_postmeta` VALUES("14954", "12220", "original-file", "2023/05/HEMINGWAY_MR_76-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14955", "12220", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14956", "12220", "smush-info", "The file was compressed from 396.39 KB to 339.27 KB saving 14.41 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14957", "12220", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:405903;s:12:\"smushed-size\";i:347408;s:15:\"savings-percent\";d:14.41;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:405903;s:10:\"compressed\";i:347408;}s:6:\"medium\";a:2:{s:8:\"original\";i:14507;s:10:\"compressed\";i:12495;}s:5:\"large\";a:2:{s:8:\"original\";i:95825;s:10:\"compressed\";i:83410;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6411;s:10:\"compressed\";i:5381;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:86019;s:10:\"compressed\";i:75011;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:179894;s:10:\"compressed\";i:156192;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:283534;s:10:\"compressed\";i:244347;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:172835;s:10:\"compressed\";i:150124;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:114103;s:10:\"compressed\";i:99352;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:33450;s:10:\"compressed\";i:29029;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3763;s:10:\"compressed\";i:3084;}}}");
INSERT INTO `wp_postmeta` VALUES("14958", "12226", "original-file", "2023/05/MOJITO_MR_86-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14959", "12226", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14960", "12226", "smush-info", "The file was compressed from 520.13 KB to 455.71 KB saving 12.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14961", "12226", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:532610;s:12:\"smushed-size\";i:466645;s:15:\"savings-percent\";d:12.39;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:532610;s:10:\"compressed\";i:466645;}s:6:\"medium\";a:2:{s:8:\"original\";i:20174;s:10:\"compressed\";i:16878;}s:5:\"large\";a:2:{s:8:\"original\";i:127256;s:10:\"compressed\";i:110079;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8332;s:10:\"compressed\";i:7029;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:114965;s:10:\"compressed\";i:99248;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:235147;s:10:\"compressed\";i:205741;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:370230;s:10:\"compressed\";i:324478;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:226803;s:10:\"compressed\";i:198272;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:131441;s:10:\"compressed\";i:115102;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:45831;s:10:\"compressed\";i:38889;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4804;s:10:\"compressed\";i:3916;}}}");
INSERT INTO `wp_postmeta` VALUES("14962", "12227", "original-file", "2023/05/MOJITO_MR_15-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14963", "12227", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14964", "12227", "smush-info", "The file was compressed from 520.80 KB to 454.35 KB saving 12.76 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14965", "12227", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:533295;s:12:\"smushed-size\";i:465253;s:15:\"savings-percent\";d:12.76;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:533295;s:10:\"compressed\";i:465253;}s:6:\"medium\";a:2:{s:8:\"original\";i:19062;s:10:\"compressed\";i:16026;}s:5:\"large\";a:2:{s:8:\"original\";i:122512;s:10:\"compressed\";i:106229;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7778;s:10:\"compressed\";i:6591;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:110400;s:10:\"compressed\";i:95625;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:229943;s:10:\"compressed\";i:200713;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:365516;s:10:\"compressed\";i:319623;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:221782;s:10:\"compressed\";i:193380;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:136300;s:10:\"compressed\";i:118734;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:43595;s:10:\"compressed\";i:37114;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4445;s:10:\"compressed\";i:3645;}}}");
INSERT INTO `wp_postmeta` VALUES("14966", "12228", "original-file", "2023/05/MOJITO_MR_50-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14967", "12228", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14968", "12228", "smush-info", "The file was compressed from 432.16 KB to 369.69 KB saving 14.45 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14969", "12228", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:442531;s:12:\"smushed-size\";i:378564;s:15:\"savings-percent\";d:14.45;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:442531;s:10:\"compressed\";i:378564;}s:6:\"medium\";a:2:{s:8:\"original\";i:15292;s:10:\"compressed\";i:13029;}s:5:\"large\";a:2:{s:8:\"original\";i:98679;s:10:\"compressed\";i:84866;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6966;s:10:\"compressed\";i:5880;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:88759;s:10:\"compressed\";i:76454;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:187888;s:10:\"compressed\";i:161462;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:301560;s:10:\"compressed\";i:258657;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:180291;s:10:\"compressed\";i:155039;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:126161;s:10:\"compressed\";i:108540;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34529;s:10:\"compressed\";i:29681;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4057;s:10:\"compressed\";i:3310;}}}");
INSERT INTO `wp_postmeta` VALUES("14970", "12229", "original-file", "2023/05/MOJITO_MR_7-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14971", "12229", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14972", "12229", "smush-info", "The file was compressed from 603.14 KB to 523.44 KB saving 13.22 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14973", "12229", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:617620;s:12:\"smushed-size\";i:536000;s:15:\"savings-percent\";d:13.22;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:617620;s:10:\"compressed\";i:536000;}s:6:\"medium\";a:2:{s:8:\"original\";i:22082;s:10:\"compressed\";i:18276;}s:5:\"large\";a:2:{s:8:\"original\";i:147431;s:10:\"compressed\";i:125886;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9234;s:10:\"compressed\";i:7720;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:132610;s:10:\"compressed\";i:113064;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:275560;s:10:\"compressed\";i:237521;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:433172;s:10:\"compressed\";i:375273;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:265887;s:10:\"compressed\";i:228851;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:181014;s:10:\"compressed\";i:154931;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:51714;s:10:\"compressed\";i:43381;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5147;s:10:\"compressed\";i:4196;}}}");
INSERT INTO `wp_postmeta` VALUES("14974", "12235", "original-file", "2023/05/CALICEV2_MR_031-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14975", "12235", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14976", "12235", "smush-info", "The file was compressed from 675.53 KB to 563.87 KB saving 16.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14977", "12235", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:691742;s:12:\"smushed-size\";i:577402;s:15:\"savings-percent\";d:16.53;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:691742;s:10:\"compressed\";i:577402;}s:6:\"medium\";a:2:{s:8:\"original\";i:15222;s:10:\"compressed\";i:13003;}s:5:\"large\";a:2:{s:8:\"original\";i:104054;s:10:\"compressed\";i:89425;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7371;s:10:\"compressed\";i:6167;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:225050;s:10:\"compressed\";i:191756;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:419888;s:10:\"compressed\";i:352615;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:245008;s:10:\"compressed\";i:208418;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:143270;s:10:\"compressed\";i:122461;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38126;s:10:\"compressed\";i:32596;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4325;s:10:\"compressed\";i:3501;}}}");
INSERT INTO `wp_postmeta` VALUES("14978", "12236", "original-file", "2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14979", "12236", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14980", "12236", "smush-info", "The file was compressed from 438.38 KB to 369.85 KB saving 15.63 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14981", "12236", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:448898;s:12:\"smushed-size\";i:378731;s:15:\"savings-percent\";d:15.63;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:448898;s:10:\"compressed\";i:378731;}s:6:\"medium\";a:2:{s:8:\"original\";i:14287;s:10:\"compressed\";i:12344;}s:5:\"large\";a:2:{s:8:\"original\";i:88446;s:10:\"compressed\";i:76952;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6091;s:10:\"compressed\";i:5221;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:79348;s:10:\"compressed\";i:69246;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:176067;s:10:\"compressed\";i:151950;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:298402;s:10:\"compressed\";i:254365;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:168973;s:10:\"compressed\";i:145835;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:102895;s:10:\"compressed\";i:89131;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:31174;s:10:\"compressed\";i:27324;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3730;s:10:\"compressed\";i:3089;}}}");
INSERT INTO `wp_postmeta` VALUES("14982", "12237", "original-file", "2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14983", "12237", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14984", "12237", "smush-info", "The file was compressed from 481.49 KB to 417.45 KB saving 13.3 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14985", "12237", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:493043;s:12:\"smushed-size\";i:427472;s:15:\"savings-percent\";d:13.3;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:493043;s:10:\"compressed\";i:427472;}s:6:\"medium\";a:2:{s:8:\"original\";i:18553;s:10:\"compressed\";i:15672;}s:5:\"large\";a:2:{s:8:\"original\";i:122971;s:10:\"compressed\";i:106065;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8196;s:10:\"compressed\";i:6919;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:110650;s:10:\"compressed\";i:95497;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:228305;s:10:\"compressed\";i:197923;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:352978;s:10:\"compressed\";i:306031;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:220098;s:10:\"compressed\";i:190767;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:146369;s:10:\"compressed\";i:126877;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:42998;s:10:\"compressed\";i:36670;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4757;s:10:\"compressed\";i:3857;}}}");
INSERT INTO `wp_postmeta` VALUES("14986", "12238", "original-file", "2023/05/LECALICE_LADIESNIGHT_MR_16-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14987", "12238", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14988", "12238", "smush-info", "The file was compressed from 603.05 KB to 516.44 KB saving 14.36 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14989", "12238", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:617523;s:12:\"smushed-size\";i:528834;s:15:\"savings-percent\";d:14.36;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:617523;s:10:\"compressed\";i:528834;}s:6:\"medium\";a:2:{s:8:\"original\";i:16745;s:10:\"compressed\";i:14164;}s:5:\"large\";a:2:{s:8:\"original\";i:135387;s:10:\"compressed\";i:115438;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6729;s:10:\"compressed\";i:5746;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:121092;s:10:\"compressed\";i:103304;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:267252;s:10:\"compressed\";i:228337;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:429156;s:10:\"compressed\";i:366738;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:256448;s:10:\"compressed\";i:219114;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:159836;s:10:\"compressed\";i:136628;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:42469;s:10:\"compressed\";i:36015;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3707;s:10:\"compressed\";i:3039;}}}");
INSERT INTO `wp_postmeta` VALUES("14990", "12239", "original-file", "2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14991", "12239", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14992", "12239", "smush-info", "The file was compressed from 498.42 KB to 427.39 KB saving 14.25 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14993", "12239", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:510386;s:12:\"smushed-size\";i:437645;s:15:\"savings-percent\";d:14.25;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:510386;s:10:\"compressed\";i:437645;}s:6:\"medium\";a:2:{s:8:\"original\";i:18433;s:10:\"compressed\";i:15457;}s:5:\"large\";a:2:{s:8:\"original\";i:122016;s:10:\"compressed\";i:104218;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7857;s:10:\"compressed\";i:6653;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:109900;s:10:\"compressed\";i:93797;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:228639;s:10:\"compressed\";i:195789;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:359282;s:10:\"compressed\";i:307979;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:220733;s:10:\"compressed\";i:189020;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:136677;s:10:\"compressed\";i:116986;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:42514;s:10:\"compressed\";i:36023;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4477;s:10:\"compressed\";i:3671;}}}");
INSERT INTO `wp_postmeta` VALUES("14994", "12245", "original-file", "2023/05/LASUBLIMEPORTE_MR_21-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14995", "12245", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("14996", "12245", "smush-info", "The file was compressed from 791.69 KB to 675.75 KB saving 14.65 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("14997", "12245", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:810695;s:12:\"smushed-size\";i:691963;s:15:\"savings-percent\";d:14.65;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:810695;s:10:\"compressed\";i:691963;}s:6:\"medium\";a:2:{s:8:\"original\";i:24010;s:10:\"compressed\";i:19737;}s:5:\"large\";a:2:{s:8:\"original\";i:199146;s:10:\"compressed\";i:166103;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9180;s:10:\"compressed\";i:7827;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:178822;s:10:\"compressed\";i:148899;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:373635;s:10:\"compressed\";i:315319;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:577088;s:10:\"compressed\";i:489881;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:360155;s:10:\"compressed\";i:303500;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:242159;s:10:\"compressed\";i:202153;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:63773;s:10:\"compressed\";i:52325;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4769;s:10:\"compressed\";i:3957;}}}");
INSERT INTO `wp_postmeta` VALUES("14998", "12246", "original-file", "2023/05/LASUBLIMEPORTE_MR_74-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("14999", "12246", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15000", "12246", "smush-info", "The file was compressed from 662.14 KB to 562.79 KB saving 15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15001", "12246", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:678032;s:12:\"smushed-size\";i:576300;s:15:\"savings-percent\";d:15;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:678032;s:10:\"compressed\";i:576300;}s:6:\"medium\";a:2:{s:8:\"original\";i:25271;s:10:\"compressed\";i:19769;}s:5:\"large\";a:2:{s:8:\"original\";i:175556;s:10:\"compressed\";i:142617;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:10009;s:10:\"compressed\";i:8121;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:322563;s:10:\"compressed\";i:267383;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:491204;s:10:\"compressed\";i:412768;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:342577;s:10:\"compressed\";i:284380;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:203491;s:10:\"compressed\";i:166818;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:67854;s:10:\"compressed\";i:53614;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5428;s:10:\"compressed\";i:4302;}}}");
INSERT INTO `wp_postmeta` VALUES("15002", "12247", "original-file", "2023/05/LASUBLIMEPORTE_MR_23-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15003", "12247", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15004", "12247", "smush-info", "The file was compressed from 455.91 KB to 389.66 KB saving 14.53 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15005", "12247", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:466853;s:12:\"smushed-size\";i:399012;s:15:\"savings-percent\";d:14.53;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:466853;s:10:\"compressed\";i:399012;}s:6:\"medium\";a:2:{s:8:\"original\";i:16071;s:10:\"compressed\";i:13787;}s:5:\"large\";a:2:{s:8:\"original\";i:97201;s:10:\"compressed\";i:84793;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6941;s:10:\"compressed\";i:5910;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:87516;s:10:\"compressed\";i:76268;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:184538;s:10:\"compressed\";i:160945;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:306566;s:10:\"compressed\";i:264954;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:177337;s:10:\"compressed\";i:154807;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:115376;s:10:\"compressed\";i:100865;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:35286;s:10:\"compressed\";i:30499;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4001;s:10:\"compressed\";i:3305;}}}");
INSERT INTO `wp_postmeta` VALUES("15006", "12248", "original-file", "2023/05/LASUBLIMEPORTE_MR_61-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15007", "12248", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15008", "12248", "smush-info", "The file was compressed from 408.43 KB to 343.44 KB saving 15.91 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15009", "12248", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:418233;s:12:\"smushed-size\";i:351681;s:15:\"savings-percent\";d:15.91;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:418233;s:10:\"compressed\";i:351681;}s:6:\"medium\";a:2:{s:8:\"original\";i:12893;s:10:\"compressed\";i:11111;}s:5:\"large\";a:2:{s:8:\"original\";i:80970;s:10:\"compressed\";i:70350;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5996;s:10:\"compressed\";i:5073;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:72629;s:10:\"compressed\";i:63238;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:157485;s:10:\"compressed\";i:135644;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:267405;s:10:\"compressed\";i:227563;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:150938;s:10:\"compressed\";i:130183;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:102230;s:10:\"compressed\";i:88426;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28713;s:10:\"compressed\";i:24925;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3605;s:10:\"compressed\";i:2959;}}}");
INSERT INTO `wp_postmeta` VALUES("15010", "12252", "original-file", "2023/05/Google-Business-Profile-1-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("15011", "12252", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15012", "12252", "smush-info", "The file was compressed from 140.63 KB to 94.01 KB saving 33.15 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15013", "12252", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:144003;s:12:\"smushed-size\";i:96263;s:15:\"savings-percent\";d:33.15;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:144003;s:10:\"compressed\";i:96263;}s:6:\"medium\";a:2:{s:8:\"original\";i:8833;s:10:\"compressed\";i:7348;}s:5:\"large\";a:2:{s:8:\"original\";i:60990;s:10:\"compressed\";i:49246;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5110;s:10:\"compressed\";i:4194;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:39423;s:10:\"compressed\";i:31908;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:110213;s:10:\"compressed\";i:87930;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:76828;s:10:\"compressed\";i:61712;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:97224;s:10:\"compressed\";i:77648;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:14272;s:10:\"compressed\";i:11804;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2957;s:10:\"compressed\";i:2336;}}}");
INSERT INTO `wp_postmeta` VALUES("15014", "12257", "original-file", "2023/04/messagerie_instagram_restaurant_2023-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15015", "12257", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15016", "12257", "smush-info", "The file was compressed from 127.44 KB to 81.58 KB saving 35.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15017", "12257", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:130502;s:12:\"smushed-size\";i:83540;s:15:\"savings-percent\";d:35.99;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:130502;s:10:\"compressed\";i:83540;}s:6:\"medium\";a:2:{s:8:\"original\";i:11315;s:10:\"compressed\";i:9849;}s:5:\"large\";a:2:{s:8:\"original\";i:66502;s:10:\"compressed\";i:57991;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6403;s:10:\"compressed\";i:5493;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:43775;s:10:\"compressed\";i:38184;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:84329;s:10:\"compressed\";i:73286;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:87842;s:10:\"compressed\";i:76437;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17995;s:10:\"compressed\";i:15723;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3814;s:10:\"compressed\";i:3147;}}}");
INSERT INTO `wp_postmeta` VALUES("15018", "12267", "original-file", "2023/04/commentaire-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15019", "12267", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15020", "12267", "smush-info", "The file was compressed from 824.27 KB to 351.29 KB saving 57.38 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15021", "12267", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:844051;s:12:\"smushed-size\";i:359717;s:15:\"savings-percent\";d:57.38;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:844051;s:10:\"compressed\";i:359717;}s:6:\"medium\";a:2:{s:8:\"original\";i:66150;s:10:\"compressed\";i:25442;}s:5:\"large\";a:2:{s:8:\"original\";i:598558;s:10:\"compressed\";i:246957;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:24336;s:10:\"compressed\";i:10483;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:358844;s:10:\"compressed\";i:142001;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:730947;s:10:\"compressed\";i:312965;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:117481;s:10:\"compressed\";i:44545;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:12138;s:10:\"compressed\";i:5739;}}}");
INSERT INTO `wp_postmeta` VALUES("15022", "12274", "original-file", "2023/01/restauratrice-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15023", "12274", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15024", "12274", "smush-info", "The file was compressed from 1.19 MB to 452.30 KB saving 62.87 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15025", "12274", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1247495;s:12:\"smushed-size\";i:463156;s:15:\"savings-percent\";d:62.87;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:1247495;s:10:\"compressed\";i:463156;}s:6:\"medium\";a:2:{s:8:\"original\";i:108519;s:10:\"compressed\";i:40647;}s:5:\"large\";a:2:{s:8:\"original\";i:889164;s:10:\"compressed\";i:339012;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:41103;s:10:\"compressed\";i:15987;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:544692;s:10:\"compressed\";i:203357;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:1066070;s:10:\"compressed\";i:357211;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:189323;s:10:\"compressed\";i:69849;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:20478;s:10:\"compressed\";i:8464;}}}");
INSERT INTO `wp_postmeta` VALUES("15026", "12287", "original-file", "2022/06/gaspillage-alimentaire-restaurant-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15027", "12287", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15028", "12287", "smush-info", "The file was compressed from 67.57 KB to 55.13 KB saving 18.42 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15029", "12287", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:69194;s:12:\"smushed-size\";i:56448;s:15:\"savings-percent\";d:18.42;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:69194;s:10:\"compressed\";i:56448;}s:6:\"medium\";a:2:{s:8:\"original\";i:22872;s:10:\"compressed\";i:18683;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:10983;s:10:\"compressed\";i:8807;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:37622;s:10:\"compressed\";i:31069;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5894;s:10:\"compressed\";i:4865;}}}");
INSERT INTO `wp_postmeta` VALUES("15030", "12297", "original-file", "2022/06/Franchise-e-sushi-scaled-2-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15031", "12297", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15032", "12297", "smush-info", "The file was compressed from 442.65 KB to 383.79 KB saving 13.3 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15033", "12297", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:453270;s:12:\"smushed-size\";i:393003;s:15:\"savings-percent\";d:13.3;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:453270;s:10:\"compressed\";i:393003;}s:6:\"medium\";a:2:{s:8:\"original\";i:20054;s:10:\"compressed\";i:16934;}s:5:\"large\";a:2:{s:8:\"original\";i:147027;s:10:\"compressed\";i:126906;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8943;s:10:\"compressed\";i:7691;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:91475;s:10:\"compressed\";i:78599;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:271117;s:10:\"compressed\";i:235391;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:184391;s:10:\"compressed\";i:159617;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:194039;s:10:\"compressed\";i:168156;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34138;s:10:\"compressed\";i:28961;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4881;s:10:\"compressed\";i:4081;}}}");
INSERT INTO `wp_postmeta` VALUES("15034", "12304", "original-file", "2022/05/food-porn-photo-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15035", "12304", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15036", "12304", "smush-info", "The file was compressed from 52.81 KB to 38.52 KB saving 27.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15037", "12304", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:54082;s:12:\"smushed-size\";i:39445;s:15:\"savings-percent\";d:27.06;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:54082;s:10:\"compressed\";i:39445;}s:6:\"medium\";a:2:{s:8:\"original\";i:16257;s:10:\"compressed\";i:13668;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8501;s:10:\"compressed\";i:7113;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25369;s:10:\"compressed\";i:21430;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5142;s:10:\"compressed\";i:4157;}}}");
INSERT INTO `wp_postmeta` VALUES("15038", "12317", "original-file", "2022/05/hemblem-influence-3-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15039", "12317", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15040", "12317", "smush-info", "The file was compressed from 72.16 KB to 57.54 KB saving 20.27 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15041", "12317", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:73892;s:12:\"smushed-size\";i:58916;s:15:\"savings-percent\";d:20.27;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:73892;s:10:\"compressed\";i:58916;}s:6:\"medium\";a:2:{s:8:\"original\";i:24222;s:10:\"compressed\";i:19486;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:11162;s:10:\"compressed\";i:8883;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39587;s:10:\"compressed\";i:32420;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:6112;s:10:\"compressed\";i:4958;}}}");
INSERT INTO `wp_postmeta` VALUES("15042", "12333", "original-file", "2022/04/concept-de-restaurant-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15043", "12333", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15044", "12333", "smush-info", "The file was compressed from 88.57 KB to 63.75 KB saving 28.03 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15045", "12333", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:90696;s:12:\"smushed-size\";i:65277;s:15:\"savings-percent\";d:28.03;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:90696;s:10:\"compressed\";i:65277;}s:6:\"medium\";a:2:{s:8:\"original\";i:21717;s:10:\"compressed\";i:18183;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8571;s:10:\"compressed\";i:7316;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:36412;s:10:\"compressed\";i:30668;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4613;s:10:\"compressed\";i:3822;}}}");
INSERT INTO `wp_postmeta` VALUES("15046", "12340", "original-file", "2022/04/hashtags-food-entete-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15047", "12340", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15048", "12340", "smush-info", "The file was compressed from 68.64 KB to 68.64 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15049", "12340", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:70284;s:12:\"smushed-size\";i:70284;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:70284;s:10:\"compressed\";i:70284;}s:6:\"medium\";a:2:{s:8:\"original\";i:26922;s:10:\"compressed\";i:22138;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:12093;s:10:\"compressed\";i:9899;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:44308;s:10:\"compressed\";i:36723;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:6070;s:10:\"compressed\";i:5131;}}}");
INSERT INTO `wp_postmeta` VALUES("15050", "12348", "original-file", "2022/04/menu-digital-avec-WhatisEAT-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15051", "12348", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15052", "12348", "smush-info", "The file was compressed from 90.37 KB to 31.47 KB saving 65.17 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15053", "12348", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:92537;s:12:\"smushed-size\";i:32228;s:15:\"savings-percent\";d:65.17;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:92537;s:10:\"compressed\";i:32228;}s:6:\"medium\";a:2:{s:8:\"original\";i:14894;s:10:\"compressed\";i:12700;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7788;s:10:\"compressed\";i:6602;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23771;s:10:\"compressed\";i:20404;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4494;s:10:\"compressed\";i:3716;}}}");
INSERT INTO `wp_postmeta` VALUES("15054", "12359", "original-file", "2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15055", "12359", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15056", "12359", "smush-info", "The file was compressed from 70.45 KB to 61.07 KB saving 13.31 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15057", "12359", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:72136;s:12:\"smushed-size\";i:62536;s:15:\"savings-percent\";d:13.31;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:72136;s:10:\"compressed\";i:62536;}s:6:\"medium\";a:2:{s:8:\"original\";i:13828;s:10:\"compressed\";i:11604;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8156;s:10:\"compressed\";i:6894;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:50651;s:10:\"compressed\";i:43670;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21786;s:10:\"compressed\";i:18434;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4955;s:10:\"compressed\";i:4074;}}}");
INSERT INTO `wp_postmeta` VALUES("15058", "12366", "original-file", "2021/06/pablopanini_1080x1080-117112-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15059", "12366", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15060", "12366", "smush-info", "The file was compressed from 229.64 KB to 157.82 KB saving 31.28 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15061", "12366", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:235147;s:12:\"smushed-size\";i:161603;s:15:\"savings-percent\";d:31.28;s:10:\"sizes-info\";a:7:{s:4:\"full\";a:2:{s:8:\"original\";i:235147;s:10:\"compressed\";i:161603;}s:6:\"medium\";a:2:{s:8:\"original\";i:27009;s:10:\"compressed\";i:22457;}s:5:\"large\";a:2:{s:8:\"original\";i:168003;s:10:\"compressed\";i:145949;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9014;s:10:\"compressed\";i:7560;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:111894;s:10:\"compressed\";i:96355;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:45124;s:10:\"compressed\";i:37930;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4902;s:10:\"compressed\";i:3950;}}}");
INSERT INTO `wp_postmeta` VALUES("15062", "12374", "original-file", "2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15063", "12374", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15064", "12374", "smush-info", "The file was compressed from 20.72 KB to 20.72 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15065", "12374", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:21215;s:12:\"smushed-size\";i:21215;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:21215;s:10:\"compressed\";i:21215;}s:6:\"medium\";a:2:{s:8:\"original\";i:11345;s:10:\"compressed\";i:9885;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5517;s:10:\"compressed\";i:4702;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17457;s:10:\"compressed\";i:15373;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3423;s:10:\"compressed\";i:2803;}}}");
INSERT INTO `wp_postmeta` VALUES("15066", "12381", "original-file", "2020/06/Sans-titre-2022-03-30T162439.577-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15067", "12381", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15068", "12381", "smush-info", "The file was compressed from 1.10 MB to 372.21 KB saving 66.83 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15069", "12381", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1149029;s:12:\"smushed-size\";i:381147;s:15:\"savings-percent\";d:66.83;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:1149029;s:10:\"compressed\";i:381147;}s:6:\"medium\";a:2:{s:8:\"original\";i:121421;s:10:\"compressed\";i:42941;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:46470;s:10:\"compressed\";i:17143;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:658645;s:10:\"compressed\";i:226281;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:218710;s:10:\"compressed\";i:75876;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:22698;s:10:\"compressed\";i:8996;}}}");
INSERT INTO `wp_postmeta` VALUES("15070", "12389", "original-file", "2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15071", "12389", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15072", "12389", "smush-info", "The file was compressed from 39.52 KB to 39.51 KB saving 0.01 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15073", "12389", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:40464;s:12:\"smushed-size\";i:40461;s:15:\"savings-percent\";d:0.01;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:40464;s:10:\"compressed\";i:40461;}s:6:\"medium\";a:2:{s:8:\"original\";i:11111;s:10:\"compressed\";i:9371;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6987;s:10:\"compressed\";i:5784;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:33991;s:10:\"compressed\";i:29630;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:15940;s:10:\"compressed\";i:13699;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4412;s:10:\"compressed\";i:3569;}}}");
INSERT INTO `wp_postmeta` VALUES("15074", "12396", "original-file", "2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15075", "12396", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15076", "12396", "smush-info", "The file was compressed from 225.02 KB to 225.02 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15077", "12396", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:230419;s:12:\"smushed-size\";i:230419;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:230419;s:10:\"compressed\";i:230419;}s:6:\"medium\";a:2:{s:8:\"original\";i:107633;s:10:\"compressed\";i:31760;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:44338;s:10:\"compressed\";i:13918;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:649398;s:10:\"compressed\";i:166930;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:194538;s:10:\"compressed\";i:54067;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:22145;s:10:\"compressed\";i:7839;}}}");
INSERT INTO `wp_postmeta` VALUES("15078", "12403", "original-file", "2018/10/coursier-velo-illustration-828622-0@1x-1-updraft-pre-smush-original.jpeg");
INSERT INTO `wp_postmeta` VALUES("15079", "12403", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15080", "12403", "smush-info", "The file was compressed from 27.58 KB to 27.58 KB saving 0 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15081", "12403", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:28238;s:12:\"smushed-size\";i:28238;s:15:\"savings-percent\";d:0;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:28238;s:10:\"compressed\";i:28238;}s:6:\"medium\";a:2:{s:8:\"original\";i:11648;s:10:\"compressed\";i:10069;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6349;s:10:\"compressed\";i:5414;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:18944;s:10:\"compressed\";i:16403;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3704;s:10:\"compressed\";i:3033;}}}");
INSERT INTO `wp_postmeta` VALUES("15082", "12411", "original-file", "2018/09/marketing-restaurant-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15083", "12411", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15084", "12411", "smush-info", "The file was compressed from 38.82 KB to 32.07 KB saving 17.4 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15085", "12411", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:39756;s:12:\"smushed-size\";i:32840;s:15:\"savings-percent\";d:17.4;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:39756;s:10:\"compressed\";i:32840;}s:6:\"medium\";a:2:{s:8:\"original\";i:14496;s:10:\"compressed\";i:12336;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7598;s:10:\"compressed\";i:6476;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22524;s:10:\"compressed\";i:19325;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4464;s:10:\"compressed\";i:3696;}}}");
INSERT INTO `wp_postmeta` VALUES("15086", "12418", "original-file", "2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15087", "12418", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15088", "12418", "smush-info", "The file was compressed from 110.52 KB to 104.79 KB saving 5.18 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15089", "12418", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:113169;s:12:\"smushed-size\";i:107306;s:15:\"savings-percent\";d:5.18;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:113169;s:10:\"compressed\";i:107306;}s:6:\"medium\";a:2:{s:8:\"original\";i:15697;s:10:\"compressed\";i:13406;}s:5:\"large\";a:2:{s:8:\"original\";i:108299;s:10:\"compressed\";i:94428;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7390;s:10:\"compressed\";i:6317;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:68910;s:10:\"compressed\";i:59902;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:124803;s:10:\"compressed\";i:108068;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:26173;s:10:\"compressed\";i:22529;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4068;s:10:\"compressed\";i:3352;}}}");
INSERT INTO `wp_postmeta` VALUES("15090", "12425", "original-file", "2018/08/IMG_13881542-1080x675-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15091", "12425", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15092", "12425", "smush-info", "The file was compressed from 122.78 KB to 112.70 KB saving 8.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15093", "12425", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:125723;s:12:\"smushed-size\";i:115405;s:15:\"savings-percent\";d:8.21;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:125723;s:10:\"compressed\";i:115405;}s:6:\"medium\";a:2:{s:8:\"original\";i:17665;s:10:\"compressed\";i:14905;}s:5:\"large\";a:2:{s:8:\"original\";i:117889;s:10:\"compressed\";i:102770;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8364;s:10:\"compressed\";i:7166;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:76029;s:10:\"compressed\";i:66019;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:133771;s:10:\"compressed\";i:116066;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29497;s:10:\"compressed\";i:25112;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4757;s:10:\"compressed\";i:3940;}}}");
INSERT INTO `wp_postmeta` VALUES("15094", "12436", "original-file", "2018/08/slider-template-2-1080x675-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15095", "12436", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15096", "12436", "smush-info", "The file was compressed from 92.18 KB to 84.62 KB saving 8.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15097", "12436", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:94392;s:12:\"smushed-size\";i:86647;s:15:\"savings-percent\";d:8.21;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:94392;s:10:\"compressed\";i:86647;}s:6:\"medium\";a:2:{s:8:\"original\";i:14913;s:10:\"compressed\";i:12772;}s:5:\"large\";a:2:{s:8:\"original\";i:90337;s:10:\"compressed\";i:79563;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6615;s:10:\"compressed\";i:5682;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:59403;s:10:\"compressed\";i:52021;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:100749;s:10:\"compressed\";i:88023;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:24287;s:10:\"compressed\";i:20970;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3893;s:10:\"compressed\";i:3243;}}}");
INSERT INTO `wp_postmeta` VALUES("15098", "12443", "original-file", "2018/07/Avis-negatif-Facebook-Journal-du-CM-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15099", "12443", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15100", "12443", "smush-info", "The file was compressed from 29.75 KB to 29.02 KB saving 2.44 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15101", "12443", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:30463;s:12:\"smushed-size\";i:29720;s:15:\"savings-percent\";d:2.44;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:30463;s:10:\"compressed\";i:29720;}s:6:\"medium\";a:2:{s:8:\"original\";i:7107;s:10:\"compressed\";i:6071;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:3928;s:10:\"compressed\";i:3257;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:30279;s:10:\"compressed\";i:25085;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:11570;s:10:\"compressed\";i:9728;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2410;s:10:\"compressed\";i:1905;}}}");
INSERT INTO `wp_postmeta` VALUES("15102", "12453", "original-file", "2018/04/b8177331c059737e7716c47e13112c88-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15103", "12453", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15104", "12453", "smush-info", "The file was compressed from 54.30 KB to 51.38 KB saving 5.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15105", "12453", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:55604;s:12:\"smushed-size\";i:52608;s:15:\"savings-percent\";d:5.39;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:55604;s:10:\"compressed\";i:52608;}s:6:\"medium\";a:2:{s:8:\"original\";i:13512;s:10:\"compressed\";i:11584;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6776;s:10:\"compressed\";i:5843;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22458;s:10:\"compressed\";i:19338;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3888;s:10:\"compressed\";i:3192;}}}");
INSERT INTO `wp_postmeta` VALUES("15106", "12461", "original-file", "2018/02/avis-client-1-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15107", "12461", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15108", "12461", "smush-info", "The file was compressed from 32.00 KB to 24.69 KB saving 22.84 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15109", "12461", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:32766;s:12:\"smushed-size\";i:25283;s:15:\"savings-percent\";d:22.84;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:32766;s:10:\"compressed\";i:25283;}s:6:\"medium\";a:2:{s:8:\"original\";i:11606;s:10:\"compressed\";i:9413;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7062;s:10:\"compressed\";i:5746;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17722;s:10:\"compressed\";i:14459;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4190;s:10:\"compressed\";i:3338;}}}");
INSERT INTO `wp_postmeta` VALUES("15110", "12566", "original-file", "2023/06/MR__4249-2-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15111", "12566", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15112", "12566", "smush-info", "The file was compressed from 516.62 KB to 439.51 KB saving 14.93 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15113", "12566", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:529018;s:12:\"smushed-size\";i:450059;s:15:\"savings-percent\";d:14.93;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:529018;s:10:\"compressed\";i:450059;}s:6:\"medium\";a:2:{s:8:\"original\";i:15665;s:10:\"compressed\";i:13330;}s:5:\"large\";a:2:{s:8:\"original\";i:98139;s:10:\"compressed\";i:86142;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7584;s:10:\"compressed\";i:6464;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:62780;s:10:\"compressed\";i:54877;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:194061;s:10:\"compressed\";i:169389;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:335780;s:10:\"compressed\";i:288985;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:126678;s:10:\"compressed\";i:111066;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:134743;s:10:\"compressed\";i:117491;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25590;s:10:\"compressed\";i:21946;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4366;s:10:\"compressed\";i:3605;}}}");
INSERT INTO `wp_postmeta` VALUES("15114", "12571", "original-file", "2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15115", "12571", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15116", "12571", "smush-info", "The file was compressed from 3.56 KB to 1.71 KB saving 51.87 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15117", "12571", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:3644;s:12:\"smushed-size\";i:1754;s:15:\"savings-percent\";d:51.87;s:10:\"sizes-info\";a:5:{s:4:\"full\";a:2:{s:8:\"original\";i:3644;s:10:\"compressed\";i:1754;}s:6:\"medium\";a:2:{s:8:\"original\";i:6095;s:10:\"compressed\";i:3615;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1225;s:10:\"compressed\";i:607;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8090;s:10:\"compressed\";i:4593;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2351;s:10:\"compressed\";i:1685;}}}");
INSERT INTO `wp_postmeta` VALUES("15118", "12606", "original-file", "2023/06/K-LOGO-NOIR-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15119", "12606", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15120", "12606", "smush-info", "The file was compressed from 10.13 KB to 6.46 KB saving 36.25 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15121", "12606", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:10377;s:12:\"smushed-size\";i:6615;s:15:\"savings-percent\";d:36.25;s:10:\"sizes-info\";a:6:{s:4:\"full\";a:2:{s:8:\"original\";i:10377;s:10:\"compressed\";i:6615;}s:6:\"medium\";a:2:{s:8:\"original\";i:3360;s:10:\"compressed\";i:2100;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:1498;s:10:\"compressed\";i:1219;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:12173;s:10:\"compressed\";i:6430;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:5153;s:10:\"compressed\";i:3066;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:941;s:10:\"compressed\";i:879;}}}");
INSERT INTO `wp_postmeta` VALUES("15122", "12607", "original-file", "2023/06/cropped-K-LOGO-NOIR-1-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15123", "12607", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15124", "12607", "smush-info", "The file was compressed from 9.55 KB to 5.12 KB saving 46.39 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15125", "12607", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:9776;s:12:\"smushed-size\";i:5241;s:15:\"savings-percent\";d:46.39;s:10:\"sizes-info\";a:9:{s:4:\"full\";a:2:{s:8:\"original\";i:9776;s:10:\"compressed\";i:5241;}s:6:\"medium\";a:2:{s:8:\"original\";i:5171;s:10:\"compressed\";i:3038;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:2215;s:10:\"compressed\";i:1534;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:8424;s:10:\"compressed\";i:4665;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:1324;s:10:\"compressed\";i:1147;}s:13:\"site_icon-270\";a:2:{s:8:\"original\";i:4446;s:10:\"compressed\";i:2682;}s:13:\"site_icon-192\";a:2:{s:8:\"original\";i:2857;s:10:\"compressed\";i:1929;}s:13:\"site_icon-180\";a:2:{s:8:\"original\";i:2707;s:10:\"compressed\";i:1831;}s:12:\"site_icon-32\";a:2:{s:8:\"original\";i:482;s:10:\"compressed\";i:482;}}}");
INSERT INTO `wp_postmeta` VALUES("15126", "12618", "original-file", "2023/06/PORTRAITKOOK-15-2-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15127", "12618", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15128", "12618", "smush-info", "The file was compressed from 445.39 KB to 368.64 KB saving 17.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15129", "12618", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:456079;s:12:\"smushed-size\";i:377485;s:15:\"savings-percent\";d:17.23;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:456079;s:10:\"compressed\";i:377485;}s:6:\"medium\";a:2:{s:8:\"original\";i:11893;s:10:\"compressed\";i:10194;}s:5:\"large\";a:2:{s:8:\"original\";i:82629;s:10:\"compressed\";i:70045;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6146;s:10:\"compressed\";i:5303;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:50949;s:10:\"compressed\";i:43437;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:170821;s:10:\"compressed\";i:143452;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:297055;s:10:\"compressed\";i:246965;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:108348;s:10:\"compressed\";i:91607;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:136075;s:10:\"compressed\";i:115067;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:19335;s:10:\"compressed\";i:16567;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3592;s:10:\"compressed\";i:2991;}}}");
INSERT INTO `wp_postmeta` VALUES("15130", "12651", "original-file", "2023/06/LOBEACH_MR_44-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15131", "12651", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15132", "12651", "smush-info", "The file was compressed from 384.93 KB to 327.72 KB saving 14.86 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15133", "12651", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:394167;s:12:\"smushed-size\";i:335582;s:15:\"savings-percent\";d:14.86;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:394167;s:10:\"compressed\";i:335582;}s:6:\"medium\";a:2:{s:8:\"original\";i:14564;s:10:\"compressed\";i:12333;}s:5:\"large\";a:2:{s:8:\"original\";i:93550;s:10:\"compressed\";i:80586;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6489;s:10:\"compressed\";i:5456;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:175597;s:10:\"compressed\";i:150818;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:276495;s:10:\"compressed\";i:236573;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:187801;s:10:\"compressed\";i:161680;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:119391;s:10:\"compressed\";i:102534;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:36419;s:10:\"compressed\";i:31253;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3780;s:10:\"compressed\";i:3078;}}}");
INSERT INTO `wp_postmeta` VALUES("15134", "12652", "original-file", "2023/06/LOBEACH_MR_169-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15135", "12652", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15136", "12652", "smush-info", "The file was compressed from 1.03 MB to 889.62 KB saving 15.69 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15137", "12652", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1080551;s:12:\"smushed-size\";i:910973;s:15:\"savings-percent\";d:15.69;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:1080551;s:10:\"compressed\";i:910973;}s:6:\"medium\";a:2:{s:8:\"original\";i:25347;s:10:\"compressed\";i:20917;}s:5:\"large\";a:2:{s:8:\"original\";i:199204;s:10:\"compressed\";i:168979;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:10080;s:10:\"compressed\";i:8567;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:121888;s:10:\"compressed\";i:102731;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:406563;s:10:\"compressed\";i:345812;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:695940;s:10:\"compressed\";i:590627;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:263334;s:10:\"compressed\";i:223807;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:266623;s:10:\"compressed\";i:226056;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:42948;s:10:\"compressed\";i:35619;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5302;s:10:\"compressed\";i:4391;}}}");
INSERT INTO `wp_postmeta` VALUES("15138", "12653", "original-file", "2023/06/LOBEACH_MR_40-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15139", "12653", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15140", "12653", "smush-info", "The file was compressed from 396.82 KB to 344.16 KB saving 13.27 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15141", "12653", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:406342;s:12:\"smushed-size\";i:352415;s:15:\"savings-percent\";d:13.27;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:406342;s:10:\"compressed\";i:352415;}s:6:\"medium\";a:2:{s:8:\"original\";i:16684;s:10:\"compressed\";i:14210;}s:5:\"large\";a:2:{s:8:\"original\";i:101763;s:10:\"compressed\";i:88338;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7428;s:10:\"compressed\";i:6279;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:91874;s:10:\"compressed\";i:79984;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:183488;s:10:\"compressed\";i:160327;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:284648;s:10:\"compressed\";i:248018;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:176846;s:10:\"compressed\";i:154493;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:121575;s:10:\"compressed\";i:106115;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:37806;s:10:\"compressed\";i:32358;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4146;s:10:\"compressed\";i:3409;}}}");
INSERT INTO `wp_postmeta` VALUES("15142", "12654", "original-file", "2023/06/LOBEACH_MR_29-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15143", "12654", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15144", "12654", "smush-info", "The file was compressed from 530.93 KB to 451.35 KB saving 14.99 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15145", "12654", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:543670;s:12:\"smushed-size\";i:462184;s:15:\"savings-percent\";d:14.99;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:543670;s:10:\"compressed\";i:462184;}s:6:\"medium\";a:2:{s:8:\"original\";i:17453;s:10:\"compressed\";i:14631;}s:5:\"large\";a:2:{s:8:\"original\";i:108047;s:10:\"compressed\";i:93102;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7527;s:10:\"compressed\";i:6337;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:97486;s:10:\"compressed\";i:83987;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:205859;s:10:\"compressed\";i:177856;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:346425;s:10:\"compressed\";i:297490;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:197505;s:10:\"compressed\";i:170771;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:127143;s:10:\"compressed\";i:109679;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39462;s:10:\"compressed\";i:33487;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4272;s:10:\"compressed\";i:3489;}}}");
INSERT INTO `wp_postmeta` VALUES("15146", "12660", "original-file", "2023/06/RUBY_MR_026-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15147", "12660", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15148", "12660", "smush-info", "The file was compressed from 605.98 KB to 517.85 KB saving 14.54 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15149", "12660", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:620525;s:12:\"smushed-size\";i:530282;s:15:\"savings-percent\";d:14.54;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:620525;s:10:\"compressed\";i:530282;}s:6:\"medium\";a:2:{s:8:\"original\";i:14135;s:10:\"compressed\";i:12015;}s:5:\"large\";a:2:{s:8:\"original\";i:117511;s:10:\"compressed\";i:97481;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5442;s:10:\"compressed\";i:4487;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:239965;s:10:\"compressed\";i:203357;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:406721;s:10:\"compressed\";i:347466;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:258506;s:10:\"compressed\";i:219879;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:151277;s:10:\"compressed\";i:126355;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:40468;s:10:\"compressed\";i:33429;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2933;s:10:\"compressed\";i:2360;}}}");
INSERT INTO `wp_postmeta` VALUES("15150", "12662", "original-file", "2023/06/RUBY_MR_024-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15151", "12662", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15152", "12662", "smush-info", "The file was compressed from 612.47 KB to 520.13 KB saving 15.08 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15153", "12662", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:627165;s:12:\"smushed-size\";i:532609;s:15:\"savings-percent\";d:15.08;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:627165;s:10:\"compressed\";i:532609;}s:6:\"medium\";a:2:{s:8:\"original\";i:14956;s:10:\"compressed\";i:12845;}s:5:\"large\";a:2:{s:8:\"original\";i:115994;s:10:\"compressed\";i:99580;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6489;s:10:\"compressed\";i:5550;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:238729;s:10:\"compressed\";i:204405;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:408271;s:10:\"compressed\";i:348151;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:257926;s:10:\"compressed\";i:220523;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:153717;s:10:\"compressed\";i:132032;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:40554;s:10:\"compressed\";i:34916;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3647;s:10:\"compressed\";i:3004;}}}");
INSERT INTO `wp_postmeta` VALUES("15154", "12663", "original-file", "2023/06/RUBY_MR_061-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15155", "12663", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15156", "12663", "smush-info", "The file was compressed from 392.46 KB to 320.79 KB saving 18.26 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15157", "12663", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:401881;s:12:\"smushed-size\";i:328491;s:15:\"savings-percent\";d:18.26;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:401881;s:10:\"compressed\";i:328491;}s:6:\"medium\";a:2:{s:8:\"original\";i:11078;s:10:\"compressed\";i:9432;}s:5:\"large\";a:2:{s:8:\"original\";i:75507;s:10:\"compressed\";i:63802;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4630;s:10:\"compressed\";i:3887;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:151508;s:10:\"compressed\";i:126328;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:259529;s:10:\"compressed\";i:214011;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:162963;s:10:\"compressed\";i:135629;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93283;s:10:\"compressed\";i:77375;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:28442;s:10:\"compressed\";i:24206;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2772;s:10:\"compressed\";i:2216;}}}");
INSERT INTO `wp_postmeta` VALUES("15158", "12664", "original-file", "2023/06/RUBY_MR_050-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15159", "12664", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15160", "12664", "smush-info", "The file was compressed from 361.34 KB to 302.35 KB saving 16.33 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15161", "12664", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:370008;s:12:\"smushed-size\";i:309603;s:15:\"savings-percent\";d:16.33;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:370008;s:10:\"compressed\";i:309603;}s:6:\"medium\";a:2:{s:8:\"original\";i:11595;s:10:\"compressed\";i:10131;}s:5:\"large\";a:2:{s:8:\"original\";i:67495;s:10:\"compressed\";i:58752;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5851;s:10:\"compressed\";i:5001;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:134832;s:10:\"compressed\";i:115804;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:234363;s:10:\"compressed\";i:198511;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:145326;s:10:\"compressed\";i:124637;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93960;s:10:\"compressed\";i:81319;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:26937;s:10:\"compressed\";i:23610;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3519;s:10:\"compressed\";i:2903;}}}");
INSERT INTO `wp_postmeta` VALUES("15162", "12671", "original-file", "2023/06/VITA_MR_23-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15163", "12671", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15164", "12671", "smush-info", "The file was compressed from 903.09 KB to 753.13 KB saving 16.61 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15165", "12671", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:924765;s:12:\"smushed-size\";i:771202;s:15:\"savings-percent\";d:16.61;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:924765;s:10:\"compressed\";i:771202;}s:6:\"medium\";a:2:{s:8:\"original\";i:17423;s:10:\"compressed\";i:14592;}s:5:\"large\";a:2:{s:8:\"original\";i:143083;s:10:\"compressed\";i:120606;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7137;s:10:\"compressed\";i:5914;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:84562;s:10:\"compressed\";i:70881;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:317659;s:10:\"compressed\";i:267214;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:578011;s:10:\"compressed\";i:483843;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:192722;s:10:\"compressed\";i:162413;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:180676;s:10:\"compressed\";i:152133;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29680;s:10:\"compressed\";i:24659;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4060;s:10:\"compressed\";i:3269;}}}");
INSERT INTO `wp_postmeta` VALUES("15166", "12672", "original-file", "2023/06/VITA_MR_5-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15167", "12672", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15168", "12672", "smush-info", "The file was compressed from 686.38 KB to 576.46 KB saving 16.02 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15169", "12672", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:702857;s:12:\"smushed-size\";i:590290;s:15:\"savings-percent\";d:16.02;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:702857;s:10:\"compressed\";i:590290;}s:6:\"medium\";a:2:{s:8:\"original\";i:17166;s:10:\"compressed\";i:14658;}s:5:\"large\";a:2:{s:8:\"original\";i:117040;s:10:\"compressed\";i:101353;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7802;s:10:\"compressed\";i:6601;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:105077;s:10:\"compressed\";i:91005;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:243842;s:10:\"compressed\";i:209659;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:436332;s:10:\"compressed\";i:370559;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:233036;s:10:\"compressed\";i:200365;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:149513;s:10:\"compressed\";i:130037;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39688;s:10:\"compressed\";i:34238;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4357;s:10:\"compressed\";i:3597;}}}");
INSERT INTO `wp_postmeta` VALUES("15170", "12673", "original-file", "2023/06/VITA_MR_36-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15171", "12673", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15172", "12673", "smush-info", "The file was compressed from 643.76 KB to 541.49 KB saving 15.89 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15173", "12673", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:659214;s:12:\"smushed-size\";i:554485;s:15:\"savings-percent\";d:15.89;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:659214;s:10:\"compressed\";i:554485;}s:6:\"medium\";a:2:{s:8:\"original\";i:17891;s:10:\"compressed\";i:14844;}s:5:\"large\";a:2:{s:8:\"original\";i:129576;s:10:\"compressed\";i:109176;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7151;s:10:\"compressed\";i:5897;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:116021;s:10:\"compressed\";i:97837;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:257693;s:10:\"compressed\";i:218015;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:432981;s:10:\"compressed\";i:365559;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:247859;s:10:\"compressed\";i:209454;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:146044;s:10:\"compressed\";i:123445;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:42856;s:10:\"compressed\";i:35682;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4052;s:10:\"compressed\";i:3257;}}}");
INSERT INTO `wp_postmeta` VALUES("15174", "12674", "original-file", "2023/06/VITA_MR_66-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15175", "12674", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15176", "12674", "smush-info", "The file was compressed from 399.38 KB to 343.11 KB saving 14.09 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15177", "12674", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:408964;s:12:\"smushed-size\";i:351347;s:15:\"savings-percent\";d:14.09;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:408964;s:10:\"compressed\";i:351347;}s:6:\"medium\";a:2:{s:8:\"original\";i:14134;s:10:\"compressed\";i:12206;}s:5:\"large\";a:2:{s:8:\"original\";i:93122;s:10:\"compressed\";i:80769;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6169;s:10:\"compressed\";i:5241;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:83820;s:10:\"compressed\";i:72806;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:175568;s:10:\"compressed\";i:152374;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:279779;s:10:\"compressed\";i:241612;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:168943;s:10:\"compressed\";i:146522;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:113119;s:10:\"compressed\";i:98243;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:32690;s:10:\"compressed\";i:28292;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3606;s:10:\"compressed\";i:2949;}}}");
INSERT INTO `wp_postmeta` VALUES("15178", "12680", "original-file", "2023/06/P1460372-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15179", "12680", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15180", "12680", "smush-info", "The file was compressed from 671.30 KB to 550.89 KB saving 17.94 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15181", "12680", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:687407;s:12:\"smushed-size\";i:564115;s:15:\"savings-percent\";d:17.94;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:687407;s:10:\"compressed\";i:564115;}s:6:\"medium\";a:2:{s:8:\"original\";i:13250;s:10:\"compressed\";i:11218;}s:5:\"large\";a:2:{s:8:\"original\";i:96722;s:10:\"compressed\";i:82829;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6074;s:10:\"compressed\";i:5177;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:119800;s:10:\"compressed\";i:102487;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:214118;s:10:\"compressed\";i:180508;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:408466;s:10:\"compressed\";i:338161;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:303359;s:10:\"compressed\";i:253309;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:129120;s:10:\"compressed\";i:109452;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:41076;s:10:\"compressed\";i:35247;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3656;s:10:\"compressed\";i:3002;}}}");
INSERT INTO `wp_postmeta` VALUES("15182", "12681", "original-file", "2023/06/DIVINO-52-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15183", "12681", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15184", "12681", "smush-info", "The file was compressed from 765.51 KB to 661.34 KB saving 13.61 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15185", "12681", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:783880;s:12:\"smushed-size\";i:677215;s:15:\"savings-percent\";d:13.61;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:783880;s:10:\"compressed\";i:677215;}s:6:\"medium\";a:2:{s:8:\"original\";i:22964;s:10:\"compressed\";i:18927;}s:5:\"large\";a:2:{s:8:\"original\";i:172639;s:10:\"compressed\";i:146055;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9887;s:10:\"compressed\";i:8417;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:107098;s:10:\"compressed\";i:90105;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:333150;s:10:\"compressed\";i:285447;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:537502;s:10:\"compressed\";i:462982;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:223388;s:10:\"compressed\";i:189949;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:226553;s:10:\"compressed\";i:194148;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:39930;s:10:\"compressed\";i:32864;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5395;s:10:\"compressed\";i:4503;}}}");
INSERT INTO `wp_postmeta` VALUES("15186", "12682", "original-file", "2023/06/P1460489-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15187", "12682", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15188", "12682", "smush-info", "The file was compressed from 518.05 KB to 440.28 KB saving 15.01 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15189", "12682", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:530487;s:12:\"smushed-size\";i:450845;s:15:\"savings-percent\";d:15.01;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:530487;s:10:\"compressed\";i:450845;}s:6:\"medium\";a:2:{s:8:\"original\";i:14948;s:10:\"compressed\";i:12861;}s:5:\"large\";a:2:{s:8:\"original\";i:93017;s:10:\"compressed\";i:81390;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7163;s:10:\"compressed\";i:6162;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:102141;s:10:\"compressed\";i:89417;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:186893;s:10:\"compressed\";i:162484;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:330050;s:10:\"compressed\";i:283840;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:226625;s:10:\"compressed\";i:196529;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:131147;s:10:\"compressed\";i:114237;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:40041;s:10:\"compressed\";i:34729;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4233;s:10:\"compressed\";i:3517;}}}");
INSERT INTO `wp_postmeta` VALUES("15190", "12683", "original-file", "2023/06/DIVINO-16-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15191", "12683", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15192", "12683", "smush-info", "The file was compressed from 421.11 KB to 352.92 KB saving 16.19 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15193", "12683", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:431212;s:12:\"smushed-size\";i:361392;s:15:\"savings-percent\";d:16.19;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:431212;s:10:\"compressed\";i:361392;}s:6:\"medium\";a:2:{s:8:\"original\";i:11263;s:10:\"compressed\";i:9856;}s:5:\"large\";a:2:{s:8:\"original\";i:70664;s:10:\"compressed\";i:62012;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5896;s:10:\"compressed\";i:5065;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:85847;s:10:\"compressed\";i:75130;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:144948;s:10:\"compressed\";i:125815;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:261986;s:10:\"compressed\";i:223174;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:199110;s:10:\"compressed\";i:171178;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:107495;s:10:\"compressed\";i:93461;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:32272;s:10:\"compressed\";i:28440;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3581;s:10:\"compressed\";i:2944;}}}");
INSERT INTO `wp_postmeta` VALUES("15194", "12693", "original-file", "2023/06/My-project-1black-updraft-pre-smush-original.png");
INSERT INTO `wp_postmeta` VALUES("15195", "12693", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15196", "12693", "smush-info", "The file was compressed from 51.75 KB to 20.24 KB saving 60.89 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15197", "12693", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:52988;s:12:\"smushed-size\";i:20725;s:15:\"savings-percent\";d:60.89;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:52988;s:10:\"compressed\";i:20725;}s:6:\"medium\";a:2:{s:8:\"original\";i:13452;s:10:\"compressed\";i:5743;}s:5:\"large\";a:2:{s:8:\"original\";i:69506;s:10:\"compressed\";i:23311;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7522;s:10:\"compressed\";i:3664;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:45452;s:10:\"compressed\";i:16093;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:50588;s:10:\"compressed\";i:19385;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:20020;s:10:\"compressed\";i:7942;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4747;s:10:\"compressed\";i:2725;}}}");
INSERT INTO `wp_postmeta` VALUES("15198", "12920", "original-file", "2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15199", "12920", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15200", "12920", "smush-info", "The file was compressed from 341.62 KB to 302.93 KB saving 11.33 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15201", "12920", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:349819;s:12:\"smushed-size\";i:310198;s:15:\"savings-percent\";d:11.33;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:349819;s:10:\"compressed\";i:310198;}s:6:\"medium\";a:2:{s:8:\"original\";i:22414;s:10:\"compressed\";i:18600;}s:5:\"large\";a:2:{s:8:\"original\";i:147293;s:10:\"compressed\";i:126109;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9640;s:10:\"compressed\";i:8161;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:302754;s:10:\"compressed\";i:258582;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:194517;s:10:\"compressed\";i:166234;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:56136;s:10:\"compressed\";i:47594;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:5252;s:10:\"compressed\";i:4333;}}}");
INSERT INTO `wp_postmeta` VALUES("15202", "12924", "original-file", "2023/06/DIVINO_MR_046-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15203", "12924", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15204", "12924", "smush-info", "The file was compressed from 425.93 KB to 373.86 KB saving 12.23 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15205", "12924", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:436157;s:12:\"smushed-size\";i:382832;s:15:\"savings-percent\";d:12.23;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:436157;s:10:\"compressed\";i:382832;}s:6:\"medium\";a:2:{s:8:\"original\";i:16464;s:10:\"compressed\";i:14119;}s:5:\"large\";a:2:{s:8:\"original\";i:103721;s:10:\"compressed\";i:90630;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7567;s:10:\"compressed\";i:6468;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:194996;s:10:\"compressed\";i:171185;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:306146;s:10:\"compressed\";i:268925;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:207946;s:10:\"compressed\";i:182619;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:130766;s:10:\"compressed\";i:114821;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:40804;s:10:\"compressed\";i:35201;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4416;s:10:\"compressed\";i:3667;}}}");
INSERT INTO `wp_postmeta` VALUES("15206", "12926", "original-file", "2023/06/LABUCHERIE_MR_10-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15207", "12926", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15208", "12926", "smush-info", "The file was compressed from 575.75 KB to 495.43 KB saving 13.95 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15209", "12926", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:589566;s:12:\"smushed-size\";i:507325;s:15:\"savings-percent\";d:13.95;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:589566;s:10:\"compressed\";i:507325;}s:6:\"medium\";a:2:{s:8:\"original\";i:19790;s:10:\"compressed\";i:16622;}s:5:\"large\";a:2:{s:8:\"original\";i:124204;s:10:\"compressed\";i:107534;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8449;s:10:\"compressed\";i:7191;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:80538;s:10:\"compressed\";i:69212;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:234029;s:10:\"compressed\";i:203545;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:385086;s:10:\"compressed\";i:333812;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:158046;s:10:\"compressed\";i:137234;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:145109;s:10:\"compressed\";i:125692;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:32169;s:10:\"compressed\";i:27269;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4786;s:10:\"compressed\";i:3954;}}}");
INSERT INTO `wp_postmeta` VALUES("15210", "12927", "original-file", "2023/06/DIVINO_MR_045-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15211", "12927", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15212", "12927", "smush-info", "The file was compressed from 451.80 KB to 398.79 KB saving 11.73 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15213", "12927", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:462646;s:12:\"smushed-size\";i:408362;s:15:\"savings-percent\";d:11.73;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:462646;s:10:\"compressed\";i:408362;}s:6:\"medium\";a:2:{s:8:\"original\";i:18575;s:10:\"compressed\";i:15744;}s:5:\"large\";a:2:{s:8:\"original\";i:113575;s:10:\"compressed\";i:99322;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8028;s:10:\"compressed\";i:6888;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:73531;s:10:\"compressed\";i:64019;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:210520;s:10:\"compressed\";i:185354;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:327280;s:10:\"compressed\";i:288663;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:145599;s:10:\"compressed\";i:127623;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:131946;s:10:\"compressed\";i:116045;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29394;s:10:\"compressed\";i:25265;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4580;s:10:\"compressed\";i:3777;}}}");
INSERT INTO `wp_postmeta` VALUES("15214", "12928", "original-file", "2023/06/AV_FUERO_10-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15215", "12928", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15216", "12928", "smush-info", "The file was compressed from 390.92 KB to 334.64 KB saving 14.4 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15217", "12928", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:400300;s:12:\"smushed-size\";i:342672;s:15:\"savings-percent\";d:14.4;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:400300;s:10:\"compressed\";i:342672;}s:6:\"medium\";a:2:{s:8:\"original\";i:14579;s:10:\"compressed\";i:12451;}s:5:\"large\";a:2:{s:8:\"original\";i:92356;s:10:\"compressed\";i:80062;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6640;s:10:\"compressed\";i:5648;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:59511;s:10:\"compressed\";i:51454;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:173660;s:10:\"compressed\";i:150142;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:274655;s:10:\"compressed\";i:236653;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:118380;s:10:\"compressed\";i:102632;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:119682;s:10:\"compressed\";i:102965;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:23471;s:10:\"compressed\";i:20170;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3790;s:10:\"compressed\";i:3139;}}}");
INSERT INTO `wp_postmeta` VALUES("15218", "12929", "original-file", "2023/06/FDR_MR_31-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15219", "12929", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15220", "12929", "smush-info", "The file was compressed from 443.60 KB to 380.09 KB saving 14.32 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15221", "12929", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:454251;s:12:\"smushed-size\";i:389215;s:15:\"savings-percent\";d:14.32;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:454251;s:10:\"compressed\";i:389215;}s:6:\"medium\";a:2:{s:8:\"original\";i:16178;s:10:\"compressed\";i:13755;}s:5:\"large\";a:2:{s:8:\"original\";i:98178;s:10:\"compressed\";i:84769;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7744;s:10:\"compressed\";i:6591;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:185874;s:10:\"compressed\";i:160769;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:302533;s:10:\"compressed\";i:260645;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:198928;s:10:\"compressed\";i:172008;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:132591;s:10:\"compressed\";i:114326;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:38972;s:10:\"compressed\";i:33452;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4560;s:10:\"compressed\";i:3751;}}}");
INSERT INTO `wp_postmeta` VALUES("15222", "12930", "original-file", "2023/06/OSCAR_MR_045-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15223", "12930", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15224", "12930", "smush-info", "The file was compressed from 308.88 KB to 261.96 KB saving 15.19 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15225", "12930", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:316297;s:12:\"smushed-size\";i:268247;s:15:\"savings-percent\";d:15.19;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:316297;s:10:\"compressed\";i:268247;}s:6:\"medium\";a:2:{s:8:\"original\";i:11063;s:10:\"compressed\";i:9493;}s:5:\"large\";a:2:{s:8:\"original\";i:63589;s:10:\"compressed\";i:55459;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6000;s:10:\"compressed\";i:5012;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:40661;s:10:\"compressed\";i:35607;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:122112;s:10:\"compressed\";i:105555;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:206238;s:10:\"compressed\";i:176085;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:81198;s:10:\"compressed\";i:70494;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:93728;s:10:\"compressed\";i:81316;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:17381;s:10:\"compressed\";i:15062;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3620;s:10:\"compressed\";i:2925;}}}");
INSERT INTO `wp_postmeta` VALUES("15226", "12939", "original-file", "2023/06/DANDY_MR_187-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15227", "12939", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15228", "12939", "smush-info", "The file was compressed from 246.75 KB to 200.77 KB saving 18.63 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15229", "12939", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:252668;s:12:\"smushed-size\";i:205586;s:15:\"savings-percent\";d:18.63;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:252668;s:10:\"compressed\";i:205586;}s:6:\"medium\";a:2:{s:8:\"original\";i:10315;s:10:\"compressed\";i:9048;}s:5:\"large\";a:2:{s:8:\"original\";i:61091;s:10:\"compressed\";i:53100;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:4819;s:10:\"compressed\";i:4103;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:54980;s:10:\"compressed\";i:48018;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:113032;s:10:\"compressed\";i:96076;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:177333;s:10:\"compressed\";i:147006;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:108827;s:10:\"compressed\";i:92583;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:74781;s:10:\"compressed\";i:64526;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:22222;s:10:\"compressed\";i:19625;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2958;s:10:\"compressed\";i:2421;}}}");
INSERT INTO `wp_postmeta` VALUES("15230", "12941", "original-file", "2023/06/DSC06618-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15231", "12941", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15232", "12941", "smush-info", "The file was compressed from 515.34 KB to 437.51 KB saving 15.1 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15233", "12941", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:527710;s:12:\"smushed-size\";i:448012;s:15:\"savings-percent\";d:15.1;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:527710;s:10:\"compressed\";i:448012;}s:6:\"medium\";a:2:{s:8:\"original\";i:14907;s:10:\"compressed\";i:12857;}s:5:\"large\";a:2:{s:8:\"original\";i:92917;s:10:\"compressed\";i:81850;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6831;s:10:\"compressed\";i:5795;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:83506;s:10:\"compressed\";i:73506;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:183760;s:10:\"compressed\";i:160871;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:322285;s:10:\"compressed\";i:278168;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:175025;s:10:\"compressed\";i:153597;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:117433;s:10:\"compressed\";i:103332;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:33319;s:10:\"compressed\";i:28950;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4029;s:10:\"compressed\";i:3320;}}}");
INSERT INTO `wp_postmeta` VALUES("15234", "12942", "original-file", "2023/06/PASTICCIO_MR_067-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15235", "12942", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15236", "12942", "smush-info", "The file was compressed from 527.02 KB to 444.43 KB saving 15.67 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15237", "12942", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:539667;s:12:\"smushed-size\";i:455099;s:15:\"savings-percent\";d:15.67;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:539667;s:10:\"compressed\";i:455099;}s:6:\"medium\";a:2:{s:8:\"original\";i:15477;s:10:\"compressed\";i:13101;}s:5:\"large\";a:2:{s:8:\"original\";i:96106;s:10:\"compressed\";i:83122;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7585;s:10:\"compressed\";i:6433;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:61196;s:10:\"compressed\";i:52792;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:188053;s:10:\"compressed\";i:162455;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:327631;s:10:\"compressed\";i:280095;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:123049;s:10:\"compressed\";i:106567;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:136024;s:10:\"compressed\";i:117763;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:24863;s:10:\"compressed\";i:21242;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4393;s:10:\"compressed\";i:3621;}}}");
INSERT INTO `wp_postmeta` VALUES("15238", "12943", "original-file", "2023/06/LAPLACEVERTE_MR_013-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15239", "12943", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15240", "12943", "smush-info", "The file was compressed from 1.60 MB to 258.77 KB saving 84.21 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15241", "12943", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1678015;s:12:\"smushed-size\";i:264982;s:15:\"savings-percent\";d:84.21;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:1678015;s:10:\"compressed\";i:264982;}s:6:\"medium\";a:2:{s:8:\"original\";i:15377;s:10:\"compressed\";i:13174;}s:5:\"large\";a:2:{s:8:\"original\";i:89285;s:10:\"compressed\";i:78709;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6836;s:10:\"compressed\";i:5806;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:58515;s:10:\"compressed\";i:51213;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:167479;s:10:\"compressed\";i:147302;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:114324;s:10:\"compressed\";i:100519;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:106073;s:10:\"compressed\";i:93263;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:24235;s:10:\"compressed\";i:20848;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3957;s:10:\"compressed\";i:3230;}}}");
INSERT INTO `wp_postmeta` VALUES("15242", "12949", "original-file", "2023/06/PASTICCIO_MR_018-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15243", "12949", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15244", "12949", "smush-info", "The file was compressed from 1.31 MB to 297.15 KB saving 77.8 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15245", "12949", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:1370471;s:12:\"smushed-size\";i:304281;s:15:\"savings-percent\";d:77.8;s:10:\"sizes-info\";a:10:{s:4:\"full\";a:2:{s:8:\"original\";i:1370471;s:10:\"compressed\";i:304281;}s:6:\"medium\";a:2:{s:8:\"original\";i:19184;s:10:\"compressed\";i:16006;}s:5:\"large\";a:2:{s:8:\"original\";i:137673;s:10:\"compressed\";i:117055;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:9007;s:10:\"compressed\";i:7688;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:86757;s:10:\"compressed\";i:73383;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:258702;s:10:\"compressed\";i:222336;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:175530;s:10:\"compressed\";i:150313;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:187916;s:10:\"compressed\";i:160916;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:32566;s:10:\"compressed\";i:27158;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4919;s:10:\"compressed\";i:4101;}}}");
INSERT INTO `wp_postmeta` VALUES("15246", "12950", "original-file", "2023/06/FDR_MR_54-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15247", "12950", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15248", "12950", "smush-info", "The file was compressed from 628.86 KB to 540.55 KB saving 14.04 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15249", "12950", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:643951;s:12:\"smushed-size\";i:553525;s:15:\"savings-percent\";d:14.04;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:643951;s:10:\"compressed\";i:553525;}s:6:\"medium\";a:2:{s:8:\"original\";i:21344;s:10:\"compressed\";i:17771;}s:5:\"large\";a:2:{s:8:\"original\";i:139114;s:10:\"compressed\";i:119202;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8729;s:10:\"compressed\";i:7323;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:89376;s:10:\"compressed\";i:75997;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:264962;s:10:\"compressed\";i:228588;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:430604;s:10:\"compressed\";i:371426;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:179491;s:10:\"compressed\";i:153957;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:166523;s:10:\"compressed\";i:142848;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:34639;s:10:\"compressed\";i:29067;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4874;s:10:\"compressed\";i:3985;}}}");
INSERT INTO `wp_postmeta` VALUES("15250", "12954", "original-file", "2023/06/DANDY_MR_194-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15251", "12954", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15252", "12954", "smush-info", "The file was compressed from 268.03 KB to 219.57 KB saving 18.08 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15253", "12954", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:274463;s:12:\"smushed-size\";i:224842;s:15:\"savings-percent\";d:18.08;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:274463;s:10:\"compressed\";i:224842;}s:6:\"medium\";a:2:{s:8:\"original\";i:11726;s:10:\"compressed\";i:10238;}s:5:\"large\";a:2:{s:8:\"original\";i:68016;s:10:\"compressed\";i:58323;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5010;s:10:\"compressed\";i:4229;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:61587;s:10:\"compressed\";i:53083;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:124218;s:10:\"compressed\";i:104827;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:192949;s:10:\"compressed\";i:160282;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:119942;s:10:\"compressed\";i:101479;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:70676;s:10:\"compressed\";i:59723;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:25212;s:10:\"compressed\";i:21953;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3097;s:10:\"compressed\";i:2500;}}}");
INSERT INTO `wp_postmeta` VALUES("15254", "12955", "original-file", "2023/06/LASUBLIMEPORTE_MR_14-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15255", "12955", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15256", "12955", "smush-info", "The file was compressed from 656.87 KB to 542.06 KB saving 17.48 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15257", "12955", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:672637;s:12:\"smushed-size\";i:555067;s:15:\"savings-percent\";d:17.48;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:672637;s:10:\"compressed\";i:555067;}s:6:\"medium\";a:2:{s:8:\"original\";i:12281;s:10:\"compressed\";i:10775;}s:5:\"large\";a:2:{s:8:\"original\";i:97007;s:10:\"compressed\";i:83748;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:5204;s:10:\"compressed\";i:4452;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:85405;s:10:\"compressed\";i:73774;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:218132;s:10:\"compressed\";i:184701;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:407696;s:10:\"compressed\";i:339764;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:207516;s:10:\"compressed\";i:175836;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:124923;s:10:\"compressed\";i:106903;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:29472;s:10:\"compressed\";i:25702;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:2993;s:10:\"compressed\";i:2457;}}}");
INSERT INTO `wp_postmeta` VALUES("15258", "12965", "original-file", "2023/06/6EMESENS_MR_010-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15259", "12965", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15260", "12965", "smush-info", "The file was compressed from 593.91 KB to 496.69 KB saving 16.37 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15261", "12965", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:608165;s:12:\"smushed-size\";i:508615;s:15:\"savings-percent\";d:16.37;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:608165;s:10:\"compressed\";i:508615;}s:6:\"medium\";a:2:{s:8:\"original\";i:12006;s:10:\"compressed\";i:10075;}s:5:\"large\";a:2:{s:8:\"original\";i:113981;s:10:\"compressed\";i:94224;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6797;s:10:\"compressed\";i:5786;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:66749;s:10:\"compressed\";i:55088;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:237675;s:10:\"compressed\";i:197434;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:402075;s:10:\"compressed\";i:335992;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:152157;s:10:\"compressed\";i:125881;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:188282;s:10:\"compressed\";i:157426;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21307;s:10:\"compressed\";i:17745;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3770;s:10:\"compressed\";i:3071;}}}");
INSERT INTO `wp_postmeta` VALUES("15262", "12966", "original-file", "2023/06/179473332_1435143870158576_578293220653616719_n-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15263", "12966", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15264", "12966", "smush-info", "The file was compressed from 399.73 KB to 339.87 KB saving 14.98 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15265", "12966", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:409320;s:12:\"smushed-size\";i:348024;s:15:\"savings-percent\";d:14.98;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:409320;s:10:\"compressed\";i:348024;}s:6:\"medium\";a:2:{s:8:\"original\";i:12722;s:10:\"compressed\";i:10652;}s:5:\"large\";a:2:{s:8:\"original\";i:89399;s:10:\"compressed\";i:75835;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:6038;s:10:\"compressed\";i:5016;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:55810;s:10:\"compressed\";i:47328;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:174503;s:10:\"compressed\";i:148317;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:282536;s:10:\"compressed\";i:240471;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:116163;s:10:\"compressed\";i:98838;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:129084;s:10:\"compressed\";i:110064;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:21041;s:10:\"compressed\";i:17625;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:3470;s:10:\"compressed\";i:2775;}}}");
INSERT INTO `wp_postmeta` VALUES("15266", "12968", "original-file", "2023/06/AV_Cafe-Capone_32-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15267", "12968", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15268", "12968", "smush-info", "The file was compressed from 828.52 KB to 695.48 KB saving 16.06 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15269", "12968", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:848407;s:12:\"smushed-size\";i:712167;s:15:\"savings-percent\";d:16.06;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:848407;s:10:\"compressed\";i:712167;}s:6:\"medium\";a:2:{s:8:\"original\";i:19869;s:10:\"compressed\";i:16776;}s:5:\"large\";a:2:{s:8:\"original\";i:151838;s:10:\"compressed\";i:129682;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:8499;s:10:\"compressed\";i:7334;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:93469;s:10:\"compressed\";i:79813;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:313263;s:10:\"compressed\";i:266996;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:546452;s:10:\"compressed\";i:461395;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:199705;s:10:\"compressed\";i:170685;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:205916;s:10:\"compressed\";i:175600;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:33993;s:10:\"compressed\";i:28881;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4631;s:10:\"compressed\";i:3857;}}}");
INSERT INTO `wp_postmeta` VALUES("15270", "12969", "original-file", "2023/06/AMOUR_FLO_MR_28-1-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15271", "12969", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15272", "12969", "smush-info", "The file was compressed from 908.64 KB to 784.06 KB saving 13.71 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15273", "12969", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:930447;s:12:\"smushed-size\";i:802874;s:15:\"savings-percent\";d:13.71;s:10:\"sizes-info\";a:11:{s:4:\"full\";a:2:{s:8:\"original\";i:930447;s:10:\"compressed\";i:802874;}s:6:\"medium\";a:2:{s:8:\"original\";i:19955;s:10:\"compressed\";i:16896;}s:5:\"large\";a:2:{s:8:\"original\";i:192945;s:10:\"compressed\";i:163725;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7843;s:10:\"compressed\";i:6741;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:113408;s:10:\"compressed\";i:95998;}s:9:\"1536x1536\";a:2:{s:8:\"original\";i:394124;s:10:\"compressed\";i:337352;}s:9:\"2048x2048\";a:2:{s:8:\"original\";i:640707;s:10:\"compressed\";i:551172;}s:14:\"post-thumbnail\";a:2:{s:8:\"original\";i:256015;s:10:\"compressed\";i:217751;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:232039;s:10:\"compressed\";i:197314;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:36140;s:10:\"compressed\";i:30469;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4309;s:10:\"compressed\";i:3577;}}}");
INSERT INTO `wp_postmeta` VALUES("15274", "12970", "original-file", "2023/06/LOBEACH_MR_034-2-scaled-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15275", "12970", "smush-info", "Failed with error code could_not_lock - The task could not be locked");
INSERT INTO `wp_postmeta` VALUES("15276", "12970", "smush-complete", "");
INSERT INTO `wp_postmeta` VALUES("15277", "13018", "original-file", "2023/06/WhatsApp-Image-2023-06-07-a-11.11.05-updraft-pre-smush-original.jpg");
INSERT INTO `wp_postmeta` VALUES("15278", "13018", "smush-complete", "1");
INSERT INTO `wp_postmeta` VALUES("15279", "13018", "smush-info", "The file was compressed from 157.72 KB to 91.76 KB saving 41.82 percent using WP-Optimize");
INSERT INTO `wp_postmeta` VALUES("15280", "13018", "smush-stats", "a:5:{s:12:\"smushed-with\";s:11:\"re-smush-it\";s:13:\"original-size\";i:161503;s:12:\"smushed-size\";i:93958;s:15:\"savings-percent\";d:41.82;s:10:\"sizes-info\";a:8:{s:4:\"full\";a:2:{s:8:\"original\";i:161503;s:10:\"compressed\";i:93958;}s:6:\"medium\";a:2:{s:8:\"original\";i:18735;s:10:\"compressed\";i:16291;}s:5:\"large\";a:2:{s:8:\"original\";i:108174;s:10:\"compressed\";i:95787;}s:9:\"thumbnail\";a:2:{s:8:\"original\";i:7057;s:10:\"compressed\";i:6057;}s:12:\"medium_large\";a:2:{s:8:\"original\";i:72773;s:10:\"compressed\";i:64133;}s:21:\"woocommerce_thumbnail\";a:2:{s:8:\"original\";i:115522;s:10:\"compressed\";i:102022;}s:18:\"woocommerce_single\";a:2:{s:8:\"original\";i:30242;s:10:\"compressed\";i:26355;}s:29:\"woocommerce_gallery_thumbnail\";a:2:{s:8:\"original\";i:4033;s:10:\"compressed\";i:3330;}}}");
INSERT INTO `wp_postmeta` VALUES("15281", "12668", "_elementor_css", "a:6:{s:4:\"time\";i:1686227758;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("15282", "12658", "_elementor_css", "a:6:{s:4:\"time\";i:1686227763;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("15283", "12187", "_elementor_css", "a:6:{s:4:\"time\";i:1686227786;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("15284", "12169", "_elementor_css", "a:6:{s:4:\"time\";i:1686227791;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("15285", "12648", "_elementor_css", "a:6:{s:4:\"time\";i:1686227923;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("3", "1", "2023-05-30 10:11:54", "2023-05-30 08:11:54", "<!-- wp:heading -->\n<article id=\"post-1915\">\n<section data-fix-page-container=\"on\">\n \n \n</section>\n<p><strong>Mise à jour : Mai 2018</strong></p>\n<p> </p>\n<h2>1. Qui sommes-nous ?</h2>\n<p> </p>\n<p>L’adresse de notre site Web est : www.kook-agency.fr.</p>\n<h2> </h2>\n<h2>2. Utilisation des données personnelles collectées</h2>\n<p> </p>\n<h3><strong>2.1. Commentaires</strong></h3>\n<p> </p>\n<p>Quand vous laissez un commentaire sur notre site web, les données inscrites dans le formulaire de commentaire, mais aussi votre adresse IP et l’agent utilisateur de votre navigateur sont collectés pour nous aider à la détection des commentaires indésirables.</p>\n<p> </p>\n<p>Une chaîne anonymisée créée à partir de votre adresse de messagerie (également appelée hash) peut être envoyée au service Gravatar pour vérifier si vous utilisez ce dernier. Les clauses de confidentialité du service Gravatar sont disponibles ici :</p>\n<p>https://automattic.com/privacy/. Après validation de votre commentaire, votre photo de profil sera visible publiquement à coté de votre commentaire.</p>\n<p> </p>\n<h3><strong>2.2. Médias</strong></h3>\n<p> </p>\n<p>Si vous êtes un utilisateur ou une utilisatrice enregistré·e et que vous téléversez des images sur le site web, nous vous conseillons d’éviter de téléverser des images contenant des données EXIF de coordonnées GPS. Les visiteurs de votre site web peuvent télécharger et extraire des données de localisation depuis ces images.</p>\n<h3> </h3>\n<h3><strong>2.3. Formulaires de contact</strong></h3>\n<p> </p>\n<p>Les informations recueillies sur les formulaires de ce site sont enregistrées dans un fichier informatisé par la société Kook Agency pour communiquer les informations liées aux services du site www.kook-agency.fr. Elles sont conservées pendant 3 ans et sont destinées au service marketing et au service commercial de notre société. Ce fichier est accessible uniquement par la société Kook Agency et les collaborateurs du pôle marketing de la société Kook Agency.</p>\n<p> </p>\n<p>Conformément à la loi « informatique et libertés », vous pouvez exercer votre droit d’accès aux données vous concernant et les faire rectifier en contactant : contact[at]kook-agency.fr;(cf. §3.1).</p>\n<p> </p>\n<p>En cochant la case de consentement obligatoire avant la soumission de chaque formulaire sur notre site web (« J’autorise www.kook-agency.fr à me contacter pour répondre à ma demande. Je suis informé que mes données ne seront utilisées que par www.kook-agency.fr et ne seront en aucun cas transmis à des tiers. »), vous autorisez explicitement le stockage et le traitement de vos données dans le but de vous faire connaître nos services. Vous autorisez :</p>\n<p> </p>\n<ul>\n<li>Le propriétaire du site www.kook-agency.fr à vous contacter pour toute relation commerciale</li>\n<li>Le service Marketing à vous communiquer des informations personnalisées sur nos services</li>\n</ul>\n<h2> </h2>\n<h2>3. Politique de cookies</h2>\n<h3> </h3>\n<h3><strong>3.1. Informations sur les cookies</strong></h3>\n<p> </p>\n<p>Ce site utilise des cookies – de petits fichiers texte qui sont placés sur votre machine pour aider le site à fournir une meilleure expérience utilisateur. Les cookies sont utilisés pour conserver les préférences de l’utilisateur, stocker des informations pour des choses comme les paniers d’achat et fournir des données de suivi anonymisées à des applications tierces comme Google Analytics. En règle générale, les cookies rendront votre expérience de navigation meilleure.</p>\n<p> </p>\n<p>Si vous déposez un commentaire sur notre site, il vous sera proposé d’enregistrer votre nom, adresse de messagerie et site web dans des cookies. C’est uniquement pour votre confort afin de ne pas avoir à saisir ces informations si vous déposez un autre commentaire plus tard. Ces cookies expirent au bout d’un an. Si vous avez un compte et que vous vous connectez sur ce site, un cookie temporaire sera créé afin de déterminer si votre navigateur accepte les cookies. Il ne contient pas de données personnelles et sera supprimé automatiquement à la fermeture de votre navigateur.</p>\n<p> </p>\n<p>Lorsque vous vous connecterez, nous mettrons en place un certain nombre de cookies pour enregistrer vos informations de connexion et vos préférences d’écran. La durée de vie d’un cookie de connexion est de deux jours, celle d’un cookie d’option d’écran est d’un an. Si vous cochez « Se souvenir de moi », votre cookie de connexion sera conservé pendant deux semaines. Si vous vous déconnectez de votre compte, le cookie de connexion sera effacé.</p>\n<p> </p>\n<p>En modifiant ou en publiant un article, un cookie supplémentaire sera enregistré dans votre navigateur. Ce cookie ne comprend aucune donnée personnelle. Il indique simplement l’identifiant de l’article que vous venez de modifier. Il expire au bout d’un jour.</p>\n<p> </p>\n<p>Toutefois, vous pouvez préférer désactiver les cookies sur ce site et sur d’autres. Le moyen le plus efficace consiste à désactiver les cookies dans votre navigateur. Nous vous suggérons de consulter la section 3.3.2 de ce document ou de consulter le site Web À propos des cookies (en anglais) qui propose des conseils pour tous les navigateurs modernes.<br />Attention, certaines parties de ce site ne peuvent être fonctionnelle sans l’acceptation de cookies.</p>\n<p> </p>\n<h3><strong>3.2. Finalité des cookies utilisés</strong></h3>\n<p> </p>\n<p>Nous utilisons des cookies de la part des services suivants : Google Analytics, Smartlook, Mautic. Les données et statistiques que nous collectons au moyen de ces cookies sont utilisées dans le seul et unique but d’améliorer la qualité de nos services.<br /><strong>Google Analytics :</strong> est utilisé de façon anonyme afin d’améliorer l’expérience utilisateur sur notre site web et vous offrir une navigation intuitive. Ces données ne sont pas communiquées à quelque tiers que ce soit.</p>\n<p> </p>\n<h3><strong>3.3. Vos choix concernant les cookies</strong></h3>\n<p> </p>\n<p>Vous pouvez faire le choix à tout moment d’exprimer et de modifier vos souhaits en matière de cookies, par les moyens décrits ci-dessous.<br />Vous pouvez configurer votre logiciel de navigation de manière à ce que des cookies soient enregistrés dans votre terminal ou, au contraire, qu’ils soient rejetés, soit systématiquement, soit selon leur émetteur. Vous pouvez également configurer votre logiciel de navigation de manière à ce que l’acceptation ou le refus des cookies vous soient proposés ponctuellement, avant qu’un cookie soit susceptible d’être enregistré dans votre terminal. Pour plus d’informations, consultez la rubrique “Comment exercer vos choix, selon le navigateur que vous utilisez ?”</p>\n<p> </p>\n<h4><strong>3.3.1. Acceptation des cookies</strong></h4>\n<p> </p>\n<p>L’enregistrement d’un cookie dans un terminal est subordonné à la volonté de son utilisateur, exprimée et modifiée à tout moment gratuitement à travers les choix proposés par son logiciel de navigation. Si vous avez accepté dans votre logiciel de navigation l’enregistrement de cookies dans votre terminal, les cookies intégrés dans les pages et contenus que vous avez consultés pourront être stockés temporairement dans un espace dédié de votre terminal. Ils y seront lisibles uniquement par leur émetteur.</p>\n<p> </p>\n<h4><strong>3.3.2. Refus des cookies</strong></h4>\n<p> </p>\n<p>Si vous refusez l’enregistrement de cookies dans votre terminal, ou si vous supprimez ceux qui y sont enregistrés, vous pourrez éventuellement ne plus bénéficier d’un certain nombre de fonctionnalités. Tel serait également le cas lorsque nous -ou nos prestataires- ne pourrions pas reconnaître, à des fins de compatibilité technique, le type de navigateur utilisé par votre terminal, ses paramètres de langue et d’affichage ou le pays depuis lequel votre terminal semble connecté à Internet. Le cas échéant, nous déclinons toute responsabilité pour les conséquences liées au fonctionnement dégradé de nos services résultant de l’impossibilité d’enregistrer ou de consulter les cookies nécessaires à leur fonctionnement et que vous auriez refusés ou supprimés.</p>\n<p> </p>\n<h4><strong>3.3.3. Comment exercer vos choix selon le navigateur que vous utilisez ?</strong></h4>\n<p> </p>\n<p>Pour la gestion des cookies et de vos choix, la configuration de chaque navigateur est différente. Elle est décrite dans le menu d’aide de votre navigateur, qui vous permettra de savoir de quelle manière modifier vos souhaits en matière de cookies.<br />Nous vous invitons à cliquer sur le nom de votre navigateur pour accéder au menu d’aide correspondant :</p>\n<p> </p>\n<ul>\n<li>Pour <a title=\"http://windows.microsoft.com/fr-fr/windows-vista/block-or-allow-cookies\" href=\"http://windows.microsoft.com/fr-fr/windows-vista/block-or-allow-cookies\" target=\"_blank\" rel=\"noopener noreferrer\">Internet Explorer™</a></li>\n<li>Pour <a title=\"http://support.apple.com/kb/ht1677?viewlocale=fr_fr\" href=\"http://support.apple.com/kb/ht1677?viewlocale=fr_fr\" target=\"_blank\" rel=\"noopener noreferrer\">Safari™</a></li>\n<li>Pour <a title=\"http://support.google.com/chrome/bin/answer.py?hl=fr&amp;;hlrm=en&amp;answer=95647\" href=\"http://support.google.com/chrome/bin/answer.py?hl=fr&amp;;hlrm=en&amp;answer=95647\" target=\"_blank\" rel=\"noopener noreferrer\">Chrome™</a></li>\n<li>Pour <a title=\"https://support.mozilla.org/fr/kb/activer-desactiver-cookies-preferences\" href=\"https://support.mozilla.org/fr/kb/activer-desactiver-cookies-preferences\" target=\"_blank\" rel=\"noopener noreferrer\">Firefox™</a></li>\n<li>Pour Opera™</li>\n</ul>\n<p> </p>\n<p>Vous pouvez également paramétrer votre navigateur afin que celui-ci envoie un code indiquant aux sites Web que vous ne souhaitez pas être suivis. (option « Do No Track »).<br />Nous vous invitons à cliquer sur le nom de votre navigateur pour accéder au menu d’aide correspondant :</p>\n<p> </p>\n<ul>\n<li><a title=\"https://support.microsoft.com/fr-fr/help/17288/windows-internet-explorer-11-use-do-not-track\" href=\"https://support.microsoft.com/fr-fr/help/17288/windows-internet-explorer-11-use-do-not-track\" target=\"_blank\" rel=\"noopener noreferrer\">Internet Explorer™</a> ;</li>\n<li>Safari™ ;</li>\n<li><a title=\"https://support.google.com/chrome/answer/114836?\" href=\"https://support.google.com/chrome/answer/114836?\" target=\"_blank\" rel=\"noopener noreferrer\">Chrome™</a> ;</li>\n<li><a title=\"https://support.mozilla.org/fr/kb/comment-activer-option-ne-pas-pister\" href=\"https://support.mozilla.org/fr/kb/comment-activer-option-ne-pas-pister\" target=\"_blank\" rel=\"noopener noreferrer\">Firefox™</a> ;</li>\n<li><a title=\"http://help.opera.com/Windows/12.10/en/notrack.html\" href=\"http://help.opera.com/Windows/12.10/en/notrack.html\" target=\"_blank\" rel=\"noopener noreferrer\">Opera™</a>.</li>\n</ul>\n<h3> </h3>\n<h3><strong>3.4 Plugin: Smush</strong></h3>\n<p> </p>\n<p>Smush envoie des images aux serveurs WPMU DEV pour les optimiser pour une utilisation sur le Web. Cela inclut le transfert des données EXIF. Les données EXIF seront supprimées ou renvoyées telles quelles. Il n’est pas stocké sur les serveurs WPMU DEV.</p>\n<p> </p>\n<h3><strong>3.5 Plugin: Defender Pro</strong></h3>\n<p> </p>\n<p><strong>Tiers : </strong>Ce site peut être utilisé par un stockage en nuage WPMU tiers pour stocker des sauvegardes de son audit lorsque des informations personnelles sont collectées.<br /></p>\n<p> </p>\n<p><strong>Données supplémentaires : </strong>Ce site crée et stocke un journal d’activité qui capture l’adresse IP, le nom d’utilisateur, l’adresse électronique et l’activité de l’utilisateur (par exemple, lorsqu’un utilisateur fait un commentaire).</p>\n<p>Les informations seront stockées localement pendant 30 jours et à distance pendant 1 an.</p>\n<p>Les informations sur les journaux distants ne peuvent pas être effacées pour des raisons de sécurité.</p>\n<p> </p>\n<h2>4. Contenu embarqué depuis d’autres sites</h2>\n<p> </p>\n<p>Les articles de ce site peuvent inclure des contenus intégrés (par exemple des vidéos, images, articles…). Le contenu intégré depuis d’autres sites se comporte de la même manière que si le visiteur se rendait sur cet autre site.</p>\n<p> </p>\n<p>Ces sites web pourraient collecter des données sur vous, utiliser des cookies, embarquer des outils de suivis tiers, suivre vos interactions avec ces contenus embarqués si vous disposez d’un compte connecté sur leur site web.</p>\n<p> </p>\n<h3><strong>4.1 Statistiques et mesures d’audience : Google Analytics</strong></h3>\n<p> </p>\n<p>Ce site web utilise Google Analytics, un service d’analyse web fourni par Google, Inc. (“Google”). Google Analytics utilise des “cookies”, qui sont des fichiers texte placés sur les ordinateurs des visiteurs ayant pour but d’aider les opérateurs de sites web à analyser comment les visiteurs utilisent leur site. Les informations générées par le cookie à propos de la manière dont les visiteurs utilisent le site web seront généralement transmises et stockées par Google sur des serveurs aux États-Unis.</p>\n<p> </p>\n<p>Sur ce site web, l’anonymisation de l’adresse IP a été activée. L’adresse IP des utilisateurs de Google des membres des états de l’union européenne, ou de tout autre pays ayant contracté l’accord sur l’Espace économique européen sera raccourcie. L’adresse IP complète sera transférée uniquement dans des cas exceptionnels sur un serveur de Google aux États-Unis, et sera raccourcie ensuite sur celui-ci. Pour le compte de l’opérateur du site web, Google utilisera ces informations dans le but d’évaluer le site pour ses utilisateurs, pour compiler des rapports sur l’activité du site web, et pour fournir d’autres services relatifs à l’activité du site web et de l’utilisation d’Internet pour les opérateurs du site web.</p>\n<p> </p>\n<p>Google n’associera pas les adresses IP transférées dans le cadre de Google Analytics avec toute autre donnée utilisée par Google. Vous pouvez refuser l’utilisation de cookies en paramétrant l’option appropriée dans votre navigateur web. Veuillez néanmoins garder à l’esprit qu’en faisant cela, vous pourriez ne pas être en mesure d’utiliser toutes les fonctionnalités de ce site web.</p>\n<p> </p>\n<p>De plus, les utilisateurs peuvent empêcher la récolte des données relatives à leurs utilisation du site web (y compris leur adresse IP) générées par le cookie et l’utilisation des données par Google, en téléchargeant et en installant le plug-in pour le navigateur disponible à cette adresse : </p>\n<p><a title=\"https://tools.google.com/dlpage/gaoptout?hl=fr\" href=\"https://tools.google.com/dlpage/gaoptout?hl=fr\" target=\"_blank\" rel=\"noopener\">https://tools.google.com/dlpage/gaoptout?hl=fr</a>.</p>\n<h2> </h2>\n<h2>5. Utilisation et transmission de vos données personnelles</h2>\n<h3> </h3>\n<h3><strong>5.1. Durées de stockage de vos données</strong></h3>\n<p> </p>\n<p>Si vous laissez un commentaire, le commentaire et ses métadonnées sont conservés indéfiniment. Cela permet de reconnaître et approuver automatiquement les commentaires suivants au lieu de les laisser dans la file de modération.</p>\n<p> </p>\n<p>Pour les utilisateurs et utilisatrices qui s’enregistrent sur notre site (si cela est possible), nous stockons également les données personnelles indiquées dans leur profil. Tous les utilisateurs et utilisatrices peuvent voir, modifier ou supprimer leurs informations personnelles à tout moment (à l’exception de leur nom d’utilisateur·ice). Les gestionnaires du site peuvent aussi voir et modifier ces informations.</p>\n<p> </p>\n<h3><strong>5.2. Les droits que vous avez sur vos données</strong></h3>\n<p> </p>\n<p>Si vous avez un compte ou si vous avez laissé des commentaires sur le site, vous pouvez demander à recevoir un fichier contenant toutes les données personnelles que nous possédons à votre sujet, incluant celles que vous nous avez fournies. Vous pouvez également demander la suppression des données personnelles vous concernant. Cela ne prend pas en compte les données stockées à des fins administratives, légales ou pour des raisons de sécurité.</p>\n<p> </p>\n<h3><strong>5.3. Droit d’accès à vos données personnelles</strong></h3>\n<p> </p>\n<p>Vous disposez d’un droit d’accès, de modification et/ou de suppression des données vous concernant à tout moment en contactant la responsable :</p>\n<p> </p>\n<ul>\n<li>Par voie postale : Kook Agency – 66 avenue des Champs-Elysées – 75008 PARIS accompagné d’une copie d’une pièce d’identité. Idéalement, en recommandé avec accusé de réception.</li>\n<li>Sur place dans nos locaux : avec présentation d’une pièce d’identité. La CNIL précise : « Il est possible de se faire accompagner par la personne de son choix. La consultation doit durer suffisamment longtemps pour prendre note commodément et complètement. Il est possible de demander une copie des données ».</li>\n</ul>\n<p> </p>\n<p>Le responsable du fichier dispose d’un délai de réponse maximal de 2 mois à compter de la demande, qu’elle ait été exercée par voie postale ou sur place. La CNIL précise : « Si la demande est incomplète (absence de la pièce d’identité par exemple), le responsable du fichier est en droit de demander des compléments : le délai est alors suspendu et courre à nouveau une fois ces éléments fournis ».</p>\n<p> </p>\n<p>Les limites au droit d’accès sont précisées sur le site de la CNIL et <a title=\"https://www.cnil.fr/fr/respecter-les-droits-des-personnes\" href=\"https://www.cnil.fr/fr/respecter-les-droits-des-personnes\" target=\"_blank\" rel=\"noopener noreferrer\">consultables en cliquant ici</a>.</p>\n<p> </p>\n<h3><strong>5.4. Modification de vos abonnements</strong></h3>\n<p> </p>\n<p>Vous pouvez aussi modifier librement vos abonnements à nos communications en cliquant sur « Modifier mes préférences » en bas de chacune de nos communications envoyées par e-mail.</p>\n<p> </p>\n<p>Pour vous désabonner de toutes les communications de www.kook-agency.fr, vous devez cliquer sur le lien de désabonnement qui se situe en bas de nos e-mails. Vous pourrez ensuite choisir :<br />– de modifier vos préférences de réception de nos communications<br />– de vous désabonner de toutes les communications marketing et commerciales jusqu’à nouvelle soumission de votre consentement sur le site internet.</p>\n</article>\n<footer>\n \n</footer><!-- /wp:paragraph -->", "Politique de confidentialité", "", "publish", "closed", "closed", "", "politique-de-confidentialite", "", "", "2023-06-05 14:16:20", "2023-06-05 12:16:20", "", "0", "http://kookagency/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("12172", "1", "2023-05-31 10:19:36", "2023-05-31 08:19:36", "", "BIA_MR_26", "", "inherit", "open", "closed", "", "bia_mr_26", "", "", "2023-05-31 10:19:36", "2023-05-31 08:19:36", "", "12169", "http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12173", "1", "2023-05-31 10:20:24", "2023-05-31 08:20:24", "", "BIA_MR_37", "", "inherit", "open", "closed", "", "bia_mr_37", "", "", "2023-05-31 10:20:24", "2023-05-31 08:20:24", "", "12169", "http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2022-08-10 23:04:58", "2022-08-10 23:04:58", "", "1", "", "inherit", "open", "closed", "", "1", "", "", "2022-08-10 23:04:58", "2022-08-10 23:04:58", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "hoodie-2.jpg", "", "inherit", "open", "closed", "", "hoodie-2-jpg", "", "", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "0", "http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2022-08-11 02:34:40", "2022-08-11 02:34:40", "", "3", "", "inherit", "open", "closed", "", "3", "", "", "2022-08-11 02:34:40", "2022-08-11 02:34:40", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11151", "1", "2019-01-16 13:01:56", "2019-01-16 13:01:56", "", "vneck-tee-2.jpg", "", "inherit", "open", "closed", "", "vneck-tee-2-jpg", "", "", "2019-01-16 13:01:56", "2019-01-16 13:01:56", "", "0", "http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11152", "1", "2019-01-16 13:01:57", "2019-01-16 13:01:57", "", "vnech-tee-green-1.jpg", "", "inherit", "open", "closed", "", "vnech-tee-green-1-jpg", "", "", "2019-01-16 13:01:57", "2019-01-16 13:01:57", "", "0", "http://kookagency/wp-content/uploads/2019/01/vnech-tee-green-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11153", "1", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "vnech-tee-blue-1.jpg", "", "inherit", "open", "closed", "", "vnech-tee-blue-1-jpg", "", "", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "0", "http://kookagency/wp-content/uploads/2019/01/vnech-tee-blue-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11154", "1", "2019-01-16 13:01:59", "2019-01-16 13:01:59", "", "hoodie-blue-1.jpg", "", "inherit", "open", "closed", "", "hoodie-blue-1-jpg", "", "", "2019-01-16 13:01:59", "2019-01-16 13:01:59", "", "0", "http://kookagency/wp-content/uploads/2019/01/hoodie-blue-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11155", "1", "2019-01-16 13:02:00", "2019-01-16 13:02:00", "", "hoodie-green-1.jpg", "", "inherit", "open", "closed", "", "hoodie-green-1-jpg", "", "", "2019-01-16 13:02:00", "2019-01-16 13:02:00", "", "0", "http://kookagency/wp-content/uploads/2019/01/hoodie-green-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11156", "1", "2019-01-16 13:02:01", "2019-01-16 13:02:01", "", "hoodie-with-logo-2.jpg", "", "inherit", "open", "closed", "", "hoodie-with-logo-2-jpg", "", "", "2019-01-16 13:02:01", "2019-01-16 13:02:01", "", "0", "http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11157", "1", "2019-01-16 13:02:02", "2019-01-16 13:02:02", "", "tshirt-2.jpg", "", "inherit", "open", "closed", "", "tshirt-2-jpg", "", "", "2019-01-16 13:02:02", "2019-01-16 13:02:02", "", "0", "http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11159", "1", "2019-01-16 13:02:03", "2019-01-16 13:02:03", "", "belt-2.jpg", "", "inherit", "open", "closed", "", "belt-2-jpg", "", "", "2019-01-16 13:02:03", "2019-01-16 13:02:03", "", "0", "http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11160", "1", "2019-01-16 13:02:04", "2019-01-16 13:02:04", "", "cap-2.jpg", "", "inherit", "open", "closed", "", "cap-2-jpg", "", "", "2019-01-16 13:02:04", "2019-01-16 13:02:04", "", "0", "http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11161", "1", "2019-01-16 13:02:05", "2019-01-16 13:02:05", "", "sunglasses-2.jpg", "", "inherit", "open", "closed", "", "sunglasses-2-jpg", "", "", "2019-01-16 13:02:05", "2019-01-16 13:02:05", "", "0", "http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11162", "1", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "hoodie-with-pocket-2.jpg", "", "inherit", "open", "closed", "", "hoodie-with-pocket-2-jpg", "", "", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "0", "http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11163", "1", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "hoodie-with-zipper-2.jpg", "", "inherit", "open", "closed", "", "hoodie-with-zipper-2-jpg", "", "", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "0", "http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11164", "1", "2019-01-16 13:02:07", "2019-01-16 13:02:07", "", "long-sleeve-tee-2.jpg", "", "inherit", "open", "closed", "", "long-sleeve-tee-2-jpg", "", "", "2019-01-16 13:02:07", "2019-01-16 13:02:07", "", "0", "http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11165", "1", "2019-01-16 13:02:08", "2019-01-16 13:02:08", "", "polo-2.jpg", "", "inherit", "open", "closed", "", "polo-2-jpg", "", "", "2019-01-16 13:02:08", "2019-01-16 13:02:08", "", "0", "http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11166", "1", "2019-01-16 13:02:10", "2019-01-16 13:02:10", "", "single-1.jpg", "", "inherit", "open", "closed", "", "single-1-jpg", "", "", "2019-01-16 13:02:10", "2019-01-16 13:02:10", "", "0", "http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11167", "1", "2019-01-16 13:02:11", "2019-01-16 13:02:11", "", "t-shirt-with-logo-1.jpg", "", "inherit", "open", "closed", "", "t-shirt-with-logo-1-jpg", "", "", "2019-01-16 13:02:11", "2019-01-16 13:02:11", "", "0", "http://kookagency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11168", "1", "2019-01-16 13:02:12", "2019-01-16 13:02:12", "", "beanie-with-logo-1.jpg", "", "inherit", "open", "closed", "", "beanie-with-logo-1-jpg", "", "", "2019-01-16 13:02:12", "2019-01-16 13:02:12", "", "0", "http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2022-08-11 02:34:44", "2022-08-11 02:34:44", "", "2", "", "inherit", "open", "closed", "", "2", "", "", "2022-08-11 02:34:44", "2022-08-11 02:34:44", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2022-08-11 02:39:14", "2022-08-11 02:39:14", "", "4", "", "inherit", "open", "closed", "", "4", "", "", "2022-08-11 02:39:14", "2022-08-11 02:39:14", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-scaled-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2022-08-11 03:06:10", "2022-08-11 03:06:10", "", "1", "", "inherit", "open", "closed", "", "1-2", "", "", "2022-08-11 03:06:10", "2022-08-11 03:06:10", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2022-08-11 03:12:25", "2022-08-11 03:12:25", "", "2", "", "inherit", "open", "closed", "", "2-2", "", "", "2022-08-11 03:12:25", "2022-08-11 03:12:25", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2022-08-11 03:15:09", "2022-08-11 03:15:09", "", "9d6c76146067617.62a9b2aa00784", "", "inherit", "open", "closed", "", "9d6c76146067617-62a9b2aa00784", "", "", "2022-08-11 03:15:09", "2022-08-11 03:15:09", "", "0", "http://kookagency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2022-08-11 03:15:20", "2022-08-11 03:15:20", "", "9110f5146067617.62a9b2a9f3154", "", "inherit", "open", "closed", "", "9110f5146067617-62a9b2a9f3154", "", "", "2022-08-11 03:15:20", "2022-08-11 03:15:20", "", "0", "http://kookagency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2022-08-11 03:17:59", "2022-08-11 03:17:59", "", "f8706c146067617", "", "inherit", "open", "closed", "", "f8706c146067617", "", "", "2022-08-11 03:17:59", "2022-08-11 03:17:59", "", "0", "http://kookagency/wp-content/uploads/2022/08/f8706c146067617-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2022-08-11 03:27:42", "2022-08-11 03:27:42", "", "4", "", "inherit", "open", "closed", "", "4-2", "", "", "2022-08-11 03:27:42", "2022-08-11 03:27:42", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2022-08-11 03:27:45", "2022-08-11 03:27:45", "", "5", "", "inherit", "open", "closed", "", "5", "", "", "2022-08-11 03:27:45", "2022-08-11 03:27:45", "", "0", "http://kookagency/wp-content/uploads/2022/08/5-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2022-08-11 03:27:50", "2022-08-11 03:27:50", "", "6", "", "inherit", "open", "closed", "", "6", "", "", "2022-08-11 03:27:50", "2022-08-11 03:27:50", "", "0", "http://kookagency/wp-content/uploads/2022/08/6-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2022-08-11 03:28:01", "2022-08-11 03:28:01", "", "9", "", "inherit", "open", "closed", "", "9", "", "", "2022-08-11 03:28:01", "2022-08-11 03:28:01", "", "0", "http://kookagency/wp-content/uploads/2022/08/9-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2022-08-11 12:44:08", "2022-08-11 12:44:08", "", "logo", "", "inherit", "open", "closed", "", "logo-2", "", "", "2022-08-11 12:44:08", "2022-08-11 12:44:08", "", "0", "http://kookagency/wp-content/uploads/2022/08/logo-1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2022-08-11 12:44:10", "2022-08-11 12:44:10", "", "logo-light", "", "inherit", "open", "closed", "", "logo-light-2", "", "", "2022-08-11 12:44:10", "2022-08-11 12:44:10", "", "0", "http://kookagency/wp-content/uploads/2022/08/logo-light-1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2022-08-12 11:30:11", "2022-08-12 11:30:11", "", "1", "", "inherit", "open", "closed", "", "1-3", "", "", "2022-08-12 11:30:11", "2022-08-12 11:30:11", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("158", "1", "2022-08-12 11:30:16", "2022-08-12 11:30:16", "", "2", "", "inherit", "open", "closed", "", "2-3", "", "", "2022-08-12 11:30:16", "2022-08-12 11:30:16", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("159", "1", "2022-08-12 11:30:21", "2022-08-12 11:30:21", "", "3", "", "inherit", "open", "closed", "", "3-2", "", "", "2022-08-12 11:30:21", "2022-08-12 11:30:21", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2022-08-12 11:30:25", "2022-08-12 11:30:25", "", "6", "", "inherit", "open", "closed", "", "6-2", "", "", "2022-08-12 11:30:25", "2022-08-12 11:30:25", "", "0", "http://kookagency/wp-content/uploads/2022/08/6-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2022-08-12 11:30:30", "2022-08-12 11:30:30", "", "7", "", "inherit", "open", "closed", "", "7", "", "", "2022-08-12 11:30:30", "2022-08-12 11:30:30", "", "0", "http://kookagency/wp-content/uploads/2022/08/7-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2022-08-12 11:30:34", "2022-08-12 11:30:34", "", "8", "", "inherit", "open", "closed", "", "8", "", "", "2022-08-12 11:30:34", "2022-08-12 11:30:34", "", "0", "http://kookagency/wp-content/uploads/2022/08/8-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2022-08-12 11:30:38", "2022-08-12 11:30:38", "", "9", "", "inherit", "open", "closed", "", "9-2", "", "", "2022-08-12 11:30:38", "2022-08-12 11:30:38", "", "0", "http://kookagency/wp-content/uploads/2022/08/9-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2022-08-12 11:30:44", "2022-08-12 11:30:44", "", "10", "", "inherit", "open", "closed", "", "10", "", "", "2022-08-12 11:30:44", "2022-08-12 11:30:44", "", "0", "http://kookagency/wp-content/uploads/2022/08/10-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2022-08-12 12:28:43", "2022-08-12 12:28:43", "", "1", "", "inherit", "open", "closed", "", "1-4", "", "", "2022-08-12 12:28:43", "2022-08-12 12:28:43", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2022-08-12 12:34:29", "2022-08-12 12:34:29", "", "2", "", "inherit", "open", "closed", "", "2-4", "", "", "2022-08-12 12:34:29", "2022-08-12 12:34:29", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("234", "1", "2022-08-12 12:37:40", "2022-08-12 12:37:40", "", "3", "", "inherit", "open", "closed", "", "3-3", "", "", "2022-08-12 12:37:40", "2022-08-12 12:37:40", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("235", "1", "2022-08-12 12:37:42", "2022-08-12 12:37:42", "", "4", "", "inherit", "open", "closed", "", "4-3", "", "", "2022-08-12 12:37:42", "2022-08-12 12:37:42", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2022-08-12 12:40:42", "2022-08-12 12:40:42", "", "5", "", "inherit", "open", "closed", "", "5-2", "", "", "2022-08-12 12:40:42", "2022-08-12 12:40:42", "", "0", "http://kookagency/wp-content/uploads/2022/08/5-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2022-08-12 12:45:36", "2022-08-12 12:45:36", "", "6", "", "inherit", "open", "closed", "", "6-3", "", "", "2022-08-12 12:45:36", "2022-08-12 12:45:36", "", "0", "http://kookagency/wp-content/uploads/2022/08/6-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2022-08-12 12:45:38", "2022-08-12 12:45:38", "", "7", "", "inherit", "open", "closed", "", "7-2", "", "", "2022-08-12 12:45:38", "2022-08-12 12:45:38", "", "0", "http://kookagency/wp-content/uploads/2022/08/7-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2022-08-12 12:45:41", "2022-08-12 12:45:41", "", "8", "", "inherit", "open", "closed", "", "8-2", "", "", "2022-08-12 12:45:41", "2022-08-12 12:45:41", "", "0", "http://kookagency/wp-content/uploads/2022/08/8-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2022-08-12 12:45:44", "2022-08-12 12:45:44", "", "9", "", "inherit", "open", "closed", "", "9-3", "", "", "2022-08-12 12:45:44", "2022-08-12 12:45:44", "", "0", "http://kookagency/wp-content/uploads/2022/08/9-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2022-08-12 12:45:47", "2022-08-12 12:45:47", "", "10", "", "inherit", "open", "closed", "", "10-2", "", "", "2022-08-12 12:45:47", "2022-08-12 12:45:47", "", "0", "http://kookagency/wp-content/uploads/2022/08/10-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2022-08-12 17:08:37", "2022-08-12 17:08:37", "", "1", "", "inherit", "open", "closed", "", "1-5", "", "", "2022-08-12 17:08:37", "2022-08-12 17:08:37", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2022-08-12 17:08:41", "2022-08-12 17:08:41", "", "2", "", "inherit", "open", "closed", "", "2-5", "", "", "2022-08-12 17:08:41", "2022-08-12 17:08:41", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2022-08-12 17:08:45", "2022-08-12 17:08:45", "", "3", "", "inherit", "open", "closed", "", "3-4", "", "", "2022-08-12 17:08:45", "2022-08-12 17:08:45", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("308", "1", "2022-08-12 17:08:50", "2022-08-12 17:08:50", "", "4", "", "inherit", "open", "closed", "", "4-4", "", "", "2022-08-12 17:08:50", "2022-08-12 17:08:50", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11674", "1", "2023-05-30 10:32:29", "2023-05-30 08:32:29", "", "Theme Demo Import - log_file_2023-05-30__08-32-29", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-05-30__08-32-29", "", "", "2023-05-30 10:32:29", "2023-05-30 08:32:29", "", "0", "http://kookagency/wp-content/uploads/2023/05/log_file_2023-05-30__08-32-29.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2022-08-12 17:08:55", "2022-08-12 17:08:55", "", "5", "", "inherit", "open", "closed", "", "5-3", "", "", "2022-08-12 17:08:55", "2022-08-12 17:08:55", "", "0", "http://kookagency/wp-content/uploads/2022/08/5-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2022-08-12 18:04:24", "2022-08-12 18:04:24", "", "1", "", "inherit", "open", "closed", "", "1-6", "", "", "2022-08-12 18:04:24", "2022-08-12 18:04:24", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2022-08-12 18:16:03", "2022-08-12 18:16:03", "", "2", "", "inherit", "open", "closed", "", "2-6", "", "", "2022-08-12 18:16:03", "2022-08-12 18:16:03", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-2.gif", "0", "attachment", "image/gif", "0");
INSERT INTO `wp_posts` VALUES("11170", "1", "2022-08-12 18:16:03", "2022-08-12 18:16:03", "", "2", "", "inherit", "open", "closed", "", "2-6-2", "", "", "2022-08-12 18:16:03", "2022-08-12 18:16:03", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-3.gif", "0", "attachment", "image/gif", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2022-08-12 18:19:36", "2022-08-12 18:19:36", "", "3", "", "inherit", "open", "closed", "", "3-5", "", "", "2022-08-12 18:19:36", "2022-08-12 18:19:36", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11171", "1", "2022-08-12 18:19:36", "2022-08-12 18:19:36", "", "3", "", "inherit", "open", "closed", "", "3-5-2", "", "", "2022-08-12 18:19:36", "2022-08-12 18:19:36", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-4-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("360", "1", "2022-08-12 18:19:40", "2022-08-12 18:19:40", "", "4", "", "inherit", "open", "closed", "", "4-5", "", "", "2022-08-12 18:19:40", "2022-08-12 18:19:40", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11172", "1", "2022-08-12 18:19:40", "2022-08-12 18:19:40", "", "4", "", "inherit", "open", "closed", "", "4-5-2", "", "", "2022-08-12 18:19:40", "2022-08-12 18:19:40", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-4-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2022-08-12 18:37:46", "2022-08-12 18:37:46", "", "5", "", "inherit", "open", "closed", "", "5-4", "", "", "2022-08-12 18:37:46", "2022-08-12 18:37:46", "", "0", "http://kookagency/wp-content/uploads/2022/08/5-3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11173", "1", "2022-08-12 18:37:46", "2022-08-12 18:37:46", "", "5", "", "inherit", "open", "closed", "", "5-4-2", "", "", "2022-08-12 18:37:46", "2022-08-12 18:37:46", "", "0", "http://kookagency/wp-content/uploads/2022/08/5-3-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2022-08-12 18:39:47", "2022-08-12 18:39:47", "", "6", "", "inherit", "open", "closed", "", "6-4", "", "", "2022-08-12 18:39:47", "2022-08-12 18:39:47", "", "0", "http://kookagency/wp-content/uploads/2022/08/6-3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11174", "1", "2022-08-12 18:39:47", "2022-08-12 18:39:47", "", "6", "", "inherit", "open", "closed", "", "6-4-2", "", "", "2022-08-12 18:39:47", "2022-08-12 18:39:47", "", "0", "http://kookagency/wp-content/uploads/2022/08/6-3-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2022-08-12 18:39:51", "2022-08-12 18:39:51", "", "7", "", "inherit", "open", "closed", "", "7-3", "", "", "2022-08-12 18:39:51", "2022-08-12 18:39:51", "", "0", "http://kookagency/wp-content/uploads/2022/08/7-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11175", "1", "2022-08-12 18:39:51", "2022-08-12 18:39:51", "", "7", "", "inherit", "open", "closed", "", "7-3-2", "", "", "2022-08-12 18:39:51", "2022-08-12 18:39:51", "", "0", "http://kookagency/wp-content/uploads/2022/08/7-2-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3293", "1", "2022-08-12 23:36:09", "2022-08-12 23:36:09", "", "1", "", "inherit", "open", "closed", "", "1-7", "", "", "2022-08-12 23:36:09", "2022-08-12 23:36:09", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-6-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11176", "1", "2022-08-12 23:36:09", "2022-08-12 23:36:09", "", "1", "", "inherit", "open", "closed", "", "1-7-2", "", "", "2022-08-12 23:36:09", "2022-08-12 23:36:09", "", "393", "http://kookagency/wp-content/uploads/2022/08/1-6-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3294", "1", "2022-08-12 23:36:12", "2022-08-12 23:36:12", "", "2", "", "inherit", "open", "closed", "", "2-8", "", "", "2022-08-12 23:36:12", "2022-08-12 23:36:12", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11177", "1", "2022-08-12 23:36:12", "2022-08-12 23:36:12", "", "2", "", "inherit", "open", "closed", "", "2-8-2", "", "", "2022-08-12 23:36:12", "2022-08-12 23:36:12", "", "393", "http://kookagency/wp-content/uploads/2022/08/2-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3295", "1", "2022-08-12 23:36:15", "2022-08-12 23:36:15", "", "3", "", "inherit", "open", "closed", "", "3-7", "", "", "2022-08-12 23:36:15", "2022-08-12 23:36:15", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-5-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11178", "1", "2022-08-12 23:36:15", "2022-08-12 23:36:15", "", "3", "", "inherit", "open", "closed", "", "3-7-2", "", "", "2022-08-12 23:36:15", "2022-08-12 23:36:15", "", "393", "http://kookagency/wp-content/uploads/2022/08/3-5-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3296", "1", "2022-08-12 23:37:51", "2022-08-12 23:37:51", "", "2", "", "inherit", "open", "closed", "", "2-9", "", "", "2022-08-12 23:37:51", "2022-08-12 23:37:51", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-5-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11179", "1", "2022-08-12 23:37:51", "2022-08-12 23:37:51", "", "2", "", "inherit", "open", "closed", "", "2-9-2", "", "", "2022-08-12 23:37:51", "2022-08-12 23:37:51", "", "393", "http://kookagency/wp-content/uploads/2022/08/2-5-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3310", "1", "2022-08-13 00:04:10", "2022-08-13 00:04:10", "", "karsten-winegeart-sStahKEhT9w-unsplash-1200x802", "", "inherit", "open", "closed", "", "karsten-winegeart-sstahkeht9w-unsplash-1200x802", "", "", "2022-08-13 00:04:10", "2022-08-13 00:04:10", "", "0", "http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11180", "1", "2022-08-13 00:04:10", "2022-08-13 00:04:10", "", "karsten-winegeart-sStahKEhT9w-unsplash-1200x802", "", "inherit", "open", "closed", "", "karsten-winegeart-sstahkeht9w-unsplash-1200x802-2", "", "", "2022-08-13 00:04:10", "2022-08-13 00:04:10", "", "1186", "http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3312", "1", "2022-08-13 00:05:10", "2022-08-13 00:05:10", "", "moritz-spahn-sMJua-DB57Q-unsplash", "", "inherit", "open", "closed", "", "moritz-spahn-smjua-db57q-unsplash", "", "", "2022-08-13 00:05:10", "2022-08-13 00:05:10", "", "0", "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11181", "1", "2022-08-13 00:05:10", "2022-08-13 00:05:10", "", "moritz-spahn-sMJua-DB57Q-unsplash", "", "inherit", "open", "closed", "", "moritz-spahn-smjua-db57q-unsplash-2", "", "", "2022-08-13 00:05:10", "2022-08-13 00:05:10", "", "1176", "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3314", "1", "2022-08-13 00:07:11", "2022-08-13 00:07:11", "", "moritz-spahn-RHlG-6tl8uQ-unsplash-scaled", "", "inherit", "open", "closed", "", "moritz-spahn-rhlg-6tl8uq-unsplash-scaled", "", "", "2022-08-13 00:07:11", "2022-08-13 00:07:11", "", "0", "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11182", "1", "2022-08-13 00:07:11", "2022-08-13 00:07:11", "", "moritz-spahn-RHlG-6tl8uQ-unsplash-scaled", "", "inherit", "open", "closed", "", "moritz-spahn-rhlg-6tl8uq-unsplash-scaled-2", "", "", "2022-08-13 00:07:11", "2022-08-13 00:07:11", "", "1161", "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3320", "1", "2022-08-13 00:14:31", "2022-08-13 00:14:31", "", "1", "", "inherit", "open", "closed", "", "1-9", "", "", "2022-08-13 00:14:31", "2022-08-13 00:14:31", "", "393", "http://kookagency/wp-content/uploads/2022/08/1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11183", "1", "2022-08-13 00:14:31", "2022-08-13 00:14:31", "", "1", "", "inherit", "open", "closed", "", "1-9-2", "", "", "2022-08-13 00:14:31", "2022-08-13 00:14:31", "", "0", "http://kookagency/wp-content/uploads/2022/08/1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3321", "1", "2022-08-13 00:14:33", "2022-08-13 00:14:33", "", "2", "", "inherit", "open", "closed", "", "2-10", "", "", "2022-08-13 00:14:33", "2022-08-13 00:14:33", "", "393", "http://kookagency/wp-content/uploads/2022/08/2-1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11184", "1", "2022-08-13 00:14:33", "2022-08-13 00:14:33", "", "2", "", "inherit", "open", "closed", "", "2-10-2", "", "", "2022-08-13 00:14:33", "2022-08-13 00:14:33", "", "0", "http://kookagency/wp-content/uploads/2022/08/2-1-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3322", "1", "2022-08-13 00:14:35", "2022-08-13 00:14:35", "", "3", "", "inherit", "open", "closed", "", "3-8", "", "", "2022-08-13 00:14:35", "2022-08-13 00:14:35", "", "393", "http://kookagency/wp-content/uploads/2022/08/3-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11185", "1", "2022-08-13 00:14:35", "2022-08-13 00:14:35", "", "3", "", "inherit", "open", "closed", "", "3-8-2", "", "", "2022-08-13 00:14:35", "2022-08-13 00:14:35", "", "0", "http://kookagency/wp-content/uploads/2022/08/3-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3323", "1", "2022-08-13 00:14:37", "2022-08-13 00:14:37", "", "4", "", "inherit", "open", "closed", "", "4-6", "", "", "2022-08-13 00:14:37", "2022-08-13 00:14:37", "", "393", "http://kookagency/wp-content/uploads/2022/08/4-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11186", "1", "2022-08-13 00:14:37", "2022-08-13 00:14:37", "", "4", "", "inherit", "open", "closed", "", "4-6-2", "", "", "2022-08-13 00:14:37", "2022-08-13 00:14:37", "", "0", "http://kookagency/wp-content/uploads/2022/08/4-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3324", "1", "2022-08-13 00:14:39", "2022-08-13 00:14:39", "", "5", "", "inherit", "open", "closed", "", "5-5", "", "", "2022-08-13 00:14:39", "2022-08-13 00:14:39", "", "393", "http://kookagency/wp-content/uploads/2022/08/5-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11187", "1", "2022-08-13 00:14:39", "2022-08-13 00:14:39", "", "5", "", "inherit", "open", "closed", "", "5-5-2", "", "", "2022-08-13 00:14:39", "2022-08-13 00:14:39", "", "0", "http://kookagency/wp-content/uploads/2022/08/5-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3325", "1", "2022-08-13 00:14:41", "2022-08-13 00:14:41", "", "6", "", "inherit", "open", "closed", "", "6-5", "", "", "2022-08-13 00:14:41", "2022-08-13 00:14:41", "", "393", "http://kookagency/wp-content/uploads/2022/08/6-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11188", "1", "2022-08-13 00:14:41", "2022-08-13 00:14:41", "", "6", "", "inherit", "open", "closed", "", "6-5-2", "", "", "2022-08-13 00:14:41", "2022-08-13 00:14:41", "", "0", "http://kookagency/wp-content/uploads/2022/08/6-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("4466", "1", "2022-08-23 01:17:07", "2022-08-23 01:17:07", "", "milad-fakurian-bkmrXtXG1r8-unsplash", "", "inherit", "open", "closed", "", "milad-fakurian-bkmrxtxg1r8-unsplash", "", "", "2022-08-23 01:17:07", "2022-08-23 01:17:07", "", "393", "http://kookagency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11189", "1", "2022-08-23 01:17:07", "2022-08-23 01:17:07", "", "milad-fakurian-bkmrXtXG1r8-unsplash", "", "inherit", "open", "closed", "", "milad-fakurian-bkmrxtxg1r8-unsplash-2", "", "", "2022-08-23 01:17:07", "2022-08-23 01:17:07", "", "0", "http://kookagency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4476", "1", "2022-08-23 01:23:18", "2022-08-23 01:23:18", "", "ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-t8i8l4jhcpe-unsplash", "", "", "2022-08-23 01:23:18", "2022-08-23 01:23:18", "", "393", "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11190", "1", "2022-08-23 01:23:18", "2022-08-23 01:23:18", "", "ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-t8i8l4jhcpe-unsplash-2", "", "", "2022-08-23 01:23:18", "2022-08-23 01:23:18", "", "0", "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4532", "1", "2022-08-23 01:40:16", "2022-08-23 01:40:16", "", "nordgreen-taqlluwbrgE-unsplash", "", "inherit", "open", "closed", "", "nordgreen-taqlluwbrge-unsplash", "", "", "2022-08-23 01:40:16", "2022-08-23 01:40:16", "", "0", "http://kookagency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11191", "1", "2022-08-23 01:40:16", "2022-08-23 01:40:16", "", "nordgreen-taqlluwbrgE-unsplash", "", "inherit", "open", "closed", "", "nordgreen-taqlluwbrge-unsplash", "", "", "2022-08-23 01:40:16", "2022-08-23 01:40:16", "", "393", "http://kookagency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4680", "1", "2022-08-23 03:41:47", "2022-08-23 03:41:47", "", "ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-1aorrb3bczm-unsplash", "", "", "2022-08-23 03:41:47", "2022-08-23 03:41:47", "", "0", "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11192", "1", "2022-08-23 03:41:47", "2022-08-23 03:41:47", "", "ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-1aorrb3bczm-unsplash-2", "", "", "2022-08-23 03:41:47", "2022-08-23 03:41:47", "", "393", "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4705", "1", "2022-08-23 22:47:56", "2022-08-23 22:47:56", "", "skills-2", "", "inherit", "open", "closed", "", "skills-2", "", "", "2022-08-23 22:47:56", "2022-08-23 22:47:56", "", "393", "http://kookagency/wp-content/uploads/2022/08/skills-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4920", "1", "2022-08-24 01:28:01", "2022-08-24 01:28:01", "", "ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-x9phlk8ibyu-unsplash", "", "", "2022-08-24 01:28:01", "2022-08-24 01:28:01", "", "0", "http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4921", "1", "2022-08-24 01:28:07", "2022-08-24 01:28:07", "", "alabaster-co-Sy1ohVoGciA-unsplash", "", "inherit", "open", "closed", "", "alabaster-co-sy1ohvogcia-unsplash", "", "", "2022-08-24 01:28:07", "2022-08-24 01:28:07", "", "1317", "http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11193", "1", "2022-08-24 01:28:07", "2022-08-24 01:28:07", "", "alabaster-co-Sy1ohVoGciA-unsplash", "", "inherit", "open", "closed", "", "alabaster-co-sy1ohvogcia-unsplash-2", "", "", "2022-08-24 01:28:07", "2022-08-24 01:28:07", "", "0", "http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4922", "1", "2022-08-24 01:28:12", "2022-08-24 01:28:12", "", "content-pixie-VJX5imdELxo-unsplash", "", "inherit", "open", "closed", "", "content-pixie-vjx5imdelxo-unsplash", "", "", "2022-08-24 01:28:12", "2022-08-24 01:28:12", "", "1317", "http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11194", "1", "2022-08-24 01:28:12", "2022-08-24 01:28:12", "", "content-pixie-VJX5imdELxo-unsplash", "", "inherit", "open", "closed", "", "content-pixie-vjx5imdelxo-unsplash-2", "", "", "2022-08-24 01:28:12", "2022-08-24 01:28:12", "", "0", "http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("6107", "1", "2022-09-09 18:08:54", "2022-09-09 18:08:54", "", "pexels-pixabay-356147", "", "inherit", "open", "closed", "", "pexels-pixabay-356147", "", "", "2022-09-09 18:08:54", "2022-09-09 18:08:54", "", "11459", "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-356147-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("6111", "1", "2022-09-09 18:10:18", "2022-09-09 18:10:18", "", "pexels-rachel-claire-5490267", "", "inherit", "open", "closed", "", "pexels-rachel-claire-5490267", "", "", "2022-09-09 18:10:18", "2022-09-09 18:10:18", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("6112", "1", "2022-09-09 18:10:22", "2022-09-09 18:10:22", "", "pexels-pixabay-90764", "", "inherit", "open", "closed", "", "pexels-pixabay-90764", "", "", "2022-09-09 18:10:22", "2022-09-09 18:10:22", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-90764-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11195", "1", "2022-09-09 18:10:22", "2022-09-09 18:10:22", "", "pexels-pixabay-90764", "", "inherit", "open", "closed", "", "pexels-pixabay-90764-2", "", "", "2022-09-09 18:10:22", "2022-09-09 18:10:22", "", "11459", "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-90764-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("6124", "1", "2022-09-09 18:15:38", "2022-09-09 18:15:38", "", "62a1f09ec862ce8047dd9ca4_Hero-Bg", "", "inherit", "open", "closed", "", "62a1f09ec862ce8047dd9ca4_hero-bg-2", "", "", "2022-09-09 18:15:38", "2022-09-09 18:15:38", "", "0", "http://kookagency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11196", "1", "2022-09-09 18:15:38", "2022-09-09 18:15:38", "", "62a1f09ec862ce8047dd9ca4_Hero-Bg", "", "inherit", "open", "closed", "", "62a1f09ec862ce8047dd9ca4_hero-bg-2-2", "", "", "2022-09-09 18:15:38", "2022-09-09 18:15:38", "", "11459", "http://kookagency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("6422", "1", "2022-09-10 02:06:58", "2022-09-10 02:06:58", "", "62a1f09ec862ce8047dd9ca4_Hero-Bg", "", "inherit", "open", "closed", "", "62a1f09ec862ce8047dd9ca4_hero-bg", "", "", "2022-09-10 02:06:58", "2022-09-10 02:06:58", "", "0", "http://kookagency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11197", "1", "2022-09-10 02:06:58", "2022-09-10 02:06:58", "", "62a1f09ec862ce8047dd9ca4_Hero-Bg", "", "inherit", "open", "closed", "", "62a1f09ec862ce8047dd9ca4_hero-bg-3", "", "", "2022-09-10 02:06:58", "2022-09-10 02:06:58", "", "11460", "http://kookagency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("6465", "1", "2022-09-10 03:06:07", "2022-09-10 03:06:07", "", "pexels-roman-odintsov-4925863", "", "inherit", "open", "closed", "", "pexels-roman-odintsov-4925863", "", "", "2022-09-10 03:06:07", "2022-09-10 03:06:07", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7221", "1", "2022-09-11 21:45:46", "2022-09-11 21:45:46", "", "60a502785b1f17fddcebab14_Architecture-Grid-Image", "", "inherit", "open", "closed", "", "60a502785b1f17fddcebab14_architecture-grid-image", "", "", "2022-09-11 21:45:46", "2022-09-11 21:45:46", "", "0", "http://kookagency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7250", "1", "2022-09-11 22:05:09", "2022-09-11 22:05:09", "", "ab3", "", "inherit", "open", "closed", "", "ab3", "", "", "2022-09-11 22:05:09", "2022-09-11 22:05:09", "", "0", "http://kookagency/wp-content/uploads/2022/09/ab3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7257", "1", "2022-09-11 22:10:14", "2022-09-11 22:10:14", "", "dots-dark", "", "inherit", "open", "closed", "", "dots-dark", "", "", "2022-09-11 22:10:14", "2022-09-11 22:10:14", "", "0", "http://kookagency/wp-content/uploads/2022/09/dots-dark-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("7361", "1", "2022-09-11 22:44:44", "2022-09-11 22:44:44", "", "1-1.jpg", "", "inherit", "open", "closed", "", "1-1-jpg", "", "", "2022-09-11 22:44:44", "2022-09-11 22:44:44", "", "0", "http://kookagency/wp-content/uploads/2022/09/1-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11198", "1", "2022-09-11 22:44:44", "2022-09-11 22:44:44", "", "1-1.jpg", "", "inherit", "open", "closed", "", "1-1-jpg-2", "", "", "2022-09-11 22:44:44", "2022-09-11 22:44:44", "", "0", "http://kookagency/wp-content/uploads/2022/09/1-1-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7363", "1", "2022-09-11 22:44:46", "2022-09-11 22:44:46", "", "2-1.jpg", "", "inherit", "open", "closed", "", "2-1-jpg", "", "", "2022-09-11 22:44:46", "2022-09-11 22:44:46", "", "0", "http://kookagency/wp-content/uploads/2022/09/2-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11199", "1", "2022-09-11 22:44:46", "2022-09-11 22:44:46", "", "2-1.jpg", "", "inherit", "open", "closed", "", "2-1-jpg-2", "", "", "2022-09-11 22:44:46", "2022-09-11 22:44:46", "", "0", "http://kookagency/wp-content/uploads/2022/09/2-1-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7365", "1", "2022-09-11 22:44:48", "2022-09-11 22:44:48", "", "maxim-potkin-wyxTcdibez0-unsplash.jpg", "", "inherit", "open", "closed", "", "maxim-potkin-wyxtcdibez0-unsplash-jpg", "", "", "2022-09-11 22:44:48", "2022-09-11 22:44:48", "", "0", "http://kookagency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7433", "1", "2022-09-11 23:25:54", "2022-09-11 23:25:54", "", "pexels-nancy-bourque-1209982", "", "inherit", "open", "closed", "", "pexels-nancy-bourque-1209982", "", "", "2022-09-11 23:25:54", "2022-09-11 23:25:54", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7435", "1", "2022-09-11 23:27:57", "2022-09-11 23:27:57", "", "pexels-johannes-plenio-1632788", "", "inherit", "open", "closed", "", "pexels-johannes-plenio-1632788", "", "", "2022-09-11 23:27:57", "2022-09-11 23:27:57", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11200", "1", "2022-09-11 23:27:57", "2022-09-11 23:27:57", "", "pexels-johannes-plenio-1632788", "", "inherit", "open", "closed", "", "pexels-johannes-plenio-1632788-2", "", "", "2022-09-11 23:27:57", "2022-09-11 23:27:57", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("8816", "1", "2022-09-15 00:07:17", "2022-09-15 00:07:17", "http://kookagency/wp-content/uploads/2022/08/cropped-logo-1-2.png", "cropped-logo-1.png", "", "inherit", "open", "closed", "", "cropped-logo-1-png", "", "", "2022-09-15 00:07:17", "2022-09-15 00:07:17", "", "0", "http://kookagency/wp-content/uploads/2022/08/cropped-logo-1-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11201", "1", "2022-09-15 00:07:17", "2022-09-15 00:07:17", "http://kookagency/wp-content/uploads/2022/08/cropped-logo-1-2.png", "cropped-logo-1.png", "", "inherit", "open", "closed", "", "cropped-logo-1-png-2", "", "", "2022-09-15 00:07:17", "2022-09-15 00:07:17", "", "0", "http://kookagency/wp-content/uploads/2022/08/cropped-logo-1-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("9635", "1", "2022-09-17 16:02:19", "2022-09-17 16:02:19", "", "pexels-sevenstorm-juhaszimrus-934345", "", "inherit", "open", "closed", "", "pexels-sevenstorm-juhaszimrus-934345", "", "", "2022-09-17 16:02:19", "2022-09-17 16:02:19", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11202", "1", "2022-09-17 16:02:19", "2022-09-17 16:02:19", "", "pexels-sevenstorm-juhaszimrus-934345", "", "inherit", "open", "closed", "", "pexels-sevenstorm-juhaszimrus-934345-2", "", "", "2022-09-17 16:02:19", "2022-09-17 16:02:19", "", "0", "http://kookagency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("10136", "1", "2022-09-18 04:09:14", "2022-09-18 04:09:14", "", "default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe", "", "inherit", "open", "closed", "", "default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe", "", "", "2022-09-18 04:09:14", "2022-09-18 04:09:14", "", "7871", "http://kookagency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11203", "1", "2022-09-18 04:09:14", "2022-09-18 04:09:14", "", "default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe", "", "inherit", "open", "closed", "", "default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2", "", "", "2022-09-18 04:09:14", "2022-09-18 04:09:14", "", "0", "http://kookagency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11119", "1", "2022-10-11 22:14:15", "2022-10-11 22:14:15", "", "woocommerce-placeholder", "", "inherit", "open", "closed", "", "woocommerce-placeholder", "", "", "2022-10-11 22:14:15", "2022-10-11 22:14:15", "", "0", "http://kookagency/wp-content/uploads/2022/10/woocommerce-placeholder-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11204", "1", "2022-10-11 22:14:15", "2022-10-11 22:14:15", "", "woocommerce-placeholder", "", "inherit", "open", "closed", "", "woocommerce-placeholder-2", "", "", "2022-10-11 22:14:15", "2022-10-11 22:14:15", "", "0", "http://kookagency/wp-content/uploads/2022/10/woocommerce-placeholder-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11257", "1", "2022-10-12 00:11:34", "2022-10-12 00:11:34", "", "product-2", "", "inherit", "open", "closed", "", "product-2", "", "", "2022-10-12 00:11:34", "2022-10-12 00:11:34", "", "0", "http://kookagency/wp-content/uploads/2022/10/product-2-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11258", "1", "2022-10-12 00:11:34", "2022-10-12 00:11:34", "", "product-2", "", "inherit", "open", "closed", "", "product-2-2", "", "", "2022-10-12 00:11:34", "2022-10-12 00:11:34", "", "0", "http://kookagency/wp-content/uploads/2022/10/product-2-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11259", "1", "2022-10-12 00:13:38", "2022-10-12 00:13:38", "", "product-4", "", "inherit", "open", "closed", "", "product-4", "", "", "2022-10-12 00:13:38", "2022-10-12 00:13:38", "", "0", "http://kookagency/wp-content/uploads/2019/01/product-4-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11260", "1", "2022-10-12 00:13:38", "2022-10-12 00:13:38", "", "product-4", "", "inherit", "open", "closed", "", "product-4-2", "", "", "2022-10-12 00:13:38", "2022-10-12 00:13:38", "", "0", "http://kookagency/wp-content/uploads/2019/01/product-4-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11266", "1", "2022-10-12 00:27:04", "2022-10-12 00:27:04", "", "product-6", "", "inherit", "open", "closed", "", "product-6", "", "", "2022-10-12 00:27:04", "2022-10-12 00:27:04", "", "0", "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11267", "1", "2022-10-12 00:27:04", "2022-10-12 00:27:04", "", "product-6", "", "inherit", "open", "closed", "", "product-6-2", "", "", "2022-10-12 00:27:04", "2022-10-12 00:27:04", "", "0", "http://kookagency/wp-content/uploads/2022/10/product-6-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11268", "1", "2022-10-12 00:32:28", "2022-10-12 00:32:28", "", "ragbo452081071c_q1_2-0", "", "inherit", "open", "closed", "", "ragbo452081071c_q1_2-0", "", "", "2022-10-12 00:32:28", "2022-10-12 00:32:28", "", "0", "http://kookagency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11269", "1", "2022-10-12 00:32:28", "2022-10-12 00:32:28", "", "ragbo452081071c_q1_2-0", "", "inherit", "open", "closed", "", "ragbo452081071c_q1_2-0-2", "", "", "2022-10-12 00:32:28", "2022-10-12 00:32:28", "", "0", "http://kookagency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11270", "1", "2022-10-12 00:32:33", "2022-10-12 00:32:33", "", "pr1-pink-2", "", "inherit", "open", "closed", "", "pr1-pink-2", "", "", "2022-10-12 00:32:33", "2022-10-12 00:32:33", "", "0", "http://kookagency/wp-content/uploads/2019/01/pr1-pink-2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11271", "1", "2022-10-12 00:32:33", "2022-10-12 00:32:33", "", "pr1-pink-2", "", "inherit", "open", "closed", "", "pr1-pink-2-2", "", "", "2022-10-12 00:32:33", "2022-10-12 00:32:33", "", "0", "http://kookagency/wp-content/uploads/2019/01/pr1-pink-2-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11272", "1", "2022-10-12 00:32:38", "2022-10-12 00:32:38", "", "pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716", "", "inherit", "open", "closed", "", "pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716", "", "", "2022-10-12 00:32:38", "2022-10-12 00:32:38", "", "0", "http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11273", "1", "2022-10-12 00:32:38", "2022-10-12 00:32:38", "", "pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716", "", "inherit", "open", "closed", "", "pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2", "", "", "2022-10-12 00:32:38", "2022-10-12 00:32:38", "", "0", "http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11274", "1", "2022-10-12 00:32:45", "2022-10-12 00:32:45", "", "acndb3127517966_q1_2-0", "", "inherit", "open", "closed", "", "acndb3127517966_q1_2-0", "", "", "2022-10-12 00:32:45", "2022-10-12 00:32:45", "", "0", "http://kookagency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11275", "1", "2022-10-12 00:32:45", "2022-10-12 00:32:45", "", "acndb3127517966_q1_2-0", "", "inherit", "open", "closed", "", "acndb3127517966_q1_2-0-2", "", "", "2022-10-12 00:32:45", "2022-10-12 00:32:45", "", "0", "http://kookagency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11276", "1", "2022-10-12 00:36:23", "2022-10-12 00:36:23", "", "product-8", "", "inherit", "open", "closed", "", "product-8", "", "", "2022-10-12 00:36:23", "2022-10-12 00:36:23", "", "0", "http://kookagency/wp-content/uploads/2022/10/product-8-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11277", "1", "2022-10-12 00:36:23", "2022-10-12 00:36:23", "", "product-8", "", "inherit", "open", "closed", "", "product-8-2", "", "", "2022-10-12 00:36:23", "2022-10-12 00:36:23", "", "0", "http://kookagency/wp-content/uploads/2022/10/product-8-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11285", "1", "2022-10-12 09:30:27", "2022-10-12 09:30:27", "", "hero-2", "", "inherit", "open", "closed", "", "hero-2", "", "", "2022-10-12 09:30:27", "2022-10-12 09:30:27", "", "0", "http://kookagency/wp-content/uploads/2022/10/hero-2-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11317", "1", "2022-10-12 12:53:06", "2022-10-12 12:53:06", "", "pexels-photo-8365688", "", "inherit", "open", "closed", "", "pexels-photo-8365688", "", "", "2022-10-12 12:53:06", "2022-10-12 12:53:06", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-photo-8365688-2.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11318", "1", "2022-10-12 12:55:16", "2022-10-12 12:55:16", "", "pexels-terje-sollie-298864", "", "inherit", "open", "closed", "", "pexels-terje-sollie-298864", "", "", "2022-10-12 12:55:16", "2022-10-12 12:55:16", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11319", "1", "2022-10-12 12:55:16", "2022-10-12 12:55:16", "", "pexels-terje-sollie-298864", "", "inherit", "open", "closed", "", "pexels-terje-sollie-298864-2", "", "", "2022-10-12 12:55:16", "2022-10-12 12:55:16", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11322", "1", "2022-10-12 12:56:54", "2022-10-12 12:56:54", "", "pexels-photo-631411", "", "inherit", "open", "closed", "", "pexels-photo-631411", "", "", "2022-10-12 12:56:54", "2022-10-12 12:56:54", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-photo-631411-2.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11323", "1", "2022-10-12 12:56:54", "2022-10-12 12:56:54", "", "pexels-photo-631411", "", "inherit", "open", "closed", "", "pexels-photo-631411-2", "", "", "2022-10-12 12:56:54", "2022-10-12 12:56:54", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-photo-631411-3.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11326", "1", "2022-10-12 12:58:14", "2022-10-12 12:58:14", "", "pexels-photo-1337753", "", "inherit", "open", "closed", "", "pexels-photo-1337753", "", "", "2022-10-12 12:58:14", "2022-10-12 12:58:14", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-photo-1337753-2.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11327", "1", "2022-10-12 12:58:14", "2022-10-12 12:58:14", "", "pexels-photo-1337753", "", "inherit", "open", "closed", "", "pexels-photo-1337753-2", "", "", "2022-10-12 12:58:14", "2022-10-12 12:58:14", "", "0", "http://kookagency/wp-content/uploads/2022/10/pexels-photo-1337753-3.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11396", "1", "2022-10-13 01:43:01", "2022-10-13 01:43:01", "", "7a1f64152979619.632bd4d966dbe", "", "inherit", "open", "closed", "", "7a1f64152979619-632bd4d966dbe", "", "", "2022-10-13 01:43:01", "2022-10-13 01:43:01", "", "11279", "http://kookagency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11397", "1", "2022-10-13 01:43:01", "2022-10-13 01:43:01", "", "7a1f64152979619.632bd4d966dbe", "", "inherit", "open", "closed", "", "7a1f64152979619-632bd4d966dbe-2", "", "", "2022-10-13 01:43:01", "2022-10-13 01:43:01", "", "0", "http://kookagency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11414", "1", "2022-10-13 02:02:45", "2022-10-13 02:02:45", "", "c96a9b144890955.6294d44ef1e11", "", "inherit", "open", "closed", "", "c96a9b144890955-6294d44ef1e11-2", "", "", "2022-10-13 02:02:45", "2022-10-13 02:02:45", "", "11279", "http://kookagency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11415", "1", "2022-10-13 02:02:45", "2022-10-13 02:02:45", "", "c96a9b144890955.6294d44ef1e11", "", "inherit", "open", "closed", "", "c96a9b144890955-6294d44ef1e11-2-2", "", "", "2022-10-13 02:02:45", "2022-10-13 02:02:45", "", "0", "http://kookagency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11416", "1", "2023-05-30 10:23:57", "2023-05-30 08:23:57", "<label> Votre nom\n    [text* your-name autocomplete:name] </label>\n\n<label> Votre e-mail\n    [email* your-email autocomplete:email] </label>\n\n<label> Objet\n    [text* your-subject] </label>\n\n<label> Votre message (facultatif)\n    [textarea your-message] </label>\n\n[submit \"Envoyer\"]\n[_site_title] \"[your-subject]\"\n[_site_title] <wordpress@kookagency>\nDe : [your-name] [your-email]\nObjet : [your-subject]\n\nCorps du message :\n[your-message]\n\n-- \nCet e-mail a été envoyé via le formulaire de contact de [_site_title] ([_site_url])\n[_site_admin_email]\nReply-To: [your-email]\n\n0\n0\n\n[_site_title] \"[your-subject]\"\n[_site_title] <wordpress@kookagency>\nCorps du message :\n[your-message]\n\n-- \nCet e-mail a été envoyé via le formulaire de contact de [_site_title] ([_site_url])\n[your-email]\nReply-To: [_site_admin_email]\n\n0\n0\nMerci pour votre message. Il a été envoyé.\nUne erreur s’est produite lors de l’envoi de votre message. Veuillez essayer à nouveau plus tard.\nUn ou plusieurs champs contiennent une erreur. Veuillez vérifier et essayer à nouveau.\nUne erreur s’est produite lors de l’envoi de votre message. Veuillez essayer à nouveau plus tard.\nVous devez accepter les termes et conditions avant d’envoyer votre message.\nVeuillez renseigner ce champ.\nCe champ à une date trop tardive.\nCe champ à un numéro trop court.\nUne erreur inconnue s’est produite lors du téléversement du fichier.\nVous n’avez pas les droits nécessaires pour téléverser ce type de fichier.\nLe fichier téléversé est trop volumineux.\nUne erreur s’est produite lors du téléversement du fichier.", "Formulaire de contact 1", "", "publish", "closed", "closed", "", "formulaire-de-contact-1", "", "", "2023-05-30 10:23:57", "2023-05-30 08:23:57", "", "0", "http://kookagency/?post_type=wpcf7_contact_form&p=11416", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `wp_posts` VALUES("11417", "1", "2023-05-30 10:23:58", "2023-05-30 08:23:58", "", "Kit par défaut", "", "publish", "closed", "closed", "", "kit-par-defaut", "", "", "2023-06-01 14:39:44", "2023-06-01 12:39:44", "", "0", "http://kookagency/?p=11417", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11419", "1", "2022-10-13 02:06:17", "2022-10-13 02:06:17", "", "439f20144119531.628671b94bd08", "", "inherit", "open", "closed", "", "439f20144119531-628671b94bd08-2", "", "", "2022-10-13 02:06:17", "2022-10-13 02:06:17", "", "11279", "http://kookagency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11420", "1", "2022-10-13 02:06:17", "2022-10-13 02:06:17", "", "439f20144119531.628671b94bd08", "", "inherit", "open", "closed", "", "439f20144119531-628671b94bd08-2-2", "", "", "2022-10-13 02:06:17", "2022-10-13 02:06:17", "", "0", "http://kookagency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11421", "1", "2023-05-30 10:24:00", "2023-05-30 08:24:00", "", "Portfolio", "", "publish", "closed", "closed", "", "portfolio", "", "", "2023-05-30 10:24:00", "2023-05-30 08:24:00", "", "0", "http://kookagency/2023/05/30/portfolio/", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11422", "1", "2023-05-30 10:24:00", "2023-05-30 08:24:00", "", "Portfolio", "", "publish", "closed", "closed", "", "portfolio-2", "", "", "2023-05-30 10:24:00", "2023-05-30 08:24:00", "", "0", "http://kookagency/2023/05/30/portfolio-2/", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11741", "1", "2022-08-12 23:37:51", "2022-08-12 23:37:51", "", "2", "", "inherit", "open", "closed", "", "2-9-3", "", "", "2022-08-12 23:37:51", "2022-08-12 23:37:51", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11742", "1", "2022-08-13 00:04:10", "2022-08-13 00:04:10", "", "karsten-winegeart-sStahKEhT9w-unsplash-1200x802", "", "inherit", "open", "closed", "", "karsten-winegeart-sstahkeht9w-unsplash-1200x802-3", "", "", "2022-08-13 00:04:10", "2022-08-13 00:04:10", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11743", "1", "2022-08-13 00:05:10", "2022-08-13 00:05:10", "", "moritz-spahn-sMJua-DB57Q-unsplash", "", "inherit", "open", "closed", "", "moritz-spahn-smjua-db57q-unsplash-3", "", "", "2022-08-13 00:05:10", "2022-08-13 00:05:10", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/06/moritz-spahn-sMJua-DB57Q-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11744", "1", "2022-08-13 00:07:11", "2022-08-13 00:07:11", "", "moritz-spahn-RHlG-6tl8uQ-unsplash-scaled", "", "inherit", "open", "closed", "", "moritz-spahn-rhlg-6tl8uq-unsplash-scaled-3", "", "", "2022-08-13 00:07:11", "2022-08-13 00:07:11", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11745", "1", "2022-08-13 00:14:31", "2022-08-13 00:14:31", "", "1", "", "inherit", "open", "closed", "", "1-9-3", "", "", "2022-08-13 00:14:31", "2022-08-13 00:14:31", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11746", "1", "2022-08-13 00:14:33", "2022-08-13 00:14:33", "", "2", "", "inherit", "open", "closed", "", "2-10-3", "", "", "2022-08-13 00:14:33", "2022-08-13 00:14:33", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11747", "1", "2022-08-13 00:14:35", "2022-08-13 00:14:35", "", "3", "", "inherit", "open", "closed", "", "3-8-3", "", "", "2022-08-13 00:14:35", "2022-08-13 00:14:35", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11748", "1", "2022-08-13 00:14:37", "2022-08-13 00:14:37", "", "4", "", "inherit", "open", "closed", "", "4-6-3", "", "", "2022-08-13 00:14:37", "2022-08-13 00:14:37", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11749", "1", "2022-08-13 00:14:39", "2022-08-13 00:14:39", "", "5", "", "inherit", "open", "closed", "", "5-5-3", "", "", "2022-08-13 00:14:39", "2022-08-13 00:14:39", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11750", "1", "2022-08-13 00:14:41", "2022-08-13 00:14:41", "", "6", "", "inherit", "open", "closed", "", "6-5-3", "", "", "2022-08-13 00:14:41", "2022-08-13 00:14:41", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11751", "1", "2022-08-23 01:17:07", "2022-08-23 01:17:07", "", "milad-fakurian-bkmrXtXG1r8-unsplash", "", "inherit", "open", "closed", "", "milad-fakurian-bkmrxtxg1r8-unsplash-3", "", "", "2022-08-23 01:17:07", "2022-08-23 01:17:07", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11752", "1", "2022-08-23 01:23:18", "2022-08-23 01:23:18", "", "ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-t8i8l4jhcpe-unsplash-3", "", "", "2022-08-23 01:23:18", "2022-08-23 01:23:18", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11753", "1", "2022-08-23 01:40:16", "2022-08-23 01:40:16", "", "nordgreen-taqlluwbrgE-unsplash", "", "inherit", "open", "closed", "", "nordgreen-taqlluwbrge-unsplash-2", "", "", "2022-08-23 01:40:16", "2022-08-23 01:40:16", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/nordgreen-taqlluwbrgE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11727", "1", "2022-08-12 17:08:41", "2022-08-12 17:08:41", "", "2", "", "inherit", "open", "closed", "", "2-5-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "304", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11728", "1", "2022-08-12 17:08:45", "2022-08-12 17:08:45", "", "3", "", "inherit", "open", "closed", "", "3-4-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "304", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11729", "1", "2022-08-12 17:08:50", "2022-08-12 17:08:50", "", "4", "", "inherit", "open", "closed", "", "4-4-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "304", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11730", "1", "2022-08-12 17:08:55", "2022-08-12 17:08:55", "", "5", "", "inherit", "open", "closed", "", "5-3-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "304", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11731", "1", "2022-08-12 18:04:24", "2022-08-12 18:04:24", "", "1", "", "inherit", "open", "closed", "", "1-6-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11732", "1", "2022-08-12 18:16:03", "2022-08-12 18:16:03", "", "2", "", "inherit", "open", "closed", "", "2-6-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.gif", "0", "attachment", "image/gif", "0");
INSERT INTO `wp_posts` VALUES("11733", "1", "2022-08-12 18:19:36", "2022-08-12 18:19:36", "", "3", "", "inherit", "open", "closed", "", "3-5-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11734", "1", "2022-08-12 18:19:40", "2022-08-12 18:19:40", "", "4", "", "inherit", "open", "closed", "", "4-5-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11735", "1", "2022-08-12 18:37:46", "2022-08-12 18:37:46", "", "5", "", "inherit", "open", "closed", "", "5-4-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11736", "1", "2022-08-12 18:39:47", "2022-08-12 18:39:47", "", "6", "", "inherit", "open", "closed", "", "6-4-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11737", "1", "2022-08-12 18:39:51", "2022-08-12 18:39:51", "", "7", "", "inherit", "open", "closed", "", "7-3-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "333", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/7-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11738", "1", "2022-08-12 23:36:09", "2022-08-12 23:36:09", "", "1", "", "inherit", "open", "closed", "", "1-7-3", "", "", "2022-08-12 23:36:09", "2022-08-12 23:36:09", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11739", "1", "2022-08-12 23:36:12", "2022-08-12 23:36:12", "", "2", "", "inherit", "open", "closed", "", "2-8-3", "", "", "2022-08-12 23:36:12", "2022-08-12 23:36:12", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11740", "1", "2022-08-12 23:36:15", "2022-08-12 23:36:15", "", "3", "", "inherit", "open", "closed", "", "3-7-3", "", "", "2022-08-12 23:36:15", "2022-08-12 23:36:15", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11714", "1", "2022-08-12 11:30:38", "2022-08-12 11:30:38", "", "9", "", "inherit", "open", "closed", "", "9-2-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/9-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11715", "1", "2022-08-12 11:30:44", "2022-08-12 11:30:44", "", "10", "", "inherit", "open", "closed", "", "10-3", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11716", "1", "2022-08-12 12:28:43", "2022-08-12 12:28:43", "", "1", "", "inherit", "open", "closed", "", "1-4-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "217", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11717", "1", "2022-08-12 12:34:29", "2022-08-12 12:34:29", "", "2", "", "inherit", "open", "closed", "", "2-4-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "217", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11718", "1", "2022-08-12 12:37:40", "2022-08-12 12:37:40", "", "3", "", "inherit", "open", "closed", "", "3-3-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "217", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11710", "1", "2022-08-12 11:30:21", "2022-08-12 11:30:21", "", "3", "", "inherit", "open", "closed", "", "3-2-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11711", "1", "2022-08-12 11:30:25", "2022-08-12 11:30:25", "", "6", "", "inherit", "open", "closed", "", "6-2-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11712", "1", "2022-08-12 11:30:30", "2022-08-12 11:30:30", "", "7", "", "inherit", "open", "closed", "", "7-4", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11713", "1", "2022-08-12 11:30:34", "2022-08-12 11:30:34", "", "8", "", "inherit", "open", "closed", "", "8-3", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/8.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11706", "1", "2022-08-11 12:44:08", "2022-08-11 12:44:08", "", "logo", "", "inherit", "open", "closed", "", "logo-2-2", "", "", "2022-08-11 12:44:08", "2022-08-11 12:44:08", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11707", "1", "2022-08-11 12:44:10", "2022-08-11 12:44:10", "", "logo-light", "", "inherit", "open", "closed", "", "logo-light-2-2", "", "", "2022-08-11 12:44:10", "2022-08-11 12:44:10", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11708", "1", "2022-08-12 11:30:11", "2022-08-12 11:30:11", "", "1", "", "inherit", "open", "closed", "", "1-3-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11709", "1", "2022-08-12 11:30:16", "2022-08-12 11:30:16", "", "2", "", "inherit", "open", "closed", "", "2-3-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "156", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3857", "1", "2022-08-15 23:19:51", "2022-08-15 21:19:51", "<h1>Regardez autour de vous <br><b> tout change</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait11{width:50%;}\nb:hover{\ncolor: #f3bc34;\n}\n@media only screen and (max-width: 370px)  {\n.trait{display:none;}\n.trait11{display:none;}\n}\n</style></h1>		\n			<p>Et si le temps était venu pour vous de changer ?</p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Commencez maintenant\">  Commencez maintenant </a>		\n			<h2>SI VOUS AVEZ DES QUESTIONS<br><b>CONTACTEZ-NOUS</b></h2>		\n			<p>Nous vous répondrons dans les plus brefs délais</p>		\n		[forminator_form id=\"12081\"]		\n			<body>\n</body>		\n			<h4>Horaires:</h4> <p>9h00 – 19h00</p> \n			<h4>Mail:</h4> <p>contact@kook-agency.fr</p> \n			<h4>Téléphone:</h4> <p>01 86 90 50 99</p> \n			<h4>Adresses:</h4> <p>1024 Chemin des Plantades, 83130 La Garde</p><p>6 Rue Lacretelle, 75015 Paris</p> \n		<iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2911.206061466467!2d6.018033785705561!3d43.14220203542224!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x12c919ae19dc1ca1%3A0x87e8d3c2e80ce6bc!2s1024%20Chem.%20des%20Plantades%2C%2083130%20La%20Garde!5e0!3m2!1sfr!2sfr!4v1686144402537!5m2!1sfr!2sfr\" width=\"600\" height=\"450\" style=\"border:0;\" allowfullscreen=\"\" loading=\"lazy\" referrerpolicy=\"no-referrer-when-downgrade\"></iframe><iframe src=\"https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d10505.142901964264!2d2.2907891!3d48.8336884!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47e66fc3ecdbffff%3A0xe60ffe96ef32a710!2sKOOK%20AGENCY!5e0!3m2!1sfr!2sfr!4v1686062262197!5m2!1sfr!2sfr\" width=\"600\" height=\"450\" style=\"border:0;\" allowfullscreen=\"\" loading=\"lazy\" referrerpolicy=\"no-referrer-when-downgrade\"></iframe>", "Contact", "", "publish", "closed", "closed", "", "contact", "", "", "2023-06-07 15:59:23", "2023-06-07 13:59:23", "", "0", "https://dsngrid.com/blackdsn/?page_id=3857", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11723", "1", "2022-08-12 12:45:41", "2022-08-12 12:45:41", "", "8", "", "inherit", "open", "closed", "", "8-2-2", "", "", "2022-08-12 12:45:41", "2022-08-12 12:45:41", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/8-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11724", "1", "2022-08-12 12:45:44", "2022-08-12 12:45:44", "", "9", "", "inherit", "open", "closed", "", "9-3-2", "", "", "2022-08-12 12:45:44", "2022-08-12 12:45:44", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/9-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11725", "1", "2022-08-12 12:45:47", "2022-08-12 12:45:47", "", "10", "", "inherit", "open", "closed", "", "10-2-2", "", "", "2022-08-12 12:45:47", "2022-08-12 12:45:47", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/10-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11726", "1", "2022-08-12 17:08:37", "2022-08-12 17:08:37", "", "1", "", "inherit", "open", "closed", "", "1-5-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "304", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11719", "1", "2022-08-12 12:37:42", "2022-08-12 12:37:42", "", "4", "", "inherit", "open", "closed", "", "4-3-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "217", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11720", "1", "2022-08-12 12:40:42", "2022-08-12 12:40:42", "", "5", "", "inherit", "open", "closed", "", "5-2-2", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "217", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11721", "1", "2022-08-12 12:45:36", "2022-08-12 12:45:36", "", "6", "", "inherit", "open", "closed", "", "6-3-2", "", "", "2022-08-12 12:45:36", "2022-08-12 12:45:36", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11722", "1", "2022-08-12 12:45:38", "2022-08-12 12:45:38", "", "7", "", "inherit", "open", "closed", "", "7-2-2", "", "", "2022-08-12 12:45:38", "2022-08-12 12:45:38", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/7-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11701", "1", "2022-08-11 03:17:59", "2022-08-11 03:17:59", "", "f8706c146067617", "", "inherit", "open", "closed", "", "f8706c146067617-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/f8706c146067617.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11702", "1", "2022-08-11 03:27:42", "2022-08-11 03:27:42", "", "4", "", "inherit", "open", "closed", "", "4-2-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11703", "1", "2022-08-11 03:27:45", "2022-08-11 03:27:45", "", "5", "", "inherit", "open", "closed", "", "5-6", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11704", "1", "2022-08-11 03:27:50", "2022-08-11 03:27:50", "", "6", "", "inherit", "open", "closed", "", "6-6", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11705", "1", "2022-08-11 03:28:01", "2022-08-11 03:28:01", "", "9", "", "inherit", "open", "closed", "", "9-4", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11696", "1", "2022-08-11 02:39:14", "2022-08-11 02:39:14", "", "4", "", "inherit", "open", "closed", "", "4-7", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "6", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11697", "1", "2022-08-11 03:06:10", "2022-08-11 03:06:10", "", "1", "", "inherit", "open", "closed", "", "1-2-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11698", "1", "2022-08-11 03:12:25", "2022-08-11 03:12:25", "", "2", "", "inherit", "open", "closed", "", "2-2-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11699", "1", "2022-08-11 03:15:09", "2022-08-11 03:15:09", "", "9d6c76146067617.62a9b2aa00784", "", "inherit", "open", "closed", "", "9d6c76146067617-62a9b2aa00784-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/9d6c76146067617.62a9b2aa00784.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11700", "1", "2022-08-11 03:15:20", "2022-08-11 03:15:20", "", "9110f5146067617.62a9b2a9f3154", "", "inherit", "open", "closed", "", "9110f5146067617-62a9b2a9f3154-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "85", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/9110f5146067617.62a9b2a9f3154.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("4242", "1", "2022-08-16 17:30:31", "2022-08-16 15:30:31", "<h1>Le <b>blog</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait10{width:85%;padding-left:27%;}\nb:hover{\ncolor: #f3bc34;\n}\n@media only screen and (max-width: 370px)  {\n.trait{display:none;}\n.trait10{display:none;}\n}\n</style></h1>		\n			<p>Nous vous donnons des conseils basé sur notre expérience et la FoodTech</p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  Commencez maintenant </a>		\n            <h5 >\n				FILTRER            </h5>\n                <button data-filter=\"*\" type=\"button\" >\n					TOUS                </button>\n				                        <button type=\"button\"\n                                data-filter=\'.blog , .category-blog\'>\n							Blog                        </button>\n        <article >\n				<a href=\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\" data-dsn-ajax=\"work\"\n   title=\"Google My Business : optimiser la visibilité de son restaurant\">\n	<img width=\"1600\" height=\"902\" src=\"http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg 1600w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-300x169.jpeg 300w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-1024x577.jpeg 1024w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-768x433.jpeg 768w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-1536x866.jpeg 1536w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-1200x677.jpeg 1200w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-416x235.jpeg 416w\" sizes=\"(max-width: 1600px) 100vw, 1600px\" /></a>\n	<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\" data-dsn-ajax=\"work\">Google My Business : optimiser la visibilité de son restaurant</a></h2>                    \n							<p>Google My Businessest un outil performant de référencement pour les entreprises</p><a href=\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Google My Business : optimiser la visibilité de son restaurant\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\" data-dsn-ajax=\"work\"\n   title=\"Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 \">\n	<img width=\"1280\" height=\"853\" src=\"http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg 1280w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1024x682.jpg 1024w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-416x277.jpg 416w\" sizes=\"(max-width: 1280px) 100vw, 1280px\" /></a>\n	<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\" data-dsn-ajax=\"work\">Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 </a></h2>                    \n							<p>Instagram est un réseau social incontournable pour les restaurateurs</p><a href=\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 \">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\" data-dsn-ajax=\"work\"\n   title=\"Gérer les avis négatifs de son restaurant en 2023\">\n	<img width=\"1200\" height=\"900\" src=\"http://kookagency/wp-content/uploads/2023/04/commentaire.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/04/commentaire.png 1200w, http://kookagency/wp-content/uploads/2023/04/commentaire-300x225.png 300w, http://kookagency/wp-content/uploads/2023/04/commentaire-1024x768.png 1024w, http://kookagency/wp-content/uploads/2023/04/commentaire-768x576.png 768w, http://kookagency/wp-content/uploads/2023/04/commentaire-416x312.png 416w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" /></a>\n	<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\" data-dsn-ajax=\"work\">Gérer les avis négatifs de son restaurant en 2023</a></h2>                    \n							<p>Répondre aux avis clients sur internet est un art que tout restaurateur se doit</p><a href=\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Gérer les avis négatifs de son restaurant en 2023\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\" data-dsn-ajax=\"work\"\n   title=\"Le guide pour ouvrir son restaurant en 2023\">\n	<img width=\"1200\" height=\"900\" src=\"http://kookagency/wp-content/uploads/2023/01/restauratrice.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/01/restauratrice.png 1200w, http://kookagency/wp-content/uploads/2023/01/restauratrice-300x225.png 300w, http://kookagency/wp-content/uploads/2023/01/restauratrice-1024x768.png 1024w, http://kookagency/wp-content/uploads/2023/01/restauratrice-768x576.png 768w, http://kookagency/wp-content/uploads/2023/01/restauratrice-416x312.png 416w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" /></a>\n	<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\" data-dsn-ajax=\"work\">Le guide pour ouvrir son restaurant en 2023</a></h2>                    \n							<p>Rêve d’une vie, ouvrir un restaurant est un réel projet.</p><a href=\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Le guide pour ouvrir son restaurant en 2023\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n            01\n            VOIR PLUS\n            No More", "Le blog", "", "publish", "closed", "closed", "", "le-blog", "", "", "2023-06-05 15:34:26", "2023-06-05 13:34:26", "", "0", "https://dsngrid.com/blackdsn/?page_id=4242", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11124", "1", "2022-10-11 22:14:17", "2022-10-11 20:14:17", "<!-- wp:paragraph -->\n<p><b>This is a sample page.</b></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h3>Overview</h3>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Our refund and returns policy lasts 30 days. If 30 days have passed since your purchase, we can’t offer you a full refund or exchange.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>To be eligible for a return, your item must be unused and in the same condition that you received it. It must also be in the original packaging.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Several types of goods are exempt from being returned. Perishable goods such as food, flowers, newspapers or magazines cannot be returned. We also do not accept products that are intimate or sanitary goods, hazardous materials, or flammable liquids or gases.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Additional non-returnable items:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul>\n<li>Gift cards</li>\n<li>Downloadable software products</li>\n<li>Some health and personal care items</li>\n</ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>To complete your return, we require a receipt or proof of purchase.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Please do not send your purchase back to the manufacturer.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>There are certain situations where only partial refunds are granted:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul>\n<li>Book with obvious signs of use</li>\n<li>CD, DVD, VHS tape, software, video game, cassette tape, or vinyl record that has been opened.</li>\n<li>Any item not in its original condition, is damaged or missing parts for reasons not due to our error.</li>\n<li>Any item that is returned more than 30 days after delivery</li>\n</ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<h2>Refunds</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Once your return is received and inspected, we will send you an email to notify you that we have received your returned item. We will also notify you of the approval or rejection of your refund.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you are approved, then your refund will be processed, and a credit will automatically be applied to your credit card or original method of payment, within a certain amount of days.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<b>Late or missing refunds</b>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you haven’t received a refund yet, first check your bank account again.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Then contact your credit card company, it may take some time before your refund is officially posted.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Next contact your bank. There is often some processing time before a refund is posted.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you’ve done all of this and you still have not received your refund yet, please contact us at {email address}.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<b>Sale items</b>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Only regular priced items may be refunded. Sale items cannot be refunded.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Exchanges</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>We only replace items if they are defective or damaged. If you need to exchange it for the same item, send us an email at {email address} and send your item to: {physical address}.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Gifts</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If the item was marked as a gift when purchased and shipped directly to you, you’ll receive a gift credit for the value of your return. Once the returned item is received, a gift certificate will be mailed to you.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If the item wasn’t marked as a gift when purchased, or the gift giver had the order shipped to themselves to give to you later, we will send a refund to the gift giver and they will find out about your return.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Shipping returns</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>To return your product, you should mail your product to: {physical address}.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>You will be responsible for paying for your own shipping costs for returning your item. Shipping costs are non-refundable. If you receive a refund, the cost of return shipping will be deducted from your refund.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Depending on where you live, the time it may take for your exchanged product to reach you may vary.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>If you are returning more expensive items, you may consider using a trackable shipping service or purchasing shipping insurance. We don’t guarantee that we will receive your returned item.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<h2>Need help?</h2>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Contact us at {email} for questions related to refunds and returns.</p>\n<!-- /wp:paragraph -->", "Refund and Returns Policy", "", "publish", "closed", "closed", "", "refund_returns", "", "", "2023-05-30 11:33:35", "2023-05-30 09:33:35", "", "0", "https://dsngrid.com/blackdsn/?page_id=11124", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("10228", "1", "2022-09-19 14:57:41", "2022-09-19 14:57:41", "<h1>Digital Agency That <br>Thrives on Your Success</h1>		\n			<p>If you are looking for an agency to help you create a remarkable presence online, you’ve come to the right place. We can help you take your business to the next level.</p>		\n			<a href=\"https://dsngrid.com/blackdsn/contact-us/\" data-dsn-text=\"Contact Us\">  Get Started Now </a>		\n	<img width=\"1920\" height=\"1080\" src=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />\n			<h3>Help Millions To Bring <br>There Creative Projects To Life </h3>		\n			<p>We were thoughtful about presenting these in a way where we could also tell the story of the individual.. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.</p>		\n			  <p>advantages</p> <h2>Let’s Check Our Services\n</h2>  		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>DIGITAL PRODUCTS</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.944,14.012c-4.79,0-9.443,0-14.079,0c-0.452,1.854-1.236,2.1-4.715,1.769  c-1.399-0.134-1.274-1.091-1.086-1.813c0.312-1.194-1.164-3.078,1.064-3.523c3.126-0.625,4.292-0.086,4.752,1.688  c4.629,0,9.276,0,13.868,0c0.118-0.163,0.229-0.245,0.233-0.331c0.09-2.241-0.195-2.33,2.678-2.304  c0.658,0.006,1.317,0.002,1.977,0.001c2.706-0.002,2.706-0.002,3.098,2.574c4.658,0,9.343,0,14.028,0  c0.466-1.725,1.538-2.251,4.723-1.621c2.313,0.458,0.729,2.421,1.086,3.657c0.234,0.809,0.101,1.608-1.242,1.682  c-3.792,0.208-4.104,0.136-4.549-1.773c-4.639,0-9.293,0-13.927,0c-0.084,0.115-0.196,0.196-0.201,0.283  c-0.151,2.852-0.224,2.339-2.926,2.396c-0.933,0.02-1.873-0.059-2.8,0.018c-1.438,0.122-2.06-0.415-1.887-1.776  C21.072,14.691,20.992,14.435,20.944,14.012z M22.922,14.82c1.354,0,2.532,0,3.76,0c0-1.218,0-2.326,0-3.482  c-1.313,0-2.524,0-3.76,0C22.922,12.551,22.922,13.624,22.922,14.82z M2.87,13.928c0.7,0,1.222,0,1.799,0c0-0.619,0-1.152,0-1.81  c-0.681,0.039-1.241,0.071-1.799,0.104C2.87,12.868,2.87,13.322,2.87,13.928z M44.924,14.051c0.724-0.057,1.244-0.097,1.8-0.141  c0-0.62,0-1.11,0-1.667c-0.65,0-1.208,0-1.8,0C44.924,12.848,44.924,13.344,44.924,14.051z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.02,36.725c0.056-4.04-0.59-3.539,3.75-3.533  c4.271,0.006,3.804-0.574,3.787,3.667c-0.017,4.106,0.509,3.49-3.765,3.521C1.019,40.406,1.019,40.385,1.02,36.725z M6.617,38.565  c0-1.231,0-2.34,0-3.511c-1.272,0-2.45,0-3.699,0c0,1.21,0,2.318,0,3.511C4.168,38.565,5.308,38.565,6.617,38.565z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48.61,36.829c-0.063,4.104,0.604,3.548-3.725,3.545  c-4.384-0.005-3.819,0.6-3.825-3.618c-0.005-4.118-0.47-3.565,3.739-3.564C49.19,33.191,48.553,32.618,48.61,36.829z M42.997,38.54  c1.304,0,2.48,0,3.705,0c0-1.218,0-2.325,0-3.477c-1.287,0-2.464,0-3.705,0C42.997,36.242,42.997,37.313,42.997,38.54z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.907,30.129c0.707-4.828,2.875-8.57,6.166-11.771  c0.722-0.703,1.485-1.393,2.334-1.945c0.389-0.254,1.032-0.162,1.56-0.227c-0.164,0.507-0.158,1.205-0.519,1.491  c-3.182,2.508-5.611,5.502-6.952,9.222c-0.351,0.972-0.454,2.024-0.816,2.99c-0.182,0.484-0.693,0.857-1.055,1.282  C4.338,30.754,4.049,30.335,3.907,30.129z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M45.727,30.116c-0.137,0.204-0.422,0.629-0.708,1.055  c-0.359-0.42-0.962-0.804-1.04-1.267c-0.854-5.004-3.428-8.997-7.643-12.118c-0.414-0.307-0.467-1.046-0.688-1.585  c0.575,0.087,1.295-0.005,1.704,0.287C42.037,19.831,44.871,24.229,45.727,30.116z\"></path></g></svg><h4>UI-UX DESIGN</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.944,14.012c-4.79,0-9.443,0-14.079,0c-0.452,1.854-1.236,2.1-4.715,1.769  c-1.399-0.134-1.274-1.091-1.086-1.813c0.312-1.194-1.164-3.078,1.064-3.523c3.126-0.625,4.292-0.086,4.752,1.688  c4.629,0,9.276,0,13.868,0c0.118-0.163,0.229-0.245,0.233-0.331c0.09-2.241-0.195-2.33,2.678-2.304  c0.658,0.006,1.317,0.002,1.977,0.001c2.706-0.002,2.706-0.002,3.098,2.574c4.658,0,9.343,0,14.028,0  c0.466-1.725,1.538-2.251,4.723-1.621c2.313,0.458,0.729,2.421,1.086,3.657c0.234,0.809,0.101,1.608-1.242,1.682  c-3.792,0.208-4.104,0.136-4.549-1.773c-4.639,0-9.293,0-13.927,0c-0.084,0.115-0.196,0.196-0.201,0.283  c-0.151,2.852-0.224,2.339-2.926,2.396c-0.933,0.02-1.873-0.059-2.8,0.018c-1.438,0.122-2.06-0.415-1.887-1.776  C21.072,14.691,20.992,14.435,20.944,14.012z M22.922,14.82c1.354,0,2.532,0,3.76,0c0-1.218,0-2.326,0-3.482  c-1.313,0-2.524,0-3.76,0C22.922,12.551,22.922,13.624,22.922,14.82z M2.87,13.928c0.7,0,1.222,0,1.799,0c0-0.619,0-1.152,0-1.81  c-0.681,0.039-1.241,0.071-1.799,0.104C2.87,12.868,2.87,13.322,2.87,13.928z M44.924,14.051c0.724-0.057,1.244-0.097,1.8-0.141  c0-0.62,0-1.11,0-1.667c-0.65,0-1.208,0-1.8,0C44.924,12.848,44.924,13.344,44.924,14.051z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.02,36.725c0.056-4.04-0.59-3.539,3.75-3.533  c4.271,0.006,3.804-0.574,3.787,3.667c-0.017,4.106,0.509,3.49-3.765,3.521C1.019,40.406,1.019,40.385,1.02,36.725z M6.617,38.565  c0-1.231,0-2.34,0-3.511c-1.272,0-2.45,0-3.699,0c0,1.21,0,2.318,0,3.511C4.168,38.565,5.308,38.565,6.617,38.565z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48.61,36.829c-0.063,4.104,0.604,3.548-3.725,3.545  c-4.384-0.005-3.819,0.6-3.825-3.618c-0.005-4.118-0.47-3.565,3.739-3.564C49.19,33.191,48.553,32.618,48.61,36.829z M42.997,38.54  c1.304,0,2.48,0,3.705,0c0-1.218,0-2.325,0-3.477c-1.287,0-2.464,0-3.705,0C42.997,36.242,42.997,37.313,42.997,38.54z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.907,30.129c0.707-4.828,2.875-8.57,6.166-11.771  c0.722-0.703,1.485-1.393,2.334-1.945c0.389-0.254,1.032-0.162,1.56-0.227c-0.164,0.507-0.158,1.205-0.519,1.491  c-3.182,2.508-5.611,5.502-6.952,9.222c-0.351,0.972-0.454,2.024-0.816,2.99c-0.182,0.484-0.693,0.857-1.055,1.282  C4.338,30.754,4.049,30.335,3.907,30.129z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M45.727,30.116c-0.137,0.204-0.422,0.629-0.708,1.055  c-0.359-0.42-0.962-0.804-1.04-1.267c-0.854-5.004-3.428-8.997-7.643-12.118c-0.414-0.307-0.467-1.046-0.688-1.585  c0.575,0.087,1.295-0.005,1.704,0.287C42.037,19.831,44.871,24.229,45.727,30.116z\"></path></g></svg><h4>UI-UX DESIGN</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>DIGITAL PRODUCTS</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			  <p>\nOur Team </p> <h2>The best team ever!</h2>  		\n			<img width=\"800\" height=\"870\" src=\"http://kookagency/wp-content/uploads/2022/08/3-5-4.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-5-4.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Ahmed Shawky</h4> Web Designer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"584\" height=\"570\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/2-5.png 584w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-300x293.png 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x146.png 150w\" sizes=\"(max-width: 584px) 100vw, 584px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"800\" height=\"870\" src=\"http://kookagency/wp-content/uploads/2022/08/1-6-3.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-6-3.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Hisham Megahed</h4>Founder<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			  <p>testimonials</p> <h2>What People are Saying</h2>  		\n			<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" x=\"0px\" y=\"0px\" viewBox=\"0 0 509 396.83\" enable-background=\"new 0 0 509 396.83\" xml:space=\"preserve\">\n					<g>\n					    <path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M105.098,396.83c-2.062,0-4.122,0-6.183,0 c0.123-48.731,0.116-97.466,0.493-146.195c0.062-7.844-3.65-8.881-10.09-8.843c-29.772,0.182-59.545,0.047-89.318,0.026 C0,161.382,0,80.947,0,0c81.742,0,163.484,0,245.227,0c0.023,83.874,0.496,167.752-0.071,251.624 c-0.436,64.131-47.354,121.936-109.503,136.974C125.404,391.076,115.279,394.073,105.098,396.83z M127.891,360.509 c6.063-1.545,10.049-2.226,13.799-3.568c42.174-15.098,74.277-58.896,74.735-104.55c0.718-71.273,0.187-142.558,0.454-213.837 c0.03-7.696-2.596-10.07-10.136-10.038c-55.961,0.236-111.927,0.287-167.887-0.042c-8.413-0.049-10.398,3.014-10.363,10.831 c0.254,54.408,0.317,108.815-0.047,163.22c-0.061,8.994,3.321,10.93,11.452,10.803c25.744-0.405,51.505,0.184,77.245-0.329 c8.78-0.174,10.986,2.931,10.911,11.301c-0.363,40.63-0.164,81.264-0.163,121.897C127.891,350.262,127.891,354.325,127.891,360.509 z\"/>\n    					<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M368.871,396.83c-2.061,0-4.122,0-6.184,0 c0.057-48.133-0.099-96.267,0.354-144.395c0.081-8.996-3.268-10.854-11.386-10.722c-26.047,0.42-52.108-0.083-78.152,0.299 c-7.577,0.108-10.083-2.194-10.053-9.942c0.294-77.357,0.262-154.713,0.322-232.07C345.353,0,426.929,0,509,0 c0,89.562,0,179.125,0,268.687c-1.256,3.464-2.793,6.854-3.73,10.401c-15.376,58.112-51.126,95.756-109.9,110.431 C386.48,391.735,377.7,394.382,368.871,396.83z M391.554,360.501c5.951-1.528,9.958-2.176,13.686-3.57 c43.103-16.135,74.464-59.44,74.864-105.611c0.616-70.931,0.138-141.869,0.404-212.803c0.03-7.722-2.58-10.037-10.111-10.005 c-55.963,0.24-111.926,0.285-167.889-0.036c-8.406-0.048-10.429,3.048-10.392,10.853c0.245,54.405,0.31,108.813-0.049,163.216 c-0.059,9.03,3.45,10.9,11.528,10.778c25.741-0.39,51.504,0.193,77.245-0.325c8.785-0.178,10.956,2.917,10.878,11.284 c-0.368,40.629-0.167,81.263-0.165,121.897C391.554,350.25,391.554,354.318,391.554,360.501z\"/> \n					</g>\n				  </svg>            \n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"100\" height=\"100\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5-4.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"100\" height=\"100\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5-4.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n                                                    <svg xmlns=\"http://www.w3.org/2000/svg\"\n                                                        viewBox=\"0 0 24 24\">\n                                                        <g fill=\"none\" stroke-width=\"1\"\n                                                            stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                            <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                        </g>\n                                                    </svg>\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\"\n                                                     height=\"24\" viewBox=\"0 0 24 24\">\n                                                    <g fill=\"none\" stroke-width=\"1\"\n                                                       stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                        <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                    </g>\n                                                </svg>\n			  <p>Our Clients</p> <h2>Your successful, <br>our reputation</h2>  		\n			<img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/1-3.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-3.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/2-1-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/2-1-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/3-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/4-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/4-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/5-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/5-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/6-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/6-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />", "About Us", "", "publish", "closed", "closed", "", "about-us", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=10228", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("5565", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "Portfolio", "", "publish", "closed", "closed", "", "portfolio-2-2", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "0", "https://dsngrid.com/blackdsn/?p=5565", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5566", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "Carousel Portfolio", "", "publish", "closed", "closed", "", "carousel-portfolio-2", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "0", "https://dsngrid.com/blackdsn/?p=5566", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5567", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "Work Style 1", "", "publish", "closed", "closed", "", "work-style-1-2", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "0", "https://dsngrid.com/blackdsn/?p=5567", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5568", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "Work Style 2", "", "publish", "closed", "closed", "", "work-style-2-2", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:08", "", "0", "https://dsngrid.com/blackdsn/?p=5568", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5569", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:33", " ", "", "", "publish", "closed", "closed", "", "5569", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:33", "", "0", "https://dsngrid.com/blackdsn/?p=5569", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5570", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:33", " ", "", "", "publish", "closed", "closed", "", "5570", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:33", "", "0", "https://dsngrid.com/blackdsn/?p=5570", "9", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5411", "1", "2022-08-25 18:00:33", "2022-08-25 18:00:33", "", "NEWS", "", "publish", "closed", "closed", "", "news-2", "", "", "2022-08-25 18:00:33", "2022-08-25 18:00:33", "", "0", "https://dsngrid.com/blackdsn/?p=5411", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5412", "1", "2022-08-25 18:00:34", "2022-08-25 18:00:34", "", "ABOUT", "", "publish", "closed", "closed", "", "about", "", "", "2022-08-25 18:00:34", "2022-08-25 18:00:34", "", "0", "https://dsngrid.com/blackdsn/?p=5412", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5413", "1", "2022-08-25 18:00:34", "2022-08-25 18:00:34", "", "CONTACT", "", "publish", "closed", "closed", "", "contact-2", "", "", "2022-08-25 18:00:34", "2022-08-25 18:00:34", "", "0", "https://dsngrid.com/blackdsn/?p=5413", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5414", "1", "2022-08-25 18:00:33", "2022-08-25 18:00:33", "", "PORTFOLIO", "", "publish", "closed", "closed", "", "portfolio-6", "", "", "2022-08-25 18:00:33", "2022-08-25 18:00:33", "", "0", "https://dsngrid.com/blackdsn/?p=5414", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5563", "1", "2022-08-28 00:36:45", "2022-08-27 01:37:53", "", "DEMO", "", "publish", "closed", "closed", "", "demo-2", "", "", "2022-08-28 00:36:45", "2022-08-27 01:37:53", "", "0", "https://dsngrid.com/blackdsn/?p=5563", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5564", "1", "2022-08-28 00:36:45", "2022-08-27 01:37:53", " ", "", "", "publish", "closed", "closed", "", "5564", "", "", "2022-08-28 00:36:45", "2022-08-27 01:37:53", "", "0", "https://dsngrid.com/blackdsn/?p=5564", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("10155", "1", "2022-09-18 04:23:59", "2022-09-18 04:23:59", "<h5> ULTIMATE MULTI-PURPOSEWORDPRESS THEME</h5>		\n			<h4>Purchase The Blackdsn Theme<br><b>Now &amp; Make Everything Easier!</b></h4>		\n			<p>We promise you’ll be blown away by all features and designs what blckdsn offers. We’ll continue to update and upgrade blackdsn with new designs and features.</p>		\n			<a href=\"https://themeforest.net/item/blackdsn-creative-ajax-portfolio-wordpress-theme/39469693\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  Purchase Blackdsn </a>", "Footer Preview", "", "publish", "closed", "closed", "", "footer-preview", "", "", "2022-09-18 04:23:59", "2022-09-18 04:23:59", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10155", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("5410", "1", "2022-08-25 18:00:33", "2022-08-25 18:00:33", "", "HOME", "", "publish", "closed", "closed", "", "home-4", "", "", "2022-08-25 18:00:33", "2022-08-25 18:00:33", "", "0", "https://dsngrid.com/blackdsn/?p=5410", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("6504", "1", "2022-09-10 03:30:33", "2022-09-10 03:30:33", "<a href=\"https://dsngrid.com/blackdsn/\" data-dsn-text=\"Blackdsn\"  rel=\"home\" ><img width=\"211\" height=\"60\" src=\"http://kookagency/wp-content/uploads/2022/08/logo-light-1-3.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/logo-light-1-3.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /><img width=\"211\" height=\"60\" src=\"http://kookagency/wp-content/uploads/2022/08/logo-1-3.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/logo-1-3.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /></a>\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<p>\n© 2022 Digital Agency Designed by\n <a href=\"#0\" data-hover-text=\"DSN Grid\" target=\"_blank\" rel=\"noopener\">DSN Grid</a>\n</p>", "personal footer", "", "publish", "closed", "closed", "", "personal-footer", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=6504", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("5404", "1", "2022-08-25 17:55:12", "2022-08-25 17:55:12", "<h2>LET\'S BUILD  SOMETHING \n <b><i>AMAZING </i></b>TOGETHER\n</h2>		\n			<a href=\"https://dsngrid.com/blackdsn/work-card-3/\" data-dsn-text=\"OUR PORTFOLIO\">  START A PROJECT </a>		\n	<a href=\"https://dsngrid.com/blackdsn/\" data-dsn-text=\"Blackdsn\"  rel=\"home\" ><img width=\"211\" height=\"60\" src=\"http://kookagency/wp-content/uploads/2022/08/logo-light-1-3.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/logo-light-1-3.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /><img width=\"211\" height=\"60\" src=\"http://kookagency/wp-content/uploads/2022/08/logo-1-3.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/logo-1-3.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /></a>\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<p>\n© 2022 Digital Agency Designed by\n <a href=\"#0\" data-hover-text=\"DSN Grid\" target=\"_blank\" rel=\"noopener\">DSN Grid</a>\n</p>", "Blackdsn Footer", "", "publish", "closed", "closed", "", "blackdsn-footer", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=5404", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("5408", "1", "2022-08-25 17:56:22", "2022-08-25 17:56:22", "<h2>LET\'S BUILD  SOMETHING <br> <b><i>AMAZING </i></b>TOGETHER</h2>		\n			<a href=\"https://dsngrid.com/blackdsn/work-card-3/\" data-dsn-text=\"Work Card 3\">  START A PROJECT </a>		\n	<a href=\"https://dsngrid.com/blackdsn/\" data-dsn-text=\"Blackdsn\"  rel=\"home\" ><img width=\"211\" height=\"60\" src=\"http://kookagency/wp-content/uploads/2022/08/logo-light-1-3.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/logo-light-1-3.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /><img width=\"211\" height=\"60\" src=\"http://kookagency/wp-content/uploads/2022/08/logo-1-3.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/logo-1-3.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /></a>\n			<h5>Follow Us</h5>		\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<p>\n© 2022 Digital Agency Designed by\n <a href=\"#0\" data-hover-text=\"DSN Grid\" target=\"_blank\" rel=\"noopener\">DSN Grid</a>\n</p>", "Footer Creative", "", "publish", "closed", "closed", "", "footer-creative", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "0", "https://dsngrid.com/blackdsn/?elementor_library=footer-creative", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("3365", "1", "2022-08-13 18:13:58", "2022-08-13 18:13:58", "<h2>Let’s work</h2>		\n			<a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  Get in touch </a>		\n			<h2> together</h2>		\n			<p>© 2021 Arctit Crafted by <a href=\"#\" target=\"_blank\" rel=\"noopener\">Dsn Grid.</a>\n                                </p>		\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">Twitter</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LinkIn</a></li>\n</ul>", "Footer Creative 2", "", "publish", "closed", "closed", "", "footer-creative-2", "", "", "2022-08-13 18:13:58", "2022-08-13 18:13:58", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=3365", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11793", "1", "2022-08-10 22:54:54", "2022-08-10 22:54:54", "", "Default Kit", "", "publish", "closed", "closed", "", "default-kit", "", "", "2022-08-10 22:54:54", "2022-08-10 22:54:54", "", "0", "https://dsngrid.com/blackdsn/?p=5", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("3352", "1", "2022-08-13 17:20:57", "2022-08-13 17:20:57", "<h2>COMMENÇONS UNE AVENTURE\n <b><i>INCROYABLE</i></b> ENSEMBLE\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait{width:53%;padding-left:11%;}\nb:hover{\ncolor: #f3bc34;\n}\n@media only screen and (max-width: 370px)  {\n.trait{display:none;}\n}\n</style></h2>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"OUR PORTFOLIO\">  LANCEZ VOUS ! </a>		\n	<a href=\"http://kookagency/\" data-dsn-text=\"Kook Agency\"  rel=\"home\" ><img width=\"1080\" height=\"566\" src=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png 1080w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-300x157.png 300w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-1024x537.png 1024w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-768x402.png 768w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-416x218.png 416w\" sizes=\"(max-width: 1080px) 100vw, 1080px\" /><img width=\"1080\" height=\"566\" src=\"http://kookagency/wp-content/uploads/2023/06/My-project-1black.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/My-project-1black.png 1080w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-300x157.png 300w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-1024x537.png 1024w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-768x402.png 768w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-416x218.png 416w\" sizes=\"(max-width: 1080px) 100vw, 1080px\" /></a>\n<ul>\n	<li ><a href=\"https://www.facebook.com/kookfoodagency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"https://twitter.com/kook_agency\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"https://www.linkedin.com/company/kook-food-agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"https://www.instagram.com/kook_agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<h2>COMMENÇONS UNE AVENTURE\n <b><i>INCROYABLE</i></b> ENSEMBLE\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait{width:53%;padding-left:11%;}\nb:hover{\ncolor: #f3bc34;\n}</style></h2>		\n			<a href=\"http://kookagency/?page_id=4276\" data-dsn-text=\"OUR PORTFOLIO\">  LANCEZ VOUS ! </a>		\n	<a href=\"http://kookagency/\" data-dsn-text=\"Kook Agency\"  rel=\"home\" ><img width=\"1080\" height=\"566\" src=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png 1080w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-300x157.png 300w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-1024x537.png 1024w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-768x402.png 768w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-416x218.png 416w\" sizes=\"(max-width: 1080px) 100vw, 1080px\" /><img width=\"1080\" height=\"566\" src=\"http://kookagency/wp-content/uploads/2023/06/My-project-1black.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/My-project-1black.png 1080w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-300x157.png 300w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-1024x537.png 1024w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-768x402.png 768w, http://kookagency/wp-content/uploads/2023/06/My-project-1black-416x218.png 416w\" sizes=\"(max-width: 1080px) 100vw, 1080px\" /></a>\n			<style>/*! elementor - v3.13.3 - 28-05-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>Suivez-nous !</h2>		\n<ul>\n	<li ><a href=\"https://www.facebook.com/kookfoodagency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"https://twitter.com/kook_agency\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"https://www.linkedin.com/company/kook-food-agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"https://www.instagram.com/kook_agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<h2><a href=\"http://kookagency/mentions-legales/\">Mentions légales</a></h2>		\n			<h2><a href=\"http://kookagency/politique-de-confidentialite/\">Politique de confidentialité\n</a></h2>		\n			<h2><a href=\"http://kookagency/conditions-generales-de-services/\">Conditions générales de services</a></h2>		\n			<h2><a href=\"http://kookagency/plan-du-site/\">Plan du site</a></h2>		\n		<p style=\"text-align: center;\">2023 © Kook Agency</p>", "Footer Creative 1", "", "publish", "closed", "closed", "", "footer-creative-1", "", "", "2023-06-07 15:01:52", "2023-06-07 13:01:52", "", "0", "https://dsngrid.com/blackdsn/?elementor_library=footer-creative-1", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("12151", "1", "2023-05-31 09:34:37", "2023-05-31 07:34:37", "<p>Pousser la porte du Gabriela, c’est s’offrir un aller simple pour Sao Paolo.\nPlantes tropicales au plafond, artisanat coloré, lambada à la télé et même un portrait de Gisèle Bündchen…\nKitch assumé pour cette adresse haute en couleurs et en saveurs !</p>		\n	<img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-416x277.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />Gabriela\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />Gabriela\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />Gabriela\n			<p>Découvrez un autre de nos clients !</p>", "Gabriela", "Pousser la porte du Gabriela, c’est s’offrir un aller simple pour Sao Paolo.", "publish", "closed", "closed", "", "gabriela", "", "", "2023-06-05 15:54:43", "2023-06-05 13:54:43", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12151", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("6180", "1", "2022-09-09 18:57:42", "2022-09-09 16:57:42", "PHOTOS THAT <b>ARE ADMIRED</b>\n			RÉSEAUX		\n			<h2><b>SOCIAUX</b></h2>		\n			ADMIRED\n			<p>Nous optimisons<br> les réseaux sociaux de<br> votre restaurant !</p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  EN SAVOIR PLUS </a>		\n															<img width=\"768\" height=\"1024\" src=\"http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-768x1024.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-416x555.jpg 416w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-scaled.jpg 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" />															\n															<img width=\"960\" height=\"768\" src=\"http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-1024x819.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-416x333.jpg 416w\" sizes=\"(max-width: 960px) 100vw, 960px\" />															\n			On s\'occupe de tout !		\n			<h1>GESTION DE VOS <b>RÉSEAUX</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait11{width:100%;padding-left:65%;}\n@media only screen and (max-width: 906px)  {\n.trait11{display: none;}\n.trait{display:none;}\n}\n</style></h1>		\n			<p>Vous n’avez pas le temps de vous occuper de vos réseaux sociaux ? Vous ne savez pas comment obtenir plus de followers ? Comment obtenir un meilleur taux d’engagement avec plus de likes et plus de commentaires ? <b>On est là pour vous !</b> Nos experts Facebook et Instagram boostent votre visibilité sur les réseaux sociaux à travers <b>une stratégie unique</b>.\n<br><br>\nPhotographes, vidéastes, motion designers, rédacteurs ! Notre équipe de production est en veille permanente pour vous apporter <b>une approche avant-gardiste et soignée !</b> Nous ne manquons pas d’imagination alors n’hésitez pas à leur confier vos réseaux sociaux !</p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  Commencez maintenant </a>		\n															<img width=\"768\" height=\"1024\" src=\"http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-768x1024.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-416x555.jpg 416w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49.jpg 1200w\" sizes=\"(max-width: 768px) 100vw, 768px\" />															\n															<img width=\"960\" height=\"720\" src=\"http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-1024x768.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-2048x1536.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-416x312.jpg 416w\" sizes=\"(max-width: 960px) 100vw, 960px\" />															\n			  <p>Un atout</p> Réseaux d’influenceurs <b>& Jeux concours</b>  		\n			<p>Bénéficiez de notre réseaux d’influenceurs pour animer efficacement vos réseaux sociaux.\n<br><br>\n<b>Atteignez vos cibles avec une stratégie d’influence digitale multicanal. </b>Engagez la discussion sur les toutes les plateformes qui les inspirent pour choisir leur restaurant (Facebook, Instagram, Snapchat, blog).\n<br><br>\nNous adaptons le déploiement de la campagne en fonction de vos objectifs quantitatifs de prospects à toucher. Nous travaillons avec un réseau de 500 influenceurs Food et Lifestyle et en cumulant les communautés de plusieurs influenceurs, vous pouvez rapidement atteindre des milliers, des centaines de milliers voire des millions de personnes.\n<br><br>\n<b>Une segmentation très fine des cibles visées permet d’adresser le message aux personnes réellement susceptibles d’être clientes de votre établissement</b> (mode d’alimentation, goût, budget, ambiance de votre lieu…). L’audience qui reçoit le message est hautement qualifiée (profils socio culturels, goûts, régimes alimentaires, habitudes de consommation) et réceptive car elle fait confiance à l’influenceur.\n<br><br>\n<b>Organisation de jeux concours</b> Nous organisons pour vous des jeux concours par l’intermédiaire d’influenceurs pour dynamiser votre compte Instagram et obtenir plus de followers et de visites dans votre restaurant.</p>		\n			<a href=\"https://calendly.com/kook-agency/30min\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  PRENDRE UN RENDEZ-VOUS </a>		\n															<img width=\"960\" height=\"640\" src=\"http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-1024x683.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-416x277.jpg 416w\" sizes=\"(max-width: 960px) 100vw, 960px\" />", "Réseaux sociaux", "", "publish", "closed", "closed", "", "reseaux-sociaux", "", "", "2023-06-06 13:28:05", "2023-06-06 11:28:05", "", "0", "https://dsngrid.com/blackdsn/?page_id=6180", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("6206", "1", "2022-09-09 19:18:31", "2022-09-09 17:18:31", "<p>Nos tarifs</p> <h2>Réseaux sociaux</h2>  		\n			<h4>LE PETIT CHEF<br><br> 499 € HT/MOIS </b><br>Engagement 12 mois</h4> <ul><li>✓  3 shootings photos + 6 vidéos (Reels Instagram) par an offert</li><li><i>✓  </i>12 publications (6 Facebook &amp; 6 Instagram) par mois</li><li><i>✓  </i>Création de 1 story par semaine</li><li><i>✓  </i>1 campagne publicitaire Facebook &amp; Instagram Ads</li><li><i>✓  </i>29 € de budget publicitaire offert (inclus tous les mois)</li></ul> \n			<h4>CHEF OUI CHEF<br><br> 799 € HT/MOIS </b><br>Engagement 12 mois</h4> <ul><li>✓  4 shootings photos + 8 vidéos (Reels Instagram) par an offert</li><li><i>✓  </i>16 publications (8 Facebook &amp; 8 Instagram) par mois</li><li><i>✓  </i>Création de 3 stories par semaine</li><li><i>✓  </i>Repartage des stories clients</li><li><i>✓  </i>2 campagnes Facebook &amp; Instagram Ads</li><li><i>✓  </i>35 € de budget publicitaire offert (inclus tous les mois)</li><li><i>✓  </i>Stratégie d’acquisition d’abonnés</li><li><i>✓  </i>2 jeux concours par an</li></ul> \n			<h4>TOP CHEF<br><br> 1299 € HT/MOIS </b><br>Engagement 12 mois</h4> <ul><li>✓  6 shootings photos + 12 vidéos (Reels Instagram) par an offert</li><li><i>✓  </i>24 publications (12 Facebook &amp; 12 Instagram) par mois</li><li><i>✓  </i>1 vidéo Tiktok par mois</li><li><i>✓  </i>Création de 4 stories par semaine</li><li><i>✓  </i>3 campagnes Facebook &amp; Instagram Ads</li><li><i>✓  </i>90 € de budget publicitaire offert (inclus tous les mois)</li><li><i>✓  </i>Stratégie d’acquisition d’abonnés</li><li><i>✓  </i>Mise en relation avec des influenceurs</li><li><i>✓  </i>4 jeux concours par an</li></ul> \n			<style>\n    .easy{\n        color: #69808c;\n    }\n    .up{\n        color: #f98d5e;\n    }\n    .clickAndKook{\n        color: #cfa54b;\n    }\n    .tarif_subtitle{\n        font-size: 13px;\n        font-weight: 300;\n    }\n</style>		\n			  <p>Nos tarifs</p> <h2>Sites web</h2>  		\n			<h4>Pack EASY KOOK : Site internet à partir de<br><br> 59 HT €/ mois</h4> <ul><li>✓  Intégration de votre carte / menu</li><li><i>✓  </i>Optimisation de votre site pour<br />les mobiles et tablettes</li><li><i>✓  </i>Liaisons aux réseaux sociaux</li><li><i>✓  </i>Hébergement &amp; maintenance inclus</li><li><i>✓  </i>Statistiques visite, clics, pages<br />consultés…</li><li><i>✓  </i>Boîte mail professionnelle en<br />@votre-resto.fr</li></ul> \n			<h4>Pack UP KOOK : Site internet à partir de<br><br> 79 HT €/mois</h4> <ul><li>✓  Intégration de votre carte / menu</li><li><i>✓   </i>Optimisation de votre site pour<br />les mobiles et tablettes</li><li><i>✓  </i>Liaisons aux réseaux sociaux</li><li><i>✓  </i>Hébergement &amp; maintenance inclus</li><li><i>✓  </i>Statistiques visite, clics, pages<br />consultés…</li><li><i>✓  </i>Boîte mail professionnelle en<br />@votre-resto.fr</li><li><i>✓  </i><strong>Charte graphique sur-mesure</strong></li><li><i>✓  </i><strong>Réservation en ligne</strong></li></ul> \n			<h4>Pack CLICK & KOOK : Site internet à partir de<br><br> 99 € HT /mois</h4> <ul><li>✓  Intégration de votre carte / menu</li><li><i>✓  </i>Optimisation de votre site pour<br />les mobiles et tablettes</li><li><i>✓  </i>Liaisons aux réseaux sociaux</li><li><i>✓  </i>Hébergement &amp; maintenance inclus</li><li><i>✓  </i>Statistiques visite, clics, pages<br />consultés…</li><li><i>✓  </i>Boîte mail professionnelle en<br />@votre-resto.fr</li><li><i>✓  </i>Charte graphique sur-mesure</li><li><i>✓  </i>Réservation en ligne</li><li><i>✓  </i><strong>Click &amp; Collect &amp; Paiement en ligne</strong></li><li><i>✓  </i><strong>Optimisation du référencement naturel</strong></li><li> </li></ul> \n			<style>\n    .easy{\n        color: #69808c;\n    }\n    .up{\n        color: #f98d5e;\n    }\n    .clickAndKook{\n        color: #cfa54b;\n    }\n</style>", "Nos tarifs", "", "publish", "closed", "closed", "", "nos-tarifs", "", "", "2023-06-05 15:31:29", "2023-06-05 13:31:29", "", "0", "https://dsngrid.com/blackdsn/?page_id=6206", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2022-08-12 12:28:50", "2022-08-12 10:28:50", "<p>«La Boîte À Pâtes» est le restaurant spécialisé dans les pâtes fraîches artisanales. nos pâtes fraîches sont réalisées sur place par nos soins à base de blé dur venu de Naple (Italie). nos sauces sont faites maison à partir de produits frais de qualité.</p>		\n	<img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-300x200.jpg 300w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-768x512.jpg 768w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-416x277.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />La Boîte à Pâtes\n	<img width=\"1707\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-scaled.jpg 1707w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-200x300.jpg 200w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-683x1024.jpg 683w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-768x1152.jpg 768w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-1024x1536.jpg 1024w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-1365x2048.jpg 1365w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-1200x1800.jpg 1200w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-416x624.jpg 416w\" sizes=\"(max-width: 1707px) 100vw, 1707px\" />La Boîte à Pâtes\n	<img width=\"1707\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-scaled.jpg 1707w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-200x300.jpg 200w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-683x1024.jpg 683w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-768x1152.jpg 768w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-1024x1536.jpg 1024w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-1365x2048.jpg 1365w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-1200x1800.jpg 1200w, http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-416x624.jpg 416w\" sizes=\"(max-width: 1707px) 100vw, 1707px\" />La Boîte à Pâtes\n			<p>Découvrez un autre de nos clients !</p>", "La Boîte à Pâtes", "«La Boîte À Pâtes» est le restaurant spécialisé dans les pâtes fraîches artisanales.", "publish", "closed", "closed", "", "la-boite-a-pates", "", "", "2023-06-05 15:55:17", "2023-06-05 13:55:17", "", "0", "https://dsngrid.com/blackdsn/?post_type=blackdsn-portfolio&#038;p=217", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("11792", "1", "2022-10-13 02:06:17", "2022-10-13 02:06:17", "", "439f20144119531.628671b94bd08", "", "inherit", "open", "closed", "", "439f20144119531-628671b94bd08-2-3", "", "", "2022-10-13 02:06:17", "2022-10-13 02:06:17", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/439f20144119531.628671b94bd08-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11788", "1", "2022-10-12 12:56:54", "2022-10-12 12:56:54", "", "pexels-photo-631411", "", "inherit", "open", "closed", "", "pexels-photo-631411-3", "", "", "2022-10-12 12:56:54", "2022-10-12 12:56:54", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/pexels-photo-631411.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11789", "1", "2022-10-12 12:58:14", "2022-10-12 12:58:14", "", "pexels-photo-1337753", "", "inherit", "open", "closed", "", "pexels-photo-1337753-3", "", "", "2022-10-12 12:58:14", "2022-10-12 12:58:14", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/pexels-photo-1337753.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11790", "1", "2022-10-13 01:43:01", "2022-10-13 01:43:01", "", "7a1f64152979619.632bd4d966dbe", "", "inherit", "open", "closed", "", "7a1f64152979619-632bd4d966dbe-3", "", "", "2022-10-13 01:43:01", "2022-10-13 01:43:01", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/7a1f64152979619.632bd4d966dbe.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11791", "1", "2022-10-13 02:02:45", "2022-10-13 02:02:45", "", "c96a9b144890955.6294d44ef1e11", "", "inherit", "open", "closed", "", "c96a9b144890955-6294d44ef1e11-2-3", "", "", "2022-10-13 02:02:45", "2022-10-13 02:02:45", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/c96a9b144890955.6294d44ef1e11-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("10485", "1", "2022-09-21 11:05:33", "2022-09-21 09:05:33", "<img src=\'//dsngrid.com/images/wp/blackdsn/bg.jpg\'  data-dsn-speed=\"30%\" alt=\'\' />\n		http://kookagency/wp-content/uploads/2023/06/Design-sans-titre-1.mp4		\n			<h2>L\'agence de communication des restaurateurs</h2>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  Démarrer maintenant </a>		\n			<a href=\"https://calendly.com/kook-agency/30min\" target=\"_blank\" rel=\"nofollow noopener\">  Prendre un rendez-vous </a>		\n			<h2>Notre <b>expertise</b>\n<style>.b_trait1:hover{color:#f3bc34;</style></h2>		\n			<h2>Confiez vos réseaux sociaux à des chefs !</h2>		\n			<p>Nous sommes constamment à l\'affût des dernières tendances, des opportunités virales et des partenariats influents pour vous garantir une visibilité maximale. Laissez-nous prendre les rênes de votre stratégie sur les réseaux sociaux et préparez-vous à une véritable révolution digitale !</p>		\n			<a href=\"http://kookagency/reseaux-sociaux/\" data-dsn-text=\"STUDIO\">  DÉCOUVRIR PLUS </a>		\n	<img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-416x277.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />\n															<img width=\"300\" height=\"300\" src=\"http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-300x300.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-300x300.jpg 300w, http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-150x150.jpg 150w, http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-768x768.jpg 768w, http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-416x416.jpg 416w, http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-100x100.jpg 100w, http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1.jpg 1000w\" sizes=\"(max-width: 300px) 100vw, 300px\" />															\n															<img width=\"768\" height=\"768\" src=\"http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-768x768.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-768x768.jpg 768w, http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-300x300.jpg 300w, http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-150x150.jpg 150w, http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-416x416.jpg 416w, http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-100x100.jpg 100w, http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1.jpg 1000w\" sizes=\"(max-width: 768px) 100vw, 768px\" />															\n			<h6>Principaux</h6>		\n			   <h2>Nos services</h2> <p>principaux</p> 		\n			<h4>CRÉATION DE SITE WEB</h4> <p>Gagnez en visibilité et faites découvrir votre savoir-faire !</p> \n			<h4>RÉSEAUX SOCIAUX</h4> <p>Attirez de nouveaux clients dans votre restaurant !</p> \n			<h4>SHOOTING PHOTO</h4> <p>Il est temps de faire saliver vos clients !</p> \n	<img width=\"1707\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-scaled.jpg 1707w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-200x300.jpg 200w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-683x1024.jpg 683w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-768x1152.jpg 768w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1024x1536.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1365x2048.jpg 1365w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1200x1800.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-416x624.jpg 416w\" sizes=\"(max-width: 1707px) 100vw, 1707px\" />\n			<h2>Le recette du succès </h2>		\n			<p>En tant qu\'experts de la Food et de la communication, nous nous engageons à vous accompagner avec rigueur pour propulser votre visibilité en ligne et sur les réseaux sociaux vers de nouveaux horizons. Notre approche méticuleuse garantit des résultats concrets et mesurables, entraînant une croissance remarquable de votre chiffre d\'affaires. \n<br><br>\nFaites équipe avec nous et découvrez comment notre travail acharné et notre dévouement à votre succès peuvent transformer votre restaurant en un véritable modèle de réussite.</p>		\n			<ul data-dsn-iso=\"eca231d\">    <li >\n		<p>Stratégie personnalisée et unique</p>\n    </li>\n    <li >\n		<p>Création de contenu, des photos/vidéos et de la sponsorisation</p>\n    </li>\n    <li >\n		<p>Gestion des réseaux sociaux</p>\n    </li>\n    <li >\n		<p>Influence</p>\n    </li>\n    <li >\n		<p>Référencement Google</p>\n    </li>\n</ul>		\n			<a href=\"http://kookagency/2018/09/20/16-idees-marketing-pour-developper-votre-restaurant/\" data-dsn-text=\"16 idées marketing pour développer votre restaurant \">  EN SAVOIR PLUS </a>		\n			<h6>Nos conseils foodtech</h6>		\n			   <h2>Nos clients</h2> <p>Nos clients</p> 		\n<article\n       >\n	<h2>NOS</h2><h2>CLIENTS</h2>\n</article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/di-vino/\" data-dsn-ajax=\"work\"\n   title=\"Di Vino\">\n	<img width=\"1707\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg 1707w, http://kookagency/wp-content/uploads/2023/06/P1460372-200x300.jpg 200w, http://kookagency/wp-content/uploads/2023/06/P1460372-683x1024.jpg 683w, http://kookagency/wp-content/uploads/2023/06/P1460372-768x1152.jpg 768w, http://kookagency/wp-content/uploads/2023/06/P1460372-1024x1536.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/P1460372-1365x2048.jpg 1365w, http://kookagency/wp-content/uploads/2023/06/P1460372-1200x1800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/P1460372-416x624.jpg 416w\" sizes=\"(max-width: 1707px) 100vw, 1707px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/di-vino/\" data-dsn-ajax=\"work\">Di Vino</a></h2>                    \n							<p>Au 3•6•9 on vous prépare une cuisine gourmande et faite maison</p><a href=\"http://kookagency/nos-clients/di-vino/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Di Vino\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/vita-ristorante/\" data-dsn-ajax=\"work\"\n   title=\"Vita Ristorante\">\n	<img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/vita-ristorante/\" data-dsn-ajax=\"work\">Vita Ristorante</a></h2>                    \n							<p>Restaurant ouvert tous les jours jusqu\'à 2 heures du matin et la cuisine est ouverte jusqu\'à minuit</p><a href=\"http://kookagency/nos-clients/vita-ristorante/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Vita Ristorante\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/ruby/\" data-dsn-ajax=\"work\"\n   title=\"Ruby\">\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/ruby/\" data-dsn-ajax=\"work\">Ruby</a></h2>                    \n							<p>Le RUBY satisfait même les plus exigeants</p><a href=\"http://kookagency/nos-clients/ruby/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Ruby\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/lo-beach/\" data-dsn-ajax=\"work\"\n   title=\"L&#8217;O Beach\">\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/lo-beach/\" data-dsn-ajax=\"work\">L&#8217;O Beach</a></h2>                    \n							<p>Si vous voulez manger français et recherchez un établissement où passer la soirée, vous êtes les bienvenus chez nous.</p><a href=\"http://kookagency/nos-clients/lo-beach/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"L&#8217;O Beach\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/la-sublime-porte/\" data-dsn-ajax=\"work\"\n   title=\"La sublime porte\">\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/la-sublime-porte/\" data-dsn-ajax=\"work\">La sublime porte</a></h2>                    \n							<p>Si vous souhaitez profiter d\'une belle soirée avec vos amis autour de repas turcs et de grillades au feu de bois, notre restaurant est</p><a href=\"http://kookagency/nos-clients/la-sublime-porte/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"La sublime porte\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/le-calice/\" data-dsn-ajax=\"work\"\n   title=\"Le Calice\">\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/le-calice/\" data-dsn-ajax=\"work\">Le Calice</a></h2>                    \n							<p>𝗕𝗮𝗿, 𝗠𝗲𝘇𝘇𝗲𝘀 & 𝗠𝗶𝘅𝗼𝗹𝗼𝗴𝗶𝗲 🍸</p><a href=\"http://kookagency/nos-clients/le-calice/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Le Calice\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/mojito-cafe/\" data-dsn-ajax=\"work\"\n   title=\"Mojito Café\">\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/mojito-cafe/\" data-dsn-ajax=\"work\">Mojito Café</a></h2>                    \n							<p>🍔 EAT 🍺 DRINK & 🎧 LISTEN MUSIC</p><a href=\"http://kookagency/nos-clients/mojito-cafe/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Mojito Café\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/restaurant-lhemingway/\" data-dsn-ajax=\"work\"\n   title=\"Restaurant L&#8217;Hemingway\">\n	<img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/restaurant-lhemingway/\" data-dsn-ajax=\"work\">Restaurant L&#8217;Hemingway</a></h2>                    \n							<p>Jouissant d’un panorama exceptionnelle face à la baie des Îles d’Or, L’HEMINGWAY entame sa 7ème saison avec une toute nouvelle équipe de direction. </p><a href=\"http://kookagency/nos-clients/restaurant-lhemingway/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Restaurant L&#8217;Hemingway\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/lou-gardo/\" data-dsn-ajax=\"work\"\n   title=\"Lou Gardo\">\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/lou-gardo/\" data-dsn-ajax=\"work\">Lou Gardo</a></h2>                    \n							<p>Chez LOU GARDO PIZZA, nous aimons vous faire découvrir de nouvelles saveurs !</p><a href=\"http://kookagency/nos-clients/lou-gardo/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"Lou Gardo\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/nos-clients/coderak/\" data-dsn-ajax=\"work\"\n   title=\"CODERAK\">\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /></a>\n	<a href=\"http://kookagency/dsn-blackdsn-categories/restaurant/\" title=\"View All Posts in \">Restaurant</a>\n<h2><a href=\"http://kookagency/nos-clients/coderak/\" data-dsn-ajax=\"work\">CODERAK</a></h2>                    \n							<p>Nous vous offrons une expérience culinaire unique et pleine de saveurs.</p><a href=\"http://kookagency/nos-clients/coderak/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"CODERAK\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n<article\n       >\n	<h2>KOOK</h2><h2>AGENCY</h2>\n</article>\n	<img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2023/06/MR__4249-2-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/MR__4249-2-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/MR__4249-2-416x277.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />\n			<a href=\"https://vimeo.com/832220285\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  PLAY </a>		\n	<img width=\"1067\" height=\"1001\" src=\"http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05.jpg 1067w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05-300x281.jpg 300w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05-1024x961.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05-768x720.jpg 768w, http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05-416x390.jpg 416w\" sizes=\"(max-width: 1067px) 100vw, 1067px\" />\n			<a href=\"https://vimeo.com/832220285\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  PLAY </a>		\n			  <p>Son avis</p> <h2>IL VOUS PARLE DE NOUS !</h2>  		\n		 <p>Jordan de la <strong>Boîte à Pâtes</strong> vous explique son concept et les avantages de collaborer avec nous !</p>		\n			<h6>kook</h6>		\n			   <h2>Le blog</h2> <p>kook</p> 		\n        <article >\n				<a href=\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\" data-dsn-ajax=\"work\"\n   title=\"Google My Business : optimiser la visibilité de son restaurant\">\n	<img width=\"1600\" height=\"902\" src=\"http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg 1600w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-300x169.jpeg 300w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-1024x577.jpeg 1024w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-768x433.jpeg 768w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-1536x866.jpeg 1536w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-1200x677.jpeg 1200w, http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1-416x235.jpeg 416w\" sizes=\"(max-width: 1600px) 100vw, 1600px\" /></a>\n        <a\n           href=\"http://kookagency/2023/05/09/\"\n           title=\"mai 09, 2023\">\n             9 mai 2023        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\" data-dsn-ajax=\"work\">Google My Business : optimiser la visibilité de son restaurant</a></h2>                    \n							<p>Google My Businessest un outil performant de référencement pour les entreprises</p>\n	<a href=\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\" data-dsn-ajax=\"work\"\n   title=\"Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 \">\n	<img width=\"1280\" height=\"853\" src=\"http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg 1280w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1024x682.jpg 1024w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-416x277.jpg 416w\" sizes=\"(max-width: 1280px) 100vw, 1280px\" /></a>\n        <a\n           href=\"http://kookagency/2023/04/21/\"\n           title=\"avril 21, 2023\">\n             21 avril 2023        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\" data-dsn-ajax=\"work\">Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 </a></h2>                    \n							<p>Instagram est un réseau social incontournable pour les restaurateurs</p>\n	<a href=\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\" data-dsn-ajax=\"work\"\n   title=\"Gérer les avis négatifs de son restaurant en 2023\">\n	<img width=\"1200\" height=\"900\" src=\"http://kookagency/wp-content/uploads/2023/04/commentaire.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/04/commentaire.png 1200w, http://kookagency/wp-content/uploads/2023/04/commentaire-300x225.png 300w, http://kookagency/wp-content/uploads/2023/04/commentaire-1024x768.png 1024w, http://kookagency/wp-content/uploads/2023/04/commentaire-768x576.png 768w, http://kookagency/wp-content/uploads/2023/04/commentaire-416x312.png 416w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" /></a>\n        <a\n           href=\"http://kookagency/2023/04/17/\"\n           title=\"avril 17, 2023\">\n             17 avril 2023        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\" data-dsn-ajax=\"work\">Gérer les avis négatifs de son restaurant en 2023</a></h2>                    \n							<p>Répondre aux avis clients sur internet est un art que tout restaurateur se doit de maîtriser.</p>\n	<a href=\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\" data-dsn-ajax=\"work\"\n   title=\"Le guide pour ouvrir son restaurant en 2023\">\n	<img width=\"1200\" height=\"900\" src=\"http://kookagency/wp-content/uploads/2023/01/restauratrice.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/01/restauratrice.png 1200w, http://kookagency/wp-content/uploads/2023/01/restauratrice-300x225.png 300w, http://kookagency/wp-content/uploads/2023/01/restauratrice-1024x768.png 1024w, http://kookagency/wp-content/uploads/2023/01/restauratrice-768x576.png 768w, http://kookagency/wp-content/uploads/2023/01/restauratrice-416x312.png 416w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" /></a>\n        <a\n           href=\"http://kookagency/2023/01/20/\"\n           title=\"janvier 20, 2023\">\n             20 janvier 2023        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\" data-dsn-ajax=\"work\">Le guide pour ouvrir son restaurant en 2023</a></h2>                    \n							<p>Rêve d’une vie, ouvrir un restaurant est un réel projet.</p>\n	<a href=\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/\" data-dsn-ajax=\"work\"\n   title=\"Lutter contre le gaspillage alimentaire dans la restauration\">\n	<img width=\"612\" height=\"408\" src=\"http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg 612w, http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-300x200.jpg 300w, http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-416x277.jpg 416w\" sizes=\"(max-width: 612px) 100vw, 612px\" /></a>\n        <a\n           href=\"http://kookagency/2022/06/29/\"\n           title=\"juin 29, 2022\">\n             29 juin 2022        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/\" data-dsn-ajax=\"work\">Lutter contre le gaspillage alimentaire dans la restauration</a></h2>                    \n							<p>Les restaurateurs seraient responsables de 14 % de la totalité du gaspillage alimentaire en France</p>\n	<a href=\"http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/\" data-dsn-ajax=\"work\"\n   title=\"Le click and collect et la commande en ligne : les meilleures solutions en 2022\">\n	<img width=\"2048\" height=\"1365\" src=\"http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg 2048w, http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-300x200.jpg 300w, http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-768x512.jpg 768w, http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-416x277.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /></a>\n        <a\n           href=\"http://kookagency/2022/06/01/\"\n           title=\"juin 01, 2022\">\n             1 juin 2022        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/\" data-dsn-ajax=\"work\">Le click and collect et la commande en ligne : les meilleures solutions en 2022</a></h2>                    \n							<p>Les Français se sont peu à peu tournés vers la livraison de repas à domicile sur des plateformes</p>\n	<a href=\"http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/\" data-dsn-ajax=\"work\"\n   title=\"Réussir ses photographies culinaires\">\n	<img width=\"640\" height=\"427\" src=\"http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg 640w, http://kookagency/wp-content/uploads/2022/05/food-porn-photo-300x200.jpg 300w, http://kookagency/wp-content/uploads/2022/05/food-porn-photo-416x278.jpg 416w\" sizes=\"(max-width: 640px) 100vw, 640px\" /></a>\n        <a\n           href=\"http://kookagency/2022/05/19/\"\n           title=\"mai 19, 2022\">\n             19 mai 2022        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/\" data-dsn-ajax=\"work\">Réussir ses photographies culinaires</a></h2>                    \n							<p>Passion ou profession, les photographies culinaires ont le vent en poupe sur internet et les réseaux sociaux.</p>\n	<a href=\"http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/\" data-dsn-ajax=\"work\"\n   title=\"Hemblem : l’appli qui met en relation les influenceurs et les restaurateurs\">\n	<img width=\"612\" height=\"408\" src=\"http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg 612w, http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3-300x200.jpg 300w, http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3-416x277.jpg 416w\" sizes=\"(max-width: 612px) 100vw, 612px\" /></a>\n        <a\n           href=\"http://kookagency/2022/05/02/\"\n           title=\"mai 02, 2022\">\n             2 mai 2022        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/\" data-dsn-ajax=\"work\">Hemblem : l’appli qui met en relation les influenceurs et les restaurateurs</a></h2>                    \n							<p>HEMBLEM, c\'est l\'application qui met en relation restaurateurs et influenceurs pour développer votre marketing d\'influence.</p>\n	<a href=\"http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/\" data-dsn-ajax=\"work\"\n   title=\"Conseils pour développer une franchise de restaurant\">\n	<img width=\"640\" height=\"480\" src=\"http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg 640w, http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant-300x225.jpg 300w, http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant-416x312.jpg 416w\" sizes=\"(max-width: 640px) 100vw, 640px\" /></a>\n        <a\n           href=\"http://kookagency/2022/04/26/\"\n           title=\"avril 26, 2022\">\n             26 avril 2022        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/\" data-dsn-ajax=\"work\">Conseils pour développer une franchise de restaurant</a></h2>                    \n							<p>Vous avez mis en place un nouveau concept de restaurant ? Vous souhaitez ouvrir un restaurant, mais ne savez pas comment faire ? Et si votre</p>\n	<a href=\"http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n        <article >\n				<a href=\"http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/\" data-dsn-ajax=\"work\"\n   title=\"Les meilleurs hashtags food en 2022 sur Instagram\">\n	<img width=\"612\" height=\"367\" src=\"http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg 612w, http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete-300x180.jpg 300w, http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete-416x249.jpg 416w\" sizes=\"(max-width: 612px) 100vw, 612px\" /></a>\n        <a\n           href=\"http://kookagency/2022/04/20/\"\n           title=\"avril 20, 2022\">\n             20 avril 2022        </a>\n||<a href=\"http://kookagency/category/blog/\" title=\"View All Posts in \">Blog</a>\n<h2><a href=\"http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/\" data-dsn-ajax=\"work\">Les meilleurs hashtags food en 2022 sur Instagram</a></h2>                    \n							<p>Aujourd’hui, se faire connaitre passe inévitablement par les réseaux sociaux. Mais pour exploiter ces outils au maximum, encore faut-il connaitre leurs codes, notamment ceux</p>\n	<a href=\"http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/\" data-dsn-ajax=\"work\">  VOIR PLUS </a>\n        </article>\n                                                    <svg xmlns=\"http://www.w3.org/2000/svg\"\n                                                        viewBox=\"0 0 24 24\">\n                                                        <g fill=\"none\" stroke-width=\"1\"\n                                                            stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                            <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                        </g>\n                                                    </svg>\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\"\n                                                     height=\"24\" viewBox=\"0 0 24 24\">\n                                                    <g fill=\"none\" stroke-width=\"1\"\n                                                       stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                        <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                    </g>\n                                                </svg>\n			<h6>Nos partenaires</h6>		\n			   <h2>Ils nous font confiance</h2> <p>Nos partenaires</p> 		\n			<img width=\"600\" height=\"600\" src=\"http://kookagency/wp-content/uploads/2023/05/pongo-1.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/pongo-1.png 600w, http://kookagency/wp-content/uploads/2023/05/pongo-1-300x300.png 300w, http://kookagency/wp-content/uploads/2023/05/pongo-1-150x150.png 150w, http://kookagency/wp-content/uploads/2023/05/pongo-1-416x416.png 416w, http://kookagency/wp-content/uploads/2023/05/pongo-1-100x100.png 100w\" sizes=\"(max-width: 600px) 100vw, 600px\" /><img width=\"2000\" height=\"853\" src=\"http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1.png 2000w, http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1-300x128.png 300w, http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1-1024x437.png 1024w, http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1-768x328.png 768w, http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1-1536x655.png 1536w, http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1-1200x512.png 1200w, http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1-416x177.png 416w\" sizes=\"(max-width: 2000px) 100vw, 2000px\" /><img width=\"1160\" height=\"358\" src=\"http://kookagency/wp-content/uploads/2023/05/partoo_logo-1.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/partoo_logo-1.png 1160w, http://kookagency/wp-content/uploads/2023/05/partoo_logo-1-300x93.png 300w, http://kookagency/wp-content/uploads/2023/05/partoo_logo-1-1024x316.png 1024w, http://kookagency/wp-content/uploads/2023/05/partoo_logo-1-768x237.png 768w, http://kookagency/wp-content/uploads/2023/05/partoo_logo-1-416x128.png 416w\" sizes=\"(max-width: 1160px) 100vw, 1160px\" /><img width=\"576\" height=\"139\" src=\"http://kookagency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2.png 576w, http://kookagency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-300x72.png 300w, http://kookagency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-416x100.png 416w\" sizes=\"(max-width: 576px) 100vw, 576px\" /><img width=\"800\" height=\"200\" src=\"http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1.png 800w, http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-300x75.png 300w, http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-768x192.png 768w, http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-416x104.png 416w\" sizes=\"(max-width: 800px) 100vw, 800px\" /><img width=\"3840\" height=\"2160\" src=\"http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1.png 3840w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-300x169.png 300w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-1024x576.png 1024w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-768x432.png 768w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-1536x864.png 1536w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-2048x1152.png 2048w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-1200x675.png 1200w, http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1-416x234.png 416w\" sizes=\"(max-width: 3840px) 100vw, 3840px\" />", "Accueil", "", "publish", "closed", "closed", "", "accueil", "", "", "2023-06-07 16:31:47", "2023-06-07 14:31:47", "", "0", "https://dsngrid.com/blackdsn/?page_id=10485", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("12001", "1", "2023-05-30 12:00:26", "2023-05-30 10:00:26", "", "Design sans titre", "", "inherit", "open", "closed", "", "design-sans-titre", "", "", "2023-05-30 12:00:26", "2023-05-30 10:00:26", "", "10485", "http://kookagency/wp-content/uploads/2023/05/Design-sans-titre-1.mp4", "0", "attachment", "video/mp4", "0");
INSERT INTO `wp_posts` VALUES("12009", "1", "2023-05-30 12:27:20", "2023-05-30 10:27:20", "", "Kook-Studio-2022-4", "", "inherit", "open", "closed", "", "kook-studio-2022-4", "", "", "2023-05-30 12:27:20", "2023-05-30 10:27:20", "", "10485", "http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11675", "1", "2022-08-10 23:04:58", "2022-08-10 23:04:58", "", "1", "", "inherit", "open", "closed", "", "1-8", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "6", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11676", "1", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "hoodie-2.jpg", "", "inherit", "open", "closed", "", "hoodie-2-jpg-2", "", "", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/hoodie-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11677", "1", "2022-08-11 02:34:40", "2022-08-11 02:34:40", "", "3", "", "inherit", "open", "closed", "", "3-6", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "6", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11678", "1", "2019-01-16 13:01:56", "2019-01-16 13:01:56", "", "vneck-tee-2.jpg", "", "inherit", "open", "closed", "", "vneck-tee-2-jpg-2", "", "", "2019-01-16 13:01:56", "2019-01-16 13:01:56", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/vneck-tee-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11679", "1", "2019-01-16 13:01:57", "2019-01-16 13:01:57", "", "vnech-tee-green-1.jpg", "", "inherit", "open", "closed", "", "vnech-tee-green-1-jpg-2", "", "", "2019-01-16 13:01:57", "2019-01-16 13:01:57", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/vnech-tee-green-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11680", "1", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "vnech-tee-blue-1.jpg", "", "inherit", "open", "closed", "", "vnech-tee-blue-1-jpg-2", "", "", "2019-01-16 13:01:58", "2019-01-16 13:01:58", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/vnech-tee-blue-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11681", "1", "2019-01-16 13:01:59", "2019-01-16 13:01:59", "", "hoodie-blue-1.jpg", "", "inherit", "open", "closed", "", "hoodie-blue-1-jpg-2", "", "", "2019-01-16 13:01:59", "2019-01-16 13:01:59", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/hoodie-blue-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11682", "1", "2019-01-16 13:02:00", "2019-01-16 13:02:00", "", "hoodie-green-1.jpg", "", "inherit", "open", "closed", "", "hoodie-green-1-jpg-2", "", "", "2019-01-16 13:02:00", "2019-01-16 13:02:00", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/hoodie-green-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11683", "1", "2019-01-16 13:02:01", "2019-01-16 13:02:01", "", "hoodie-with-logo-2.jpg", "", "inherit", "open", "closed", "", "hoodie-with-logo-2-jpg-2", "", "", "2019-01-16 13:02:01", "2019-01-16 13:02:01", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/hoodie-with-logo-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11684", "1", "2019-01-16 13:02:02", "2019-01-16 13:02:02", "", "tshirt-2.jpg", "", "inherit", "open", "closed", "", "tshirt-2-jpg-2", "", "", "2019-01-16 13:02:02", "2019-01-16 13:02:02", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/tshirt-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11685", "1", "2019-01-16 13:02:03", "2019-01-16 13:02:03", "", "belt-2.jpg", "", "inherit", "open", "closed", "", "belt-2-jpg-2", "", "", "2019-01-16 13:02:03", "2019-01-16 13:02:03", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/belt-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11686", "1", "2019-01-16 13:02:04", "2019-01-16 13:02:04", "", "cap-2.jpg", "", "inherit", "open", "closed", "", "cap-2-jpg-2", "", "", "2019-01-16 13:02:04", "2019-01-16 13:02:04", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/cap-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11687", "1", "2019-01-16 13:02:05", "2019-01-16 13:02:05", "", "sunglasses-2.jpg", "", "inherit", "open", "closed", "", "sunglasses-2-jpg-2", "", "", "2019-01-16 13:02:05", "2019-01-16 13:02:05", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/sunglasses-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11688", "1", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "hoodie-with-pocket-2.jpg", "", "inherit", "open", "closed", "", "hoodie-with-pocket-2-jpg-2", "", "", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/hoodie-with-pocket-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11689", "1", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "hoodie-with-zipper-2.jpg", "", "inherit", "open", "closed", "", "hoodie-with-zipper-2-jpg-2", "", "", "2019-01-16 13:02:06", "2019-01-16 13:02:06", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/hoodie-with-zipper-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11690", "1", "2019-01-16 13:02:07", "2019-01-16 13:02:07", "", "long-sleeve-tee-2.jpg", "", "inherit", "open", "closed", "", "long-sleeve-tee-2-jpg-2", "", "", "2019-01-16 13:02:07", "2019-01-16 13:02:07", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/long-sleeve-tee-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11691", "1", "2019-01-16 13:02:08", "2019-01-16 13:02:08", "", "polo-2.jpg", "", "inherit", "open", "closed", "", "polo-2-jpg-2", "", "", "2019-01-16 13:02:08", "2019-01-16 13:02:08", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/polo-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11692", "1", "2019-01-16 13:02:10", "2019-01-16 13:02:10", "", "single-1.jpg", "", "inherit", "open", "closed", "", "single-1-jpg-2", "", "", "2019-01-16 13:02:10", "2019-01-16 13:02:10", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/single-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11693", "1", "2019-01-16 13:02:11", "2019-01-16 13:02:11", "", "t-shirt-with-logo-1.jpg", "", "inherit", "open", "closed", "", "t-shirt-with-logo-1-jpg-2", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "11146", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/t-shirt-with-logo-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11694", "1", "2019-01-16 13:02:12", "2019-01-16 13:02:12", "", "beanie-with-logo-1.jpg", "", "inherit", "open", "closed", "", "beanie-with-logo-1-jpg-2", "", "", "2019-01-16 13:02:12", "2019-01-16 13:02:12", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/beanie-with-logo-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11695", "1", "2022-08-11 02:34:44", "2022-08-11 02:34:44", "", "2", "", "inherit", "open", "closed", "", "2-7", "", "", "2023-05-30 10:38:51", "2023-05-30 08:38:51", "", "6", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11672", "1", "2023-05-30 10:24:06", "2023-05-30 08:24:06", "", "woocommerce-placeholder", "", "inherit", "open", "closed", "", "woocommerce-placeholder-3", "", "", "2023-05-30 10:24:06", "2023-05-30 08:24:06", "", "0", "http://kookagency/wp-content/uploads/2023/05/woocommerce-placeholder.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11779", "1", "2022-10-12 00:27:04", "2022-10-12 00:27:04", "", "product-6", "", "inherit", "open", "closed", "", "product-6-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11806", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/product-6.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11780", "1", "2022-10-12 00:32:28", "2022-10-12 00:32:28", "", "ragbo452081071c_q1_2-0", "", "inherit", "open", "closed", "", "ragbo452081071c_q1_2-0-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11130", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/ragbo452081071c_q1_2-0.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11781", "1", "2022-10-12 00:32:33", "2022-10-12 00:32:33", "", "pr1-pink-2", "", "inherit", "open", "closed", "", "pr1-pink-2-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11130", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/pr1-pink-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11782", "1", "2022-10-12 00:32:38", "2022-10-12 00:32:38", "", "pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716", "", "inherit", "open", "closed", "", "pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11130", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11783", "1", "2022-10-12 00:32:45", "2022-10-12 00:32:45", "", "acndb3127517966_q1_2-0", "", "inherit", "open", "closed", "", "acndb3127517966_q1_2-0-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11130", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/acndb3127517966_q1_2-0.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11784", "1", "2022-10-12 00:36:23", "2022-10-12 00:36:23", "", "product-8", "", "inherit", "open", "closed", "", "product-8-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11798", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/product-8.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11785", "1", "2022-10-12 09:30:27", "2022-10-12 09:30:27", "", "hero-2", "", "inherit", "open", "closed", "", "hero-2-2", "", "", "2022-10-12 09:30:27", "2022-10-12 09:30:27", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/hero-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11786", "1", "2022-10-12 12:53:06", "2022-10-12 12:53:06", "", "pexels-photo-8365688", "", "inherit", "open", "closed", "", "pexels-photo-8365688-2", "", "", "2022-10-12 12:53:06", "2022-10-12 12:53:06", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/pexels-photo-8365688.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11787", "1", "2022-10-12 12:55:16", "2022-10-12 12:55:16", "", "pexels-terje-sollie-298864", "", "inherit", "open", "closed", "", "pexels-terje-sollie-298864-3", "", "", "2022-10-12 12:55:16", "2022-10-12 12:55:16", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/pexels-terje-sollie-298864.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11096", "1", "2022-09-27 17:32:20", "2022-09-27 15:32:20", "<!-- ========== Slider Parallax ========== -->\n					<img width=\"1707\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg 1707w, http://kookagency/wp-content/uploads/2023/06/P1460372-200x300.jpg 200w, http://kookagency/wp-content/uploads/2023/06/P1460372-683x1024.jpg 683w, http://kookagency/wp-content/uploads/2023/06/P1460372-768x1152.jpg 768w, http://kookagency/wp-content/uploads/2023/06/P1460372-1024x1536.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/P1460372-1365x2048.jpg 1365w, http://kookagency/wp-content/uploads/2023/06/P1460372-1200x1800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/P1460372-416x624.jpg 416w\" sizes=\"(max-width: 1707px) 100vw, 1707px\" /><img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /><img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /><img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /><img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /><img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /><img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /><img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /><img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /><img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /><img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /><img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" /><img width=\"1000\" height=\"1000\" src=\"http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png 1000w, http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-300x300.png 300w, http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-150x150.png 150w, http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-768x768.png 768w, http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-416x416.png 416w, http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-100x100.png 100w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" /><img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /><img width=\"2560\" height=\"1920\" src=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-2048x1536.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-416x312.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /><img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg 2560w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-300x200.jpeg 300w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-1024x683.jpeg 1024w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-768x512.jpeg 768w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-1536x1024.jpeg 1536w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-2048x1365.jpeg 2048w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-1200x800.jpeg 1200w, http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-416x277.jpeg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />\n		 Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/di-vino/\" data-dsn-ajax=\"slider\">Di Vino</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/di-vino/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/vita-ristorante/\" data-dsn-ajax=\"slider\">Vita Ristorante</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/vita-ristorante/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/ruby/\" data-dsn-ajax=\"slider\">Ruby</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/ruby/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/lo-beach/\" data-dsn-ajax=\"slider\">L\'O Beach</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/lo-beach/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/la-sublime-porte/\" data-dsn-ajax=\"slider\">La sublime porte</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/la-sublime-porte/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/le-calice/\" data-dsn-ajax=\"slider\">Le Calice</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/le-calice/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/mojito-cafe/\" data-dsn-ajax=\"slider\">Mojito Café</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/mojito-cafe/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/restaurant-lhemingway/\" data-dsn-ajax=\"slider\">Restaurant L\'Hemingway</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/restaurant-lhemingway/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/lou-gardo/\" data-dsn-ajax=\"slider\">Lou Gardo</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/lou-gardo/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/coderak/\" data-dsn-ajax=\"slider\">CODERAK</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/coderak/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/369-restaurant/\" data-dsn-ajax=\"slider\">369 Restaurant</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/369-restaurant/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Hôtel - Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/dandy-hotel/\" data-dsn-ajax=\"slider\">Dandy Hotel</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/dandy-hotel/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/breakfast-in-america/\" data-dsn-ajax=\"slider\">Breakfast In America</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/breakfast-in-america/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/fuero/\" data-dsn-ajax=\"slider\">Fuero</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/fuero/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/gabriela/\" data-dsn-ajax=\"slider\">Gabriela</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/gabriela/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a>  Restaurant <h2><a data-dsn-split=\"chars\" href=\"http://kookagency/blackdsn-portfolio/la-boite-a-pates/\" data-dsn-ajax=\"slider\">La Boîte à Pâtes</a></h2>  <a href=\"http://kookagency/blackdsn-portfolio/la-boite-a-pates/\" data-dsn-ajax=\"slider\" data-dsn=\"parallax\">  VIEW CASE </a> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>La Boîte à Pâtes</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Di Vino</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Vita Ristorante</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Ruby</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>L\'O Beach</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>La sublime porte</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Le Calice</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Mojito Café</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Restaurant L\'Hemingway</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Lou Gardo</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>CODERAK</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>369 Restaurant</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Dandy Hotel</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Breakfast In America</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Fuero</h6> \n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Gabriela</h6>                    \n                        01\n                        /  16\n						<h6 class=\'sm-title-block\'>Vita Ristorante</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Ruby</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>L\'O Beach</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>La sublime porte</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Le Calice</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Mojito Café</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Restaurant L\'Hemingway</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Lou Gardo</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>CODERAK</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>369 Restaurant</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Dandy Hotel</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Breakfast In America</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Fuero</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Gabriela</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>La Boîte à Pâtes</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n                    <h6 class=\'sm-title-block\'>Di Vino</h6>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 28.214 23.057\">\n                                <g fill=\"none\" stroke-linecap=\"square\" stroke-width=\"1\">\n                                    <path d=\"M23.528 11.685h-20M16.685 19.528l8-8-8-8\"></path>\n                                </g>\n                            </svg>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\" height=\"24\"\n                                 viewBox=\"0 0 24 24\">\n                                <g fill=\"none\" stroke-width=\"1\" stroke-linejoin=\"round\"\n                                   stroke-miterlimit=\"10\">\n                                    <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                </g>\n                            </svg>\n<!-- ========== End Slider Parallax ========== -->", "Nos clients", "", "publish", "closed", "closed", "", "nos-clients", "", "", "2023-06-05 09:32:16", "2023-06-05 07:32:16", "", "0", "https://dsngrid.com/blackdsn/?page_id=11096", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11776", "1", "2022-10-11 22:14:15", "2022-10-11 22:14:15", "", "woocommerce-placeholder", "", "inherit", "open", "closed", "", "woocommerce-placeholder-4", "", "", "2022-10-11 22:14:15", "2022-10-11 22:14:15", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/woocommerce-placeholder.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11777", "1", "2022-10-12 00:11:34", "2022-10-12 00:11:34", "", "product-2", "", "inherit", "open", "closed", "", "product-2-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11813", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/10/product-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11778", "1", "2022-10-12 00:13:38", "2022-10-12 00:13:38", "", "product-4", "", "inherit", "open", "closed", "", "product-4-3", "", "", "2023-05-30 10:38:52", "2023-05-30 08:38:52", "", "11138", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2019/01/product-4.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("11769", "1", "2022-09-11 22:44:46", "2022-09-11 22:44:46", "", "2-1.jpg", "", "inherit", "open", "closed", "", "2-1-jpg-3", "", "", "2022-09-11 22:44:46", "2022-09-11 22:44:46", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/2-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11770", "1", "2022-09-11 22:44:48", "2022-09-11 22:44:48", "", "maxim-potkin-wyxTcdibez0-unsplash.jpg", "", "inherit", "open", "closed", "", "maxim-potkin-wyxtcdibez0-unsplash-jpg-2", "", "", "2022-09-11 22:44:48", "2022-09-11 22:44:48", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/maxim-potkin-wyxTcdibez0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11771", "1", "2022-09-11 23:25:54", "2022-09-11 23:25:54", "", "pexels-nancy-bourque-1209982", "", "inherit", "open", "closed", "", "pexels-nancy-bourque-1209982-2", "", "", "2022-09-11 23:25:54", "2022-09-11 23:25:54", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-nancy-bourque-1209982.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11772", "1", "2022-09-11 23:27:57", "2022-09-11 23:27:57", "", "pexels-johannes-plenio-1632788", "", "inherit", "open", "closed", "", "pexels-johannes-plenio-1632788-3", "", "", "2022-09-11 23:27:57", "2022-09-11 23:27:57", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-johannes-plenio-1632788.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11773", "1", "2022-09-15 00:07:17", "2022-09-15 00:07:17", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/cropped-logo-1.png", "cropped-logo-1.png", "", "inherit", "open", "closed", "", "cropped-logo-1-png-3", "", "", "2022-09-15 00:07:17", "2022-09-15 00:07:17", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/cropped-logo-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11774", "1", "2022-09-17 16:02:19", "2022-09-17 16:02:19", "", "pexels-sevenstorm-juhaszimrus-934345", "", "inherit", "open", "closed", "", "pexels-sevenstorm-juhaszimrus-934345-3", "", "", "2022-09-17 16:02:19", "2022-09-17 16:02:19", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-sevenstorm-juhaszimrus-934345.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11775", "1", "2022-09-18 04:09:14", "2022-09-18 04:09:14", "", "default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe", "", "inherit", "open", "closed", "", "default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3", "", "", "2022-09-18 04:09:14", "2022-09-18 04:09:14", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11761", "1", "2022-09-09 18:10:22", "2022-09-09 18:10:22", "", "pexels-pixabay-90764", "", "inherit", "open", "closed", "", "pexels-pixabay-90764-3", "", "", "2022-09-09 18:10:22", "2022-09-09 18:10:22", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-pixabay-90764.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11762", "1", "2022-09-09 18:15:38", "2022-09-09 18:15:38", "", "62a1f09ec862ce8047dd9ca4_Hero-Bg", "", "inherit", "open", "closed", "", "62a1f09ec862ce8047dd9ca4_hero-bg-2-3", "", "", "2022-09-09 18:15:38", "2022-09-09 18:15:38", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11763", "1", "2022-09-10 02:06:58", "2022-09-10 02:06:58", "", "62a1f09ec862ce8047dd9ca4_Hero-Bg", "", "inherit", "open", "closed", "", "62a1f09ec862ce8047dd9ca4_hero-bg-4", "", "", "2022-09-10 02:06:58", "2022-09-10 02:06:58", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11764", "1", "2022-09-10 03:06:07", "2022-09-10 03:06:07", "", "pexels-roman-odintsov-4925863", "", "inherit", "open", "closed", "", "pexels-roman-odintsov-4925863-2", "", "", "2022-09-10 03:06:07", "2022-09-10 03:06:07", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-roman-odintsov-4925863.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11765", "1", "2022-09-11 21:45:46", "2022-09-11 21:45:46", "", "60a502785b1f17fddcebab14_Architecture-Grid-Image", "", "inherit", "open", "closed", "", "60a502785b1f17fddcebab14_architecture-grid-image-2", "", "", "2022-09-11 21:45:46", "2022-09-11 21:45:46", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11766", "1", "2022-09-11 22:05:09", "2022-09-11 22:05:09", "", "ab3", "", "inherit", "open", "closed", "", "ab3-2", "", "", "2022-09-11 22:05:09", "2022-09-11 22:05:09", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/ab3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11767", "1", "2022-09-11 22:10:14", "2022-09-11 22:10:14", "", "dots-dark", "", "inherit", "open", "closed", "", "dots-dark-2", "", "", "2022-09-11 22:10:14", "2022-09-11 22:10:14", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/dots-dark.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11768", "1", "2022-09-11 22:44:44", "2022-09-11 22:44:44", "", "1-1.jpg", "", "inherit", "open", "closed", "", "1-1-jpg-3", "", "", "2022-09-11 22:44:44", "2022-09-11 22:44:44", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/1-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11754", "1", "2022-08-23 03:41:47", "2022-08-23 03:41:47", "", "ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-1aorrb3bczm-unsplash-3", "", "", "2022-08-23 03:41:47", "2022-08-23 03:41:47", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11755", "1", "2022-08-23 22:47:56", "2022-08-23 22:47:56", "", "skills-2", "", "inherit", "open", "closed", "", "skills-2-2", "", "", "2022-08-23 22:47:56", "2022-08-23 22:47:56", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/skills-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11756", "1", "2022-08-24 01:28:01", "2022-08-24 01:28:01", "", "ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash", "", "inherit", "open", "closed", "", "ctrl-a-meal-replacement-x9phlk8ibyu-unsplash-2", "", "", "2022-08-24 01:28:01", "2022-08-24 01:28:01", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11757", "1", "2022-08-24 01:28:07", "2022-08-24 01:28:07", "", "alabaster-co-Sy1ohVoGciA-unsplash", "", "inherit", "open", "closed", "", "alabaster-co-sy1ohvogcia-unsplash-3", "", "", "2022-08-24 01:28:07", "2022-08-24 01:28:07", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/06/alabaster-co-Sy1ohVoGciA-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11758", "1", "2022-08-24 01:28:12", "2022-08-24 01:28:12", "", "content-pixie-VJX5imdELxo-unsplash", "", "inherit", "open", "closed", "", "content-pixie-vjx5imdelxo-unsplash-3", "", "", "2022-08-24 01:28:12", "2022-08-24 01:28:12", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/06/content-pixie-VJX5imdELxo-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11759", "1", "2022-09-09 18:08:54", "2022-09-09 18:08:54", "", "pexels-pixabay-356147", "", "inherit", "open", "closed", "", "pexels-pixabay-356147-2", "", "", "2022-09-09 18:08:54", "2022-09-09 18:08:54", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-pixabay-356147.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11760", "1", "2022-09-09 18:10:18", "2022-09-09 18:10:18", "", "pexels-rachel-claire-5490267", "", "inherit", "open", "closed", "", "pexels-rachel-claire-5490267-2", "", "", "2022-09-09 18:10:18", "2022-09-09 18:10:18", "", "0", "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2022-08-10 23:02:57", "2022-08-10 23:02:57", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-blackdsn", "", "", "2022-08-10 23:02:57", "2022-08-10 23:02:57", "", "0", "https://dsngrid.com/blackdsn/2022/08/10/wp-global-styles-blackdsn/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("11631", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "HOME", "", "publish", "closed", "closed", "", "home-3", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/home-3/", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11632", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "NEWS", "", "publish", "closed", "closed", "", "news", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/news/", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11633", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "CONTACT", "", "publish", "closed", "closed", "", "contact", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/contact/", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11634", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "PORTFOLIO", "", "publish", "closed", "closed", "", "portfolio-5", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/portfolio-5/", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11635", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "DEMO", "", "publish", "closed", "closed", "", "demo", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/demo/", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11636", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", " ", "", "", "publish", "closed", "closed", "", "11636", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/11636/", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11637", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "Carousel Portfolio", "", "publish", "closed", "closed", "", "carousel-portfolio", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/carousel-portfolio/", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11638", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "Work Style 1", "", "publish", "closed", "closed", "", "work-style-1", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/work-style-1/", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11639", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "Work Style 2", "", "publish", "closed", "closed", "", "work-style-2", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/work-style-2/", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11640", "1", "2023-05-30 10:24:03", "2023-05-30 08:24:03", " ", "", "", "publish", "closed", "closed", "", "11640", "", "", "2023-05-30 10:24:03", "2023-05-30 08:24:03", "", "0", "http://kookagency/2023/05/30/11640/", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11641", "1", "2023-05-30 11:39:37", "2023-05-30 08:24:03", " ", "", "", "publish", "closed", "closed", "", "11641", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/2023/05/30/11641/", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11651", "1", "2023-05-30 10:24:04", "2023-05-30 08:24:04", " ", "", "", "publish", "closed", "closed", "", "11651", "", "", "2023-05-30 10:24:04", "2023-05-30 08:24:04", "", "0", "http://kookagency/2023/05/30/11651/", "10", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11652", "1", "2023-05-30 10:24:04", "2023-05-30 08:24:04", " ", "", "", "publish", "closed", "closed", "", "11652", "", "", "2023-05-30 10:24:04", "2023-05-30 08:24:04", "", "0", "http://kookagency/2023/05/30/11652/", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11666", "1", "2023-05-30 11:39:37", "2023-05-30 08:24:05", "", "Nos services", "", "publish", "closed", "closed", "", "11666", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/2023/05/30/11666/", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11995", "1", "2023-05-30 11:42:38", "2023-05-30 09:42:38", "", "LOGO BASELINE NOIR", "", "inherit", "open", "closed", "", "logo-baseline-noir", "", "", "2023-05-30 11:42:38", "2023-05-30 09:42:38", "", "0", "http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11994", "1", "2023-05-30 11:40:57", "2023-05-30 09:40:57", "", "My project-1", "", "inherit", "open", "closed", "", "my-project-1", "", "", "2023-05-30 11:40:57", "2023-05-30 09:40:57", "", "0", "http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("10237", "1", "2022-09-19 15:00:41", "2022-09-19 15:00:41", "<article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\"\n   title=\"HEADPHONES\">\n	<img width=\"1920\" height=\"1080\" src=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\">HEADPHONES</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"HEADPHONES\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\"\n   title=\"DOG CHOW\">\n	<img width=\"1800\" height=\"1200\" src=\"http://kookagency/wp-content/uploads/2022/08/1-4-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-4-3.jpg 1800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1536x1024.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-880x587.jpg 880w\" sizes=\"(max-width: 1800px) 100vw, 1800px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\">DOG CHOW</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"DOG CHOW\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\"\n   title=\"OPEN RUN\">\n	<img width=\"1920\" height=\"1405\" src=\"http://kookagency/wp-content/uploads/2022/08/1-3-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-3-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-300x220.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1024x749.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-768x562.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1536x1124.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1200x878.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-150x110.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-880x644.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\">OPEN RUN</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"OPEN RUN\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\"\n   title=\"AUDI RS\">\n	<img width=\"1500\" height=\"1000\" src=\"http://kookagency/wp-content/uploads/2022/08/3-1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-1-3.jpg 1500w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-880x587.jpg 880w\" sizes=\"(max-width: 1500px) 100vw, 1500px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\">AUDI RS</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"AUDI RS\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\"\n   title=\"MEN FASHION\">\n	<img width=\"1400\" height=\"1886\" src=\"http://kookagency/wp-content/uploads/2022/08/1-1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-1-3.jpg 1400w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-223x300.jpg 223w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-760x1024.jpg 760w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-768x1035.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1140x1536.jpg 1140w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1200x1617.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-150x202.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-880x1185.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-300x404.jpg 300w\" sizes=\"(max-width: 1400px) 100vw, 1400px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\">MEN FASHION</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"MEN FASHION\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\"\n   title=\"VISIONAID\">\n	<img width=\"2560\" height=\"1440\" src=\"http://kookagency/wp-content/uploads/2022/08/1-scaled-4.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-scaled-4.jpg 2560w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2048x1152.jpg 2048w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-880x495.jpg 880w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/creative/\" title=\"View All Posts in \">CREATIVE</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\">VISIONAID</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"VISIONAID\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>", "Carousel Portfolio 1", "", "publish", "closed", "closed", "", "carousel-portfolio-1", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=10237", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("10240", "1", "2022-09-19 15:01:18", "2022-09-19 15:01:18", "<article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\">HEADPHONES</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\"\n   title=\"HEADPHONES\">\n	<img width=\"1920\" height=\"1080\" src=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"HEADPHONES\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\">DOG CHOW</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\"\n   title=\"DOG CHOW\">\n	<img width=\"1800\" height=\"1200\" src=\"http://kookagency/wp-content/uploads/2022/08/1-4-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-4-3.jpg 1800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1536x1024.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-880x587.jpg 880w\" sizes=\"(max-width: 1800px) 100vw, 1800px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"DOG CHOW\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\">OPEN RUN</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\"\n   title=\"OPEN RUN\">\n	<img width=\"1920\" height=\"1405\" src=\"http://kookagency/wp-content/uploads/2022/08/1-3-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-3-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-300x220.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1024x749.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-768x562.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1536x1124.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1200x878.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-150x110.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-880x644.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"OPEN RUN\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\">AUDI RS</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\"\n   title=\"AUDI RS\">\n	<img width=\"1500\" height=\"1000\" src=\"http://kookagency/wp-content/uploads/2022/08/3-1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-1-3.jpg 1500w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-880x587.jpg 880w\" sizes=\"(max-width: 1500px) 100vw, 1500px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"AUDI RS\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\">MEN FASHION</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\"\n   title=\"MEN FASHION\">\n	<img width=\"1400\" height=\"1886\" src=\"http://kookagency/wp-content/uploads/2022/08/1-1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-1-3.jpg 1400w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-223x300.jpg 223w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-760x1024.jpg 760w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-768x1035.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1140x1536.jpg 1140w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1200x1617.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-150x202.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-880x1185.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-300x404.jpg 300w\" sizes=\"(max-width: 1400px) 100vw, 1400px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"MEN FASHION\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\">VISIONAID</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\"\n   title=\"VISIONAID\">\n	<img width=\"2560\" height=\"1440\" src=\"http://kookagency/wp-content/uploads/2022/08/1-scaled-4.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-scaled-4.jpg 2560w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2048x1152.jpg 2048w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-880x495.jpg 880w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/creative/\" title=\"View All Posts in \">CREATIVE</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"VISIONAID\">\n	View Case\n</a>\n        </article>", "Carousel Portfolio 2", "", "publish", "closed", "closed", "", "carousel-portfolio-2", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=10240", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("10243", "1", "2022-09-19 15:02:23", "2022-09-19 15:02:23", "<article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\"\n   title=\"HEADPHONES\">\n	<img width=\"1920\" height=\"1080\" src=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-5-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\">HEADPHONES</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\"\n   title=\"DOG CHOW\">\n	<img width=\"1800\" height=\"1200\" src=\"http://kookagency/wp-content/uploads/2022/08/1-4-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-4-3.jpg 1800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1536x1024.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-880x587.jpg 880w\" sizes=\"(max-width: 1800px) 100vw, 1800px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\">DOG CHOW</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\"\n   title=\"OPEN RUN\">\n	<img width=\"1920\" height=\"1405\" src=\"http://kookagency/wp-content/uploads/2022/08/1-3-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-3-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-300x220.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1024x749.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-768x562.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1536x1124.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1200x878.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-150x110.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-880x644.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\">OPEN RUN</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\"\n   title=\"AUDI RS\">\n	<img width=\"1500\" height=\"1000\" src=\"http://kookagency/wp-content/uploads/2022/08/3-1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-1-3.jpg 1500w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-880x587.jpg 880w\" sizes=\"(max-width: 1500px) 100vw, 1500px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\">AUDI RS</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\"\n   title=\"MEN FASHION\">\n	<img width=\"1400\" height=\"1886\" src=\"http://kookagency/wp-content/uploads/2022/08/1-1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-1-3.jpg 1400w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-223x300.jpg 223w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-760x1024.jpg 760w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-768x1035.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1140x1536.jpg 1140w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1200x1617.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-150x202.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-880x1185.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-300x404.jpg 300w\" sizes=\"(max-width: 1400px) 100vw, 1400px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\">MEN FASHION</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\"\n   title=\"VISIONAID\">\n	<img width=\"2560\" height=\"1440\" src=\"http://kookagency/wp-content/uploads/2022/08/1-scaled-4.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-scaled-4.jpg 2560w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2048x1152.jpg 2048w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-880x495.jpg 880w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/creative/\" title=\"View All Posts in \">CREATIVE</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\">VISIONAID</a></h2>                    \n        </article>", "Carousel Portfolio 3", "", "publish", "closed", "closed", "", "carousel-portfolio-3", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=10243", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("10263", "1", "2022-09-19 15:16:15", "2022-09-19 15:16:15", "<p>OUR SERVICES </p>		\n			<h1>We are delivering beautiful <br>digital products for you. </h1>		\n			<a href=\"https://dsngrid.com/blackdsn/about-us/\" data-dsn-text=\"About Us\" data-dsn=\"parallax\">  GET STARTED NOW </a>		\n			   Let’s Check <b>Our Services</b>\n			<ul data-dsn-iso=\"61de78c\">    <li >\n		<p>Brand Consulting	\n</p>\n    </li>\n    <li >\n		<p>Marketing Management</p>\n    </li>\n    <li >\n		<p>Customer Insight</p>\n    </li>\n    <li >\n		<p>Brand Consulting	\n</p>\n    </li>\n    <li >\n		<p>Marketing Management</p>\n    </li>\n    <li >\n		<p>Customer Insight</p>\n    </li>\n</ul>		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>Best Practices from Industry Experts </h4> <p>We’ve designed a culture that allows our stewards to assimilate with our clients and bring.</p> \n			We provide you with\nthe best service <b>in the market</b>		\n			<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, by injected humour. words</p>		\n			<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, Injected humour words web page editors now use as their.</p>		\n			<p>Default and a search for will uncover many web sites still in their infancy.suffered alteration, by injected humour words web page.</p>		\n			<style>/*! elementor - v3.7.6 - 15-09-2022 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img src=\"//images.unsplash.com/photo-1629904853716-f0bc54eea481?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80\" title=\"\" alt=\"\" />															\n															<img src=\"//images.unsplash.com/photo-1607537669513-8472b5a8f85b?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80\" title=\"\" alt=\"\" />															\n			We have been doing projects <b>since 2008.</b>		\n			<p>Founded\n in\n 2000,\n Dsn\n Grid\n has\n become\n one\n of\n the\n best\n Digital\n Agency\n in\n ThemeForest.\n Blue\n money\n going\n forward,\n but\n deploy\n to\n production.\n </p>		\n					1\n					<h6 role=\"tab\" data-tab=\"0\">Our Vision</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					2\n					<h6 role=\"tab\" data-tab=\"1\">Our goals</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					3\n					<h6 role=\"tab\" data-tab=\"2\">Our Mission</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n			   The best <b>team ever!</b>  		\n			<img width=\"800\" height=\"870\" src=\"http://kookagency/wp-content/uploads/2022/08/3-5-4.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-5-4.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Ahmed Shawky</h4> Web Designer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"584\" height=\"570\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/2-5.png 584w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-300x293.png 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x146.png 150w\" sizes=\"(max-width: 584px) 100vw, 584px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"800\" height=\"870\" src=\"http://kookagency/wp-content/uploads/2022/08/1-6-3.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-6-3.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Hisham Megahed</h4>Founder<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"683\" height=\"1024\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-683x1024.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-683x1024.jpg 683w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-200x300.jpg 200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-150x225.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-300x450.jpg 300w, http://kookagency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3.jpg 700w\" sizes=\"(max-width: 683px) 100vw, 683px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n					<img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/5-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/5-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />                \n					<img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/3-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />                \n					<img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/1-3.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-3.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />                \n					<img width=\"104\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d6bc5f55290b61f24b_paypal-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"118\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60d2876032872b698_python-3-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"94\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60e943760dfd41c9e_xiaomi-1-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"102\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d683b282409e1647be_microsoft-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"119\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d79103d607ae28ea89_bookingcom-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"101\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d62951158751131e7e_1.svg\" alt=\"\" loading=\"lazy\" />                \n			   Relationships <br><b>based on trust.</b>  		\n			<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" x=\"0px\" y=\"0px\" viewBox=\"0 0 509 396.83\" enable-background=\"new 0 0 509 396.83\" xml:space=\"preserve\">\n					<g>\n					    <path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M105.098,396.83c-2.062,0-4.122,0-6.183,0 c0.123-48.731,0.116-97.466,0.493-146.195c0.062-7.844-3.65-8.881-10.09-8.843c-29.772,0.182-59.545,0.047-89.318,0.026 C0,161.382,0,80.947,0,0c81.742,0,163.484,0,245.227,0c0.023,83.874,0.496,167.752-0.071,251.624 c-0.436,64.131-47.354,121.936-109.503,136.974C125.404,391.076,115.279,394.073,105.098,396.83z M127.891,360.509 c6.063-1.545,10.049-2.226,13.799-3.568c42.174-15.098,74.277-58.896,74.735-104.55c0.718-71.273,0.187-142.558,0.454-213.837 c0.03-7.696-2.596-10.07-10.136-10.038c-55.961,0.236-111.927,0.287-167.887-0.042c-8.413-0.049-10.398,3.014-10.363,10.831 c0.254,54.408,0.317,108.815-0.047,163.22c-0.061,8.994,3.321,10.93,11.452,10.803c25.744-0.405,51.505,0.184,77.245-0.329 c8.78-0.174,10.986,2.931,10.911,11.301c-0.363,40.63-0.164,81.264-0.163,121.897C127.891,350.262,127.891,354.325,127.891,360.509 z\"/>\n    					<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M368.871,396.83c-2.061,0-4.122,0-6.184,0 c0.057-48.133-0.099-96.267,0.354-144.395c0.081-8.996-3.268-10.854-11.386-10.722c-26.047,0.42-52.108-0.083-78.152,0.299 c-7.577,0.108-10.083-2.194-10.053-9.942c0.294-77.357,0.262-154.713,0.322-232.07C345.353,0,426.929,0,509,0 c0,89.562,0,179.125,0,268.687c-1.256,3.464-2.793,6.854-3.73,10.401c-15.376,58.112-51.126,95.756-109.9,110.431 C386.48,391.735,377.7,394.382,368.871,396.83z M391.554,360.501c5.951-1.528,9.958-2.176,13.686-3.57 c43.103-16.135,74.464-59.44,74.864-105.611c0.616-70.931,0.138-141.869,0.404-212.803c0.03-7.722-2.58-10.037-10.111-10.005 c-55.963,0.24-111.926,0.285-167.889-0.036c-8.406-0.048-10.429,3.048-10.392,10.853c0.245,54.405,0.31,108.813-0.049,163.216 c-0.059,9.03,3.45,10.9,11.528,10.778c25.741-0.39,51.504,0.193,77.245-0.325c8.785-0.178,10.956,2.917,10.878,11.284 c-0.368,40.629-0.167,81.263-0.165,121.897C391.554,350.25,391.554,354.318,391.554,360.501z\"/> \n					</g>\n				  </svg>            \n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"100\" height=\"100\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5-4.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"100\" height=\"100\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5-4.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n                                                    <svg xmlns=\"http://www.w3.org/2000/svg\"\n                                                        viewBox=\"0 0 24 24\">\n                                                        <g fill=\"none\" stroke-width=\"1\"\n                                                            stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                            <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                        </g>\n                                                    </svg>\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\"\n                                                     height=\"24\" viewBox=\"0 0 24 24\">\n                                                    <g fill=\"none\" stroke-width=\"1\"\n                                                       stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                        <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                    </g>\n                                                </svg>", "Service", "", "publish", "closed", "closed", "", "service", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=10263", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("10264", "1", "2022-09-19 15:16:50", "2022-09-19 15:16:50", "<p>OUR SERVICES </p>		\n			<h1>We are delivering <br>beautiful digital products for you. </h1>		\n			<a href=\"https://dsngrid.com/blackdsn/contact-us/\" data-dsn-text=\"Contact Us\">  Get Started Now </a>		\n		http://theme.dsngrid.com/video/about-us.mp4		\n			  <p>Know us better</p> The good writers touch life often. The mediocre ones run a quick hand over her. The bad ones rape her and leave her for the flies.  		\n			<p>OUR SERVICES	\n</p>		\n			<ul data-dsn-iso=\"4c4e8cd\">    <li >\n		<p>Brand Consulting	\n</p>\n    </li>\n    <li >\n		<p>Marketing Management</p>\n    </li>\n    <li >\n		<p>Customer Insight</p>\n    </li>\n</ul>		\n			  <p>advantages</p> <h2>Let’s Check Our Services\n</h2>  		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>DIGITAL PRODUCTS</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.944,14.012c-4.79,0-9.443,0-14.079,0c-0.452,1.854-1.236,2.1-4.715,1.769  c-1.399-0.134-1.274-1.091-1.086-1.813c0.312-1.194-1.164-3.078,1.064-3.523c3.126-0.625,4.292-0.086,4.752,1.688  c4.629,0,9.276,0,13.868,0c0.118-0.163,0.229-0.245,0.233-0.331c0.09-2.241-0.195-2.33,2.678-2.304  c0.658,0.006,1.317,0.002,1.977,0.001c2.706-0.002,2.706-0.002,3.098,2.574c4.658,0,9.343,0,14.028,0  c0.466-1.725,1.538-2.251,4.723-1.621c2.313,0.458,0.729,2.421,1.086,3.657c0.234,0.809,0.101,1.608-1.242,1.682  c-3.792,0.208-4.104,0.136-4.549-1.773c-4.639,0-9.293,0-13.927,0c-0.084,0.115-0.196,0.196-0.201,0.283  c-0.151,2.852-0.224,2.339-2.926,2.396c-0.933,0.02-1.873-0.059-2.8,0.018c-1.438,0.122-2.06-0.415-1.887-1.776  C21.072,14.691,20.992,14.435,20.944,14.012z M22.922,14.82c1.354,0,2.532,0,3.76,0c0-1.218,0-2.326,0-3.482  c-1.313,0-2.524,0-3.76,0C22.922,12.551,22.922,13.624,22.922,14.82z M2.87,13.928c0.7,0,1.222,0,1.799,0c0-0.619,0-1.152,0-1.81  c-0.681,0.039-1.241,0.071-1.799,0.104C2.87,12.868,2.87,13.322,2.87,13.928z M44.924,14.051c0.724-0.057,1.244-0.097,1.8-0.141  c0-0.62,0-1.11,0-1.667c-0.65,0-1.208,0-1.8,0C44.924,12.848,44.924,13.344,44.924,14.051z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.02,36.725c0.056-4.04-0.59-3.539,3.75-3.533  c4.271,0.006,3.804-0.574,3.787,3.667c-0.017,4.106,0.509,3.49-3.765,3.521C1.019,40.406,1.019,40.385,1.02,36.725z M6.617,38.565  c0-1.231,0-2.34,0-3.511c-1.272,0-2.45,0-3.699,0c0,1.21,0,2.318,0,3.511C4.168,38.565,5.308,38.565,6.617,38.565z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48.61,36.829c-0.063,4.104,0.604,3.548-3.725,3.545  c-4.384-0.005-3.819,0.6-3.825-3.618c-0.005-4.118-0.47-3.565,3.739-3.564C49.19,33.191,48.553,32.618,48.61,36.829z M42.997,38.54  c1.304,0,2.48,0,3.705,0c0-1.218,0-2.325,0-3.477c-1.287,0-2.464,0-3.705,0C42.997,36.242,42.997,37.313,42.997,38.54z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.907,30.129c0.707-4.828,2.875-8.57,6.166-11.771  c0.722-0.703,1.485-1.393,2.334-1.945c0.389-0.254,1.032-0.162,1.56-0.227c-0.164,0.507-0.158,1.205-0.519,1.491  c-3.182,2.508-5.611,5.502-6.952,9.222c-0.351,0.972-0.454,2.024-0.816,2.99c-0.182,0.484-0.693,0.857-1.055,1.282  C4.338,30.754,4.049,30.335,3.907,30.129z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M45.727,30.116c-0.137,0.204-0.422,0.629-0.708,1.055  c-0.359-0.42-0.962-0.804-1.04-1.267c-0.854-5.004-3.428-8.997-7.643-12.118c-0.414-0.307-0.467-1.046-0.688-1.585  c0.575,0.087,1.295-0.005,1.704,0.287C42.037,19.831,44.871,24.229,45.727,30.116z\"></path></g></svg><h4>UI-UX DESIGN</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<h5>200+</h5>		\n			<h4>\nTeam Members	\n</h4>		\n			<p>A diverse and global community of independent thinkers make up our inclusive workplace.</p>		\n			<h5>60+</h5>		\n			<h4>\nPortfolio Managers	\n</h4>		\n			<p>A diverse and global community of independent thinkers make up our inclusive workplace.</p>		\n			<h5>7+</h5>		\n			<h4>Offices</h4>		\n			<p>A diverse and global community of independent thinkers make up our inclusive workplace.</p>		\n	<img width=\"1200\" height=\"1799\" src=\"http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-200x300.jpg 200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-683x1024.jpg 683w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-768x1151.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-1025x1536.jpg 1025w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-150x225.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-880x1319.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-300x450.jpg 300w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" />\n			<h6>We have been doing projects since 2008.</h6>		\n			<p>Founded\n in\n 2000,\n Dsn\n Grid\n has\n become\n one\n of\n the\n best\n Digital\n Agency\n in\n ThemeForest.\n Blue\n money\n going\n forward,\n but\n deploy\n to\n production.\n </p>		\n					1\n					<h6 role=\"tab\" data-tab=\"0\">Our Vision</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					2\n					<h6 role=\"tab\" data-tab=\"1\">Our goals</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					3\n					<h6 role=\"tab\" data-tab=\"2\">Our Mission</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n			  <p>\nOur Team </p> <h2>The best team ever!</h2>  		\n			<img width=\"800\" height=\"870\" src=\"http://kookagency/wp-content/uploads/2022/08/3-5-4.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-5-4.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Ahmed Shawky</h4> Web Designer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Fb</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">In</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"584\" height=\"570\" src=\"http://kookagency/wp-content/uploads/2022/08/2-5.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/2-5.png 584w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-300x293.png 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x146.png 150w\" sizes=\"(max-width: 584px) 100vw, 584px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Fb</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">In</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"800\" height=\"870\" src=\"http://kookagency/wp-content/uploads/2022/08/1-6-3.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-6-3.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Hisham Megahed</h4>Founder<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Fb</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">In</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			  <p>Our Clients</p> <h2>\nThey trust us\n</h2>  		\n			<img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/1-3.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/1-3.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/2-1-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/2-1-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/3-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/3-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/4-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/4-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/5-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/5-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"http://kookagency/wp-content/uploads/2022/08/6-4.png\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2022/08/6-4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />", "Service Corporate", "", "publish", "closed", "closed", "", "service-corporate", "", "", "2023-05-30 10:38:53", "2023-05-30 08:38:53", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&#038;p=10264", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("5571", "1", "2022-08-28 00:36:45", "2022-08-27 01:39:33", " ", "", "", "publish", "closed", "closed", "", "5571", "", "", "2022-08-28 00:36:45", "2022-08-27 01:39:33", "", "0", "https://dsngrid.com/blackdsn/?p=5571", "10", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("5708", "1", "2022-08-28 00:36:45", "2022-08-28 00:36:45", " ", "", "", "publish", "closed", "closed", "", "5708", "", "", "2022-08-28 00:36:45", "2022-08-28 00:36:45", "", "0", "https://dsngrid.com/blackdsn/?p=5708", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("10675", "1", "2023-05-30 11:39:37", "2022-09-21 12:57:31", " ", "", "", "publish", "closed", "closed", "", "10675", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "https://dsngrid.com/blackdsn/?p=10675", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("10679", "1", "2023-05-30 11:39:37", "2022-09-21 12:57:31", " ", "", "", "publish", "closed", "closed", "", "10679", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "https://dsngrid.com/blackdsn/?p=10679", "9", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12003", "1", "2023-05-30 12:11:06", "2023-05-30 10:11:06", "", "IMG_9580", "", "inherit", "open", "closed", "", "img_9580", "", "", "2023-05-30 12:11:06", "2023-05-30 10:11:06", "", "10485", "http://kookagency/wp-content/uploads/2023/05/IMG_9580-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12004", "1", "2023-05-30 12:12:11", "2023-05-30 10:12:11", "", "impronta_restaurant (1)", "", "inherit", "open", "closed", "", "impronta_restaurant-1", "", "", "2023-05-30 12:12:11", "2023-05-30 10:12:11", "", "10485", "http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12005", "1", "2023-05-30 12:12:32", "2023-05-30 10:12:32", "", "thank-me_after-min (1)", "", "inherit", "open", "closed", "", "thank-me_after-min-1", "", "", "2023-05-30 12:12:32", "2023-05-30 10:12:32", "", "10485", "http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("11130", "1", "2019-01-16 13:01:52", "2019-01-16 13:01:52", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Beanie", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "publish", "open", "closed", "", "beanie", "", "", "2019-01-16 13:01:52", "2019-01-16 13:01:52", "", "0", "https://woocommercecore.mystagingwebsite.com/product/beanie/", "1", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11138", "1", "2019-01-16 13:01:54", "2019-01-16 13:01:54", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.", "Diagonal Textured Cap", "This is a simple, virtual product.", "publish", "open", "closed", "", "album", "", "", "2019-01-16 13:01:54", "2019-01-16 13:01:54", "", "0", "https://woocommercecore.mystagingwebsite.com/product/album/", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11146", "1", "2019-01-16 13:01:55", "2019-01-16 13:01:55", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "T-Shirt with Logo", "This is a simple product.", "publish", "open", "closed", "", "t-shirt-with-logo", "", "", "2019-01-16 13:01:55", "2019-01-16 13:01:55", "", "0", "https://woocommercecore.mystagingwebsite.com/product/t-shirt-with-logo/", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11794", "1", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "V-Neck T-Shirt", "This is a variable product.", "publish", "open", "closed", "", "v-neck-t-shirt-2", "", "", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11172", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11795", "1", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie", "This is a variable product.", "publish", "open", "closed", "", "hoodie-2", "", "", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11173", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11796", "1", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie with Logo", "This is a simple product.", "publish", "open", "closed", "", "hoodie-with-logo-2", "", "", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11174", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11797", "1", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "T-Shirt", "This is a simple product.", "publish", "open", "closed", "", "t-shirt-2", "", "", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11175", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11798", "1", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Basic Flowing Scarf", "This is a simple product.", "publish", "open", "closed", "", "beanie-2", "", "", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11176", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11799", "1", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Belt", "This is a simple product.", "publish", "open", "closed", "", "belt-2", "", "", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11177", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11800", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Cap", "This is a simple product.", "publish", "open", "closed", "", "cap-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11178", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11801", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Sunglasses", "This is a simple product.", "publish", "open", "closed", "", "sunglasses-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11179", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11802", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie with Pocket", "This is a simple product.", "publish", "open", "closed", "", "hoodie-with-pocket-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11180", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11803", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie with Zipper", "This is a simple product.", "publish", "open", "closed", "", "hoodie-with-zipper-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11181", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11804", "1", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Long Sleeve Tee", "This is a simple product.", "publish", "open", "closed", "", "long-sleeve-tee-2", "", "", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11182", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11805", "1", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Polo", "This is a simple product.", "publish", "open", "closed", "", "polo-2", "", "", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11183", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11806", "1", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.", "Ankle Boots", "This is a simple, virtual product.", "publish", "open", "closed", "", "album-2", "", "", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11184", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11807", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.", "Single", "This is a simple, virtual product.", "publish", "open", "closed", "", "single-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11185", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11808", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "V-Neck T-Shirt - red", "pa_color: red", "publish", "closed", "closed", "", "v-neck-t-shirt-red-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "11794", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11186", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11809", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "V-Neck T-Shirt - green", "pa_color: green", "publish", "closed", "closed", "", "v-neck-t-shirt-green-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "11794", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11187", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11810", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "V-Neck T-Shirt - blue", "pa_color: blue", "publish", "closed", "closed", "", "v-neck-t-shirt-blue-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "11794", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11188", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11811", "1", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "Hoodie - red, No", "pa_color: red, Logo: No", "publish", "closed", "closed", "", "hoodie-red-no-2", "", "", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "11795", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11189", "1", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11812", "1", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Beanie with Logo", "This is a simple product.", "publish", "open", "closed", "", "beanie-with-logo-2", "", "", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11193", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11813", "1", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Biker Jacket", "This is an external product.", "publish", "open", "closed", "", "wordpress-pennant-2", "", "", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11195", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11814", "1", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "Hoodie - green, No", "pa_color: green, Logo: No", "publish", "closed", "closed", "", "hoodie-green-no-2", "", "", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "11795", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11190", "2", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11815", "1", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "", "Hoodie - blue, No", "pa_color: blue, Logo: No", "publish", "closed", "closed", "", "hoodie-blue-no-2", "", "", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "", "11795", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11191", "3", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11816", "1", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "", "Hoodie - blue, Yes", "pa_color: blue, Logo: Yes", "publish", "closed", "closed", "", "hoodie-blue-yes-2", "", "", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "", "11795", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11196", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11832", "1", "2023-05-30 10:39:17", "2023-05-30 08:39:17", "", "Theme Demo Import - log_file_2023-05-30__08-39-17", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-05-30__08-39-17", "", "", "2023-05-30 10:39:17", "2023-05-30 08:39:17", "", "0", "http://kookagency/wp-content/uploads/2023/05/log_file_2023-05-30__08-39-17.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("11839", "1", "2022-08-13 18:13:58", "2022-08-13 18:13:58", "<h2>Let’s work</h2>		\n			<a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  Get in touch </a>		\n			<h2> together</h2>		\n			<p>© 2021 Arctit Crafted by <a href=\"#\" target=\"_blank\" rel=\"noopener\">Dsn Grid.</a>\n                                </p>		\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">Twitter</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LinkIn</a></li>\n</ul>", "Footer Creative 2", "", "publish", "closed", "closed", "", "footer-creative-2-2", "", "", "2022-08-13 18:13:58", "2022-08-13 18:13:58", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=3365", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11840", "1", "2022-08-25 17:55:12", "2022-08-25 17:55:12", "<h2>LET\'S BUILD  SOMETHING \n <b><i>AMAZING </i></b>TOGETHER\n</h2>		\n			<a href=\"https://dsngrid.com/blackdsn/work-card-3/\" data-dsn-text=\"OUR PORTFOLIO\">  START A PROJECT </a>		\n	<a href=\"https://dsngrid.com/blackdsn/\" data-dsn-text=\"Blackdsn\"  rel=\"home\" ><img width=\"211\" height=\"60\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /><img width=\"211\" height=\"60\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /></a>\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<p>\n© 2022 Digital Agency Designed by\n <a href=\"#0\" data-hover-text=\"DSN Grid\" target=\"_blank\" rel=\"noopener\">DSN Grid</a>\n</p>", "Blackdsn Footer", "", "publish", "closed", "closed", "", "blackdsn-footer-2", "", "", "2022-08-25 17:55:12", "2022-08-25 17:55:12", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=5404", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11841", "1", "2022-09-10 03:30:33", "2022-09-10 03:30:33", "<a href=\"https://dsngrid.com/blackdsn/\" data-dsn-text=\"Blackdsn\"  rel=\"home\" ><img width=\"211\" height=\"60\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /><img width=\"211\" height=\"60\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1.png\" alt=\"Blackdsn\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1.png 211w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-1-150x43.png 150w\" sizes=\"(max-width: 211px) 100vw, 211px\" /></a>\n<ul>\n	<li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>\n			<p>\n© 2022 Digital Agency Designed by\n <a href=\"#0\" data-hover-text=\"DSN Grid\" target=\"_blank\" rel=\"noopener\">DSN Grid</a>\n</p>", "personal footer", "", "publish", "closed", "closed", "", "personal-footer-2", "", "", "2022-09-10 03:30:33", "2022-09-10 03:30:33", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=6504", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11842", "1", "2022-09-18 04:23:59", "2022-09-18 04:23:59", "<h5> ULTIMATE MULTI-PURPOSEWORDPRESS THEME</h5>		\n			<h4>Purchase The Blackdsn Theme<br><b>Now &amp; Make Everything Easier!</b></h4>		\n			<p>We promise you’ll be blown away by all features and designs what blckdsn offers. We’ll continue to update and upgrade blackdsn with new designs and features.</p>		\n			<a href=\"https://themeforest.net/item/blackdsn-creative-ajax-portfolio-wordpress-theme/39469693\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  Purchase Blackdsn </a>", "Footer Preview", "", "publish", "closed", "closed", "", "footer-preview-2", "", "", "2022-09-18 04:23:59", "2022-09-18 04:23:59", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10155", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11843", "1", "2022-09-19 14:57:41", "2022-09-19 14:57:41", "<h1>Digital Agency That <br>Thrives on Your Success</h1>		\n			<p>If you are looking for an agency to help you create a remarkable presence online, you’ve come to the right place. We can help you take your business to the next level.</p>		\n			<a href=\"https://dsngrid.com/blackdsn/contact-us/\" data-dsn-text=\"Contact Us\">  Get Started Now </a>		\n	<img width=\"1920\" height=\"1080\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg\" alt=\"\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />\n			<h3>Help Millions To Bring <br>There Creative Projects To Life </h3>		\n			<p>We were thoughtful about presenting these in a way where we could also tell the story of the individual.. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.</p>		\n			  <p>advantages</p> <h2>Let’s Check Our Services\n</h2>  		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>DIGITAL PRODUCTS</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.944,14.012c-4.79,0-9.443,0-14.079,0c-0.452,1.854-1.236,2.1-4.715,1.769  c-1.399-0.134-1.274-1.091-1.086-1.813c0.312-1.194-1.164-3.078,1.064-3.523c3.126-0.625,4.292-0.086,4.752,1.688  c4.629,0,9.276,0,13.868,0c0.118-0.163,0.229-0.245,0.233-0.331c0.09-2.241-0.195-2.33,2.678-2.304  c0.658,0.006,1.317,0.002,1.977,0.001c2.706-0.002,2.706-0.002,3.098,2.574c4.658,0,9.343,0,14.028,0  c0.466-1.725,1.538-2.251,4.723-1.621c2.313,0.458,0.729,2.421,1.086,3.657c0.234,0.809,0.101,1.608-1.242,1.682  c-3.792,0.208-4.104,0.136-4.549-1.773c-4.639,0-9.293,0-13.927,0c-0.084,0.115-0.196,0.196-0.201,0.283  c-0.151,2.852-0.224,2.339-2.926,2.396c-0.933,0.02-1.873-0.059-2.8,0.018c-1.438,0.122-2.06-0.415-1.887-1.776  C21.072,14.691,20.992,14.435,20.944,14.012z M22.922,14.82c1.354,0,2.532,0,3.76,0c0-1.218,0-2.326,0-3.482  c-1.313,0-2.524,0-3.76,0C22.922,12.551,22.922,13.624,22.922,14.82z M2.87,13.928c0.7,0,1.222,0,1.799,0c0-0.619,0-1.152,0-1.81  c-0.681,0.039-1.241,0.071-1.799,0.104C2.87,12.868,2.87,13.322,2.87,13.928z M44.924,14.051c0.724-0.057,1.244-0.097,1.8-0.141  c0-0.62,0-1.11,0-1.667c-0.65,0-1.208,0-1.8,0C44.924,12.848,44.924,13.344,44.924,14.051z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.02,36.725c0.056-4.04-0.59-3.539,3.75-3.533  c4.271,0.006,3.804-0.574,3.787,3.667c-0.017,4.106,0.509,3.49-3.765,3.521C1.019,40.406,1.019,40.385,1.02,36.725z M6.617,38.565  c0-1.231,0-2.34,0-3.511c-1.272,0-2.45,0-3.699,0c0,1.21,0,2.318,0,3.511C4.168,38.565,5.308,38.565,6.617,38.565z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48.61,36.829c-0.063,4.104,0.604,3.548-3.725,3.545  c-4.384-0.005-3.819,0.6-3.825-3.618c-0.005-4.118-0.47-3.565,3.739-3.564C49.19,33.191,48.553,32.618,48.61,36.829z M42.997,38.54  c1.304,0,2.48,0,3.705,0c0-1.218,0-2.325,0-3.477c-1.287,0-2.464,0-3.705,0C42.997,36.242,42.997,37.313,42.997,38.54z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.907,30.129c0.707-4.828,2.875-8.57,6.166-11.771  c0.722-0.703,1.485-1.393,2.334-1.945c0.389-0.254,1.032-0.162,1.56-0.227c-0.164,0.507-0.158,1.205-0.519,1.491  c-3.182,2.508-5.611,5.502-6.952,9.222c-0.351,0.972-0.454,2.024-0.816,2.99c-0.182,0.484-0.693,0.857-1.055,1.282  C4.338,30.754,4.049,30.335,3.907,30.129z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M45.727,30.116c-0.137,0.204-0.422,0.629-0.708,1.055  c-0.359-0.42-0.962-0.804-1.04-1.267c-0.854-5.004-3.428-8.997-7.643-12.118c-0.414-0.307-0.467-1.046-0.688-1.585  c0.575,0.087,1.295-0.005,1.704,0.287C42.037,19.831,44.871,24.229,45.727,30.116z\"></path></g></svg><h4>UI-UX DESIGN</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.944,14.012c-4.79,0-9.443,0-14.079,0c-0.452,1.854-1.236,2.1-4.715,1.769  c-1.399-0.134-1.274-1.091-1.086-1.813c0.312-1.194-1.164-3.078,1.064-3.523c3.126-0.625,4.292-0.086,4.752,1.688  c4.629,0,9.276,0,13.868,0c0.118-0.163,0.229-0.245,0.233-0.331c0.09-2.241-0.195-2.33,2.678-2.304  c0.658,0.006,1.317,0.002,1.977,0.001c2.706-0.002,2.706-0.002,3.098,2.574c4.658,0,9.343,0,14.028,0  c0.466-1.725,1.538-2.251,4.723-1.621c2.313,0.458,0.729,2.421,1.086,3.657c0.234,0.809,0.101,1.608-1.242,1.682  c-3.792,0.208-4.104,0.136-4.549-1.773c-4.639,0-9.293,0-13.927,0c-0.084,0.115-0.196,0.196-0.201,0.283  c-0.151,2.852-0.224,2.339-2.926,2.396c-0.933,0.02-1.873-0.059-2.8,0.018c-1.438,0.122-2.06-0.415-1.887-1.776  C21.072,14.691,20.992,14.435,20.944,14.012z M22.922,14.82c1.354,0,2.532,0,3.76,0c0-1.218,0-2.326,0-3.482  c-1.313,0-2.524,0-3.76,0C22.922,12.551,22.922,13.624,22.922,14.82z M2.87,13.928c0.7,0,1.222,0,1.799,0c0-0.619,0-1.152,0-1.81  c-0.681,0.039-1.241,0.071-1.799,0.104C2.87,12.868,2.87,13.322,2.87,13.928z M44.924,14.051c0.724-0.057,1.244-0.097,1.8-0.141  c0-0.62,0-1.11,0-1.667c-0.65,0-1.208,0-1.8,0C44.924,12.848,44.924,13.344,44.924,14.051z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.02,36.725c0.056-4.04-0.59-3.539,3.75-3.533  c4.271,0.006,3.804-0.574,3.787,3.667c-0.017,4.106,0.509,3.49-3.765,3.521C1.019,40.406,1.019,40.385,1.02,36.725z M6.617,38.565  c0-1.231,0-2.34,0-3.511c-1.272,0-2.45,0-3.699,0c0,1.21,0,2.318,0,3.511C4.168,38.565,5.308,38.565,6.617,38.565z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48.61,36.829c-0.063,4.104,0.604,3.548-3.725,3.545  c-4.384-0.005-3.819,0.6-3.825-3.618c-0.005-4.118-0.47-3.565,3.739-3.564C49.19,33.191,48.553,32.618,48.61,36.829z M42.997,38.54  c1.304,0,2.48,0,3.705,0c0-1.218,0-2.325,0-3.477c-1.287,0-2.464,0-3.705,0C42.997,36.242,42.997,37.313,42.997,38.54z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.907,30.129c0.707-4.828,2.875-8.57,6.166-11.771  c0.722-0.703,1.485-1.393,2.334-1.945c0.389-0.254,1.032-0.162,1.56-0.227c-0.164,0.507-0.158,1.205-0.519,1.491  c-3.182,2.508-5.611,5.502-6.952,9.222c-0.351,0.972-0.454,2.024-0.816,2.99c-0.182,0.484-0.693,0.857-1.055,1.282  C4.338,30.754,4.049,30.335,3.907,30.129z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M45.727,30.116c-0.137,0.204-0.422,0.629-0.708,1.055  c-0.359-0.42-0.962-0.804-1.04-1.267c-0.854-5.004-3.428-8.997-7.643-12.118c-0.414-0.307-0.467-1.046-0.688-1.585  c0.575,0.087,1.295-0.005,1.704,0.287C42.037,19.831,44.871,24.229,45.727,30.116z\"></path></g></svg><h4>UI-UX DESIGN</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>DIGITAL PRODUCTS</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			  <p>\nOur Team </p> <h2>The best team ever!</h2>  		\n			<img width=\"800\" height=\"870\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Ahmed Shawky</h4> Web Designer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"584\" height=\"570\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png 584w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-300x293.png 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x146.png 150w\" sizes=\"(max-width: 584px) 100vw, 584px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"800\" height=\"870\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Hisham Megahed</h4>Founder<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			  <p>testimonials</p> <h2>What People are Saying</h2>  		\n			<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" x=\"0px\" y=\"0px\" viewBox=\"0 0 509 396.83\" enable-background=\"new 0 0 509 396.83\" xml:space=\"preserve\">\n					<g>\n					    <path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M105.098,396.83c-2.062,0-4.122,0-6.183,0 c0.123-48.731,0.116-97.466,0.493-146.195c0.062-7.844-3.65-8.881-10.09-8.843c-29.772,0.182-59.545,0.047-89.318,0.026 C0,161.382,0,80.947,0,0c81.742,0,163.484,0,245.227,0c0.023,83.874,0.496,167.752-0.071,251.624 c-0.436,64.131-47.354,121.936-109.503,136.974C125.404,391.076,115.279,394.073,105.098,396.83z M127.891,360.509 c6.063-1.545,10.049-2.226,13.799-3.568c42.174-15.098,74.277-58.896,74.735-104.55c0.718-71.273,0.187-142.558,0.454-213.837 c0.03-7.696-2.596-10.07-10.136-10.038c-55.961,0.236-111.927,0.287-167.887-0.042c-8.413-0.049-10.398,3.014-10.363,10.831 c0.254,54.408,0.317,108.815-0.047,163.22c-0.061,8.994,3.321,10.93,11.452,10.803c25.744-0.405,51.505,0.184,77.245-0.329 c8.78-0.174,10.986,2.931,10.911,11.301c-0.363,40.63-0.164,81.264-0.163,121.897C127.891,350.262,127.891,354.325,127.891,360.509 z\"/>\n    					<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M368.871,396.83c-2.061,0-4.122,0-6.184,0 c0.057-48.133-0.099-96.267,0.354-144.395c0.081-8.996-3.268-10.854-11.386-10.722c-26.047,0.42-52.108-0.083-78.152,0.299 c-7.577,0.108-10.083-2.194-10.053-9.942c0.294-77.357,0.262-154.713,0.322-232.07C345.353,0,426.929,0,509,0 c0,89.562,0,179.125,0,268.687c-1.256,3.464-2.793,6.854-3.73,10.401c-15.376,58.112-51.126,95.756-109.9,110.431 C386.48,391.735,377.7,394.382,368.871,396.83z M391.554,360.501c5.951-1.528,9.958-2.176,13.686-3.57 c43.103-16.135,74.464-59.44,74.864-105.611c0.616-70.931,0.138-141.869,0.404-212.803c0.03-7.722-2.58-10.037-10.111-10.005 c-55.963,0.24-111.926,0.285-167.889-0.036c-8.406-0.048-10.429,3.048-10.392,10.853c0.245,54.405,0.31,108.813-0.049,163.216 c-0.059,9.03,3.45,10.9,11.528,10.778c25.741-0.39,51.504,0.193,77.245-0.325c8.785-0.178,10.956,2.917,10.878,11.284 c-0.368,40.629-0.167,81.263-0.165,121.897C391.554,350.25,391.554,354.318,391.554,360.501z\"/> \n					</g>\n				  </svg>            \n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"100\" height=\"100\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts. Also, they provide quick support. Thank you so much for a beautiful theme</p>                                \n										<img width=\"100\" height=\"100\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n                                                    <svg xmlns=\"http://www.w3.org/2000/svg\"\n                                                        viewBox=\"0 0 24 24\">\n                                                        <g fill=\"none\" stroke-width=\"1\"\n                                                            stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                            <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                        </g>\n                                                    </svg>\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\"\n                                                     height=\"24\" viewBox=\"0 0 24 24\">\n                                                    <g fill=\"none\" stroke-width=\"1\"\n                                                       stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                        <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                    </g>\n                                                </svg>\n			  <p>Our Clients</p> <h2>Your successful, <br>our reputation</h2>  		\n			<img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />", "About Us", "", "publish", "closed", "closed", "", "about-us-2", "", "", "2022-09-19 14:57:41", "2022-09-19 14:57:41", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10228", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11844", "1", "2022-09-19 15:00:41", "2022-09-19 15:00:41", "<article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\"\n   title=\"HEADPHONES\">\n	<img width=\"1920\" height=\"1080\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\">HEADPHONES</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"HEADPHONES\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\"\n   title=\"DOG CHOW\">\n	<img width=\"1800\" height=\"1200\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg 1800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1536x1024.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-880x587.jpg 880w\" sizes=\"(max-width: 1800px) 100vw, 1800px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\">DOG CHOW</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"DOG CHOW\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\"\n   title=\"OPEN RUN\">\n	<img width=\"1920\" height=\"1405\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-300x220.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1024x749.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-768x562.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1536x1124.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1200x878.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-150x110.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-880x644.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\">OPEN RUN</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"OPEN RUN\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\"\n   title=\"AUDI RS\">\n	<img width=\"1500\" height=\"1000\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg 1500w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-880x587.jpg 880w\" sizes=\"(max-width: 1500px) 100vw, 1500px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\">AUDI RS</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"AUDI RS\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\"\n   title=\"MEN FASHION\">\n	<img width=\"1400\" height=\"1886\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg 1400w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-223x300.jpg 223w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-760x1024.jpg 760w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-768x1035.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1140x1536.jpg 1140w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1200x1617.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-150x202.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-880x1185.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-300x404.jpg 300w\" sizes=\"(max-width: 1400px) 100vw, 1400px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\">MEN FASHION</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"MEN FASHION\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\"\n   title=\"VISIONAID\">\n	<img width=\"2560\" height=\"1440\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-scaled.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-scaled.jpg 2560w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2048x1152.jpg 2048w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-880x495.jpg 880w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/creative/\" title=\"View All Posts in \">CREATIVE</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\">VISIONAID</a></h2>                    \n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"VISIONAID\">\n    <svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\">\n        <path\n              d=\"M21.883 12l-7.527 6.235.644.765 9-7.521-9-7.479-.645.764 7.529 6.236h-21.884v1h21.883z\"/>\n    </svg>\n</a>\n        </article>", "Carousel Portfolio 1", "", "publish", "closed", "closed", "", "carousel-portfolio-1-2", "", "", "2022-09-19 15:00:41", "2022-09-19 15:00:41", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10237", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11845", "1", "2022-09-19 15:01:18", "2022-09-19 15:01:18", "<article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\">HEADPHONES</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\"\n   title=\"HEADPHONES\">\n	<img width=\"1920\" height=\"1080\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"HEADPHONES\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\">DOG CHOW</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\"\n   title=\"DOG CHOW\">\n	<img width=\"1800\" height=\"1200\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg 1800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1536x1024.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-880x587.jpg 880w\" sizes=\"(max-width: 1800px) 100vw, 1800px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"DOG CHOW\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\">OPEN RUN</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\"\n   title=\"OPEN RUN\">\n	<img width=\"1920\" height=\"1405\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-300x220.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1024x749.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-768x562.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1536x1124.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1200x878.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-150x110.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-880x644.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"OPEN RUN\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\">AUDI RS</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\"\n   title=\"AUDI RS\">\n	<img width=\"1500\" height=\"1000\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg 1500w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-880x587.jpg 880w\" sizes=\"(max-width: 1500px) 100vw, 1500px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"AUDI RS\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\">MEN FASHION</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\"\n   title=\"MEN FASHION\">\n	<img width=\"1400\" height=\"1886\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg 1400w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-223x300.jpg 223w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-760x1024.jpg 760w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-768x1035.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1140x1536.jpg 1140w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1200x1617.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-150x202.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-880x1185.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-300x404.jpg 300w\" sizes=\"(max-width: 1400px) 100vw, 1400px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"MEN FASHION\">\n	View Case\n</a>\n        </article>\n        <article >\n				<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\">VISIONAID</a></h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\"\n   title=\"VISIONAID\">\n	<img width=\"2560\" height=\"1440\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-scaled.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-scaled.jpg 2560w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2048x1152.jpg 2048w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-880x495.jpg 880w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/creative/\" title=\"View All Posts in \">CREATIVE</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n							<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\"\n   data-dsn=\"parallax\"\n   data-dsn-ajax=\"work\" title=\"VISIONAID\">\n	View Case\n</a>\n        </article>", "Carousel Portfolio 2", "", "publish", "closed", "closed", "", "carousel-portfolio-2-2", "", "", "2022-09-19 15:01:18", "2022-09-19 15:01:18", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10240", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11846", "1", "2022-09-19 15:02:23", "2022-09-19 15:02:23", "<article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\"\n   title=\"HEADPHONES\">\n	<img width=\"1920\" height=\"1080\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-5-880x495.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/headphones/\" data-dsn-ajax=\"work\">HEADPHONES</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\"\n   title=\"DOG CHOW\">\n	<img width=\"1800\" height=\"1200\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4.jpg 1800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1536x1024.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-4-880x587.jpg 880w\" sizes=\"(max-width: 1800px) 100vw, 1800px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/dog-chow/\" data-dsn-ajax=\"work\">DOG CHOW</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\"\n   title=\"OPEN RUN\">\n	<img width=\"1920\" height=\"1405\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3.jpg 1920w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-300x220.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1024x749.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-768x562.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1536x1124.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-1200x878.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-150x110.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-3-880x644.jpg 880w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/open-run/\" data-dsn-ajax=\"work\">OPEN RUN</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\"\n   title=\"AUDI RS\">\n	<img width=\"1500\" height=\"1000\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1.jpg 1500w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-300x200.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1024x683.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-768x512.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-1200x800.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-150x100.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-1-880x587.jpg 880w\" sizes=\"(max-width: 1500px) 100vw, 1500px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/production/\" title=\"View All Posts in \">Production</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/audi-rs/\" data-dsn-ajax=\"work\">AUDI RS</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\"\n   title=\"MEN FASHION\">\n	<img width=\"1400\" height=\"1886\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1.jpg 1400w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-223x300.jpg 223w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-760x1024.jpg 760w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-768x1035.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1140x1536.jpg 1140w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-1200x1617.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-150x202.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-880x1185.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1-300x404.jpg 300w\" sizes=\"(max-width: 1400px) 100vw, 1400px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/men-fashion/\" data-dsn-ajax=\"work\">MEN FASHION</a></h2>                    \n        </article>\n        <article >\n				<a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\"\n   title=\"VISIONAID\">\n	<img width=\"2560\" height=\"1440\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-scaled.jpg\" alt=\"\" loading=\"lazy\" data-dsn-position=\"50% 50%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-scaled.jpg 2560w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-300x169.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1024x576.jpg 1024w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-768x432.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1536x864.jpg 1536w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-2048x1152.jpg 2048w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-1200x675.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x84.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-880x495.jpg 880w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></a>\n	<a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/creative/\" title=\"View All Posts in \">CREATIVE</a><a href=\"https://dsngrid.com/blackdsn/dsn-blackdsn-categories/photography/\" title=\"View All Posts in \">Photography</a>\n<h2><a href=\"https://dsngrid.com/blackdsn/blackdsn-portfolio/visionaid/\" data-dsn-ajax=\"work\">VISIONAID</a></h2>                    \n        </article>", "Carousel Portfolio 3", "", "publish", "closed", "closed", "", "carousel-portfolio-3-2", "", "", "2022-09-19 15:02:23", "2022-09-19 15:02:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10243", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11847", "1", "2022-09-19 15:16:15", "2022-09-19 15:16:15", "<p>OUR SERVICES </p>		\n			<h1>We are delivering beautiful <br>digital products for you. </h1>		\n			<a href=\"https://dsngrid.com/blackdsn/about-us/\" data-dsn-text=\"About Us\" data-dsn=\"parallax\">  GET STARTED NOW </a>		\n			   Let’s Check <b>Our Services</b>\n			<ul data-dsn-iso=\"61de78c\">    <li >\n		<p>Brand Consulting	\n</p>\n    </li>\n    <li >\n		<p>Marketing Management</p>\n    </li>\n    <li >\n		<p>Customer Insight</p>\n    </li>\n    <li >\n		<p>Brand Consulting	\n</p>\n    </li>\n    <li >\n		<p>Marketing Management</p>\n    </li>\n    <li >\n		<p>Customer Insight</p>\n    </li>\n</ul>		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>Best Practices from Industry Experts </h4> <p>We’ve designed a culture that allows our stewards to assimilate with our clients and bring.</p> \n			We provide you with\nthe best service <b>in the market</b>		\n			<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, by injected humour. words</p>		\n			<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration, Injected humour words web page editors now use as their.</p>		\n			<p>Default and a search for will uncover many web sites still in their infancy.suffered alteration, by injected humour words web page.</p>		\n			<style>/*! elementor - v3.7.6 - 15-09-2022 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img src=\"//images.unsplash.com/photo-1629904853716-f0bc54eea481?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80\" title=\"\" alt=\"\" />															\n															<img src=\"//images.unsplash.com/photo-1607537669513-8472b5a8f85b?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80\" title=\"\" alt=\"\" />															\n			We have been doing projects <b>since 2008.</b>		\n			<p>Founded\n in\n 2000,\n Dsn\n Grid\n has\n become\n one\n of\n the\n best\n Digital\n Agency\n in\n ThemeForest.\n Blue\n money\n going\n forward,\n but\n deploy\n to\n production.\n </p>		\n					1\n					<h6 role=\"tab\" data-tab=\"0\">Our Vision</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					2\n					<h6 role=\"tab\" data-tab=\"1\">Our goals</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					3\n					<h6 role=\"tab\" data-tab=\"2\">Our Mission</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n			   The best <b>team ever!</b>  		\n			<img width=\"800\" height=\"870\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Ahmed Shawky</h4> Web Designer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"584\" height=\"570\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png 584w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-300x293.png 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x146.png 150w\" sizes=\"(max-width: 584px) 100vw, 584px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"800\" height=\"870\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Hisham Megahed</h4>Founder<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"683\" height=\"1024\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-683x1024.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-683x1024.jpg 683w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-200x300.jpg 200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-150x225.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267-300x450.jpg 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/pexels-rachel-claire-5490267.jpg 700w\" sizes=\"(max-width: 683px) 100vw, 683px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Facebook</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Instagram</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n					<img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />                \n					<img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />                \n					<img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />                \n					<img width=\"104\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d6bc5f55290b61f24b_paypal-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"118\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60d2876032872b698_python-3-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"94\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d60e943760dfd41c9e_xiaomi-1-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"102\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d683b282409e1647be_microsoft-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"119\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d79103d607ae28ea89_bookingcom-logo-svgrepo-com-1.svg\" alt=\"\" loading=\"lazy\" />                \n					<img width=\"101\" height=\"40\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/09/62b0c3d62951158751131e7e_1.svg\" alt=\"\" loading=\"lazy\" />                \n			   Relationships <br><b>based on trust.</b>  		\n			<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" x=\"0px\" y=\"0px\" viewBox=\"0 0 509 396.83\" enable-background=\"new 0 0 509 396.83\" xml:space=\"preserve\">\n					<g>\n					    <path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M105.098,396.83c-2.062,0-4.122,0-6.183,0 c0.123-48.731,0.116-97.466,0.493-146.195c0.062-7.844-3.65-8.881-10.09-8.843c-29.772,0.182-59.545,0.047-89.318,0.026 C0,161.382,0,80.947,0,0c81.742,0,163.484,0,245.227,0c0.023,83.874,0.496,167.752-0.071,251.624 c-0.436,64.131-47.354,121.936-109.503,136.974C125.404,391.076,115.279,394.073,105.098,396.83z M127.891,360.509 c6.063-1.545,10.049-2.226,13.799-3.568c42.174-15.098,74.277-58.896,74.735-104.55c0.718-71.273,0.187-142.558,0.454-213.837 c0.03-7.696-2.596-10.07-10.136-10.038c-55.961,0.236-111.927,0.287-167.887-0.042c-8.413-0.049-10.398,3.014-10.363,10.831 c0.254,54.408,0.317,108.815-0.047,163.22c-0.061,8.994,3.321,10.93,11.452,10.803c25.744-0.405,51.505,0.184,77.245-0.329 c8.78-0.174,10.986,2.931,10.911,11.301c-0.363,40.63-0.164,81.264-0.163,121.897C127.891,350.262,127.891,354.325,127.891,360.509 z\"/>\n    					<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M368.871,396.83c-2.061,0-4.122,0-6.184,0 c0.057-48.133-0.099-96.267,0.354-144.395c0.081-8.996-3.268-10.854-11.386-10.722c-26.047,0.42-52.108-0.083-78.152,0.299 c-7.577,0.108-10.083-2.194-10.053-9.942c0.294-77.357,0.262-154.713,0.322-232.07C345.353,0,426.929,0,509,0 c0,89.562,0,179.125,0,268.687c-1.256,3.464-2.793,6.854-3.73,10.401c-15.376,58.112-51.126,95.756-109.9,110.431 C386.48,391.735,377.7,394.382,368.871,396.83z M391.554,360.501c5.951-1.528,9.958-2.176,13.686-3.57 c43.103-16.135,74.464-59.44,74.864-105.611c0.616-70.931,0.138-141.869,0.404-212.803c0.03-7.722-2.58-10.037-10.111-10.005 c-55.963,0.24-111.926,0.285-167.889-0.036c-8.406-0.048-10.429,3.048-10.392,10.853c0.245,54.405,0.31,108.813-0.049,163.216 c-0.059,9.03,3.45,10.9,11.528,10.778c25.741-0.39,51.504,0.193,77.245-0.325c8.785-0.178,10.956,2.917,10.878,11.284 c-0.368,40.629-0.167,81.263-0.165,121.897C391.554,350.25,391.554,354.318,391.554,360.501z\"/> \n					</g>\n				  </svg>            \n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x150.png\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"150\" height=\"150\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x150.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n							<img width=\"100\" height=\"100\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\" alt=\"\" loading=\"lazy\" />                            \n									<p>This theme is awesome and the designer is very helpful. I had a few questions purchase. He/She helped me with all the doubts.</p>                                \n										<img width=\"100\" height=\"100\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-5.jpg\" alt=\"\" loading=\"lazy\" /><h4>MTL Graphic</h4><h5>Graphic Design</h5>\n                                                    <svg xmlns=\"http://www.w3.org/2000/svg\"\n                                                        viewBox=\"0 0 24 24\">\n                                                        <g fill=\"none\" stroke-width=\"1\"\n                                                            stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                            <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                        </g>\n                                                    </svg>\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"24\"\n                                                     height=\"24\" viewBox=\"0 0 24 24\">\n                                                    <g fill=\"none\" stroke-width=\"1\"\n                                                       stroke-linejoin=\"round\" stroke-miterlimit=\"10\">\n                                                        <circle cx=\"12\" cy=\"12\" r=\"10.5\"></circle>\n                                                    </g>\n                                                </svg>", "Service", "", "publish", "closed", "closed", "", "service-2", "", "", "2022-09-19 15:16:15", "2022-09-19 15:16:15", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10263", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11848", "1", "2022-09-19 15:16:50", "2022-09-19 15:16:50", "<p>OUR SERVICES </p>		\n			<h1>We are delivering <br>beautiful digital products for you. </h1>		\n			<a href=\"https://dsngrid.com/blackdsn/contact-us/\" data-dsn-text=\"Contact Us\">  Get Started Now </a>		\n		http://theme.dsngrid.com/video/about-us.mp4		\n			  <p>Know us better</p> The good writers touch life often. The mediocre ones run a quick hand over her. The bad ones rape her and leave her for the flies.  		\n			<p>OUR SERVICES	\n</p>		\n			<ul data-dsn-iso=\"4c4e8cd\">    <li >\n		<p>Brand Consulting	\n</p>\n    </li>\n    <li >\n		<p>Marketing Management</p>\n    </li>\n    <li >\n		<p>Customer Insight</p>\n    </li>\n</ul>		\n			  <p>advantages</p> <h2>Let’s Check Our Services\n</h2>  		\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>DIGITAL PRODUCTS</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M25.515,27.051c-0.371-0.159-0.756-0.298-1.117-0.483  c-6.626-3.398-13.254-6.794-19.865-10.221c-0.416-0.215-1.031-0.76-0.972-1.019c0.102-0.446,0.593-0.919,1.04-1.152  c6.651-3.461,13.312-6.904,20.007-10.279c0.516-0.259,1.414-0.177,1.955,0.099c3.589,1.828,7.11,3.788,10.689,5.634  c3.028,1.562,6.114,3.01,9.149,4.558c0.454,0.232,0.77,0.738,1.149,1.116c-0.358,0.331-0.665,0.76-1.082,0.977  c-6.629,3.457-13.272,6.887-19.914,10.319C26.234,26.765,25.895,26.888,25.515,27.051z M44.76,15.372  c-0.513-0.362-0.775-0.596-1.078-0.752c-5.791-2.994-11.577-5.999-17.402-8.927c-0.479-0.24-1.32-0.129-1.835,0.131  c-5.546,2.792-11.063,5.643-16.583,8.488c-0.508,0.262-0.983,0.59-1.696,1.021c6.433,3.309,12.539,6.471,18.68,9.562  c0.432,0.217,1.206,0.052,1.695-0.189c2.922-1.443,5.806-2.963,8.705-4.454C38.347,18.659,41.449,17.07,44.76,15.372z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M6.153,25.292c1.245,0.667,2.225,1.209,3.22,1.722  c5.014,2.583,10.02,5.182,15.065,7.701c0.544,0.272,1.446,0.323,1.973,0.059c5.826-2.926,11.61-5.933,17.403-8.924  c0.257-0.133,0.479-0.329,0.912-0.632c-1.152-0.605-2.191-1.057-3.114-1.681c-0.401-0.271-0.563-0.897-0.833-1.363  c0.501-0.038,1.084-0.26,1.489-0.081c1.456,0.645,2.868,1.395,4.266,2.163c1.333,0.732,1.365,1.37,0.078,2.036  c-6.755,3.495-13.519,6.975-20.308,10.403c-0.455,0.229-1.24,0.185-1.71-0.053c-6.743-3.407-13.462-6.859-20.174-10.326  c-1.297-0.67-1.284-1.349,0.015-2.057c1.454-0.792,2.922-1.563,4.431-2.241c0.35-0.157,0.885,0.097,1.334,0.162  c-0.185,0.413-0.256,0.999-0.575,1.206C8.602,24.052,7.487,24.577,6.153,25.292z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M44.767,35.25c-1.224-0.643-2.298-1.123-3.27-1.759  c-0.362-0.237-0.485-0.838-0.718-1.272c0.493-0.05,1.072-0.29,1.465-0.115c1.51,0.674,2.977,1.452,4.43,2.247  c1.189,0.651,1.184,1.312-0.063,1.957c-6.71,3.476-13.429,6.936-20.176,10.341c-0.502,0.253-1.354,0.251-1.857-0.002  c-6.748-3.402-13.468-6.859-20.181-10.33c-1.246-0.645-1.257-1.307-0.06-1.968c1.496-0.824,3.012-1.618,4.566-2.322  c0.339-0.154,0.877,0.129,1.323,0.211c-0.203,0.407-0.299,0.974-0.627,1.189c-0.968,0.637-2.028,1.135-3.331,1.838  c0.666,0.42,1.023,0.683,1.412,0.884c5.565,2.872,11.125,5.757,16.72,8.57c0.548,0.275,1.453,0.354,1.977,0.091  c5.83-2.921,11.619-5.925,17.416-8.912C44.055,35.763,44.287,35.572,44.767,35.25z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M20.944,14.012c-4.79,0-9.443,0-14.079,0c-0.452,1.854-1.236,2.1-4.715,1.769  c-1.399-0.134-1.274-1.091-1.086-1.813c0.312-1.194-1.164-3.078,1.064-3.523c3.126-0.625,4.292-0.086,4.752,1.688  c4.629,0,9.276,0,13.868,0c0.118-0.163,0.229-0.245,0.233-0.331c0.09-2.241-0.195-2.33,2.678-2.304  c0.658,0.006,1.317,0.002,1.977,0.001c2.706-0.002,2.706-0.002,3.098,2.574c4.658,0,9.343,0,14.028,0  c0.466-1.725,1.538-2.251,4.723-1.621c2.313,0.458,0.729,2.421,1.086,3.657c0.234,0.809,0.101,1.608-1.242,1.682  c-3.792,0.208-4.104,0.136-4.549-1.773c-4.639,0-9.293,0-13.927,0c-0.084,0.115-0.196,0.196-0.201,0.283  c-0.151,2.852-0.224,2.339-2.926,2.396c-0.933,0.02-1.873-0.059-2.8,0.018c-1.438,0.122-2.06-0.415-1.887-1.776  C21.072,14.691,20.992,14.435,20.944,14.012z M22.922,14.82c1.354,0,2.532,0,3.76,0c0-1.218,0-2.326,0-3.482  c-1.313,0-2.524,0-3.76,0C22.922,12.551,22.922,13.624,22.922,14.82z M2.87,13.928c0.7,0,1.222,0,1.799,0c0-0.619,0-1.152,0-1.81  c-0.681,0.039-1.241,0.071-1.799,0.104C2.87,12.868,2.87,13.322,2.87,13.928z M44.924,14.051c0.724-0.057,1.244-0.097,1.8-0.141  c0-0.62,0-1.11,0-1.667c-0.65,0-1.208,0-1.8,0C44.924,12.848,44.924,13.344,44.924,14.051z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M1.02,36.725c0.056-4.04-0.59-3.539,3.75-3.533  c4.271,0.006,3.804-0.574,3.787,3.667c-0.017,4.106,0.509,3.49-3.765,3.521C1.019,40.406,1.019,40.385,1.02,36.725z M6.617,38.565  c0-1.231,0-2.34,0-3.511c-1.272,0-2.45,0-3.699,0c0,1.21,0,2.318,0,3.511C4.168,38.565,5.308,38.565,6.617,38.565z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M48.61,36.829c-0.063,4.104,0.604,3.548-3.725,3.545  c-4.384-0.005-3.819,0.6-3.825-3.618c-0.005-4.118-0.47-3.565,3.739-3.564C49.19,33.191,48.553,32.618,48.61,36.829z M42.997,38.54  c1.304,0,2.48,0,3.705,0c0-1.218,0-2.325,0-3.477c-1.287,0-2.464,0-3.705,0C42.997,36.242,42.997,37.313,42.997,38.54z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.907,30.129c0.707-4.828,2.875-8.57,6.166-11.771  c0.722-0.703,1.485-1.393,2.334-1.945c0.389-0.254,1.032-0.162,1.56-0.227c-0.164,0.507-0.158,1.205-0.519,1.491  c-3.182,2.508-5.611,5.502-6.952,9.222c-0.351,0.972-0.454,2.024-0.816,2.99c-0.182,0.484-0.693,0.857-1.055,1.282  C4.338,30.754,4.049,30.335,3.907,30.129z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M45.727,30.116c-0.137,0.204-0.422,0.629-0.708,1.055  c-0.359-0.42-0.962-0.804-1.04-1.267c-0.854-5.004-3.428-8.997-7.643-12.118c-0.414-0.307-0.467-1.046-0.688-1.585  c0.575,0.087,1.295-0.005,1.704,0.287C42.037,19.831,44.871,24.229,45.727,30.116z\"></path></g></svg><h4>UI-UX DESIGN</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" id=\"Layer_1\" x=\"0px\" y=\"0px\" width=\"50px\" height=\"50px\" viewBox=\"0 0 50 50\" xml:space=\"preserve\"><g>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M18.072,40.553c0-0.932-0.062-1.868,0.013-2.794  c0.146-1.81-0.475-3.234-1.633-4.647c-1.268-1.547-2.404-3.274-3.239-5.089c-2.214-4.811-1.168-9.314,1.994-13.308  c3.294-4.164,7.795-5.363,12.816-4.145c5.08,1.233,8.364,4.637,9.375,9.721c0.67,3.365,0.388,6.819-2.079,9.689  c-0.868,1.011-1.687,2.122-2.249,3.318c-0.621,1.318-1.179,2.764-1.305,4.193c-0.222,2.52-0.048,5.071-0.133,7.605  c-0.068,2.067-2.064,4.004-4.106,4.059c-1.696,0.045-3.395,0.022-5.093,0.01c-2.438-0.018-4.307-1.811-4.394-4.262  c-0.052-1.448-0.009-2.9-0.009-4.351C18.044,40.553,18.058,40.553,18.072,40.553z M29.94,41.686c0-1.752-0.168-3.318,0.051-4.828  c0.194-1.339,0.652-2.706,1.297-3.897c0.728-1.344,1.849-2.469,2.705-3.752c3.775-5.662,2.175-12.419-3.692-15.824  c-4.225-2.452-9.512-1.524-12.7,1.058c-2.954,2.392-5.222,7.669-3.05,12.026c0.78,1.565,1.752,3.034,2.618,4.558  c0.761,1.339,1.444,2.724,2.27,4.019c0.262,0.412,0.863,0.845,1.318,0.856c1.754,0.044,3.512-0.096,5.27-0.13  c0.693-0.015,1.626-0.207,1.623,0.894c-0.003,1.088-0.926,0.904-1.626,0.908c-2.005,0.013-4.01,0.005-6.139,0.005  c0,2.522-0.13,5.002,0.05,7.458c0.103,1.41,0.977,2.499,2.635,2.528c1.346,0.024,2.692,0.075,4.039,0.059  c2.395-0.029,3.558-1.525,3.075-4.293c-2.051,0-4.161,0.048-6.266-0.036c-0.464-0.018-0.91-0.496-1.364-0.763  c0.47-0.281,0.931-0.785,1.412-0.807C25.527,41.633,27.596,41.686,29.94,41.686z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M12.989,10.347c-0.546,0.164-1.233,0.569-1.437,0.398  C10.38,9.76,9.294,8.665,8.257,7.536C8.094,7.359,8.201,6.679,8.414,6.484c0.216-0.197,0.87-0.252,1.07-0.074  c1.073,0.952,2.07,1.99,3.078,3.015C12.695,9.56,12.735,9.785,12.989,10.347z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M37.373,10.994c-0.099-0.492-0.441-1.185-0.246-1.411  c1.004-1.159,2.125-2.219,3.264-3.25c0.158-0.143,0.743-0.042,0.94,0.146c0.202,0.194,0.346,0.792,0.214,0.937  c-1.069,1.167-2.205,2.273-3.336,3.383C38.117,10.89,37.918,10.873,37.373,10.994z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.748,3.132c-0.001,0.618,0.112,1.265-0.041,1.842  c-0.103,0.389-0.58,0.678-0.889,1.013c-0.276-0.315-0.765-0.613-0.792-0.947c-0.096-1.227-0.11-2.473,0.001-3.697  c0.033-0.363,0.578-0.679,0.888-1.017c0.277,0.37,0.69,0.704,0.799,1.119C25.854,1.973,25.749,2.566,25.748,3.132z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M43.725,23.819c-0.406-0.043-0.854,0.003-1.205-0.158  c-0.268-0.123-0.608-0.546-0.565-0.769c0.06-0.315,0.435-0.796,0.692-0.807c1.327-0.057,2.663-0.028,3.989,0.072  c0.305,0.022,0.58,0.445,0.869,0.684c-0.339,0.265-0.655,0.713-1.021,0.758c-0.905,0.11-1.835,0.036-2.755,0.036  C43.728,23.696,43.726,23.758,43.725,23.819z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M3.5,24.01c-0.448-0.367-0.896-0.733-1.343-1.101  c0.493-0.293,0.963-0.779,1.482-0.837c0.958-0.106,1.954-0.026,2.915,0.112c0.416,0.061,0.783,0.457,1.172,0.701  c-0.37,0.255-0.72,0.687-1.113,0.731c-0.962,0.107-1.945,0.035-2.92,0.035C3.629,23.771,3.564,23.89,3.5,24.01z\"></path>	<path fill-rule=\"evenodd\" clip-rule=\"evenodd\" style=\"--dsn-color-icon : var(--heading-color)\" d=\"M25.306,16.083c3.552,0.405,6.106,2.751,6.305,6.291  c0.022,0.39-0.47,0.808-0.723,1.212c-0.27-0.31-0.708-0.583-0.783-0.935c-0.595-2.77-2.146-4.448-5.048-4.813  c-0.33-0.04-0.586-0.662-0.876-1.014C24.64,16.521,25.099,16.218,25.306,16.083z\"></path></g></svg><h4>WEB DEVELOPMENT</h4> <p>Web design encompasses many different skills and disciplines in the production of all web.</p> \n			<h5>200+</h5>		\n			<h4>\nTeam Members	\n</h4>		\n			<p>A diverse and global community of independent thinkers make up our inclusive workplace.</p>		\n			<h5>60+</h5>		\n			<h4>\nPortfolio Managers	\n</h4>		\n			<p>A diverse and global community of independent thinkers make up our inclusive workplace.</p>		\n			<h5>7+</h5>		\n			<h4>Offices</h4>		\n			<p>A diverse and global community of independent thinkers make up our inclusive workplace.</p>		\n	<img width=\"1200\" height=\"1799\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash.jpg\" alt=\"\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash.jpg 1200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-200x300.jpg 200w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-683x1024.jpg 683w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-768x1151.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-1025x1536.jpg 1025w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-150x225.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-880x1319.jpg 880w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-300x450.jpg 300w\" sizes=\"(max-width: 1200px) 100vw, 1200px\" />\n			<h6>We have been doing projects since 2008.</h6>		\n			<p>Founded\n in\n 2000,\n Dsn\n Grid\n has\n become\n one\n of\n the\n best\n Digital\n Agency\n in\n ThemeForest.\n Blue\n money\n going\n forward,\n but\n deploy\n to\n production.\n </p>		\n					1\n					<h6 role=\"tab\" data-tab=\"0\">Our Vision</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					2\n					<h6 role=\"tab\" data-tab=\"1\">Our goals</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n					3\n					<h6 role=\"tab\" data-tab=\"2\">Our Mission</h6>\n					<p>Cepteur sint occaecat cupidatat proident, taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole.</p>                \n			  <p>\nOur Team </p> <h2>The best team ever!</h2>  		\n			<img width=\"800\" height=\"870\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-5-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Ahmed Shawky</h4> Web Designer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Fb</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">In</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"584\" height=\"570\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2.png 584w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-300x293.png 300w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-150x146.png 150w\" sizes=\"(max-width: 584px) 100vw, 584px\" />\n				<h4>Blake Hamilton</h4>Engineer<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Fb</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">In</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			<img width=\"800\" height=\"870\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6.jpg 800w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-276x300.jpg 276w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-768x835.jpg 768w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-150x163.jpg 150w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-6-300x326.jpg 300w\" sizes=\"(max-width: 800px) 100vw, 800px\" />\n				<h4>Hisham Megahed</h4>Founder<ul><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">Fb</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">In</a></li><li ><a href=\"#0\" target=\"_blank\" rel=\"nofollow noopener\">LinkedIn</a></li></ul>            \n			  <p>Our Clients</p> <h2>\nThey trust us\n</h2>  		\n			<img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/2-1-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/3-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/4-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/5-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" /><img width=\"180\" height=\"54\" src=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png\" alt=\"\" loading=\"lazy\" srcset=\"https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6.png 180w, https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/6-150x45.png 150w\" sizes=\"(max-width: 180px) 100vw, 180px\" />", "Service Corporate", "", "publish", "closed", "closed", "", "service-corporate-2", "", "", "2022-09-19 15:16:50", "2022-09-19 15:16:50", "", "0", "https://dsngrid.com/blackdsn/?post_type=elementor_library&amp;p=10264", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("11849", "1", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "V-Neck T-Shirt", "This is a variable product.", "publish", "open", "closed", "", "v-neck-t-shirt-2-2", "", "", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11172", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11850", "1", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie", "This is a variable product.", "publish", "open", "closed", "", "hoodie-2-2", "", "", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11173", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11851", "1", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie with Logo", "This is a simple product.", "publish", "open", "closed", "", "hoodie-with-logo-2-2", "", "", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11174", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11852", "1", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "T-Shirt", "This is a simple product.", "publish", "open", "closed", "", "t-shirt-2-2", "", "", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11175", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11853", "1", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Basic Flowing Scarf", "This is a simple product.", "publish", "open", "closed", "", "beanie-2-2", "", "", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11176", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11854", "1", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Belt", "This is a simple product.", "publish", "open", "closed", "", "belt-2-2", "", "", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11177", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11855", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Cap", "This is a simple product.", "publish", "open", "closed", "", "cap-2-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11178", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11856", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Sunglasses", "This is a simple product.", "publish", "open", "closed", "", "sunglasses-2-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11179", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11857", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie with Pocket", "This is a simple product.", "publish", "open", "closed", "", "hoodie-with-pocket-2-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11180", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11858", "1", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Hoodie with Zipper", "This is a simple product.", "publish", "open", "closed", "", "hoodie-with-zipper-2-2", "", "", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11181", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11859", "1", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Long Sleeve Tee", "This is a simple product.", "publish", "open", "closed", "", "long-sleeve-tee-2-2", "", "", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11182", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11860", "1", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Polo", "This is a simple product.", "publish", "open", "closed", "", "polo-2-2", "", "", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11183", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11861", "1", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.", "Ankle Boots", "This is a simple, virtual product.", "publish", "open", "closed", "", "album-2-2", "", "", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11184", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11862", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sagittis orci ac odio dictum tincidunt. Donec ut metus leo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed luctus, dui eu sagittis sodales, nulla nibh sagittis augue, vel porttitor diam enim non metus. Vestibulum aliquam augue neque. Phasellus tincidunt odio eget ullamcorper efficitur. Cras placerat ut turpis pellentesque vulputate. Nam sed consequat tortor. Curabitur finibus sapien dolor. Ut eleifend tellus nec erat pulvinar dignissim. Nam non arcu purus. Vivamus et massa massa.", "Single", "This is a simple, virtual product.", "publish", "open", "closed", "", "single-2-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11185", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11863", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "V-Neck T-Shirt - red", "pa_color: red", "publish", "closed", "closed", "", "v-neck-t-shirt-red-2-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "11849", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11186", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11864", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "V-Neck T-Shirt - green", "pa_color: green", "publish", "closed", "closed", "", "v-neck-t-shirt-green-2-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "11849", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11187", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11865", "1", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "V-Neck T-Shirt - blue", "pa_color: blue", "publish", "closed", "closed", "", "v-neck-t-shirt-blue-2-2", "", "", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "", "11849", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11188", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11866", "1", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "Hoodie - red, No", "pa_color: red, Logo: No", "publish", "closed", "closed", "", "hoodie-red-no-2-2", "", "", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "11850", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11189", "1", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11867", "1", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Beanie with Logo", "This is a simple product.", "publish", "open", "closed", "", "beanie-with-logo-2-2", "", "", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11193", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11868", "1", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.", "Biker Jacket", "This is an external product.", "publish", "open", "closed", "", "wordpress-pennant-2-2", "", "", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "", "0", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11195", "0", "product", "", "0");
INSERT INTO `wp_posts` VALUES("11869", "1", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "Hoodie - green, No", "pa_color: green, Logo: No", "publish", "closed", "closed", "", "hoodie-green-no-2-2", "", "", "2022-10-11 22:23:28", "2022-10-11 22:23:28", "", "11850", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11190", "2", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11870", "1", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "", "Hoodie - blue, No", "pa_color: blue, Logo: No", "publish", "closed", "closed", "", "hoodie-blue-no-2-2", "", "", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "", "11850", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11191", "3", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11871", "1", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "", "Hoodie - blue, Yes", "pa_color: blue, Logo: Yes", "publish", "closed", "closed", "", "hoodie-blue-yes-2-2", "", "", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "", "11850", "https://dsngrid.com/blackdsn/?post_type=product&amp;p=11196", "0", "product_variation", "", "0");
INSERT INTO `wp_posts` VALUES("11887", "1", "2023-05-30 10:54:22", "2023-05-30 08:54:22", "", "Theme Demo Import - log_file_2023-05-30__08-54-22", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-05-30__08-54-22", "", "", "2023-05-30 10:54:22", "2023-05-30 08:54:22", "", "0", "http://kookagency/wp-content/uploads/2023/05/log_file_2023-05-30__08-54-22.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("188", "1", "2018-02-22 12:26:02", "2018-02-22 11:26:02", "<p></p>\n<h2>Peut-on supprimer un avis TripAdvisor ? Oui, mais seulement dans certains cas. Comment faire ? Nous vous guidons pas à pas.</h2>\n&nbsp;\n<p>Aujourd’hui, un nombre grandissant d’internautes consulte les avis avant de se rendre dans un restaurant.&nbsp;<strong>TripAdvisor</strong>&nbsp;est une référence mondiale en matière de référencement. Cependant, tous les avis ne sont pas nécessairement honnêtes et bienveillants. En effet, faux témoignages, propos outrageux ou exagération de la situation sont parfois à déplorer. Si votre établissement est visé, vous avez la possibilité de demander la suppression de l’avis en question à TripAdvisor.</p><p><br></p>\n<p></p>\n<h2>Que faire en cas d’avis négatif ?</h2>\n&nbsp;\n<p>En cas d’avis négatif, vous pouvez répondre&nbsp;intelligemment à l’utilisateur. Cela n’est pas toujours facile car il faut pouvoir prendre du recul afin de remercier la personne pour son commentaire, reconnaître ses tords, mettre en avant les aspects positifs, détailler les éventuelles mesures d’amélioration mises en place suite à sa visite et l’inviter à venir à nouveau dans votre établissement. Pour vous aider dans cette tâche mandater <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">une agence</a> pour s\'en occuper<br>Pour signaler un avis suspect, frauduleux ou abusif et&nbsp;<strong>demander sa suppression à TripAdvisor</strong>, il est nécessaire de&nbsp;</p><p>:</p>\n<p></p>\n<ol>\n<li>Se connecter à l’espace Propriétaire</li>\n<li>Aller dans la rubrique « Avis » et cliquer sur « Un avis à signaler ? »</li>\n<li>Cliquer sur « Lisez nos conditions d’utilisation et envoyez vos commentaires ».</li>\n<li>Remplir le formulaire en indiquant l’avis concerné, les raisons de votre demande et les preuves (si vous en avez).</li>\n</ol>\n<p><br></p><p>A partir du moment où vous envoyez un signalement à TripAdvisor, une enquête est engagée afin de valider ou non la suppression.</p>\n<p>Si l’avis n’était&nbsp;<strong>pas adressé à votre établissement</strong>&nbsp;et que parvenez à le prouver, il peut être effacé de votre page.</p>\n<p>Par ailleurs, en cas de&nbsp;<strong>changement de propriétaire</strong>, les avis pourront être supprimés sur preuve du&nbsp;<a href=\"https://www.tripadvisorsupport.com/hc/fr/articles/200614487-Je-viens-d-acqu%C3%A9rir-un-h%C3%B4tel-un-restaurant-ou-une-activit%C3%A9-et-je-pr%C3%A9vois-d-en-am%C3%A9liorer-la-gestion-Puis-je-faire-table-rase-du-pass%C3%A9-\" target=\"_blank\" rel=\"noopener\">rachat</a>&nbsp;mais dans ce cas tous seront supprimés (pas uniquement les mauvais).</p>", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?", "TripAdvisor est une référence mondiale en matière de référencement.", "publish", "closed", "closed", "", "supprimer-avis-tripadvisor", "", "", "2023-05-31 16:35:01", "2023-05-31 14:35:01", "", "0", "https://www.kook-agency.fr/?p=188", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2018-04-24 12:29:29", "2018-04-24 10:29:29", "<p> </p><h2>Le QR Code peut facilement améliorer votre expérience client dans votre restaurant. Voici quelques idées d’utilisations et de mises à disposition.</h2> <p>Un QR code <em>(abréviation de Quick Response) </em>s’apparente à un code barre lisible grâce à votre smartphone. Par le biais d\'une application gratuite, votre smartphone trouve l’élément associé au QR code et l’ouvre directement. Il peut s’agir d’une page web, d’un email, de vos réseaux sociaux, d’un contact, d’un numéro de téléphone, d’un événement, d’une géolocalisation ou bien même d’un mot de passe wifi !</p><p> </p><p> </p><h3>Quelles utilisations possibles dans votre restaurant ?</h3><h4><strong>Renforcez l\'expérience client</strong></h4><strong> </strong><p><strong>1. Découvrir votre site internet.</strong> <em>Redirigez votre QR Code vers  votre site adapté aux smartphones</em><em>, où vous dévoilez ce qui vous rend unique. Pas besoin de grand discours, nous vous conseillons de résumer votre savoir-faire en une phrase</em><em> et de l’illustrer de preuves (photos, vidéos, …)</em></p><p><em> </em></p><p><strong>2. Inviter vos clients à vous suivre sur les réseaux sociaux.</strong> <em>Redirigez votre QR Code vers votre page Facebook / Instagram et créez des offres autour de cela. Par exemple, offrez un bonus aux clients qui « aiment » votre page Facebook ou à ceux qui partagent une photo de votre lieu sur leurs réseaux sociaux. Cela permet de développer votre présence sur internet.  Une bonne occasion d’augmenter votre communauté.</em></p><p><em> </em></p><p><strong>3. Aider vos clients prospects à venir jusqu’à vous. </strong><em>Redirigez votre QR Code vers votre adresse (géolocalisation), votre numéro de téléphone. Insérez-le ensuite sur vos flyers, cartes de visites …</em></p><p><em> </em></p><p><strong>4. Inviter vos clients à passer une commande en ligne.</strong><em> Si votre site internet vous le permet, inciter vos clients à passer une commande en ligne  si ce n\'est pas le cas vers</em><em> une application de livraison tel que AlloResto, Uber Eat, Deliveroo. Imprimez-le sur votre vitrine, vos flyers ou votre carte de visite pour que vos clients et prospects puissent vous trouvez directement.</em></p><p><em> </em></p><p> </p><h4><strong>Créez une expérience ludique</strong></h4><strong> </strong><b>5. Découvrir la provenance de vos produits. </b><i>Redirigez votre QR Code vers une page ou un site qui montre l’origine des produits de votre carte. Le restaurant Harney Sushi (Californie) a eu l’idée d’imprimer des QR Codes sur du papier de riz en utilisant de l’encre comestible à base d’eau. Leurs clients peuvent ainsi « numériser leur poisson » avec leur smartphone pour savoir exactement où il a été pêché ou bien connaître les réserves océaniques de cette espèce.</i> ", "Comment utiliser le QR code dans votre restaurant ?", "Le QR Code peut facilement améliorer votre expérience client dans votre restaurant", "publish", "closed", "closed", "", "comment-utiliser-le-qr-code-dans-votre-restaurant", "", "", "2023-05-31 16:26:56", "2023-05-31 14:26:56", "", "0", "https://www.kook-agency.fr/?p=191", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2084", "1", "2018-07-02 14:40:30", "2018-07-02 12:40:30", "<p> </p><h3>Laisser un avis après être allé au restaurant est devenu une habitude chez les clients. Aujourd’hui il devient compliqué de gérer les <b>avis clients</b> au sein de son restaurant et pour cela il existe des solutions pour lutter contre une mauvaise <b>e-réputation</b>.</h3><p> </p><h3>Motivez vos employés !</h3> <p>Veillez à ce que votre équipe soit au petit soin pour vos clients, il est important de surveiller à que chaque personnes soit bien reçu dans votre établissement. Pour <b>encourager</b> vos salariés, n’hésitez pas à faire des réunions rapide autour des <b>avis négatifs et positif</b><b>s</b> de manière à ce qu’il réalise l’impact de leur travail au sein de votre restaurant. N’hésitez pas à demander à vos clients si ils ont été satisfait de leurs repas en fin de service et dans le cas contraire pensé toujours à faire un geste commercial pour éviter un avis négatif.</p><p> </p><h3>Référencement Google.</h3> <p>Première porte d’entrée de votre <strong>site internet</strong>, le référencement naturel est aujourd’hui indispensable pour lutter contre les avis négatifs. Cette stratégie  consiste à faire apparaître votre site internet dans les meilleures résultats de recherche et bien souvent devant les annuaires tels que <strong>TripAdvisor, Yelp</strong>… Ce qui vous permet d’avoir un accès direct vers votre site internet sans que les internautes consultent forcement vos avis. <a href=\"https://www.kook-agency.fr/referencement-naturel\">En savoir plus</a></p><p> </p><h3>Transformer vos clients en influenceurs.</h3> <p>Sur vos différents <b>réseaux sociaux</b>, vous pouvez facilement repérer les personnes qui aiment votre cuisine et votre établissement, il suffit juste de les contacter en direct par internet et les inciter à déposer <b>un avis positif</b> à votre attention.</p><p> </p><h3>Communiquez sur les réseaux sociaux.</h3> <p>Vos avis positifs récoltés peuvent aussi être diffusés sur votre page <b>Facebook </b>professionnelle et sont donc consultables par vos fans et leurs amis. Ils représentent un très bon moyen de communication pour attirer de <b>nouveaux clients</b> ! En effet, après avoir visionné les photos alléchantes de vos plats, ils pourront confirmer leur intérêt pour votre restaurant grâce aux nombreux avis de votre communauté. <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">En savoir plus</a></p><p> </p><h3>Savoir récompenser.</h3> <p>N’hésitez pas à faire un petit <b>geste commercial</b> (café, digestif offert..) auprès de vos clients habituels, en échange demandez leurs d’aimer et partager votre page Facebook, de déposer des avis positifs sur Facebook, Tripadvisor… <b>80 % de vos clients</b> son friands de récompense pour leurs fidélités.</p><p> </p>", "Comment lutter contre les avis négatifs ?", "Laisser un avis après être allé au restaurant est devenu une habitude chez les clients.", "publish", "closed", "closed", "", "comment-lutter-contre-les-avis-negatifs", "", "", "2023-05-31 16:19:12", "2023-05-31 14:19:12", "", "0", "https://www.kook-agency.fr/?p=2084", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2245", "1", "2018-08-03 09:33:31", "2018-08-03 07:33:31", "<p> </p><h3>La création d’un restaurant demande beaucoup de temps et d’investissement. Trouver un avantage concurrentiel, un local, faire les études de marché… Puis vient le moment d’investir dans son matériel de cuisine professionnel. Mais quels sont les indispensables ? C’est ce que nous explique notre partenaire <a href=\"http://bit.ly/2KkjyKH\">Finarome</a> aujourd’hui.</h3> <p> </p><h2>Le matériel froid</h2> <p>Qui dit produit frais et fait maison, dit forcément stockage au froid. Pour cela, le matériel de base est bien sûr l’armoire réfrigérée. Il en existe de nombreux modèles avec différentes options ; portes pleines ou vitrées, avec ou sans serrure, etc. L’élément principal à prendre en compte pour faire votre choix est : <a href=\"http://bit.ly/2KpI79e\">froid ventilé/semi-ventilé ou statique</a>, et si vous souhaitez un froid positif, négatif, ou les deux dans une même armoire.</p><p> </p><h2>Le matériel de cuisson</h2> <p>En premier, on pense bien évidemment au four, qui, s’il est polyvalent pourra vous permettre de faire à peu près toutes vos cuissons. Il en existe là aussi plusieurs modèles plus ou moins polyvalents : fours mixtes, à vapeur, à gaz, à pizzas, à basse température… Mais s’il y a une chose que les fours ne peuvent pas faire, c’est la saisie. Complétez alors votre matériel de cuisson avec une <a href=\"http://bit.ly/2McqsU0\">plancha professionnelle</a>.</p><p><a name=\"_GoBack\"></a> Les frites sont incontournables en restauration, ne serait-ce que pour le menu enfant. Alors une bonne friteuse pourra faciliter votre quotidien. Evidemment il ne faut pas négliger les éléments plus traditionnels comme les fourneaux (associés à une bonne batterie de cuisine), les toaster pour les snacks, les cuiseurs à pâtes ou à riz pour les établissements spécialisés, etc.</p><p> </p><h2>Le matériel d’hygiène</h2> <p>Une fois les clients rassasiés, il ne faut pas oublier la dernière étape : le lavage. Afin de gagner en temps et en efficacité, équipez vous d’un bon lave-vaisselle et d’un lave-verre. Si vous pensez que c’est un équipement de « luxe » dont vous pouvez vous passer dans un premier temps, vous changerez vite d’avis ! Associé à une bonne plonge, vous vous assurerez une vaisselle éclatante et un gain de temps considérable.</p><p> </p>", "Le matériel indispensable pour ouvrir son restaurant", "La création d’un restaurant demande beaucoup de temps et d’investissement.", "publish", "closed", "closed", "", "le-materiel-indispensable-pour-ouvrir-son-restaurant", "", "", "2023-05-31 16:14:41", "2023-05-31 14:14:41", "", "0", "https://www.kook-agency.fr/?p=2245", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2259", "1", "2018-08-07 11:42:16", "2018-08-07 09:42:16", "<p> </p><h4>Quand on parle de sites internet avec certains restaurateurs, on entend trop souvent la réponse suivante : <i>« Oui je sais, je dois créer un site internet pour mon restaurant. Mais c’est beaucoup de travail pour quelque chose qui va pas me faire gagner de l’argent ! » </i></h4><i> </i><h4>Pourtant, un site web bien construit et connecté aux opérations de votre établissement peut augmenter votre chiffre d’affaires. Mais comment ça marche ? Voici quelques pistes de réflexion de nos collègues chez iKentoo, les spécialistes de la caisse enregistreuse connectée.</h4> <p> </p><h2>1. Retrouvez vos réservations sur votre caisse</h2> <p>Saviez-vous que vous pouvez lier votre caisse iKentoo à votre module de réservations en ligne ? Ainsi, vous pouvez retrouver les réservations passées sur votre site directement sur votre caisse. Le grand avantage ? Maximiser votre <a href=\"https://www.ikentoo.com/fr/news-blog-fr/indicateurs-de-performance-pour-la-restauration-2-les-indicateurs-quantitatifs\"><u>taux de remplissage</u></a> et diminuer les risques de double-réservation d’une table. Vous augmenterez ainsi votre chiffre d’affaire et la satisfaction de vos clients.</p><p> </p><h2>2. Collectez toutes les informations de vos clients dans votre CRM</h2> <p>Vous avez une newsletter ? Vos clients peuvent s’y inscrire sur votre site ? Retrouvez toutes ces informations sur votre caisse et sur votre plateforme de gestion iKentoo en liant vos formulaires à votre CRM iKentoo. Ainsi vous pourrez personnaliser l’expérience client et <a href=\"https://www.ikentoo.com/fr/news-blog-fr/comment-fideliser-client-restaurant\"><u>augmenter la fidélisation</u></a> de vos consommateurs-trices avec des offres personnalisées.</p><p> </p><h2>4. Optimisez la gestion de vos commandes en lignes</h2> <p>Vous offrez la possibilité de commander en ligne ? La double saisie manuelle vous fait perdre du temps ? Retrouvez toutes vos commandes sur votre caisse, et automatisez la production. De plus, vous gagnerez un temps précieux lors de la gestion des stocks, analyses des ventes et de la comptabilité car toutes ces informations sont centralisées sur une même plateforme, le Back-Office iKentoo.</p><p>Découvrez l’offre iKentoo et profitez d’un devis gratuit sur mesure et un essai gratuit du système. Et en tant que client Kook Agency, contactez <a href=\"mailto:olivier@kook-agency.fr\"><u>Olivier</u></a> pour bénéficier d’un rabais exclusif.</p><p> </p><p>iKentoo, la caisse enregistreuse sur iPad pour la restauration la plus performante d’Europe. Plus de 3500 client-e-s font confiance au système d’encaissement connecté iKentoo. Certifié NF525, il équipe tous les restaurants du Big Mamma Group (La Felicità, East Mamma, Ober Mamma), les franchises Alto Café et Yogurt Factory, ainsi que le Hard Rock Cafe Lyon.</p><p> </p>", "Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?", "Un site web bien construit et connecté aux opérations de votre établissement peut augmenter votre chiffre d’affaires.", "publish", "closed", "closed", "", "comment-augmenter-le-chiffre-daffaires-de-votre-restaurant-avec-votre-site-internet-et-votre-caisse-enregistreuse", "", "", "2023-05-31 16:05:49", "2023-05-31 14:05:49", "", "0", "https://www.kook-agency.fr/?p=2259", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2279", "1", "2018-09-04 15:24:45", "2018-09-04 13:24:45", "<p align=\"justify\">Nous allons aborder le sujet des visites virtuelles pour mieux comprendre les retombées pour votre restaurant ?<br />En effet, dans de nombreux domaines, la technologie ne cesse d’évoluer due à la naissance du digital.</p><p align=\"justify\"> </p><p align=\"justify\"> </p><p align=\"justify\"><a name=\"_GoBack\"></a><a href=\"http://ib-advantage.com/\">La visite virtuelle</a> est un outil très actif depuis quelques années. De la photosphère proposée par Google à la photogrammétrie par Matterport (technologie la plus aboutie à l’heure actuelle), de nombreuses solutions sont proposées sur le marché. Ce support innovant répond à des problématiques diverses et variées en fonction du domaine d’activité.</p><p align=\"justify\"> </p><p> </p><p align=\"justify\">Le secteur de la restauration est soumis à de fortes évolutions depuis quelques années : notifications et avis avec TripAdvisor, système de réservations avec La Fourchette ou encore création et gestion de votre site internet avec <strong>Kook Food Agency</strong>.</p><p align=\"justify\"> </p><p> </p><p>Dans le domaine de la réalité virtuelle, Immersive Business Advantage est l’un des premiers acteurs à proposer la création d’un outil digital personnalisé à partir de visite virtuelle immersive. Depuis l’une des plus grandes tables de France avec le restaurant Georges Blanc 3* Michelin jusqu’au snack de plage, les équipes IBA réalisent la visite virtuelle de votre restaurant en 4 étapes :</p><p> </p><p> </p><ol><li>Rencontre sur les lieux pour mieux comprendre vos objectifs et analyses des espaces.</li><li>Prise de vue avec la technologie Matterport.</li><li>Post-production et intégration des divers médias.</li><li>Livraison et conseils pour utilisation de l’outil marketing créé.</li><li> </li></ol><p align=\"justify\">Avec plus de 4 années d’expertise, <a href=\"http://ib-advantage.com/visite-virtuelle\">IBA</a> propose une multitude de possibilités à ses clients pour créer un outil digital de qualité et sur-mesure. En intégrant des documents PDF avec vos menus, photos de vos plats légendés ou même des vidéos dans votre visite virtuelle, vous pourrez transmettre l’atmosphère de votre restaurant à vos futurs clients pour susciter l’envie.</p><p align=\"justify\"> </p><p align=\"justify\">Cette technologie permet également d’optimiser votre référencement sur internet avec l’intégration de votre visite virtuelle sur Google Street.</p><p align=\"justify\">Un autre atout de cette nouvelle façon de communiquer se retrouve avec l’utilisation du masque de réalité virtuelle (VR). IL est possible de transposer la visite virtuelle en mode réalité virtuelle avec l’utilisation de masque. Ce nouveau média, en pleine expansion depuis l’arrivée sur le marché de masque de plus en plus performants, autonomes et de moins en moins onéreux, permet de découvrir votre restaurant à 360 degrés sur un salon promotionnel par exemple.</p><p align=\"justify\"> </p><p align=\"justify\">A quand la possibilité de transmettre les magnifiques odeurs de vos plats à travers une visite virtuelle ?</p><p> </p>", "La visite virtuelle immersive : un outil marketing pour votre restaurant", "Ce support innovant répond à des problématiques diverses et variées en fonction du domaine d’activité.", "publish", "closed", "closed", "", "la-visite-virtuelle-immersive-un-outil-marketing-pour-votre-restaurant", "", "", "2023-05-31 16:00:14", "2023-05-31 14:00:14", "", "0", "https://www.kook-agency.fr/?p=2279", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2481", "1", "2018-09-20 16:10:53", "2018-09-20 14:10:53", "<p> </p><h3>La concurrence entre les restaurants est féroce et vous devez tout donner pour réussir. Nous vous aidons avec 16 idées et stratégies marketing pour les restaurants qui promettent de vous aider à améliorer votre entreprise et à attirer l’attention de tous vos clients !</h3><p> </p><h4><b>1. Photos gourmandes</b></h4><b> </b><p>Si vous vous êtes déjà connecté à Instagram, vous comprendrez que la pornographie alimentaire est bien vivante.</p><p>Sans aucun doute, la meilleure façon de promouvoir votre restaurant en ligne consiste à utiliser des photos de qualité supérieure. Le contenu visuel est en forte demande en ligne ces jours-ci, et il est essentiel d\'avoir de délicieuses photos sur votre site Web et sur divers médias sociaux pour attirer des yeux affamés.</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/09/dinner-time-300x200.jpg\" alt=\"\" width=\"447\" height=\"298\" /></p><p> </p><p>Envisagez de faire appel à un professionnel pour prendre des photos de qualité supérieure ou essayez-le avec votre smartphone. Soyez averti cependant: prendre de très bonnes photos de vos plats peut être plus difficile qu\'il n\'y paraît, car l\'éclairage est souvent un facteur clé !<br /><br /></p><h4><b>2. Avoir un site internet élégant et fonctionnel</b></h4><b> </b><p>Les utilisateurs aiment faire des recherches en ligne avant de commander ou de visiter votre restaurant. Ne laissez pas les utilisateurs se débrouiller pour trouver votre menu, pour cela vous devez vous assurer que votre menu publié sur votre site Web soit toujours à jour, car c’est souvent la première information que les utilisateurs recherchent lors de la visite de votre site (avec les heures, l’emplacement et les informations de contact). De nos jours, les clients cherche un accès à votre menu en ligne, sinon ils vont simplement chercher ailleurs.<br /><br /></p><h4><b>3. Annuaires de restaurant.</b></h4><b> </b><p>Yelp et tripadvisor ont un énorme pouvoir dans le secteur de la restauration, et avoir un fort soutien des critiques positives de ces sites, c\'est comme avoir un troupeau d\'oies dorées - les critiques de Yelp et Tripadvisor peuvent faire des merveilles pour votre entreprise. La chose la plus importante à comprendre au sujet de ces sites c’est que les consommateurs peuvent et vont vous examiner. Pour cette raison, en tant que propriétaire de restaurant, vous devez absolument être proactif et habiller votre compte Yelp pour que cela fonctionne pour vous plutôt que contre vous.</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/09/TripAdvisor-Logo-Plain-297x300.png\" alt=\"\" width=\"297\" height=\"300\" /></p><p>Cela signifie ajouter autant de détails que possible, tels que:</p><p> </p><p>Des photos de vos établissement, plats, équipe...<br />Vos heures d\'ouverture<br />Fourchette de prix<br />Votre adresse<br />Wi-Fi / sièges extérieurs / parking / etc.</p><p>Faites de votre mieux pour ajouter autant de détails que possible.</p><p>L’autre facteur important à prendre en compte concernant Yelp et TripAdvisor est la manière dont vous gérez les commentaires. Il est bon de remercier les clients pour leur avis, qu’il soit positif ou négatif. Si vous recevez des commentaires négatifs, répondez toujours de manière professionnelle et polie.</p><p>Si vous répondez publiquement à l’évaluation négative, remerciez le client pour ses commentaires, présentez vos excuses pour l’incident et promettez de vous améliorer à l’avenir. Vous pouvez également envisager de contacter le réviseur en privé pour plus d\'informations sur les incidents négatifs.<br /><br /></p><h4><b>4. Outils de réservation en ligne</b></h4><b> </b><p>Les clients adorent quand vous leur rendez la vie un peu plus facile pour cela proposez leurs la réservation en ligne via votre site internet et les annuaires tel que la fourchette… Cela augmente en moyenne 15 à 20 % le taux de remplissage de votre salle.<br /><br /></p><h4><b>5. Configurez votre compte Google+</b></h4><b> </b><p>La configuration du compte Google+ de votre restaurant est tout aussi importante que la configuration de votre compte Yelp. Voici pourquoi:</p><p> </p><p>Lorsque vous recherchez une entreprise dans Google, le graphique de connaissances de Google fournit les détails de l’entreprise dans la barre latérale. Le Knowledge Graph de Google rassemble une grande partie de ses informations sur Google+, donc configurer votre entreprise sur Google+ est un énorme avantage, car le fait d’avoir votre restaurant via le Knowledge Graph de Google vous permet d’obtenir davantage de recherches de qualité (gratuitement)!</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/09/google--300x240.png\" alt=\"\" width=\"300\" height=\"240\" /></p><p> </p><p>Encouragez également les visiteurs à vous consulter sur Google+, car Knowledge Graph aime regrouper les avis d\'utilisateurs Google.<br /><br /></p><h4><b>6. Annonces géo-ciblées</b></h4><b> </b><p>Pour la plupart des restaurants, le local est le nom du jeu. La plupart des gens recherchent de bonnes adresse près de chez eux et vous tirerez le meilleur parti de vos efforts de marketing en ligne en investissant principalement dans des publicités ciblées géographiquement. Les annonces ciblées géographiquement vous permettent de réaliser des économies, en veillant à ce que seuls les utilisateurs de certaines villes ou dans un rayon spécifique voient vos annonces (en éliminant les clics non pertinents, qui peuvent vous coûter beaucoup d’argent).</p><p>De nombreux services de publicité en ligne, des annonces Google Adwords (anciennement Google AdWords) à Facebook et Twitter, offrent des options de ciblage géographique (sans frais supplémentaires). Assurez-vous de tirer parti de ces fonctionnalités de ciblage pratiques pour diffuser vos meilleures annonces auprès de vos meilleurs clients.<br /><br /></p><h4><b>7. Soyez un Insta-Food</b></h4><b> </b><p>Avoir une forte présence sur Instagram est une autre astuce marketing semi-évidente (mais trop importante à ignorer). Utilisez Instagram pour promouvoir le meilleur contenu visuel de votre restaurant.</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/09/repost-instagram-1-300x150.jpg\" alt=\"\" width=\"344\" height=\"172\" /></p><p> </p><p>Montrez votre cuisine, rapprochez-vous de vos plats préférés et utilisez cette scène principale des médias sociaux pour vous familiariser avec votre identité de marque. Assurez-vous également de placer des hashtags tels que #food ou #foodstagram ou que vous inventiez les vôtres, les hashtags sont un excellent moyen de vous amuser avec les fans.<br /><br /></p><h4><b>8. Envoyer des Newsletter</b></h4><b> </b><p>Rappelez-vous que la newsletter de votre restaurant n’a pas besoin d’être hebdomadaire. En fait, les utilisateurs apprécieront probablement une boîte aux lettres moins inondée si vous leur envoyez simplement une newsletter tous les mois.</p><p>Utilisez votre newsletter comme une chance de célébrer votre succès, de discuter de nouveaux éléments de menu ou de partager des réductions spéciales.<br /><br /></p><h4><b>9. Promouvoir le contenu généré par les fans</b></h4><b> </b><p>Le contenu généré par l\'utilisateur (surnommé CGU avec amour) est un excellent moyen de développer un engagement personnel et intime avec les utilisateurs. Organisez un concours photo en demandant aux clients de partager leur repas préféré dans votre établissement et partagez les entrées sur une page de contenu dédiée (et / ou partagez des soumissions sur vos différents réseaux sociaux). Pensez à récompenser des candidats chanceux au hasard avec un apéritif gratuit ou un autre prix !</p><p> </p><h4><b>10. Montrez votre personnel !</b></h4><b> </b><p>À l\'ère des représentants du service à la clientèle robotiques et bientôt des voitures autonomes, l\'élément humain fait cruellement défaut. Montrez votre personnel en train de faire ce qu\'il fait de mieux! Voir des employés heureux et souriants fait des merveilles pour votre réputation, car les clients désirent ardemment être servis par des travailleurs joyeux.</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/09/257388-1610130Q34315-300x200.jpg\" alt=\"\" width=\"300\" height=\"200\" /><br /><br /></p><h4><b>11. Surveillez votre présence sur les médias sociaux</b></h4><b> </b><p>Les stratégies de marketing des réseaux sociaux sont une force indéniable dans le monde d’aujourd’hui. Les brochures et les menus de livraison passés sous les portes ne suffiront plus.</p><p>Souvent, les restaurants ayant une forte présence dans les médias sociaux dans le cadre de leur plan marketing sont ceux qui réussissent le mieux, et dans l\'industrie alimentaire compétitive, ignorer les médias sociaux est une condamnation à mort.</p><p>Bien sûr, vous voudrez créer une page professionnelle Facebook et Instagram pour partager des réductions spéciales, des coupons exclusifs, des photos de vos nouveaux plats et promouvoir vos propres nouvelles. Mais la mise en place de vos comptes n’est que la moitié du travail - il est également essentiel que vous suiviez l’activité sur vos réseaux sociaux.<br /><br /></p><h4><b>12. Configurer les alertes Google</b></h4><b> </b><p>Les alertes Google vous avertissent lorsque le nom de votre entreprise (ou un autre terme associé à un mot clé) apparaît dans un nouveau contenu sur le Web! Cela permet de garder un œil sur qui parle de vous et de vos éloges. Un bon moyen de surveiller votre e-reputation !<br /><br /></p><h4><b>13. Démarrer un blog</b></h4><b> </b><p>Lancer votre propre blog est un excellent moyen de créer une communauté et de dialoguer avec vos clients. Les blogs offrent la possibilité d’expérimenter la voix et la personnalité de votre restaurant. Partagez vos succès et vos difficultés, vos histoires drôles, vos recettes et tout ce qui pourrait intéresser vos clients.</p><p>Un blog peut être un énorme projet, mais ce n’est pas obligatoire. Gardez votre blog aussi simple ou complexe que vous le souhaitez. Vous n’avez pas à poster constamment, mais il est bon d’avoir votre blog de restaurant mis en place lorsque vous avez une annonce ou des nouvelles que vous souhaitez diffuser dans le monde.<br /><br /></p><h4><b>14. Sensibilisation des blogueurs alimentaires</b></h4><b> </b><p>Lorsque vous créez votre propre restaurant, il peut être difficile de générer des avis et de faire du bruit sur votre etablissement. Une excellente façon d\'obtenir des critiques et des clics sur le Web est d\'inviter des blogueurs alimentaires dans votre restaurant et d\'envisager de leur offrir un repas ou un apéritif gratuit. Demandez poliment s\'ils sont prêts à communiquer sur votre restaurant et à partager leur expérience en ligne.</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/07/poste-reseau-sociau-restaurant-300x200.jpg\" alt=\"Site internet restaurant\" width=\"300\" height=\"200\" /></p><p> </p><p>Vous ne pouvez pas demander carrément une évaluation positive, car ce serait malhonnête, mais il est bon de leur demander simplement une évaluation objective des restaurants. Certains blogueurs peuvent décliner votre offre, mais plus vous demandez, plus vous avez de chances d\'obtenir des retours positifs et de susciter plus d\'intérêt en ligne.</p><p>Certains blogueurs alimentaires ont de gros suivis, et attirer leur attention peut avoir une grande influence sur votre restaurant. Même un seul compte-rendu ou une mention d\'un grand gourmand peut être un énorme avantage pour la promotion des restaurants.<br /><br /></p><h4><b>15. Vérifiez les informations de votre restaurant en ligne</b></h4><b> </b><p>Les clients aiment faire des recherches en ligne - en fait, 89% des consommateurs font des recherches sur un restaurant en ligne avant de dîner. C’est pourquoi il est primordial que tous les détails de votre restaurant soient en ligne et à jour, y compris l’adresse, le numéro de téléphone, le site internet, les heures, votre menu actuel, etc...<br /><br /></p><h4><b>16. Développer l\'identité de marque de votre restaurant</b></h4><b> </b><p>La création de l’identité de marque de votre restaurant peut avoir une grande incidence sur votre performance sur les réseaux sociaux. Votre objectif devrait être de construire l’identité de votre restaurant autour de vos clients cibles.</p><p>Votre nourriture cible-t-elle les clients qui préfèrent une alimentation saine? Ou votre restaurant a-t-il une ambiance plus de bière et d’ailes? Comprenez qui sont vos clients cibles, puis construisez votre marque autour de ce qui les intéresse. Reflétez ces intérêts sur vos plateformes de médias sociaux et dans votre matériel promotionnel.<br /><br /></p>", "16 idées marketing pour développer votre restaurant ", "La concurrence entre les restaurants est féroce et vous devez tout donner pour réussir.", "publish", "closed", "closed", "", "16-idees-marketing-pour-developper-votre-restaurant", "", "", "2023-05-31 15:53:26", "2023-05-31 13:53:26", "", "0", "https://www.kook-agency.fr/?p=2481", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2626", "1", "2018-10-24 13:34:44", "2018-10-24 11:34:44", "<p>S’équiper pour la vente à emporter et la livraison ?</p><p>Il y a seulement 3 ans, la France voyait naitre des startups de livraison de repas à domicile. Depuis, de nombreux acteurs se sont eux aussi lancés sur le marché : Uber Eats, Foodora, Just Eat, et d’autre s’y sont cassé les dents, comme Take It Easy. Mais aujourd’hui le marché connait une croissance impressionnante (+ 500 % en 2017) et de plus en plus de restaurants se laissent tenter par l’expérience. Notre partenaire <a style=\"font-family: var(--body-font); font-weight: var(--font-weight-body); font-size: var(--font-size-base);\" href=\"http://bit.ly/2OJsH6G\">Finarome</a> nous explique aujourd’hui comment s’équiper pour démarrer.</p><p> </p><h2>Pourquoi choisir la livraison de repas à domicile ?</h2><p> </p><p>La principale raison étant que cela vous rapportera des clients sans encombrer votre salle de restaurant. Vous pourrez donc augmenter votre chiffre d’affaire sans avoir besoin d’agrandir vos locaux ou d’élargir vos horaires d’ouverture.</p><p>Si vous disposez de vos propres livreurs, vous pouvez choisir des plateformes comme Just Eat. Si vous n’en avez pas, choisissez les autres plateformes : Deliveroo, Uber Eats… qui vous fournissent leurs propres livreurs à vélo. Vous n’avez donc pas besoin d’embaucher de nouveaux employés pour passer à la livraison à domicile !</p><p> </p><h2>Comment vous équiper pour la livraison ?</h2><p> </p><p>Si vous avez vos propres livreurs, il vous faudra des contenants pour maintenir vos plats au chaud avant qu’ils n’arrivent chez le client. Il existe de nombreux modèles de <a href=\"http://bit.ly/2OLBtRL\">thermobox et sacs isothermes</a>, vous pourrez faire votre choix en fonction de vos contraintes : vélo ou scooter, taille pizza ou autre…</p><p>Si vous déléguez la livraison, il faudra tout de même avoir des <a href=\"http://bit.ly/2OGUzrX\">emballages à usage unique</a> pour vos produits. Des pailles pour les boissons, des barquettes en aluminium pour les plats, des <a href=\"http://bit.ly/2OLBQf7\">boites à hamburger</a>, des barquettes de frite, des cartons à pizza… Attention de bien penser à être en mesure d’emballer tous les produits que vous proposez à la vente.</p><p>Vous voilà maintenant prêt à vous lancer sur ce nouveau marché, plein d’opportunités. De plus, vous équiper de ces produits d’emballage vous permettra de proposer à vos clients des « doggy bag ». C’est-à-dire d’emporter les restes de leurs assiettes qu’ils n’ont pas terminé afin d’éviter le gaspillage alimentaire. La moyenne par client étant de 211 g, il est important de proposer cette option pour y faire face.</p><p> </p>		\n			<h2>COMMENÇONS UNE AVENTURE\n <b><i>INCROYABLE</i></b> ENSEMBLE\n</h2>		\n			<a href=\"http://kookagency/?page_id=4276\" data-dsn-text=\"OUR PORTFOLIO\">  LANCEZ VOUS ! </a>		\n	<a href=\"http://kookagency/\" data-dsn-text=\"Kook Agency\"  rel=\"home\" ><img width=\"1080\" height=\"566\" src=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png 1080w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-300x157.png 300w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-1024x537.png 1024w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-768x402.png 768w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-416x218.png 416w\" sizes=\"(max-width: 1080px) 100vw, 1080px\" /><img width=\"5989\" height=\"2503\" src=\"http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png 5989w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-300x125.png 300w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1024x428.png 1024w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-768x321.png 768w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1536x642.png 1536w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-2048x856.png 2048w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1200x502.png 1200w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-416x174.png 416w\" sizes=\"(max-width: 5989px) 100vw, 5989px\" /></a>\n<ul>\n	<li ><a href=\"https://www.facebook.com/kookfoodagency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"https://twitter.com/kook_agency\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"https://www.linkedin.com/company/kook-food-agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"https://www.instagram.com/kook_agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>", "S’équiper pour la vente à emporter et la livraison", "La principale raison étant que cela vous rapportera des clients sans encombrer votre salle de restaurant.", "publish", "closed", "closed", "", "sequiper-pour-la-vente-a-emporter-et-la-livraison", "", "", "2023-05-31 15:44:34", "2023-05-31 13:44:34", "", "0", "https://www.kook-agency.fr/?p=2626", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2634", "1", "2018-10-25 13:00:53", "2018-10-25 11:00:53", "<h2><b>Un micro-influenceur c’est quoi ?</b></h2><b> </b><p> </p><p>A l’inverse des grands influenceurs et des célébrités disposant de plus de cent mille voir de millions de followers, les micro-influenceurs sont des leaders d’opinion suivis par des petits groupes d’abonnés qui plus sont généralement plus fidèles et engagés. Tandis que les célébrités ont une portée plus large, <strong>les micro-influenceurs peuvent marquer des points pour leur authenticité et </strong><strong>leur </strong><strong>proximité</strong>.</p><p>Kook agency peut assurer vos campagnes d’influencement via sont réseaux de micro-influenceurs.</p><p> </p><p> </p><h2><b>Les avantages de faire appel à des micro-influenceurs ?</b></h2><b> </b><p> </p><p>Les micro-influenceurs représentent aussi de nombreux avantages pour votre restaurant, peut coûteux, ils vous permettent d’accroître rapidement votre nombre de followers. Partons à la découverte des ces micro-influenceurs et des principales raisons de collaborer avec eux.</p><p> </p><p> </p><ul><li><b>Taille de communauté </b> : Les micro-influenceurs possèdent généralement moins de 30 000 abonnés sur Instagram. Bien que ce chiffre ne soit pas officiel, il donne une bonne indication sur le seuil d’abonnés qui les différencie du macro-influenceurs.</li></ul><ul><li><b>Audience </b>: Les micro-influenceurs sont souvent spécialisés voire experts dans un domaine d’activité comme la restauration, les micro-influenceur n’ont souvent que peu de difficultés à promouvoir un établissement ou une cuisine qui s’y rapporte grâce aux affinités qu’ils peuvent naturellement avoir avec eux.</li></ul><ul><li><b>Risques</b> : Tous les influenceurs sont susceptibles de recourir à des techniques de « fake followers »autrement dit des « faux comptes d’abonnés »</li></ul><ul><li><b>Engagement</b> : Les taux d’engagement sur les publications des micro-influenceurs sont en moyenne plus élevés que ceux des macro-influenceurs. Cela s’explique car leur audience concentre uniquement des internautes intéressés voire passionnés par la restauration mais bien souvent au niveau international.</li></ul><ul><li><b>Coût </b>: Les micro-influenceurs sont souvent à la recherche de petites compensations financières ou alors par le biais d’un  repas offert contre une centaine de followers sur votre compte Instagram.</li></ul><ul><li><b>Valeurs </b>: Un micro-influenceur se veut également très proche de sa communauté. Celle-ci n’étant pas excessivement grande, ils prennent généralement le temps d’interagir avec leurs abonnés. C’est pourquoi ils sont souvent perçus comme plus accessibles et plus authentiques, ce qui dégage une image positive.</li></ul><h2> </h2><h2><b>Exemple de post de micro-influenceurs pour les restaurateurs</b></h2><b> </b><ul><li>Avec @foodeaseparis (20 505 abonnées)</li></ul><img title=\"\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_11_58_10_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vid%C3%A9os_Instagram.png\" alt=\"\" data-wp-editing=\"1\" /><img title=\"\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_11_57_24_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vid%C3%A9os_Instagram.png\" alt=\"\" /> <ul><li>Avec @thefoodparisian (11 407 abonnés)</li></ul> <img title=\"\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_12_02_30_thefoodparisian_Photos_et_vid%C3%A9os_Instagram.png\" alt=\"\" /><img title=\"\" src=\"https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_12_06_36_thefoodparisian_Photos_et_vid%C3%A9os_Instagram.png\" alt=\"\" />", "Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?", "les micro-influenceurs peuvent marquer des points pour leur authenticité et leur proximité.", "publish", "closed", "closed", "", "les-micro-influenceurs-sur-instagram-source-de-trafic-dans-les-restaurants", "", "", "2023-05-31 15:38:01", "2023-05-31 13:38:01", "", "0", "https://www.kook-agency.fr/?p=2634", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("3001", "1", "2019-09-23 18:37:35", "2019-09-23 16:37:35", "<p> </p><p>Trouver avec des idées uniques de publication Facebook pour les restaurants peut être une tâche ardue. Amener les abonnés Facebook de votre restaurant à participer à ces publications peut être encore plus difficile de nos jours. Cependant, il est plus important que jamais.</p><p>Les flux de nouvelles sont submergés de nouveaux contenus chaque seconde.</p><p>Alors, comment pouvez-vous voir les publications Facebook de votre restaurant vues par vos clients? Deux manières simples. Vous pouvez soit acheter des publicités, soit créer un contenu que vos clients aiment et avec qui il s’engage réellement.</p><p>Plus votre message est engagé, plus il sera vu. Le fait de voir vos publications Facebook plus souvent signifie davantage de clients dans votre restaurant .</p><p>Voici 15 idées de publication Facebook pour les restaurants que vous pouvez utiliser pour augmenter l’engagement de vos publications.</p><p> </p><h3>PUBLIER DES IDÉES QUI AIDERONT À AUGMENTER L\'ENGAGEMENT SUR VOTRE PAGE FACEBOOK POUR VOTRE RESTAURANT</h3> <p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">1. PUBLIEZ AU BON MOMENT.</strong></p><p> </p><p>Publier au bon moment de la journée peut faire une grande différence en ce qui concerne le nombre de personnes qui voient et cliquent sur ce que vous partagez.</p><p>Selon cette infographie , les messages postés entre 13h et 16h génèrent le clic moyen le plus élevé. Le meilleur jour de la semaine pour poster est le mercredi, plus précisément à 15 heures, tandis que le pire moment se situe le week-end avant 8 heures et après 20 heures.</p><p>Les jours de semaine, les gens travaillent souvent le matin mais sont plus susceptibles de s\'ennuyer et de regarder leur Facebook l\'après-midi. C\'est pourquoi il est logique de poster entre 13 h et 16 h, parfois entre le déjeuner et leur retour à la maison.</p><p> </p><h2><strong>2. RACONTEZ DES HISTOIRES PERSONNELLES</strong></h2><p> </p><p>Raconter des histoires fonctionne très bien parce que les gens peuvent souvent les comprendre et les connecter à un niveau plus personnel. Gardez un œil attentif chaque fois que quelque chose d’amusant ou de bizarre se produit au restaurant et assurez-vous de prendre une photo. Partager ces histoires pourrait être vos publications les plus engagées.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">3. PARTAGEZ VOS RECETTES</strong></p><p> </p><p>Les gens aiment les recettes. Ils aiment aussi les partager avec leurs amis. Il y a de fortes chances que lorsque vous parcourez Facebook, vous en rencontriez plusieurs, probablement de Tasty . Après tout, ils ont plus de 85 millions de \"j\'aime\" sur leur page. Les idées de publication sur les restaurants de Facebook sont difficiles à engager, mais les vidéos fonctionnent presque toujours. Créez une vidéo ou même simplement un article de blog avec l\'une de vos recettes et partagez-la sur Facebook et sur d\'autres canaux de médias sociaux. Jetez un coup d\'œil à ce que Tasty fait bien dans leurs messages et essayez de vous en inspirer.</p><p> </p><p><strong style=\"background-color: transparent; color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px;\">4. PARTAGER LES AVIS</strong></p><p> </p><p>Chaque restaurant dit qu\'il sert la meilleure nourriture que vous puissiez essayer. Mais combien de personnes vont croire cela quand ça vient du propriétaire ou du chef? Ils seraient beaucoup plus intéressés à voir ce que les autres clients ou les critiques gastronomiques avaient à dire. Recherchez les commentaires positifs de votre restaurant sur Facebook, Yelp, TripAdvisor et partout où votre restaurant est répertorié en ligne . Partagez les meilleurs de Facebook avec une capture d\'écran et un lien direct vers la critique. Remerciez le client qui a posté la critique et offrez-lui un dessert gratuit la prochaine fois qu\'il dîne dans votre restaurant. Assurez-vous également de créer un post chaque fois que votre restaurant est examiné par un critique gastronomique de votre journal local ou en ligne.</p><p> </p><p><strong style=\"background-color: transparent; color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px;\">5. OFFRES EXCLUSIVES</strong></p><p> </p><p>Facebook est un excellent endroit pour publier une offre exclusive. Proposez une offre à vos clients s\'ils aiment votre page et partagez cette offre avec leurs amis. Utilisez une application de coupons Facebook pour créer facilement des coupons et suivre l\'évolution de vos offres. C\'est peut-être l\'une des idées de publication sur Facebook de votre restaurant le plus réussi de tous les temps.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">6. ALLER DANS LES COULISSES</strong></p><p> </p><p>Laissez vos clients voir ce qui se passe dans les coulisses de votre restaurant. Donnez-leur un aperçu de la façon dont leur nourriture est préparée dans la cuisine, comment vous connectez avec les agriculteurs locaux pour trouver vos ingrédients et de toute autre chose intéressante dans votre restaurant que les clients n\'auraient pas expérimentée. Semblable au partage d’histoires personnelles, les clients apprécieront votre ouverture et pourront vous rapprocher de manière plus personnelle.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">7. POSTE EN FONCTION DE LA MÉTÉO</strong></p><p> </p><p>Être à jour est important, et cela inclut le temps qu\'il fait dehors. S\'il fait chaud dehors, pourquoi ne pas annoncer de la bière froide. S\'il fait froid, invitez des personnes à l\'intérieur pour un bol de soupe ou une tasse de café. N\'oubliez pas d\'utiliser des photos autant que possible. Laissez la bière froide ou le café chaud parler pour vous.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">8. DEMANDER L’AVIS DES CLIENTS</strong></p><p> </p><p>Quel meilleur moyen d\'inciter les clients à interagir et à dialoguer avec vous sur Facebook que de leur poser des questions pour obtenir leur avis?</p><p>Posez des questions sur votre menu, en particulier sur ce qu’ils aimeraient y voir, ainsi que sur les événements à venir qu’ils voudront peut-être regarder ou célébrer dans votre restaurant.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">9. PUBLIER DES VIDÉOS</strong></p><p> </p><p>Plus de 100 millions d\'heures de vidéo sont visionnées chaque jour sur Facebook. C\'est l\'une des formes les plus populaires sur le contenu aujourd\'hui. Et encore mieux, les gens adorent utiliser des vidéos et les partager avec leurs amis.</p><p>Créez des vidéos dans votre restaurant pour montrer votre menu, des événements musicaux en direct, comment créer certaines recettes, un look dans les coulisses ou tout simplement quelque chose d\'amusant à partager avec vos clients.</p><p>Soyez créatif et amusez-vous avec!</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">10. LANCER UN CONCOURS DE PHOTOS</strong></p><p> </p><p>Nous avons expliqué à quel point le partage du contenu client peut être bénéfique. Cependant, que se passe-t-il si peu de personnes postent au sujet de votre restaurant?</p><p>Organisez un concours de photos afin de persuader les gens de partager les photos de votre restaurant avec leurs amis.</p><p>Demandez aux gens de partager une photo de leur repas dans votre restaurant sur Facebook. La photo la plus appréciée donnera au gagnant un apéritif, un dessert ou un repas lors de sa prochaine visite au restaurant.</p><p>Vous pouvez également poster votre propre photo et donner aux gens une chance de gagner un prix en l\'aimant, en le partageant et en le commentant. Chaque fiançailles leur procure un billet pour un tirage au sort pour un prix de votre choix.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">11. BIOGRAPHIE DU PERSONNEL</strong></p><p> </p><p>Créez de temps en temps un message pour permettre aux clients de connaître votre personnel. Donnez une image d’eux dans votre restaurant et partagez leur plat préféré, comment ils ont commencé à l’école, où ils sont allés à l’école, leurs passe-temps et tout ce qui pourrait intéresser les gens.</p><p>Cela permet non seulement aux clients de nouer des contacts personnels avec votre restaurant, mais aussi de publier un message qui suscite beaucoup d’engagement. Vos collaborateurs sont susceptibles de commenter l\'article et de le partager avec leurs amis.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">12. PARTAGER LE CONTENU DU CLIENT</strong></p><p> </p><p>Le bouche à oreille reste l\'une des meilleures formes de publicité. Aujourd\'hui, le bouche à oreille peut prendre de nombreuses formes différentes. Les gens postent souvent sur leur expérience dans leur restaurant préféré sur Facebook pour la partager avec leurs amis.</p><p>Utilisez ces expériences positives que les gens publient à votre avantage. Partagez les meilleurs contenus que les gens publient sur votre restaurant. Cela donne aux autres clients une perspective différente de votre restaurant et il pourrait être plus efficace de les convaincre de dîner sur place.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">13. PUBLICATION DE SUJETS ET TENDANCES D\'ACTUALITÉ</strong></p><p> </p><p>Vos publications sont plus susceptibles d\'être vues et consultées sur Facebook si elles traitent de sujets d\'actualité. Recherche ce qui est déjà tendance sur Facebook dans ou dans les nouvelles locales.</p><p>Essayez de baser votre message sur un événement d\'actualité qui se produit ce jour-là, par exemple un événement sportif, et encouragez vos fans sur Facebook à interagir avec vous.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">14. PROMOUVOIR VOS ÉVÉNEMENTS</strong></p><p> </p><p>Si vous investissez beaucoup de temps et d\'argent dans l\' organisation d\'événements dans votre restaurant , vous devriez en faire la promotion sur Facebook.</p><p>Ne vous contentez pas d’un poste régulier pour promouvoir votre événement. Utilisez l\'onglet Evénements de votre page Facebook pour créer un événement . L\'un des avantages de la création d\'événements sur Facebook est que vous pouvez inviter des invités. Vos fans Facebook seront informés et ils pourront choisir s\'ils participent ou non à l\'événement. S\'ils choisissent d\'assister à votre événement, le message sera de plus en plus accessible, car leurs amis le verront peut-être aussi et seront plus enclins à y aller.</p><p>Bien que vous ne souhaitiez généralement pas dépenser de l\'argent en publicités sur Facebook, il pourrait être intéressant de relancer un événement après. La publicité des idées de publication Facebook de votre restaurant les aidera à accroître leur portée, leur engagement et à attirer plus de clients dans votre restaurant.</p><p> </p><p><strong style=\"color: var(--heading-color); font-family: var(--heading-font); font-size: var(--font-size-h2); letter-spacing: 2px; background-color: transparent;\">15. PRISE DE CONTRÔLE DE FACEBOOK</strong></p><p> </p><p>Si les gens n\'interagissent pas avec vos publications, votre contenu pourrait devenir obsolète. Avoir une nouvelle prise en charge de votre compte pour la journée pour rafraîchir les choses.</p><p>Demandez à un membre de votre personnel, à un blogueur spécialisé dans l’alimentation, à un agriculteur local ou même à une célébrité locale de s\'emparer de votre compte Facebook et de publier de son point de vue. Donnez-leur la liberté, avec quelques règles, d\'afficher tout ce qu\'ils trouvent intéressant. Vos clients apprécieront la nouvelle approche de votre style de médias sociaux.</p><p>Ce ne sont là que quelques idées de publication sur Facebook de restaurants que vous pouvez essayer sur la page de votre restaurant. Continuez à essayer de nouvelles choses et voyez ce qui fonctionne avec votre public.</p><p>Si vous avez du mal à trouver de nouvelles idées de publication dans les restaurants sur Facebook pour inciter les gens à s’engager, voyez ce que vos concurrents font qui fonctionne bien et essayez de le reproduire. N\'oubliez pas de garder votre propre style et surtout ne le prenez pas trop au sérieux. Amusez-vous avec votre publication sur Facebook et vos clients le seront également.</p><p>A vous de jouer ou confiez-nous cela <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">en savoir plus</a>!</p><p> </p>", "15 idées de posts pour animer la page Facebook de son restaurant", "Trouver avec des idées uniques de publication Facebook pour les restaurants peut être une tâche ardue.", "publish", "closed", "closed", "", "15-idees-de-posts-pour-animer-la-page-facebook-de-son-restaurant", "", "", "2023-05-31 15:28:16", "2023-05-31 13:28:16", "", "0", "https://www.kook-agency.fr/?p=3001", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("3174", "1", "2020-06-08 11:08:41", "2020-06-08 09:08:41", "<p>Traditionnellement, l’essentiel de l’activité de la restauration s’effectue en salle de restauration, canal principal de consommation, lieux de vie et source d’expériences. Ces dernières années ont cependant assisté à l’essor de deux nouveaux canaux de vente : la livraison et le click-and-collect. Aujourd’hui d’autant plus, ces deux solutions ont les arguments et permettent au secteur de se réinventer. Pour cause, elles ont l’avantage d’avoir les réponses aux diverses problématiques imposées par la crise sanitaire. Elles permettent en effet aux restaurateurs de bénéficier d’un relai d’activité et d’un levier de chiffre d’affaires. Si du côté de l’offre, les restaurateurs se sont impatienté de voir leur point de vente rouvrir, du côté des consommateurs, ces deux solutions ont aussi de quoi les satisfaire à court comme à long termes.</p><p> </p><h3>L\'importance du Click-and-Collect dans votre restaurant ?</h3> <p>Dans le secteur de la restauration, le click-and-collect s’apparente à la vente à emporter (VAE). La différence réside dans le canal de prise de commande. Le click-and-collect permet aux consommateurs de passer commande directement depuis leur mobile, tablette ou ordinateur, libérant de ce fait un temps précieux aux restaurateurs. L’intérêt et les bénéfices de cette solution sont multiples, à la fois pour les restaurateurs et les consommateurs. Adapté aux nouvelles habitudes de consommation qui découlent de l’essor massif du digital, le click-and-collect répond précisément aux attentes des consommateurs : un gain de temps lors du parcours d’achat (notamment la suppression de l’attente, connue comme un irritant majeur), une souplesse lors de la découverte des produits et du temps pour le processus de sélection.</p><p>De plus, le click-and-collect répond aux exigences du commerce ATWAD, à savoir la liberté de pouvoir passer commande quand les consommateurs le veulent, où ils le veulent et depuis n’importe quel terminal (AnyTime, AnyWhere, Any Device). En offrant un parcours de consommation omni-canal, les restaurateurs bénéficient non seulement d’un vecteur de satisfaction important, mais attirent également une nouvelle cible de clientèle. Les 18-24 ans sont notamment les plus grands consommateurs hors domicile.</p><p>Ces nouveaux canaux de consommation ne sont en aucun cas concurrent des salles de restaurations, ils viennent surtout apporter une réponse aux évolutions sociétales en cours. Le click-and-collect utilisent justement le digital afin de driver du trafic en point de vente. L’alliance du digital et du physique multiplie ainsi les points de rencontre formant l’expérience client au sens large : expérience et interface utilisateur, expérience de prise de commande, expérience du point de vente et du relationnel, et enfin l’expérience de consommation.</p><p> </p><h3><strong>Ce soir, c’est à domicile.</strong></h3><strong> </strong><p>En ce qui concerne le troisième canal de vente du secteur, la livraison a le vent en poupe depuis plusieurs années maintenant. C’est notamment le cas suite à l’avènement des agrégateurs de livraisons qui ont démocratisé ces pratiques, mais également car les solutions de livraisons proposées par les géants du numériques sont de plus en plus flexibles, instantanées et en phases avec les attentes des consommateurs. Ces nouvelles pratiquent impactent alors tous les secteurs, mais créent surtout chez les consommateurs un désir d’être servis à domicile. En répondant à ce désir, les restaurateurs s’offrent alors l’opportunité de satisfaire et fidéliser leurs clients, augmentant ainsi leurs commandes, leurs flux et leur chiffre d’affaires. De plus, les solutions digitales de livraison – et de click-and-collet – ont aussi l’avantage de permettre aux restaurateurs de développer une base de données client. Grâce à ces informations, les gérants d’un établissent bénéficient d’un regard à 360 degré sur la composition de leur clientèle, leurs habitudes et comportement de consommations. Les tableaux de bord permettent notamment d’analyser ces données, d’orienter l’activité et de mettre en place des opérations commerciale et de fidélité plus facilement.</p><p>Les français consomment de plus en plus à domicile. La fréquence de cette pratique se développe jusqu’à devenir une habitude. Dans une optique de fidélisation et d’attraction, la livraison se positionne ainsi comme un allié incontournable pour les restaurateurs. Un service de livraison permet de conserver sa clientèle et d’éviter que celle-ci fasse appel aux services concurrentiels, mais permet aussi d’augmenter ses revenus et son parc client. Salons, salles à manger, balcons, terrasses, cuisines, canapés, tous se trouvent alors transformés en salle de restaurant où l’expérience ne peut qu’être satisfaisante. Face à ce constat, nous offrons aux restaurants les moyens les plus adaptés pour se positionner sur ce marché. Restauration traditionnelle ou rapide, franchisée ou indépendante, Kook Agency permet à ses clients d’atteindre leurs objectifs de croissance grâce à un accompagnement stratégique et marketing de leur activité. Disposant également des outils les plus performants, adaptés à leur image et à leur clientèle, les restaurateurs prennent alors le contrôle de leur activité, leurs commandes, leurs livraisons et leur marketing. Kook Agency se présente alors comme la meilleure opportunité de croissance pour les restaurateurs désireux d’augmenter leur chiffre d’affaires.</p>", "Comment propulser son restaurant grâce aux solutions de livraison et de click-and-collect.", "Ces dernières années ont cependant assisté à l’essor de deux nouveaux canaux de vente : la livraison et le click-and-collect", "publish", "closed", "closed", "", "propulser-son-restaurant-grace-au-click-and-collect", "", "", "2023-05-31 15:18:05", "2023-05-31 13:18:05", "", "0", "https://www.kook-agency.fr/?p=3174", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("3492", "1", "2021-01-21 16:09:19", "2021-01-21 15:09:19", "<p><br></p>\n<h3>Depuis quelques mois, le monde de la restauration vis une crise économique forte. Le Clik&amp;Collect est devenu la manière la plus simple pour les restaurateurs de pouvoir travailler et les consommateurs adorent !</h3>\n<p><br></p>\n<h2><strong>Le click &amp; collect c’est quoi ?</strong></h2><strong><br></strong>\nLe click&amp;collect est un service proposé aux consommateurs afin qu’ils effectuent des achats et des commandent en ligne en les retirant directement en restaurant.\nLes consommateurs peuvent commander en ligne via le <a href=\"https://www.kook-agency.fr/gamme-click-kook\"><strong>site internet</strong></a>&nbsp;du restaurant, il est similaire au principe de la e-réservation. Les restaurateurs doivent gérer leurs commandes en temps réel.\n<p>&nbsp;</p>\n<section aria-label=\"Page 1\">\nLes enseignes mettent en place des pages dédiées sur leurs sites internet afin que les consommateurs puissent faire leurs choix, les acheteurs choisissent eux même le restaurant le plus près de chez eux afin de pouvoir retirer leurs commandes.\n</section>\n<p><br></p>\nPour faire exister et faire vivre votre service de Click&amp;Collect il faut avoir de bon outils.\n&nbsp;\nPremièrement, il est important d’avoir un menu digital qui donne envie !\n&nbsp;\nVotre menu digital va être la vitrine de votre restaurant et il va offrir la possibilité aux consommateurs de connaitre les produits. Afin de pouvoir maximiser les chances de donner envie aux clients, il faut que les photos du menu soient qualitatives, que les descriptions des plats soient soignées en que les descriptions mettent l’accent sur les produits spéciaux utilisés.\n&nbsp;\nIl doit être bien organisé, pour que le consommateur ait une bonne expérience client, car il favorisera à l’achat de votre client. Choisissez de mettre en place un système de paiement en ligne ou non.\n<p><br></p>\n<h2>Communiquer sur votre nouveau service Click &amp; Collect !</h2><br>\nAfin de pouvoir tenir au courant vos consommateurs du nouveau service, il est primordial de communiquer dessus. Mettez en avant sur vos réseaux sociaux le service click&amp;collect, partagez au maximum votre <strong>menu en ligne</strong>.\n<p><br></p>\nVous pouvez inciter vos clients à profiter du service Click&amp;Collect en mettant en place une réduction sur votre carte !\nVous pouvez par ce biais rassurer les consommateurs en faisant une piqure de rappel sur les protocoles sanitaires à suivre, principalement au niveau de la cuisine et au niveau du retrait des commandes. Mettez l’accent sur la présence de gel hydroalcoolique à l’entrée du restaurant, du sens de circulation établi ainsi que les distances de sécurité imposées soient respectées ainsi que le port du masque.\n<p><br></p>\n<section aria-label=\"Page 4\">\nIl est indispensable que les restaurants disposent d’un nombre de salariés mobilisés afin que l’expérience client reste positive. Les salariés doivent être formés afin d’utiliser les nouvelles technologies qui changent des approches clients habituels, car il est important qu’il soit pratique de pouvoir garantir une bonne expérience client afin d’inciter les\n</section>\n<section aria-label=\"Page 5\">\nclients à recommander. Le consommateur commande pour vivre l’expérience d’être servi à la maison, la qualité ne doit pas être mise à l’écart. Il faut donc investir dans des contenants de bonnes qualités afin d’éviter un goût désagréable, il faut aussi que le le contenant maintien au chaud et\n</section>\n<p><br></p>\n<h2>Fidélisez votre clientèle !</h2><br>\nMettez en place une carte de fidélité digitale, afin que chaque commande rapporte de points au consommateur qui bénéficiera d’un avantage la fois d’après. Le concept de la fidélisation client, est de donner l’impression aux clients qu’ils sont privilégiés. Ce principe, se développe sur les supports personnalisés avec le prénom du client, son restaurant le plus proche, ses précédentes commandes..\n<p><br></p>\nLes avantages du service de Click&amp;Collect pour les consommateurs comme pour les restaurants. Le service Click&amp;Collect permet au consommateur de gagner du temps en commandant directement en ligne, il permet aussi d’économiser les frais de port en se déplaçant. Mais ce service garde tout de même le contact humain en retirant la commande en restaurant, il permet de développer la confiance des acheteurs avec qui ils peuvent échanger sur la qualité des produits.\n<p><br></p>\nLe service de Click&amp;Collect permet de favoriser le commerce de proximité, en consommant dans des restaurants près de chez vous.\nPlusieurs outils aident à la découverte de restaurants près de chez vous, certaines communes ont développées des cartes qui permettent aux consommateurs de localiser les commerces qui pro\nposent le service du Click&amp;Collect.\n&nbsp;\nCe nouveau moyen de vente est un moyen pour attirer une nouvelle clientèle et de donner de la visibilité aux restaurants. Votre présence en ligne, donne un accès plus large est à durée indéterminée. Le service de Click&amp;Collect est plus intéressant que la livraison à domicile, vous visualiserez facilement votre retour sur investissement de même si vous mettez en place un système de réduction.\n<p><br></p>\n<p>Besoin de mettre une solution Click&amp;Collect dans votre restaurant ? Découvre notre offre <a href=\"https://www.kook-agency.fr/gamme-click-kook\">ici</a>.&nbsp; Envoyez-nous un e-mail à <a href=\"mailto:contact@kook-agency.fr\">contact@kook-agency.fr</a> un expert répondra à vos questions.</p>\n<p><br></p>		\n			<h2>COMMENÇONS UNE AVENTURE\n <b><i>INCROYABLE</i></b> ENSEMBLE\n</h2>		\n			<a href=\"http://kookagency/?page_id=4276\" data-dsn-text=\"OUR PORTFOLIO\">  LANCEZ VOUS ! </a>		\n	<a href=\"http://kookagency/\" data-dsn-text=\"Kook Agency\"  rel=\"home\" ><img width=\"1080\" height=\"566\" src=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png 1080w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-300x157.png 300w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-1024x537.png 1024w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-768x402.png 768w, http://kookagency/wp-content/uploads/2023/05/My-project-1-1-416x218.png 416w\" sizes=\"(max-width: 1080px) 100vw, 1080px\" /><img width=\"5989\" height=\"2503\" src=\"http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png\" alt=\"Kook Agency\" decoding=\"async\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png 5989w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-300x125.png 300w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1024x428.png 1024w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-768x321.png 768w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1536x642.png 1536w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-2048x856.png 2048w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1200x502.png 1200w, http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-416x174.png 416w\" sizes=\"(max-width: 5989px) 100vw, 5989px\" /></a>\n<ul>\n	<li ><a href=\"https://www.facebook.com/kookfoodagency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">FB</a></li><li ><a href=\"https://twitter.com/kook_agency\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">TW</a></li><li ><a href=\"https://www.linkedin.com/company/kook-food-agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">LN</a></li><li ><a href=\"https://www.instagram.com/kook_agency/\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">IN</a></li>\n</ul>", "Le Click & Collect dans son restaurant, une solution pour 2021 ?", "Le click&collect est un service proposé aux consommateurs afin qu’ils effectuent des achats et des commandent en ligne en les retirant directement en restaurant.", "publish", "closed", "closed", "", "le-click-collect-dans-son-restaurant-une-solution-pour-2021", "", "", "2023-05-31 15:11:28", "2023-05-31 13:11:28", "", "0", "https://www.kook-agency.fr/?p=3492", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4041", "1", "2021-06-25 12:09:19", "2021-06-25 10:09:19", "<h3>Découvrez un nouvel outil d’interaction, communiquez grâce à des chiffres pour dynamiser votre compte Instagram !</h3> <p>Les réseaux sociaux ont une place importante dans nos vies aujourd’hui surtout en tant qu’entreprise. Ils permettent de développer sa notoriété, être proche de sa cible et de les fidéliser, prospecter de nouveaux clients. Avoir de la visibilité sur le nombre de ses abonnés permet de voir l’engouement de votre entreprise. Instagram et Facebook sont les deux réseaux sociaux où se trouvent les clients, c’est pour cela que Smiirl a crée ce compteur connecté afin d’avoir un œil sur votre nombre d’abonnés en temps réel !</p><p> </p><h2>Le concept</h2> <p>Le compteur Smiirl vous permet d’attirer votre clientèle. Le compteur s’actualise lorsque vous aviez des nouveaux abonnés en temps réel.</p><p> </p><h2>Transformer vos clients en abonnés et motiver vos équipes</h2> <p>Un compteur conçut pour attirer l’œil et attiser la curiosité de nouveaux abonnés, des clients ou encore permettent de booster la motivation de votre équipe grâce aux mouvements des volets qui<br />sont divertissants à regarder.</p><p>Le compteur <a href=\"https://www.smiirl.com/fr/boutique?gclid=Cj0KCQjw_dWGBhDAARIsAMcYuJxAAqEVQ-DwHo7i1Wep0E67TCNGhKS3jptCMC6scJrNM7rkAZvvTfoaAstVEALw_wcB\">Smiirl</a> est personnalisable et vous permet également d’indiquer les chiffres que vous voulez.</p><p> </p><h2 style=\"text-align: center;\">Démarquez-vous !</h2><p> </p><h3>Dans votre boutique </h3><p>Le nombre de chaussures vendues ou<br />encore le nombres de personnes qui<br />sont rentré dans la boutique.</p><p> </p><h3>Dans votre restaurant</h3><p>Le nombre de plats ou de desserts servis !</p><p> </p><h3>Dans votre bar</h3><p>Le nombre de bières servis !</p><p> </p><p>Bref c’est vous qui décidez !</p><p>Un objet original et qui dynamisera, et habillera votre établissement par son design en bois et de plus par l’impression du logo de votre entreprise pour que tout le monde puisse voir qui vous êtes.</p><p>Alors qu’attendiez-vous ? Munissez-vous d’un compteur Smiirl !</p><p> </p>", "Smiirl - un nouvel outil marketing pour booster vos réseaux sociaux", "Les réseaux sociaux ont une place importante dans nos vies aujourd’hui surtout en tant qu’entreprise.", "publish", "closed", "closed", "", "smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux", "", "", "2023-05-31 15:03:42", "2023-05-31 13:03:42", "", "0", "https://www.kook-agency.fr/?p=4041", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4445", "1", "2022-03-11 10:00:27", "2022-03-11 09:00:27", "<p>Application mobile sortie en 2016 sous Android et IOS, TikTok s’impose désormais comme LE réseau social de partage de vidéos. Depuis son lancement, plusieurs amateurs, appelés « TikTokeur », ont par ailleurs percé et sont suivis par des milliers d’abonnés. Si ce nouveau réseau social a réussi à se démarquer de la concurrence, à l’instar des réseaux Instagram et Facebook, c’est avant tout par la pluralité des contenus : humoristiques, parodiques, artistiques, musicaux, jeux vidéo…</p><p>Parmi les secteurs qui ont le vent en poupe sur TikTok, retrouvez également les contenus culinaires dont raffolent les internautes. Recettes, astuces ou découvertes, les vidéos autour de la cuisine ne manquent pas !</p><p> </p><h2>Les vidéos culinaires qui cartonnent sur TikTok</h2> <p>Bien que la cuisine occupait déjà une certaine place sur TikTok, celle-ci n’a fait que se renforcer depuis les confinements successifs. En effet, pour occuper nos longues heures enfermées, chacun a partagé ses inventions culinaires jusqu’à instaurer des modes et des tendances « food » devenues virales sur le réseau social. Parmi celles-ci, retrouvez notamment :</p><p> </p><ul><li>Les mini pancakes et les mini donuts à plonger dans du lait (ou non) ;</li><li>La pâte à tartiner aux noisettes en 60 secondes ;</li><li>Le banana bread ;</li><li>Les pâtes à la feta cuites au four ;</li><li>Les ramens express…</li></ul><p> </p><p>Quoi qu’il en soit, les internautes veulent de l’originalité et de la simplicité avant tout !</p><p>Le « fait maison » est donc très tendance sur TikTok avec cette idée de mieux manger en continuant de se faire plaisir. Voilà pourquoi la plupart des vidéos sont gourmandes, mais très simples à réaliser chez soi et avec peu d’ingrédients.</p><p> </p><h2>Quel est l’avantage pour un restaurateur d’être présent sur TikTok ?</h2> <p><img src=\"/wp-content/uploads/2022/02/Avantage-dun-restaurateur-300x200.jpg\" alt=\"Avantage d\'un restaurateur\" width=\"300\" height=\"200\" /></p><p>Avis aux restaurateurs : directeurs d’une chaîne de restauration rapide ou de palace bistronomique, tout le monde à sa place sur TikTok ! Avec cette explosion des contenus culinaires, les professionnels tels que les restaurateurs pourraient d’ailleurs y trouver leurs comptes…</p><p> </p><h3>Se faire connaître</h3> <p>Le principe d’un réseau social est bien sûr de se faire connaître. Sur TikTok cependant, vous présenterez vos créations de façon originale et dynamique grâce au format vidéo de la plateforme. Alors, ne restez pas sur la réserve et proposez des contenus divertissants et accessibles à tous.</p><p> </p><h3>Toucher une nouvelle cible</h3> <p>L’autre avantage est qu’une communication sur TikTok passe nécessairement par l’augmentation de votre visibilité et donc, de votre notoriété si tout se passe pour le mieux.</p><p>Aussi, avec 50 % d’utilisateurs de moins de 26 ans, vous toucherez une cible plus jeune. Ce sont d’ailleurs ces derniers, férus de nouveautés et de défis, qui sont à l’origine de nouvelles tendances. Se<br />faire une place auprès de ces abonnés se présente donc comme une opportunité de convertir des prospects en clients. Ainsi, les plus jeunes séduis sur TikTok seront plus à même de venir manger chez vous et de relayer votre restaurant sur les réseaux.</p><p>Pour attirer cette clientèle, proposez avant des contenus accessibles, pour créer une proximité entre votre enseigne et vos abonnés.</p><p> </p><h2>Restauration sur TikTok : comment mettre en place sa stratégie ?</h2> <p>Convaincus par les nombreux avantages de TikTok pour votre restaurant, vous devez maintenant mettre en place votre stratégie. Evidemment, elles sont très nombreuses… De ce fait, vous devez avant tout définir celle qui sera la plus adaptée à votre cible et à vos valeurs. Pour un stratégie sur TikTok, voici nos conseils.</p><p> </p><p><img src=\"/wp-content/uploads/2022/02/Utilisation-des-hashtags.jpg\" alt=\"\" width=\"350\" /></p><h3>Utiliser les bons hashtags</h3> <p>Avant de publier vos contenus, renseignez-vous sur les hashtags les plus populaires, car ce sont eux qui contribueront au positionnement de vos vidéos dans le fil d’actualité et de recherche.</p><p>Entre 2021 et début 2022, les hashtags les plus recherchés sur l’univers de la cuisine étaient :</p><p> </p><ul><li>#tiktokfood ;</li><li>#cooking ;</li><li>#cuisine ;</li><li>#tiktokcuisine ;</li><li>#recettefacile ;</li><li>#nourriture…</li></ul><p> </p><p>N’hésitez pas non plus à ajouter des hashtags cohérents avec votre vidéo. Par exemple, si vous dévoilez votre recette de burger, utilisez un #burger.</p><p>Vous pouvez également créer votre propre hashtag : un hashtag au nom de votre restaurant par exemple, ce qui permettra à vos abonnés de vous retrouver plus facilement ! Aussi, pour que ces derniers puissent vous identifier aisément sur leurs propres publications ou dans leurs commentaires, créez un compte au nom de votre restaurant.</p><p> </p><h3>Des vidéos créatives</h3> <p>Qui dit cuisine, dit créativité, audace et originalité ! Alors, lâchez-vous et montrez à vos abonnés ce que vous faites ! Par exemple, proposez des vidéos autour de recettes exclusives, des contenus sur vos secrets de fabrication, des lives pour réaliser en direct vos meilleures recettes…</p><p>Ces contenus devront refléter votre restaurant. Soyez donc créatifs et donnez envie aux abonnés de continuer à vous suivre et même, de venir chez vous.</p><p> </p><h3>Montrer le quotidien de restaurateur</h3> <p>Ce qui a fait la renommée de TikTok, c’est la facilité de montrer des actions du quotidien de façon<br />ludique et agréable. En tant que restaurateur, faites-en de même ! Vous pourrez par exemple :</p><p> </p><ul><li>Filmer la préparation d’une commande si vous proposez ce service ;</li><li>Montrer l’organisation de vos cuisines ;</li><li>Présenter votre équipe ;</li><li>Proposer des vidéos « types » sur la réalité de plusieurs métiers au sein du restaurant (serveur,<br />sommelier, cuisinier…).</li></ul><p> </p><p>Avec ce type de contenu, vous ouvrez les portes de votre restaurant au public, même à ceux qui ne vous connaissent pas encore. Vous montrez donc une proximité avec vos abonnés, chose qui séduit particulièrement les TikTokeurs.</p><p> </p><h3>Garder le rythme</h3> <p>Sur TikTok bien sûr, mais comme sur n’importe quel réseau social, vous devez avant tout fidéliser vos abonnés. Pour cela, variez vos contenus avec les différentes idées évoquées précédemment, mais instaurez une fréquence pour tenir en haleine votre public.</p><p>Attention toutefois à ne pas être trop présent au risque de lasser vos followers. Le tout est donc de trouver le juste milieu entre des contenus variés et divertissants, mais publiés au bon moment.</p><p> </p><h2>Mars 2022 : ouverture de 300 restaurants TikTok</h2><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/02/Ouverture-des-300-restaurants-tiktok-300x169.jpg\" alt=\"Ouverture des 300 restaurants tiktok\" width=\"300\" height=\"169\" /></p><p> </p><p>Cela a été annoncé fin 2021 : TikTok va ouvrir d’ici mars 2022 près de 300 restaurants un peu partout aux États-Unis. Ces restaurants incarneront les tendances culinaires les plus suivies sur le réseau social. À la carte, retrouvez donc les pâtes au four et à la féta ou encore les célèbres recettes de wraps maison.</p><p> </p><h3>Un concept original</h3> <p>Intitulés « TikTok Kitchen », ces restaurants proposeront un service de livraison à domicile avec des recettes en perpétuel renouvellement pour garder le rythme sur les tendances culinaires TikTok. Les recettes cuisinées seront donc exclusivement basées sur la cuisine virale présente sur le réseau social.</p><p>Cependant, inutile de vous présenter à la porte de ces restaurants. Appelés « dark kitchens », ces établissements n’accueillent pas de public et sont entièrement réservés pour la préparation des repas et des commandes.</p><p> </p><h3>La place des restaurants dans ce projet</h3> <p>Vous n’y aurez pas échappé, la livraison à domicile est devenue un modèle économique sûr pour les restaurateurs ces derniers temps. Nouveauté pour certains, approfondissement d’un service existant pour d’autres, de nombreux restaurants se sont lancés.</p><p>Alors, voilà qui devrez plaire à certains professionnels : les « TikTok Kitchens » proposent aux restaurateurs de devenir « partenaires de marché ». Concrètement qu’est-ce que cela signifie ? C’est tout simplement le fait d’accueillir dans vos cuisines la préparation de commandes TikTok.</p><p>Présenté comme booste pour votre publicité auprès des jeunes publics, TikTok vous accompagnera donc encore plus loin en 2022. Pensez-y, ce partenariat avec TikTok pourrait être une aubaine pour le développement et la notoriété de votre restaurant.</p><p> </p><h3>Quelle suite ?</h3> <p>D’ici la fin de l’année 2022, l’entreprise chinoise projette d’ouvrir 1000 « dark kitchens » à travers le monde. Avec ce nouveau projet, TikTok gravit donc une marche de plus sur le podium des réseaux sociaux et se présente comme véritable concurrent pour Deliveroo et UberEats, déjà bien implantés<br />sur le marché.</p>", "Tiktok : Le réseau social au service des restaurants en 2022", "TikTok s’impose désormais comme LE réseau social de partage de vidéos.", "publish", "closed", "closed", "", "tiktok-le-reseau-social-au-service-des-restaurants-en-2022", "", "", "2023-05-31 14:56:22", "2023-05-31 12:56:22", "", "0", "https://www.kook-agency.fr/?p=4445", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4888", "1", "2022-04-15 17:15:07", "2022-04-15 15:15:07", "<p>Aujourd’hui, le digital fait partie intégrante de notre quotidien, que ce soit dans le monde professionnel ou dans le cadre familial. Il est donc difficile de passer à côté de la transition numérique, tous secteurs confondus. Et le monde de la restauration n’en fait pas exception&nbsp;!</p>\n<p>Quel serveur n’a jamais été confronté à une clientèle étrangère désireuse de découvrir les mets locaux&nbsp;? Seul problème, la barrière de la langue…</p>\n<p>De nouveaux outils se sont développés pour faciliter votre quotidien de restaurateur, dont l’application <a href=\"https://www.whatiseat.com/fr/\">WhatisEAT</a>.</p>\n<p></p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/03/Application-WhatisEAT-300x300.png\" alt=\"L\'application WhatisEAT\" width=\"300\" height=\"300\"></p>\n<h2><strong>&nbsp;</strong></h2>\n<h2><strong>Un menu digital sans la barrière de la langue avec WhatisEAT </strong></h2>\n<strong>&nbsp;</strong>\n<p>Quelle situation cocasse que cet échange entre amis&nbsp;:</p>\n<ul>\n<li>« Euh le Schweinshaxe c’est quoi déjà les amis ?! »</li>\n<li>« Mmm je crois que c’est du jarret de porc bouilli Rémi… prend plutôt le Schwarzwälder Kirschtorte c’est une valeur sûre il paraît »</li>\n<li>« Mais attend c’est pas un dessert ça plutôt ?!... »</li>\n</ul>\n<p>Restaurateurs comme clients, vous redoutez sans doute cette scène où ni l’un ni l’autre ne se comprend.</p>\n<p>WhatisEAT est une application qui vous permettra avant tout de «&nbsp;traduire votre menu&nbsp;». Vous êtes un restaurateur français&nbsp;? Votre menu sera présenté en français. Mais avec un QRCode installé sur votre table, vos clients étrangers pourront consulter la carte dans leur langue natale directement depuis leur smartphone ou leur tablette. Aujourd’hui, WhatisEAT propose plus de 30 langues&nbsp;! Encore mieux, les traductions de vos menus sont validées et certifiées par des professionnels.</p>\n<p>Un petit doute sur le QRCode&nbsp;? Notez que la technologie WhatisEAT repose sur un système de QRCodes sécurisé et fiable qui a fait ses preuves.</p>\n<p>Bien plus qu’un menu digitalisé de qualité, l’application WhatisEAT est aussi une porte d’entrée sur le multiculturalisme et la possibilité de rendre à votre clientèle étrangère une expérience facilitée dans un pays avec une langue qu’elle ne maîtrise pas forcément.</p><p><br></p>\n<h2><strong>Personnaliser son menu digital sur WhatisEAT</strong></h2>\n<p><br></p><p>L’avantage de cette application nouvelle génération dédiée aux restaurateurs, est qu’elle est entièrement personnalisable. De la typographie, au menu, en passant par votre logo et les couleurs, faites comme vous voulez ! Ajoutez-y vos plus belles photos à poster par la suite sur vos <a title=\"Réseaux sociaux\" href=\"https://www.kook-agency.fr/reseaux-sociaux\">réseaux sociaux</a> pour partager votre savoir-faire.</p>\n<p>Une suggestion du chef&nbsp;? Les plats ont dû être adaptés avec l’arrivage du jour&nbsp;? Depuis votre compte, vous modifiez votre menu à volonté. Vous aurez ainsi la possibilité de rendre votre carte attractive et à jour, ainsi que d’augmenter votre potentiel vente auprès de votre clientèle.</p>\n<p>Pour traduire votre menu, vous n’avez aucune démarche à faire. À son lancement sur le smartphone de votre client, l’application détecte automatiquement la langue de l’appareil. Pratique, non&nbsp;?</p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/03/Personnalisez-vos-menus-avec-WhatisEAT-300x300.png\" alt=\"Personnalisez vos menus avec WhatisEAT\" width=\"300\" height=\"300\"></p>\n<p>La barrière de la langue est une chose, mais qu’en est-il lorsque vos clients sont allergiques ou intolérants à certains aliments ? Avec les différences de régimes alimentaires, il est désormais vivement recommandé, et très apprécié, de préciser les particularités de certains plats&nbsp;: sans gluten, végétarien, végan… Votre application WhatisEAT se présente alors comme un réel complément pour votre menu afin de présenter tous les allergènes de vos plats.</p>\n<p>Supprimez à vos serveurs l’appréhension qu’incarne la barrière de la langue et rendez les échanges les plus fluides possible entre vos clients et votre équipe grâce à votre menu digital, compréhensible par tous.</p>\n<h2>&nbsp;</h2>\n<h2><strong>Amoureux de la tradition ? Ne délaissez pas pour autant la mythique carte</strong></h2><strong><br></strong>\n<p>Face au digital, les menus au format papier ont de quoi prendre peur. Mais les restaurateurs n’ont pas de souci à se faire avec l’application WhatisEAT. En effet, vous pourrez tout à fait conserver votre carte traditionnelle. Pensez seulement à y ajouter votre QRCode renvoyant vers votre menu multilingue pour vos clients étrangers.</p>\n<p>Ainsi, vos clients n’auront qu’à scanner ces derniers placés sur vos tables afin d’accéder à votre menu digital. Cela se passe d’une manière intuitive et sans perte de temps pour vos équipes en salle !</p>\n<p>Finalement, c’est à vous, restaurateurs, que revient l’entière décision de la place que prendra WhatisEAT dans votre établissement. Totalement engagés dans le digital, prenez le virage <a href=\"https://www.whatiseat.com/fr/\">WhatisEAT</a> en profitant de ses fonctionnalités. Désireux de conserver une image au plus près de la tradition, définissez vos besoins.</p>", "Le Menu QRCode, un atout pour les restaurateurs", "De nouveaux outils se sont développés pour faciliter votre quotidien de restaurateur, dont l’application WhatisEAT.", "publish", "closed", "closed", "", "le-menu-qrcode-un-atout-pour-les-restaurateurs", "", "", "2023-05-31 14:46:00", "2023-05-31 12:46:00", "", "0", "https://www.kook-agency.fr/?p=4888", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4946", "1", "2022-04-20 10:00:46", "2022-04-20 08:00:46", "<p>Aujourd’hui, se faire connaitre passe inévitablement par <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">les réseaux sociaux</a>. Mais pour exploiter ces outils au maximum, encore faut-il connaitre leurs codes. Sur Instagram et TikTok notamment, vous gagnerez en visibilité en utilisant le plus de hashtags possible et cohérents avec votre restaurant.</p><p>Découvrez le pouvoir des hashtags food : véritables piliers pour améliorer le référencement de vos publications sur Instagram et TikTok.</p><p> </p><h2>Le hashtag : qu’est-ce que c’est exactement ?</h2> <p><img title=\"Qu\'est-ce qu\'un hashtag ?\" src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/hashtags-food-300x200.jpg\" alt=\"Qu\'est-ce qu\'un hashtag ?\" width=\"300\" height=\"200\" /></p><p>En voilà une bonne question ! Le hashtag est une sorte de « mot-cible » qui va classer votre publication. Dans le domaine de la restauration et de la nourriture, l’un des plus populaires est le #cuisine. Ainsi, en mentionnant cet hashtag dans votre publication, elle sera référencée avec toutes les autres l’utilisant.</p><p>Aussi, sachez qu’il est possible de s’abonner aux hashtags. C’est pourquoi ils ne sont surtout pas à négliger ! En effet, des internautes abonnés aux hashtags que vous utilisez augmenteront votre notoriété et votre visibilité sur le réseau social Instagram.</p><p>De manière générale, le hashtag doit être inclus dans votre stratégie de communication. Vous devez donc penser en amont à ceux à utiliser en priorité pour votre restaurant.</p><p>Dans le secteur de la food sur Instagram, un certain nombre de hashtags peut être judicieusement utilisé. Vous entendrez alors parler de « hashtag food », autrement dit, les hashtags les plus populaires, les plus pertinents et les plus cohérents pour votre stratégie de communication sur les réseaux sociaux.</p><p> </p><h2>Les bons hashtags food selon votre secteur</h2> <p>Toutes catégories de nourritures confondues, les 15 hashtags les plus populaires en ce début d’année 2022 sont :</p><p> </p><ul><li>#food ;</li><li>#nourriture ;</li><li>#foodporn ;</li><li>#healthy ;</li><li>#parisfoodie ;</li><li>#frenchfood ;</li><li>#cuisine ;</li><li>#cuisinemaison ;</li><li>#diner ;</li><li>#lunch ;</li><li>#lunchbox ;</li><li>#patisserie ;</li><li>#gouter ;</li><li>#gourmandise ;</li><li>#gateaux ;</li></ul><p> </p><p>En plus des hashtags food populaires en 2022, il est conseillé de cibler des hashtags spécifiques à votre type de nourriture et de restauration, par exemple #foodtruck, #pasta…</p><p> </p><h3>Les hashtags de restauration italienne</h3> <p><a href=\"https://www.instagram.com/pasticcio_paris/\"><img title=\"Publication Instagram Pasticcio\" src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/Publication-Pasticcio-300x200.jpg\" alt=\"Publication Instagram Pasticcio\" width=\"411\" height=\"274\" /></a></p><p> </p><p>Avis aux pizzerias, épiceries italiennes, boutiques de pâtes fraîches et autres professionnels amoureux des plats italiens, les hashtags à privilégier sont :</p><p> </p><ul><li>#trattoria ;</li><li>#cuisineitalienne ;</li><li>#italianfood ;</li><li>#cucinaitaliana ;</li><li>#pasta ;</li><li>#pizza ;</li><li>#restaurantitalien ;</li><li>#italie ;</li><li>#italia.</li></ul><p> </p><h3>Les hashtags pour les publications d’inspiration asiatique</h3> <p><a href=\"https://www.instagram.com/bolkiri/?hl=fr\"><img title=\"Publication Instagram Bolkiri\" src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/Publication-instagram-Bolkiri-200x300.jpg\" alt=\"Publication Instagram Bolkiri\" width=\"219\" height=\"329\" /></a></p><p> </p><p>Pour les établissements asiatiques, chinois, japonais, vietnamiens ou encore thaïs, les hashtags food populaires de votre secteur sont :</p><p> </p><ul><li>#asianfood ;</li><li>#asian ;</li><li>#asia ;</li><li>#saucesoja ;</li><li>#sushi ;</li><li>#asiangirl.</li></ul><p> </p><p>Très en vogue également, il y a les restaurations ibériques et originaires de l’Amérique latine. Si vous êtes concernés, plusieurs hashtags sont pertinents comme #tapas, #sangria…</p><p> </p><h3>Les hashtags de nouvelles tendances</h3><p> </p><p>Cependant, avec les nouvelles tendances culinaires, telles que le véganisme, de nouveaux hashtags émergent comme :</p><p> </p><ul><li>#vegan ;</li><li>#glutenfree ;</li><li>#sansgluten ;</li><li>#mieuxmanger ;</li><li>#mangerbio…</li></ul><p> </p><p>Aussi, pensez à bien mettre en avant ces hashtags si vous proposez ce type de produits ou services. Vous vous démarquerez de votre concurrence et ciblerez une clientèle adepte de ce type de nourriture.</p><h2> </h2><h2>Les hashtags à ne pas oublier sur Instagram</h2><p> </p><p>Se spécialiser oui, mais n’oubliez surtout pas de parler de vous. Si les hashtags doivent permettre de « catégoriser » vos publications pour être suivies plus facilement, vous vous démarquerez davantage en créant vos propres </p><p>hashtags de marque et en ciblant vos publications.</p><p> </p><h3>Les hashtags food populaires</h3><p> </p><p>Chaque réseau social a ses codes et ses hashtags de prédilections. Sur TikTok par exemple, le hashtag à utiliser absolument sur chaque publication est le #fyp.</p><p>Sur Instagram, ce sont surtout les hashtags avec le préfixe insta. Cela nous donne par exemple, #instamood, #instafood, #instagood… Utiliser ces hashtags sur Instagram pourra augmenter votre visibilité et générer plus de vues sur vos publications et stories.</p><p> </p><h3>Les hashtags de votre marque</h3><p> </p><p>En créant des hashtags uniques à votre marque, vous allez renforcer l’aspect communautaire de votre compte. Vos abonnées pourront facilement vous identifier en suivant votre hashtag et non celui « que tout le monde utilise ». Vous donnerez ainsi plus de poids à votre publication et elle se détachera plus facilement de la masse.</p><p>Pour créer des hashtags de marque, renseignez-vous d’abord sur l’existant. Aussi, pensez à créer des variantes de votre hashtag.</p><p> </p><h3>Les hashtags d’emplacement</h3><p> </p><p>Si localiser ses publications est important, vous pouvez cibler vos posts avec les hashtags de la ville en question. Votre restaurant se situe dans le 8<sup>e</sup> arrondissement de Paris ? Utilisez les hashtags #paris et #paris8. Proches des Champs-Élysées ? N’hésitez pas à identifier l’avenue la plus célèbre de France !</p><p>Également populaire, le hashtag #oumanger + votre ville, par exemple #oumangerparis, pourrait améliorer le référencement de votre publication.</p><p> </p><h3>Les hashtags food de niche</h3><p> </p><p>Ces hashtags sont spécifiques à votre restaurant, au type de cuisine que vous proposez et à vos valeurs. Parmi les hashtags food de niche que vous pouvez utiliser dans vos publications Instagram, retrouvez : #bio, #local, #faitmaison… Avec ces hashtags food de niche, vous ciblerez plus spécifiquement votre cœur de cible.</p><p> </p><h2>Finalement, comment choisir le bon hashtag ?</h2><p> </p><p>Il est judicieux de mélanger deux types de hashtags : les hashtags populaires, aux plus proches de votre publication et les hashtags de votre marque ou plus moins ciblés, mais tout aussi pertinents. Avec ces derniers, vous créerez donc une sorte de niche.</p><p> </p><h3>Des hashtags cohérents</h3><p> </p><p>Enfin, le dernier point important, mais essentiel, est d’utiliser des hashtags cohérents avec votre publication et votre secteur. Un hashtag populaire pertinent sur une publication ne le sera pas forcément sur une seconde, même si elle représente toujours votre restaurant. Les hashtags de marque, en revanche, auront toujours une place de choix.</p><p>Si vous lancez un jeu concours, ajoutez de nouveaux hashtags tels que :</p><p> </p><ul><li>#instaconcours ;</li><li>#concours ;</li><li>#concoursinstagram.</li></ul><p> </p><p>Pour des opérations spéciales, telles que des promotions, utilisez : #promos ; #soldes…</p><p> </p><h3>Le bon nombre de hashtags</h3> <p>En théorie, il n’y a pas de nombre de hashtags imposé pour chaque publication. En pratique, c’est autre chose. Si sur Instagram vous êtes limités à 30 hashtags par post, il est inutile d’en mettre autant. En effet, en abusant sur les hashtags food populaires, votre publication pourrait se noyer dans l’amas de posts sans capter l’attention de votre cible.</p><p>Sur TikTok, vous avez moins de place pour commenter et légender votre contenu vidéo. C’est pourquoi la tendance tourne aujourd’hui à 3 hashtags par publication en moyenne.</p><p>Notre dernier conseil : prospectez constamment. Avec les nouvelles tendances culinaires, les hashtags food changent constamment. C’est pourquoi une veille améliorera votre positionnement sur Instagram.</p><p> </p><h2>Mesurer les performances de ses hashtags food sur Instagram</h2> <p>S’il est important de prospecter en amont de la stratégie, il est tout aussi vital d’évaluer les résultats de vos hashtags food. Pour cela, Instagram met à votre disposition des statistiques consultables dès 100 abonnés. De là, vous pourrez vous rendre compte de l’évolution de votre compte.</p><p>D’autres outils tels que Creator Studio, Socialbaker, Iconosquare, Hootsuite, Agorapulse ou encore Swello vous permettront de mesurer les performances de votre stratégie de communication sur Instagram. Selon la formule choisie, vous aurez accès à plus ou moins de fonctionnalités.</p><p>Enfin, fixez-vous des objectifs ! Si vous aviez une faible audience avant d’utiliser les hashtags food, consultez-vous régulièrement les interactions de votre communauté avec votre compte (likes, commentaires, abonnements, désabonnements, partages…). Vous verrez, avec vos hashtags food pertinents, cohérents et percutants, votre audience sera plus forte.</p><p>Enfin, ne limitez pas l’utilisation de vos hashtags à vos publications. Stories, réels, vidéos, les hashtags food pour votre restaurant s’appliquent partout sur Instagram. Veillez cependant à ne pas en abuser, notamment dans vos stories, car l’espace est malgré tout limité. Pour vous aider, Instagram propose des stickers de hashtags : l’internaute peut alors cliquer dessus et sera redirigé vers le contenu correspondant au ciblage du sticker.</p><p>Mettre en place une stratégie de hashtags food sur Instagram requiert donc du temps et de l’investissement si vous voulez des résultats concrets et rapides.</p>", "Les meilleurs hashtags food en 2022 sur Instagram", "Aujourd’hui, se faire connaitre passe inévitablement par les réseaux sociaux. Mais pour exploiter ces outils au maximum, encore faut-il connaitre leurs codes, notamment ceux de Instagram et TikTok ", "publish", "closed", "closed", "", "les-meilleurs-hashtags-food-en-2022-sur-instagram", "", "", "2023-05-31 14:38:12", "2023-05-31 12:38:12", "", "0", "https://www.kook-agency.fr/?p=4946", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4956", "1", "2022-04-26 11:00:46", "2022-04-26 09:00:46", "<p>Les franchises sont partout et poussent comme des champignons, tous secteurs confondus. Mode, beauté, déco, sport… S’il y a bien un domaine qui devance largement les autres, c’est la restauration. Boulangerie, restauration rapide, bar, burger, pizza, sushi et bien d’autres, aucun type de nourriture ne manque à l’appel.</p><p>Vous avez mis en place un nouveau concept de restaurant ? Vous souhaitez ouvrir un restaurant, mais ne savez pas comment faire ? Et si votre réussite passait par l’ouverture d’une franchise ?</p><p> </p><h2>Une franchise, qu’est-ce que c’est ?</h2> <p>Pour faire simple, une franchise est un moyen de communication entre un franchiseur, le propriétaire de l’enseigne et franchisé, un indépendant qui ouvre un local au nom de la marque.</p><p>En 2019, 44 % des Français souhaitant ouvrir une entreprise envisageaient de passer par une franchise (tous domaines confondus), selon une étude du CSA et de la Fédération Française de la Franchise. En effet, les avantages sont nombreux.</p><p>Cette relation entre franchiseur et franchise est conditionnée par un contrat pour une durée de 5 à 10 ans en général. Comme tout contrat, celui-ci détaille l’ensemble des obligations des deux parties dont :</p><p> </p><ul><li>Le franchiseur s’engage à transmettre au franchisé tous les contenus nécessaires au développement et à la mise en place de la structure (communication, moyens de communication, conseils…) ;</li><li>Les modalités de transmission du contenu et d’accompagnement du franchiseur ;</li><li>Le fonctionnement du réseau de franchisé de la marque ;</li><li>Les modalités de rémunération du franchisé…</li></ul><p>Enfin, notez que le franchiseur et le franchisé signent au nom de deux entreprises juridiquement différentes.</p><p> </p><h2>Comment franchiser son restaurant ?</h2> <p>Un restaurant né d’un concept, d’une idée de son créateur. Face à la notoriété croissante, vous pourriez avoir envie de franchiser votre restaurant afin de le faire évoluer à échelle nationale et pourquoi pas mondiale.</p><p>Pour franchiser son restaurant, 6 étapes importantes sont à suivre.</p><p> </p><h3>Faire valider votre concept dans un ou plusieurs points de vente</h3> <p>Si votre restaurant cartonne à un endroit, rien n’est dit qu’il en soit de même dans une autre ville. C’est pourquoi il est vivement conseillé d’ouvrir au moins un deuxième restaurant. Ainsi, vous pourrez tester la validité de votre concept et gagner en notoriété.</p><p>Lorsque vous serez prêt à recruter des franchisés, vous pourrez attester de votre présence dans au moins deux endroits.</p><p> </p><h3>Faire une étude de marché à échelle nationale</h3> <p>Si vous avez pensé à une idée de génie, d’autres l’auront peut-être eux avant vous. Réaliser une étude de marché à échelle nationale vous permettra alors de connaitre vos faiblesses et vos menaces.</p><p>Aussi, en analysant la concurrence, vos points forts ressortiront davantage. C’est dessus qu’il faudra travailler pour améliorer votre concept.</p><p> </p><h3>Enregistrer le concept dans un Manuel Opératoire</h3> <p>Dans le monde de la franchise, ce manuel opératoire est une véritable « Bible ». Cette étape très importante consiste à rédiger, synthétiser, imaginer et mettre en place toutes les procédures, méthodes et pratiques que devront respecter vos futurs franchisés.</p><p> </p><h3>Sélectionner le contrat de distribution</h3> <p>Seul un expert de la franchise pourra vous orienter au mieux. Sachez tout de même qu’il existe 4 types de contrats de distribution, dont le fameux contrat de franchise.</p><p>Le choix du contrat de distribution se fait en fonction de votre activité, de votre stratégie globale et de votre modèle économique.</p><p> </p><h3>Mettre en forme le document d’information précontractuelle</h3> <p>Obligatoire avant toute signature de contrat, le franchiseur doit le transmettre au potentiel futur franchisé. Ce document doit contenir, entre autres :</p><p> </p><ul><li>Une fiche descriptive de l’enseigne ;</li><li>L’étude de marché nationale réalisée précédemment ;</li><li>L’historique du réseau ;</li><li>Les perspectives de développement de la franchise…</li></ul><p> </p><p>Là encore, un expert dans les franchises saura vous conseiller de A à Z.</p><h3> </h3><h3>Fixer les stratégies et mises en œuvre d’animation de votre réseau de franchisé</h3><p> </p><p>Pour attirer de nouveaux franchisés et garder votre notoriété, vous devez enfin penser à plusieurs stratégies de communication, marketing, organisation des locaux… Vous devrez alors fournir à vos franchisés les clefs pour pouvoir mettre tout cela en place dans leur établissement.</p><p>Ce n’est qu’après avoir suivi ce long chemin que vous pourrez recruter vos franchisés dans les meilleures conditions. Ensuite, une communication importante sur les <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">réseaux sociaux</a> vous permettra de faire évoluer votre concept et d\'attirer de nouveaux franchisés.</p><p> </p><h2>Quels sont les avantages d’une franchise ?</h2> <p><a href=\"https://www.instagram.com/esushi_officiel/?hl=fr\"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/Franchise-e-sushi-300x200.jpg\" alt=\"Franchise E-sushi\" width=\"452\" height=\"301\" /></a></p><p> </p><p>Le principal avantage d’un franchisé dans la restauration et qu’il ouvre une enseigne bénéficiant déjà d’une certaine notoriété ! Aussi, vous bénéficiez d’une publicité à échelle nationale et d’une publicité de lancement.</p><p>En ouvrant une franchise, les frais d’étude de marché sont souvent pris en charge par le franchiseur. Aussi, le dossier financier fait partie des documents fournis par le franchiseur.</p><p>Même s’il n’existe aujourd’hui aucune étude le prouvant, il s’avère qu’un entrepreneur ouvrant une franchise à plus de change de réussir, et aussi plus rapidement, qu’un restaurant indépendant.</p><p>En revanche, le franchisé est responsable de l’image de son restaurant, de la gestion de ses stocks, de sa trésorerie, de ses équipes… En fonction de votre franchiseur, vous pourrez également avoir des frais particuliers pour l’organisation, le mobilier… du restaurant selon les « codes » de la franchise.</p><p> </p><h2>Les obligations d’une franchise dans la restauration</h2> <p>Parce qu’ouvrir une franchise n’est pas anodin, dans le secteur du secteur de la restauration il y a des règles spécifiques à respecter :</p><p> </p><ol><li>Obtenir une licence de débit de boisson ;</li><li>Déclarer la manipulation de denrées alimentaires d’origines animales ;</li><li>Respecter les règles d’hygiène et de salubrité ;</li><li>Respecter les règles relatives à l’accueil du public ;</li><li>Respecter le droit d’information du client (les prix, l’origine des produits…).</li></ol><p> </p><p>Sollicitant plusieurs domaines du droit, l’ouverture d’une franchise dans la restauration demande du temps et de la documentation. Pour vous aider dans vos démarches, il peut être judicieux de choisir un avocat spécialisé qui saura vous conseiller et vous aider en cas de litiges.</p><p> </p><h2>Devenir franchisé en 2022 : quelle franchise choisir ?</h2> <p>Chaque nouvelle année apporte son lot de palmarès et la restauration n’y échappe pas. Voici les meilleures franchises dans lesquelles investir en 2022.</p><p> </p><h3>Restauration rapide</h3><p> </p><p>Toujours plébiscitée, la restauration rapide ne connait pas les crises économique et sanitaire. Parmi les grands noms qui recrutent des franchisés, il y a :</p><p> </p><ul><li>Au P’tit Crêpe : un concept original de crêpes ;</li><li>Djawa : le premier restaurant de street food indonésienne en France ;</li><li>Bagel Corner : spécialiste des bagels et donuts, sucrés comme salés ;</li><li>McDonald’s.</li></ul><h3> </h3><h3>Restaurant à thème</h3><p> </p><p>Spécialisés, ces restaurants ciblent une clientèle amatrice de ce type de nourritures. Entre les concepts italiens, mexicains, français ou encore américains, les franchises ne manquent pas :</p><p> </p><ul><li>Pizza Del Arte : référence dans les pizzas ;</li><li>Buffalo grill : l’art de la viande ;</li><li>Oncle Scott’s : concept country et plats américains ;</li><li>Pitaya : le leader de la street food thaï en France.</li></ul><h3> </h3><h3>Brasserie</h3><p> </p><p>Elles sont le symbole de la convivialité, des planchettes apéritives et de soirées réussies proposant des produits rapides à préparer et de qualité. Les franchises concernées sont :</p><p> </p><ul><li>Au Bureau : pour un esprit anglo-saxon ;</li><li>La Taverne : des plats de caractères ;</li><li>Ninkasi : avec à la carte bières, burgers et musique</li></ul><p> </p><p>Dans les autres thématiques, vous pourriez également être intéressés par des cafés &amp; coffee shop ou encore des boulangeries.</p><p> </p><p>Quoi qu’il en soit, avant de devenir franchiseur ou franchisé, la documentation est le point de départ de toute chose.</p>", "Conseils pour développer une franchise de restaurant", "Vous avez mis en place un nouveau concept de restaurant ? Vous souhaitez ouvrir un restaurant, mais ne savez pas comment faire ? Et si votre réussite passait par l’ouverture d’une franchise ?", "publish", "closed", "closed", "", "conseils-pour-developper-une-franchise-de-restaurant", "", "", "2023-05-31 14:32:56", "2023-05-31 12:32:56", "", "0", "https://www.kook-agency.fr/?p=4956", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4963", "1", "2022-05-19 15:00:54", "2022-05-19 13:00:54", "<p>Passion ou profession, les photographies culinaires ont le vent en poupe sur internet et les réseaux sociaux. Pour dynamiser vos réseaux et gagner en notoriété auprès de vos cibles, des professionnels peuvent même <a href=\"https://www.kook-agency.fr/reseaux-sociaux#reportage-photo\">venir shooter vos prestations</a>.</p>\n<p></p>\n<h2>Le souci du détail pour ses photos culinaires</h2>\n&nbsp;\n<p><a href=\"https://www.instagram.com/poketeafactory/?hl=fr\"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/Photo-culinaire-Poketea-300x200.jpg\" alt=\"Photo culinaire Poketea\" width=\"512\" height=\"341\"></a></p>\n<p></p>\n<p>Cela va de soi&nbsp;! L’éclairage a aussi une grande importance. Vous obtiendrez d’ailleurs de meilleurs résultats avec un éclairage naturel. Le meilleur moment pour votre photo culinaire est donc le matin, lorsque la lumière est encore douce.</p>\n<p>Au-delà de la qualité, la composition de l’image est très importante pour la photographie culinaire. Pour cela, n’hésitez pas à créer une mise en scène avec des accessoires. Vous présentez une pizza&nbsp;? La bouteille d’huile d’olive sur le côté accompagnera parfaitement votre plat. Veillez cependant à ne pas surcharger vos photos. Votre préparation doit «&nbsp;respirer&nbsp;».</p>\n<p>Le support et la vaisselle sont aussi à prendre en compte. Vous présentez un plat de poisson blanc&nbsp;? Une assiette noir ou marron le fera ressortir. Chaque petit détail compte&nbsp;! Par exemple, le récipient contenant votre sauce ou votre accompagnement sont à définir en amont de la photo.</p>\n<p>Dernier point&nbsp;: une petite retouche si nécessaire. Un filtre, votre logo, une phrase d’accroche… à vous de voir ce qui est le plus pertinent pour votre communication. Cependant, attention à ce que votre retouche n’écrase pas votre photo culinaire. Votre préparation doit ressortir et rester au centre de l’attention.</p>\n<p></p>\n<h2>Food porn&nbsp;: nouvelles tendances de photos culinaires</h2>\n&nbsp;\n<p>Véritable phénomène culinaire et sociétal, le food porn a une place de taille sur les réseaux sociaux. Avant de comprendre comment le mettre en avant à travers votre marque, découvrons de quoi il s’agit exactement.</p><p><br></p>\n<p></p>\n<h3>Qu’est-ce que le food porn&nbsp;?</h3><br>\n&nbsp;\n<p><a href=\"https://www.instagram.com/hall_street_food/?hl=fr\"><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/buerge-foodporn-240x300.jpg\" alt=\"Foodporn burger\" width=\"240\" height=\"300\"></a></p>\n<p></p>\n<p><br></p><p>Le food porn est l’art de faire saliver les papilles rien qu’avec une photo. Mot valise de «&nbsp;food&nbsp;» et de «&nbsp;pornographie&nbsp;», le food porn n’a cependant rien de sexuel ou de pervers. Il s’agit simplement de photographier les plats, de telle sorte qu’ils apparaissent gourmands et débordants d’envie.</p>\n<p>Bien que très en vogue ces dernières années, le phénomène ne date pas d’hier pour autant. Dans les années 80, les marques en jouaient déjà dans leurs publicités pour présenter leurs produits plus vendeurs.</p>\n<p></p>\n<h3>&nbsp;</h3>\n<h3>Mettre en avant des photos food porn</h3>\n&nbsp;\n<p>Parce que le food porn doit «&nbsp;donner envie de manger&nbsp;», les ingrédients, plats et autres préparations culinaires doivent être sélectionnés avec soin. Si vous pensez avoir réussi vos photos, regardez-les et répondez objectivement à cette question&nbsp;: «&nbsp;cette photo, me donne-t-elle envie de manger&nbsp;? »</p>\n<p>Parmi les tendances food porn, il y a les gros burgers à la sauce dégoulinante ou encore les parts de pizza au fromage chaud et coulant. Côté sucré, retrouvez les délicieux nappages aux mille couleurs, ou les gâteaux, type moelleux ou beignets, au cœur coulant.</p>\n<p>Pour donner vie à ces photos, vous pouvez enfin prendre plus de hauteur en photographiant un saupoudrage de gâteau ou une sautée de légumes au wok.</p>\n<p>Surtout, ne profitez pas du food porn pour mentir ou présenter des produits que vous ne vendez pas. Il s’agit d’être le plus naturel possible, tout en sublimant votre plat.</p><p><br></p>\n<p></p>\n<h2>Créer une cohérence entre vos photographies culinaires</h2>\n&nbsp;\n<p>Comme pour l’ensemble de vos supports de communication, la cohérence reste le mot d’ordre. Si votre charte graphique est bleu et jaune, pourquoi proposer des photos culinaires roses&nbsp;?</p>\n<p>En revanche, ne vous fiez pas totalement à votre identité visuelle, mais aux liens qu’ont les photos entre elles. Ainsi, définissez&nbsp;et harmonisez :</p>\n<p></p>\n<ul>\n<li>Les couleurs&nbsp;;</li>\n<li>L’ambiance des photos&nbsp;;</li>\n<li>Les filtres sélectionnés…</li>\n</ul>\n<p>Pensez également à varier les contenus. Ne proposez pas uniquement des photos food porn, au risque de tomber dans la redondance. Des images plus classiques avec plus de recul seront les bienvenues.</p><p><br></p>\n<p></p>\n<h2>Restaurateurs&nbsp;: pourquoi faire des photos culinaires&nbsp;?</h2>\n&nbsp;\n<p>Faire des photographies culinaires pourquoi pas, mais à quoi ça sert réellement&nbsp;? À plein de choses en réalité.</p><p><br></p>\n<p></p>\n<h3>Présenter votre savoir-faire</h3>\n&nbsp;\n<p>Les photographies culinaires sont l’occasion parfaite pour présenter votre savoir-faire et vos plats mythiques. Au-delà de la mise en scène créée sur les photos, un produit mis en avant avec justesse attirera beaucoup plus l’attention.</p>\n<p>Enfin, il vous est aussi possible «&nbsp;d’humaniser&nbsp;» vos photos culinaires. Montrez par exemple votre pâtissier en train de préparer une pâte. Cela vous permettra de mettre en avant votre équipe et de présenter les étapes de fabrication des produits.</p><p><br></p>\n<p></p>\n<h3>Augmenter votre visibilité</h3>\n&nbsp;\n<p>Sur les réseaux sociaux, les photographies culinaires ont une grande place. Pour faire connaitre votre restaurant et augmenter votre visibilité, pensez à cibler des hashtags culinaires populaires. En 2022, ils sont encore très nombreux en plus des traditionnels #cuisine, #food… Pour les photos de food porn, on y ajoutera le #foodporn.</p>\n<p>Stories, réels ou publications classiques, la photographie culinaire et ses hashtags deviendront de sérieux atouts pour votre stratégie marketing et votre <a href=\"https://www.kook-agency.fr/referencement-naturel\">référencement naturel</a>.</p><p><br></p>\n<p></p>\n<h3>N’oubliez pas les vidéos</h3>\n&nbsp;\n<p>Ouverture prochaine d’un restaurant&nbsp;? Promotion en cours&nbsp;? Jeux-concours&nbsp;? Nouvelle recette à la carte&nbsp;? Il est grand temps de l’annoncer à votre communauté&nbsp;!</p>\n<p>Quels que soient le réseau social utilisé et le type de publications, n’oubliez pas les vidéos culinaires. Gros plan sur un plat sorti du four ou vue d’ensemble, votre cible ne sera pas insensible à ce contenu plus dynamique.</p>\n<p>Les grands chefs sont maintenant très présents sur les réseaux sociaux, alors inspirez-vous-en, tout en apportant votre petite touche personnelle&nbsp;!</p>", "Réussir ses photographies culinaires", "Passion ou profession, les photographies culinaires ont le vent en poupe sur internet et les réseaux sociaux.", "publish", "closed", "closed", "", "reussir-ses-photographies-culinaires", "", "", "2023-05-31 14:19:17", "2023-05-31 12:19:17", "", "0", "https://www.kook-agency.fr/?p=4963", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("4967", "1", "2022-06-01 09:30:52", "2022-06-01 07:30:52", "<p>La crise du covid-19 a considérablement changé nos façons de consommer, notamment les restaurants. Face à l’impossibilité de sortir de chez soi entre mars et mai 2020, les Français se sont peu à peu tournés vers la livraison de repas à domicile sur des plateformes comme UberEat et Deliveroo.</p><p>Afin de se démarquer, les restaurateurs ont également pris le pli du click and collect et de la commande en ligne. En 2022, après deux ans de crise sanitaire, où en sommes-nous ? Quelles sont les tendances en matière de click and collect et sur quelles plateformes miser ?</p><p> </p><h2>Qu’est-ce que le click and collect dans la restauration ?</h2> <p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-300x210.png\" alt=\"Click &amp; collect restaurant\" width=\"375\" height=\"262\" /></p><p>Inspiré de la grande distribution, de plus en plus de restaurateurs proposent à leurs clients le service de click and collect. Le principe est simple : le client affamé commande son repas en ligne, via une application mobile ou directement sur le site du restaurant, réserve un créneau de retrait et repart chez lui son repas en main. Rien n’est plus simple pour le consommateur, le paiement se fait directement ligne : une fois au restaurant, il n’a plus qu’à récupérer son plat.</p><p>De son côté, le restaurateur réceptionne les commandes et les traite au fur et à mesure afin de respecter les horaires de retrait. La qualité des plats reste la même, mais les cartes peuvent évoluer pour s’adapter au transport.</p><p>Limitant les contacts physiques et la vaisselle pour le consommateur, le click and collect a largement fait ses preuves pendant les longs mois de confinement en 2020.</p><p>Avec la multiplication des services, le click and collect a évolué et de nombreux restaurants proposent la livraison à domicile. Par rapport à la livraison cependant, le click and collect représentait 57 % des parts de marché pendant la crise sanitaire. Selon plusieurs sondages, 68 % des Français pensent conserver leurs habitudes de consommation, même après la crise sanitaire et la levée des gestes barrière. Ainsi, le digital adopté par les restaurateurs durant la crise pourrait bien leur être bénéfique dès à présent.</p><p> </p><h2>Comment mettre en place sa propre plateforme de service de click and collect ?</h2> <p>Que vous ayez déjà un service de click and collect ou non, êtes-vous certains d’avoir tous les outils nécessaires à son bon fonctionnement. Sinon, voici les grandes étapes pour vous lancer dans le grand bain du click and collect.</p><p> </p><h3>1.     Avoir un site de e-commerce</h3> <p>Le e-commerce, c’est le commerce en ligne ! En pleine transition numérique, le passage sur le web est donc nécessaire pour démarrer avec son service de click and collect.</p><p>Vous pourrez alors présenter votre carte, l’emplacement de votre restaurant et vos horaires d’ouvertures, très utiles pour vos clients.</p><p> </p><h3>2.     S’équiper d’un logiciel de click and collect</h3> <p>Pour faire du click and collect, un système adapté est indispensable. Nous vous présentons juste après les différents services existants.</p><p>Ce module de click and collect s’ajoute directement sur votre site internet.</p><p> </p><h3>3.     (Ré)organiser son restaurant pour une zone dédiée au click and collect</h3> <p>Eh oui, c’est essentiel ! Si vous assurez à la fois le service en salle et le click and collect, une organisation de maître est indispensable. Selon l’agencement de votre restaurant, essayez au mieux de séparer la salle et le comptoir de click and collect pour ne pas confondre les clients. Au retour des beaux jours, vous pouvez même installer votre point de retrait en extérieur.</p><p>Enfin, n’oubliez pas de faire la promotion de votre service de click and collect. Mentionnez-le sur vos réseaux sociaux et indiquez-le clairement sur votre point de retrait.</p><p> </p><h2>Quels outils utiliser pour mettre en place son propre service de click and collect ?</h2> <p>Concernant les plateformes dispensant ce type de services justement, elles ne manquent pas ! Plus ou moins connues, elles proposent chacune des services de click and collect.</p><p> </p><h3>De nombreux outils existent</h3> <p>Face au potentiel du marché, de nombreuses entreprises proposent des outils de click and collect clefs en main et totalement personnalisables. Certains sont même spécialisés dans le secteur de la restauration, comme :</p><p> </p><ul><li>Click Eat ;</li><li>Lyf ;</li><li>Flipdish ;</li><li>Tastycloud ;</li><li>Square ;</li><li>Gloria food ;</li><li>Menudrive ;</li><li>Restolabs ;</li><li>Upserve ;</li><li>Touchbistro ;</li></ul><p> </p><p>En théorie, il n’y a pas de système meilleur qu’un autre, mais seulement des plateformes plus ou moins adaptées à vos besoins. Ainsi, n’hésitez pas à comparer les prix et prestations de chaque plateforme.</p><p> </p><h3>Les plus de certains outils</h3> <p>Certaines solutions vont plus loin dans la digitalisation de vos services. Au-delà du click and collect, vous pouvez :</p><p> </p><ul><li>Proposer le paiement à table par QRCode ;</li><li>La commande à table par QRCode ;</li><li>Le pourboire dématérialisé (toujours par QRCode) ;</li><li>Le service de livraison.</li></ul><p> </p><p>Afin d’exploiter au mieux ces services, étudiez toutes les possibilités et celles qui valent vraiment le coup d’être utilisées dans votre restaurant. Le profil de votre clientèle et la dynamique de votre enseigne sont également deux facteurs à prendre en compte avant de passer à la totale digitalisation.</p><p> </p><h2>Pourquoi mettre en place un service de click and collect dans son restaurant ?</h2> <p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/04/cc-recupere-300x200.jpg\" alt=\"Click and collect\" width=\"361\" height=\"240\" /></p><p>Le click and collect dispose de nombreux avantages, pour les clients certes, mais aussi et surtout pour les restaurateurs.</p><p>Avec la digitalisation de votre restaurant, vous n’êtes pas limité par la taille de votre restaurant. Aussi, vous pouvez traiter plus de repas et donc, augmenter votre chiffre d’affaires. Présents sur le web avec un service de click and collect, vous toucherez une nouvelle cible.</p><p> </p><p>Parce que le temps c’est de l’argent, le click and collect limite aussi les erreurs de prise de commande par un serveur. Les intermédiaires entre le client et la cuisine sont donc réduits et les retours moins importants libérant les cuisiniers pour de nouvelles commandes.</p><p>Enfin, l’avantage non négligeable et qui a sans doute permis à de nombreux restaurateurs de tenir bon pendant les confinements : la limitation de contacts physiques et la possibilité de rester ouvert malgré tout.</p>", "Le click and collect et la commande en ligne : les meilleures solutions en 2022", "Les Français se sont peu à peu tournés vers la livraison de repas à domicile sur des plateformes", "publish", "closed", "closed", "", "le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022", "", "", "2023-05-31 14:10:54", "2023-05-31 12:10:54", "", "0", "https://www.kook-agency.fr/?p=4967", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("5265", "1", "2022-05-02 14:00:07", "2022-05-02 12:00:07", "<p>Avec la crise sanitaire, les restaurateurs ont bien compris que pour rester au plus près de leur clientèle, il fallait désormais passer par le numérique. Être présent là où est la cible, est un pas de plus vers la notoriété grandissante. Cependant, encore faut-il réussir son approche. C’est ainsi que le marketing d’influence s’est peu à peu glissé dans l’univers de la restauration et de l’hôtellerie. Pour y parvenir efficacement, plusieurs plateformes se sont développées, à l’instar de <a href=\"https://hemblem.app/fr\">l’application HEMBLEM</a>.</p>\n<p></p>\n<h2>Qu’est-ce que l’application HEMBLEM&nbsp;?</h2>\n&nbsp;\n<p>Développée pendant la crise sanitaire, HEMBLEM APP est une application mettant en relation restaurateurs et influenceurs.</p>\n<p>Le leitmotiv d’HEMBLEM est de développer la notoriété et la visibilité des acteurs du CHR sur Instagram et TikTok grâce au marketing d’influence.</p>\n<p>Le principe de cette application unique est simple&nbsp;: votre établissement est visible sur la plateforme à destination des influenceurs qui peuvent ainsi faire des demandes de réservation chez vous. Ainsi, vous pouvez recevoir des influenceurs dans votre restaurant chaque semaine pour promouvoir votre établissement et vos produits.</p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/05/Capture-3-hemblem.jpg\" alt=\"Hemblem : un puissant réseau d\'influenceurs\" width=\"419\" height=\"299\"></p>\n<p>En échange d’une couverture forte sur leurs <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">réseaux sociaux pour votre restaurant</a>, les influenceurs profiteront gratuitement des activités dont ils feront la promotion&nbsp;: un repas, une expérience, une nuit à l’hôtel… sous forme de contenus figés ou animés (stories, TikTok, Réels).Aujourd’hui, l’application est utilisée par plus de 3&nbsp;000 influenceurs actifs et qualifiés. Bénéficiant d’une forte notoriété, HEMBLEM propose une stratégie de marketing d’influence efficace lui permettant de fournir des résultats significatifs et d’être au plus proche de grands influenceurs.</p>\n<p>Pour profiter du puissant outil HEMBLEM et booster votre communication avec du marketing d’influence, il vous suffit de référencer votre établissement sur l’application mobile. Une équipe vous accompagnera tout le long de votre abonnement.</p>\n<p></p>\n<h2><br></h2>\n<h2><br></h2>\n<h2>Pourquoi référencer mon établissement sur HEMBLEM&nbsp;?</h2>\n&nbsp;\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/05/Capture-2-hemblem.jpg\" alt=\"Augmentez votre notoriété avec Hemblem\" width=\"595\" height=\"409\"></p>\n<p>Comme chaque année, plusieurs études ont été menées sur le marketing d’influence. Pour 2022, les chiffres ne sont pas restés sur la réserve. En effet, 49 % des consommateurs affirment conditionner leurs achats selon les recommandations d’influenceurs (étude menée par Digital Marketing Institute). Et pour 8 personnes sur 10, l’acte d’achat devient évident suite à l’avis positif d’un influenceur. (Rakuten)</p>\n<p>Pour rappel, un influenceur est une personne sollicitée par les marques pour faire connaitre à sa communauté les produits et prestations de l’enseigne en question. Évidemment, plus importante est la notoriété de l’influenceur, plus conséquent pourra être le coup de communication.</p>\n<p>Apprécié de ses abonnés, l’influenceur sait comment les aborder et leur faire passer des messages. Ainsi, les risques que votre message passe à la trappe sont largement réduits.</p>\n<p>Grâce à la notoriété des influenceurs, vous pourrez proposer des contenus variés, jugés indispensables «&nbsp;pour continuer à exister dans un univers virtuel où l’offre devient pléthorique&nbsp;», affirme le fondateur de HEMBLEM, Edouard Hausseguy.</p>\n<p><br></p>\n<p></p>\n<h2>Flexibilité du planning et retour sur investissement avec HEMBLEM</h2>\n&nbsp;\n<p>Avec l’application HEMBLEM, vous êtes en relation avec une trentaine d’influenceurs par mois pour le pack intermédiaire. C’est vous-même qui acceptez les collaborations et qui gérez votre planning avec les influenceurs.</p>\n<p></p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/05/Capture-1-hemblem.jpg\" alt=\"Mesurez vos résultats avec Hemblem\" width=\"934\" height=\"658\"></p>\n<p></p>\n<p><br></p><p><br></p><p>Au niveau des tarifs, le pack intermédiaire est à 390&nbsp;€ HT/mois. Un coût qui peut paraître conséquent pour un professionnel de la restauration et de l’hôtellerie, mais qui vous permettra de mesurer un retour sur investissement sur le long terme. Dans les statistiques fournies par HEMBLEM, vous visualiserez le nombre de personnes touchées par les contenus réalisés par les influenceurs choisis.</p>\n<p>À noter qu’il existe également deux autres offres, pour des besoins plus ou moins importants en marketing d’influence.</p>\n<p></p>\n<h2><br></h2><h2>Quel est le marché du marketing d’influence en 2022&nbsp;?</h2>\n&nbsp;\n<p>Vous l’aurez bien compris, le marketing d’influence est une nouvelle stratégie marketing faisant appel au pouvoir d’influence de leaders d’opinion sur les réseaux sociaux. D’ailleurs, 70 % d’entre eux ont entre 19 et 35 ans (étude Hootsuite), leur communauté sera donc très certainement de cette même tranche d’âge.</p>\n<p>En 2022, le marché pèse lourd. En effet, d’après une étude menée par Business Insider, le marketing d’influence est estimé à 15 milliards de dollars cette année.</p>\n<p>Devenu très populaire et rentable, 9 responsables marketing sur 10 affirment avoir déjà eu recours au marketing d’influence dans le cadre de campagnes marketing digitales (SocialPubli).</p>\n<p>Côté réseaux sociaux, c’est TikTok qui a la cote avec une croissance de +700 % en 2021 pour le secteur de la food et du snacking. Le réseau social Snapchat est également très sollicité par les influenceurs food et leur communauté. (Hootsuite)</p>\n<p>Restaurateurs aguerris ou non, soyez vigilants, car les faux influenceurs sévissent sur la toile. Avant d’en engager un, assurez-vous que ses abonnés soient de «&nbsp;vraies&nbsp;» personnes et non des robots ou des particuliers payés pour le suivre. C’est pourquoi des outils de confiance comme HEMBLEM vous mettent directement en relation avec des influenceurs qualifiés et pré-sélectionnés, pour exercer cette fonction.</p>", "Hemblem : l’appli qui met en relation les influenceurs et les restaurateurs", "HEMBLEM, c\'est l\'application qui met en relation restaurateurs et influenceurs pour développer votre marketing d\'influence.", "publish", "closed", "closed", "", "hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs", "", "", "2023-05-31 14:27:24", "2023-05-31 12:27:24", "", "0", "https://www.kook-agency.fr/?p=5265", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("5304", "1", "2022-06-29 09:30:10", "2022-06-29 07:30:10", "<p>En avril dernier, le rapport du GIEC nous a donné 3 ans pour redresser la pente avant que nos actions sur la planète ne deviennent irréversibles pour l’avenir. Si la réduction de la pollution fait incontestablement partie de nos priorités, le gaspillage alimentaire ne doit pas être délaissé pour autant.</p><p>Si chaque Français gaspille en moyenne l’équivalent d’un repas par semaine, les restaurateurs seraient responsables de 14 % de la totalité du gaspillage alimentaire en France. Et selon l’Ademe, un restaurant servant 500 couverts environ par jour gaspilleraient 15 à 20 tonnes de nourriture par an. Amis restaurateurs, il est donc grand temps d’agir. Pour vous aider, de nombreuses solutions et applications ont été mises en place !</p><p> </p><h2>3 bonnes raisons de lutter contre le gaspillage alimentaire dans son restaurant</h2><p> </p><p>Si réduire le gaspillage alimentaire semble une évidence et un acte citoyen pour les plus engagés, cette cause n’est pas encore ancrée dans les mœurs. Pleins de volonté, certains ne savent tout simplement pas comment faire pour réduire leurs déchets alimentaires, notamment au restaurant. Pourtant, il existe au moins trois bonnes raison de réduire le gaspillage alimentaire dans votre restaurant.</p><p> </p><h3>Faire des économies</h3><p> </p><p>C’est un critère non négligeable. En effet, en réduisant votre gaspillage alimentaire, les aliments achetés ne finiront pas à la poubelle et seront consommés. Pour limiter le gaspillage alimentaire tout en faisant des économies, vous pouvez :</p><p> </p><ul><li>Assurer un suivi régulier de vos stocks pour éviter de trop acheter ou de laisser les aliments se périmer ;</li><li>Privilégier la qualité à la quantité dans les assiettes ;</li><li>Miser sur des produits locaux et de saison, limitant les coûts de transport de la marchandise.</li></ul><p> </p><p>Selon l’Ademe, le gaspillage alimentaire coûterait entre 30 000 et 40 000 € aux restaurateurs chaque année. Comme quoi, il est temps de s’y mettre, vous pourriez faire une grosse différence sur votre facture annuelle.</p><p> </p><h3>La loi anti-gaspillage alimentaire pour les restaurants</h3><p> </p><p>Renouvelée régulièrement, la loi anti-gaspillage a récemment revu ses objectifs à la hausse, notamment dans les secteurs de la restauration collective et de la distribution alimentaire. Les établissements concernés devront notamment réduire de 50 % par rapport à 2015 leur gaspillage alimentaire, et ce, d’ici 2025. La restauration commerciale quant à elle, a les mêmes objectifs, mais a jusqu’en 2030 pour les atteindre.</p><p> </p><p>La loi anti-gaspillage encourage également la réduction massive du plastique. Les services de restauration rapide notamment, devront utiliser de la vaisselle réutilisable à partir de 2023. Si vous proposez la vente à emporter, vous pouvez par exemple vous tourner vers des couverts en bambou et des sacs à en papier, par exemple.</p><p> </p><h3>Améliorer votre image et répondre à la demande des consommateurs</h3><p> </p><p>De plus en plus impliqués dans la transition écologique, les Français sont pour 58 % sensibles aux restaurants transparents sur l’origine de leurs produits et leur cuisine (sondage Snaching.com, 2020).</p><p> </p><p>En privilégiant le local et en respectant la saisonnalité pour votre cuisine, vos clients se sentiront plus proches de vos valeurs. De plus, c’est un excellent sujet de <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">communication pour vos réseaux sociaux</a>.</p><p> </p><p>Bon pour la planète, votre trésorerie et la fidélisation de vos clients, la lutte contre le gaspillage alimentaire dans votre restaurant n’a que des avantages !</p><p> </p><h2>Les solutions pour lutter contre le gaspillage alimentaire dans son restaurant</h2><p> </p><p>Dans la restauration, les solutions pour lutter contre le gaspillage alimentaire ne manquent pas ! Voici notre sélection qui vous aidera sans doute à atteindre les objectifs de la loi anti-gaspillage fixés par le gouvernement.</p><p> </p><h3><img title=\"Le Doggy bag pour lutter contre le gaspillage alimentaire dans la restauration \" src=\"https://www.kook-agency.fr/wp-content/uploads/2022/05/gaspillage-alimentaire-doggy-bag-200x300.jpg\" alt=\"Le Doggy bag pour lutter contre le gaspillage alimentaire dans la restauration \" width=\"200\" height=\"300\" /></h3><h3>Le Doggy bag, pour emporter son repas à la maison</h3><p> </p><p>Très tendance et facile à mettre en place, le doggy bag contient les restes du repas d’un client qu’il peut transporter chez lui. Cela évite de jeter la nourriture et les clients peuvent prolonger les plaisirs à la maison.</p><p> </p><p>S’ils n’ont pas fini leur assiette, proposez-leur un doggy bac, ils ne connaissent peut-être pas cette pratique. A l’inverse, certains clients peuvent vous en demander un d’eux-mêmes : vous êtes alors obligés de leur fournir des récipients contenant les restes du repas depuis la loi du 1<sup>er</sup> juillet 2021.</p><h3> </h3><h3> </h3><h3>L’application ToGoodToGo, même pour les restaurateurs</h3><p> </p><p>Eh non, <a href=\"https://toogoodtogo.fr/fr\">l’application ToGoodToGo</a>, n’est pas uniquement dédiée aux particuliers ! Les restaurateurs aussi peuvent proposer des portions à prix réduits des préparations non vendues. Selon les chiffres de ToGoodToGo, près de 18 500 restaurateurs à travers l’Europe ont utilisé l’application ToGoodToGo en 2019. Cela aurait sauvé plus de 7 millions de repas et évité le rejet de plus de 18 tonnes de CO2.</p><p> </p><p>Certains restaurants créent même des partenariats avec des associations afin de redistribuer les invendus de la journée.</p><p> </p><h3>Élaborer des plats utilisant intégralement les produits</h3><p> </p><p>Vous avez l’habitude de proposer des cacahuètes ou des chips industrielles pour faire patienter vos clients en attendant leur commande ? Ce serait encore mieux avec des chips maison, non ? Les épluchures de légume pourraient devenir votre meilleur allié pour cela. L’enjeu est double : vous exploitez pleinement le légume et vous réduisez les coûts ! Si vous proposez des potages l’hiver, n’achetez plus les croûtons : utilisez le pain de la veille !</p><p> </p><p>Dans l’assiette ou après le repas, les alternatives sont nombreuses pour lutter contre le gaspillage alimentaire dans votre restaurant.</p><p> </p><h3>Conserver et faire des bocaux</h3><p> </p><p>Pour proposer une carte variée et originale en toute saison, vous pouvez faire vos propres conserves. Ainsi, vous disposerez de légumes d’été en hiver et inversement. Les conserves, les compotées ou encore les sauces maison sont aussi une excellente alternative pour utiliser les produits trop mûrs et éviter qu’ils ne pourrissent avant d’être consommés.</p><p> </p><h2>Comment communiquer sur ses engagements environnementaux sur les réseaux sociaux ?</h2><p> </p><p>Pour communiquer sur votre démarche écologique et votre engagement dans la lutte contre le gaspillage alimentaire, de nombreux outils sont à votre disposition…</p><p> </p><h3>Grâce aux réseaux sociaux</h3><p> </p><p>Outils simples à utiliser, les réseaux sociaux mettront en lumière vos engagements en faveur de la lutte contre le gaspillage alimentaire. Tandis que les stories sous format vidéo montreront les coulisses de vos cuisines, <a href=\"https://www.kook-agency.fr/blog/reussir-ses-photographies-culinaires\">vos photographies culinaires</a> pourront être axées sur les différents aspects de votre projet (chiffres significatifs...).</p><p> </p><p>Si les réseaux sociaux sont un très bon moyen pour communiquer sur cette cause, ils ne sont pas à délaisser pour votre communication globale. Démonstration de votre savoir-faire, jeux-concours, vidéos, réservations, partenariats d’influence… Instagram est à ce jour LE réseau social sur lequel les restaurateurs ont tout intérêt à être présents !</p><p> </p><h3>Le puissant outil Google</h3><p> </p><p>Vous connaissez Google Avis, mais utilisez-vous les fiches Google My Business ? Convenablement optimisées, elles permettront à votre restaurant d’être bien référencé d’un point de vue local. Comptant parmi les tendances, le gaspillage alimentaire et vos engagements écologiques complèteront certaines cases de ces fiches contribuant à votre positionnement naturel.</p><p> </p><h3>Faire fonctionner les relations de presse</h3><p> </p><p>Ce moyen sans doute moins sollicité pour la communication de votre restaurant est pourtant très utile et efficace. Très proches de l’actualité, des exclusivités et des engagements locaux, les journalistes seront certainement intrigués par votre démarche anti-gaspi !</p><p>En passant dans la presse locale, voire nationale, vous donnerez plus de visibilité à votre restaurant et attirerez de nouveaux clients, sensibles à cette cause !</p>", "Lutter contre le gaspillage alimentaire dans la restauration", "Les restaurateurs seraient responsables de 14 % de la totalité du gaspillage alimentaire en France", "publish", "closed", "closed", "", "lutter-contre-le-gaspillage-alimentaire-dans-la-restauration", "", "", "2023-05-31 14:04:36", "2023-05-31 12:04:36", "", "0", "https://www.kook-agency.fr/?p=5304", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("11888", "1", "2023-01-20 17:45:26", "2023-01-20 16:45:26", "<p>Rêve d’une vie, ouvrir un restaurant est un réel projet. En ce début 2023, la France recense d’ailleurs plus de <strong>175 000 restaurants</strong>. Pays de la gastronomie, voilà une part de notre patrimoine culturel représenté aux quatre coins de l’hexagone. Si cette richesse gastronomique est avantageusement mise à l’honneur en France, c’est aussi synonyme de <strong>concurrence</strong> pour tous les<strong> professionnels souhaitant ouvrir leur restaurant</strong>.&nbsp;</p>\n<p></p>\n<h2><strong>Comment se porte le marché de la restauration en France en 2023 ?&nbsp;</strong></h2>\n<p></p>\n<p>Inutile de le nier, le secteur de la restauration a été malmené ces trois dernières années. En cause, la crise sanitaire survenue subitement et qui a contraint les restaurateurs à baisser le rideau de nombreux mois et de façon répétée. Avec les gestes barrières lors de la réouverture et les quotas de clients acceptés, le secteur de la restauration a connu une baisse de chiffre d’affaires de 38 % entre 2019 et 2020.&nbsp;&nbsp;</p>\n<p><strong>2023</strong> pourrait donc bien être<strong> l’année du renouveau pour les restaurateurs</strong>. Alors que les températures sont douces, que les déplacements sont de nouveau possibles librement et que les touristes sont de retour, les professionnels de la restauration peuvent bien espérer que <strong>le vent tourne enfin</strong>. Ce nouvel élan est aussi profitable pour les nouveaux acteurs du marché incarnés par les entrepreneurs désireux d’ouvrir leur propre restaurant en France.&nbsp;</p>\n<p></p>\n<h2><strong>Les bonnes questions à se poser avant d’ouvrir son restaurant en 2023</strong>&nbsp;</h2>\n<p></p>\n<p>Commençons par une question à priori simple : pourquoi ouvrir son propre restaurant en France en 2023 ? Alors que la cuisine est synonyme de partage et de convivialité pour certains, elle est avant tout symbole de mets raffinés et gourmets pour d’autres. Et vous, quelle est votre motivation pour ouvrir votre propre restaurant ?&nbsp;</p>\n<p>Ce <strong>projet de taille</strong> ne pourra pleinement se concrétiser si vous n’avez pas conscience des responsabilités qu’il incombe ni des risques. En effet, près de <strong>60 % des restaurants mettent la clé sous la porte seulement trois ans après leur ouverture</strong>. Pourquoi ? Les réponses sont multiples… Si la qualité de la cuisine peut être remise en cause, la situation géographique du restaurant ou encore l’amabilité du personnel peuvent être des facteurs déterminants.&nbsp;</p>\n<p></p>\n<h2><strong>Aussi, commencez par vous poser ces questions avant de sauter le pas :&nbsp;</strong></h2>\n<p></p>\n<ul>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\"><strong>Êtes-vous prêts</strong>, mentalement, physiquement et financièrement à amorcer un tel projet ?</li>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">Avez-vous les <strong>compétences</strong> requises pour assurer la restauration de votre établissement ?&nbsp;</li>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">En quoi votre cuisine sera-t-elle différente de celle de vos <strong>concurrents</strong> ?&nbsp;</li>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">S’il s’agit de votre <strong>premier restaurant</strong>, êtes-vous à jour avec les nombreuses réglementations en vigueur ?&nbsp;</li>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">Avez-vous déjà <strong>une carte en place</strong> ?&nbsp;</li>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">Avez-vous des <strong>collaborateurs</strong> ? En voulez-vous ? En avez-vous besoin ?&nbsp;</li>\n</ul>\n<p>Si cette liste n’est pas exhaustive, ces <strong>questions</strong> préliminaires restent <strong>essentielles</strong>. Adaptez-les à votre situation et à vos besoins. Surtout, soyez honnête avec vous-même pour que l’exercice prenne tout son sens. C’est en <strong>déterminant</strong> vos <strong>faiblesses</strong> et les <strong>risques</strong> du projet au plus tôt que vous pourrez les <strong>anticiper</strong> et <strong>trouver des solutions fiables et durables.</strong><strong>&nbsp;</strong></p>\n<p></p>\n<h2><strong>Les 4 étapes avant d’ouvrir son restaurant&nbsp;</strong></h2>\n<p></p>\n<p>Votre projet de restaurant en tête, ne vous lancez pas à la légère et procédez par étapes. Lors de l’ouverture officielle, vous serez prêts à accueillir vos premiers clients.&nbsp;</p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2023/01/img2.png\" alt=\"Ouvrir son restaurant en 2023\" width=\"782\" height=\"430\"></p>\n<h3>&nbsp;</h3>\n<h3><strong>Réaliser une étude du marché&nbsp;</strong></h3>\n<p></p>\n<p>Avant d’ouvrir votre restaurant, il convient de mener une étude approfondie. Aussi, l’étude de marché comprend 4 étapes clés :&nbsp;</p>\n<ol>\n<li><strong>L’analyse du marché</strong> : comprendre et étudier les tendances 2023 du marché de la restauration ;&nbsp;</li>\n<li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\"><strong>L’analyse de la demande</strong> : établir un « client type » de votre restaurant en définissant ses besoins, ses attentes, mais aussi ses freins (alimentaires, financiers…) ;&nbsp;</li>\n<li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\"><strong>L’analyse de l’offre</strong> : de façon générale, il s’agit d’étudier la concurrence locale (tarifs, profil de la clientèle, notoriété…) ;&nbsp;</li>\n<li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\"><strong>L’étude des réglementations et des démarches à mener</strong> : règles d’hygiène, enregistrement de l’établissement, obtention de licences…&nbsp;</li>\n</ol>\n<p>Cette étude de marché est à prendre <strong>très sérieusement</strong> pour <strong>étudier</strong> toutes les <strong>opportunités</strong> et les <strong>menaces</strong> relatives à votre activité.&nbsp;</p>\n<p></p>\n<h2><strong>Définir l’identité et le concept du restaurant&nbsp;</strong></h2>\n<p></p>\n<p>Vous ne pourrez pas espérer lancer votre business avant d’avoir défini le <strong>type de restaurant</strong> que vous souhaitez : ouvrir un restaurant à votre image ou implanter une franchise. Si cette dernière vous permet de profiter de la notoriété déjà établie d’une grande enseigne, la première vous offrira le champ des possibles en matière de concept et d’identité visuelle.&nbsp;</p>\n<p><strong>L’identité du restaurant est importante</strong>, car elle permet de créer une image de marque. De cette façon, vous serez facilement reconnaissable par vos prospects.&nbsp;</p>\n<p>Enfin, attardez-vous sur le concept de votre restaurant et ses valeurs :</p>\n<p>&nbsp;</p>\n<ul>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">Que voulez-vous mettre en avant à travers votre cuisine ?&nbsp;</li>\n</ul>\n<ul>\n<li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" data-aria-posinset=\"1\" data-aria-level=\"1\">Comment se caractérise-t-elle : traditionnelle, végétarienne, exotique… ?&nbsp;</li>\n</ul>\n<p>Tout est possible ! Toutefois, sachez qu’en 2023 les clients <strong>privilégieront</strong> les restaurants prônant une <strong>cuisine</strong> <strong>de saison</strong>, favorisant un circuit court et soucieuse de la <strong>traçabilité</strong> et de la <strong>qualité des produits.</strong><strong>&nbsp;</strong></p>\n<p></p>\n<h2><strong>Prévoir son budget et son plan de financement&nbsp;&nbsp;</strong></h2>\n<p></p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2018/06/creation-identite-visuel.jpg\" alt=\"Financement restaurant\" width=\"254\" height=\"170\"></p>\n<p>&nbsp; </p>\n<p>Même dans la restauration, <strong>l’argent reste le nerf de la guerre</strong>. Sans financements, vous ne pourrez tout simplement pas louer ou acheter de local, investir dans du matériel professionnel, ni rémunérer vos équipes. Votre étude de marché effectuée au préalable, vous pourrez anticiper les postes de dépenses les plus importants et mobiliser les ressources nécessaires. Dans votre <strong>budget</strong>, n’oubliez pas d’allouer une certaine somme à la <strong>communication du restaurant</strong> (identité visuelle, communication sur les réseaux sociaux, site web…).</p>\n<p>&nbsp;</p>\n<h2><strong>Équiper son restaurant&nbsp;</strong></h2>\n<p></p>\n<p>De la cuisine à la salle de réception, il convient également <strong>d’investir dans du matériel adéquat</strong> avant d’ouvrir officiellement votre enseigne. Le budget établi, vous serez en mesure d’investir dans des <strong>équipements professionnels</strong> et <strong>conformes</strong>. Si vous reprenez un ancien restaurant, la cuisine sera peut-être déjà installée (batterie, congélateur, four…). <strong>Avant l’ouverture</strong>, assurez-vous néanmoins que <strong>tout fonctionne</strong> et que les <strong>règles d’hygiène</strong> soient acquises pour tous vos salariés cuisiniers, serveurs, barmans…&nbsp;</p>\n<p></p>\n<h2><strong>Les clés pour faire perdurer son restaurant en 2023</strong>&nbsp;</h2>\n<p></p>\n<p>Maintenant que votre activité est lancée, encore faut-il la faire connaître pour ne pas essuyer un échec.&nbsp;</p>\n<p>Pour cela une seule chose : la <strong>communication</strong>. Aujourd’hui, un restaurant, quel qu’il soit, ne peut espérer se faire connaître que grâce au bouche-à-oreille. Si créer <strong>un site internet</strong> est une possibilité,<strong> une alternative</strong> <strong>gratuite</strong> et <strong>plus rapide</strong> à mettre en place sera tout aussi efficace : la <strong>création </strong>d’une<strong> page Google My Business</strong>. À jour, cette dernière permet de <strong>référencer votre établissement sur Google.</strong> Comment ? C’est très simple. Imaginons que vous soyez propriétaire d’une pizzeria à Marseille et qu’un Marseillais cherche justement un endroit où déjeuner. <strong>Grâce à la géolocalisation sur les appareils mobiles</strong>, s’il entre la requête « restaurant italien Marseille » sur Google, <strong>votre restaurant sera plus susceptible de s’afficher parmi les premiers résultats.</strong> Les résultats de ce type de recherche étant basés sur la proximité, la fiche Google My Business est <strong>un atout</strong> certain et <strong>une opportunité pour attirer de nouveaux consommateurs</strong> dans votre restaurant.&nbsp;</p>\n<p></p>\n<p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2022/02/Les-videos-culinaires-242x300.jpg\" alt=\"Réseaux sociaux restaurant\" width=\"242\" height=\"300\"><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p><br></p><p>Enfin, une <strong>communication sur les réseaux sociaux</strong>, notamment Instagram et&nbsp;<a href=\"https://www.kook-agency.fr/blog/tiktok-le-reseau-social-au-service-des-restaurants-en-2022\">TikTok</a>, est un bon moyen de vous <strong>faire connaître </strong>tout <strong>en vous démarquant de votre concurrence.</strong> Photos, vidéos, réels, il s’agit d’un moyen simple de <strong>présenter votre savoir-faire</strong>, <strong>d’étendre votre notoriété</strong> et de<strong> créer une communauté.</strong> Attention, car il ne s’agit pas de publier une belle photo du restaurant de façon aléatoire. <strong>Une stratégie doit être mise en place</strong> et le compte doit être tenu de façon <strong>professionnelle</strong>. Aussi, tournez-vous vers <a href=\"https://www.kook-agency.fr/?gclid=Cj0KCQiAlKmeBhCkARIsAHy7WVsmH-CQP6LOg-wbElmJpLNwMuC5eVhVt8JQPl6dwld_zE-FnFq51S4aAlZ6EALw_wcB\">une agence de communication spécialisée dans la restauration</a> pour votre <strong>communication digitale</strong>. Cette dernière saura <strong>mettre en lumière</strong> votre expertise grâce à des piliers forts et judicieusement mis en place.&nbsp;</p>", "Le guide pour ouvrir son restaurant en 2023", "Rêve d’une vie, ouvrir un restaurant est un réel projet.", "publish", "closed", "closed", "", "le-guide-pour-ouvrir-son-restaurant-en-2023", "", "", "2023-05-31 13:56:27", "2023-05-31 11:56:27", "", "0", "https://www.kook-agency.fr/?p=5410", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("6133", "1", "2023-04-17 15:02:56", "2023-04-17 13:02:56", "<h1 aria-level=\"1\">Pourquoi est-il important de gérer les avis négatifs de son restaurant en 2023</h1><p> </p><p>Répondre aux avis clients sur internet est un art que tout restaurateur se doit de maîtriser. Pourquoi ? Parce que les avis, positifs et négatifs, impactent la prise de décision et le passage à l’acte des autres consommateurs. Et qui de mieux pour juger la qualité de votre cuisine et l’amabilité de votre personnel que vos clients. Indépendamment de leur âge ou de leur catégorie socio-professionnelle, plusieurs outils leur permettent de s’exprimer sur l’expérience vécue dans votre restaurant le temps d’un café ou d’un repas. </p><h2 aria-level=\"2\">Avis clients : menaces ou opportunités ? </h2><p> </p><p>Les avis clients en disent long sur la qualité des services et des prestations proposés dans un restaurant. Si certains y voient une menace, pensez plutôt à la visibilité que vous pourriez en tirer. </p><h4 aria-level=\"3\">Les avis peuvent améliorer l’image de votre restaurant </h4><p> </p><p>Si votre restaurant est « the place to be », donnez l’occasion à vos clients de s’exprimer sur ce lieu d’exception sur internet. La toile vous permettra en effet d’attirer de nouveaux clients, comme des touristes de passage dans la région ou même des journalistes en quête d’un sujet pertinent. Bien sûr, plus la note est élevée, généralement sur 5 étoiles, meilleure sera votre image. </p><h4 aria-level=\"3\">Attirer de nouveaux clients </h4><p> </p><p>Pour faire l’analogie, les avis clients correspondent au bouche-à-oreille 2.0. Votre restaurant à un score 4.7/5 avec plus d’une centaine d’avis Google ? Sachez qu’il vous est possible d’apposer un macaron sur votre devanture ou vos différents supports de communication (affiches, menus, flyers, site internet…). Les passants, sans même être connectés, pourront se faire une impression très rapide de votre établissement. </p><h4 aria-level=\"3\">Améliorer votre positionnement naturel </h4><p> </p><p>Rarement mentionné, le référencement naturel, ou SEO, de votre restaurant est également impacté en fonction des avis clients. Sont alors pris en compte : </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\"><b>Le nombre total d’avis</b> : une moyenne de 500 avis aura plus de poids que 10 pour le SEO ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\"><b>Le degré de confiance des sites hébergeant les avis</b> : misez sur des sites fiables et reconnus pour leur impartialité et l’authenticité des avis diffusés ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\"><b>Votre score</b> : plus la note est proche de 5, meilleur est le score. </li></ul><p> </p><p>En définitive, ne pensez pas aux risques des avis négatifs et misez davantage sur la qualité de votre cuisine et les compétences de votre personnel pour inciter les clients à laisser des avis (les plus positifs possible). Face à la très forte concurrence des restaurants, un coup de pouce pour votre SEO sera le bienvenu ! </p><h2 aria-level=\"2\">Comment répondre aux avis clients négatifs ? </h2><p> </p><p>Parce qu’ils peuvent être difficiles à accepter, les avis clients négatifs en disent long et ont une grande part dans l’e-réputation de votre entreprise. </p><h4 aria-level=\"3\">Répondre rapidement </h4><p> </p><p>En moyenne, <b>il convient de répondre dans un délai de 72 heures maximum</b> (soit 3 jours) après la parution de l’avis négatif. Vous montrerez ainsi à votre audience que vous prenez au sérieux ses remarques et que vous êtes réactifs. Face à des avis négatifs, attention à ne pas répondre à chaud, surtout si vous jugez la critique injustifiée. Dans une telle situation, laissez-vous 24 heures pour réagir de façon constructive à l’avis négatif. </p><h4 aria-level=\"3\">Rester courtois </h4><p> </p><p>Répondre aux avis négatifs demande beaucoup de self-contrôle. Parfois vulgaires, voire injurieux, les avis négatifs peuvent blesser. Que vous les jugiez légitimes et constructifs ou non, il est essentiel de prendre sur vous et de rester poli. L’une des façons d’amortir la situation et de préciser à l’internaute que vous avez pris connaissance de ses remarques et que vous allez procéder à des changements et à une mise au point avec votre équipe. </p><h4 aria-level=\"3\">S’excuser </h4><p> </p><p>Si certains messages de clients ne font pas sens à vos yeux, d’autres reflètent pourtant bien ce qui s’est vraiment passé dans votre restaurant. Bien entendu, des accidents arrivent (plateau renversé, plats servis froids, mauvaise commande…). Il y a donc de fortes chances que l’incident soit diffusé sur les réseaux sociaux, impactant votre image. Dans ce cas, <b>excusez-vous et reconnaissez vos torts</b>.  </p><p> </p><p aria-level=\"3\">Ce qu’il ne faut pas faire en répondant aux avis négatifs </p><p>Premièrement, <b>relisez-vous bien avant de publier votre réponse à un avis négatif</b>. Vérifiez la syntaxe de vos phrases, l’absence de fautes d’orthographe et de fautes de frappe. Deuxièmement, veillez à <b>répondre de façon claire et concise</b> sans philosopher sur le problème. Dernièrement, évitez les réponses automatiques ou les messages répétés d’un avis à un autre. Ess<b>ayez de personnaliser au mieux votre réponse selon l’avis négatif</b>. </p><p>Pensez-y, un message dupliqué, peu compréhensible et rempli de fautes donnera une occasion de plus aux internautes mécontents de vous critiquer. Cela risquerait également de vous décrédibiliser aux yeux des internautes en quête d’une nouvelle adresse à découvrir.  </p><h2 aria-level=\"2\">Où répondre aux avis négatifs ? </h2><p> </p><p>De manière générale, il faut répondre aux avis clients sur toutes les plateformes sur lesquelles votre établissement apparaît. Actuellement, les avis Google ont une grande importance et sont très regardés par les internautes. Les clients peuvent effectivement noter votre restaurant entre 1 et 5 étoiles et laisser un commentaire donnant un aperçu général de votre restaurant à vos prospects. D’autres outils existent, notamment ceux où vous êtes référencés comme TripAdvisor ou les réseaux sociaux (notamment Facebook qui propose également un système de notation). Sur votre site internet, il vous est également possible de permettre à vos clients de laisser un avis. </p><p>C’est à vous de déterminer les canaux sur lesquels les clients pourront réagir quant à l’expérience proposée dans votre restaurant. Quoi qu’il soit, vous devez cependant suivre les mêmes règles face aux avis négatifs à savoir : </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Rester aimable </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Être réactif </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Présenter vos excuses </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Proposer une réponse limpide</li></ul><p> </p><p>Une autre option consiste à laisser un livre d’or à disposition de vos clients. L’avantage est que les avis négatifs resteront confidentiels et n’entacheront pas votre image. En revanche, les avis positifs ne seront connus que de vous. </p><h2 aria-level=\"2\">Les solutions pour se défendre face à un avis négatif sur votre restaurant </h2><p>Anonymes et cachés derrière leur écran, il n’est pas rare que des clients aggravent les faits et qu’un malentendu survenu durant votre dernier service éclate en insultes dans les commentaires. Comment réagir ? Que répondre ? Existe-t-il des outils pour signaler de tels commentaires ? </p><h4 aria-level=\"3\">Répondre à l’avis négatif en privé </h4><p> </p><p>Selon le retour client diffusé sur internet, il peut être judicieux de <b>faire un geste commercial à l’internaute concerné</b>. Il ne s’agit pas de l’acheter, mais de lui montrer que vous êtes avenant et que vous avez pleinement conscience de la gêne occasionnée. Ce geste donnera la possibilité à votre détracteur de renouveler sa visite chez vous et de laisser un avis positif. </p><p>Dans ce cas, répondez-lui en privé. En proposant un dédommagement financier publiquement (une remise sur la prochaine addition…), il y a de fortes chances pour que d’autres clients en fassent la demande. </p><h4 aria-level=\"3\">Signaler un avis </h4><p> </p><p>Certains clients cependant, n’ont qu’un seul but : la méchanceté gratuite au détriment de votre image. Ces clients ont l’habitude de grossir la situation jusqu’à vous insulter dans votre commentaire. Face à de tels comportements, <b>vous pouvez vous défendre en signalant l’avis négatif</b>. Plusieurs plateformes comme Google, Facebook ou encore TripAdvisor le permettent. Soyez néanmoins patients, car les signalements demandent un certain délai d’analyse. Cela permet de contrôler la légitimité de votre demande. Aussi, il est inutile de signaler un simple avis négatif (sans insulte par exemple), car il y a peu de chance pour que la requête aboutisse à un retrait du commentaire. </p><h4 aria-level=\"3\">Supprimer un avis </h4><p> </p><p>Un dernier recours consiste à <b>supprimer un avis que vous jugez compromettant pour l’image de votre restaurant</b>. Sur la fiche Google My Business de votre établissement, c’est tout à fait possible. Sachez qu’il faudra au préalable l’avoir signalé. La suppression d’un avis Google peut alors se faire de trois façons différentes : </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Sur Google Maps</li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Sur les recherches Google</li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\">Depuis votre compte Google</li></ul><p> </p><p>Dès lors que l’avis est supprimé de la recherche Google, il l’est également de Google Maps et réciproquement, car les deux services sont liés. </p><h2 aria-level=\"2\">Et les avis positifs alors, comment les traiter ? </h2><p> </p><p>Propriétaire de restaurant vous en conviendrez, tous les clients doivent être traités de la même façon. C’est pourquoi tous les avis clients, qu’ils soient positifs ou négatifs, doivent être pris en considération avec la même importance. Alors, même si les avis négatifs blessent, n’oubliez pas les avis positifs. Le moment passé par un client mécontent dans votre restaurant n’est pas le même que celui de la table voisine. Si les avis négatifs relatent un problème, ayez conscience que <b>les avis positifs ont été rédigés par des personnes qui ont pris le temps de partager leur expérience</b>. Aussi, <b>remerciez-les</b> et dans un délai le plus court possible également. </p><p> </p><p>Gardez en tête que de nombreux internautes consultent les avis clients et les réponses du propriétaire avant de se rendre dans un restaurant. En répondant à tous les avis, vous montrerez que vous accordez autant d’importance à toutes les remarques et que vous êtes proche de votre clientèle. Vous améliorerez alors votre réputation et votre e-réputation. Là encore, les règles de bienséance et la qualité de la syntaxe sont de mise.</p>", "Gérer les avis négatifs de son restaurant en 2023", "Répondre aux avis clients sur internet est un art que tout restaurateur se doit de maîtriser.", "publish", "closed", "closed", "", "gerer-les-avis-negatifs-de-son-restaurant-en-2023", "", "", "2023-05-31 13:47:31", "2023-05-31 11:47:31", "", "0", "https://www.kook-agency.fr/?p=6133", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("6136", "1", "2023-04-21 15:33:34", "2023-04-21 13:33:34", "<p>Instagram est un réseau social incontournable pour les restaurateurs. En effet, grâce à ses fonctionnalités de partage de photos et de vidéos, il permet de mettre en valeur les plats, l’ambiance et les événements de votre restaurant. Connaissez-vous cette fonctionnalité du réseau social Instagram : les messages ? Bien utilisés, ces derniers se présentent effectivement comme <b>un atout redoutable pour attirer de nouveaux clients et fidéliser les habitués</b>. Astuces, conseils et techniques, les voici !</p><p> </p><h2 aria-level=\"2\">Restaurateurs et Instagram : pourquoi est-ce important d’avoir un compte actif sur le réseau social en 2023 ? </h2><p>Instagram, c’est la nouvelle vitrine des restaurateurs ! Ambiance, style, image de marque, cuisine et bien d’autres, l’internaute, en arrivant sur votre page Instagram doit se dire « C’est là que je veux aller ! ». Pour cela, il est primordial de comprendre les enjeux pour votre restaurant qui se cachent derrière Instagram pour gagner en abonnés et en clientèle. </p><h5 aria-level=\"3\">Mettre en valeur votre cuisine et vos équipes </h5><p> </p><p>Photos, vidéos plus longues ou formats courts grâce aux Réels, <b>les possibilités de contenus sont multiples</b> pour les restaurateurs. Aussi, la mise en page de vos publications offre une infinité de créations possibles et imaginables,  alors<a href=\"https://www.kook-agency.fr/reseaux-sociaux\">optimisez vos réseaux sociaux</a>. Pour que la magie opère auprès de vos abonnés, vous devez néanmoins leur proposer un contenu au moins aussi qualitatif que votre cuisine : photographies parfaites, illustrations originales et en accord avec votre identité visuelle. </p><h5 aria-level=\"3\">Une proximité avec la clientèle </h5><p> </p><p>En maintenant à jour le compte Instagram de votre restaurant, vous envoyez une image positive de votre enseigne à vos abonnés et à votre clientèle. Parce qu’ils sont ultras connectés et présents en nombre sur le réseau social Instagram, ils seront également tenus au courant en premier des actualités de votre restaurant. Menu du jour, ouverture exceptionnelle, soirée spéciale… Tenez-les informés de la vie de votre commerce. <b>Ces abonnés se sentiront proches de vous</b> et vous, proches d’eux en retour.</p><p> </p><p>Réactions aux publications, jeu-concours, partages, likes, laissez faire la machine une fois en marche : vos abonnés sont votre plus belle vitrine pour votre restaurant. </p><h5 aria-level=\"3\">Un lien direct avec votre site internet </h5><p> </p><p>Voilà qui devrait ravir tous les restaurateurs disposant aussi bien d’un site internet que d’un compte Instagram : <b>les deux outils se répondent</b> et c’est un avantage considérable pour l’engagement des abonnés et la fidélisation de la clientèle ! </p><p> </p><p>Dans votre bio Instagram, à côté de votre image de profil (judicieusement, votre logo), en plus d’expliquer très succinctement vos valeurs, <b>proposez un Linktree</b>. Il s’agit d’un lien unique qui permet aux internautes de se rendre sur votre site en choisissant directement la page qu’ils souhaitent consulter, <b>très pratique pour commander rapidement</b>. Souvent, les liens du Linktree renvoient vers ces pages :</p><p> </p><ol><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Accueil</li><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Menu (optionnel, si votre site dispose d’une page dédiée)</li><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Commander (optionnel, si votre site dispose d’une page dédiée)</li><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">L’adresse de votre/vos restaurant(s) directement sur GoogleMaps… </li></ol><p> </p><p>De multiples possibilités s’offrent à vous.</p><p> </p><p><img src=\"https://www.kook-agency.fr/wp-content/uploads/2023/04/Les-Fondus-de-la-Raclette-FR-@lesfondusdelaraclette_fr-Instagram-Google-Chrome.jpg\" alt=\"\" width=\"624\" height=\"214\" /></p><p> </p><p>Sur votre site internet développé grâce à un CMS comme Wordpress, vous pouvez <b>également intégrer les dernières publications apparaissant sur votre feed Instagram</b>. Un visiteur découvrant votre restaurant grâce à votre site pourra rapidement se rendre sur votre compte Instagram. De cette façon, <b>vous multipliez les canaux et les points d’entrées pour attirer les prospects jusqu’à vous</b>. </p><p> </p><h2 aria-level=\"2\">Messages Instagram : à quoi servent-ils ? </h2><p> </p><p>Restaurateurs aguerris que vous êtes, vous le savez sans doute : dans le secteur de la restauration et de la food en général, la concurrence est féroce. Les restaurateurs doivent trouver des moyens créatifs et efficaces pour se démarquer et attirer de nouveaux clients tout en fidélisant les anciens. C’est là que les messages Instagram entrent en jeu. Avec plus d’un milliard d’utilisateurs actifs mensuels, <b>Instagram est l’un des réseaux sociaux les plus populaires au monde</b>, offrant aux restaurateurs une opportunité sans précédent de toucher un public large et engagé. </p><p> </p><p>L’info Kook : les messages sont accessibles en appuyant sur l’icône de l’avion en papier en haut à droite de votre écran sur Instagram. </p><h5 aria-level=\"3\">Permettre aux internautes de vous contacter en privé </h5><p> </p><p>Lorsqu’un abonné vient vous parler par message, donc de façon totalement privée, cela se passe entre vous et lui, <b>ce dernier a bien souvent une question en tête</b>. Proposez-vous des plats végans ? Votre cuisine est-elle faite maison ? Disposez-vous d’une terrasse ? Comment réserver une table pour 20 h le mardi 28 mars ? </p><p>Si l’internaute a fait la démarche de venir vers vous, vous devez <b>absolument lui répondre, et ce, dans les plus courts délais</b>. Autrement, il se sentira délaissé ou vous renverrez une mauvaise image de votre gestion de compte. </p><p>Pensez-y : la fonctionnalité « Messages » d’Instagram ne fonctionne pas que dans un sens. Vous aussi pouvez contacter vos abonnés et les raisons sont nombreuses : </p><p> </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Lui demander des explications quant à la publication de commentaires que vous jugez inappropriés sur votre dernière vidéo ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Le remercier pour le commentaire qu’il a posté ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\">L’informer en privé qu’il a gagné le jeu-concours et lui expliquer les modalités de retrait du lot… </li></ul><p> </p><p>Vous n’en avez pas l’utilité pour le moment ? Au moins, vous savez que cette fonctionnalité existe le jour où le besoin s’en fera ressentir ! </p><h5 aria-level=\"3\">Une opportunité avec les influenceurs </h5><p> </p><p>Ne l’oubliez jamais : tous vos abonnés ne sont pas de simples fans de votre cuisine. Certains influenceurs vous suivent. <b>Et si des influenceurs food vous suivaient ?</b> Pourquoi le feraient-ils ? Pour montrer à leurs milliers d’abonnés que vous êtes professionnels et que votre restaurant est parfaitement implanté, par exemple. Après tout, c’est la vérité n’est-ce pas ?  </p><p>Comment trouver des influenceurs food ? </p><p> </p><p>Plusieurs options sont possibles :</p><p> </p><ol><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"4\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Chercher vous-mêmes des influenceurs food suivis par une large communauté et les contacter ; </li><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"4\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Demander à une agence de communication 360° de gérer pour vous des partenariats avec des influenceurs ; </li><li data-leveltext=\"%1.\" data-font=\"Calibri\" data-listid=\"4\" data-list-defn-props=\"{&quot;335552541&quot;:0,&quot;335559684&quot;:-1,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[65533,0],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;%1.&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">D’utiliser un réseau d’influenceurs certifiés, à l’instar d’<a href=\"https://hemblem.app/fr\">Hemblem</a>. </li></ol><p> </p><p>Une fois encore, c’est par « messages » que vous toucherez rapidement et plus efficacement les influenceurs avec lesquels vous souhaitez collaborer. </p><h5 aria-level=\"3\">Quels résultats sur le long terme avec les messages Instagram ? </h5><p> </p><p>Si, pour le moment, vous ne vous inquiétez pas de la fonctionnalité « Message » développée par Instragram, c’est une grave erreur. Cette proximité avec la cible et la collaboration avec des influenceurs peut considérablement <b>développer votre communauté</b> sur le réseau et à terme, <b>augmenter significativement votre chiffre d’affaires</b>. De plus, <b>vous gagnez en popularité et en notoriété sur Instagram</b>, un gros coup de communication à ne pas négliger pour votre restaurant.</p><p> </p><h2 aria-level=\"2\">Comment bien utiliser les messages Instagram pour son restaurant ? </h2><p>Vous connaissez désormais la fonctionnalité « Messages » du réseau social Instagram, c’est un bon début ! Maintenant, apprenez à bien l’utiliser pour ne commettre aucun impair. </p><h5 aria-level=\"3\">Explorez toutes les fonctionnalités </h5><p> </p><p>La fonction « Messages » d’Instagram ne se cantonne pas uniquement à permettre aux utilisateurs de s’envoyer des messages écrits, les SMS le font très bien ! Non, voyez plus grand en profitant des toutes les possibilités des messages du réseau social Instagram : </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Choix du thème ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Partage de publications en privé ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;,&quot;469777815&quot;:&quot;multilevel&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Envoi d’images, de vidéos… </li></ul><p> </p><p>Soucieux de l’expérience utilisateur permise par son application, Instagram procède à de nombreuses mises à jour chaque année. Restez connecté pour n’en rater aucune et demandez conseil à <a href=\"https://www.kook-agency.fr/nos-clients\">l’agence de communication</a> qui assure la gestion de vos réseaux sociaux.</p><p> </p><h5 aria-level=\"3\">Adopter le bon discours </h5><p> </p><p>Un message envoyé sur Instagram vous rapproche de votre cible, certes, mais conservez un ton professionnel et surtout, <b>en cohérence avec la ligne éditoriale de votre compte</b>. Vous avez pour habitude de tutoyer vos abonnés, faites-en de même par message. Vos publications apparaissent au contraire très sérieuses avec un vouvoiement et une écriture irréprochable ? Gardez cette ligne dans vos réponses, mais <b>n’oubliez pas d’être chaleureux</b> malgré tout.</p><p> </p><h5 aria-level=\"3\">Ce qu’il ne faut pas faire </h5><p> </p><p>Le risque avec les messages Instagram et cette grande proximité avec vos abonnés est de leur parler comme à vos amis, ce qui n’est pas le cas. Ici, il s’agit donc de bien distinguer votre compte et vos relations professionnelles des échanges personnels. L’objectif des messages Instagram pour les restaurateurs étant d’apporter de l’information sur votre activité et vos services, ce n’est pas un endroit pour être injurieux envers un client qui aurait critiqué votre cuisine.  </p><p>N’échangez pas non plus d’égal à égal avec lui : même sur Instagram, il reste votre client et vous connaissez l’adage « Le client est Roi ». </p><p>Chose importante également : <b>répondez de façon claire et personnalisée à votre abonné</b>. S’il a un besoin, il ne s’agit pas de le rediriger vers votre FAQ en ligne en envoyant un simple lien. Commencez par le saluer en l’interpellant par son nom pour montrer qu’il retient toute votre attention. </p><p>Retenez-le : les messages Instagram, tout comme l’ensemble de vos publications sur le réseau et plus largement de vos actions en ligne, contribuent à votre e-reputation. Une mauvaise expérience d’un abonné pourrait nuire à votre notoriété en ligne et par ricochet, sur place. </p>", "Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 ", "Instagram est un réseau social incontournable pour les restaurateurs", "publish", "closed", "closed", "", "les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023", "", "", "2023-05-31 13:40:07", "2023-05-31 11:40:07", "", "0", "https://www.kook-agency.fr/?p=6136", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("6148", "1", "2023-05-09 15:35:13", "2023-05-09 13:35:13", "<p>Nouveau restaurant sur le marché et des rêves plein la tête ? Avant de songer à vous développer davantage, commencez par vous faire connaître. Comment ? En créant un site internet, en appuyant <a href=\"https://www.kook-agency.fr/reseaux-sociaux\">votre présence sur les réseaux sociaux</a>, mais surtout en remplissant la fiche Google My Business de votre restaurant. Incontournable pour tous les chefs d’entreprise, profitez de ce guide pour créer, mettre à jour et bien utiliser cet outil puissant, véritable accélérateur de visibilité pour votre enseigne.  </p><h2 aria-level=\"2\">L’outil Google My Business, kézako ? </h2><p> </p><p>Développé par Google, <a href=\"https://www.google.com/intl/fr_fr/business/\">Google My Business</a> est un outil performant de référencement pour les entreprises, quelles qu’elles soient (restaurant, boutique de fleurs, agence web…). Service lancé en 2009, Google My Business facilite la gestion et la diffusion des données et des informations relatives à un commerce. Aussi, seul le propriétaire de la fiche Google My Business peut modifier ces données. À condition de garder vos codes secrets, le système est donc fiable et sécurisé. </p><p>Complémentaire à d’autres outils mis en place par Google, la fiche Google My Business, une fois créée, est automatiquement liée au service Google Maps. De plus, elle s’affiche sous forme de « local pack » dans les moteurs de recherche. Cela permet aux internautes cherchant un restaurant sans connaître son nom de le trouver grâce à sa localisation, entre autres. </p><p>En revanche, la fiche Google My Business de votre restaurant n’est pas automatique. En tant que propriétaire de l’enseigne, c’est à vous de prendre l’initiative de générer une fiche My Business. Pour cela, rendez-vous sur le site de Google My Business, authentifiez-vous, ajoutez une fiche à votre compte, remplissez-la et rendez-la publique sur les moteurs de recherche.  </p><h2 aria-level=\"2\">Pourquoi créer une fiche Google My Business ? </h2><p> </p><p>Vous l’aurez donc compris, la fiche Google My Business se présente comme une véritable pièce d’identité pour votre restaurant. Sur internet, c’est ce que vos clients verront en haut à droite lorsqu’ils chercheront un restaurant, que leur recherche soit précise ou non. Dans ce dernier cas et pour la requête « restaurant Toulon », un aperçu des meilleurs restaurants selon votre position s’affichera dans ce « local pack » : </p><p>Nous retrouvons ici les informations importantes à savoir :</p><p> </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Le nom et l’adresse du restaurant ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Le type de cuisine (Provençale…) ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\">La moyenne des notes attribuée par les avis Google ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"4\" data-aria-level=\"1\">Le statut d’ouverture du restaurant (ouvert ou fermé) et ses horaires ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"5\" data-aria-level=\"1\">Le type de restauration (sur place…) ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"2\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"5\" data-aria-level=\"1\">Une photographie. </li></ul><p>Pour une recherche plus précise avec le nom du restaurant dans la requête (ici, « restaurant pasticcio paris »), ce sera la fiche My Business du restaurant uniquement qui s’affichera (sur le côté latéral droit du moteur de recherche) : </p><p> <img src=\"https://www.kook-agency.fr/wp-content/uploads/2023/04/googleMyBusiness2.png\" alt=\"\" width=\"273\" height=\"587\" /></p><p> </p><p>Alors, pourquoi créer une fiche Google My Business s’il s’agit uniquement d’afficher autrement des informations consultables sur le site web ? Tout simplement parce que les internautes veulent accéder à l’information le plus rapidement possible. S’ils ne trouvent pas les informations qu’ils recherchent dans les premiers résultats de leur requête, ils en généreront une autre au risque qu’ils trouvent un autre restaurant. </p><p>Plus complète, la fiche Google My Business permet donc aux internautes de vous trouver plus rapidement sur le web. Ce n’est pas tout, si cette fiche est un atout certain pour votre visibilité, elle possède de nombreux avantages à ne pas négliger. </p><h2 aria-level=\"2\">Les avantages de la fiche Google My Business pour les restaurateurs </h2><p>Aujourd’hui, il est difficile pour un restaurateur de faire connaître son activité uniquement par le bouche-à-oreille. Une présence en ligne est devenue vitale pour ces commerçants, car c’est ici que se trouve la clientèle, et ce, bien avant de se rendre physiquement au restaurant. C’est pourquoi tous les restaurateurs disposant d’une fiche Google My Business pour leur établissement disposent d’un sérieux avantage sur leurs concurrents qui n’en ont pas. </p><h5 aria-level=\"3\">Un outil gratuit </h5><p> </p><p>Créer la fiche Google My Business de votre restaurant ne peut pas être plus simple ! Outil totalement gratuit, vous aurez seulement besoin d’une adresse email valide. L’idéal est même d’avoir une adresse Gmail, le service de messagerie de Google. Une fois identifié sur la plateforme My Business, renseignez votre fiche. </p><h5 aria-level=\"3\">Une grande simplicité d’utilisation </h5><p> </p><p>La plateforme Google My Business se veut intuitive et simple d’utilisation. Aussi, vous êtes guidé de bout en bout. Ajout de photos, mise à jour des horaires, lien vers votre site internet, lien vers les plateformes de livraison (Deliveroo, uberEats…), adresses, informations de contact… Avec Google My Business, faites connaître votre restaurant en un clic ! </p><h5 aria-level=\"3\">Une vitrine de votre restaurant en première ligne </h5><p> </p><p>Outil de référencement, Google My Business permet aux restaurateurs disposant d’une fiche My Business d’améliorer leur visibilité sur les moteurs de recherche. Aussi, les internautes pourront consulter de façon simple et rapide les informations essentielles sur votre restaurant sans avoir à les chercher véritablement. Alors que leur intention n’était que de connaître votre adresse, ils pourront tout aussi bien prendre connaissance de vos horaires ou consulter votre menu grâce à la fiche My Business. </p><p>Inclusif, l’outil permet également de spécifier des particularités qui vous tiennent à cœur sur votre fiche Google My Business. Si vous êtes une cheffe, vous pourrez par exemple ajouter « Établissement détenu par une femme » sur votre fiche. </p><h5 aria-level=\"3\">Une mise à jour rapide de vos données </h5><p> </p><p>Au cours d’une année, plusieurs évènements peuvent impacter l’organisation d’un restaurant :</p><p> </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Une nouvelle adresse ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Des horaires réduits pour un jour férié ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\">Une fermeture exceptionnelle ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"4\" data-aria-level=\"1\">Une mise à jour de votre numéro de téléphone ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"3\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"4\" data-aria-level=\"1\">La création d’un site internet… </li></ul><p>La fiche Google My Business est alors un excellent moyen pour informer vos prospects de ces changements. </p><p> </p><h2 aria-level=\"2\">Comment optimiser sa fiche Google My Business ? </h2><p>Outil de référencement, vous profiterez pleinement de la puissance de la fiche Google My Business en l’optimisant convenablement. Pour ce faire, différents éléments importants sont à renseigner et plusieurs automatismes sont à prendre.   </p><h5 aria-level=\"3\">Les informations essentielles à renseigner : le guide </h5><p> </p><p>Sur la plateforme Google My Business, la création et le remplissage de la fiche de votre restaurant sont grandement facilités. Aussi, vous êtes tout naturellement invité à renseigner le nom de votre établissement. De là, vous pourrez préciser votre type d’activité parmi les trois proposés : </p><p> <img src=\"https://www.kook-agency.fr/wp-content/uploads/2023/04/googleMyBusiness3.png\" alt=\"\" width=\"411\" height=\"253\" /></p><p> </p><p>Sachez que plusieurs choix sont possibles. Voilà un sérieux avantage si votre restaurant, en plus d’un lieu physique, possède son propre site internet. Si vous en possédez un, vous devrez par la suite renseigner son adresse web. </p><p>Viennent ensuite les renseignements relatifs à :</p><p> </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Votre secteur d’activité : restaurant, en précisant la spécialité pour personnaliser au mieux votre fiche ; </li></ul><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"1\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Votre adresse (pays, ville…). </li></ul><p>Félicitations, voilà les principales informations de votre fiche Google My Business à jour ! Seulement, ne vous arrêtez pas en si bon chemin, auquel cas vous n’apporterez pas suffisamment de valeur ajoutée à votre établissement et pas assez de renseignements aux internautes qui consulteront la fiche. </p><h5 aria-level=\"3\">Personnaliser sa fiche Google My Business </h5><p> </p><p>Après l’enregistrement de ces informations classiques arrive la phase de personnalisation vers laquelle vous serez automatiquement redirigé. </p><p>À ce moment-là, il faudra rentrer dans le détail de votre offre en ajoutant :</p><p> </p><ul><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"4\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"1\" data-aria-level=\"1\">Les jours et horaires d’ouverture du restaurant ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"4\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"2\" data-aria-level=\"1\">Les services de votre restaurant (repas sur place, livraison à domicile, repas à emporter, service de drive…) ; </li><li data-leveltext=\"●\" data-font=\"Calibri\" data-listid=\"4\" data-list-defn-props=\"{&quot;335552541&quot;:1,&quot;335559684&quot;:-2,&quot;335559685&quot;:720,&quot;335559991&quot;:360,&quot;469769242&quot;:[8226],&quot;469777803&quot;:&quot;left&quot;,&quot;469777804&quot;:&quot;●&quot;}\" aria-setsize=\"-1\" data-aria-posinset=\"3\" data-aria-level=\"1\">Des photos de votre établissement (terrasse, intérieur…), de votre menu, de vos plats… </li></ul><p>Pensez-y : la fiche My Business de votre restaurant doit être le reflet de votre enseigne. En un coup d’œil, vos clients doivent saisir qui vous êtes, quels sont vos services et surtout, comment vous contacter. </p><h5 aria-level=\"3\">La description de votre restaurant </h5><p> </p><p>Cette section constitue l’une des dernières étapes de la personnalisation de votre fiche et se révèle très importante. Limitée à 750 caractères espaces compris, il s’agit d’être bref et pertinent. Aussi, ayez un discours chaleureux et sincère. Ici, il est inutile d’adopter un ton trop commercial ou vendeur au risque de faire fuir vos clients. Mettez donc l’accent sur les points forts de votre concept et les valeurs de votre restaurant. </p><p>Un dernier point : éviter les fautes d’orthographe et les fautes de frappe qui témoignent d’un manque d’attention et de professionnalisme. </p><h2 aria-level=\"2\">Fiche renseignée, fiche acquise ? </h2><p> </p><p>À l’instar de la carte de votre restaurant, la fiche My Business de ce dernier doit être mise à jour. Vos horaires changent le 31 décembre ? Vous êtes exceptionnellement fermé le 1er mai ? Renseignez-le sur votre fiche pour que les internautes soient tenus au courant. La gestion de votre fiche Google My Business est tout aussi simple que sa création. De ce fait, n’importe qui peut le faire.  </p><p>Enfin, sachez que nombre des étapes citées ne sont pas obligatoires et qu’il est possible de les ignorer. Si, pour un souci de temps ou de ressources (manque de photos par exemple), vous ne pouvez pas tout remplir, passez à l’étape suivante, mais revenez-y plus tard. Des images récentes rassureront vos clients et potentiels clients.  </p><p>Avec votre fiche Google My Business à jour et optimisée, vous ferez bonne impression… en ligne ! </p>", "Google My Business : optimiser la visibilité de son restaurant", "Google My Businessest un outil performant de référencement pour les entreprises", "publish", "closed", "closed", "", "google-my-business-optimiser-la-visibilite-de-son-restaurant", "", "", "2023-05-31 13:28:08", "2023-05-31 11:28:08", "", "0", "https://www.kook-agency.fr/?p=6148", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("11901", "1", "2023-05-30 10:56:50", "2023-05-30 08:56:50", "", "Theme Demo Import - log_file_2023-05-30__08-56-50", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-05-30__08-56-50", "", "", "2023-05-30 10:56:50", "2023-05-30 08:56:50", "", "0", "http://kookagency/wp-content/uploads/2023/05/log_file_2023-05-30__08-56-50.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("11980", "1", "2023-05-30 11:31:03", "2023-05-30 09:31:03", "<img width=\"819\" height=\"1024\" src=\"http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-819x1024.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-416x520.jpg 416w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-scaled.jpg 2048w\" sizes=\"(max-width: 819px) 100vw, 819px\" />															\n															<img width=\"960\" height=\"720\" src=\"http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-1024x768.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-416x312.jpg 416w, http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013.jpg 2000w\" sizes=\"(max-width: 960px) 100vw, 960px\" />															\n			  <p>Une révolution\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait6{width:55%}</style></p> Création de site internet<b>  pour votre restaurant</b>  		\n			<p>Pour de nombreux professionnels, le choix d’un prestataire pour créer un site internet professionnel est une étape compliquée. Il est bien souvent difficile de savoir ce que comportent les différentes offres de création de site.\n<br><br>\nChez Kook Agency nous vous garantissons un service clé en main qui comprend notamment :</p>		\n			<ul data-dsn-iso=\"82da01b\">    <li >\n		<p>Les mises à jour techniques régulières de votre site</p>\n    </li>\n    <li >\n		<p>La sécurisation du site (passage en HTTPS et achat du certificat SSL)</p>\n    </li>\n    <li >\n		<p>L’hébergement web (gestion du domaine et sous-domaine de votre projet)</p>\n    </li>\n    <li >\n		<p>L’analyse des performances de votre site avec une version simplifiée de Google Analytics</p>\n    </li>\n    <li >\n		<p>Le suivi de votre projet web par un conseiller dédié avec une prise de rendez-vous illimitée</p>\n    </li>\n</ul>		\n			<a href=\"https://calendly.com/kook-agency/30min\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  PRENDRE RENDEZ-VOUS </a>		\n															<img width=\"960\" height=\"640\" src=\"http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-1024x683.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-416x277.jpg 416w\" sizes=\"(max-width: 960px) 100vw, 960px\" />															\n			Une équipe d’experts		\n			<h1>réalisation et refonte de votre <b>sites web</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait5{width:65%;padding-left:35%;}\nb:hover{\ncolor: #f3bc34;\n}</style></h1>		\n			<p><ul><li>Une agence web experte dans la FOOD !</li>\n<li>Qui met en valeur votre restaurant sur le web</li>\n<li>Qui optimise le référencement de votre site internet de manière à ce que restaurant soit visible sur les moteurs de recherche.</li>\n<li>Qui est connectée à Uber Eat, Just Eat, Deliveroo…</li></ul></p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  Commencez maintenant </a>		\n			<h4>Pack EASY KOOK : Site internet à partir de<br><br> 59 HT €/ mois</h4> <p>Pour vos premiers pas sur le web, un site léger, <strong>facile à gérer</strong> et pourtant entièrement adapté à tous les supports web (ordinateurs, tablettes, mobiles). La gamme EASY KOOK une solution pour <strong>les nouveaux arrivants</strong> dans le digital.</p> \n			<h4>Pack UP KOOK : Site internet à partir de<br><br> 79 HT €/mois</h4> <p>Grâce à la gamme UP KOOK communiquez efficacement et offrez à vos clients la possibilité de consulter votre menu, de <strong>réserver une table</strong> à l’avance… Booster votre visibilité sur le web et<strong> attirez de nouveaux clients</strong> par l’intermédiaire du <strong>référencement sur Google</strong>.</p> \n			<h4>Pack CLICK & KOOK : Site internet à partir de<br><br> 99 € HT /mois</h4> <p>Donnez une <strong>visibilité optimale</strong> à votre restaurant grâce à une architecture et un design soigné, optimisé pour attirer davantage de clients. Offrez à vos clients la possibilité de <strong>commander en ligne </strong>vos plats.</p> \n			<style>\n    .easy{\n        color: #69808c;\n    }\n    .up{\n        color: #f98d5e;\n    }\n    .clickAndKook{\n        color: #cfa54b;\n    }\n</style>", "Création de site internet", "", "publish", "closed", "closed", "", "creation-de-site-internet", "", "", "2023-06-06 13:48:52", "2023-06-06 11:48:52", "", "0", "http://kookagency/?page_id=11980", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11981", "1", "2023-05-30 11:31:03", "2023-05-30 09:31:03", "Gagnez en visibilité sur les moteurs de recherche		\n			<h1>Référencement<b> Nature</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait7{width:102%;padding-left:68%;}\nb:hover{\ncolor: #f3bc34;\n}\n@media only screen and (max-width: 906px)  {\n.trait7{display:none;}\n.trait8{display:none;}\n.trait{display:none;}\n}\n</style></h1>		\n			<p>Le but du référencement naturel est d’être de façon durable parmi les premiers dans les moteurs de recherche tel que Google, Bing, Yahoo… Pour cela il est important pour vous restaurateurs de définir avec nous <b>les mots clés</b> qui attireront les clients potentiels dans votre restaurant comme par exemple :</p>		\n			<ul data-dsn-iso=\"a601165\">    <li >\n		<p>Restaurant Paris 15 on compte environ 8000 recherches par mois</p>\n    </li>\n    <li >\n		<p>Restaurant Marseille on compte environ 2500 recherches par mois</p>\n    </li>\n</ul>		\n			<p>Aujourd’hui environ <b>8 personnes sur 10 passent par Internet</b> pour trouver un restaurant et 1 recherche de restaurant sur 2 est désormais effectuée sur un smartphone. C’est pourquoi notre pôle référencement s’efforcera de trouver les expressions qui correspondent le plus à votre type de cuisine et votre zone géographique pour vous positionner dans les meilleures recherches.</p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  Commencez maintenant </a>		\n															<img width=\"768\" height=\"1024\" src=\"http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-768x1024.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-416x555.jpg 416w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-scaled.jpg 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" />															\n															<img width=\"960\" height=\"640\" src=\"http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-1024x683.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-416x277.jpg 416w, http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018.jpg 1620w\" sizes=\"(max-width: 960px) 100vw, 960px\" />															\n			  <p>Gagnez de nouveaux visiteurs dans votre restaurant</p> Référencement <b>Google Ads</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait8{width:58%}\nb:hover{\ncolor: #f3bc34;\n}</style>  		\n			<p>La publicité sur Google Ads consiste à acheter des mots clés pour vous positionner dans les premiers résultats sans efforts techniques. Attention cela demande de notre part une recherche minutieuse afin de trouver les mots clés <b>les plus pertinents</b> et ayant un <b>CPC</b> (coût par clic) intéressant dans le but d’avoir le meilleur retour sur investissement possible.\n<br><br>\nNotre mission : </p>		\n			<ul data-dsn-iso=\"27fc508\">    <li >\n		<p>Mener un audit de positionnement</p>\n    </li>\n    <li >\n		<p>Optimiser votre CPC</p>\n    </li>\n    <li >\n		<p>Obtenir de très bons Quality Score</p>\n    </li>\n    <li >\n		<p>Augmenter votre taux de visites qualifiées</p>\n    </li>\n    <li >\n		<p>Augmenter votre chiffre d’affaire</p>\n    </li>\n</ul>		\n			<a href=\"https://calendly.com/kook-agency/30min\" target=\"_blank\" rel=\"nofollow noopener\" data-dsn=\"parallax\">  PRENDRE UN RENDEZ-VOUS </a>		\n															<img width=\"960\" height=\"720\" src=\"http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-1024x768.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-2048x1536.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-416x312.jpg 416w\" sizes=\"(max-width: 960px) 100vw, 960px\" />", "Référencement naturel", "", "publish", "closed", "closed", "", "referencement-naturel", "", "", "2023-06-06 13:56:31", "2023-06-06 11:56:31", "", "0", "http://kookagency/?page_id=11981", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("12079", "1", "2023-05-30 15:15:15", "2023-05-30 13:15:15", "", "Formulaire de recrutement", "", "publish", "closed", "closed", "", "formulaire-de-recrutement", "", "", "2023-05-30 15:15:15", "2023-05-30 13:15:15", "", "0", "http://kookagency/?post_type=forminator_forms&p=12079", "0", "forminator_forms", "", "0");
INSERT INTO `wp_posts` VALUES("12080", "1", "2023-05-30 15:15:45", "2023-05-30 13:15:45", "", "Vous êtes influenceur(se) ou micro-influenceur(se) ?", "", "publish", "closed", "closed", "", "vous-etes-influenceurse-ou-micro-influenceurse", "", "", "2023-05-30 15:15:45", "2023-05-30 13:15:45", "", "0", "http://kookagency/?post_type=forminator_forms&p=12080", "0", "forminator_forms", "", "0");
INSERT INTO `wp_posts` VALUES("12081", "1", "2023-05-30 15:16:11", "2023-05-30 13:16:11", "", "kook-agency-formulaire-de-demande", "", "publish", "closed", "closed", "", "kook-agency-formulaire-de-demande", "", "", "2023-06-01 10:16:52", "2023-06-01 08:16:52", "", "0", "http://kookagency/?post_type=forminator_forms&#038;p=12081", "0", "forminator_forms", "", "0");
INSERT INTO `wp_posts` VALUES("11982", "1", "2023-05-30 11:31:03", "2023-05-30 09:31:03", "Donnez du peps à vos réseaux sociaux !		\n			<h1>Reportage <b>Photo</b>\n<img src=\"https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg\" alt=\"ligne délabrée\">\n<style>.trait9{width:100%;padding-left:63%;}\nb:hover{\ncolor: #f3bc34; \n}</style></h1>		\n			<p>Faites intervenir un photographe pour sublimer votre restaurant, nos photographes se chargerons de capturer vos plats, cuisine, équipe…\nFaire appel à un photographe vous permet d’avoir des photos de qualités de votre restaurant pour le mettre en valeur sur <b>Facebook & Instagram.</b>\n<br><br>\nD’ailleurs, pourquoi ne pas en profiter pour jouer sur l’apparence de vos dressages ? Les consommateurs privilégient bien évidemment le goût des aliments mais ils se laisseront aussi volontiers séduire par une assiette joliment présentée. L’allure de vos plats pourrait même devenir votre plus grand atout par rapport à vos concurrents. Il suffira ensuite d’un bon <b>photographe culinaire</b> pour réaliser de belles photos et le tour sera joué !\n<br><br>\nNon seulement vous mettrez l’eau à la bouche à vos clients mais vous réussirez également à les plonger dans un univers culinaire qui vous est propre !</p>		\n			<a href=\"http://kookagency/contact/\" data-dsn-text=\"Contact\">  Commencez maintenant </a>		\n															<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />															\n															<img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />															\n															<img width=\"2560\" height=\"1920\" src=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-2048x1536.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-416x312.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />															\n															<img width=\"1808\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/P1460489-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/P1460489-scaled.jpg 1808w, http://kookagency/wp-content/uploads/2023/06/P1460489-212x300.jpg 212w, http://kookagency/wp-content/uploads/2023/06/P1460489-723x1024.jpg 723w, http://kookagency/wp-content/uploads/2023/06/P1460489-768x1088.jpg 768w, http://kookagency/wp-content/uploads/2023/06/P1460489-1085x1536.jpg 1085w, http://kookagency/wp-content/uploads/2023/06/P1460489-1446x2048.jpg 1446w, http://kookagency/wp-content/uploads/2023/06/P1460489-1200x1699.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/P1460489-416x589.jpg 416w\" sizes=\"(max-width: 1808px) 100vw, 1808px\" />															\n															<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/DSC06618-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DSC06618-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/DSC06618-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/DSC06618-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/DSC06618-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DSC06618-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/DSC06618-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/DSC06618-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DSC06618-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />															\n															<img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-416x277.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />															\n															<img width=\"2560\" height=\"1829\" src=\"http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-300x214.jpg 300w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-1024x731.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-768x549.jpg 768w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-1536x1097.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-2048x1463.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-1200x857.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-416x297.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />															\n															<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />															\n															<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />															\n															<img width=\"2560\" height=\"1743\" src=\"http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-scaled.jpg\" alt=\"\" loading=\"lazy\" srcset=\"http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-300x204.jpg 300w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-1024x697.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-768x523.jpg 768w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-1536x1046.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-2048x1394.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-1200x817.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-416x283.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />", "Shooting photo", "", "publish", "closed", "closed", "", "shooting-photo", "", "", "2023-06-06 16:05:36", "2023-06-06 14:05:36", "", "0", "http://kookagency/?page_id=11982", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11988", "1", "2023-05-30 11:39:37", "2023-05-30 09:39:37", " ", "", "", "publish", "closed", "closed", "", "11988", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/?p=11988", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11989", "1", "2023-05-30 11:39:37", "2023-05-30 09:39:37", " ", "", "", "publish", "closed", "closed", "", "11989", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/?p=11989", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11990", "1", "2023-05-30 11:39:37", "2023-05-30 09:39:37", " ", "", "", "publish", "closed", "closed", "", "11990", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/?p=11990", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11991", "1", "2023-05-30 11:37:55", "0000-00-00 00:00:00", " ", "", "", "draft", "closed", "closed", "", "", "", "", "2023-05-30 11:37:55", "0000-00-00 00:00:00", "", "0", "http://kookagency/?p=11991", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11992", "1", "2023-05-30 11:39:37", "2023-05-30 09:39:37", " ", "", "", "publish", "closed", "closed", "", "11992", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/?p=11992", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("11993", "1", "2023-05-30 11:39:37", "2023-05-30 09:39:37", " ", "", "", "publish", "closed", "closed", "", "11993", "", "", "2023-05-30 11:39:37", "2023-05-30 09:39:37", "", "0", "http://kookagency/?p=11993", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12015", "1", "2023-05-30 12:46:39", "2023-05-30 10:46:39", "", "pongo", "", "inherit", "open", "closed", "", "pongo", "", "", "2023-05-30 12:46:39", "2023-05-30 10:46:39", "", "10485", "http://kookagency/wp-content/uploads/2023/05/pongo-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12016", "1", "2023-05-30 12:47:13", "2023-05-30 10:47:13", "", "logo_primary_light-1", "", "inherit", "open", "closed", "", "logo_primary_light-1", "", "", "2023-05-30 12:47:13", "2023-05-30 10:47:13", "", "10485", "http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12017", "1", "2023-05-30 12:47:40", "2023-05-30 10:47:40", "", "partoo_logo", "", "inherit", "open", "closed", "", "partoo_logo", "", "", "2023-05-30 12:47:40", "2023-05-30 10:47:40", "", "10485", "http://kookagency/wp-content/uploads/2023/05/partoo_logo-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12018", "1", "2023-05-30 12:48:14", "2023-05-30 10:48:14", "", "61378a6aa73744d413238ebf_HEMBLEM logo", "", "inherit", "open", "closed", "", "61378a6aa73744d413238ebf_hemblem-logo", "", "", "2023-05-30 12:48:14", "2023-05-30 10:48:14", "", "10485", "http://kookagency/wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12019", "1", "2023-05-30 12:48:48", "2023-05-30 10:48:48", "", "Logo_WhatisEAT_2021_violet", "", "inherit", "open", "closed", "", "logo_whatiseat_2021_violet", "", "", "2023-05-30 12:48:48", "2023-05-30 10:48:48", "", "10485", "http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12020", "1", "2023-05-30 12:49:20", "2023-05-30 10:49:20", "", "Meta-Logo", "", "inherit", "open", "closed", "", "meta-logo", "", "", "2023-05-30 12:49:20", "2023-05-30 10:49:20", "", "10485", "http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12156", "1", "2023-05-31 09:50:43", "2023-05-31 07:50:43", "", "GABRIELA_MR_006 (1)", "", "inherit", "open", "closed", "", "gabriela_mr_006-1", "", "", "2023-05-31 09:50:43", "2023-05-31 07:50:43", "", "12151", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12142", "1", "2023-05-31 09:15:14", "2023-05-31 07:15:14", "", "xZ3rAYpY", "", "inherit", "open", "closed", "", "xz3raypy", "", "", "2023-05-31 09:15:14", "2023-05-31 07:15:14", "", "217", "http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12143", "1", "2023-05-31 09:24:02", "2023-05-31 07:24:02", "", "BAP_MR_015", "", "inherit", "open", "closed", "", "bap_mr_015", "", "", "2023-05-31 09:24:02", "2023-05-31 07:24:02", "", "217", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_015.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12144", "1", "2023-05-31 09:25:38", "2023-05-31 07:25:38", "", "BAP_MR_031", "", "inherit", "open", "closed", "", "bap_mr_031", "", "", "2023-05-31 09:25:38", "2023-05-31 07:25:38", "", "217", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_031.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12145", "1", "2023-05-31 09:30:43", "2023-05-31 07:30:43", "", "BAP_MR_008", "", "inherit", "open", "closed", "", "bap_mr_008", "", "", "2023-05-31 09:30:43", "2023-05-31 07:30:43", "", "217", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_008.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12146", "1", "2023-05-31 09:32:19", "2023-05-31 07:32:19", "", "BAP_MR_017", "", "inherit", "open", "closed", "", "bap_mr_017", "", "", "2023-05-31 09:32:19", "2023-05-31 07:32:19", "", "217", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_017.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12147", "1", "2023-05-31 09:33:22", "2023-05-31 07:33:22", "", "BAP_MR_028", "", "inherit", "open", "closed", "", "bap_mr_028", "", "", "2023-05-31 09:33:22", "2023-05-31 07:33:22", "", "217", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_028.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12153", "1", "2023-05-31 09:45:27", "2023-05-31 07:45:27", "", "GABRIELA_A_MR_006", "", "inherit", "open", "closed", "", "gabriela_a_mr_006", "", "", "2023-05-31 09:45:27", "2023-05-31 07:45:27", "", "12151", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12154", "1", "2023-05-31 09:46:45", "2023-05-31 07:46:45", "", "GABRIELA_A_MR_004", "", "inherit", "open", "closed", "", "gabriela_a_mr_004", "", "", "2023-05-31 09:46:45", "2023-05-31 07:46:45", "", "12151", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12155", "1", "2023-05-31 09:48:10", "2023-05-31 07:48:10", "", "GABRIELA_A_MR_016", "", "inherit", "open", "closed", "", "gabriela_a_mr_016", "", "", "2023-05-31 09:48:10", "2023-05-31 07:48:10", "", "12151", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12160", "1", "2023-05-31 09:53:32", "2023-05-31 07:53:32", "<p>Fuero, c’est l’expérience Social Food parisienne.\nTapas, cocktail, vins venez vous familiariser à la Bistronomie made in Paris\nBrunch ou déjeuner privé découvrez nos produits frais tout au long de l’année</p>		\n	<img width=\"2560\" height=\"1920\" src=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-2048x1536.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-416x312.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />Fuero\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Fuero\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Fuero\n			<p>Découvrez un autre de nos clients !</p>", "Fuero", "Fuero, c’est l’expérience Social Food parisienne.", "publish", "closed", "closed", "", "fuero", "", "", "2023-06-05 15:54:17", "2023-06-05 13:54:17", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12160", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12162", "1", "2023-05-31 10:00:53", "2023-05-31 08:00:53", "", "FUERO_MR_6", "", "inherit", "open", "closed", "", "fuero_mr_6", "", "", "2023-05-31 10:00:53", "2023-05-31 08:00:53", "", "12160", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12163", "1", "2023-05-31 10:01:43", "2023-05-31 08:01:43", "", "FUERO_MR_43", "", "inherit", "open", "closed", "", "fuero_mr_43", "", "", "2023-05-31 10:01:43", "2023-05-31 08:01:43", "", "12160", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12164", "1", "2023-05-31 10:02:35", "2023-05-31 08:02:35", "", "FUERO_MR_26", "", "inherit", "open", "closed", "", "fuero_mr_26", "", "", "2023-05-31 10:02:35", "2023-05-31 08:02:35", "", "12160", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12165", "1", "2023-05-31 10:03:19", "2023-05-31 08:03:19", "", "FUERO_MR_29", "", "inherit", "open", "closed", "", "fuero_mr_29", "", "", "2023-05-31 10:03:19", "2023-05-31 08:03:19", "", "12160", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12169", "1", "2023-05-31 10:07:24", "2023-05-31 08:07:24", "<p>Originaire du Connecticut, le propriétaire de BIA, Craig Carlson, est arrivé en France en tant qu’étudiant et est immédiatement tombé amoureux du pays. C’est à Paris  grâce aux nombreux cinémas d’art et d’essai  que Craig a développé son amour pour le cinéma et a décidé d’en faire une carrière. Après avoir fréquenté l’école de cinéma USC à Los Angeles, Craig a travaillé comme scénariste et réalisateur de courts métrages avant de décrocher un emploi à Paris pour travailler sur une émission de télévision.\n<br><br>\n Pendant ce temps, la seule chose qui manquait à Craig dans la Ville Lumière était un bon vieux petit-déjeuner américain. Craig est devenu convaincu que le moment était venu pour un authentique dîner américain à Paris !</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Breakfast In America\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Breakfast In America\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Breakfast In America\n			<p>Découvrez un autre de nos clients !</p>", "Breakfast In America", "Originaire du Connecticut, le propriétaire de BIA, Craig Carlson, est arrivé en France en tant qu’étudiant et est immédiatement tombé amoureux du pays. ", "publish", "closed", "closed", "", "breakfast-in-america", "", "", "2023-06-05 15:51:24", "2023-06-05 13:51:24", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12169", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12171", "1", "2023-05-31 10:16:39", "2023-05-31 08:16:39", "", "BIA_MR_44", "", "inherit", "open", "closed", "", "bia_mr_44", "", "", "2023-05-31 10:16:39", "2023-05-31 08:16:39", "", "12169", "http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12174", "1", "2023-05-31 10:24:29", "2023-05-31 08:24:29", "", "Sans-titre-2022-12-23T161950.222", "", "inherit", "open", "closed", "", "sans-titre-2022-12-23t161950-222", "", "", "2023-05-31 10:24:29", "2023-05-31 08:24:29", "", "12169", "http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12178", "1", "2023-05-31 10:28:04", "2023-05-31 08:28:04", "<p>Cet hôtel art de vivre 4 étoiles vous enseigne les codes d’un Paris dandy au cœur du bouillonnant quartier Châtelet-les Halles à deux pas de Beaubourg. Aux amoureux du détail, du raffinement anticonformiste et de l’élégance, vous apprécierez poser vos valises à cette adresse.\n<br><br>\nL’accueil y est chaleureux avec une brasserie-terrasse à l’entrée ouverte du matin en soirée. Une carte vous est proposée pour satisfaire vos papilles à toute heure de la journée.\n<br><br>\nLes chambres à l’étage sont des havres de paix pour se relaxer dans une ambiance cosy, et bienveillante.</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Dandy Hotel\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Dandy Hotel\n	<img width=\"2560\" height=\"2048\" src=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-300x240.jpg 300w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-1024x819.jpg 1024w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-768x614.jpg 768w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-1536x1229.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-2048x1638.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-1200x960.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-416x333.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />Dandy Hotel\n			<p>Découvrez un autre de nos clients !</p>", "Dandy Hotel", "Cet hôtel art de vivre 4 étoiles vous enseigne les codes d’un Paris dandy ", "publish", "closed", "closed", "", "dandy-hotel", "", "", "2023-06-05 15:53:32", "2023-06-05 13:53:32", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12178", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12180", "1", "2023-05-31 10:30:42", "2023-05-31 08:30:42", "", "DANDY_MR_129", "", "inherit", "open", "closed", "", "dandy_mr_129", "", "", "2023-05-31 10:30:42", "2023-05-31 08:30:42", "", "12178", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12181", "1", "2023-05-31 10:34:25", "2023-05-31 08:34:25", "", "DANDY_MR_115", "", "inherit", "open", "closed", "", "dandy_mr_115", "", "", "2023-05-31 10:34:25", "2023-05-31 08:34:25", "", "12178", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12182", "1", "2023-05-31 10:36:04", "2023-05-31 08:36:04", "", "DANDY_MR_144", "", "inherit", "open", "closed", "", "dandy_mr_144", "", "", "2023-05-31 10:36:04", "2023-05-31 08:36:04", "", "12178", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12183", "1", "2023-05-31 10:37:14", "2023-05-31 08:37:14", "", "DANDY_MR_19", "", "inherit", "open", "closed", "", "dandy_mr_19", "", "", "2023-05-31 10:37:14", "2023-05-31 08:37:14", "", "12178", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12187", "1", "2023-05-31 10:42:36", "2023-05-31 08:42:36", "<p>Découvrez notre cuisine ensoleillée, gourmande et pleine d\'histoire.\n<br><br>\n​\nAu 3•6•9 on vous prépare une cuisine gourmande et faite maison rappelant certains plats emblématiques du bassin méditerranéen tout cela dans une ambiance cosy et chaleureuse avec une sublime vue sur notre belle mer Méditerranée. </p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />369 Restaurant\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-1639x2048.jpg 1639w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />369 Restaurant\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />369 Restaurant\n			<p>Découvrez un autre de nos clients !</p>", "369 Restaurant", "Au 3•6•9 on vous prépare une cuisine gourmande et faite maison", "publish", "closed", "closed", "", "369-restaurant", "", "", "2023-06-05 15:52:36", "2023-06-05 13:52:36", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12187", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12192", "1", "2023-05-31 10:49:00", "2023-05-31 08:49:00", "", "369_MR_9", "", "inherit", "open", "closed", "", "369_mr_9", "", "", "2023-05-31 10:49:00", "2023-05-31 08:49:00", "", "12187", "http://kookagency/wp-content/uploads/2023/05/369_MR_9-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12189", "1", "2023-05-31 10:45:49", "2023-05-31 08:45:49", "", "369_MR_8", "", "inherit", "open", "closed", "", "369_mr_8", "", "", "2023-05-31 10:45:49", "2023-05-31 08:45:49", "", "12187", "http://kookagency/wp-content/uploads/2023/05/369_MR_8-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12190", "1", "2023-05-31 10:47:08", "2023-05-31 08:47:08", "", "369_MR_175", "", "inherit", "open", "closed", "", "369_mr_175", "", "", "2023-05-31 10:47:08", "2023-05-31 08:47:08", "", "12187", "http://kookagency/wp-content/uploads/2023/05/369_MR_175-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12191", "1", "2023-05-31 10:47:35", "2023-05-31 08:47:35", "", "369_MR_91", "", "inherit", "open", "closed", "", "369_mr_91", "", "", "2023-05-31 10:47:35", "2023-05-31 08:47:35", "", "12187", "http://kookagency/wp-content/uploads/2023/05/369_MR_91-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12197", "1", "2023-05-31 10:52:54", "2023-05-31 08:52:54", "<p>Bienvenue dans notre restaurant marocain situé à Puteaux, où nous vous offrons une expérience culinaire unique et pleine de saveurs. Notre spécialité est notre délicieux burger marocain, préparé avec des ingrédients de qualité supérieure et débordant de saveurs authentiques. Nous proposons également des frites épicées faites maison qui se marient parfaitement avec le burger. En plus de nos burgers et frites, nous proposons une variété de plats traditionnels marocains qui sauront satisfaire vos envies</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />CODERAK\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />CODERAK\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />CODERAK\n			<p>Découvrez un autre de nos clients !</p>", "CODERAK", "Nous vous offrons une expérience culinaire unique et pleine de saveurs.", "publish", "closed", "closed", "", "coderak", "", "", "2023-06-05 15:53:03", "2023-06-05 13:53:03", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12197", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12199", "1", "2023-05-31 10:56:53", "2023-05-31 08:56:53", "", "CODERACK_MR_17", "", "inherit", "open", "closed", "", "coderack_mr_17", "", "", "2023-05-31 10:56:53", "2023-05-31 08:56:53", "", "12197", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12200", "1", "2023-05-31 10:58:52", "2023-05-31 08:58:52", "", "CODERACK_MR_10", "", "inherit", "open", "closed", "", "coderack_mr_10", "", "", "2023-05-31 10:58:52", "2023-05-31 08:58:52", "", "12197", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12201", "1", "2023-05-31 10:59:55", "2023-05-31 08:59:55", "", "CODERACK_MR_63", "", "inherit", "open", "closed", "", "coderack_mr_63", "", "", "2023-05-31 10:59:55", "2023-05-31 08:59:55", "", "12197", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12202", "1", "2023-05-31 11:00:45", "2023-05-31 09:00:45", "", "CODERACK_MR_1", "", "inherit", "open", "closed", "", "coderack_mr_1", "", "", "2023-05-31 11:00:45", "2023-05-31 09:00:45", "", "12197", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12206", "1", "2023-05-31 11:02:42", "2023-05-31 09:02:42", "<p>Chez LOU GARDO PIZZA, nous aimons vous faire découvrir de nouvelles saveurs !\nChaque mois, nous mettons à l\'honneur un produit de qualité pour une création unique autour de la pizza ...</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Lou Gardo\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Lou Gardo\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Lou Gardo\n			<p>Découvrez un autre de nos clients !</p>", "Lou Gardo", "Chez LOU GARDO PIZZA, nous aimons vous faire découvrir de nouvelles saveurs !", "publish", "closed", "closed", "", "lou-gardo", "", "", "2023-06-05 15:56:17", "2023-06-05 13:56:17", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12206", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12208", "1", "2023-05-31 11:05:11", "2023-05-31 09:05:11", "", "LOUGARDO_MR_6", "", "inherit", "open", "closed", "", "lougardo_mr_6", "", "", "2023-05-31 11:05:11", "2023-05-31 09:05:11", "", "12206", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12209", "1", "2023-05-31 11:06:55", "2023-05-31 09:06:55", "", "LOUGARDO_MR_26", "", "inherit", "open", "closed", "", "lougardo_mr_26", "", "", "2023-05-31 11:06:55", "2023-05-31 09:06:55", "", "12206", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12210", "1", "2023-05-31 11:07:55", "2023-05-31 09:07:55", "", "LOUGARDO_MR_13", "", "inherit", "open", "closed", "", "lougardo_mr_13", "", "", "2023-05-31 11:07:55", "2023-05-31 09:07:55", "", "12206", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12211", "1", "2023-05-31 11:09:41", "2023-05-31 09:09:41", "", "LOUGARDO_MR_96", "", "inherit", "open", "closed", "", "lougardo_mr_96", "", "", "2023-05-31 11:09:41", "2023-05-31 09:09:41", "", "12206", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12215", "1", "2023-05-31 11:11:44", "2023-05-31 09:11:44", "<p>Jouissant d’un panorama exceptionnelle face à la baie des Îles d’Or, L’HEMINGWAY entame sa 7ème saison avec une toute nouvelle équipe de direction. Franck et Fabrice Maurin restent engagés dans une démarche de qualité au service d’une clientèle exigeante.\n<br><br>\nLeur ambition reste intact : proposer sur la délicieuse plage de l’Argentière (la Londe-les-Maures) un établissement de standing, cocon de tranquillité protégé de l’effervescence extérieure. Bar à cocktails, plage privée, restaurant aux influences méditerranéennes ouvertes sur les cuisines du monde… Toute l’équipe de L\'HEMINGWAY vous attend pour vivre une fabuleuse saison 2022.</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Restaurant L’Hemingway\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Restaurant L’Hemingway\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Restaurant L’Hemingway\n			<p>Découvrez un autre de nos clients !</p>", "Restaurant L\'Hemingway", "Jouissant d’un panorama exceptionnelle face à la baie des Îles d’Or, L’HEMINGWAY entame sa 7ème saison avec une toute nouvelle équipe de direction. ", "publish", "closed", "closed", "", "restaurant-lhemingway", "", "", "2023-06-05 15:56:59", "2023-06-05 13:56:59", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12215", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12217", "1", "2023-05-31 11:15:23", "2023-05-31 09:15:23", "", "HEMINGWAY_MR_4", "", "inherit", "open", "closed", "", "hemingway_mr_4", "", "", "2023-05-31 11:15:23", "2023-05-31 09:15:23", "", "12215", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12218", "1", "2023-05-31 11:16:30", "2023-05-31 09:16:30", "", "HEMINGWAY_MR_9", "", "inherit", "open", "closed", "", "hemingway_mr_9", "", "", "2023-05-31 11:16:30", "2023-05-31 09:16:30", "", "12215", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12219", "1", "2023-05-31 11:17:46", "2023-05-31 09:17:46", "", "HEMINGWAY_MR_123", "", "inherit", "open", "closed", "", "hemingway_mr_123", "", "", "2023-05-31 11:17:46", "2023-05-31 09:17:46", "", "12215", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12220", "1", "2023-05-31 11:18:28", "2023-05-31 09:18:28", "", "HEMINGWAY_MR_76", "", "inherit", "open", "closed", "", "hemingway_mr_76", "", "", "2023-05-31 11:18:28", "2023-05-31 09:18:28", "", "12215", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12224", "1", "2023-05-31 11:21:09", "2023-05-31 09:21:09", "<p>🍔 EAT 🍺 DRINK & 🎧 LISTEN MUSIC<br>\n📱RESERVATIONS 06 17 49 24 45<br>\n🕘 7J/7 7H30 - 01H</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Mojito Café\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Mojito Café\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Mojito Café\n			<p>Découvrez un autre de nos clients !</p>", "Mojito Café", "🍔 EAT 🍺 DRINK & 🎧 LISTEN MUSIC", "publish", "closed", "closed", "", "mojito-cafe", "", "", "2023-06-05 15:56:39", "2023-06-05 13:56:39", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12224", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12226", "1", "2023-05-31 11:24:53", "2023-05-31 09:24:53", "", "MOJITO_MR_86", "", "inherit", "open", "closed", "", "mojito_mr_86", "", "", "2023-05-31 11:24:53", "2023-05-31 09:24:53", "", "12224", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12227", "1", "2023-05-31 11:25:53", "2023-05-31 09:25:53", "", "MOJITO_MR_15", "", "inherit", "open", "closed", "", "mojito_mr_15", "", "", "2023-05-31 11:25:53", "2023-05-31 09:25:53", "", "12224", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12228", "1", "2023-05-31 11:27:05", "2023-05-31 09:27:05", "", "MOJITO_MR_50", "", "inherit", "open", "closed", "", "mojito_mr_50", "", "", "2023-05-31 11:27:05", "2023-05-31 09:27:05", "", "12224", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12229", "1", "2023-05-31 11:27:55", "2023-05-31 09:27:55", "", "MOJITO_MR_7", "", "inherit", "open", "closed", "", "mojito_mr_7", "", "", "2023-05-31 11:27:55", "2023-05-31 09:27:55", "", "12224", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12233", "1", "2023-05-31 11:30:22", "2023-05-31 09:30:22", "<p>𝗕𝗮𝗿, 𝗠𝗲𝘇𝘇𝗲𝘀 & 𝗠𝗶𝘅𝗼𝗹𝗼𝗴𝗶𝗲 🍸<br>\nOuvert du lundi au samedi 11h-01h<br>\n📍 54 Rue Muiron ( Mourillon )<br>\n🍹 Happy Hour 17h-20h<br>\n👠 Ladies Night all Tuesdays</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Le Calice\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Le Calice\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1639x2048.jpg 1639w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Le Calice\n			<p>Découvrez un autre de nos clients !</p>", "Le Calice", "𝗕𝗮𝗿, 𝗠𝗲𝘇𝘇𝗲𝘀 & 𝗠𝗶𝘅𝗼𝗹𝗼𝗴𝗶𝗲 🍸", "publish", "closed", "closed", "", "le-calice", "", "", "2023-06-05 15:56:00", "2023-06-05 13:56:00", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12233", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12235", "1", "2023-05-31 11:35:25", "2023-05-31 09:35:25", "", "CALICEV2_MR_031", "", "inherit", "open", "closed", "", "calicev2_mr_031", "", "", "2023-05-31 11:35:25", "2023-05-31 09:35:25", "", "12233", "http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12236", "1", "2023-05-31 11:36:49", "2023-05-31 09:36:49", "", "LECALICE_LADIESNIGHT_MR_30", "", "inherit", "open", "closed", "", "lecalice_ladiesnight_mr_30", "", "", "2023-05-31 11:36:49", "2023-05-31 09:36:49", "", "12233", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12237", "1", "2023-05-31 11:37:40", "2023-05-31 09:37:40", "", "LECALICE_LADIESNIGHT_MR_15", "", "inherit", "open", "closed", "", "lecalice_ladiesnight_mr_15", "", "", "2023-05-31 11:37:40", "2023-05-31 09:37:40", "", "12233", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12238", "1", "2023-05-31 11:39:06", "2023-05-31 09:39:06", "", "LECALICE_LADIESNIGHT_MR_16", "", "inherit", "open", "closed", "", "lecalice_ladiesnight_mr_16", "", "", "2023-05-31 11:39:06", "2023-05-31 09:39:06", "", "12233", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12239", "1", "2023-05-31 11:40:55", "2023-05-31 09:40:55", "", "LECALICE_LADIESNIGHT_MR_36", "", "inherit", "open", "closed", "", "lecalice_ladiesnight_mr_36", "", "", "2023-05-31 11:40:55", "2023-05-31 09:40:55", "", "12233", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12243", "1", "2023-05-31 11:43:36", "2023-05-31 09:43:36", "<p>RESTAURANT TURC / STEAKHOUSE | BOULOGNE BILLANCOURT<br>\nSi vous souhaitez profiter d\'une belle soirée avec vos amis autour de repas turcs et de grillades au feu de bois, notre restaurant est l’endroit idéal. Profitez des journées estivales dans notre terrasse animée. Notre restaurant climatisé vous accueille pour passer un moment agréable quelle que soit la température extérieure.</p>		\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />La sublime porte\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />La sublime porte\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />La sublime porte\n			<p>Découvrez un autre de nos clients !</p>", "La sublime porte", "Si vous souhaitez profiter d\'une belle soirée avec vos amis autour de repas turcs et de grillades au feu de bois, notre restaurant est l’endroit idéal.", "publish", "closed", "closed", "", "la-sublime-porte", "", "", "2023-06-05 15:55:34", "2023-06-05 13:55:34", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12243", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12245", "1", "2023-05-31 11:47:39", "2023-05-31 09:47:39", "", "LASUBLIMEPORTE_MR_21", "", "inherit", "open", "closed", "", "lasublimeporte_mr_21", "", "", "2023-05-31 11:47:39", "2023-05-31 09:47:39", "", "12243", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12246", "1", "2023-05-31 11:48:57", "2023-05-31 09:48:57", "", "LASUBLIMEPORTE_MR_74", "", "inherit", "open", "closed", "", "lasublimeporte_mr_74", "", "", "2023-05-31 11:48:57", "2023-05-31 09:48:57", "", "12243", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12247", "1", "2023-05-31 11:50:48", "2023-05-31 09:50:48", "", "LASUBLIMEPORTE_MR_23", "", "inherit", "open", "closed", "", "lasublimeporte_mr_23", "", "", "2023-05-31 11:50:48", "2023-05-31 09:50:48", "", "12243", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12248", "1", "2023-05-31 11:51:33", "2023-05-31 09:51:33", "", "LASUBLIMEPORTE_MR_61", "", "inherit", "open", "closed", "", "lasublimeporte_mr_61", "", "", "2023-05-31 11:51:33", "2023-05-31 09:51:33", "", "12243", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12252", "1", "2023-05-31 13:23:14", "2023-05-31 11:23:14", "", "Google-Business-Profile", "", "inherit", "open", "closed", "", "google-business-profile", "", "", "2023-05-31 13:23:14", "2023-05-31 11:23:14", "", "6148", "http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12257", "1", "2023-05-31 13:37:08", "2023-05-31 11:37:08", "", "messagerie_instagram_restaurant_2023", "", "inherit", "open", "closed", "", "messagerie_instagram_restaurant_2023", "", "", "2023-05-31 13:37:08", "2023-05-31 11:37:08", "", "6136", "http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12267", "1", "2023-05-31 13:47:08", "2023-05-31 11:47:08", "", "commentaire", "", "inherit", "open", "closed", "", "commentaire", "", "", "2023-05-31 13:47:08", "2023-05-31 11:47:08", "", "6133", "http://kookagency/wp-content/uploads/2023/04/commentaire.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12274", "1", "2023-05-31 13:53:30", "2023-05-31 11:53:30", "", "restauratrice", "", "inherit", "open", "closed", "", "restauratrice", "", "", "2023-05-31 13:53:30", "2023-05-31 11:53:30", "", "11888", "http://kookagency/wp-content/uploads/2023/01/restauratrice.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12287", "1", "2023-05-31 14:03:07", "2023-05-31 12:03:07", "", "Happy people sharing their healthy lunch", "Happy people sharing their healthy lunch", "inherit", "open", "closed", "", "happy-people-sharing-their-healthy-lunch", "", "", "2023-05-31 14:03:07", "2023-05-31 12:03:07", "", "5304", "http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12297", "1", "2023-05-31 14:10:31", "2023-05-31 12:10:31", "", "Franchise-e-sushi-scaled", "", "inherit", "open", "closed", "", "franchise-e-sushi-scaled", "", "", "2023-05-31 14:10:31", "2023-05-31 12:10:31", "", "4967", "http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12304", "1", "2023-05-31 14:16:37", "2023-05-31 12:16:37", "", "food-porn-photo", "", "inherit", "open", "closed", "", "food-porn-photo", "", "", "2023-05-31 14:16:37", "2023-05-31 12:16:37", "", "4963", "http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12317", "1", "2023-05-31 14:24:35", "2023-05-31 12:24:35", "", "hemblem-influence-3", "", "inherit", "open", "closed", "", "hemblem-influence-3", "", "", "2023-05-31 14:24:35", "2023-05-31 12:24:35", "", "5265", "http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12333", "1", "2023-05-31 14:32:36", "2023-05-31 12:32:36", "", "concept-de-restaurant", "", "inherit", "open", "closed", "", "concept-de-restaurant", "", "", "2023-05-31 14:32:36", "2023-05-31 12:32:36", "", "4956", "http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12340", "1", "2023-05-31 14:37:54", "2023-05-31 12:37:54", "", "A variety of hand-drawn doodled text of social media concepts.", "A variety of hand-drawn doodled text of social media concepts.", "inherit", "open", "closed", "", "a-variety-of-hand-drawn-doodled-text-of-social-media-concepts", "", "", "2023-05-31 14:37:54", "2023-05-31 12:37:54", "", "4946", "http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12348", "1", "2023-05-31 14:43:43", "2023-05-31 12:43:43", "", "Woman ordering food online on her electronic device", "Woman ordering food online on her electronic device", "inherit", "open", "closed", "", "woman-ordering-food-online-on-her-electronic-device", "", "", "2023-05-31 14:43:43", "2023-05-31 12:43:43", "", "4888", "http://kookagency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12359", "1", "2023-05-31 14:55:56", "2023-05-31 12:55:56", "", "Tiktok-au-service-des-restaurants-en-2022-980x523", "", "inherit", "open", "closed", "", "tiktok-au-service-des-restaurants-en-2022-980x523", "", "", "2023-05-31 14:55:56", "2023-05-31 12:55:56", "", "4445", "http://kookagency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12366", "1", "2023-05-31 15:03:11", "2023-05-31 13:03:11", "", "pablopanini_1080x1080-117112", "", "inherit", "open", "closed", "", "pablopanini_1080x1080-117112", "", "", "2023-05-31 15:03:11", "2023-05-31 13:03:11", "", "4041", "http://kookagency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12374", "1", "2023-05-31 15:10:54", "2023-05-31 13:10:54", "", "Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original", "", "inherit", "open", "closed", "", "click-collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original", "", "", "2023-05-31 15:10:54", "2023-05-31 13:10:54", "", "3492", "http://kookagency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12381", "1", "2023-05-31 15:17:34", "2023-05-31 13:17:34", "", "Sans-titre-2022-03-30T162439.577", "", "inherit", "open", "closed", "", "sans-titre-2022-03-30t162439-577", "", "", "2023-05-31 15:17:34", "2023-05-31 13:17:34", "", "3174", "http://kookagency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12389", "1", "2023-05-31 15:27:52", "2023-05-31 13:27:52", "", "2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption", "", "inherit", "open", "closed", "", "2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption", "", "", "2023-05-31 15:27:52", "2023-05-31 13:27:52", "", "3001", "http://kookagency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12396", "1", "2023-05-31 15:37:46", "2023-05-31 13:37:46", "", "Sans-titre-2022-03-30T162754.782-1000x675", "", "inherit", "open", "closed", "", "sans-titre-2022-03-30t162754-782-1000x675", "", "", "2023-05-31 15:37:46", "2023-05-31 13:37:46", "", "2634", "http://kookagency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12403", "1", "2023-05-31 15:44:12", "2023-05-31 13:44:12", "", "coursier-velo-illustration-828622-0@1x (1)", "", "inherit", "open", "closed", "", "coursier-velo-illustration-828622-01x-1", "", "", "2023-05-31 15:44:12", "2023-05-31 13:44:12", "", "2626", "http://kookagency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12411", "1", "2023-05-31 15:53:03", "2023-05-31 13:53:03", "", "Business People at the Cafe Restaurant Discussing During Business Lunch", "Business People at the Cafe Restaurant Discussing During Business Lunch", "inherit", "open", "closed", "", "business-people-at-the-cafe-restaurant-discussing-during-business-lunch", "", "", "2023-05-31 15:53:03", "2023-05-31 13:53:03", "", "2481", "http://kookagency/wp-content/uploads/2018/09/marketing-restaurant.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12418", "1", "2023-05-31 15:59:55", "2023-05-31 13:59:55", "", "IBA-LE-Rouge-VErbier2092-1080x675 (1)", "", "inherit", "open", "closed", "", "iba-le-rouge-verbier2092-1080x675-1", "", "", "2023-05-31 15:59:55", "2023-05-31 13:59:55", "", "2279", "http://kookagency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12425", "1", "2023-05-31 16:05:32", "2023-05-31 14:05:32", "", "IMG_13881542-1080x675 (1)", "", "inherit", "open", "closed", "", "img_13881542-1080x675-1", "", "", "2023-05-31 16:05:32", "2023-05-31 14:05:32", "", "2259", "http://kookagency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12436", "1", "2023-05-31 16:14:15", "2023-05-31 14:14:15", "", "slider-template-2-1080x675 (1)", "", "inherit", "open", "closed", "", "slider-template-2-1080x675-1", "", "", "2023-05-31 16:14:15", "2023-05-31 14:14:15", "", "2245", "http://kookagency/wp-content/uploads/2018/08/slider-template-2-1080x675-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12443", "1", "2023-05-31 16:18:49", "2023-05-31 14:18:49", "", "Avis-négatif-Facebook-Journal-du-CM (1)", "", "inherit", "open", "closed", "", "avis-negatif-facebook-journal-du-cm-1", "", "", "2023-05-31 16:18:49", "2023-05-31 14:18:49", "", "2084", "http://kookagency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12453", "1", "2023-05-31 16:26:20", "2023-05-31 14:26:20", "", "b8177331c059737e7716c47e13112c88", "", "inherit", "open", "closed", "", "b8177331c059737e7716c47e13112c88", "", "", "2023-05-31 16:26:20", "2023-05-31 14:26:20", "", "191", "http://kookagency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12461", "1", "2023-05-31 16:32:33", "2023-05-31 14:32:33", "", "Customer reviews, service evaluation, feedback, rating system isometric concept", "Customer reviews, service evaluation, feedback, rating system isometric concept", "inherit", "open", "closed", "", "customer-reviews-service-evaluation-feedback-rating-system-isometric-concept", "", "", "2023-05-31 16:32:33", "2023-05-31 14:32:33", "", "188", "http://kookagency/wp-content/uploads/2018/02/avis-client-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12566", "1", "2023-06-01 13:36:34", "2023-06-01 11:36:34", "", "MR__4249 (2)", "", "inherit", "open", "closed", "", "mr__4249-2", "", "", "2023-06-01 13:36:34", "2023-06-01 11:36:34", "", "10485", "http://kookagency/wp-content/uploads/2023/06/MR__4249-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12571", "1", "2023-06-01 13:47:41", "2023-06-01 11:47:41", "", "61378a6aa73744d413238ebf_HEMBLEM logo2", "", "inherit", "open", "closed", "", "61378a6aa73744d413238ebf_hemblem-logo2", "", "", "2023-06-01 13:47:41", "2023-06-01 11:47:41", "", "10485", "http://kookagency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12606", "1", "2023-06-01 14:37:55", "2023-06-01 12:37:55", "", "K LOGO NOIR (1)", "", "inherit", "open", "closed", "", "k-logo-noir-1", "", "", "2023-06-01 14:37:55", "2023-06-01 12:37:55", "", "0", "http://kookagency/wp-content/uploads/2023/06/K-LOGO-NOIR-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12607", "1", "2023-06-01 14:39:20", "2023-06-01 12:39:20", "http://kookagency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1.png", "cropped-K-LOGO-NOIR-1.png", "", "inherit", "open", "closed", "", "cropped-k-logo-noir-1-png", "", "", "2023-06-01 14:39:20", "2023-06-01 12:39:20", "", "0", "http://kookagency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12618", "1", "2023-06-01 15:16:25", "2023-06-01 13:16:25", "", "PORTRAITKOOK-15 (2)", "", "inherit", "open", "closed", "", "portraitkook-15-2", "", "", "2023-06-01 15:16:25", "2023-06-01 13:16:25", "", "10485", "http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12648", "1", "2023-06-02 10:09:10", "2023-06-02 08:09:10", "<p>Si vous voulez manger français et recherchez un établissement où passer la soirée, vous êtes les bienvenus chez nous. <br>Bienvenue dans le « L\'O Beach ». Profitez de nos plats savoureux et de la superbe ambiance de notre restaurant. nn Goûtez notre cuisine végétarienne. Vous serez surpris du nombre de possibilités de repas sains dont vous disposez.nn Notre zone extérieure chauffée vous assure une superbe ambiance et vous invite à rester plus longtemps. <br> Admirez directement la mer depuis notre établissement. Qu’il s’agisse d’un important déjeuner d’affaires ou d’un simple déjeuner dehors avec des collègues, notre menu de midi propose un choix changeant de plats raffinés.</p>		\n	<img width=\"2560\" height=\"1920\" src=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-300x225.jpg 300w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-1024x768.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-768x576.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-1536x1152.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-2048x1536.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-1200x900.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-416x312.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />L’O Beach\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-1639x2048.jpg 1639w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />L’O Beach\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />L’O Beach\n			<p>Découvrez un autre de nos clients !</p>", "L\'O Beach", "Si vous voulez manger français et recherchez un établissement où passer la soirée, vous êtes les bienvenus chez nous.", "publish", "closed", "closed", "", "lo-beach", "", "", "2023-06-05 15:54:58", "2023-06-05 13:54:58", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12648", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12651", "1", "2023-06-02 10:15:23", "2023-06-02 08:15:23", "", "LOBEACH_MR_44", "", "inherit", "open", "closed", "", "lobeach_mr_44", "", "", "2023-06-02 10:15:23", "2023-06-02 08:15:23", "", "12648", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12652", "1", "2023-06-02 10:16:46", "2023-06-02 08:16:46", "", "LOBEACH_MR_169", "", "inherit", "open", "closed", "", "lobeach_mr_169", "", "", "2023-06-02 10:16:46", "2023-06-02 08:16:46", "", "12648", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12653", "1", "2023-06-02 10:17:35", "2023-06-02 08:17:35", "", "LOBEACH_MR_40", "", "inherit", "open", "closed", "", "lobeach_mr_40", "", "", "2023-06-02 10:17:35", "2023-06-02 08:17:35", "", "12648", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12654", "1", "2023-06-02 10:18:18", "2023-06-02 08:18:18", "", "LOBEACH_MR_29", "", "inherit", "open", "closed", "", "lobeach_mr_29", "", "", "2023-06-02 10:18:18", "2023-06-02 08:18:18", "", "12648", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12658", "1", "2023-06-02 10:26:10", "2023-06-02 08:26:10", "<p>Si vous souhaitez manger français et êtes en quête d’un établissement où passer la soirée, vous êtes les bienvenus chez nous. Le RUBY satisfait même les plus exigeants – vous serez conquis par d’excellents plats servis dans une atmosphère agréable. Passez de douces soirées dans notre magnifique et agréable espace extérieur.\n<br><br>\nRestaurant authentique situé dans un environnement chic.<br>\nNotre cuisine française riche en traditions vous offre un grand choix de plats délicieux et fraîchement préparés.</p>		\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />ruby\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />ruby\n	<img width=\"1920\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-scaled.jpg 1920w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-225x300.jpg 225w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-768x1024.jpg 768w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-1152x1536.jpg 1152w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-1536x2048.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-1200x1600.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-416x555.jpg 416w\" sizes=\"(max-width: 1920px) 100vw, 1920px\" />ruby\n			<p>Découvrez un autre de nos clients !</p>", "Ruby", "Le RUBY satisfait même les plus exigeants", "publish", "closed", "closed", "", "ruby", "", "", "2023-06-05 15:57:25", "2023-06-05 13:57:25", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12658", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12660", "1", "2023-06-02 10:29:51", "2023-06-02 08:29:51", "", "RUBY_MR_026", "", "inherit", "open", "closed", "", "ruby_mr_026", "", "", "2023-06-02 10:29:51", "2023-06-02 08:29:51", "", "12658", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12668", "1", "2023-06-02 10:33:43", "2023-06-02 08:33:43", "<p>Restaurant ouvert tous les jours jusqu\'à 2 heures du matin et la cuisine est ouverte jusqu\'à minuit</p>		\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Vita Ristorante\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Vita Ristorante\n	<img width=\"2048\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-scaled.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-240x300.jpg 240w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-819x1024.jpg 819w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-768x960.jpg 768w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-1229x1536.jpg 1229w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-1638x2048.jpg 1638w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-1200x1500.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-416x520.jpg 416w\" sizes=\"(max-width: 2048px) 100vw, 2048px\" />Vita Ristorante\n			<p>Découvrez un autre de nos clients !</p>", "Vita Ristorante", "Restaurant ouvert tous les jours jusqu\'à 2 heures du matin et la cuisine est ouverte jusqu\'à minuit", "publish", "closed", "closed", "", "vita-ristorante", "", "", "2023-06-05 15:57:48", "2023-06-05 13:57:48", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12668", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12662", "1", "2023-06-02 10:30:52", "2023-06-02 08:30:52", "", "RUBY_MR_024", "", "inherit", "open", "closed", "", "ruby_mr_024", "", "", "2023-06-02 10:30:52", "2023-06-02 08:30:52", "", "12658", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12663", "1", "2023-06-02 10:31:36", "2023-06-02 08:31:36", "", "RUBY_MR_061", "", "inherit", "open", "closed", "", "ruby_mr_061", "", "", "2023-06-02 10:31:36", "2023-06-02 08:31:36", "", "12658", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12664", "1", "2023-06-02 10:32:13", "2023-06-02 08:32:13", "", "RUBY_MR_050", "", "inherit", "open", "closed", "", "ruby_mr_050", "", "", "2023-06-02 10:32:13", "2023-06-02 08:32:13", "", "12658", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12678", "1", "2023-06-02 10:50:58", "2023-06-02 08:50:58", "<p>🍝 Cuisine italienne de saison<br>\n🍷 Bar à vins<br>\n📍 Trocadéro<br>\n🕑 12h-23h</p>		\n	<img width=\"2560\" height=\"1707\" src=\"http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-scaled.jpg 2560w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-300x200.jpg 300w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-1024x683.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-768x512.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-1536x1024.jpg 1536w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-2048x1365.jpg 2048w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-1200x800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-416x277.jpg 416w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" />Di vino\n	<img width=\"1808\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/P1460489-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/P1460489-scaled.jpg 1808w, http://kookagency/wp-content/uploads/2023/06/P1460489-212x300.jpg 212w, http://kookagency/wp-content/uploads/2023/06/P1460489-723x1024.jpg 723w, http://kookagency/wp-content/uploads/2023/06/P1460489-768x1088.jpg 768w, http://kookagency/wp-content/uploads/2023/06/P1460489-1085x1536.jpg 1085w, http://kookagency/wp-content/uploads/2023/06/P1460489-1446x2048.jpg 1446w, http://kookagency/wp-content/uploads/2023/06/P1460489-1200x1699.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/P1460489-416x589.jpg 416w\" sizes=\"(max-width: 1808px) 100vw, 1808px\" />Di vino\n	<img width=\"1707\" height=\"2560\" src=\"http://kookagency/wp-content/uploads/2023/06/DIVINO-16-scaled.jpg\" alt=\"\" decoding=\"async\" loading=\"lazy\" data-dsn-speed=\"30%\" srcset=\"http://kookagency/wp-content/uploads/2023/06/DIVINO-16-scaled.jpg 1707w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-200x300.jpg 200w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-683x1024.jpg 683w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-768x1152.jpg 768w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-1024x1536.jpg 1024w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-1365x2048.jpg 1365w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-1200x1800.jpg 1200w, http://kookagency/wp-content/uploads/2023/06/DIVINO-16-416x624.jpg 416w\" sizes=\"(max-width: 1707px) 100vw, 1707px\" />Di Vino\n			<p>Découvrez un autre de nos clients !</p>", "Di Vino", "Au 3•6•9 on vous prépare une cuisine gourmande et faite maison", "publish", "closed", "closed", "", "di-vino", "", "", "2023-06-05 15:53:54", "2023-06-05 13:53:54", "", "0", "http://kookagency/?post_type=blackdsn-portfolio&#038;p=12678", "0", "blackdsn-portfolio", "", "0");
INSERT INTO `wp_posts` VALUES("12671", "1", "2023-06-02 10:39:45", "2023-06-02 08:39:45", "", "VITA_MR_23", "", "inherit", "open", "closed", "", "vita_mr_23", "", "", "2023-06-02 10:39:45", "2023-06-02 08:39:45", "", "12668", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12672", "1", "2023-06-02 10:40:16", "2023-06-02 08:40:16", "", "VITA_MR_5", "", "inherit", "open", "closed", "", "vita_mr_5", "", "", "2023-06-02 10:40:16", "2023-06-02 08:40:16", "", "12668", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12673", "1", "2023-06-02 10:40:48", "2023-06-02 08:40:48", "", "VITA_MR_36", "", "inherit", "open", "closed", "", "vita_mr_36", "", "", "2023-06-02 10:40:48", "2023-06-02 08:40:48", "", "12668", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_36.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12674", "1", "2023-06-02 10:41:20", "2023-06-02 08:41:20", "", "VITA_MR_66", "", "inherit", "open", "closed", "", "vita_mr_66", "", "", "2023-06-02 10:41:20", "2023-06-02 08:41:20", "", "12668", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_66.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12680", "1", "2023-06-02 10:53:52", "2023-06-02 08:53:52", "", "P1460372", "", "inherit", "open", "closed", "", "p1460372", "", "", "2023-06-02 10:53:52", "2023-06-02 08:53:52", "", "12678", "http://kookagency/wp-content/uploads/2023/06/P1460372.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12681", "1", "2023-06-02 10:55:01", "2023-06-02 08:55:01", "", "DIVINO-52 (1)", "", "inherit", "open", "closed", "", "divino-52-1", "", "", "2023-06-02 10:55:01", "2023-06-02 08:55:01", "", "12678", "http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12682", "1", "2023-06-02 10:55:57", "2023-06-02 08:55:57", "", "P1460489", "", "inherit", "open", "closed", "", "p1460489", "", "", "2023-06-02 10:55:57", "2023-06-02 08:55:57", "", "12678", "http://kookagency/wp-content/uploads/2023/06/P1460489.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12683", "1", "2023-06-02 10:56:36", "2023-06-02 08:56:36", "", "DIVINO-16", "", "inherit", "open", "closed", "", "divino-16", "", "", "2023-06-02 10:56:36", "2023-06-02 08:56:36", "", "12678", "http://kookagency/wp-content/uploads/2023/06/DIVINO-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12693", "1", "2023-06-05 10:34:27", "2023-06-05 08:34:27", "", "My project-1black", "", "inherit", "open", "closed", "", "my-project-1black", "", "", "2023-06-05 10:34:27", "2023-06-05 08:34:27", "", "0", "http://kookagency/wp-content/uploads/2023/06/My-project-1black.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12697", "1", "2023-06-05 11:43:14", "2023-06-05 09:43:14", " ", "", "", "publish", "closed", "closed", "", "12697", "", "", "2023-06-05 11:43:14", "2023-06-05 09:43:14", "", "0", "http://kookagency/?p=12697", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12698", "1", "2023-06-05 11:43:15", "2023-06-05 09:43:15", " ", "", "", "publish", "closed", "closed", "", "12698", "", "", "2023-06-05 11:43:15", "2023-06-05 09:43:15", "", "0", "http://kookagency/?p=12698", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12699", "1", "2023-06-05 11:43:15", "2023-06-05 09:43:15", " ", "", "", "publish", "closed", "closed", "", "12699", "", "", "2023-06-05 11:43:15", "2023-06-05 09:43:15", "", "0", "http://kookagency/?p=12699", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12700", "1", "2023-06-05 11:43:15", "2023-06-05 09:43:15", " ", "", "", "publish", "closed", "closed", "", "12700", "", "", "2023-06-05 11:43:15", "2023-06-05 09:43:15", "", "0", "http://kookagency/?p=12700", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12712", "1", "2023-06-05 13:24:42", "2023-06-05 11:24:42", "", "Theme Demo Import - log_file_2023-06-05__11-24-42", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-06-05__11-24-42", "", "", "2023-06-05 13:24:42", "2023-06-05 11:24:42", "", "0", "http://kookagency/wp-content/uploads/2023/06/log_file_2023-06-05__11-24-42.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2018-02-07 00:39:40", "2018-02-06 23:39:40", "", "Plan du site", "", "publish", "closed", "closed", "", "plan-du-site", "", "", "2023-06-05 15:16:50", "2023-06-05 13:16:50", "", "0", "https://oasis.netunivers.net/?page_id=62", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2018-03-14 14:30:03", "2018-03-14 13:30:03", "[et_pb_section fb_built=\"1\" fullwidth=\"on\" _builder_version=\"4.16\" global_colors_info=\"{}\"][et_pb_fullwidth_image src=\"https://www.kook-agency.fr/wp-content/uploads/2021/05/Des-prix-adaptes-a-vos-besoins.png\" title_text=\"Des prix adaptés à vos besoins\" disabled_on=\"on|off|off\" _builder_version=\"4.16\" global_colors_info=\"{}\"][/et_pb_fullwidth_image][et_pb_fullwidth_header title=\"Des prix adaptés à vos besoins\" disabled_on=\"off|on|on\" _builder_version=\"4.16\" _module_preset=\"default\" title_font=\"|700|||||||\" title_text_align=\"center\" title_text_color=\"#FFFFFF\" title_line_height=\"1.3em\" background_enable_color=\"off\" background_image=\"https://www.kook-agency.fr/wp-content/uploads/2021/05/fond-tarifs.jpg\" global_colors_info=\"{}\"][/et_pb_fullwidth_header][/et_pb_section][et_pb_section fb_built=\"1\" disabled_on=\"off|off|off\" admin_label=\"Section Réseau sociaux\" module_class=\"pb-tarifs\" _builder_version=\"4.16\" background_color=\"rgba(0,0,0,0)\" background_position=\"top_center\" custom_margin=\"||||false|false\" custom_margin_tablet=\"0%||0%|\" custom_margin_phone=\"\" custom_margin_last_edited=\"on|desktop\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_row disabled_on=\"off|off|\" admin_label=\"Ligne pour titre\" _builder_version=\"4.16\" custom_padding=\"0px||0px|\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Titre\" _builder_version=\"4.16\" text_text_color=\"#000000\" header_text_align=\"center\" header_text_color=\"#ffffff\" text_orientation=\"center\" animation_style=\"zoom\" global_colors_info=\"{}\"]<h2><span style=\"color: #000000;\">Réseaux sociaux</span></h2>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row admin_label=\"Ligne pour checkbox\" module_id=\"row-btn-paiement\" _builder_version=\"4.16\" background_color=\"#ffffff\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Bouton toggle sociaux\" module_id=\"cxv\" _builder_version=\"4.16\" z_index_tablet=\"500\" global_colors_info=\"{}\"]<div style=\"text-align:center;\"><span id=\"paiement3\" class=\"link-paie\">Tarifs Annuel</span><span class=\"container-btn1 social\"><span class=\"btn-content1 social\"></span></span><span id=\"paiement4\" class=\"link-paie\">Tarif mensuel</span></div>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row disabled_on=\"on|on|on\" module_class=\"column-mensuel \" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"0px|||\" disabled=\"on\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Economisez 15% avec un engagement de 12 mois\" _builder_version=\"4.16\" text_text_color=\"#a3a3a3\" text_font_size=\"12px\" text_orientation=\"center\" global_colors_info=\"{}\"]Economiser 15 % sur l\'année ![/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row admin_label=\"Ligne\" module_class=\"column-annuel1 socialann\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"0px|||\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Economiser 15 % sur l\'année !\" _builder_version=\"4.16\" text_text_color=\"#a3a3a3\" text_font_size=\"12px\" text_orientation=\"center\" global_colors_info=\"{}\"]Economiser 15 % sur l\'année ![/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_3,1_3,1_3\" admin_label=\"Contenu Onglet Annuel, Réseaux sociaux\" module_id=\"column-tarif\" module_class=\"column-annuel1 socialann\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"|||45px\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"1_3\" module_class=\"kol1kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #2c3036;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Petit chef (annuel)\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#222222\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>LE PETIT CHEF</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">399 € HT/MOIS</span><br /><span style=\"color: #222222; font-size: 12px;\">Paiement en 1 fois (4788 € HT/an)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Démarrer\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.19.3\" custom_padding=\"|||17px\" hover_enabled=\"0\" global_colors_info=\"{}\" sticky_enabled=\"0\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>3 shootings photos + 6 vidéos (Reels Instagram) par an offert</li>\n<li>12 publications (6 Facebook &amp; 6 Instagram) par mois</li>\n<li>Création de 1 story par semaine</li>\n<li>1 campagne publicitaire Facebook &amp; Instagram Ads</li>\n<li>29 € de budget publicitaire offert (inclus tous les mois)</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol2kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #f49664;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"CHEFOUICHEF (annuel)\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ff6d58\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>CHEF OUI CHEF</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">699 € HT/MOIS</span><br /><span style=\"color: #222222; font-size: 12px;\">Paiement en 1 fois (8388 € HT/an)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Démarrer\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.19.3\" custom_padding=\"|||17px\" hover_enabled=\"0\" global_colors_info=\"{}\" sticky_enabled=\"0\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>4 shootings photos + 8 vidéos (Reels Instagram) par an offert</li>\n<li>16 publications (8 Facebook &amp; 8 Instagram) par mois</li>\n<li>Création de 3 stories par semaine</li>\n<li>Repartage des stories clients</li>\n<li>2 campagnes Facebook &amp; Instagram Ads</li>\n<li>35 € de budget publicitaire offert (inclus tous les mois)</li>\n<li>Stratégie d\'acquisition d\'abonnés</li>\n<li>2 jeux concours par an</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol3kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #d59706;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"TOP CHEF (annuel)\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ffd671\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>TOP CHEF</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">1099€/mois</span><br /><span style=\"color: #222222; font-size: 12px;\">Paiement en 1 fois (13188 € HT/an)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Démarrer\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.19.3\" custom_padding=\"|||17px\" hover_enabled=\"0\" global_colors_info=\"{}\" sticky_enabled=\"0\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>6 shootings photos + 12 vidéos (Reels Instagram) par an offert</li>\n<li><i class=\"sui sui-check\"></i>24 publications (12 Facebook &amp; 12 Instagram) par mois</li>\n<li><i class=\"sui sui-check\"></i>1 vidéo Tiktok par mois</li>\n<li><i class=\"sui sui-check\"></i>Création de 4 stories par semaine</li>\n<li><i class=\"sui sui-check\"></i>3 campagnes Facebook &amp; Instagram Ads</li>\n<li><i class=\"sui sui-check\"></i>90 € de budget publicitaire offert (inclus tous les mois)</li>\n<li><i class=\"sui sui-check\"></i>Stratégie d’acquisition d’abonnés</li>\n<li><i class=\"sui sui-check\"></i>Mise en relation avec des influenceurs</li>\n<li><i class=\"sui sui-check\"></i>4 jeux concours par an</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_3,1_3,1_3\" disabled_on=\"off|off|off\" admin_label=\"Contenu  Onglet mensuel, Réseaux sociaux\" module_id=\"column-tarif\" module_class=\"column-mensuel1 socialmens\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"|||45px\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"1_3\" module_class=\"kol1kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #2c3036;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"PETIT CHEF (mensuel)\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#222222\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>LE PETIT CHEF</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">499 € HT/MOIS</span><br /><span style=\"color: #222222;\"><span style=\"font-size: 12px;\">Engagement 12 mois</span></span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Démarrer\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.19.3\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>3 shootings photos + 6 vidéos (Reels Instagram) par an offert</li>\n<li>12 publications (6 Facebook &amp; 6 Instagram) par mois</li>\n<li>Création de 1 story par semaine</li>\n<li>1 campagne publicitaire Facebook &amp; Instagram Ads</li>\n<li>29 € de budget publicitaire offert (inclus tous les mois)<i class=\"sui sui-check\"></i></li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol2kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #f49664;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"CHEF OUI CHEF (mensuel)\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ff6d58\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>CHEF OUI CHEF</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">799 € HT/MOIS</span><br /><span style=\"color: #222222;\"><span style=\"font-size: 12px;\">Engagement 12 mois</span></span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Démarrer\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.19.3\" custom_padding=\"|||17px\" hover_enabled=\"0\" global_colors_info=\"{}\" sticky_enabled=\"0\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>4 shootings photos + 8 vidéos (Reels Instagram) par an offert</li>\n<li>16 publications (8 Facebook &amp; 8 Instagram) par mois</li>\n<li>Création de 3 stories par semaine</li>\n<li>Repartage des stories clients</li>\n<li>2 campagnes Facebook &amp; Instagram Ads</li>\n<li>35 € de budget publicitaire offert (inclus tous les mois)</li>\n<li>Stratégie d\'acquisition d\'abonnés</li>\n<li>2 jeux concours par an</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol3kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #d59706;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"TOP CHEF (mensuel)\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ffd671\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>TOP CHEF</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">1299€ HT/MOIS</span><br /><span style=\"color: #222222;\"><span style=\"font-size: 12px;\">Engagement 12 mois</span></span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Démarrer\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.19.3\" custom_padding=\"|||17px\" hover_enabled=\"0\" global_colors_info=\"{}\" sticky_enabled=\"0\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>6 shootings photos + 12 vidéos (Reels Instagram) par an offert</li>\n<li>24 publications (12 Facebook &amp; 12 Instagram) par mois</li>\n<li>1 vidéo Tiktok par mois</li>\n<li>Création de 4 stories par semaine</li>\n<li>3 campagnes Facebook &amp; Instagram Ads</li>\n<li>90 € de budget publicitaire offert (inclus tous les mois)</li>\n<li>Stratégie d\'acquisition d\'abonnés</li>\n<li>Mise en relation avec des influenceurs</li>\n<li>4 jeux concours par an</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row disabled_on=\"on|on|on\" module_class=\"column-mensuel social\" _builder_version=\"4.16\" background_size=\"initial\" background_position=\"top_left\" background_repeat=\"repeat\" disabled=\"on\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][/et_pb_column][/et_pb_row][/et_pb_section][et_pb_section fb_built=\"1\" disabled_on=\"||on\" admin_label=\"Section Titre mobile\" module_id=\"tarifs-siteweb\" _builder_version=\"4.16\" background_enable_image=\"off\" custom_margin=\"||||false|false\" custom_padding=\"0px||0px|\" custom_css_main_element=\"    background-color: transparent !important;\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_row _builder_version=\"4.16\" custom_padding=\"||0px||false|false\" custom_css_main_element=\"    background-color: transparent !important;\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text disabled_on=\"||on\" admin_label=\"Site web (Titre mobile)\" _builder_version=\"4.16\" text_text_color=\"#ffffff\" header_text_align=\"center\" header_text_color=\"#ffffff\" header_font_size=\"25px\" text_orientation=\"center\" custom_padding=\"2em||0px||false|false\" animation_style=\"zoom\" global_colors_info=\"{}\"]<h1><span style=\"color: #000;\">Site web </span></h1>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_3,1_3,1_3\" disabled_on=\"on|on|on\" admin_label=\"Onglet annuel mobile | Nos Tarifs\" module_id=\"column-tarif\" module_class=\"column-annuel\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"|||45px\" disabled=\"on\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_column type=\"1_3\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #2c3036;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"EASY KOOK\" _builder_version=\"4.16\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#222222\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>EASY KOOK</h2>\r\n<span style=\"font-size:30px;color:#222222;font-weight:100;\">59 € HT/MOIS</span>\r\n<span style=\"color:#222222;font-size:12px;\">Engagement 12 mois</span>\r\nLe site web pour les nouveaux\r\narrivants dans le digital.[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"][su_list icon=\"icon: check\" icon_color=\"#000000\"]\r\n<ul>\r\n 	<li>Optimisation de votre site pour\r\nles mobiles et tablettes</li>\r\n 	<li>Liaisons aux réseaux sociaux</li>\r\n 	<li>Modifier votre carte facilement</li>\r\n 	<li>Hébergement &amp; maintenance</li>\r\n 	<li>Statistiques visite, clics, pages\r\nconsultés...</li>\r\n 	<li>Boîte mail professionnelle en\r\n@votre-resto.fr</li>\r\n</ul>\r\n[/su_list]\r[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #f49664;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"UP KOOK\" _builder_version=\"4.16\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ff6d58\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>UP KOOK</h2>\r\n<span style=\"font-size:30px;color:#222222;font-weight:100;\">89 € HT/MOIS</span>\r\n<span style=\"color:#222222;font-size:12px;\">Engagement 12 mois</span>\r\nGagnez en visibilité face à vos\r\nconcurents.[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"][su_list icon=\"icon: check\" icon_color=\"#000000\"]\r\n<ul>\r\n 	<li>Un site web sur-mesure</li>\r\n 	<li>Réservation en ligne</li>\r\n 	<li>Avis clients positif TripAdvisor</li>\r\n 	<li>Galerie photo Instagram</li>\r\n 	<li>Optimisation de votre site pour\r\nles mobiles et tablettes</li>\r\n 	<li>Liaisons aux réseaux sociaux</li>\r\n 	<li>Référencement naturel</li>\r\n</ul>\r\n[/su_list]\r[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #d59706;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"E-KOOK\" _builder_version=\"4.16\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ffd671\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>CLICK & KOOK</h2>\r\n<span style=\"font-size:30px;color:#222222;font-weight:100;\">115€/mois</span>\r\nOffrez à vos clients la possibilité\r\nde commander vos plats en\r\nligne.[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"][su_list icon=\"icon: check\" icon_color=\"#000000\"]\r\n<ul>\r\n 	<li>Un site web sur-mesure</li>\r\n 	<li>Commande en ligne et\r\n Click&Collect</li>\r\n 	<li>Vos plats en ligne (photos, descriptions, prix...)</li>\r\n 	<li>Galerie photo Instagram</li>\r\n 	<li>Optimisation de votre site pour\r\nles mobiles et tablettes</li>\r\n 	<li>Liaisons aux réseaux sociaux</li>\r\n 	<li>Référencement naturel</li>\r\n</ul>\r\n[/su_list][/et_pb_text][/et_pb_column][/et_pb_row][/et_pb_section][et_pb_section fb_built=\"1\" custom_padding_last_edited=\"on|desktop\" disabled_on=\"off|off|off\" admin_label=\"Section Nos tarifs\" module_class=\"pb-tarifs\" _builder_version=\"4.16\" background_color=\"rgba(0,0,0,0)\" background_position=\"top_center\" custom_margin=\"||||false|false\" custom_margin_tablet=\"0%||0%|\" custom_margin_phone=\"\" custom_margin_last_edited=\"on|tablet\" custom_padding=\"||0px||false|false\" custom_padding_tablet=\"0px||||false|false\" custom_padding_phone=\"\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_row disabled_on=\"on|on|\" admin_label=\"Ligne Titre\" _builder_version=\"4.16\" custom_padding=\"0px||0px|\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Site web (Titre desktop)\" _builder_version=\"4.16\" text_text_color=\"#ffffff\" header_text_align=\"center\" header_text_color=\"#ffffff\" text_orientation=\"center\" custom_padding=\"||0px||false|false\" custom_padding_tablet=\"\" custom_padding_phone=\"\" custom_padding_last_edited=\"on|desktop\" animation_style=\"zoom\" global_colors_info=\"{}\"]<h1><span style=\"color: #000;\">Sites web </span></h1>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row admin_label=\"Ligne Checkbox\" module_id=\"row-btn-paiement\" _builder_version=\"4.16\" background_color=\"#ffffff\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Bouton toggle tarifs\" module_id=\"cxv\" _builder_version=\"4.16\" z_index_tablet=\"500\" global_colors_info=\"{}\"]<div style=\"text-align:center;\"><span id=\"paiement1\" class=\"link-paie\">Tarifs Annuel</span><span class=\"container-btn\"><span class=\"btn-content\"></span></span><span id=\"paiement2\" class=\"link-paie\">Tarif mensuel</span></div>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row disabled_on=\"on|on|on\" module_class=\"column-mensuel \" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"0px|||\" disabled=\"on\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Economisez 15% avec un engagement de 12 mois\" _builder_version=\"4.16\" text_text_color=\"#a3a3a3\" text_font_size=\"12px\" text_orientation=\"center\" global_colors_info=\"{}\"]Economiser 15 % sur l\'année ![/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_2,1_2\" module_class=\"column-annuel rowba1\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"0px|||\" global_colors_info=\"{}\"][et_pb_column type=\"1_2\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Economiser 15 % sur l\'année !\" module_class=\"linbas1\" _builder_version=\"4.16\" text_text_color=\"#a3a3a3\" text_font_size=\"12px\" text_orientation=\"center\" global_colors_info=\"{}\"]Economiser 15 % sur l\'année ![/et_pb_text][/et_pb_column][et_pb_column type=\"1_2\" _builder_version=\"4.16\" _module_preset=\"default\" global_colors_info=\"{}\"][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_3,1_3,1_3\" disabled_on=\"off|off|off\" admin_label=\"Contenu Onglet Annuel, Nos tarifs\" module_id=\"column-tarif\" module_class=\"column-annuel \" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"|||45px\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"1_3\" module_class=\"kol1kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #2c3036;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"EASY KOOK\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#222222\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>EASY KOOK</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">49 € HT/MOIS</span><br /><span style=\"color: #222222; font-size: 12px;\">Paiement en 1 fois (950 € HT/an)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>Intégration de votre carte / menu</li>\n<li>Optimisation de votre site pour<br />les mobiles et tablettes</li>\n<li>Liaisons aux réseaux sociaux</li>\n<li>Hébergement &amp; maintenance inclus</li>\n<li>Statistiques visite, clics, pages<br />consultés...</li>\n<li>Boîte mail professionnelle en<br />@votre-resto.fr</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol2kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #f49664;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"UP KOOK\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ff6d58\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>UP KOOK</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">69 € HT/MOIS</span><br /><span style=\"color: #222222; font-size: 12px;\">Paiement en 1 fois (1590 € HT/an)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>Intégration de votre carte / menu</li>\n<li>Optimisation de votre site pour<br />les mobiles et tablettes</li>\n<li>Liaisons aux réseaux sociaux</li>\n<li>Hébergement &amp; maintenance inclus</li>\n<li>Statistiques visite, clics, pages<br />consultés...</li>\n<li>Boîte mail professionnelle en<br />@votre-resto.fr</li>\n<li><strong>Charte graphique sur-mesure</strong></li>\n<li><strong>Réservation en ligne</strong></li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol3kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #d59706;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"E-KOOK\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ffd671\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>CLICK &amp; KOOK</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">89€ HT/MOIS<br /><span style=\"color: #222222; font-size: 12px;\">Paiement en 1 fois (2200 € HT/an)</span></span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>Intégration de votre carte / menu</li>\n<li>Optimisation de votre site pour<br />les mobiles et tablettes</li>\n<li>Liaisons aux réseaux sociaux</li>\n<li>Hébergement &amp; maintenance inclus</li>\n<li>Statistiques visite, clics, pages<br />consultés...</li>\n<li>Boîte mail professionnelle en<br />@votre-resto.fr</li>\n<li>Charte graphique sur-mesure</li>\n<li>Réservation en ligne</li>\n<li><strong>Click &amp; Collect &amp; Paiement en ligne</strong></li>\n<li><strong>Optimisation du référencement naturel</strong></li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_3,1_3,1_3\" disabled_on=\"off|off|off\" admin_label=\"Contenu Onglet mensuel, Nos tarifs\" module_id=\"column-tarif\" module_class=\"column-mensuel\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_padding=\"|||45px\" collapsed=\"off\" global_colors_info=\"{}\"][et_pb_column type=\"1_3\" module_class=\"kol1kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #2c3036;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"EASY KOOK\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#222222\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>EASY KOOK</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">59 € HT/MOIS</span><br /><span style=\"color: #222222; font-size: 12px;\">Engagement 12 mois (450 € HT de frais de lancement)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>Intégration de votre carte / menu</li>\n<li>Optimisation de votre site pour<br />les mobiles et tablettes</li>\n<li>Liaisons aux réseaux sociaux</li>\n<li>Hébergement &amp; maintenance inclus</li>\n<li>Statistiques visite, clics, pages<br />consultés...</li>\n<li>Boîte mail professionnelle en<br />@votre-resto.fr</li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol2kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #f49664;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"UP KOOK\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ff6d58\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>UP KOOK</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">79 € HT/MOIS</span><br /><span style=\"color: #222222; font-size: 12px;\">Engagement 12 mois (950 € HT de frais de lancement)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>Intégration de votre carte / menu</li>\n<li>Optimisation de votre site pour<br />les mobiles et tablettes</li>\n<li>Liaisons aux réseaux sociaux</li>\n<li>Hébergement &amp; maintenance inclus</li>\n<li>Statistiques visite, clics, pages<br />consultés...</li>\n<li>Boîte mail professionnelle en<br />@votre-resto.fr</li>\n<li><strong>Charte graphique sur-mesure</strong></li>\n<li><strong>Réservation en ligne</strong></li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][et_pb_column type=\"1_3\" module_class=\"kol3kook\" _builder_version=\"4.16\" custom_padding=\"|||\" custom_css_main_element=\"border-left:1px solid #eeeeee;||border-right:1px solid #eeeeee;||border-top:10px solid #d59706;||border-top-left-radius: 5px;||border-top-right-radius: 5px;||padding-top: 25px;||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"E-KOOK\" _builder_version=\"4.17.4\" header_2_font=\"Leaguespartan||||||||\" header_2_text_align=\"center\" header_2_text_color=\"#ffd671\" text_orientation=\"center\" custom_margin=\"||5px|\" global_colors_info=\"{}\"]<h2>CLICK &amp; KOOK</h2>\n<p><span style=\"font-size: 30px; color: #222222; font-weight: 100;\">99€ HT/MOIS<br /></span><span style=\"color: #222222; font-size: 12px;\">Engagement 12 mois (1450 € HT de frais de lancement)</span></p>[/et_pb_text][et_pb_button button_url=\"https://www.kook-agency.fr/demande-contact\" button_text=\"Demander une démo\" button_alignment=\"center\" module_id=\"btn-savoir-plus\" _builder_version=\"4.16\" custom_button=\"on\" button_text_size=\"14\" button_text_color=\"#000000\" button_border_width=\"1\" button_border_color=\"#808080\" button_use_icon=\"off\" global_colors_info=\"{}\" button_text_size__hover_enabled=\"off\" button_text_size__hover=\"null\" button_one_text_size__hover_enabled=\"off\" button_one_text_size__hover=\"null\" button_two_text_size__hover_enabled=\"off\" button_two_text_size__hover=\"null\" button_text_color__hover_enabled=\"off\" button_text_color__hover=\"null\" button_one_text_color__hover_enabled=\"off\" button_one_text_color__hover=\"null\" button_two_text_color__hover_enabled=\"off\" button_two_text_color__hover=\"null\" button_border_width__hover_enabled=\"off\" button_border_width__hover=\"null\" button_one_border_width__hover_enabled=\"off\" button_one_border_width__hover=\"null\" button_two_border_width__hover_enabled=\"off\" button_two_border_width__hover=\"null\" button_border_color__hover_enabled=\"off\" button_border_color__hover=\"null\" button_one_border_color__hover_enabled=\"off\" button_one_border_color__hover=\"null\" button_two_border_color__hover_enabled=\"off\" button_two_border_color__hover=\"null\" button_border_radius__hover_enabled=\"off\" button_border_radius__hover=\"null\" button_one_border_radius__hover_enabled=\"off\" button_one_border_radius__hover=\"null\" button_two_border_radius__hover_enabled=\"off\" button_two_border_radius__hover=\"null\" button_letter_spacing__hover_enabled=\"off\" button_letter_spacing__hover=\"null\" button_one_letter_spacing__hover_enabled=\"off\" button_one_letter_spacing__hover=\"null\" button_two_letter_spacing__hover_enabled=\"off\" button_two_letter_spacing__hover=\"null\" button_bg_color__hover_enabled=\"off\" button_bg_color__hover=\"null\" button_one_bg_color__hover_enabled=\"off\" button_one_bg_color__hover=\"null\" button_two_bg_color__hover_enabled=\"off\" button_two_bg_color__hover=\"null\"][/et_pb_button][et_pb_divider color=\"#f3f2f3\" _builder_version=\"4.16\" max_width=\"95%\" max_width_tablet=\"\" max_width_phone=\"\" max_width_last_edited=\"on|\" module_alignment=\"center\" custom_margin=\"||0px|\" global_colors_info=\"{}\"][/et_pb_divider][et_pb_text _builder_version=\"4.16\" custom_padding=\"|||17px\" global_colors_info=\"{}\"]<p>[su_list icon=\"icon: check\" icon_color=\"#000000\"]</p>\n<ul>\n<li>Intégration de votre carte / menu</li>\n<li>Optimisation de votre site pour<br />les mobiles et tablettes</li>\n<li>Liaisons aux réseaux sociaux</li>\n<li>Hébergement &amp; maintenance inclus</li>\n<li>Statistiques visite, clics, pages<br />consultés...</li>\n<li>Boîte mail professionnelle en<br />@votre-resto.fr</li>\n<li>Charte graphique sur-mesure</li>\n<li>Réservation en ligne</li>\n<li><strong>Click &amp; Collect &amp; Paiement en ligne</strong></li>\n<li><strong>Optimisation du référencement naturel</strong></li>\n</ul>\n<p>[/su_list]</p>[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row admin_label=\"Ligne\" _builder_version=\"4.16\" background_size=\"initial\" background_position=\"top_left\" background_repeat=\"repeat\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][/et_pb_column][/et_pb_row][/et_pb_section][et_pb_section fb_built=\"1\" disabled_on=\"on|on|on\" admin_label=\"Section\" _builder_version=\"4.16\" background_color=\"#ffffff\" custom_margin=\"0%||0%|\" custom_padding=\"0%|||\" disabled=\"on\" collapsed=\"on\" global_colors_info=\"{}\"][et_pb_row disabled_on=\"on|on|\" _builder_version=\"4.16\" box_shadow_style=\"preset3\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Tarifs\" _builder_version=\"4.16\" global_colors_info=\"{}\"]<table class=\"table\" style=\"background-color: #ffffff;\">\r\n<thead>\r\n<tr>\r\n<th style=\"font-size: 0;\">[su_list]\r\n<ul>\r\n 	<li>.</li>\r\n</ul>\r\n[/su_list]</th>\r\n<th style=\"color: #69808c; text-align: center; line-height: 20px;\">EASY KOOK</th>\r\n<th style=\"color: #f98d5e; text-align: center; line-height: 20px;\">MY-KOOK</th>\r\n<th style=\"color: #cfa54b; text-align: center; line-height: 20px;\">E-KOOK</th>\r\n</tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<th></th>\r\n<th style=\"color: #404e5b; font-size: 30px; font-weight: 100; text-align: center;\">49 HT€/mois</th>\r\n<th style=\"color: #404e5b; font-size: 30px; font-weight: 100; text-align: center;\">99 HT€/mois</th>\r\n<th style=\"color: #404e5b; font-size: 30px; font-weight: 100; text-align: center;\">Sur devis</th>\r\n</tr>\r\n<tr>\r\n<th></th>\r\n<th style=\"color: #404e5b; font-weight: 100; text-align: center; padding: 0px;\"> Engagement de 12 mois</th>\r\n<th style=\"color: #404e5b; font-weight: 100; text-align: center; padding: 0px;\">Engagement de 12 mois</th>\r\n<th style=\"color: #404e5b; font-weight: 100; text-align: center; padding: 0px;\">-</th>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-weight: bold;\" colspan=\"4\">Conception</td>\r\n</tr>\r\n<tr>\r\n<td>Optimisation de votre site pour les mobiles et tablettes</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Nombre de pages</td>\r\n<td style=\"text-align: center;\">1</td>\r\n<td style=\"text-align: center;\">6 à 9</td>\r\n<td style=\"text-align: center;\">illimités</td>\r\n</tr>\r\n<tr>\r\n<td>Nom de domaine</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Boîte mail professionnelle en @votre-resto.fr</td>\r\n<td style=\"text-align: center;\">Inclus</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Hébergement &amp; maintenance</td>\r\n<td style=\"text-align: center;\">Inclus</td>\r\n<td style=\"text-align: center;\">Inclus</td>\r\n<td style=\"text-align: center;\">19,90 €*/mois</td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-weight: bold;\" colspan=\"4\">Accompagnement</td>\r\n</tr>\r\n<tr>\r\n<td>Chef de projet dédié du lundi au vendredi</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Modifications illimitées - par vous même</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Vidéo formation à la modification</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-weight: bold;\" colspan=\"4\">Fonctionnalités</td>\r\n</tr>\r\n<tr>\r\n<td>Statistiques visite, clics, pages consultés ....</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Liaisons aux réseaux sociaux</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Module réservation en ligne</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Avis clients TripAdvisor / Facebook / Google</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Blog / Evénement</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Langue supplémentaire au choix</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\">1</td>\r\n<td style=\"text-align: center;\">2</td>\r\n</tr>\r\n<tr>\r\n<td>Bibliothèque d\'images en haute définition</td>\r\n<td style=\"text-align: center;\">accès limité</td>\r\n<td style=\"text-align: center;\">illimité</td>\r\n<td style=\"text-align: center;\">illimité</td>\r\n</tr>\r\n<tr>\r\n<td>Commande et paiement en ligne</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-weight: bold;\" colspan=\"4\">Référencement</td>\r\n</tr>\r\n<tr>\r\n<td>Mise aux normes Google</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Référencement boosté sur le nom de votre entité</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td>Référencement boosté sur mot clef [restaurant + ville ou arr]</td>\r\n<td style=\"text-align: center;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"text-align: center;\">59,90 HT €*/mois</td>\r\n<td style=\"text-align: center;\">59,90 HT €*/mois</td>\r\n</tr>\r\n<tr>\r\n<td></td>\r\n<td style=\"text-align: center; padding: 20px 0;\">[su_button url=\"/demande-contact/\" background=\"#69808c\" size=\"4\" center=\"yes\" radius=\"20\"]DEVIS GRATUIT[/su_button]</td>\r\n<td style=\"text-align: center; padding: 20px 0;\">[su_button url=\"/demande-contact/\" background=\"#69808c\" size=\"4\" center=\"yes\" radius=\"20\"]DEVIS GRATUIT[/su_button]</td>\r\n<td style=\"text-align: center; padding: 20px 0;\">[su_button url=\"/demande-contact/\" background=\"#69808c\" size=\"4\" center=\"yes\" radius=\"20\"]DEVIS GRATUIT[/su_button]</td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: transparent; border: 1px solid #fff; font-weight: bold; text-align: center;\" colspan=\"4\">* Engagement 12 mois</td>\r\n</tr>\r\n</tbody>\r\n</table>\r[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row custom_padding_last_edited=\"on|phone\" disabled_on=\"||on\" _builder_version=\"4.16\" custom_padding_tablet=\"0%||0%|\" custom_padding_phone=\"\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Tarifs mobile\" _builder_version=\"4.16\" custom_margin_tablet=\"||0px|\" custom_margin_phone=\"\" custom_margin_last_edited=\"on|phone\" global_colors_info=\"{}\"]<table class=\"table\" style=\"background-color: #ffffff;\">\r\n<tbody>\r\n<tr>\r\n<td style=\"color: #69808c; font-size: 15px; font-weight: bold; line-height: 20px; text-align: center; padding: 5px;\">EASY KOOK\r\n<span style=\"font-weight: 100; color: #69808c;\">49 HT €/ mois</span></td>\r\n<td style=\"color: #f98d5e; font-size: 15px; font-weight: bold; line-height: 20px; text-align: center; padding: 5px;\">MY-KOOK\r\n<span style=\"font-weight: 100; color: #69808c;\">99 €/mois</span></td>\r\n<td style=\"color: #cfa54b; font-size: 15px; font-weight: bold; line-height: 20px; text-align: center; padding: 5px;\">E-KOOK\r\n<span style=\"font-weight: 100; color: #69808c;\">Sur devis</span></td>\r\n</tr>\r\n<tr>\r\n<td style=\"color: #666; font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">Engagement 12 mois</td>\r\n<td style=\"color: #666; font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">Engagement 12 mois</td>\r\n<td style=\"color: #666; font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">-</td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-size: 15px; font-weight: bold; text-align: center; padding: 5px;\" colspan=\"3\">Conception</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Optimisation de votre site pour les mobiles et tablettes</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Nombre de pages</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\">1</td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\">6 à 9</td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\">illimités</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Nom de domaine</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Boîte mail professionnelle en @votre-resto.fr</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">Inclus</td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Hébergement &amp; maintenance</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">Inclus</td>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">Inclus</td>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">19,90\r\n€*/mois</td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-size: 15px; font-weight: bold; text-align: center; padding: 5px;\" colspan=\"3\">Accompagnement</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Chef de projet dédié du lundi au vendredi</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Modifications illimitées – par vous même</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Vidéo formation à la modification</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-size: 15px; font-weight: bold; text-align: center; padding: 5px;\" colspan=\"3\">Fonctionnalités</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Statistiques visite, clics, pages consultés ….</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Liaisons aux réseaux sociaux</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Module réservation en ligne</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Avis clients TripAdvisor / Facebook / Google</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Blog / Evénement</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Langue supplémentaire au choix</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\">1</td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\">2</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Bibliothèque d’images en haute définition</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">accès limité</td>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">illimité</td>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">illimité</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Commande et paiement en ligne</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"background-color: #69808c; color: #ffffff; font-size: 15px; font-weight: bold; text-align: center; padding: 5px;\" colspan=\"3\">Référencement</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Mise aux normes Google</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Référencement boosté sur le nom de votre entité</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-check-square-o\" style=\"color: #008000; font-size: 20px;\"> </i></td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; line-height: 20px; padding: 5px;\" colspan=\"3\">Référencement boosté sur mot clef [restaurant + ville ou arr]</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 15px; text-align: center; padding: 5px;\"><i class=\"fa fa-times\" style=\";color: #ff0000; font-size: 20px;\"> </i></td>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">59,90€ <span style=\"font-family: inherit;\">/mois*</span></td>\r\n<td style=\"font-size: 15px; line-height: 20px; text-align: center; padding: 5px;\">59,90 HT €/mois*</td>\r\n</tr>\r\n<tr>\r\n<td style=\"border-left: 1px solid #fff; text-align: center; padding: 20px 5px;\">[su_button url=\"/demande-contact/\" background=\"#69808c\" size=\"2\" center=\"yes\" radius=\"20\"]DEVIS GRATUIT[/su_button]</td>\r\n<td style=\"border-left: 1px solid #fff; border-right: 1px solid #fff; text-align: center; padding: 20px 5px;\">[su_button url=\"/demande-contact/\" background=\"#69808c\" size=\"2\" center=\"yes\" radius=\"20\"]DEVIS GRATUIT[/su_button]</td>\r\n<td style=\"border-right: 1px solid #fff; text-align: center; padding: 20px 5px;\">[su_button url=\"/demande-contact/\" background=\"#69808c\" size=\"2\" center=\"yes\" radius=\"20\"]DEVIS GRATUIT[/su_button]</td>\r\n</tr>\r\n<tr>\r\n<td style=\"border: 1px solid #fff; font-size: 15px; font-weight: bold; text-align: center; padding: 5px;\" colspan=\"3\">*Engagement 12 mois</td>\r\n</tr>\r\n</tbody>\r\n</table>\r[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row disabled_on=\"||on\" _builder_version=\"4.16\" custom_padding=\"0px||0px|\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text admin_label=\"Titre mobile\" _builder_version=\"4.16\" text_text_color=\"#ffffff\" header_text_align=\"center\" header_text_color=\"#ffffff\" text_orientation=\"center\" custom_margin_tablet=\"||0px|\" custom_margin_phone=\"\" custom_margin_last_edited=\"on|phone\" animation_style=\"zoom\" global_colors_info=\"{}\"]<h1><span style=\"color: #000000;\">NOS TARIFS</span></h1>\r[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row custom_padding_last_edited=\"on|phone\" _builder_version=\"4.16\" custom_margin=\"30px|||\" custom_margin_tablet=\"0%|||\" custom_margin_phone=\"\" custom_margin_last_edited=\"on|phone\" custom_padding_tablet=\"0%||0%|\" custom_padding_phone=\"\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_text _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" animation_style=\"zoom\" global_colors_info=\"{}\"]<h2>OPTION &amp; SERVICES\r\nCOMPLÉMENTAIRES</h2>\r[/et_pb_text][/et_pb_column][/et_pb_row][et_pb_row column_structure=\"1_3,1_3,1_3\" use_custom_gutter=\"on\" gutter_width=\"2\" make_equal=\"on\" custom_padding_last_edited=\"on|tablet\" _builder_version=\"4.16\" custom_margin=\"0%|||\" custom_margin_tablet=\"0%||0%|\" custom_margin_phone=\"\" custom_margin_last_edited=\"on|phone\" custom_padding=\"0%|||\" custom_padding_tablet=\"\" custom_padding_phone=\"\" global_colors_info=\"{}\"][et_pb_column type=\"1_3\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_blurb title=\"Création de logo\" use_icon=\"on\" font_icon=\"&#xe0e3;||divi||400\" icon_color=\"#707070\" image_icon_width=\"80px\" admin_label=\"Création de logo\" _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" icon_font_size=\"80px\" global_colors_info=\"{}\"]Pour votre enseigne, site web,\r\ncarte de visite…\r[/et_pb_blurb][et_pb_blurb title=\"Newsletters & SMS\" use_icon=\"on\" font_icon=\"&#x69;||divi||400\" icon_color=\"#707070\" image_icon_width=\"80px\" admin_label=\"Newsletters & SMS\" _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" icon_font_size=\"80px\" global_colors_info=\"{}\"]Tisser un lien plus fort avec\r\nvos clients\r[/et_pb_blurb][/et_pb_column][et_pb_column type=\"1_3\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_blurb title=\"Adresse Email Pro\" use_icon=\"on\" font_icon=\"&#xe010;||divi||400\" icon_color=\"#707070\" image_icon_width=\"80px\" admin_label=\"Adresse Email Pro\" _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" icon_font_size=\"80px\" global_colors_info=\"{}\"]contact@mon-resto.fr\r[/et_pb_blurb][et_pb_blurb title=\"Site multilangue\" use_icon=\"on\" font_icon=\"&#x77;||divi||400\" icon_color=\"#707070\" image_icon_width=\"80px\" admin_label=\"Site multilangue\" _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" icon_font_size=\"80px\" global_colors_info=\"{}\"]Envies de cibler des non-francophones?\r\nDemandez un site en plusieurs langues\r[/et_pb_blurb][/et_pb_column][et_pb_column type=\"1_3\" _builder_version=\"4.16\" custom_padding=\"|||\" global_colors_info=\"{}\" custom_padding__hover=\"|||\"][et_pb_blurb title=\"Création de menu et flyers\" use_icon=\"on\" font_icon=\"&#xe100;||divi||400\" icon_color=\"#707070\" image_icon_width=\"80px\" admin_label=\"Création de menu et flyers\" _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" icon_font_size=\"80px\" global_colors_info=\"{}\"]Réalisé avec goût\r[/et_pb_blurb][et_pb_blurb title=\"Blog\" use_icon=\"on\" font_icon=\"&#x76;||divi||400\" icon_color=\"#707070\" image_icon_width=\"80px\" admin_label=\"Blog\" _builder_version=\"4.16\" header_text_align=\"center\" text_orientation=\"center\" icon_font_size=\"80px\" global_colors_info=\"{}\"]Créer des événements et informer\r\nvos clients\r[/et_pb_blurb][/et_pb_column][/et_pb_row][et_pb_row _builder_version=\"4.16\" background_size=\"initial\" background_position=\"top_left\" background_repeat=\"repeat\" global_colors_info=\"{}\"][/et_pb_row][/et_pb_section]", "Tarifs A MODIFIER (DIVI)", "", "publish", "closed", "closed", "", "tarifs-site-internet-reseaux-sociaux", "", "", "2023-06-05 13:56:09", "2023-06-05 11:56:09", "", "0", "https://www.kook-agency.fr/?page_id=370", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1432", "1", "2018-03-26 11:29:04", "2018-03-26 09:29:04", "<p><strong>Mise à jour :</strong> Mai 2018</p><p> </p><p>Merci de lire avec attention les différentes modalités d’utilisation du présent site avant d’y parcourir ses pages. En vous connectant sur ce site, vous acceptez sans réserves les présentes modalités. Aussi, en vertu de l’article 6 de la loi n° 2004-575 du 21 juin 2004 pour la confiance dans l’économie numérique, il est précisé aux utilisateurs du site www.kook-agency.fr l’identité des différents intervenants dans le cadre de sa réalisation et de son suivi :</p><p> </p><h3>PROPRIÉTAIRE DU SITE</h3><p> </p><p>KOOK AGENCY<br />Adresse : 66 avenue des Champs-Elysées<br />75008 PARIS – FRANCE<br />Responsable publication : Olivier VOGEL<br />email : contact@kook-agency.fr</p><p> </p> <h3>1. CONDITIONS D’UTILISATION</h3><p> </p><p>L’utilisation du site www.kook-agency.fr implique l’acceptation pleine et entière des conditions générales d’utilisation ci-après décrites. Ces conditions d’utilisation sont susceptibles d’être modifiées ou complétées à tout moment, les utilisateurs du site www.kook-agency.fr sont donc invités à les consulter de manière régulière.</p><p> </p><p>Le site www.kook-agency.fr est proposé en différents langages web (HTML, HTML5, Javascript, CSS, etc…) pour un meilleur confort d’utilisation et un graphisme plus agréable, nous vous recommandons de recourir à des navigateurs modernes comme Internet explorer, Safari, Firefox, Google Chrome, etc…</p><p> </p><p>Ce site est normalement accessible à tout moment aux utilisateurs. Une interruption pour raison de maintenance technique peut être toutefois décidée par son propriétaire, KOOK AGENCY, qui s’efforcera alors de communiquer préalablement aux utilisateurs les dates et heures de l’intervention.</p><p> </p><h3>2. LIMITATION DE RESPONSABILITÉ</h3><p> </p><p>KOOK AGENCY ne pourra être tenue responsable des dommages directs et indirects causés au matériel de l’utilisateur, lors de l’accès au site www.kook-agency.fr, et résultant soit de l’utilisation d’un matériel ne répondant pas aux spécifications indiquées au point 4, soit de l’apparition d’un bug ou d’une incompatibilité.</p><p> </p><p>KOOK AGENCY ne pourra également être tenue responsable des dommages indirects (tels par exemple qu’une perte de marché ou perte d’une chance) consécutifs à l’utilisation du site www.kook-agency.fr.</p><p> </p><p>Des espaces interactifs (possibilité de poser des questions dans l’espace contact) sont à la disposition des utilisateurs. KOOK AGENCY se réserve le droit de supprimer, sans mise en demeure préalable, tout contenu déposé dans cet espace qui contreviendrait à la législation applicable en France, en particulier aux dispositions relatives à la protection des données. Le cas échéant, KOOK AGENCY se réserve également la possibilité de mettre en cause la responsabilité civile et/ou pénale de l’utilisateur, notamment en cas de message à caractère raciste, injurieux, diffamant, ou pornographique, quel que soit le support utilisé (texte, photographie…).</p><p> </p><p>Tout contenu téléchargé se fait aux risques et périls de l’utilisateur et sous sa seule responsabilité. En conséquence, Mme VOGEL Olivier ne saurait être tenu responsable d’un quelconque dommage subi par l’ordinateur de l’utilisateur ou d’une quelconque perte de données consécutives au téléchargement. De plus, l’utilisateur du site s’engage à accéder au site en utilisant un matériel récent, ne contenant pas de virus et avec un navigateur de dernière génération mis-à-jour.</p><p> </p><h3>4. DONNÉES PERSONNELLES</h3><p> </p><p>En application de la Loi n° 78-17 du 6 janvier 1978, notamment modifiée par la loi n° 2004-801 du 6 août 2004 relative à l’informatique, aux fichiers et aux libertés, les internautes disposent d’un droit d’accès, de rectification, de modification et de suppression concernant les données qui les concernent personnellement. Consultez notre politique de confidentialité pour connaître la démarche à suivre.</p><p> </p><p>De manière générale, vous n’êtes pas tenu de nous communiquer vos données personnelles lorsque vous visitez notre site Internet www.kook-agency.fr.</p><p> </p><p>Cependant, ce principe comporte certaines exceptions. En effet, pour certains services proposés par notre site, vous pouvez être amenés à nous communiquer certaines données telles que : votre nom, votre adresse électronique, et votre numéro de téléphone. Tel est le cas lorsque vous remplissez le formulaire qui vous est proposé en ligne, dans la rubrique « contact ». Dans tous les cas, vous pouvez refuser de fournir vos données personnelles. Dans ce cas, vous ne pourrez pas utiliser les services du site, notamment celui de solliciter des renseignements sur notre offre.</p><p> </p><p>Enfin, nous pouvons collecter de manière automatique certaines informations vous concernant lors d’une simple navigation sur notre site Internet, notamment : des informations concernant l’utilisation de notre site, comme les zones que vous visitez et les services auxquels vous accédez, votre adresse IP, le type de votre navigateur, vos temps d’accès. De telles informations sont utilisées exclusivement à des fins de statistiques internes, de manière à améliorer la qualité des services qui vous sont proposés. Les bases de données sont protégées par les dispositions de la loi du 1er juillet 1998 transposant la directive 96/9 du 11 mars 1996 relative à la protection juridique des bases de données.</p><p> </p><h3>5. LIENS HYPERTEXTES</h3><p> </p><p>Le site www.kook-agency.fr contient un certain nombre de liens hypertextes vers d’autres sites, mis en place avec l’autorisation de KOOK AGENCY. Cependant, KOOK AGENCY n’a pas la possibilité de vérifier le contenu des sites ainsi visités, et n’assumera en conséquence aucune responsabilité de ce fait.</p><p> </p><p>Les utilisateurs, les abonnés et les visiteurs des sites internet de ne peuvent mettre en place un hyperlien en direction de ce site sans l’autorisation expresse et préalable de KOOK AGENCY.</p><p> </p><p>Dans l’hypothèse où un utilisateur ou visiteur souhaiterait mettre en place un hyperlien en direction du site www.kook-agency.fr, il lui appartiendra d’adresser un email accessible sur le site afin de formuler sa demande de mise en place d’un hyperlien. KOOK AGENCY se réserve le droit d’accepter ou de refuser un hyperlien sans avoir à en justifier sa décision.</p><p> </p><p>Les liens hypertextes mis en place dans le cadre du présent site internet en direction d’autres ressources présentes sur le réseau Internet ne sauraient engager la responsabilité de KOOK AGENCY.</p><p> </p><h3>6. COOKIES</h3><h4> </h4><h4>6.1. INFORMATIONS SUR LES COOKIES</h4><p> </p><p>Pour des besoins de statistiques et d’affichage, le présent site utilise des cookies. Il s’agit de petits fichiers textes stockés sur votre disque dur afin d’enregistrer des données techniques sur votre navigation. Certaines parties de ce site ne peuvent être fonctionnelle sans l’acceptation de cookies.</p><h4> </h4><h4>6.2. FINALITÉ DES COOKIES UTILISÉS</h4><p> </p><p>Nous utilisons des cookies de la part des services suivants : Google Analytics, Smartlook, Mautic. Les données et statistiques que nous collectons au moyen de ces cookies sont utilisées dans le seul et unique but d’améliorer la qualité de nos services.<br />Google Analytics : est utilisé de façon anonyme afin d’améliorer l’expérience utilisateur sur notre site web et vous offrir une navigation intuitive. Ces données ne sont pas communiquées à quelque tiers que ce soit.</p><h4> </h4><h4>6.3. VOS CHOIX CONCERNANT LES COOKIES</h4><p> </p><p>Vous pouvez faire le choix à tout moment d’exprimer et de modifier vos souhaits en matière de cookies, par les moyens décrits ci-dessous.<br />Vous pouvez configurer votre logiciel de navigation de manière à ce que des cookies soient enregistrés dans votre terminal ou, au contraire, qu’ils soient rejetés, soit systématiquement, soit selon leur émetteur. Vous pouvez également configurer votre logiciel de navigation de manière à ce que l’acceptation ou le refus des cookies vous soient proposés ponctuellement, avant qu’un cookie soit susceptible d’être enregistré dans votre terminal. Pour plus d’informations, consultez la rubrique “Comment exercer vos choix, selon le navigateur que vous utilisez ?”</p><h5> </h5><h5>6.3.1. ACCEPTATION DES COOKIES</h5><p> </p><p>L’enregistrement d’un cookie dans un terminal est subordonné à la volonté de son utilisateur, exprimée et modifiée à tout moment gratuitement à travers les choix proposés par son logiciel de navigation. Si vous avez accepté dans votre logiciel de navigation l’enregistrement de cookies dans votre terminal, les cookies intégrés dans les pages et contenus que vous avez consultés pourront être stockés temporairement dans un espace dédié de votre terminal. Ils y seront lisibles uniquement par leur émetteur.</p><h5> </h5><h5>6.3.2. REFUS DES COOKIES</h5><p> </p><p>Si vous refusez l’enregistrement de cookies dans votre terminal, ou si vous supprimez ceux qui y sont enregistrés, vous pourrez éventuellement ne plus bénéficier d’un certain nombre de fonctionnalités. Tel serait également le cas lorsque nous -ou nos prestataires- ne pourrions pas reconnaître, à des fins de compatibilité technique, le type de navigateur utilisé par votre terminal, ses paramètres de langue et d’affichage ou le pays depuis lequel votre terminal semble connecté à Internet. Le cas échéant, nous déclinons toute responsabilité pour les conséquences liées au fonctionnement dégradé de nos services résultant de l’impossibilité d’enregistrer ou de consulter les cookies nécessaires à leur fonctionnement et que vous auriez refusés ou supprimés.</p><h5> </h5><h5>6.3.3. COMMENT EXERCER VOS CHOIX SELON LE NAVIGATEUR QUE VOUS UTILISEZ ?</h5><p> </p><p>Pour la gestion des cookies et de vos choix, la configuration de chaque navigateur est différente. Elle est décrite dans le menu d’aide de votre navigateur, qui vous permettra de savoir de quelle manière modifier vos souhaits en matière de cookies.<br />Nous vous invitons à cliquer sur le nom de votre navigateur pour accéder au menu d’aide correspondant :</p><p> </p><ul><li>Pour <a title=\"Internet Explorer™\" href=\"http://windows.microsoft.com/fr-fr/windows-vista/block-or-allow-cookies\" target=\"_blank\" rel=\"noopener\">Internet Explorer™</a></li><li>Pour <a title=\"Safari™\" href=\"http://support.apple.com/kb/ht1677?viewlocale=fr_fr\" target=\"_blank\" rel=\"noopener\">Safari™</a></li><li>Pour <a title=\"Chrome™\" href=\"http://support.google.com/chrome/bin/answer.py?hl=fr&amp;hlrm=en&amp;answer=95647\" target=\"_blank\" rel=\"noopener\">Chrome™</a></li><li>Pour <a title=\"Firefox™\" href=\"https://support.mozilla.org/fr/kb/activer-desactiver-cookies-preferences\" target=\"_blank\" rel=\"noopener\">Firefox™</a></li><li>Pour Opera™</li></ul><p> </p><p>Vous pouvez également paramétrer votre navigateur afin que celui-ci envoie un code indiquant aux sites Web que vous ne souhaitez pas être suivis. (option « Do No Track »).<br />Nous vous invitons à cliquer sur le nom de votre navigateur pour accéder au menu d’aide correspondant :</p><p> </p><ul><li><a title=\"Internet Explorer™\" href=\"https://support.microsoft.com/fr-fr/help/17288/windows-internet-explorer-11-use-do-not-track\" target=\"_blank\" rel=\"noopener\">Internet Explorer™</a> ;</li><li>Safari™ ;</li><li><a title=\"Chrome™\" href=\"https://support.google.com/chrome/answer/114836?\" target=\"_blank\" rel=\"noopener\">Chrome™</a> ;</li><li><a title=\"Firefox™\" href=\"https://support.mozilla.org/fr/kb/comment-activer-option-ne-pas-pister\" target=\"_blank\" rel=\"noopener\">Firefox™</a> ;</li><li>Opera™.</li></ul><h3> </h3><h3>7. PROPRIÉTÉ INTELLECTUELLE ET CONTREFAÇONS</h3><p> </p><p>KOOK AGENCY est propriétaire des droits de propriété intellectuelle ou détient les droits d’usage sur tous les éléments accessibles sur le site, notamment les textes, images, graphismes, logo, icônes, sons, logiciels. Tout le contenu du présent sur le site www.kook-agency.fr, incluant, de façon non limitative, les graphismes, images, textes, vidéos, animations, sons, logos, gifs et icônes ainsi que leur mise en forme sont la propriété exclusive de la société à l’exception des marques, logos ou contenus appartenant à d’autres sociétés partenaires ou auteurs.</p><p> </p><p>Toute reproduction, représentation, modification, publication, adaptation de tout ou partie des éléments du site, quel que soit le moyen ou le procédé utilisé, est interdite, sauf autorisation écrite préalable de : KOOK AGENCY. Cette représentation ou reproduction, par quelque procédé que ce soit, constitue une contrefaçon sanctionnée par les articles L.335-2 et suivants du Code de la propriété intellectuelle. Le non-respect de cette interdiction constitue une contrefaçon pouvant engager la responsabilité civile et pénale du contrefacteur. En outre, les propriétaires des Contenus copiés pourraient intenter une action en justice à votre encontre.</p><p> </p><p>Toute exploitation non autorisée du site ou de l’un quelconque des éléments qu’il contient sera considérée comme constitutive d’une contrefaçon et poursuivie conformément aux dispositions des articles L.335-2 et suivants du Code de Propriété Intellectuelle. L’ensemble du contenu présent sur le site est protégé par les droits de propriété intellectuelle et notamment par le droit d’auteur dans le monde entier et pour la durée des droits telle qu’elle résulte des dispositions légales existantes et/ou des prolongations à intervenir. Toute reproduction, représentation, adaptation, modification et/ou utilisation hors de la sphère privée est strictement interdit.</p><h3> </h3><h3>8. DÉCLARATION À LA CNIL</h3><p> </p><p>Conformément à la loi 78-17 du 6 janvier 1978 (modifiée par la loi 2004-801 du 6 août 2004 relative à la protection des personnes physiques à l’égard des traitements de données à caractère personnel) relative à l’informatique, aux fichiers et aux libertés, ce site n’a pas fait l’objet d’une déclaration auprès de la Commission nationale de l’informatique et des libertés (www.cnil.fr).</p><h3> </h3><h3>9. LITIGES</h3><p> </p><p>Les présentes conditions du site www.kook-agency.fr sont régies par les lois françaises et toute contestation ou litiges qui pourraient naître de l’interprétation ou de l’exécution de celles-ci seront de la compétence exclusive des tribunaux dont dépend le siège social de la société. La langue de référence, pour le règlement de contentieux éventuels, est le français.</p><h3> </h3><h3>10. CONTACTEZ-NOUS</h3><p> </p><p>KOOK AGENCY est à votre disposition pour tous vos commentaires ou suggestions. Vous pouvez nous écrire en français par courrier électronique à : contact@kook-agency .fr</p>", "Mentions légales", "", "publish", "closed", "closed", "", "mentions-legales", "", "", "2023-06-05 14:08:49", "2023-06-05 12:08:49", "", "0", "https://www.kook-agency.fr/?page_id=1432", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("4809", "1", "2022-02-25 10:09:56", "2022-02-25 09:09:56", "[et_pb_section fb_built=\"1\" fullwidth=\"on\" admin_label=\"Hero Section\" _builder_version=\"4.14.8\" background_image=\"https://www.kook-agency.fr/wp-content/uploads/2022/02/Sans-titre-2022-02-26T150943.854.png\" parallax=\"on\" custom_padding=\"|||\" hover_enabled=\"0\" global_colors_info=\"{}\" title_text=\"Sans titre - 2022-02-26T150943.854\" sticky_enabled=\"0\"][et_pb_fullwidth_header title=\"Vous êtes influenceur(se) ou micro-influenceur(se) ?\" subhead=\"Collaborer avec nous\" content_max_width=\"900px\" _builder_version=\"4.14.1\" title_font=\"Poppins|600||on|||||\" title_font_size=\"18px\" title_letter_spacing=\"4px\" title_line_height=\"1.8em\" content_font=\"||||||||\" subhead_font=\"Raleway|700|||||||\" subhead_font_size=\"50px\" subhead_line_height=\"1.4em\" background_color=\"rgba(126,190,197,0)\" use_background_color_gradient=\"on\" background_color_gradient_start=\"#000000\" background_color_gradient_end=\"rgba(0,0,0,0.33)\" background_color_gradient_direction=\"90deg\" background_color_gradient_start_position=\"25%\" background_color_gradient_end_position=\"75%\" background_color_gradient_overlays_image=\"on\" custom_button_one=\"on\" button_one_text_size=\"14px\" button_one_bg_color=\"#29cb8b\" button_one_border_width=\"12px\" button_one_border_color=\"#29cb8b\" button_one_letter_spacing=\"2px\" button_one_font=\"Poppins|600||on|||||\" button_one_icon=\"&#x24;||divi||400\" custom_button_two=\"on\" button_two_text_size=\"14px\" button_two_text_color=\"#29cb8b\" button_two_bg_color=\"#ffffff\" button_two_border_width=\"12px\" button_two_border_color=\"#ffffff\" button_two_letter_spacing=\"2px\" button_two_font=\"Poppins|600||on|||||\" button_two_icon=\"&#x24;||divi||400\" custom_padding=\"12vw||4vw||false|false\" hover_enabled=\"0\" title_font_size_tablet=\"18px\" title_font_size_phone=\"14px\" title_font_size_last_edited=\"on|phone\" content_font_size_last_edited=\"off|desktop\" subhead_font_size_tablet=\"40px\" subhead_font_size_phone=\"20px\" subhead_font_size_last_edited=\"on|desktop\" button_one_letter_spacing_hover=\"2px\" button_two_letter_spacing_hover=\"2px\" global_colors_info=\"{}\" button_one_text_size__hover_enabled=\"off\" button_two_text_size__hover_enabled=\"off\" button_one_text_color__hover_enabled=\"off\" button_two_text_color__hover_enabled=\"off\" button_one_border_width__hover_enabled=\"off\" button_two_border_width__hover_enabled=\"off\" button_one_border_color__hover_enabled=\"off\" button_two_border_color__hover_enabled=\"off\" button_one_border_radius__hover_enabled=\"off\" button_two_border_radius__hover_enabled=\"off\" button_one_letter_spacing__hover_enabled=\"on\" button_one_letter_spacing__hover=\"2px\" button_two_letter_spacing__hover_enabled=\"on\" button_two_letter_spacing__hover=\"2px\" button_one_bg_color__hover_enabled=\"off\" button_two_bg_color__hover_enabled=\"off\" custom_css_title_last_edited=\"on|phone\" custom_css_title_phone=\"font-size: 16px !important;\" sticky_enabled=\"0\"][/et_pb_fullwidth_header][/et_pb_section][et_pb_section fb_built=\"1\" _builder_version=\"4.14.1\" _module_preset=\"default\" global_colors_info=\"{}\"][et_pb_row _builder_version=\"4.14.1\" _module_preset=\"default\" width=\"60%\" width_tablet=\"60%\" width_phone=\"86%\" width_last_edited=\"on|phone\" global_colors_info=\"{}\"][et_pb_column type=\"4_4\" _builder_version=\"4.14.1\" _module_preset=\"default\" global_colors_info=\"{}\"][et_pb_text admin_label=\"Formulaire\" _builder_version=\"4.14.1\" _module_preset=\"default\" global_colors_info=\"{}\"][forminator_form id=\"4676\"][/et_pb_text][/et_pb_column][/et_pb_row][/et_pb_section]", "Vous êtes influenceur(se) ou micro-influenceur(se) ?", "", "publish", "closed", "closed", "", "collaborer-avec-nous", "", "", "2022-02-25 10:09:56", "2022-02-25 09:09:56", "", "0", "https://www.kook-agency.fr/?page_id=4809", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("5104", "1", "2022-04-12 14:05:40", "2022-04-12 12:05:40", "<p>L’accès et l’utilisation du site Internet accessible à l’adresse suivante : https://www.kook-agency.fr (ci-après dénommé le « Site ») de la société KOOK AGENCY- SAS AGENCE HASHTAG (ci-après dénommée le « Responsable du Site ») et des services qui y sont proposés sont soumis au respect des présentes Conditions Générales de Service (ci-après dénommées les « CGS »).</p><p> </p><p>Le Responsable du Site exerce une activité de création et d’animation de réseaux web, au profit de sociétés souhaitant se faire connaître ou accroître leur visibilité commerciale par le biais de différents outils et plus spécialement internet et les réseaux sociaux et communautaires. À ce titre, le Responsable du Site revendique une compétence dans la mise en œuvre d’actions spécifiques afin d’optimiser la communication professionnelle du Client.</p><p>Le Client a souhaité se rapprocher du Responsable du Site afin d’envisager l’animation et l’organisation d’une communication ciblée et particulière adossée aux supports définis par le Devis.</p><p>Le Client a ainsi confié au Responsable du Site le soin de réaliser et de fournir, en vue de son intégration sur l’outil défini au Devis, des contenus identifiés au sein du Devis, ou dans un descriptif préalable valant Procès-verbal de discussion entre le Responsable du Site et le Client.</p><p>Après avoir pris connaissance des spécificités et attentes et contraintes éditoriales du Client, le Responsable du Site a déclaré disposer de l’organisation, des compétences, des moyens et des ressources lui permettant de réaliser et fournir les Services, et notamment le Contenu et ses Mises à jour conformément aux présentes CGS.</p>		\n												<a href=\"\">ACCEPTATION</a>\n					<p>Tout accès au Site et/ou utilisation du Site par le Client suppose l’acceptation inconditionnelle et sans réserve et le respect de l’ensemble des termes des présentes CGS. Elles constituent un contrat entre le Responsable du Site et le Client.</p><p> </p><p>Le Responsable du Site se réserve la possibilité de faire évoluer à tout moment le Site ainsi que les présentes Conditions Générales de Service, ou encore de modifier ou compléter celles-ci par de nouvelles conditions contractuelles complémentaires. Le Client sera informé par tous moyens de toute modification des présentes CGS.<br />Les CGS applicables sont celles en ligne sur le Site et en vigueur à la date de Commande passée par le Client.</p>\n												<a href=\"\">DÉFINITIONS</a>\n					<p>Au sens des présentes CGS, les termes et/ou expressions mentionnées ci-dessous auront la signification suivante, à savoir :</p><p> </p><p>« <strong>Anomalie</strong> » : désigne toute différence entre le fonctionnement constaté d’un Développement spécifique et le fonctionnement décrit dans l’expression de besoin du Client, dès lors que cette différence est exclusivement imputable au Responsable du Site.</p><p> </p><p>« <strong>Anomalie Bloquante</strong> » désigne toute Anomalie rendant impossible l’utilisation de tout ou partie des Développements spécifiques.</p><p> </p><p>« <strong>Anomalie Semi</strong><strong>‐</strong><strong>Bloquante</strong> » désigne toute Anomalie ne permettant l’utilisation des Développements spécifiques que pour partie.</p><p> </p><p>« <strong>Anomalie Non Bloquante</strong> » désigne toute Anomalie permettant de poursuivre l’exploitation complète des Développements spécifiques, même si cela se fait au moyen d’une procédure inhabituelle, mise en œuvre par le Client lui‐même.</p><p> </p><p>« <strong>Client</strong> » : désigne la personne morale qui effectue une Commande sur le Site ;</p><p> </p><p>« <strong>Commande</strong> » : désigne l’achat de Service(s) effectué sur le Site par le Client après acceptation sans réserve des CGS et qui constitue une vente ferme et définitive ;</p><p> </p><p>« <strong>Contenu</strong> » : désigne l’ensemble des éléments d’information pouvant être décrits dans une annexe, dans un Procès-verbal de discussion ou directement dans un Devis, entre le Responsable du Site et le Client et comprenant notamment des articles rédactionnels, textes, photos, dessins, graphiques, tableaux, titres, informations et données de toute sorte, et les mises à jour de ces éléments ;</p><p> </p><p><strong>« Contrat » </strong>: désigne le contrat résultant de l’acceptation des présentes CGS et du choix des Services par le Client, matérialisé par la signature électronique du Client lors de la Commande ;</p><p> </p><p>« <strong>Devis</strong> » : désigne la proposition commerciale formulée par le Responsable du Site en fonction des besoins exprimés par le Client ;</p><p> </p><p>« <strong>Développement spécifique </strong>»: désigne le programme informatique, en code source et en code objet, destiné à mettre en œuvre les Services ;</p><p> </p><p>« <strong>Mise à jour</strong> » : désigne tout complément, modification, adaptation d’un contenu existant, à l’exception des refontes complètes de ce contenu ;</p><p> </p><p>« <strong>Responsable du site</strong> » : désigne la société KOOK AGENCY-  SAS AGENCE HASHTAG ;</p><p> </p><p>« <strong>Procès-verbal de discussion</strong> » : désigne les documents définissant notamment les contraintes techniques relatives au Contenu, en ce compris les supports et les spécifications techniques des formats de fourniture et de transmission, les fréquences et les modalités de livraison des Contenus et Mises à jour ;</p><p> </p><p>« <strong>Service(s)</strong> »désigne les services commercialisés par la société KOOK AGENCY-  SAS AGENCE HASHTAG, et notamment les services d’animation des réseaux sociaux et sites web identifiés d’un commun accord avec le Client, ainsi que la fourniture du Contenu et des Mises à jour sur ces sites web, la gestion de leur référencement naturel et des campagnes publicitaires, pouvant comprendre également des prestations de shootings photo et vidéo dans les locaux du Client ;</p><p> </p><p>« <strong>Site</strong> » : désigne le site Internet de la société KOOK AGENCY-  SAS AGENCE HASHTAG accessible à l’adresse url : https://www.kook-agency.fr.</p>\n												<a href=\"\">DOCUMENTS CONTRACTUELS</a>\n					<p>Les documents contractuels sont dans l’ordre de priorité décroissant :</p><p> </p><ul><li>Les Devis acceptés du client,</li><li>Le contrat résultant des présentes CGS, ses avenants, tout Procès-verbal de discussion co-signé des parties,</li><li>Les annexes aux documents ci-avant mentionnés.</li></ul><p> </p><p>En cas de contradiction entre une ou plusieurs stipulations figurant dans l’un quelconque de ces différents documents, le document de niveau supérieur prévaudra.</p>\n												<a href=\"\">OBJET</a>\n					<p>La société KOOK AGENCY-  SAS AGENCE HASHTAG, Responsable du Site, est spécialisée dans l’accompagnement de ses Clients dans la mise en œuvre de leur stratégie digitale, et notamment le développement de sites web et d’applications mobiles, la création de site vitrine et e-commerce, le référencement naturel ou encore le community management.</p><p> </p><p>Le Site permet donc aux Clients d’effectuer des Commandes de Services relatifs à ces activités.</p><p> </p><p>Les présentes CGS établissent les conditions contractuelles exclusivement applicables à toute Commande effectuée sur le Site par un Client.</p>\n												<a href=\"\">SERVICES</a>\n					<p>Le Responsable du Site présente au Client les caractéristiques essentielles des Services fournis via le Site, que le Client est invité à lire attentivement.</p><p> </p><p>Les Services peuvent être réalisés par le Responsable du Site dans tout le territoire de l’Union européenne.</p>\n												<a href=\"\">COMMANDE</a>\n					<p>Le Client peut effectuer des Commandes sur le Site en contactant au préalable le Responsable du Site par téléphone au 04 94 03 92 28, par mail en écrivant à l’adresse contact@kook-agency.fr.</p><p> </p><p>Pour passer Commande, le Client, après avoir indiqué le(s) Service(s) souhaité(s) et repris dans le Devis, et avoir obtenu les caractéristiques essentielles de ces services par le Responsable du Site, doit ensuite valider la conclusion du Contrat en le signant par la voie de la signature électronique, et fournir les informations relatives au moyen de paiement du ou des Service(s).</p><p> </p><p>Avant de signer le Contrat par voie électronique, le Client peut vérifier le détail de sa commande et son prix total, et revenir aux pages précédentes pour corriger d’éventuelles erreurs ou modifier sa Commande.</p><p> </p><p>La Commande n’est définitivement enregistrée qu’après validation par le Client de son accord de paiement et acceptation par la banque de la transaction.</p><p> </p><p>Dès que sa Commande est enregistrée, le Client reçoit un courrier électronique de confirmation reprenant les éléments essentiels de sa Commande.</p><p> </p><p>L’ensemble des données fournies par le Client lors du processus de Commande et la confirmation enregistrée de cette Commande valent preuve de la transaction.</p><p> </p><p>La confirmation de la Commande entraîne acceptation des CGS et forme le Contrat.</p><p> </p><p>La Commande effectuée par le Client ne l’engage que pour les Services contenus dans le Contrat, le Responsable du Site n’en déduit aucun engagement supplémentaire de la part du Client.</p><p>Le Responsable du Site décline toute responsabilité en cas de non-validation de la Commande, sans recours possible de la part du Client.</p><p> </p><ol start=\"2\"><li><a name=\"_Toc61969345\"></a><strong>Modification de commande</strong></li></ol><p> </p><p>Toute modification ou annulation de Commande par le Client après confirmation de sa Commande est soumise à l’acceptation du Responsable du Site.</p><p> </p><p>Toute modification de Commande par le Responsable du Site après confirmation de la Commande est soumise à l’acceptation du Client.</p><p> </p><ol start=\"3\"><li><a name=\"_Toc61969346\"></a><strong>Validation de la Commande</strong></li></ol><p> </p><p>Le Responsable du Site se réserve le droit de refuser toute Commande pour des motifs légitimes et plus particulièrement s’il a un doute légitime quant à la capacité à contracter du Client.</p><p> </p><p>Toute Commande passée après le 15 du mois ne pourra effectivement débuter qu’à compter du 1er du mois suivant et après validation de la première livraison d’un Contenu ou d’une Mise à jour par le Client.</p>\n												<a href=\"\">PAIEMENT</a>\n					<p>Le paiement s’effectue immédiatement dès la confirmation de la Commande par prélèvement bancaire, ou dans des circonstances exceptionnelles tenant à la situation particulière du Client, par virement bancaire.</p><p> </p><p>En cas de refus du paiement par la banque, le compte du Client n’étant pas débité, le Responsable du Site adresse un message électronique au Client lui demandant de mettre à jour ses informations bancaires. Ceci peut se produire par exemple si le compte du Client n’est pas suffisamment approvisionné.</p><p> </p><p>En attendant de recevoir ses coordonnées de paiement mises à jour, la Commande du Client est suspendue. Dès mise à jour effective des coordonnées de paiement, le Responsable du Site soumet à nouveau le règlement à la banque du Client. Une fois le paiement validé, le Client reçoit un message électronique confirmant que sa Commande est bien prise en compte.</p><p> </p><p>Toutefois, en raison des caractéristiques des Services fournis par le Responsable du Site, la facturation du prix des Services sera réalisée par périodicité trimestrielle, au titre d’un paiement à échoir pour les Services devant être effectués dans la période de trois mois suivant la réception de la facture par le Client.</p><p> </p><p>Toute retard dans le paiement du prix des Services en cours de Contrat donne lieu à une indemnité due au Responsable du Site par le Client, dont le montant correspond à 10 % du prix total des Services faisant l’objet de la Commande.</p><p> </p><p>A défaut de paiement avant la prochaine facturation trimestrielle du Client émise par le Responsable du Site, ce dernier sera en droit de suspendre tout ou partie des Services fournis au Client dans le cadre du Contrat.</p>\n												<a href=\"\">PRIX</a>\n					<p>Le prix des Services est celui en vigueur au jour de la confirmation de la Commande, tel qu’indiqué au sein du Devis.</p><p> </p><p>Le prix des Servicesest indiqué en euros Toutes Taxes Comprises au sein du Contrat.</p><p> </p><p>Toutes les Commandes, quelle que soit leur pays d’origine, sont payables en euros.</p><p> </p><p>Le prix des Services est exigible en totalité après la confirmation de la Commande par le Client.</p><p> </p><p>Le Responsable du Site se réserve le droit de modifier ces prix à tout moment. Toutefois, les Services seront facturés sur la base des tarifs en vigueur au moment de la confirmation des Commandes, sous réserve de la disponibilité des Services.</p><p> </p><p>Par défaut, le prix des Services est révisé par le Responsable du Site le 1er janvier de chaque année civile. Néanmoins la facturation du Client ne pourra être modifiée qu’à l’issue de la première période contractuelle telle que prévue au Devis.</p><p> </p><p>Le Responsable du Site pourra appliquer une formule de révision qui sera calculée pour la prestation concernée, sur la base de la formule suivante :</p><p> </p><p>P = Po x [0,15 + 0,85 (Syntec A / Syntec A-1)]</p><p> </p><p>où :</p><p> </p><p>P = Nouveau Prix</p><p> </p><p>Po = Ancien Prix</p><p> </p><p>Syntec A = Valeur du dernier indice Syntec connu lors de la conclusion du Contrat.</p><p> </p><p>Syntec A-1 = Valeur indice Syntec de l’année N’1 par rapport à la date de révision.</p>\n												<a href=\"\">FOURNITURE DES SERVICES</a>\n					<ol><li><strong> OBLIGATIONS GENERALES DU RESPONSABLE DU SITE</strong></li></ol><p> </p><p>Le Responsable du Site est soumis à une obligation de conseil et de mise en garde dans le cadre de l’exécution des présentes.</p><p> </p><p>À l’issue du Contrat, le Responsable du Site livrera les Développements spécifiques réalisés, ainsi que toute documentation résultant de la mise en œuvre des Services, en ce compris les Contenus et les Mises à jour demandés par le Client.</p><p> </p><p>Compte tenu des aléas inhérents à tout projet informatique, le Responsable du Site est tenu d’une obligation de moyens, par laquelle il s’engage à mettre en œuvre ses meilleurs moyens afin de réaliser les Services et les Développements spécifiques.</p><p> </p><p>Les délais dans lesquels les Services et les Développements spécifiques doivent être réalisés par le Responsable du Site seront déterminés en fonction des Services commandés par le Client et indiqués au sein du Contrat, avant sa signature par le Client.</p><p> </p><p>Toutefois, le Client reconnaît que le respect de ces délais par le Responsable du Site est subordonné à une étroite collaboration du Client dans l’exécution du Contrat, et à sa capacité à mobiliser ses équipes afin de fournir au Responsable du Site toute information ou documentation nécessaire à la réalisation des Services.</p><p> </p><p>Le Responsable du Site s’engage à proposer au Client le Contenu et les Mises à jour en fonction de l’état de l’art existant au moment de la conclusion du Contrat, et des évolutions relatives au domaine d’activité de ces derniers conformément aux conditions définies aux présentes, au Devis ou au Procès-verbal de discussions, et dans lesdélais, formats et volumes arrêtés conjointement par les Parties.</p><p> </p><p>Par ailleurs, le Responsable du Site veillera à ce que le Contenu soit d’une qualité de rédaction (compréhension, niveau de précision etc..) adaptée au public auquel s’adresse le Client, en fonction des informations qui lui auront été communiquées par le Client.</p><p> </p><p>Le Responsable du Site s’assurera avec l’aval du Client qu’à tout moment le Contenu ne contient ni dénigrement, ni imputations diffamatoires, n’est pas contraire aux bonnes mœurs, ne porte pas atteinte à la vie privée et à l’ordre public, et ne viole pas les dispositions relatives aux lois sur la protection de la jeunesse, ou sur la protection des droits de propriété intellectuelle.</p><p> </p><p>Le Contenu pourra, si le Client le souhaite, faire l’objet d’une personnalisation selon sa charte graphique, et ses signes distinctifs.</p><p> </p><ol start=\"2\"><li><strong>OBLIGATIONS PARTICULIERES DU RESPONSABLE DU SITE</strong></li></ol><p> </p><p>Dans le cadre de l’exécution des Services, le Responsable du Site est susceptible d’avoir recours à un prestataire tiers pour permettre au Client de bénéficier de contrats de location-vente portant notamment sur la création et le maintien de sites web.</p><p> </p><p>Lorsqu’il agit dans ce cadre, le Responsable du Site ne peut en aucun cas être tenu responsable des conditions contractuelles régissant la relation entre le Client et le prestataire tiers auquel le Client a recours afin de permettre la mise en œuvre des Services.</p><p> </p><p>Par ailleurs, si les Services commandés par le Client impliquent des prestations de shootings photo et vidéo au sein de ses locaux réalisés par le Responsable du Site, ce dernier s’engage à respecter les règles d’utilisation du système d’information du Client qui lui auraient été communiquées par le Client le cas échéant.</p><p> </p><ol start=\"3\"><li><strong>OBLIGATIONS DU CLIENT</strong></li></ol><p> </p><p>Le Client est tenu d’apporter au Responsable du Site toutes les informations, matériels et ressources nécessaires à la bonne exécution du Contrat et à la mise en œuvre des Services afin de faciliter les interventions du Responsable du Site.</p><p> </p><p>A ce titre, le Client s’engage à définir de façon précise et circonstanciée l’ensemble de ses besoins au Responsable du Site afin que ce dernier émette un Devis conforme à ses attentes.</p><p> </p><p>Le Client est également tenu de participer à toutes les réunions rendues nécessaires par la mise en œuvre des Services.</p><p> </p><p>Enfin, il incombe au Client, qui s’y engage, d’effectuer, au fur et à mesure, dans les délais et selon les procédures visées aux présentes, les recettes des Développements spécifiques réalisés par le Responsable du Site au titre du Contrat et de faire remonter les Anomalies ou difficultés rencontrées.</p><p> </p><p>Afin de faciliter la mise en œuvre de son obligation de collaboration, le Client désigne un interlocuteur privilégié pour assurer le dialogue dans les diverses étapes de la mission confiée au Responsable du Site, qu’il devra désigner au sein du Devis validé par ses soins.</p><p> </p><p>Afin de faciliter la rédaction du Contenu, le Client est tenu de fournir au Responsable du Site toutes les informations et explications nécessaires afin que le Responsable du Site soit en mesure de comprendre de façon exhaustive les éventuelles contraintes professionnelles auxquelles il serait tenu, pour restituer des Contenus conformes et qualitatifs dans le cadre des opérations de communication souhaitées par le Client.</p><p> </p><p>Si les Services commandés par le Client impliquent des prestations de shootings photo et vidéo par le Responsable du Site, le Client s’engage à obtenir, de ses salariés et de ses clients, l’autorisation d’exploiter leur image. Le Client est seul responsable de l’obtention de l’autorisation d’exploiter l’image de ses salariés et de ses clients.</p><p> </p><ol start=\"4\"><li><strong>RECETTES</strong><ol><li><strong>a- Développements spécifiques</strong></li></ol></li></ol><p> </p><p>Lorsque les Services faisant l’objet de la Commande impliquent des Développements spécifiques de la part du Responsable du Site, le Client s’engage à réaliser la recette des Développements spécifiques dans les conditions ci-après.</p><p> </p><p>La recette des Développements spécifiques devra être effectuée par le Client au plus tard 10 (dix) jours calendaires après la dernière livraison des Développements spécifiques précédant la date de fin du Contrat.</p><p> </p><p>Faute d’acceptation expresse, de réserves ou de refus émis dans ce délai, la mise en production des Développements spécifiques vaudra recette tacite.</p><p> </p><p>Par ailleurs, la recette définitive des Développements spécifiques sera réputée acquise à l’expiration du délai susvisé, si le Client n’a pas fait connaître dans ce délai son acceptation, ou émis des réserves, ou manifesté son refus.</p><p> </p><p>Lors de la recette des Développements spécifiques, le Client doit notifier par écrit au Responsable du Site toute Anomalie.</p><p> </p><p>Cette notification devra comprendre une description précise de l’Anomalie constatée afin que le Responsable du Site puisse la corriger.</p><p> </p><p>Après réception de la notification du Client, le Responsable du Site indiquera une durée de résolution estimative de l’Anomalie, puis procédera à la correction de l’Anomalie et présentera les corrections effectuées au Client pour recette.</p><p> </p><p>Le Client s’engage à effectuer une nouvelle recette à compter de la nouvelle livraison des Développements spécifiques corrigés.</p><p> </p><ol><li><strong>b- Contenus et Mises à jour</strong></li></ol><p> </p><p>Lorsque les Services faisant l’objet de la Commande impliquent la création de Contenus ou la réalisation de Mises à jour de la part du Responsable du Site, le Client s’engage à réaliser la recette des Contenus et des Mises à jour dans les conditions ci-après.</p><p> </p><p>La recette des Contenus et des Mises à jour devra être effectuée par le Client au plus tard 5 (cinq) jours calendaires après leur livraison par le Responsable du Site.</p><p> </p><p>En cas de refus ou de réserve motivée par le Client, le Responsable du Site s’engage à présenter une nouvelle version du Contenu ou de la Mise à jour dans un délai de 10 jours ouvrés. Le Client s’engage alors à ne pas diffuser les Contenus ou la Mise à jour refusés et ayant fait l’objet de corrections.</p><p> </p><p>A défaut de recette des Contenus ou des Mises à jour par le Client, ce dernier pourra confier la réalisation du Contenu ou de la Mise à jour concerné à un tiers.</p><p> </p><p>Le Client pourra toujours demander au Responsable du Site la suppression de tout Contenu mis en ligne qu’il jugerait inopportun. Le Responsable du Site s’engage alors à retirer le Contenu dans les plus brefs délais.</p><p> </p><ol><li><strong>c- Limitations</strong></li></ol><p> </p><p>Seules les réserves relatives à des Anomalies Bloquantes ou à des Anomalies Semi-Bloquantes peuvent justifier l’absence d’acceptation de la recette d’un Développement spécifique, d’un Contenu ou d’une Mise à jour.</p><p> </p><p>Pour chaque opération de recette d’un Développement spécifique, d’un Contenu ou d’une Mise à jour, le Client ne peut formuler de réserves que deux fois pour le même Développement spécifique, le même Contenu ou la même Mise à jour.</p>\n												<a href=\"\">GARANTIE</a>\n					<p>A la suite de la première mise en production des Développements spécifiques, le Client peut disposer d’une garantie de résolution des Anomalies pendant une durée déterminée durant laquelle le Responsable du Site fera ses meilleurs efforts pour corriger les Anomalies qui lui seraient notifiées par le Client.</p><p> </p><p>En cas d’Anomalie Bloquante, le Responsable du Site s’engage à intervenir dans un délai maximum de48h à compter de la réception de la notification du Client.</p><p> </p><p>En cas d’Anomalie Semi‐Bloquante, le Responsable du Site s’engage à intervenir dans un délai maximum de 72h à compter de la réception de la notification du Client.</p><p> </p><p>En cas d’Anomalie Non Bloquante, le Responsable du Site s’engage à intervenir dans un délai maximum de 5 jours à compter de la réception de la notification du Client.</p><p> </p><p>La présente garantie constitue un service optionnel qui sera facturé par le Responsable du Site au Client et dont la durée et le prix figureront au sein du Contrat, avant sa signature par le Client.</p>\n												<a href=\"\">DONNÉES PERSONNELLES</a>\n					<p>Les Parties s’engagent à respecter les dispositions du règlement (UE) n°2016/679 du 27 avril 2016 relatif à la protection des données à caractère personnel (RGPD) et de la loi n°78-17 du 6 janvier 1978 modifiée.</p><p> </p><p>Pour les traitements de données à caractère personnel découlant le cas échéant des présentes, le Client est qualifié de Responsable du traitement et le Responsable du Site est qualifié de sous-traitant, au sens de l’article 4 du RGPD.</p><p> </p><ol><li><strong>Description du traitement</strong></li></ol><p> </p><p>Le Responsable du Site est autorisé à traiter pour le compte du Client les données à caractère personnel nécessaires pour fournir les Services fournis au Client repris au sein du Devis.</p><p> </p><p>La nature des opérations réalisées sur les données est (rayer les mentions inutiles):</p><p> </p><ul><li>Collecte</li><li>Enregistrement</li><li>Organisation</li><li>Structuration</li><li>Conservation</li><li>Adaptation ou modification</li><li>Extraction</li><li>Consultation</li><li>Utilisation</li><li>Communication par transmission</li><li>Diffusion ou toute autre forme de mise à disposition</li><li>Rapprochement ou interconnexion</li><li>Limitation</li><li>Effacement ou destruction</li></ul><p> </p><p>La ou les finalité(s) du traitement sont la mise en œuvre des Services fournis au Client par le Responsable du Site.</p><p> </p><p>Les données à caractère personnel traitées sont (rayer les mentions inutiles) :</p><p> </p><ul><li>Données d’identification (état civil, coordonnées, photographie…)</li><li>Vie professionnelle (CV, situation professionnelle, scolarité, formation, distinctions, diplômes…)</li><li>Vie personnelle (habitude de vie, situation familiale…)</li><li>Données de connexion (adresse IP, Logs, identification des terminaux, horadatage…)</li><li>Information d’ordre économique et financière (revenu, données bancaires, rib, situation financière…)</li><li>Données de transaction (panier d’achat, montant et date de transactions…)</li><li>Données de navigation (cookies, traceurs, mesure d’audience…)</li><li>Données de localisation (déplacement, données GPS…)</li></ul><p> </p><p>Les catégories de personnes concernées sont (rayer les mentions inutiles) :</p><p> </p><ul><li>Prestataires</li><li>Collaborateurs</li><li>Famille des collaborateurs</li><li>Stagiaires</li><li>Intérimaires</li><li>Contractuels</li><li>Visiteurs</li><li>Clients</li><li>Famille des clients</li><li>Prospects</li><li>Famille des prospects</li><li>Internautes</li><li>Dirigeants</li><li>Actionnaires/Associés</li></ul><p> </p><p>Pour l’exécution des Services, le Client met à la disposition du Responsable du Site les informations nécessaires afin de mettre en œuvre les Services fournis au Client par le Responsable du Site, ainsi que les données à caractère personnel indiquées ci-dessus.</p><p> </p><ol start=\"2\"><li><strong>Durée</strong></li></ol><p>Les présentes sont applicables pour une durée égale à celle du Contrat.</p><p> </p><ol start=\"3\"><li><strong>Obligations du Responsable du Site</strong></li></ol><p> </p><p>Le Responsable du Site s’engage à :</p><p> </p><p>1.traiter les données uniquement pour la ou les seule(s) finalité(s) qui fait/font l’objet de la sous-traitance.</p><p> </p><ol start=\"2\"><li>traiter les données conformément aux instructions documentées du Client figurant en annexe des présentes clauses. Si le Responsable du Site considère qu’une instruction constitue une violation du règlement européen sur la protection des données ou de toute autre disposition du droit de l’Union ou du droit des Etats membres relative à la protection des données, il en informe immédiatement le Client. En outre, si le Responsable du Site est tenu de procéder à un transfert de données vers un pays tiers ou à une organisation internationale, en vertu du droit de l’Union ou du droit de l’Etat membre auquel il est soumis, il doit informer le Client de cette obligation juridique avant le traitement, sauf si le droit concerné interdit une telle information pour des motifs importants d’intérêt public.</li><li>garantir la confidentialité des données à caractère personnel traitées dans le cadre des présentes clauses</li><li>veiller à ce que les personnes autorisées à traiter les données à caractère personnel en vertu des présentesclauses :</li></ol><ul><li>s’engagent à respecter la confidentialité ou soient soumises à une obligation légale appropriée de confidentialité</li><li>reçoivent la formation nécessaire en matière de protection des données à caractère personnel</li></ul><ol start=\"5\"><li>prendre en compte, s’agissant de ses outils, produits, applications ou services, les principes de protection des données dès la conception et de protection des données par défaut.</li><li>Sous-traitance</li></ol><p> </p><p>Le Responsable du Site peut faire appel à un autre sous-traitant (ci-après, « le Sous-traitant ultérieur ») pour mener des activités de traitement spécifiques. Dans ce cas, il informe préalablement et par tout moyen le Client de tout changement envisagé concernant l’ajout ou le remplacement d’autres sous-traitants. Cette information doit indiquer clairement les activités de traitement sous-traitées, l’identité et les coordonnées du Sous-traitant ultérieur et les dates du contrat de sous-traitance. Le Client dispose d’un délai de 7 (sept) jours à compter de la date de réception de cette information pour présenter ses objections. A défaut d’objection, le Client sera réputé avoir accepté les changements dont il a été informé par le Responsable du Site.</p><p> </p><ol start=\"7\"><li>Droit d’information des personnes concernées</li></ol><p> </p><p>Il appartient au Client de fournir l’information aux personnes concernées par les opérations de traitement au moment de la collecte des données.</p><p> </p><ol start=\"8\"><li>Exercice des droits des personnes</li></ol><p> </p><p>Dans la mesure du possible, le Responsable du Site doit aider le Client à s’acquitter de son obligation de donner suite aux demandes d’exercice des droits des personnes concernées : droit d’accès, de rectification, d’effacement et d’opposition, droit à la limitation du traitement, droit à la portabilité des données, droit de ne pas faire l’objet d’une décision individuelle automatisée (y compris le profilage).</p><p> </p><p>Lorsque les personnes concernées exercent auprès du Responsable du Site des demandes d’exercice de leurs droits, celui-ci doit adresser ces demandes dans les meilleurs délais par courrier électronique au Client.</p><p> </p><ol start=\"9\"><li>Notification des violations de données à caractère personnel</li></ol><p> </p><p>Le Responsable du Site notifie au Client toute violation de données à caractère personnel dans les meilleurs délais après en avoir pris connaissance. Cette notification est accompagnée de toute documentation utile afin de permettre au Client, si nécessaire, de notifier cette violation à l’autorité de contrôle compétente.</p><p> </p><ol start=\"10\"><li>Aide du Responsable du Site dans le cadre du respect par le Responsable de traitement de ses obligations</li></ol><p> </p><p>Le Responsable du Site aide le Client pour la réalisation d’analyses d’impact relative à la protection des données.</p><p> </p><p>Le Responsable du Site aide le Client pour la réalisation de la consultation préalable de l’autorité de contrôle.</p><p> </p><ol start=\"11\"><li>Mesures de sécurité</li></ol><p> </p><p>Le Responsable du Site s’engage à mettre en œuvre les mesures de sécurité suivantes en fonction des nécessités du traitement faisant l’objet de la sous-traitance :</p><p> </p><ul><li>lapseudonymisation et le chiffrement des données à caractère personnel</li><li>les moyens permettant de garantir la confidentialité, l’intégrité, la disponibilité et la résilience constantes des systèmes et des services de traitement ;</li><li>les moyens permettant de rétablir la disponibilité des données à caractère personnel et l’accès à celles-ci dans des délais appropriés en cas d’incident physique ou technique ;</li><li>une procédure visant à tester, à ’analyser et à ’évaluer régulièrement l’efficacité des mesures techniques et organisationnelles pour assurer la sécurité du traitement]</li></ul><ol start=\"12\"><li>Sort des données</li></ol><p> </p><p>Au terme de la prestation de services relatifs au traitement de ces données, le Responsable du Site s’engage à restituer les données au Client et ensuite à les détruire, sauf convention contraire entre les Parties.</p><p> </p><ol start=\"13\"><li>Délégué à la protection des données</li></ol><p> </p><p>Le Responsable du Site communique au Client le nom et les coordonnées de son délégué à la protection des données, s’il en a désigné un conformément à l’article 37 du règlement européen sur la protection des données.</p><p> </p><ol start=\"14\"><li>Registre des catégories d’activités de traitement</li></ol><p> </p><p>Le Responsable du Site déclare tenir par écrit un registre de toutes les catégories d’activités de traitement effectuées pour le compte du Responsable de traitement comprenant :</p><p> </p><ul><li>le nom et les coordonnées du Responsable de traitement pour le compte duquel il agit,</li><li>des éventuels sous-traitants et, le cas échéant, du délégué à la protection des données ;</li><li>les catégories de traitements effectués pour le compte du responsable du traitement ;</li><li>le cas échéant, les transferts de données à caractère personnel vers un pays tiers ou à une organisation internationale, y compris l’identification de ce pays tiers ou de cette organisation internationale et, dans le cas des transferts visés à l’article 49, paragraphe 1, deuxième alinéa du règlement européen sur la protection des données, les documents attestant de l’existence de garanties appropriées ;</li><li>dans la mesure du possible, une description générale des mesures de sécurité techniques et organisationnelles, y compris entre autres, selon les besoins :<ul><li>lapseudonymisation et le chiffrement des données à caractère personnel ;</li><li>des moyens permettant de garantir la confidentialité, l’intégrité, la disponibilité et</li><li>la résilience constante des systèmes et des services de traitement ;</li><li>des moyens permettant de rétablir la disponibilité des données à caractère personnel et l’accès à celles-ci dans des délais appropriés en cas d’incident physique ou technique ;</li><li>une procédure visant à tester, à analyser et à évaluer régulièrement l’efficacité des mesures techniques et organisationnelles pour assurer la sécurité du traitement.</li></ul></li></ul><ol start=\"15\"><li>Documentation</li></ol><p> </p><p>Le Responsable du Site met à la disposition du Client la documentation nécessaire pour démontrer le respect de toutes ses obligations et pour permettre la réalisation d’audits, y compris des inspections, par le Client ou un autre auditeur qu’il a mandaté, et contribuer à ces audits.</p><p> </p><ol start=\"4\"><li><strong>Obligations du Client</strong></li></ol><p> </p><p>Le Client s’engage à :</p><p> </p><ol><li>fournir au Responsable du Site les données visées à l’article 2 des présentes clauses et garantir la licéité des traitements mis en œuvre ;</li><li>documenter par écrit toute instruction concernant le traitement des données par le Responsable du Site ;</li><li>veiller, au préalable et pendant toute la durée du traitement, au respect des obligations prévues par le règlement européen sur la protection des données de la part du Responsable du Site ;</li><li>superviser le traitement, y compris réaliser les audits et les inspections auprès du Responsable du Site.</li></ol>\n												<a href=\"\">PROPRIETE INTELLECTUELLE</a>\n					<ol><li><strong>Développements spécifiques</strong></li></ol><p> </p><p>Les droits d’utilisation, de reproduction et de représentation exclusifs attachés aux Développements spécifiques faisant partie des Services et fournis par le Responsable du Site au Client sont concédés au Client dans leur intégralité au fur et à mesure de leur réalisation et sous réserve du respect par le Client des stipulations des présentes et du respect des droits des tiers par le Client. La présente licence est concédée par le Responsable du Site pour le monde entier et pour toute la durée légale de protection des droits d’auteur. La concession du droit d’adaptation des Développements spécifiques peut être convenue entre les Parties au moyen d’un accord exprès séparé des présentes. Les droits concédés par le Responsable du Site sur les Développements spécifiques sont les suivants :Le droit de reproduction : ce droit comporte le droit de reproduction et d’utilisation pour quelque usage que ce soit, par quelque procédé que ce soit, sur tout support papier, magnétique, optique, vidéographique, numérique ou autre, pour toute exploitation, y compris en réseau, des Développements spécifiques (en tout ou en partie), objet de la présente licence, en nombre illimité, en toutes matières, toutes couleurs et toutes dimensions ; ce droit comporte également le droit pour le Client de confier l’exécution de cette exploitation à toute personne physique ou morale de son choix. Le droit de représentation : ce droit comporte le droit de de représentation et diffusion, de quelque façon que ce soit, sur quelque support et/ou réseau que ce soit, édition de tout ou partie des Développements spécifiques pour toute utilisation qui pourrait être faite par le Client soit à son profit, soit pour le compte d’un tiers.</p><p> </p><p><strong>Contenus et Mises à jour</strong></p><p> </p><ol start=\"2\"><li>Les droits d’utilisation, de reproduction, de représentation et d’adaptation exclusifs attachés aux Contenus et aux Mises à jour faisant partie des Services et fournis par le Responsable du Site au Client sont concédés au Client dans leur intégralité au fur et à mesure de leur réalisation et sous réserve du respect par le Client des stipulations des présentes et du respect des droits des tiers par le Client. La présente licence est concédée par le Responsable du Site pour le monde entier et pour toute la durée légale de protection des droits d’auteur.</li></ol><p> </p><p>Les droits concédés par le Responsable du Site sur les Contenus et les Mises à jour sont les suivants :</p><p> </p><ul><li>Le droit de reproduction : ce droit comporte le droit de reproduction et d’utilisation pour quelque usage que ce soit, par quelque procédé que ce soit, sur tout support papier, magnétique, optique, vidéographique, numérique ou autre, pour toute exploitation, y compris en réseau, des Contenus et des Mises à jour (en tout ou en partie), objet de la présente licence, en nombre illimité, en toutes matières, toutes couleurs et toutes dimensions ; ce droit comporte également le droit pour le Client de confier l’exécution de cette exploitation à toute personne physique ou morale de son choix.</li><li>Le droit de représentation : ce droit comporte le droit de de représentation et diffusion, de quelque façon que ce soit, sur quelque support et/ou réseau que ce soit, édition de tout ou partie des Contenus et des Mises à jour pour toute utilisation qui pourrait être faite par le Client soit à son profit, soit pour le compte d’un tiers.</li><li>Le droit d’adaptation : ce droit comporte le droit d’adapter, directement ou indirectement tout ou partie des Contenus et des Mises à jour en vue de leur exploitation dans le cadre de l’activité du Client ou d’un tiers pour le compte duquel le Client agit.</li></ul><p> </p><p>Le Responsable du Site autorise expressément le Client à faire mention de son propre nom sur le Contenu ou la Mise à jour et notamment à présenter le Contenu ou la Mise à jour selon sa charte graphique et ses signes distinctifs.</p><p> </p><ol start=\"3\"><li><strong>Garantie d’éviction</strong></li></ol><p> </p><p>Le Responsable du Site garantit au Client une jouissance paisible des Développements spécifiques, des Contenus et des Mises à jour, de son fait personnel.</p><p> </p><p>À ce titre, il s’engage à défendre le Client à ses frais contre toute action en violation de droit d’auteur ou d’autres droits de propriété intellectuelle intentée par un tiers, et portant sur les Développements spécifiques, les Contenus ou les Mises à jour, sous réserve que le Client :</p><p> </p><ul><li>en ait averti immédiatement par écrit le Responsable du Site et que la prétendue violation ne résulte pas du fait du Client ;</li><li>donne au Responsable du Site le contrôle exclusif de la conduite de la défense et du règlement de la réclamation. Le Responsable du Site aura toute latitude pour transiger ou poursuivre toute procédure de son choix ;</li><li>fournisse au Responsable du Site toutes les informations, éléments et assistance nécessaires pour lui permettre de mener à bien sa défense ou de parvenir à un accord transactionnel ; et</li><li>déploie tout effort raisonnable pour limiter toute perte ou dommage.</li></ul><p> </p><p>Si tout ou partie des Développements spécifiques, des Contenus ou des Mises à jour est reconnu, par une décision de justice ayant force exécutoire, constituer une contrefaçon ou si le Responsable du Site estime qu’il est vraisemblable que ceux-ci, en tout ou partie, soient considérés comme étant une contrefaçon, le Responsable du Site pourra, à son choix :</p><p> </p><ul><li>soit procurer au Client des Développements spécifiques, des Contenus et des Mises à jour non contrefaisants ayant les mêmes fonctionnalités ou qualités rédactionnelles ;</li><li>soit obtenir le droit pour le Client de continuer à utiliser et exploiter les Développements spécifiques, les Contenus, ou les Mises à jour ;</li><li>soit rembourser au Client le prix perçu au titre du Contrat.</li></ul><p> </p><p>Dans le cas des Développements spécifiques, le Responsable du Sitene pourra pas être tenu responsable si ladite réclamation résulte de :</p><p> </p><ul><li>l’utilisation de tout ou partie des Développements spécifiques, par le Client, en combinaison avec tout logiciel, matériel, produits ou autres équipements ou matériels non fournis ou approuvés par écrit par le Responsable du Site ;</li><li>l’utilisationdes Développements spécifiques, par le Client, non-conforme aux recommandations ou instructions du Responsable du Site et que ceux-ci n’auraient jamais été reconnu contrefaisants sans une telle utilisation par le Client.</li></ul>\n												<a href=\"\">SERVICE CLIENT</a>\n					<p>Pour toute information ou question, notre service Clientèle est à votre disposition :</p><p> </p><ul><li>Par téléphone (du lundi au vendredi de 9h00 à 19h00) :01 86 90 50 99</li><li>Par courrier :</li></ul><p> </p><p>Société KOOK AGENCY-  SAS AGENCE HASHTAG, 1024 Chemin des Plantades, 83130 La Garde</p><p> </p><ul><li>Par email : <a href=\"mailto:contact@synergyhashtag.fr\">contact@kook-agency.fr</a></li></ul>\n												<a href=\"\">CONFIDENTIALITÉ</a>\n					<p>Chaque partie s’interdit de divulguer les informations confidentielles auxquelles elle pourrait avoir accès dans le cadre du présent contrat. Sont considérés comme confidentiels toutes les informations et tous les documents désignés comme tels, qui lui seront transmis par l’autre Partie, quel que soit le support utilisé pour cette transmission (papier, dessins, supports informatiques, etc.) ou la forme (écrite, orale, etc.) de cette transmission.</p><p> </p><p>En conséquence, les Parties s’engagent à limiter la communication des informations confidentielles aux seules personnes affectées à l’exécution du présent Contrat. Etant précisé que chaque partie se porte fort du respect par son personnel, ses fournisseurs et à tout tiers intervenant au titre du Contrat, de la plus stricte confidentialité pour l’ensemble des opérations qu’ils réalisent, au moyen de la conclusion préalable et par écrit d’un engagement de confidentialité reprenant les obligations de la présente clause.</p><p> </p><p>Ne seront toutefois pas considérées comme confidentielles les informations qui étaient connues du public antérieurement à leur divulgation sans qu’il y ait eu manquement au présent contrat.</p><p> </p><p>Les dispositions du présent article demeureront en vigueur pendant une durée d’un an à compter de l’expiration du présent Contrat.</p>\n												<a href=\"\">RÉFÉRENCE</a>\n					<p>Le Responsable du Siteest autorisé à faire figurer le nom du Client sur la liste de ses références commerciales, notamment sur son site internet et à condition d’en informer préalablement le Client.</p>\n												<a href=\"\">MODIFICATION BILATÉRALE DU CONTRAT</a>\n					<p>Dans le cas où des informations sur lesquelles est basé le Contrat sont modifiés dans des proportions telles que l’une ou l’autre des parties rencontrerait des difficultés sérieuses et imprévisibles, il est d’ores et déjà arrêté le principe d’une consultation mutuelle entre les Parties afin de réajuster l’étendue des Services.</p><p> </p><p>Il en irait ainsi de toute nouvelle disposition particulière d’ordre légal ou réglementaire ou même de conditions générales d’utilisation des supports et outils utilisés par les Parties dans le cadre du Contrat.</p><p>Le Responsable du Site et le Client acceptent alors le principe d’une révision de l’étendue et de la redéfinition des Services à fournir.</p>\n												<a href=\"\">FORCE MAJEURE</a>\n					<p>Les retards ou la non-exécution des Commandes résultant de cas de force majeure ou tout autre événement inévitable, imprévisible et échappant au contrôle du Responsable du Site au sens de la jurisprudence ne peuvent donner lieu à indemnité. Les dispositions du présent article ne pourront cependant, en aucun cas, dispenser une partie de l’obligation de régler à l’autre toute somme qu’elle lui devrait.</p>\n												<a href=\"\">RESPONSABILITÉ</a>\n					<p>Le Responsable du Site ne pourra en aucune circonstance encourir de responsabilité au titre des pertes ou dommages indirects ou imprévisibles du Client ou des tiers, ce qui inclut notamment tout gain manqué, perte, inexactitude ou corruption de fichiers ou de données, préjudice commercial et perte de chiffre d’affaires, coût de l’obtention d’un produit, de substitution, en relation ou provenant de l’inexécution ou de l’exécution fautive des présentes CGS.</p><p> </p><p>Le montant des dommages réparables que le Responsable du Site peut être amené à payer au Client en raison d’un manquement contractuel est limité, tous dommages confondus, au prix des Commandes effectivement payées par le Client. Ce plafond de réparation n’est pas applicable en cas de dol, de faute lourde commise par le Responsable du Site dans le cadre des présentes CGS.</p>\n												<a href=\"\"> DURÉE - RESILIATION</a>\n					<p>Le Contrat est conclu pour une durée de 12 mois, 24 mois, ou 36 mois, en fonction de ce qui sera convenu par les Parties au sein du Devis.</p><p> </p><p>Chaque Partie est libre de prononcer la résiliation du Contrat, sous réserve de respecter un délai de préavis de 90 jours avant la date de fin du contrat, ou de ses éventuels renouvellements.</p><p> </p><p>A défaut du respect de ce délai de préavis, le Contrat est reconduit tacitement pour une durée de 12 mois.</p><p> </p><p>En cas de manquement d’une des Parties à une de ses obligations substantielles, l’autre Partie pourra, 30 (trente) jours francs à compter de la date de réception ou, à défaut, de la date de première présentation d’une lettre de mise en demeure recommandée avec demande d’avis de réception restée infructueuse, prononcer la résiliation de plein droit des présentes, sans préavis ni formalité judiciaire ou autre et sans préjudice de tous autres droits ou actions notamment en vue de solliciter tous dommages-intérêts auxquels elle pourrait prétendre.</p><p> </p><p>A la fin des présentes, quelle qu’en soit la cause, le Responsable du Site restituera au Client l’ensemble des documents, supports et information dont la restitution ou la fourniture sont prévues au titre des présentes pour la mise en œuvre des Services et notamment la livraison des Développements spécifiques.</p>\n												<a href=\"\">DROIT APPLICABLE / LITIGES</a>\n					<p>Les présentes CGS sont soumises à la loi française.</p><p> </p><p>Pour tous différends ou divergences d’interprétation, relatifs à l’exécution ou à la cessation du Contrat, les Parties conviennent de désigner d’un commun accord un médiateur.</p><p> </p><p>Si au terme d’un délai de 30 jours, les Parties n’arrivaient pas à se mettre d’accord sur le choix de celui-ci, le médiateur serait désigné par le Président du Tribunal de Commerce de Toulon, statuant en référé à la requête de la Partie la plus diligente.</p><p> </p><p>Ce médiateur réunira les Parties, effectuera toutes constatations utiles et les informera des conséquences de leurs positions respectives. Il devra leur proposer, dans un délai de 30 jours, les éléments d’une solution de nature à régler leur différend tout en sauvegardant leurs intérêts légitimes. Cette proposition ne sera ni obligatoire, ni exécutoire. Les frais et honoraires de ce médiateur seront répartis par moitié entre les Parties.</p><p> </p><p>Tout litige relatif à la conclusion, l’interprétation, l’exécution ou la cessation des présentes sera soumis aux tribunaux compétents de Toulon, y compris en référé, nonobstant l’appel en garantie ou la pluralité de défendeurs.</p>", "Conditions générales de services", "", "publish", "closed", "closed", "", "conditions-generales-de-services", "", "", "2023-06-05 14:55:58", "2023-06-05 12:55:58", "", "0", "https://www.kook-agency.fr/?page_id=5104", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("12714", "1", "2023-06-05 13:40:45", "2023-06-05 11:40:45", "", "Theme Demo Import - log_file_2023-06-05__11-40-45", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-06-05__11-40-45", "", "", "2023-06-05 13:40:45", "2023-06-05 11:40:45", "", "0", "http://kookagency/wp-content/uploads/2023/06/log_file_2023-06-05__11-40-45.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("12715", "1", "2023-06-05 13:41:00", "2023-06-05 11:41:00", "", "Theme Demo Import - log_file_2023-06-05__11-41-00", "", "inherit", "open", "closed", "", "theme-demo-import-log_file_2023-06-05__11-41-00", "", "", "2023-06-05 13:41:00", "2023-06-05 11:41:00", "", "0", "http://kookagency/wp-content/uploads/2023/06/log_file_2023-06-05__11-41-00.txt", "0", "attachment", "text/plain", "0");
INSERT INTO `wp_posts` VALUES("12765", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12765", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12765", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12766", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12766", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12766", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12767", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12767", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12767", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12768", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "L’O Beach", "", "publish", "closed", "closed", "", "lo-beach", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12768", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12769", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12769", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12769", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12770", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12770", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12770", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12771", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12771", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12771", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12772", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "Restaurant L’Hemingway", "", "publish", "closed", "closed", "", "restaurant-lhemingway", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12772", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12773", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12773", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12773", "9", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12774", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12774", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12774", "10", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12775", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12775", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12775", "11", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12776", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12776", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12776", "12", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12777", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12777", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12777", "13", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12778", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12778", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12778", "14", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12779", "1", "2023-06-05 15:09:24", "2023-06-05 13:09:24", " ", "", "", "publish", "closed", "closed", "", "12779", "", "", "2023-06-05 15:09:24", "2023-06-05 13:09:24", "", "0", "http://kookagency/?p=12779", "15", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12780", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12780", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12780", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12781", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12781", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12781", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12782", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12782", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12782", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12783", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12783", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12783", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12784", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12784", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12784", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12785", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12785", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12785", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12786", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12786", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12786", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12787", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12787", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12787", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12788", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12788", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12788", "9", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12789", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12789", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12789", "10", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12790", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12790", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12790", "11", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12791", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12791", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12791", "12", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12792", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "Smiirl – un nouvel outil marketing pour booster vos réseaux sociaux", "", "publish", "closed", "closed", "", "smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12792", "13", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12793", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12793", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12793", "14", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12794", "1", "2023-06-05 15:10:22", "2023-06-05 13:10:22", " ", "", "", "publish", "closed", "closed", "", "12794", "", "", "2023-06-05 15:10:22", "2023-06-05 13:10:22", "", "0", "http://kookagency/?p=12794", "15", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("12920", "1", "2023-06-06 10:02:48", "2023-06-06 08:02:48", "", "WhatsApp Image 2023-06-06 à 09.56.49", "", "inherit", "open", "closed", "", "whatsapp-image-2023-06-06-a-09-56-49", "", "", "2023-06-06 10:02:48", "2023-06-06 08:02:48", "", "6180", "http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12924", "1", "2023-06-06 11:54:50", "2023-06-06 09:54:50", "", "DIVINO_MR_046", "", "inherit", "open", "closed", "", "divino_mr_046", "", "", "2023-06-06 11:54:50", "2023-06-06 09:54:50", "", "6180", "http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12926", "1", "2023-06-06 12:02:20", "2023-06-06 10:02:20", "", "LABUCHERIE_MR_10", "", "inherit", "open", "closed", "", "labucherie_mr_10", "", "", "2023-06-06 12:02:20", "2023-06-06 10:02:20", "", "6180", "http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12927", "1", "2023-06-06 13:18:51", "2023-06-06 11:18:51", "", "DIVINO_MR_045", "", "inherit", "open", "closed", "", "divino_mr_045", "", "", "2023-06-06 13:18:51", "2023-06-06 11:18:51", "", "6180", "http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12928", "1", "2023-06-06 13:20:21", "2023-06-06 11:20:21", "", "FUERO", "", "inherit", "open", "closed", "", "fuero-2", "", "", "2023-06-06 13:20:21", "2023-06-06 11:20:21", "", "6180", "http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12929", "1", "2023-06-06 13:23:04", "2023-06-06 11:23:04", "", "FDR_MR_31", "", "inherit", "open", "closed", "", "fdr_mr_31", "", "", "2023-06-06 13:23:04", "2023-06-06 11:23:04", "", "6180", "http://kookagency/wp-content/uploads/2023/06/FDR_MR_31.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12930", "1", "2023-06-06 13:24:16", "2023-06-06 11:24:16", "", "OSCAR_MR_045", "", "inherit", "open", "closed", "", "oscar_mr_045", "", "", "2023-06-06 13:24:16", "2023-06-06 11:24:16", "", "6180", "http://kookagency/wp-content/uploads/2023/06/OSCAR_MR_045.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12939", "1", "2023-06-06 13:42:45", "2023-06-06 11:42:45", "", "DANDY_MR_187", "", "inherit", "open", "closed", "", "dandy_mr_187", "", "", "2023-06-06 13:42:45", "2023-06-06 11:42:45", "", "11980", "http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12941", "1", "2023-06-06 13:44:01", "2023-06-06 11:44:01", "", "DSC06618", "", "inherit", "open", "closed", "", "dsc06618", "", "", "2023-06-06 13:44:01", "2023-06-06 11:44:01", "", "11980", "http://kookagency/wp-content/uploads/2023/06/DSC06618.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12942", "1", "2023-06-06 13:44:59", "2023-06-06 11:44:59", "", "PASTICCIO_MR_067", "", "inherit", "open", "closed", "", "pasticcio_mr_067", "", "", "2023-06-06 13:44:59", "2023-06-06 11:44:59", "", "11980", "http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12943", "1", "2023-06-06 13:47:03", "2023-06-06 11:47:03", "", "LAPLACEVERTE_MR_013", "", "inherit", "open", "closed", "", "laplaceverte_mr_013", "", "", "2023-06-06 13:47:03", "2023-06-06 11:47:03", "", "11980", "http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12949", "1", "2023-06-06 13:52:54", "2023-06-06 11:52:54", "", "PASTICCIO_MR_018", "", "inherit", "open", "closed", "", "pasticcio_mr_018", "", "", "2023-06-06 13:52:54", "2023-06-06 11:52:54", "", "11981", "http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12950", "1", "2023-06-06 13:53:59", "2023-06-06 11:53:59", "", "FDR_MR_54", "", "inherit", "open", "closed", "", "fdr_mr_54", "", "", "2023-06-06 13:53:59", "2023-06-06 11:53:59", "", "11981", "http://kookagency/wp-content/uploads/2023/06/FDR_MR_54.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12954", "1", "2023-06-06 13:59:53", "2023-06-06 11:59:53", "", "DANDY_MR_194", "", "inherit", "open", "closed", "", "dandy_mr_194", "", "", "2023-06-06 13:59:53", "2023-06-06 11:59:53", "", "11982", "http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12955", "1", "2023-06-06 14:01:32", "2023-06-06 12:01:32", "", "LASUBLIMEPORTE_MR_14", "", "inherit", "open", "closed", "", "lasublimeporte_mr_14", "", "", "2023-06-06 14:01:32", "2023-06-06 12:01:32", "", "11982", "http://kookagency/wp-content/uploads/2023/06/LASUBLIMEPORTE_MR_14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12965", "1", "2023-06-06 14:53:18", "2023-06-06 12:53:18", "", "6EMESENS_MR_010 (1)", "", "inherit", "open", "closed", "", "6emesens_mr_010-1", "", "", "2023-06-06 14:53:18", "2023-06-06 12:53:18", "", "11982", "http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12966", "1", "2023-06-06 15:04:20", "2023-06-06 13:04:20", "", "179473332_1435143870158576_578293220653616719_n", "", "inherit", "open", "closed", "", "179473332_1435143870158576_578293220653616719_n", "", "", "2023-06-06 15:04:20", "2023-06-06 13:04:20", "", "11982", "http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12968", "1", "2023-06-06 15:40:24", "2023-06-06 13:40:24", "", "Café Capone", "", "inherit", "open", "closed", "", "cafe-capone", "", "", "2023-06-06 15:40:24", "2023-06-06 13:40:24", "", "11982", "http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12969", "1", "2023-06-06 15:46:13", "2023-06-06 13:46:13", "", "AMOUR_FLO_MR_28 (1)", "", "inherit", "open", "closed", "", "amour_flo_mr_28-1", "", "", "2023-06-06 15:46:13", "2023-06-06 13:46:13", "", "11982", "http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12970", "1", "2023-06-06 16:04:38", "2023-06-06 14:04:38", "", "LOBEACH_MR_034 (2)", "", "inherit", "open", "closed", "", "lobeach_mr_034-2", "", "", "2023-06-06 16:04:38", "2023-06-06 14:04:38", "", "11982", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("13018", "1", "2023-06-07 11:17:37", "2023-06-07 09:17:37", "", "WhatsApp Image 2023-06-07 à 11.11.05", "", "inherit", "open", "closed", "", "whatsapp-image-2023-06-07-a-11-11-05", "", "", "2023-06-07 11:17:37", "2023-06-07 09:17:37", "", "10485", "http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("13032", "1", "2023-06-07 12:20:14", "2023-06-07 10:20:14", "", "Design sans titre (1)", "", "inherit", "open", "closed", "", "design-sans-titre-1", "", "", "2023-06-07 12:20:14", "2023-06-07 10:20:14", "", "0", "http://kookagency/wp-content/uploads/2023/06/Design-sans-titre-1.mp4", "0", "attachment", "video/mp4", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("11421", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11422", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("12790", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12789", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12788", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12787", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12786", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12785", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12784", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12783", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12782", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12781", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12780", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12779", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12778", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12777", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12776", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12775", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12774", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12773", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12772", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12771", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("7", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("12160", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("11631", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("11632", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("11633", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("11634", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("11635", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11636", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11637", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11638", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11639", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11640", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11641", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("12770", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12769", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12768", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12767", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12766", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12765", "48", "0");
INSERT INTO `wp_term_relationships` VALUES("12700", "47", "0");
INSERT INTO `wp_term_relationships` VALUES("12699", "47", "0");
INSERT INTO `wp_term_relationships` VALUES("12698", "47", "0");
INSERT INTO `wp_term_relationships` VALUES("11651", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("11652", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("12697", "47", "0");
INSERT INTO `wp_term_relationships` VALUES("12678", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12668", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12658", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12648", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12243", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12233", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12224", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12215", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12206", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12197", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12187", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12178", "45", "0");
INSERT INTO `wp_term_relationships` VALUES("11666", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("12178", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12169", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("12151", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("217", "44", "0");
INSERT INTO `wp_term_relationships` VALUES("3352", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("3365", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("5404", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("5408", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("6504", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("10155", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("5410", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("5411", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("5412", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("5413", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("5414", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("5563", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5564", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5565", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5566", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5567", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5568", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5569", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5570", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("10228", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("10237", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("10240", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("10243", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("10263", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("10264", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("5571", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("5708", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("10675", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("10679", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("13051", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("12914", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("12908", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("12794", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12793", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12792", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("12791", "49", "0");
INSERT INTO `wp_term_relationships` VALUES("11130", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11130", "28", "0");
INSERT INTO `wp_term_relationships` VALUES("11130", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11138", "34", "0");
INSERT INTO `wp_term_relationships` VALUES("11138", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11146", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11146", "40", "0");
INSERT INTO `wp_term_relationships` VALUES("11794", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11794", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11794", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("11795", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11795", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("11796", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11796", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11797", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11797", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11798", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11798", "40", "0");
INSERT INTO `wp_term_relationships` VALUES("11798", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11799", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11799", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11800", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11800", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11800", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11801", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("11801", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11801", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11801", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11802", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("11802", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("11802", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11802", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11802", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11803", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11803", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11803", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11804", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11804", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11805", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11805", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11806", "34", "0");
INSERT INTO `wp_term_relationships` VALUES("11806", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11807", "34", "0");
INSERT INTO `wp_term_relationships` VALUES("11807", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11812", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("11812", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11812", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11813", "30", "0");
INSERT INTO `wp_term_relationships` VALUES("11813", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("11993", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("11988", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("11989", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("11990", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("11839", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("11840", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("11841", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("11842", "38", "0");
INSERT INTO `wp_term_relationships` VALUES("11843", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("11844", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("11845", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("11846", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("11847", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("11848", "35", "0");
INSERT INTO `wp_term_relationships` VALUES("11849", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11849", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11849", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("11850", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11850", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("11851", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11851", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11852", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11852", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11853", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11853", "40", "0");
INSERT INTO `wp_term_relationships` VALUES("11853", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11854", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11854", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11855", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11855", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11855", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11856", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("11856", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11856", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11856", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11857", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("11857", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("11857", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11857", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11857", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11858", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("11858", "32", "0");
INSERT INTO `wp_term_relationships` VALUES("11858", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11859", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11859", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11860", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11860", "39", "0");
INSERT INTO `wp_term_relationships` VALUES("11861", "34", "0");
INSERT INTO `wp_term_relationships` VALUES("11861", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11862", "34", "0");
INSERT INTO `wp_term_relationships` VALUES("11862", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11867", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("11867", "42", "0");
INSERT INTO `wp_term_relationships` VALUES("11867", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("11868", "30", "0");
INSERT INTO `wp_term_relationships` VALUES("11868", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("11992", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("188", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("191", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2084", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2245", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2259", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2279", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2481", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2626", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("2634", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("3001", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("3174", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("3492", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4041", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4445", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4888", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4946", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("5265", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4963", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4956", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("4967", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("5304", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("11888", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("6133", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("6136", "46", "0");
INSERT INTO `wp_term_relationships` VALUES("6148", "46", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("49", "49", "nav_menu", "", "0", "15");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "nav_menu", "", "0", "9");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "nav_menu", "", "0", "9");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "nav_menu", "", "0", "20");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "product_type", "", "0", "29");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "product_type", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "product_type", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "product_type", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "product_visibility", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "product_visibility", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "product_visibility", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "product_visibility", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("21", "21", "product_visibility", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("22", "22", "product_visibility", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("23", "23", "product_visibility", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("24", "24", "product_visibility", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("25", "25", "product_visibility", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("26", "26", "product_cat", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("47", "47", "nav_menu", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("48", "48", "nav_menu", "", "0", "15");
INSERT INTO `wp_term_taxonomy` VALUES("46", "46", "category", "", "0", "25");
INSERT INTO `wp_term_taxonomy` VALUES("27", "27", "product_cat", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("28", "28", "product_cat", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("44", "44", "dsn-blackdsn-categories", "", "0", "16");
INSERT INTO `wp_term_taxonomy` VALUES("30", "30", "product_cat", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("31", "31", "product_cat", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("32", "32", "product_cat", "", "0", "8");
INSERT INTO `wp_term_taxonomy` VALUES("33", "33", "elementor_library_type", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("34", "34", "product_cat", "", "0", "5");
INSERT INTO `wp_term_taxonomy` VALUES("35", "35", "elementor_library_type", "", "0", "12");
INSERT INTO `wp_term_taxonomy` VALUES("38", "38", "elementor_library_type", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("39", "39", "product_cat", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("40", "40", "product_cat", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("41", "41", "product_cat", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("42", "42", "product_cat", "", "0", "9");
INSERT INTO `wp_term_taxonomy` VALUES("45", "45", "dsn-blackdsn-categories", "", "0", "1");

/* INSERT TABLE DATA: wp_termmeta */
INSERT INTO `wp_termmeta` VALUES("1", "27", "order", "0");
INSERT INTO `wp_termmeta` VALUES("2", "28", "order", "0");
INSERT INTO `wp_termmeta` VALUES("3", "30", "order", "0");
INSERT INTO `wp_termmeta` VALUES("4", "31", "order", "0");
INSERT INTO `wp_termmeta` VALUES("5", "32", "order", "0");
INSERT INTO `wp_termmeta` VALUES("6", "34", "order", "0");
INSERT INTO `wp_termmeta` VALUES("7", "39", "order", "0");
INSERT INTO `wp_termmeta` VALUES("8", "40", "order", "0");
INSERT INTO `wp_termmeta` VALUES("9", "41", "order", "0");
INSERT INTO `wp_termmeta` VALUES("10", "42", "order", "0");
INSERT INTO `wp_termmeta` VALUES("11", "42", "product_count_product_cat", "9");
INSERT INTO `wp_termmeta` VALUES("12", "28", "product_count_product_cat", "1");
INSERT INTO `wp_termmeta` VALUES("13", "34", "product_count_product_cat", "5");
INSERT INTO `wp_termmeta` VALUES("14", "40", "product_count_product_cat", "3");
INSERT INTO `wp_termmeta` VALUES("15", "39", "product_count_product_cat", "10");
INSERT INTO `wp_termmeta` VALUES("16", "32", "product_count_product_cat", "6");
INSERT INTO `wp_termmeta` VALUES("17", "27", "product_count_product_cat", "4");
INSERT INTO `wp_termmeta` VALUES("18", "30", "product_count_product_cat", "2");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "Non classé", "non-classe", "0");
INSERT INTO `wp_terms` VALUES("49", "Blogs", "blogs", "0");
INSERT INTO `wp_terms` VALUES("48", "Clients", "clients", "0");
INSERT INTO `wp_terms` VALUES("47", "Services", "services", "0");
INSERT INTO `wp_terms` VALUES("6", "architecture", "architecture", "0");
INSERT INTO `wp_terms` VALUES("7", "home", "home", "0");
INSERT INTO `wp_terms` VALUES("8", "light", "light-2", "0");
INSERT INTO `wp_terms` VALUES("9", "Blackdsn Menu", "blackdsn-menu", "0");
INSERT INTO `wp_terms` VALUES("10", "footer menu", "footer-menu", "0");
INSERT INTO `wp_terms` VALUES("11", "Menu", "menu", "0");
INSERT INTO `wp_terms` VALUES("12", "blackdsn", "blackdsn", "0");
INSERT INTO `wp_terms` VALUES("13", "simple", "simple", "0");
INSERT INTO `wp_terms` VALUES("14", "grouped", "grouped", "0");
INSERT INTO `wp_terms` VALUES("15", "variable", "variable", "0");
INSERT INTO `wp_terms` VALUES("16", "external", "external", "0");
INSERT INTO `wp_terms` VALUES("17", "exclude-from-search", "exclude-from-search", "0");
INSERT INTO `wp_terms` VALUES("18", "exclude-from-catalog", "exclude-from-catalog", "0");
INSERT INTO `wp_terms` VALUES("19", "featured", "featured", "0");
INSERT INTO `wp_terms` VALUES("20", "outofstock", "outofstock", "0");
INSERT INTO `wp_terms` VALUES("21", "rated-1", "rated-1", "0");
INSERT INTO `wp_terms` VALUES("22", "rated-2", "rated-2", "0");
INSERT INTO `wp_terms` VALUES("23", "rated-3", "rated-3", "0");
INSERT INTO `wp_terms` VALUES("24", "rated-4", "rated-4", "0");
INSERT INTO `wp_terms` VALUES("25", "rated-5", "rated-5", "0");
INSERT INTO `wp_terms` VALUES("26", "Non classé", "non-classe", "0");
INSERT INTO `wp_terms` VALUES("27", "Accessories", "accessories", "0");
INSERT INTO `wp_terms` VALUES("28", "Clothing", "clothing", "0");
INSERT INTO `wp_terms` VALUES("44", "Restaurant", "restaurant", "0");
INSERT INTO `wp_terms` VALUES("30", "Decor", "decor", "0");
INSERT INTO `wp_terms` VALUES("31", "Hoodies", "hoodies", "0");
INSERT INTO `wp_terms` VALUES("32", "Hoodies", "hoodies-clothing", "0");
INSERT INTO `wp_terms` VALUES("33", "landing-page", "landing-page", "0");
INSERT INTO `wp_terms` VALUES("34", "Music", "music", "0");
INSERT INTO `wp_terms` VALUES("35", "page", "page", "0");
INSERT INTO `wp_terms` VALUES("38", "section", "section", "0");
INSERT INTO `wp_terms` VALUES("39", "Tshirts", "tshirts-clothing", "0");
INSERT INTO `wp_terms` VALUES("40", "Tshirts", "tshirts", "0");
INSERT INTO `wp_terms` VALUES("41", "Uncategorized", "uncategorized", "0");
INSERT INTO `wp_terms` VALUES("42", "Accessories", "accessories-clothing", "0");
INSERT INTO `wp_terms` VALUES("46", "Blog", "blog", "0");
INSERT INTO `wp_terms` VALUES("45", "Hôtel", "hotel", "0");

/* INSERT TABLE DATA: wp_tm_taskmeta */
INSERT INTO `wp_tm_taskmeta` VALUES("407", "407", "task_options", "a:3:{s:3:\"url\";s:73:\"http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("408", "408", "task_options", "a:3:{s:3:\"url\";s:90:\"http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("409", "409", "task_options", "a:3:{s:3:\"url\";s:107:\"http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("410", "410", "task_options", "a:3:{s:3:\"url\";s:66:\"http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("411", "411", "task_options", "a:3:{s:3:\"url\";s:102:\"http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("412", "412", "task_options", "a:3:{s:3:\"url\";s:82:\"http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("413", "413", "task_options", "a:3:{s:3:\"url\";s:79:\"http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("414", "414", "task_options", "a:3:{s:3:\"url\";s:76:\"http://kookagency/2022/04/15/le-menu-qrcode-un-atout-pour-les-restaurateurs/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("415", "415", "task_options", "a:3:{s:3:\"url\";s:88:\"http://kookagency/2022/03/11/tiktok-le-reseau-social-au-service-des-restaurants-en-2022/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("416", "416", "task_options", "a:3:{s:3:\"url\";s:95:\"http://kookagency/2021/06/25/smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("417", "417", "task_options", "a:3:{s:3:\"url\";s:89:\"http://kookagency/2021/01/21/le-click-collect-dans-son-restaurant-une-solution-pour-2021/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("418", "418", "task_options", "a:3:{s:3:\"url\";s:81:\"http://kookagency/2020/06/08/propulser-son-restaurant-grace-au-click-and-collect/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("419", "419", "task_options", "a:3:{s:3:\"url\";s:94:\"http://kookagency/2019/09/23/15-idees-de-posts-pour-animer-la-page-facebook-de-son-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("420", "420", "task_options", "a:3:{s:3:\"url\";s:104:\"http://kookagency/2018/10/25/les-micro-influenceurs-sur-instagram-source-de-trafic-dans-les-restaurants/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("421", "421", "task_options", "a:3:{s:3:\"url\";s:79:\"http://kookagency/2018/10/24/sequiper-pour-la-vente-a-emporter-et-la-livraison/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("422", "422", "task_options", "a:3:{s:3:\"url\";s:81:\"http://kookagency/2018/09/20/16-idees-marketing-pour-developper-votre-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("423", "423", "task_options", "a:3:{s:3:\"url\";s:100:\"http://kookagency/2018/09/04/la-visite-virtuelle-immersive-un-outil-marketing-pour-votre-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("424", "424", "task_options", "a:3:{s:3:\"url\";s:143:\"http://kookagency/2018/08/07/comment-augmenter-le-chiffre-daffaires-de-votre-restaurant-avec-votre-site-internet-et-votre-caisse-enregistreuse/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("425", "425", "task_options", "a:3:{s:3:\"url\";s:82:\"http://kookagency/2018/08/03/le-materiel-indispensable-pour-ouvrir-son-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("426", "426", "task_options", "a:3:{s:3:\"url\";s:69:\"http://kookagency/2018/07/02/comment-lutter-contre-les-avis-negatifs/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("427", "427", "task_options", "a:3:{s:3:\"url\";s:79:\"http://kookagency/2018/04/24/comment-utiliser-le-qr-code-dans-votre-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("428", "428", "task_options", "a:3:{s:3:\"url\";s:56:\"http://kookagency/2018/02/22/supprimer-avis-tripadvisor/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("429", "429", "task_options", "a:3:{s:3:\"url\";s:18:\"http://kookagency/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("430", "430", "task_options", "a:3:{s:3:\"url\";s:39:\"http://kookagency/collaborer-avec-nous/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("431", "431", "task_options", "a:3:{s:3:\"url\";s:33:\"http://kookagency/refund_returns/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("432", "432", "task_options", "a:3:{s:3:\"url\";s:30:\"http://kookagency/nos-clients/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("433", "433", "task_options", "a:3:{s:3:\"url\";s:55:\"http://kookagency/tarifs-site-internet-reseaux-sociaux/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("434", "434", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/mentions-legales/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("435", "435", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/politique-de-confidentialite/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("436", "436", "task_options", "a:3:{s:3:\"url\";s:51:\"http://kookagency/conditions-generales-de-services/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("437", "437", "task_options", "a:3:{s:3:\"url\";s:31:\"http://kookagency/plan-du-site/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("438", "438", "task_options", "a:3:{s:3:\"url\";s:29:\"http://kookagency/nos-tarifs/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("439", "439", "task_options", "a:3:{s:3:\"url\";s:26:\"http://kookagency/le-blog/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("440", "440", "task_options", "a:3:{s:3:\"url\";s:34:\"http://kookagency/reseaux-sociaux/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("441", "441", "task_options", "a:3:{s:3:\"url\";s:44:\"http://kookagency/creation-de-site-internet/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("442", "442", "task_options", "a:3:{s:3:\"url\";s:40:\"http://kookagency/referencement-naturel/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("443", "443", "task_options", "a:3:{s:3:\"url\";s:33:\"http://kookagency/shooting-photo/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("444", "444", "task_options", "a:3:{s:3:\"url\";s:26:\"http://kookagency/contact/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("445", "445", "task_options", "a:3:{s:3:\"url\";s:23:\"http://kookagency/shop/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("446", "446", "task_options", "a:3:{s:3:\"url\";s:33:\"http://kookagency/produit/beanie/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("447", "447", "task_options", "a:3:{s:3:\"url\";s:32:\"http://kookagency/produit/album/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("448", "448", "task_options", "a:3:{s:3:\"url\";s:44:\"http://kookagency/produit/t-shirt-with-logo/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("449", "449", "task_options", "a:3:{s:3:\"url\";s:43:\"http://kookagency/produit/v-neck-t-shirt-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("450", "450", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/produit/hoodie-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("451", "451", "task_options", "a:3:{s:3:\"url\";s:45:\"http://kookagency/produit/hoodie-with-logo-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("452", "452", "task_options", "a:3:{s:3:\"url\";s:45:\"http://kookagency/produit/v-neck-t-shirt-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("453", "453", "task_options", "a:3:{s:3:\"url\";s:37:\"http://kookagency/produit/hoodie-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("454", "454", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/produit/hoodie-with-logo-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("455", "455", "task_options", "a:3:{s:3:\"url\";s:36:\"http://kookagency/produit/t-shirt-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("456", "456", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/produit/beanie-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("457", "457", "task_options", "a:3:{s:3:\"url\";s:33:\"http://kookagency/produit/belt-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("458", "458", "task_options", "a:3:{s:3:\"url\";s:38:\"http://kookagency/produit/t-shirt-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("459", "459", "task_options", "a:3:{s:3:\"url\";s:37:\"http://kookagency/produit/beanie-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("460", "460", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/produit/belt-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("461", "461", "task_options", "a:3:{s:3:\"url\";s:32:\"http://kookagency/produit/cap-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("462", "462", "task_options", "a:3:{s:3:\"url\";s:39:\"http://kookagency/produit/sunglasses-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("463", "463", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/produit/hoodie-with-pocket-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("464", "464", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/produit/hoodie-with-zipper-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("465", "465", "task_options", "a:3:{s:3:\"url\";s:34:\"http://kookagency/produit/cap-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("466", "466", "task_options", "a:3:{s:3:\"url\";s:41:\"http://kookagency/produit/sunglasses-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("467", "467", "task_options", "a:3:{s:3:\"url\";s:49:\"http://kookagency/produit/hoodie-with-pocket-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("468", "468", "task_options", "a:3:{s:3:\"url\";s:49:\"http://kookagency/produit/hoodie-with-zipper-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("469", "469", "task_options", "a:3:{s:3:\"url\";s:44:\"http://kookagency/produit/long-sleeve-tee-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("470", "470", "task_options", "a:3:{s:3:\"url\";s:33:\"http://kookagency/produit/polo-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("471", "471", "task_options", "a:3:{s:3:\"url\";s:34:\"http://kookagency/produit/album-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("472", "472", "task_options", "a:3:{s:3:\"url\";s:46:\"http://kookagency/produit/long-sleeve-tee-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("473", "473", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/produit/polo-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("474", "474", "task_options", "a:3:{s:3:\"url\";s:36:\"http://kookagency/produit/album-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("475", "475", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/produit/single-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("476", "476", "task_options", "a:3:{s:3:\"url\";s:37:\"http://kookagency/produit/single-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("477", "477", "task_options", "a:3:{s:3:\"url\";s:45:\"http://kookagency/produit/beanie-with-logo-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("478", "478", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/produit/beanie-with-logo-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("479", "479", "task_options", "a:3:{s:3:\"url\";s:46:\"http://kookagency/produit/wordpress-pennant-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("480", "480", "task_options", "a:3:{s:3:\"url\";s:48:\"http://kookagency/produit/wordpress-pennant-2-2/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("481", "481", "task_options", "a:3:{s:3:\"url\";s:51:\"http://kookagency/nos-clients/breakfast-in-america/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("482", "482", "task_options", "a:3:{s:3:\"url\";s:45:\"http://kookagency/nos-clients/369-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("483", "483", "task_options", "a:3:{s:3:\"url\";s:38:\"http://kookagency/nos-clients/coderak/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("484", "484", "task_options", "a:3:{s:3:\"url\";s:42:\"http://kookagency/nos-clients/dandy-hotel/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("485", "485", "task_options", "a:3:{s:3:\"url\";s:38:\"http://kookagency/nos-clients/di-vino/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("486", "486", "task_options", "a:3:{s:3:\"url\";s:36:\"http://kookagency/nos-clients/fuero/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("487", "487", "task_options", "a:3:{s:3:\"url\";s:39:\"http://kookagency/nos-clients/gabriela/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("488", "488", "task_options", "a:3:{s:3:\"url\";s:39:\"http://kookagency/nos-clients/lo-beach/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("489", "489", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/nos-clients/la-boite-a-pates/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("490", "490", "task_options", "a:3:{s:3:\"url\";s:47:\"http://kookagency/nos-clients/la-sublime-porte/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("491", "491", "task_options", "a:3:{s:3:\"url\";s:40:\"http://kookagency/nos-clients/le-calice/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("492", "492", "task_options", "a:3:{s:3:\"url\";s:40:\"http://kookagency/nos-clients/lou-gardo/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("493", "493", "task_options", "a:3:{s:3:\"url\";s:42:\"http://kookagency/nos-clients/mojito-cafe/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("494", "494", "task_options", "a:3:{s:3:\"url\";s:52:\"http://kookagency/nos-clients/restaurant-lhemingway/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("495", "495", "task_options", "a:3:{s:3:\"url\";s:35:\"http://kookagency/nos-clients/ruby/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("496", "496", "task_options", "a:3:{s:3:\"url\";s:46:\"http://kookagency/nos-clients/vita-ristorante/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("497", "497", "task_options", "a:3:{s:3:\"url\";s:32:\"http://kookagency/category/blog/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("498", "498", "task_options", "a:3:{s:3:\"url\";s:48:\"http://kookagency/categorie-produit/accessories/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("499", "499", "task_options", "a:3:{s:3:\"url\";s:57:\"http://kookagency/categorie-produit/accessories-clothing/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("500", "500", "task_options", "a:3:{s:3:\"url\";s:45:\"http://kookagency/categorie-produit/clothing/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("501", "501", "task_options", "a:3:{s:3:\"url\";s:42:\"http://kookagency/categorie-produit/decor/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("502", "502", "task_options", "a:3:{s:3:\"url\";s:53:\"http://kookagency/categorie-produit/hoodies-clothing/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("503", "503", "task_options", "a:3:{s:3:\"url\";s:42:\"http://kookagency/categorie-produit/music/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("504", "504", "task_options", "a:3:{s:3:\"url\";s:53:\"http://kookagency/categorie-produit/tshirts-clothing/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("505", "505", "task_options", "a:3:{s:3:\"url\";s:44:\"http://kookagency/categorie-produit/tshirts/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("506", "506", "task_options", "a:3:{s:3:\"url\";s:48:\"http://kookagency/dsn-blackdsn-categories/hotel/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("507", "507", "task_options", "a:3:{s:3:\"url\";s:53:\"http://kookagency/dsn-blackdsn-categories/restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("508", "508", "task_options", "a:3:{s:3:\"url\";s:32:\"http://kookagency/author/kilian/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("404", "404", "task_options", "a:3:{s:3:\"url\";s:90:\"http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("405", "405", "task_options", "a:3:{s:3:\"url\";s:110:\"http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");
INSERT INTO `wp_tm_taskmeta` VALUES("406", "406", "task_options", "a:3:{s:3:\"url\";s:79:\"http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/\";s:12:\"preload_type\";s:6:\"manual\";s:22:\"anonymous_user_allowed\";b:0;}");

/* INSERT TABLE DATA: wp_tm_tasks */
INSERT INTO `wp_tm_tasks` VALUES("508", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/author/kilian/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("507", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/dsn-blackdsn-categories/restaurant/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("506", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/dsn-blackdsn-categories/hotel/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("505", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/tshirts/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("502", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/hoodies-clothing/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("501", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/decor/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("500", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/clothing/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("498", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/accessories/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("497", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/category/blog/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("496", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/vita-ristorante/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("495", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/ruby/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("494", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/restaurant-lhemingway/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("493", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/mojito-cafe/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("492", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/lou-gardo/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("491", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/le-calice/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("483", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/coderak/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("482", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/369-restaurant/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("481", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/breakfast-in-america/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("480", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/wordpress-pennant-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("479", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/wordpress-pennant-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("468", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-with-zipper-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("467", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-with-pocket-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("466", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/sunglasses-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("465", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/cap-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("464", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-with-zipper-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("455", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/t-shirt-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("442", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/referencement-naturel/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("441", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/creation-de-site-internet/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("440", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/reseaux-sociaux/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("439", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/le-blog/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("438", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-tarifs/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("437", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/plan-du-site/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("436", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/conditions-generales-de-services/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("434", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/mentions-legales/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("428", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/02/22/supprimer-avis-tripadvisor/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("427", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/04/24/comment-utiliser-le-qr-code-dans-votre-restaurant/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("425", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/08/03/le-materiel-indispensable-pour-ouvrir-son-restaurant/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("424", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/08/07/comment-augmenter-le-chiffre-daffaires-de-votre-restaurant-avec-votre-site-internet-et-votre-caisse-enregistreuse/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("422", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/09/20/16-idees-marketing-pour-developper-votre-restaurant/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("421", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/10/24/sequiper-pour-la-vente-a-emporter-et-la-livraison/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("420", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2018/10/25/les-micro-influenceurs-sur-instagram-source-de-trafic-dans-les-restaurants/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("418", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2020/06/08/propulser-son-restaurant-grace-au-click-and-collect/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("416", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2021/06/25/smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("414", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2022/04/15/le-menu-qrcode-un-atout-pour-les-restaurateurs/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("412", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("410", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("408", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("406", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("504", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/tshirts-clothing/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("503", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/music/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("499", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/categorie-produit/accessories-clothing/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("490", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/la-sublime-porte/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("489", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/la-boite-a-pates/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("488", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/lo-beach/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("487", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/gabriela/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("486", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/fuero/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("485", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/di-vino/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("484", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/nos-clients/dandy-hotel/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("478", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/beanie-with-logo-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("477", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/beanie-with-logo-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("476", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/single-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("475", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/single-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("474", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/album-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("473", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/polo-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("472", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/long-sleeve-tee-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("471", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/album-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("470", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/polo-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("469", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/long-sleeve-tee-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("463", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-with-pocket-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("462", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/sunglasses-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("461", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/cap-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("460", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/belt-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("459", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/beanie-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("458", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/t-shirt-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("457", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/belt-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("456", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/beanie-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("454", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-with-logo-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("453", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("452", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/v-neck-t-shirt-2-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("451", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-with-logo-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("450", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/hoodie-2/", "2023-06-08 14:35:23", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("449", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/v-neck-t-shirt-2/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("448", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/t-shirt-with-logo/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("447", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/album/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("446", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/produit/beanie/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("445", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/shop/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("444", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/contact/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("443", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/shooting-photo/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("435", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/politique-de-confidentialite/", "2023-06-08 14:35:22", "0", "complete");
INSERT INTO `wp_tm_tasks` VALUES("433", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "1", "Preload - http://kookagency/tarifs-site-internet-reseaux-sociaux/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("432", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/nos-clients/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("431", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/refund_returns/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("430", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/collaborer-avec-nous/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("429", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("426", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2018/07/02/comment-lutter-contre-les-avis-negatifs/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("423", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2018/09/04/la-visite-virtuelle-immersive-un-outil-marketing-pour-votre-restaurant/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("419", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2019/09/23/15-idees-de-posts-pour-animer-la-page-facebook-de-son-restaurant/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("417", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2021/01/21/le-click-collect-dans-son-restaurant-une-solution-pour-2021/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("415", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2022/03/11/tiktok-le-reseau-social-au-service-des-restaurants-en-2022/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("413", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("411", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("409", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("407", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("405", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "2023-06-08 14:35:22", "0", "active");
INSERT INTO `wp_tm_tasks` VALUES("404", "1", "minify-load-url-task", "WP_Optimize_Minify_Load_Url_Task", "0", "Preload - http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "2023-06-08 14:35:22", "0", "active");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "Kilian");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "theme_editor_notice,text_widget_custom_html");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("16", "1", "session_tokens", "a:2:{s:64:\"af884e6d77aaf07cbe89b08f286c7a9f0614d41c5d0cf03ba111ab37e616cc35\";a:4:{s:10:\"expiration\";i:1686295795;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:111:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36\";s:5:\"login\";i:1686122995;}s:64:\"6443239ca51f1e93cd6059ffd5c90d3968a6d700691de16a7d7f1e4a79b66f46\";a:4:{s:10:\"expiration\";i:1686381352;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:111:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36\";s:5:\"login\";i:1686208552;}}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_user-settings", "libraryContent=upload&editor=tinymce&hidetb=1&advImgDetails=show");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings-time", "1686132140");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_dashboard_quick_press_last_post_id", "12938");
INSERT INTO `wp_usermeta` VALUES("20", "1", "_woocommerce_tracks_anon_id", "woo:nM8rAhqQcMs7/bKc+wqz640z");
INSERT INTO `wp_usermeta` VALUES("25", "1", "nav_menu_recently_edited", "49");
INSERT INTO `wp_usermeta` VALUES("26", "1", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "metaboxhidden_nav-menus", "a:6:{i:0;s:28:\"add-post-type-e-landing-page\";i:1;s:21:\"add-post-type-product\";i:2;s:12:\"add-post_tag\";i:3;s:15:\"add-product_cat\";i:4;s:15:\"add-product_tag\";i:5;s:27:\"add-dsn-blackdsn-categories\";}");
INSERT INTO `wp_usermeta` VALUES("29", "1", "meta-box-order_product", "a:3:{s:4:\"side\";s:84:\"submitdiv,postimagediv,woocommerce-product-images,product_catdiv,tagsdiv-product_tag\";s:6:\"normal\";s:55:\"woocommerce-product-data,postcustom,slugdiv,postexcerpt\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("28", "1", "closedpostboxes_nav-menus", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("30", "1", "elementor_introduction", "a:3:{s:27:\"ai-get-started-announcement\";b:1;s:20:\"globals_introduction\";b:1;s:18:\"yoast-introduction\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("31", "1", "announcements_user_counter", "1");
INSERT INTO `wp_usermeta` VALUES("33", "1", "_woocommerce_persistent_cart_1", "a:1:{s:4:\"cart\";a:0:{}}");
INSERT INTO `wp_usermeta` VALUES("34", "1", "last_update", "1685532010");
INSERT INTO `wp_usermeta` VALUES("35", "1", "wp_persisted_preferences", "a:4:{s:17:\"core/edit-widgets\";a:3:{s:26:\"isComplementaryAreaVisible\";b:0;s:12:\"welcomeGuide\";b:0;s:12:\"fixedToolbar\";b:1;}s:9:\"_modified\";s:24:\"2023-05-31T11:20:05.289Z\";s:22:\"core/customize-widgets\";a:1:{s:12:\"welcomeGuide\";b:0;}s:14:\"core/edit-post\";a:4:{s:26:\"isComplementaryAreaVisible\";b:1;s:12:\"welcomeGuide\";b:0;s:10:\"openPanels\";a:8:{i:0;s:23:\"taxonomy-panel-post_tag\";i:1;s:12:\"post-excerpt\";i:2;s:38:\"taxonomy-panel-dsn-blackdsn-categories\";i:3;s:24:\"yoast-seo/document-panel\";i:4;s:15:\"page-attributes\";i:5;s:11:\"post-status\";i:6;s:16:\"discussion-panel\";i:7;s:14:\"featured-image\";}s:10:\"editorMode\";s:6:\"visual\";}}");
INSERT INTO `wp_usermeta` VALUES("40", "1", "w3tc_features_seen", "a:1:{i:1;s:9:\"pagespeed\";}");
INSERT INTO `wp_usermeta` VALUES("41", "1", "dismissed_template_files_notice", "1");
INSERT INTO `wp_usermeta` VALUES("45", "1", "wp_yoast_notifications", "a:2:{i:0;a:2:{s:7:\"message\";s:604:\"<p><strong>Important problème SEO : Vous bloquez actuellement l’accès aux robots des moteurs de recherche.</strong> Si vous souhaitez que les moteurs de recherche affichent votre site dans leurs résultats, vous devez <a href=\"http://kookagency/wp-admin/options-reading.php\">aller dans les réglages de Lecture</a> et décocher la case de l’option « Visibilité pour les moteurs de recherche ». <button type=\"button\" id=\"robotsmessage-dismiss-button\" class=\"button-link hide-if-no-js\" data-nonce=\"3a1d7f7001\">Je ne veux pas que ce site apparaisse dans les résultats de recherche.</button></p>\";s:7:\"options\";a:10:{s:4:\"type\";s:5:\"error\";s:2:\"id\";s:32:\"wpseo-search-engines-discouraged\";s:4:\"user\";O:7:\"WP_User\":8:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"1\";s:10:\"user_login\";s:6:\"Kilian\";s:9:\"user_pass\";s:34:\"$P$BWOz70EEQl5aEMkCK1tY.mV5p4hRT0/\";s:13:\"user_nicename\";s:6:\"kilian\";s:10:\"user_email\";s:26:\"kiliankookagency@gmail.com\";s:8:\"user_url\";s:17:\"http://kookagency\";s:15:\"user_registered\";s:19:\"2023-05-30 08:11:53\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:6:\"Kilian\";}s:2:\"ID\";i:1;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:117:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:17:\"manage_forminator\";b:1;s:20:\"wpseo_manage_options\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;s:16:\"\0WP_User\0site_id\";i:1;}s:5:\"nonce\";N;s:8:\"priority\";i:1;s:9:\"data_json\";a:0:{}s:13:\"dismissal_key\";N;s:12:\"capabilities\";s:20:\"wpseo_manage_options\";s:16:\"capability_check\";s:3:\"all\";s:14:\"yoast_branding\";b:0;}}i:1;a:2:{s:7:\"message\";s:518:\"Il semblerait que vous n’utilisez pas notre <strong>module Yoast WooCommerce SEO</strong>. <a href=\"https://yoa.st/1o0?php_version=8.0&platform=wordpress&platform_version=6.2.2&software=free&software_version=20.8&days_active=9&user_language=fr_FR&screen=duplicator\" aria-label=\"Plus d’informations au sujet de Yoast WooCommerce SEO\" target=\"_blank\" rel=\"noopener noreferrer\">Achetez-le</a> et débloquez plus d’outils et de fonctionnalités SEO pour mettre en avant vos produits dans les résultats de recherche.\";s:7:\"options\";a:10:{s:4:\"type\";s:7:\"warning\";s:2:\"id\";s:44:\"wpseo-suggested-plugin-yoast-woocommerce-seo\";s:4:\"user\";O:7:\"WP_User\":8:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"1\";s:10:\"user_login\";s:6:\"Kilian\";s:9:\"user_pass\";s:34:\"$P$BWOz70EEQl5aEMkCK1tY.mV5p4hRT0/\";s:13:\"user_nicename\";s:6:\"kilian\";s:10:\"user_email\";s:26:\"kiliankookagency@gmail.com\";s:8:\"user_url\";s:17:\"http://kookagency\";s:15:\"user_registered\";s:19:\"2023-05-30 08:11:53\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:6:\"Kilian\";}s:2:\"ID\";i:1;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:117:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:17:\"manage_forminator\";b:1;s:20:\"wpseo_manage_options\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;s:16:\"\0WP_User\0site_id\";i:1;}s:5:\"nonce\";N;s:8:\"priority\";d:0.5;s:9:\"data_json\";a:0:{}s:13:\"dismissal_key\";N;s:12:\"capabilities\";a:1:{i:0;s:15:\"install_plugins\";}s:16:\"capability_check\";s:3:\"all\";s:14:\"yoast_branding\";b:0;}}}");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wc_last_active", "1686182400");
INSERT INTO `wp_usermeta` VALUES("47", "1", "_yoast_wpseo_profile_updated", "1686227708");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "Kilian", "$P$BWOz70EEQl5aEMkCK1tY.mV5p4hRT0/", "kilian", "kiliankookagency@gmail.com", "http://kookagency", "2023-05-30 08:11:53", "", "0", "Kilian");

/* INSERT TABLE DATA: wp_w3tc_cdn_queue */
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/woocommerce-placeholder-300x300.png", "wp-content/uploads/woocommerce-placeholder-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:24:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/woocommerce-placeholder-1024x1024.png", "wp-content/uploads/woocommerce-placeholder-1024x1024.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:24:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("3", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/woocommerce-placeholder-150x150.png", "wp-content/uploads/woocommerce-placeholder-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:24:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("4", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/woocommerce-placeholder-768x768.png", "wp-content/uploads/woocommerce-placeholder-768x768.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:24:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("5", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-300x169.jpg", "wp-content/uploads/2022/08/1-scaled-4-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("6", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-1024x576.jpg", "wp-content/uploads/2022/08/1-scaled-4-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("7", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-150x150.jpg", "wp-content/uploads/2022/08/1-scaled-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("8", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-768x432.jpg", "wp-content/uploads/2022/08/1-scaled-4-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("9", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-1536x864.jpg", "wp-content/uploads/2022/08/1-scaled-4-1536x864.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("10", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-2048x1152.jpg", "wp-content/uploads/2022/08/1-scaled-4-2048x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("11", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-1200x675.jpg", "wp-content/uploads/2022/08/1-scaled-4-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("12", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-1024x1024.jpg", "wp-content/uploads/2022/08/1-scaled-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("13", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-416x234.jpg", "wp-content/uploads/2022/08/1-scaled-4-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("14", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-4-100x100.jpg", "wp-content/uploads/2022/08/1-scaled-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("15", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-3-300x300.jpg", "wp-content/uploads/2019/01/hoodie-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("16", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-3-150x150.jpg", "wp-content/uploads/2019/01/hoodie-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("17", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-3-768x768.jpg", "wp-content/uploads/2019/01/hoodie-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("18", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-3-416x416.jpg", "wp-content/uploads/2019/01/hoodie-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("19", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-3-100x100.jpg", "wp-content/uploads/2019/01/hoodie-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("20", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-300x169.jpg", "wp-content/uploads/2022/08/3-8-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("21", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-1024x576.jpg", "wp-content/uploads/2022/08/3-8-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("22", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-150x150.jpg", "wp-content/uploads/2022/08/3-8-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("23", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-768x432.jpg", "wp-content/uploads/2022/08/3-8-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("24", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-1200x675.jpg", "wp-content/uploads/2022/08/3-8-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("25", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-1024x788.jpg", "wp-content/uploads/2022/08/3-8-1024x788.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("26", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-416x234.jpg", "wp-content/uploads/2022/08/3-8-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("27", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-8-100x100.jpg", "wp-content/uploads/2022/08/3-8-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("28", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-3-300x300.jpg", "wp-content/uploads/2019/01/vneck-tee-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("29", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-3-150x150.jpg", "wp-content/uploads/2019/01/vneck-tee-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("30", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-3-768x767.jpg", "wp-content/uploads/2019/01/vneck-tee-2-3-768x767.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("31", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-3-416x415.jpg", "wp-content/uploads/2019/01/vneck-tee-2-3-416x415.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("32", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-3-100x100.jpg", "wp-content/uploads/2019/01/vneck-tee-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("33", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-3-300x300.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("34", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-3-150x150.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("35", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-3-768x768.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("36", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-3-416x416.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("37", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-3-100x100.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("38", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-3-300x300.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("39", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-3-150x150.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("40", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-3-768x768.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("41", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-3-416x416.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("42", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-3-100x100.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("43", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-3-300x300.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("44", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-3-150x150.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("45", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-3-768x768.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("46", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-3-416x416.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("47", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-3-100x100.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("48", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-3-300x300.jpg", "wp-content/uploads/2019/01/hoodie-green-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("49", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-3-150x150.jpg", "wp-content/uploads/2019/01/hoodie-green-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("50", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-3-768x768.jpg", "wp-content/uploads/2019/01/hoodie-green-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("51", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-3-416x416.jpg", "wp-content/uploads/2019/01/hoodie-green-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("52", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-3-100x100.jpg", "wp-content/uploads/2019/01/hoodie-green-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("53", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-3-300x300.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("54", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-3-150x150.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("55", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-3-768x768.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("56", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-3-416x416.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("57", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-3-100x100.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("58", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-3-300x300.jpg", "wp-content/uploads/2019/01/tshirt-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("59", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-3-150x150.jpg", "wp-content/uploads/2019/01/tshirt-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("60", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-3-768x768.jpg", "wp-content/uploads/2019/01/tshirt-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("61", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-3-416x416.jpg", "wp-content/uploads/2019/01/tshirt-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("62", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-3-100x100.jpg", "wp-content/uploads/2019/01/tshirt-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("63", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-3-300x300.jpg", "wp-content/uploads/2019/01/belt-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("64", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-3-150x150.jpg", "wp-content/uploads/2019/01/belt-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("65", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-3-768x768.jpg", "wp-content/uploads/2019/01/belt-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("66", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-3-416x416.jpg", "wp-content/uploads/2019/01/belt-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("67", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-3-100x100.jpg", "wp-content/uploads/2019/01/belt-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("68", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-3-300x300.jpg", "wp-content/uploads/2019/01/cap-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("69", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-3-150x150.jpg", "wp-content/uploads/2019/01/cap-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("70", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-3-768x768.jpg", "wp-content/uploads/2019/01/cap-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("71", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-3-416x416.jpg", "wp-content/uploads/2019/01/cap-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("72", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-3-100x100.jpg", "wp-content/uploads/2019/01/cap-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("73", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-3-300x300.jpg", "wp-content/uploads/2019/01/sunglasses-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("74", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-3-150x150.jpg", "wp-content/uploads/2019/01/sunglasses-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("75", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-3-768x768.jpg", "wp-content/uploads/2019/01/sunglasses-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("76", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-3-416x416.jpg", "wp-content/uploads/2019/01/sunglasses-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("77", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-3-100x100.jpg", "wp-content/uploads/2019/01/sunglasses-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:32:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("78", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-3-300x300.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("79", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-3-150x150.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("80", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-3-768x768.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("81", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-3-416x416.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("82", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-3-100x100.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("83", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-3-300x300.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("84", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-3-150x150.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("85", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-3-768x768.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("86", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-3-416x416.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("87", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-3-100x100.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("88", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-3-300x300.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("89", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-3-150x150.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("90", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-3-768x768.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("91", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-3-416x416.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("92", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-3-100x100.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("93", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-3-300x300.jpg", "wp-content/uploads/2019/01/polo-2-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("94", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-3-150x150.jpg", "wp-content/uploads/2019/01/polo-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("95", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-3-768x767.jpg", "wp-content/uploads/2019/01/polo-2-3-768x767.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("96", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-3-416x415.jpg", "wp-content/uploads/2019/01/polo-2-3-416x415.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("97", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-3-100x100.jpg", "wp-content/uploads/2019/01/polo-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("98", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-3-300x300.jpg", "wp-content/uploads/2019/01/single-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("99", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-3-150x150.jpg", "wp-content/uploads/2019/01/single-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("100", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-3-768x768.jpg", "wp-content/uploads/2019/01/single-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("101", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-3-416x416.jpg", "wp-content/uploads/2019/01/single-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("102", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-3-100x100.jpg", "wp-content/uploads/2019/01/single-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("103", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-3-300x300.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("104", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-3-150x150.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("105", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-3-768x768.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("106", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-3-416x416.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("107", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-3-100x100.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("108", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-3-300x300.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("109", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-3-150x150.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("110", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-3-768x768.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("111", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-3-416x416.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("112", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-3-100x100.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("113", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-300x169.jpg", "wp-content/uploads/2022/08/2-8-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("114", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-1024x576.jpg", "wp-content/uploads/2022/08/2-8-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("115", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-150x150.jpg", "wp-content/uploads/2022/08/2-8-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("116", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-768x432.jpg", "wp-content/uploads/2022/08/2-8-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("117", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-1200x675.jpg", "wp-content/uploads/2022/08/2-8-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("118", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-1024x788.jpg", "wp-content/uploads/2022/08/2-8-1024x788.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("119", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-416x234.jpg", "wp-content/uploads/2022/08/2-8-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("120", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-8-100x100.jpg", "wp-content/uploads/2022/08/2-8-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("121", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-300x169.jpg", "wp-content/uploads/2022/08/4-scaled-4-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("122", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-1024x576.jpg", "wp-content/uploads/2022/08/4-scaled-4-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("123", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-150x150.jpg", "wp-content/uploads/2022/08/4-scaled-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("124", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-768x432.jpg", "wp-content/uploads/2022/08/4-scaled-4-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("125", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-1536x864.jpg", "wp-content/uploads/2022/08/4-scaled-4-1536x864.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("126", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-2048x1152.jpg", "wp-content/uploads/2022/08/4-scaled-4-2048x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("127", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-1200x675.jpg", "wp-content/uploads/2022/08/4-scaled-4-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("128", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-1024x1024.jpg", "wp-content/uploads/2022/08/4-scaled-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("129", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-416x234.jpg", "wp-content/uploads/2022/08/4-scaled-4-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("130", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-4-100x100.jpg", "wp-content/uploads/2022/08/4-scaled-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("131", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-223x300.jpg", "wp-content/uploads/2022/08/1-1-3-223x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("132", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-760x1024.jpg", "wp-content/uploads/2022/08/1-1-3-760x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("133", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-150x150.jpg", "wp-content/uploads/2022/08/1-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("134", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-768x1035.jpg", "wp-content/uploads/2022/08/1-1-3-768x1035.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("135", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-1140x1536.jpg", "wp-content/uploads/2022/08/1-1-3-1140x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("136", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-1200x1617.jpg", "wp-content/uploads/2022/08/1-1-3-1200x1617.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("137", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-1024x1024.jpg", "wp-content/uploads/2022/08/1-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("138", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-416x560.jpg", "wp-content/uploads/2022/08/1-1-3-416x560.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("139", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-3-100x100.jpg", "wp-content/uploads/2022/08/1-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("140", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-227x300.jpg", "wp-content/uploads/2022/08/2-1-3-227x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("141", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-775x1024.jpg", "wp-content/uploads/2022/08/2-1-3-775x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("142", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-150x150.jpg", "wp-content/uploads/2022/08/2-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("143", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-768x1015.jpg", "wp-content/uploads/2022/08/2-1-3-768x1015.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("144", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-1162x1536.jpg", "wp-content/uploads/2022/08/2-1-3-1162x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("145", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-1200x1587.jpg", "wp-content/uploads/2022/08/2-1-3-1200x1587.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("146", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-1024x1024.jpg", "wp-content/uploads/2022/08/2-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("147", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-416x550.jpg", "wp-content/uploads/2022/08/2-1-3-416x550.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("148", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-100x100.jpg", "wp-content/uploads/2022/08/2-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("149", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-243x300.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-243x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("150", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-831x1024.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-831x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("151", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-150x150.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("152", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-768x946.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-768x946.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("153", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-1247x1536.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-1247x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("154", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-1200x1479.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-1200x1479.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("155", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-1024x1024.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("156", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-416x513.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-416x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("157", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-100x100.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("158", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-228x300.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-228x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("159", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-780x1024.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-780x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("160", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-150x150.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("161", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-768x1009.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-768x1009.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("162", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-1169x1536.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-1169x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("163", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-1200x1576.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-1200x1576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("164", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-1024x1024.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("165", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-416x546.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-416x546.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("166", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-100x100.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("167", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-237x300.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-237x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("168", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-808x1024.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-808x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("169", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-150x150.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("170", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-768x973.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-768x973.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("171", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-1212x1536.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-1212x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("172", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-1200x1521.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-1200x1521.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("173", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-1024x1024.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("174", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-416x527.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-416x527.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("175", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-3-100x100.jpg", "wp-content/uploads/2022/08/f8706c146067617-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("176", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-226x300.jpg", "wp-content/uploads/2022/08/4-1-3-226x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("177", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-771x1024.jpg", "wp-content/uploads/2022/08/4-1-3-771x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("178", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-150x150.jpg", "wp-content/uploads/2022/08/4-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("179", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-768x1020.jpg", "wp-content/uploads/2022/08/4-1-3-768x1020.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("180", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-800x1024.jpg", "wp-content/uploads/2022/08/4-1-3-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("181", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-416x553.jpg", "wp-content/uploads/2022/08/4-1-3-416x553.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("182", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-3-100x100.jpg", "wp-content/uploads/2022/08/4-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("183", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-230x300.jpg", "wp-content/uploads/2022/08/5-6-230x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("184", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-784x1024.jpg", "wp-content/uploads/2022/08/5-6-784x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("185", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-150x150.jpg", "wp-content/uploads/2022/08/5-6-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("186", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-768x1003.jpg", "wp-content/uploads/2022/08/5-6-768x1003.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("187", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-800x1024.jpg", "wp-content/uploads/2022/08/5-6-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("188", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-416x543.jpg", "wp-content/uploads/2022/08/5-6-416x543.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("189", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-6-100x100.jpg", "wp-content/uploads/2022/08/5-6-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("190", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-230x300.jpg", "wp-content/uploads/2022/08/6-6-230x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("191", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-784x1024.jpg", "wp-content/uploads/2022/08/6-6-784x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("192", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-150x150.jpg", "wp-content/uploads/2022/08/6-6-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("193", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-768x1003.jpg", "wp-content/uploads/2022/08/6-6-768x1003.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("194", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-800x1024.jpg", "wp-content/uploads/2022/08/6-6-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("195", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-416x543.jpg", "wp-content/uploads/2022/08/6-6-416x543.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("196", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-6-100x100.jpg", "wp-content/uploads/2022/08/6-6-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("197", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-229x300.jpg", "wp-content/uploads/2022/08/9-5-229x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("198", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-782x1024.jpg", "wp-content/uploads/2022/08/9-5-782x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("199", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-150x150.jpg", "wp-content/uploads/2022/08/9-5-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("200", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-768x1006.jpg", "wp-content/uploads/2022/08/9-5-768x1006.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("201", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-800x1024.jpg", "wp-content/uploads/2022/08/9-5-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("202", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-416x545.jpg", "wp-content/uploads/2022/08/9-5-416x545.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("203", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-5-100x100.jpg", "wp-content/uploads/2022/08/9-5-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:33:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("204", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-1-3-150x60.png", "wp-content/uploads/2022/08/logo-1-3-150x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("205", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-1-3-100x60.png", "wp-content/uploads/2022/08/logo-1-3-100x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("206", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-light-1-3-150x60.png", "wp-content/uploads/2022/08/logo-light-1-3-150x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("207", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-light-1-3-100x60.png", "wp-content/uploads/2022/08/logo-light-1-3-100x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("208", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-300x200.jpg", "wp-content/uploads/2022/08/1-2-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("209", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-1024x683.jpg", "wp-content/uploads/2022/08/1-2-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("210", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-150x150.jpg", "wp-content/uploads/2022/08/1-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("211", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-768x512.jpg", "wp-content/uploads/2022/08/1-2-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("212", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-1200x800.jpg", "wp-content/uploads/2022/08/1-2-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("213", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-1024x1000.jpg", "wp-content/uploads/2022/08/1-2-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("214", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-416x277.jpg", "wp-content/uploads/2022/08/1-2-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("215", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-3-100x100.jpg", "wp-content/uploads/2022/08/1-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("216", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-300x200.jpg", "wp-content/uploads/2022/08/2-2-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("217", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-1024x683.jpg", "wp-content/uploads/2022/08/2-2-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("218", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-150x150.jpg", "wp-content/uploads/2022/08/2-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("219", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-768x512.jpg", "wp-content/uploads/2022/08/2-2-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("220", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-1200x800.jpg", "wp-content/uploads/2022/08/2-2-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("221", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-1024x1000.jpg", "wp-content/uploads/2022/08/2-2-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("222", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-416x277.jpg", "wp-content/uploads/2022/08/2-2-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("223", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-3-100x100.jpg", "wp-content/uploads/2022/08/2-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("224", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-300x200.jpg", "wp-content/uploads/2022/08/3-1-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("225", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-1024x683.jpg", "wp-content/uploads/2022/08/3-1-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("226", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-150x150.jpg", "wp-content/uploads/2022/08/3-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("227", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-768x512.jpg", "wp-content/uploads/2022/08/3-1-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("228", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-1200x800.jpg", "wp-content/uploads/2022/08/3-1-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("229", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-1024x1000.jpg", "wp-content/uploads/2022/08/3-1-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("230", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-416x277.jpg", "wp-content/uploads/2022/08/3-1-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("231", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-3-100x100.jpg", "wp-content/uploads/2022/08/3-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("232", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-300x200.jpg", "wp-content/uploads/2022/08/6-1-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("233", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-1024x683.jpg", "wp-content/uploads/2022/08/6-1-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("234", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-150x150.jpg", "wp-content/uploads/2022/08/6-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("235", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-768x512.jpg", "wp-content/uploads/2022/08/6-1-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("236", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-1200x800.jpg", "wp-content/uploads/2022/08/6-1-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("237", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-1024x1000.jpg", "wp-content/uploads/2022/08/6-1-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("238", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-416x277.jpg", "wp-content/uploads/2022/08/6-1-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("239", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-3-100x100.jpg", "wp-content/uploads/2022/08/6-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("240", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-300x200.jpg", "wp-content/uploads/2022/08/7-5-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("241", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-1024x683.jpg", "wp-content/uploads/2022/08/7-5-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("242", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-150x150.jpg", "wp-content/uploads/2022/08/7-5-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("243", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-768x512.jpg", "wp-content/uploads/2022/08/7-5-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("244", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-1200x800.jpg", "wp-content/uploads/2022/08/7-5-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("245", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-1024x1000.jpg", "wp-content/uploads/2022/08/7-5-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("246", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-416x277.jpg", "wp-content/uploads/2022/08/7-5-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("247", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-5-100x100.jpg", "wp-content/uploads/2022/08/7-5-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("248", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-300x200.jpg", "wp-content/uploads/2022/08/8-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("249", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-1024x683.jpg", "wp-content/uploads/2022/08/8-4-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("250", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-150x150.jpg", "wp-content/uploads/2022/08/8-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("251", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-768x512.jpg", "wp-content/uploads/2022/08/8-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("252", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-1200x800.jpg", "wp-content/uploads/2022/08/8-4-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("253", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-1024x1000.jpg", "wp-content/uploads/2022/08/8-4-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("254", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-416x277.jpg", "wp-content/uploads/2022/08/8-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("255", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-4-100x100.jpg", "wp-content/uploads/2022/08/8-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("256", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-300x200.jpg", "wp-content/uploads/2022/08/9-1-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("257", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-1024x683.jpg", "wp-content/uploads/2022/08/9-1-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("258", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-150x150.jpg", "wp-content/uploads/2022/08/9-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("259", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-768x512.jpg", "wp-content/uploads/2022/08/9-1-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("260", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-1200x800.jpg", "wp-content/uploads/2022/08/9-1-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("261", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-1024x1000.jpg", "wp-content/uploads/2022/08/9-1-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("262", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-416x277.jpg", "wp-content/uploads/2022/08/9-1-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("263", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-3-100x100.jpg", "wp-content/uploads/2022/08/9-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("264", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-300x200.jpg", "wp-content/uploads/2022/08/10-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("265", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-1024x683.jpg", "wp-content/uploads/2022/08/10-4-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("266", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-150x150.jpg", "wp-content/uploads/2022/08/10-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("267", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-768x512.jpg", "wp-content/uploads/2022/08/10-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("268", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-1200x800.jpg", "wp-content/uploads/2022/08/10-4-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("269", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-1024x1000.jpg", "wp-content/uploads/2022/08/10-4-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("270", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-416x277.jpg", "wp-content/uploads/2022/08/10-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("271", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-4-100x100.jpg", "wp-content/uploads/2022/08/10-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("272", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-300x220.jpg", "wp-content/uploads/2022/08/1-3-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("273", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-1024x749.jpg", "wp-content/uploads/2022/08/1-3-3-1024x749.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("274", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-150x150.jpg", "wp-content/uploads/2022/08/1-3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("275", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-768x562.jpg", "wp-content/uploads/2022/08/1-3-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("276", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-1536x1124.jpg", "wp-content/uploads/2022/08/1-3-3-1536x1124.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("277", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-1200x878.jpg", "wp-content/uploads/2022/08/1-3-3-1200x878.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("278", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-1024x1024.jpg", "wp-content/uploads/2022/08/1-3-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("279", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-416x304.jpg", "wp-content/uploads/2022/08/1-3-3-416x304.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("280", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-3-100x100.jpg", "wp-content/uploads/2022/08/1-3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("281", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-300x220.jpg", "wp-content/uploads/2022/08/2-3-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("282", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-1024x749.jpg", "wp-content/uploads/2022/08/2-3-3-1024x749.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("283", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-150x150.jpg", "wp-content/uploads/2022/08/2-3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("284", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-768x562.jpg", "wp-content/uploads/2022/08/2-3-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("285", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-1536x1124.jpg", "wp-content/uploads/2022/08/2-3-3-1536x1124.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("286", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-1200x878.jpg", "wp-content/uploads/2022/08/2-3-3-1200x878.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("287", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-1024x1024.jpg", "wp-content/uploads/2022/08/2-3-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("288", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-416x304.jpg", "wp-content/uploads/2022/08/2-3-3-416x304.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("289", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-3-100x100.jpg", "wp-content/uploads/2022/08/2-3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("290", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-3-236x300.jpg", "wp-content/uploads/2022/08/3-2-3-236x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("291", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-3-150x150.jpg", "wp-content/uploads/2022/08/3-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("292", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-3-768x978.jpg", "wp-content/uploads/2022/08/3-2-3-768x978.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("293", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-3-416x530.jpg", "wp-content/uploads/2022/08/3-2-3-416x530.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("294", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-3-100x100.jpg", "wp-content/uploads/2022/08/3-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("295", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-3-236x300.jpg", "wp-content/uploads/2022/08/4-2-3-236x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("296", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-3-150x150.jpg", "wp-content/uploads/2022/08/4-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("297", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-3-768x978.jpg", "wp-content/uploads/2022/08/4-2-3-768x978.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("298", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-3-416x530.jpg", "wp-content/uploads/2022/08/4-2-3-416x530.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("299", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-3-100x100.jpg", "wp-content/uploads/2022/08/4-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("300", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-300x219.jpg", "wp-content/uploads/2022/08/5-1-3-300x219.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("301", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-1024x749.jpg", "wp-content/uploads/2022/08/5-1-3-1024x749.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("302", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-150x150.jpg", "wp-content/uploads/2022/08/5-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("303", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-768x562.jpg", "wp-content/uploads/2022/08/5-1-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("304", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-1200x878.jpg", "wp-content/uploads/2022/08/5-1-3-1200x878.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("305", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-1024x1024.jpg", "wp-content/uploads/2022/08/5-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("306", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-416x304.jpg", "wp-content/uploads/2022/08/5-1-3-416x304.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("307", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-3-100x100.jpg", "wp-content/uploads/2022/08/5-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("308", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-3-300x220.jpg", "wp-content/uploads/2022/08/6-2-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("309", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-3-150x150.jpg", "wp-content/uploads/2022/08/6-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("310", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-3-768x562.jpg", "wp-content/uploads/2022/08/6-2-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("311", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-3-416x305.jpg", "wp-content/uploads/2022/08/6-2-3-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("312", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-3-100x100.jpg", "wp-content/uploads/2022/08/6-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("313", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-3-300x220.jpg", "wp-content/uploads/2022/08/7-1-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("314", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-3-150x150.jpg", "wp-content/uploads/2022/08/7-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("315", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-3-768x562.jpg", "wp-content/uploads/2022/08/7-1-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("316", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-3-416x305.jpg", "wp-content/uploads/2022/08/7-1-3-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("317", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-3-100x100.jpg", "wp-content/uploads/2022/08/7-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("318", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-3-300x220.jpg", "wp-content/uploads/2022/08/8-1-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("319", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-3-150x150.jpg", "wp-content/uploads/2022/08/8-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("320", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-3-768x562.jpg", "wp-content/uploads/2022/08/8-1-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("321", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-3-416x305.jpg", "wp-content/uploads/2022/08/8-1-3-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("322", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-3-100x100.jpg", "wp-content/uploads/2022/08/8-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("323", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-3-300x220.jpg", "wp-content/uploads/2022/08/9-2-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("324", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-3-150x150.jpg", "wp-content/uploads/2022/08/9-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("325", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-3-768x562.jpg", "wp-content/uploads/2022/08/9-2-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("326", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-3-416x305.jpg", "wp-content/uploads/2022/08/9-2-3-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("327", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-3-100x100.jpg", "wp-content/uploads/2022/08/9-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("328", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-3-300x220.jpg", "wp-content/uploads/2022/08/10-1-3-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("329", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-3-150x150.jpg", "wp-content/uploads/2022/08/10-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("330", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-3-768x562.jpg", "wp-content/uploads/2022/08/10-1-3-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("331", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-3-416x305.jpg", "wp-content/uploads/2022/08/10-1-3-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("332", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-3-100x100.jpg", "wp-content/uploads/2022/08/10-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:34:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("333", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-300x200.jpg", "wp-content/uploads/2022/08/1-4-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("334", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-1024x683.jpg", "wp-content/uploads/2022/08/1-4-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("335", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-150x150.jpg", "wp-content/uploads/2022/08/1-4-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("336", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-768x512.jpg", "wp-content/uploads/2022/08/1-4-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("337", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-1536x1024.jpg", "wp-content/uploads/2022/08/1-4-3-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("338", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-1200x800.jpg", "wp-content/uploads/2022/08/1-4-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("339", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-1024x1024.jpg", "wp-content/uploads/2022/08/1-4-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("340", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-416x277.jpg", "wp-content/uploads/2022/08/1-4-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("341", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-3-100x100.jpg", "wp-content/uploads/2022/08/1-4-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("342", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-300x200.jpg", "wp-content/uploads/2022/08/2-4-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("343", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-1024x682.jpg", "wp-content/uploads/2022/08/2-4-3-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("344", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-150x150.jpg", "wp-content/uploads/2022/08/2-4-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("345", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-768x512.jpg", "wp-content/uploads/2022/08/2-4-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("346", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-1200x800.jpg", "wp-content/uploads/2022/08/2-4-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("347", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-1024x933.jpg", "wp-content/uploads/2022/08/2-4-3-1024x933.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("348", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-416x277.jpg", "wp-content/uploads/2022/08/2-4-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("349", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-3-100x100.jpg", "wp-content/uploads/2022/08/2-4-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("350", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-300x200.jpg", "wp-content/uploads/2022/08/3-3-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("351", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-1024x683.jpg", "wp-content/uploads/2022/08/3-3-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("352", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-150x150.jpg", "wp-content/uploads/2022/08/3-3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("353", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-768x512.jpg", "wp-content/uploads/2022/08/3-3-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("354", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-1024x800.jpg", "wp-content/uploads/2022/08/3-3-3-1024x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("355", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-416x277.jpg", "wp-content/uploads/2022/08/3-3-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("356", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-3-100x100.jpg", "wp-content/uploads/2022/08/3-3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("357", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-300x200.jpg", "wp-content/uploads/2022/08/4-3-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("358", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-1024x682.jpg", "wp-content/uploads/2022/08/4-3-3-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("359", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-150x150.jpg", "wp-content/uploads/2022/08/4-3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("360", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-768x512.jpg", "wp-content/uploads/2022/08/4-3-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("361", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-1200x800.jpg", "wp-content/uploads/2022/08/4-3-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("362", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-1024x933.jpg", "wp-content/uploads/2022/08/4-3-3-1024x933.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("363", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-416x277.jpg", "wp-content/uploads/2022/08/4-3-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("364", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-3-100x100.jpg", "wp-content/uploads/2022/08/4-3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("365", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-300x200.jpg", "wp-content/uploads/2022/08/5-2-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("366", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-1024x682.jpg", "wp-content/uploads/2022/08/5-2-3-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("367", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-150x150.jpg", "wp-content/uploads/2022/08/5-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("368", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-768x512.jpg", "wp-content/uploads/2022/08/5-2-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("369", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-1200x800.jpg", "wp-content/uploads/2022/08/5-2-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("370", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-1024x933.jpg", "wp-content/uploads/2022/08/5-2-3-1024x933.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("371", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-416x277.jpg", "wp-content/uploads/2022/08/5-2-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("372", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-3-100x100.jpg", "wp-content/uploads/2022/08/5-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("373", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-300x169.jpg", "wp-content/uploads/2022/08/1-5-3-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("374", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-1024x576.jpg", "wp-content/uploads/2022/08/1-5-3-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("375", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-150x150.jpg", "wp-content/uploads/2022/08/1-5-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("376", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-768x432.jpg", "wp-content/uploads/2022/08/1-5-3-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("377", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-1536x864.jpg", "wp-content/uploads/2022/08/1-5-3-1536x864.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("378", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-1200x675.jpg", "wp-content/uploads/2022/08/1-5-3-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("379", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-1024x1024.jpg", "wp-content/uploads/2022/08/1-5-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("380", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-416x234.jpg", "wp-content/uploads/2022/08/1-5-3-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("381", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-3-100x100.jpg", "wp-content/uploads/2022/08/1-5-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("382", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-300x169.gif", "wp-content/uploads/2022/08/2-4-300x169.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("383", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-1024x576.gif", "wp-content/uploads/2022/08/2-4-1024x576.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("384", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-150x150.gif", "wp-content/uploads/2022/08/2-4-150x150.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("385", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-768x432.gif", "wp-content/uploads/2022/08/2-4-768x432.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("386", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-1200x675.gif", "wp-content/uploads/2022/08/2-4-1200x675.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("387", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-1024x788.gif", "wp-content/uploads/2022/08/2-4-1024x788.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("388", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-416x234.gif", "wp-content/uploads/2022/08/2-4-416x234.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("389", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-100x100.gif", "wp-content/uploads/2022/08/2-4-100x100.gif", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("390", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-300x225.jpg", "wp-content/uploads/2022/08/3-4-4-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("391", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-1024x768.jpg", "wp-content/uploads/2022/08/3-4-4-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("392", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-150x150.jpg", "wp-content/uploads/2022/08/3-4-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("393", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-768x576.jpg", "wp-content/uploads/2022/08/3-4-4-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("394", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-1200x900.jpg", "wp-content/uploads/2022/08/3-4-4-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("395", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-1024x1024.jpg", "wp-content/uploads/2022/08/3-4-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("396", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-416x312.jpg", "wp-content/uploads/2022/08/3-4-4-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("397", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-4-100x100.jpg", "wp-content/uploads/2022/08/3-4-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("398", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-300x225.jpg", "wp-content/uploads/2022/08/4-4-4-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("399", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-1024x768.jpg", "wp-content/uploads/2022/08/4-4-4-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("400", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-150x150.jpg", "wp-content/uploads/2022/08/4-4-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("401", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-768x576.jpg", "wp-content/uploads/2022/08/4-4-4-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("402", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-1200x900.jpg", "wp-content/uploads/2022/08/4-4-4-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("403", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-1024x1024.jpg", "wp-content/uploads/2022/08/4-4-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("404", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-416x312.jpg", "wp-content/uploads/2022/08/4-4-4-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("405", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-4-100x100.jpg", "wp-content/uploads/2022/08/4-4-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("406", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-300x167.jpg", "wp-content/uploads/2022/08/5-3-4-300x167.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("407", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-1024x569.jpg", "wp-content/uploads/2022/08/5-3-4-1024x569.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("408", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-150x150.jpg", "wp-content/uploads/2022/08/5-3-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("409", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-768x427.jpg", "wp-content/uploads/2022/08/5-3-4-768x427.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("410", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-1536x854.jpg", "wp-content/uploads/2022/08/5-3-4-1536x854.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("411", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-1200x667.jpg", "wp-content/uploads/2022/08/5-3-4-1200x667.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("412", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-1024x1024.jpg", "wp-content/uploads/2022/08/5-3-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("413", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-416x231.jpg", "wp-content/uploads/2022/08/5-3-4-416x231.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("414", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-4-100x100.jpg", "wp-content/uploads/2022/08/5-3-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("415", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-300x211.jpg", "wp-content/uploads/2022/08/6-3-4-300x211.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("416", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-1024x719.jpg", "wp-content/uploads/2022/08/6-3-4-1024x719.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("417", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-150x150.jpg", "wp-content/uploads/2022/08/6-3-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("418", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-768x539.jpg", "wp-content/uploads/2022/08/6-3-4-768x539.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("419", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-1200x843.jpg", "wp-content/uploads/2022/08/6-3-4-1200x843.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("420", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-1024x983.jpg", "wp-content/uploads/2022/08/6-3-4-1024x983.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("421", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-416x292.jpg", "wp-content/uploads/2022/08/6-3-4-416x292.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("422", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-4-100x100.jpg", "wp-content/uploads/2022/08/6-3-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("423", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-300x211.jpg", "wp-content/uploads/2022/08/7-2-4-300x211.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("424", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-1024x719.jpg", "wp-content/uploads/2022/08/7-2-4-1024x719.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("425", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-150x150.jpg", "wp-content/uploads/2022/08/7-2-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("426", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-768x539.jpg", "wp-content/uploads/2022/08/7-2-4-768x539.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("427", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-1200x843.jpg", "wp-content/uploads/2022/08/7-2-4-1200x843.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("428", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-1024x983.jpg", "wp-content/uploads/2022/08/7-2-4-1024x983.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("429", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-416x292.jpg", "wp-content/uploads/2022/08/7-2-4-416x292.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("430", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-4-100x100.jpg", "wp-content/uploads/2022/08/7-2-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("431", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-3-276x300.jpg", "wp-content/uploads/2022/08/1-6-3-276x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("432", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-3-150x150.jpg", "wp-content/uploads/2022/08/1-6-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("433", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-3-768x835.jpg", "wp-content/uploads/2022/08/1-6-3-768x835.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("434", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-3-416x452.jpg", "wp-content/uploads/2022/08/1-6-3-416x452.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("435", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-3-100x100.jpg", "wp-content/uploads/2022/08/1-6-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("436", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-5-300x293.png", "wp-content/uploads/2022/08/2-5-300x293.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("437", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-5-150x150.png", "wp-content/uploads/2022/08/2-5-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("438", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-5-416x406.png", "wp-content/uploads/2022/08/2-5-416x406.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("439", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-5-100x100.png", "wp-content/uploads/2022/08/2-5-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("440", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-4-276x300.jpg", "wp-content/uploads/2022/08/3-5-4-276x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("441", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-4-150x150.jpg", "wp-content/uploads/2022/08/3-5-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("442", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-4-768x835.jpg", "wp-content/uploads/2022/08/3-5-4-768x835.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("443", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-4-416x452.jpg", "wp-content/uploads/2022/08/3-5-4-416x452.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("444", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-4-100x100.jpg", "wp-content/uploads/2022/08/3-5-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("445", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-300x201.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-300x201.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("446", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-1024x684.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("447", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-150x150.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("448", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-768x513.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("449", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-1024x802.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-1024x802.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("450", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-416x278.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("451", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-100x100.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("452", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-300x200.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("453", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1024x683.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("454", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-150x150.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("455", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-768x512.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:35:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("456", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1536x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("457", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1200x800.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("458", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1024x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("459", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-416x277.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("460", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-100x100.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("461", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-200x300.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("462", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-683x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("463", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-150x150.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("464", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-768x1152.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("465", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1024x1536.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("466", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1366x2048.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1366x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("467", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1200x1800.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("468", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1024x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("469", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-416x624.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("470", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-100x100.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("471", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-150x54.png", "wp-content/uploads/2022/08/1-3-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("472", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-100x54.png", "wp-content/uploads/2022/08/1-3-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("473", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-4-150x54.png", "wp-content/uploads/2022/08/2-1-4-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("474", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-4-100x54.png", "wp-content/uploads/2022/08/2-1-4-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("475", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-150x54.png", "wp-content/uploads/2022/08/3-4-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("476", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-100x54.png", "wp-content/uploads/2022/08/3-4-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("477", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-150x54.png", "wp-content/uploads/2022/08/4-4-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("478", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-100x54.png", "wp-content/uploads/2022/08/4-4-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("479", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-4-150x54.png", "wp-content/uploads/2022/08/5-4-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("480", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-4-100x54.png", "wp-content/uploads/2022/08/5-4-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("481", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-4-150x54.png", "wp-content/uploads/2022/08/6-4-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("482", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-4-100x54.png", "wp-content/uploads/2022/08/6-4-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("483", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-300x200.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("484", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1024x684.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("485", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-150x150.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("486", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-768x513.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("487", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1536x1025.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1536x1025.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("488", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1200x801.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1200x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("489", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1024x1024.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("490", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-416x278.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("491", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-100x100.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("492", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-200x300.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("493", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-683x1024.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("494", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-150x150.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("495", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-768x1151.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-768x1151.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("496", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-1025x1536.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-1025x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("497", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-1024x1024.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("498", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-416x624.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("499", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-100x100.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("500", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-300x163.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-300x163.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("501", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1024x557.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1024x557.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("502", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-150x150.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("503", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-768x418.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-768x418.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("504", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1536x836.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1536x836.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("505", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1200x653.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1200x653.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("506", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1024x871.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-1024x871.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("507", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-416x226.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-416x226.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("508", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-100x100.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("509", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-300x200.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("510", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-1024x684.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("511", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-150x150.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("512", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-768x513.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("513", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-1024x801.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-1024x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("514", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-416x278.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("515", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-100x100.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("516", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-300x200.jpg", "wp-content/uploads/2022/08/skills-2-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("517", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-1024x683.jpg", "wp-content/uploads/2022/08/skills-2-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("518", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-150x150.jpg", "wp-content/uploads/2022/08/skills-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("519", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-768x512.jpg", "wp-content/uploads/2022/08/skills-2-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("520", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-1536x1024.jpg", "wp-content/uploads/2022/08/skills-2-3-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("521", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-1200x800.jpg", "wp-content/uploads/2022/08/skills-2-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("522", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-1024x1024.jpg", "wp-content/uploads/2022/08/skills-2-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("523", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-416x277.jpg", "wp-content/uploads/2022/08/skills-2-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("524", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-3-100x100.jpg", "wp-content/uploads/2022/08/skills-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("525", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-300x200.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("526", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1024x684.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("527", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-150x150.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("528", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-768x513.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("529", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1536x1025.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1536x1025.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("530", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1200x801.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1200x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("531", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1024x1024.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("532", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-416x278.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("533", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-100x100.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("534", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-300x300.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("535", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-1024x1024.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("536", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-150x150.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("537", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-768x768.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("538", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-416x416.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("539", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-100x100.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("540", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-300x200.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("541", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-1024x683.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("542", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-150x150.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("543", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-768x512.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("544", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-1024x800.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-1024x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("545", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-416x277.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("546", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-100x100.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("547", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-300x169.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("548", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-1024x575.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-1024x575.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("549", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("550", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-768x432.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("551", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-1536x863.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-1536x863.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("552", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-1200x674.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-1200x674.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("553", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("554", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-416x234.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("555", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("556", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-200x300.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("557", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-683x1024.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("558", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("559", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-700x1024.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-700x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("560", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-416x624.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("561", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("562", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-300x200.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("563", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-1024x683.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("564", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-150x150.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("565", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-768x512.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:36:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("566", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-1536x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("567", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-1200x800.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("568", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("569", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-416x277.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("570", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-4-100x100.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("571", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-300x142.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-300x142.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("572", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1024x483.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1024x483.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("573", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-150x150.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("574", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-768x363.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-768x363.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("575", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1536x725.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1536x725.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("576", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1200x567.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1200x567.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("577", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1024x906.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-1024x906.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("578", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-416x196.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-416x196.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("579", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-100x100.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-4-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("580", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-300x142.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-300x142.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("581", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-150x150.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("582", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-768x363.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-768x363.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("583", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-416x197.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-416x197.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("584", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-100x100.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-5-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("585", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-300x200.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("586", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1024x682.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("587", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("588", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-768x512.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("589", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1536x1024.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("590", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1200x800.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("591", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("592", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-416x277.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("593", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("594", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-240x300.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("595", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-819x1024.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("596", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-150x150.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("597", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-768x960.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("598", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1229x1536.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("599", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1200x1500.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("600", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1024x1024.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("601", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-416x520.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("602", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-100x100.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("603", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/ab3-3-278x300.jpg", "wp-content/uploads/2022/09/ab3-3-278x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("604", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/ab3-3-150x150.jpg", "wp-content/uploads/2022/09/ab3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("605", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/ab3-3-100x100.jpg", "wp-content/uploads/2022/09/ab3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("606", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-300x250.jpg", "wp-content/uploads/2022/09/1-1-4-300x250.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("607", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-1024x854.jpg", "wp-content/uploads/2022/09/1-1-4-1024x854.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("608", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-150x150.jpg", "wp-content/uploads/2022/09/1-1-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("609", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-768x640.jpg", "wp-content/uploads/2022/09/1-1-4-768x640.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("610", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-1200x1000.jpg", "wp-content/uploads/2022/09/1-1-4-1200x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("611", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-1024x1024.jpg", "wp-content/uploads/2022/09/1-1-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("612", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-416x347.jpg", "wp-content/uploads/2022/09/1-1-4-416x347.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("613", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-4-100x100.jpg", "wp-content/uploads/2022/09/1-1-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("614", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-300x300.jpg", "wp-content/uploads/2022/09/2-1-4-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("615", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-1024x1024.jpg", "wp-content/uploads/2022/09/2-1-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("616", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-150x150.jpg", "wp-content/uploads/2022/09/2-1-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("617", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-768x768.jpg", "wp-content/uploads/2022/09/2-1-4-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("618", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-1200x1200.jpg", "wp-content/uploads/2022/09/2-1-4-1200x1200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("619", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-416x416.jpg", "wp-content/uploads/2022/09/2-1-4-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("620", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-4-100x100.jpg", "wp-content/uploads/2022/09/2-1-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("621", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-300x190.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-300x190.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("622", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1024x647.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1024x647.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("623", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-150x150.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("624", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-768x486.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-768x486.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("625", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1536x971.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1536x971.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("626", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1200x759.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1200x759.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("627", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1024x1024.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("628", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-416x263.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-416x263.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("629", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-100x100.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("630", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-300x200.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("631", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-1024x682.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("632", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("633", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-768x512.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("634", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-1200x800.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("635", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-1024x853.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-1024x853.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("636", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-416x277.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("637", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("638", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-300x200.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("639", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-1024x682.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("640", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-150x150.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("641", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-768x512.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("642", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-1200x800.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("643", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-1024x853.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-1024x853.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("644", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-416x277.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("645", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-100x100.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("646", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/cropped-logo-1-4-300x300.png", "wp-content/uploads/2022/08/cropped-logo-1-4-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("647", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/cropped-logo-1-4-150x150.png", "wp-content/uploads/2022/08/cropped-logo-1-4-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("648", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/cropped-logo-1-4-416x416.png", "wp-content/uploads/2022/08/cropped-logo-1-4-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("649", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/cropped-logo-1-4-100x100.png", "wp-content/uploads/2022/08/cropped-logo-1-4-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("650", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-300x225.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("651", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-1024x768.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("652", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-150x150.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("653", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-768x576.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("654", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-1200x900.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("655", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-1024x960.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-1024x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("656", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-416x312.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("657", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-100x100.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("658", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-150x150.jpg", "wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("659", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-100x100.jpg", "wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("660", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-4-300x300.png", "wp-content/uploads/2022/10/woocommerce-placeholder-4-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("661", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-4-1024x1024.png", "wp-content/uploads/2022/10/woocommerce-placeholder-4-1024x1024.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("662", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-4-150x150.png", "wp-content/uploads/2022/10/woocommerce-placeholder-4-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("663", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-4-768x768.png", "wp-content/uploads/2022/10/woocommerce-placeholder-4-768x768.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("664", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-4-416x416.png", "wp-content/uploads/2022/10/woocommerce-placeholder-4-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("665", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-4-100x100.png", "wp-content/uploads/2022/10/woocommerce-placeholder-4-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("666", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-2-4-150x150.webp", "wp-content/uploads/2022/10/product-2-4-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("667", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-2-4-100x100.webp", "wp-content/uploads/2022/10/product-2-4-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("668", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/product-4-4-150x150.webp", "wp-content/uploads/2019/01/product-4-4-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("669", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/product-4-4-100x100.webp", "wp-content/uploads/2019/01/product-4-4-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("670", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-6-4-150x150.webp", "wp-content/uploads/2022/10/product-6-4-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("671", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-6-4-100x100.webp", "wp-content/uploads/2022/10/product-6-4-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("672", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-235x300.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("673", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-802x1024.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("674", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-150x150.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("675", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-768x980.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("676", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-1024x1024.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:37:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("677", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-416x531.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("678", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-100x100.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("679", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-235x300.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("680", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-802x1024.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("681", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-150x150.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("682", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-768x980.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("683", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-1024x1024.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("684", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-416x531.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("685", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-4-100x100.jpg", "wp-content/uploads/2019/01/pr1-pink-2-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("686", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-235x300.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("687", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-802x1024.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("688", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-150x150.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("689", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-768x980.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("690", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-1024x1024.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("691", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-416x531.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("692", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-100x100.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("693", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-235x300.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("694", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-802x1024.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("695", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-150x150.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("696", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-768x980.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("697", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-1024x1024.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("698", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-416x531.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("699", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-100x100.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("700", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-8-4-150x150.webp", "wp-content/uploads/2022/10/product-8-4-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("701", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-8-4-100x100.webp", "wp-content/uploads/2022/10/product-8-4-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("702", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-300x125.webp", "wp-content/uploads/2022/10/hero-2-3-300x125.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("703", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-1024x427.webp", "wp-content/uploads/2022/10/hero-2-3-1024x427.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("704", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-150x150.webp", "wp-content/uploads/2022/10/hero-2-3-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("705", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-768x320.webp", "wp-content/uploads/2022/10/hero-2-3-768x320.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("706", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-1536x640.webp", "wp-content/uploads/2022/10/hero-2-3-1536x640.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("707", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-1200x500.webp", "wp-content/uploads/2022/10/hero-2-3-1200x500.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("708", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-1024x800.webp", "wp-content/uploads/2022/10/hero-2-3-1024x800.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("709", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-416x173.webp", "wp-content/uploads/2022/10/hero-2-3-416x173.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("710", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-3-100x100.webp", "wp-content/uploads/2022/10/hero-2-3-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("711", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-3-225x300.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-3-225x300.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("712", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-3-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-3-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("713", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-3-416x554.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-3-416x554.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("714", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-3-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-3-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("715", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-300x200.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("716", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-150x150.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("717", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-416x278.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("718", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-100x100.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("719", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-4-300x229.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-4-300x229.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("720", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-4-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-4-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("721", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-4-768x587.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-4-768x587.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("722", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-4-416x318.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-4-416x318.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("723", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-4-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-4-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("724", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-200x300.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-200x300.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("725", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-683x1024.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-683x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("726", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("727", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-768x1152.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-768x1152.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("728", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-1024x1536.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-1024x1536.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("729", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-1365x2048.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-1365x2048.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("730", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-1200x1800.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-1200x1800.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("731", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-1024x1024.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-1024x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("732", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-416x624.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-416x624.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("733", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-4-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-4-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("734", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-300x199.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-300x199.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("735", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1024x681.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1024x681.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("736", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-150x150.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("737", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-768x510.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-768x510.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("738", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1536x1021.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1536x1021.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("739", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1200x798.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1200x798.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("740", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1024x1024.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("741", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-416x276.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-416x276.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("742", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-100x100.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("743", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-300x165.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-300x165.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("744", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1024x564.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1024x564.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("745", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-150x150.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("746", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-768x423.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-768x423.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("747", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1536x846.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1536x846.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("748", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1200x661.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1200x661.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("749", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1024x1024.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("750", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-416x229.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-416x229.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("751", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-100x100.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("752", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-300x167.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-300x167.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("753", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1024x570.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1024x570.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("754", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-150x150.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("755", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-768x428.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-768x428.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("756", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1536x855.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1536x855.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("757", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1200x668.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1200x668.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("758", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1024x1024.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("759", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-416x232.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-416x232.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("760", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-100x100.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:38:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("761", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/blackdsn.zip", "wp-content/uploads/2023/05/blackdsn.zip", "3", "Clé d’autorisation vide.", "2023-05-30 10:46:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("762", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/woocommerce-placeholder-100x100.png", "wp-content/uploads/woocommerce-placeholder-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("763", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/woocommerce-placeholder-416x416.png", "wp-content/uploads/woocommerce-placeholder-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("764", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1024x1024.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("765", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-100x100.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("766", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-416x232.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-416x232.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("767", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-300x167.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-300x167.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("768", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1024x570.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1024x570.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("769", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-150x150.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("770", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-768x428.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-768x428.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("771", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1536x855.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1536x855.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("772", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1200x668.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-3-1200x668.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("773", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1024x1024.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("774", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-100x100.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:56:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("775", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-416x232.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-416x232.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("776", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-300x167.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-300x167.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("777", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1024x570.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1024x570.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("778", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-150x150.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("779", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-768x428.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-768x428.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("780", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1536x855.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1536x855.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("781", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1200x668.jpg", "wp-content/uploads/2022/10/439f20144119531.628671b94bd08-1-2-1200x668.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("782", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1024x1024.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("783", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-100x100.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("784", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-416x229.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-416x229.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("785", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-300x165.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-300x165.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("786", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1024x564.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1024x564.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("787", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-150x150.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("788", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-768x423.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-768x423.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("789", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1536x846.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1536x846.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("790", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1200x661.jpg", "wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-1200x661.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("791", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1024x1024.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("792", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-100x100.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("793", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-416x276.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-416x276.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("794", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-300x199.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-300x199.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("795", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1024x681.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1024x681.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("796", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-150x150.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("797", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-768x510.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-768x510.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("798", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1536x1021.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1536x1021.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("799", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1200x798.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-3-1200x798.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("800", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1024x1024.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("801", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-100x100.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("802", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-416x276.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-416x276.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("803", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-300x199.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-300x199.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("804", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1024x681.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1024x681.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("805", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-150x150.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("806", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-768x510.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-768x510.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("807", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1536x1021.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1536x1021.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("808", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1200x798.jpg", "wp-content/uploads/2022/10/7a1f64152979619.632bd4d966dbe-2-1200x798.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("809", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-1024x1024.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-1024x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("810", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("811", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-416x624.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-416x624.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("812", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-200x300.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-200x300.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("813", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-683x1024.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-683x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("814", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("815", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-768x1152.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-768x1152.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("816", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-1024x1536.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-1024x1536.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("817", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-1365x2048.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-1365x2048.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("818", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-3-1200x1800.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-3-1200x1800.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("819", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-1024x1024.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-1024x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("820", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("821", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-416x624.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-416x624.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("822", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-200x300.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-200x300.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("823", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-683x1024.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-683x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("824", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("825", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-768x1152.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-768x1152.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("826", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-1024x1536.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-1024x1536.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("827", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-1365x2048.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-1365x2048.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("828", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-1337753-2-1200x1800.jpeg", "wp-content/uploads/2022/10/pexels-photo-1337753-2-1200x1800.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("829", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-3-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-3-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("830", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-3-416x318.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-3-416x318.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("831", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-3-300x229.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-3-300x229.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("832", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-3-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-3-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("833", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-3-768x587.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-3-768x587.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("834", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-2-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-2-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("835", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-2-416x318.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-2-416x318.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("836", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-2-300x229.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-2-300x229.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("837", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-2-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-2-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("838", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-631411-2-768x587.jpeg", "wp-content/uploads/2022/10/pexels-photo-631411-2-768x587.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("839", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-100x100.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("840", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-416x278.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("841", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-300x200.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("842", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-150x150.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:57:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("843", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-100x100.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("844", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-416x278.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("845", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-300x200.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("846", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-150x150.jpg", "wp-content/uploads/2022/10/pexels-terje-sollie-298864-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("847", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-2-100x100.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-2-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("848", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-2-416x554.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-2-416x554.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("849", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-2-225x300.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-2-225x300.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("850", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/pexels-photo-8365688-2-150x150.jpeg", "wp-content/uploads/2022/10/pexels-photo-8365688-2-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("851", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-1024x800.webp", "wp-content/uploads/2022/10/hero-2-2-1024x800.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("852", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-100x100.webp", "wp-content/uploads/2022/10/hero-2-2-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("853", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-416x173.webp", "wp-content/uploads/2022/10/hero-2-2-416x173.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("854", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-300x125.webp", "wp-content/uploads/2022/10/hero-2-2-300x125.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("855", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-1024x427.webp", "wp-content/uploads/2022/10/hero-2-2-1024x427.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("856", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-150x150.webp", "wp-content/uploads/2022/10/hero-2-2-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("857", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-768x320.webp", "wp-content/uploads/2022/10/hero-2-2-768x320.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("858", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-1536x640.webp", "wp-content/uploads/2022/10/hero-2-2-1536x640.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("859", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/hero-2-2-1200x500.webp", "wp-content/uploads/2022/10/hero-2-2-1200x500.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("860", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-8-3-100x100.webp", "wp-content/uploads/2022/10/product-8-3-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("861", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-8-3-150x150.webp", "wp-content/uploads/2022/10/product-8-3-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("862", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-8-2-100x100.webp", "wp-content/uploads/2022/10/product-8-2-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("863", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-8-2-150x150.webp", "wp-content/uploads/2022/10/product-8-2-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("864", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-1024x1024.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("865", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-100x100.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("866", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-416x531.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("867", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-235x300.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("868", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-802x1024.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("869", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-150x150.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("870", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-768x980.jpg", "wp-content/uploads/2019/01/acndb3127517966_q1_2-0-2-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("871", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-1024x1024.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("872", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-100x100.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("873", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-416x531.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("874", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-235x300.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("875", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-802x1024.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("876", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-150x150.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("877", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-768x980.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-3-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("878", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-1024x1024.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("879", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-100x100.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("880", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-416x531.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("881", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-235x300.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("882", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-802x1024.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("883", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-150x150.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("884", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-768x980.jpg", "wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("885", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-1024x1024.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("886", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-100x100.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("887", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-416x531.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("888", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-235x300.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("889", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-802x1024.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("890", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-150x150.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("891", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-3-768x980.jpg", "wp-content/uploads/2019/01/pr1-pink-2-3-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("892", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-1024x1024.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("893", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-100x100.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("894", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-416x531.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("895", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-235x300.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("896", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-802x1024.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("897", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-150x150.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("898", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2-768x980.jpg", "wp-content/uploads/2019/01/pr1-pink-2-2-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("899", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-1024x1024.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("900", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-100x100.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("901", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-416x531.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("902", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-235x300.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("903", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-802x1024.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("904", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-150x150.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("905", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-768x980.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-3-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("906", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-1024x1024.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("907", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-100x100.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("908", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-416x531.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-416x531.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("909", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-235x300.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-235x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("910", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-802x1024.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-802x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("911", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-150x150.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("912", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-768x980.jpg", "wp-content/uploads/2019/01/ragbo452081071c_q1_2-0-2-768x980.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("913", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-6-3-100x100.webp", "wp-content/uploads/2022/10/product-6-3-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("914", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-6-3-150x150.webp", "wp-content/uploads/2022/10/product-6-3-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("915", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-6-2-100x100.webp", "wp-content/uploads/2022/10/product-6-2-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("916", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-6-2-150x150.webp", "wp-content/uploads/2022/10/product-6-2-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("917", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/product-4-3-100x100.webp", "wp-content/uploads/2019/01/product-4-3-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("918", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/product-4-3-150x150.webp", "wp-content/uploads/2019/01/product-4-3-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("919", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/product-4-2-100x100.webp", "wp-content/uploads/2019/01/product-4-2-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("920", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/product-4-2-150x150.webp", "wp-content/uploads/2019/01/product-4-2-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("921", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-2-3-100x100.webp", "wp-content/uploads/2022/10/product-2-3-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("922", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-2-3-150x150.webp", "wp-content/uploads/2022/10/product-2-3-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("923", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-2-2-100x100.webp", "wp-content/uploads/2022/10/product-2-2-100x100.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("924", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/product-2-2-150x150.webp", "wp-content/uploads/2022/10/product-2-2-150x150.webp", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("925", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-3-1024x1024.png", "wp-content/uploads/2022/10/woocommerce-placeholder-3-1024x1024.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("926", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-3-100x100.png", "wp-content/uploads/2022/10/woocommerce-placeholder-3-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("927", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-3-416x416.png", "wp-content/uploads/2022/10/woocommerce-placeholder-3-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("928", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-3-300x300.png", "wp-content/uploads/2022/10/woocommerce-placeholder-3-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("929", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-3-150x150.png", "wp-content/uploads/2022/10/woocommerce-placeholder-3-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("930", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-3-768x768.png", "wp-content/uploads/2022/10/woocommerce-placeholder-3-768x768.png", "3", "Clé d’autorisation vide.", "2023-05-30 10:59:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("931", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-100x100.jpg", "wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("932", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-150x150.jpg", "wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("933", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-1024x960.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-1024x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("934", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("935", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-416x312.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("936", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-300x225.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("937", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-1024x768.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("938", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("939", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-768x576.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("940", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-1200x900.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-3-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("941", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-1024x853.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-1024x853.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("942", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("943", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-416x277.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("944", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-300x200.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("945", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-1024x682.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("946", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("947", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-768x512.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("948", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-1200x800.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("949", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-1024x1024.jpg", "wp-content/uploads/2022/09/2-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("950", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-100x100.jpg", "wp-content/uploads/2022/09/2-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("951", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-416x416.jpg", "wp-content/uploads/2022/09/2-1-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("952", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-300x300.jpg", "wp-content/uploads/2022/09/2-1-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("953", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-150x150.jpg", "wp-content/uploads/2022/09/2-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("954", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-768x768.jpg", "wp-content/uploads/2022/09/2-1-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("955", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-3-1200x1200.jpg", "wp-content/uploads/2022/09/2-1-3-1200x1200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("956", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-1024x1024.jpg", "wp-content/uploads/2022/09/1-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("957", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-100x100.jpg", "wp-content/uploads/2022/09/1-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("958", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-416x347.jpg", "wp-content/uploads/2022/09/1-1-3-416x347.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("959", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-300x250.jpg", "wp-content/uploads/2022/09/1-1-3-300x250.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("960", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-1024x854.jpg", "wp-content/uploads/2022/09/1-1-3-1024x854.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("961", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-150x150.jpg", "wp-content/uploads/2022/09/1-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("962", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-768x640.jpg", "wp-content/uploads/2022/09/1-1-3-768x640.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("963", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-3-1200x1000.jpg", "wp-content/uploads/2022/09/1-1-3-1200x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("964", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-100x100.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("965", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-416x197.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-416x197.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("966", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-300x142.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-300x142.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("967", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-150x150.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("968", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-768x363.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-4-768x363.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("969", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1024x906.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1024x906.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("970", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-100x100.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("971", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-416x196.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-416x196.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("972", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-300x142.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-300x142.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("973", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1024x483.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1024x483.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("974", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-150x150.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("975", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-768x363.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-768x363.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("976", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1536x725.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1536x725.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("977", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1200x567.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-3-1200x567.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("978", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("979", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-100x100.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("980", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-416x277.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("981", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-300x200.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("982", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-1024x683.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("983", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-150x150.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("984", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-768x512.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("985", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-1536x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("986", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-3-1200x800.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:00:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("987", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-1024x800.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-1024x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("988", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-100x100.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("989", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-416x277.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("990", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-300x200.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("991", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-1024x683.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("992", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-150x150.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("993", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-768x512.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("994", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-1024x1024.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("995", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-100x100.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("996", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-416x416.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("997", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-300x300.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("998", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-150x150.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("999", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-768x768.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-3-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1000", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-1024x801.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-1024x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1001", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-100x100.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1002", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-416x278.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1003", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-300x200.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1004", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-1024x684.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1005", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-150x150.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1006", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-768x513.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-3-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1007", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1024x871.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1024x871.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1008", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-100x100.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1009", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-416x226.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-416x226.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1010", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-300x163.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-300x163.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1011", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1024x557.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1024x557.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1012", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-150x150.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1013", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-768x418.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-768x418.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1014", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1536x836.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1536x836.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1015", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1200x653.jpg", "wp-content/uploads/2022/08/nordgreen-taqlluwbrgE-unsplash-2-1200x653.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1016", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1024x1024.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1017", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-100x100.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1018", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-416x624.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1019", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-200x300.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1020", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-683x1024.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1021", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1022", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-768x1151.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-768x1151.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1023", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1025x1536.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-1025x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1024", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x1024.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1025", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-100x100.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1026", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-416x278.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1027", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-300x200.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1028", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x684.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1029", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-150x150.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1030", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-768x513.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1031", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1536x1025.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1536x1025.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1032", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1200x801.jpg", "wp-content/uploads/2022/08/milad-fakurian-bkmrXtXG1r8-unsplash-2-1200x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1033", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-100x54.png", "wp-content/uploads/2022/08/6-3-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1034", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-150x54.png", "wp-content/uploads/2022/08/6-3-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1035", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-100x54.png", "wp-content/uploads/2022/08/5-3-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1036", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-150x54.png", "wp-content/uploads/2022/08/5-3-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1037", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-100x54.png", "wp-content/uploads/2022/08/4-3-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1038", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-150x54.png", "wp-content/uploads/2022/08/4-3-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1039", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-100x54.png", "wp-content/uploads/2022/08/3-3-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1040", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-150x54.png", "wp-content/uploads/2022/08/3-3-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1041", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-100x54.png", "wp-content/uploads/2022/08/2-1-3-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1042", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-3-150x54.png", "wp-content/uploads/2022/08/2-1-3-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1043", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-100x54.png", "wp-content/uploads/2022/08/1-2-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1044", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-150x54.png", "wp-content/uploads/2022/08/1-2-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1045", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1024x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1046", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-100x100.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1047", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-416x624.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1048", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-200x300.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1049", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-683x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1050", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-150x150.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1051", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-768x1152.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1052", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1024x1536.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1053", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1366x2048.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1366x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1054", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1200x1800.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1055", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1024x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1056", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-100x100.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1057", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-416x277.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1058", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-300x200.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1059", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1024x683.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1060", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-150x150.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1061", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-768x512.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1062", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1536x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1063", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1200x800.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1064", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-1024x802.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-1024x802.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1065", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-100x100.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1066", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-416x278.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1067", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-300x201.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-300x201.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1068", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-1024x684.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1069", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-150x150.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1070", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-768x513.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1071", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-3-100x100.jpg", "wp-content/uploads/2022/08/3-5-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1072", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-3-416x452.jpg", "wp-content/uploads/2022/08/3-5-3-416x452.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1073", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-3-276x300.jpg", "wp-content/uploads/2022/08/3-5-3-276x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1074", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-3-150x150.jpg", "wp-content/uploads/2022/08/3-5-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1075", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-3-768x835.jpg", "wp-content/uploads/2022/08/3-5-3-768x835.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1076", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-100x100.png", "wp-content/uploads/2022/08/2-4-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1077", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-416x406.png", "wp-content/uploads/2022/08/2-4-416x406.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1078", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-300x293.png", "wp-content/uploads/2022/08/2-4-300x293.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1079", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-150x150.png", "wp-content/uploads/2022/08/2-4-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1080", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-2-100x100.jpg", "wp-content/uploads/2022/08/1-6-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1081", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-2-416x452.jpg", "wp-content/uploads/2022/08/1-6-2-416x452.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1082", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-2-276x300.jpg", "wp-content/uploads/2022/08/1-6-2-276x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1083", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-2-150x150.jpg", "wp-content/uploads/2022/08/1-6-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1084", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-6-2-768x835.jpg", "wp-content/uploads/2022/08/1-6-2-768x835.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:01:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1085", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-1024x983.jpg", "wp-content/uploads/2022/08/7-2-3-1024x983.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1086", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-100x100.jpg", "wp-content/uploads/2022/08/7-2-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1087", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-416x292.jpg", "wp-content/uploads/2022/08/7-2-3-416x292.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1088", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-300x211.jpg", "wp-content/uploads/2022/08/7-2-3-300x211.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1089", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-1024x719.jpg", "wp-content/uploads/2022/08/7-2-3-1024x719.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1090", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-150x150.jpg", "wp-content/uploads/2022/08/7-2-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1091", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-768x539.jpg", "wp-content/uploads/2022/08/7-2-3-768x539.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1092", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-3-1200x843.jpg", "wp-content/uploads/2022/08/7-2-3-1200x843.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1093", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-1024x983.jpg", "wp-content/uploads/2022/08/6-3-3-1024x983.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1094", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-100x100.jpg", "wp-content/uploads/2022/08/6-3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1095", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-416x292.jpg", "wp-content/uploads/2022/08/6-3-3-416x292.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1096", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-300x211.jpg", "wp-content/uploads/2022/08/6-3-3-300x211.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1097", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-1024x719.jpg", "wp-content/uploads/2022/08/6-3-3-1024x719.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1098", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-150x150.jpg", "wp-content/uploads/2022/08/6-3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1099", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-768x539.jpg", "wp-content/uploads/2022/08/6-3-3-768x539.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1100", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-3-1200x843.jpg", "wp-content/uploads/2022/08/6-3-3-1200x843.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1101", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-1024x1024.jpg", "wp-content/uploads/2022/08/5-3-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1102", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-100x100.jpg", "wp-content/uploads/2022/08/5-3-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1103", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-416x231.jpg", "wp-content/uploads/2022/08/5-3-3-416x231.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1104", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-300x167.jpg", "wp-content/uploads/2022/08/5-3-3-300x167.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1105", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-1024x569.jpg", "wp-content/uploads/2022/08/5-3-3-1024x569.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1106", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-150x150.jpg", "wp-content/uploads/2022/08/5-3-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1107", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-768x427.jpg", "wp-content/uploads/2022/08/5-3-3-768x427.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1108", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-1536x854.jpg", "wp-content/uploads/2022/08/5-3-3-1536x854.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1109", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-3-1200x667.jpg", "wp-content/uploads/2022/08/5-3-3-1200x667.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1110", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-1024x1024.jpg", "wp-content/uploads/2022/08/4-4-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1111", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-100x100.jpg", "wp-content/uploads/2022/08/4-4-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1112", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-416x312.jpg", "wp-content/uploads/2022/08/4-4-3-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1113", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-300x225.jpg", "wp-content/uploads/2022/08/4-4-3-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1114", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-1024x768.jpg", "wp-content/uploads/2022/08/4-4-3-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1115", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-150x150.jpg", "wp-content/uploads/2022/08/4-4-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1116", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-768x576.jpg", "wp-content/uploads/2022/08/4-4-3-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1117", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-3-1200x900.jpg", "wp-content/uploads/2022/08/4-4-3-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1118", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-1024x1024.jpg", "wp-content/uploads/2022/08/3-4-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1119", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-100x100.jpg", "wp-content/uploads/2022/08/3-4-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1120", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-416x312.jpg", "wp-content/uploads/2022/08/3-4-3-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1121", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-300x225.jpg", "wp-content/uploads/2022/08/3-4-3-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1122", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-1024x768.jpg", "wp-content/uploads/2022/08/3-4-3-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1123", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-150x150.jpg", "wp-content/uploads/2022/08/3-4-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1124", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-768x576.jpg", "wp-content/uploads/2022/08/3-4-3-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1125", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-3-1200x900.jpg", "wp-content/uploads/2022/08/3-4-3-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1126", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-1024x788.gif", "wp-content/uploads/2022/08/2-3-1024x788.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1127", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-100x100.gif", "wp-content/uploads/2022/08/2-3-100x100.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1128", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-416x234.gif", "wp-content/uploads/2022/08/2-3-416x234.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1129", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-300x169.gif", "wp-content/uploads/2022/08/2-3-300x169.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1130", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-1024x576.gif", "wp-content/uploads/2022/08/2-3-1024x576.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1131", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-150x150.gif", "wp-content/uploads/2022/08/2-3-150x150.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1132", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-768x432.gif", "wp-content/uploads/2022/08/2-3-768x432.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1133", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-1200x675.gif", "wp-content/uploads/2022/08/2-3-1200x675.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1134", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2-100x100.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1135", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2-416x416.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1136", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2-300x300.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1137", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2-150x150.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1138", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2-768x768.jpg", "wp-content/uploads/2019/01/beanie-with-logo-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1139", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2-100x100.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1140", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2-416x416.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1141", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2-300x300.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1142", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2-150x150.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1143", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2-768x768.jpg", "wp-content/uploads/2019/01/t-shirt-with-logo-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1144", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-2-100x100.jpg", "wp-content/uploads/2019/01/single-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1145", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-2-416x416.jpg", "wp-content/uploads/2019/01/single-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1146", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-2-300x300.jpg", "wp-content/uploads/2019/01/single-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1147", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-2-150x150.jpg", "wp-content/uploads/2019/01/single-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1148", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/single-1-2-768x768.jpg", "wp-content/uploads/2019/01/single-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1149", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2-100x100.jpg", "wp-content/uploads/2019/01/polo-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1150", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2-416x415.jpg", "wp-content/uploads/2019/01/polo-2-2-416x415.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1151", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2-300x300.jpg", "wp-content/uploads/2019/01/polo-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1152", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2-150x150.jpg", "wp-content/uploads/2019/01/polo-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1153", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2-768x767.jpg", "wp-content/uploads/2019/01/polo-2-2-768x767.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1154", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2-100x100.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1155", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2-416x416.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1156", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2-300x300.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1157", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2-150x150.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1158", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2-768x768.jpg", "wp-content/uploads/2019/01/long-sleeve-tee-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1159", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2-100x100.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1160", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2-416x416.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1161", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2-300x300.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1162", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2-150x150.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1163", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2-768x768.jpg", "wp-content/uploads/2019/01/hoodie-with-zipper-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1164", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2-100x100.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1165", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2-416x416.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1166", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2-300x300.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1167", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2-150x150.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1168", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2-768x768.jpg", "wp-content/uploads/2019/01/hoodie-with-pocket-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1169", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2-100x100.jpg", "wp-content/uploads/2019/01/sunglasses-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1170", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2-416x416.jpg", "wp-content/uploads/2019/01/sunglasses-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1171", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2-300x300.jpg", "wp-content/uploads/2019/01/sunglasses-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1172", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2-150x150.jpg", "wp-content/uploads/2019/01/sunglasses-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1173", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2-768x768.jpg", "wp-content/uploads/2019/01/sunglasses-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1174", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2-100x100.jpg", "wp-content/uploads/2019/01/cap-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1175", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2-416x416.jpg", "wp-content/uploads/2019/01/cap-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1176", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2-300x300.jpg", "wp-content/uploads/2019/01/cap-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1177", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2-150x150.jpg", "wp-content/uploads/2019/01/cap-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1178", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2-768x768.jpg", "wp-content/uploads/2019/01/cap-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:02:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1179", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2-100x100.jpg", "wp-content/uploads/2019/01/belt-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1180", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2-416x416.jpg", "wp-content/uploads/2019/01/belt-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1181", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2-300x300.jpg", "wp-content/uploads/2019/01/belt-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1182", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2-150x150.jpg", "wp-content/uploads/2019/01/belt-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1183", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2-768x768.jpg", "wp-content/uploads/2019/01/belt-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1184", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2-100x100.jpg", "wp-content/uploads/2019/01/tshirt-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1185", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2-416x416.jpg", "wp-content/uploads/2019/01/tshirt-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1186", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2-300x300.jpg", "wp-content/uploads/2019/01/tshirt-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1187", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2-150x150.jpg", "wp-content/uploads/2019/01/tshirt-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1188", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2-768x768.jpg", "wp-content/uploads/2019/01/tshirt-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1189", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2-100x100.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1190", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2-416x416.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1191", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2-300x300.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1192", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2-150x150.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1193", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2-768x768.jpg", "wp-content/uploads/2019/01/hoodie-with-logo-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1194", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-2-100x100.jpg", "wp-content/uploads/2019/01/hoodie-green-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1195", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-2-416x416.jpg", "wp-content/uploads/2019/01/hoodie-green-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1196", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-2-300x300.jpg", "wp-content/uploads/2019/01/hoodie-green-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1197", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-2-150x150.jpg", "wp-content/uploads/2019/01/hoodie-green-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1198", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-green-1-2-768x768.jpg", "wp-content/uploads/2019/01/hoodie-green-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1199", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-2-100x100.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1200", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-2-416x416.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1201", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-2-300x300.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1202", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-2-150x150.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1203", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-blue-1-2-768x768.jpg", "wp-content/uploads/2019/01/hoodie-blue-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1204", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-2-100x100.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1205", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-2-416x416.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1206", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-2-300x300.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1207", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-2-150x150.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1208", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-blue-1-2-768x768.jpg", "wp-content/uploads/2019/01/vnech-tee-blue-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1209", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-2-100x100.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1210", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-2-416x416.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1211", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-2-300x300.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1212", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-2-150x150.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1213", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vnech-tee-green-1-2-768x768.jpg", "wp-content/uploads/2019/01/vnech-tee-green-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1214", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2-100x100.jpg", "wp-content/uploads/2019/01/vneck-tee-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1215", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2-416x415.jpg", "wp-content/uploads/2019/01/vneck-tee-2-2-416x415.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1216", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2-300x300.jpg", "wp-content/uploads/2019/01/vneck-tee-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1217", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2-150x150.jpg", "wp-content/uploads/2019/01/vneck-tee-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1218", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2-768x767.jpg", "wp-content/uploads/2019/01/vneck-tee-2-2-768x767.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1219", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-2-1024x1024.png", "wp-content/uploads/2022/10/woocommerce-placeholder-2-1024x1024.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1220", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-2-100x100.png", "wp-content/uploads/2022/10/woocommerce-placeholder-2-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1221", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-2-416x416.png", "wp-content/uploads/2022/10/woocommerce-placeholder-2-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1222", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-2-300x300.png", "wp-content/uploads/2022/10/woocommerce-placeholder-2-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1223", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-2-150x150.png", "wp-content/uploads/2022/10/woocommerce-placeholder-2-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1224", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/10/woocommerce-placeholder-2-768x768.png", "wp-content/uploads/2022/10/woocommerce-placeholder-2-768x768.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:03:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1225", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-100x100.jpg", "wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1226", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-150x150.jpg", "wp-content/uploads/2022/09/default-user-2962fd43ee315eafee8bfc08f02fee84687beb0499de44e5ab2873399944b0fe-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1227", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-1024x960.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-1024x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1228", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1229", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-416x312.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1230", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-300x225.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1231", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-1024x768.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1232", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1233", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-768x576.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1234", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-1200x900.jpg", "wp-content/uploads/2022/09/pexels-sevenstorm-juhaszimrus-934345-2-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1235", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-1024x853.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-1024x853.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1236", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1237", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-416x277.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1238", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-300x200.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1239", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-1024x682.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1240", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1241", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-768x512.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1242", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-1200x800.jpg", "wp-content/uploads/2022/09/pexels-johannes-plenio-1632788-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1243", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-1024x853.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-1024x853.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1244", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1245", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-416x277.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1246", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-300x200.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1247", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-1024x682.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1248", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1249", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-768x512.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1250", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-1200x800.jpg", "wp-content/uploads/2022/09/pexels-nancy-bourque-1209982-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1251", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1024x1024.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1252", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-100x100.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1253", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-416x263.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-416x263.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1254", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-300x190.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-300x190.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1255", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1024x647.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1024x647.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1256", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-150x150.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1257", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-768x486.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-768x486.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1258", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1536x971.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1536x971.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1259", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1200x759.jpg", "wp-content/uploads/2022/09/maxim-potkin-wyxTcdibez0-unsplash-2-1200x759.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1260", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-1024x1024.jpg", "wp-content/uploads/2022/09/2-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1261", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-100x100.jpg", "wp-content/uploads/2022/09/2-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1262", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-416x416.jpg", "wp-content/uploads/2022/09/2-1-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1263", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-300x300.jpg", "wp-content/uploads/2022/09/2-1-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1264", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-150x150.jpg", "wp-content/uploads/2022/09/2-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1265", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-768x768.jpg", "wp-content/uploads/2022/09/2-1-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1266", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/2-1-2-1200x1200.jpg", "wp-content/uploads/2022/09/2-1-2-1200x1200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1267", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-1024x1024.jpg", "wp-content/uploads/2022/09/1-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1268", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-100x100.jpg", "wp-content/uploads/2022/09/1-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1269", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-416x347.jpg", "wp-content/uploads/2022/09/1-1-2-416x347.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1270", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-300x250.jpg", "wp-content/uploads/2022/09/1-1-2-300x250.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1271", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-1024x854.jpg", "wp-content/uploads/2022/09/1-1-2-1024x854.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1272", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-150x150.jpg", "wp-content/uploads/2022/09/1-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1273", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-768x640.jpg", "wp-content/uploads/2022/09/1-1-2-768x640.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1274", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/1-1-2-1200x1000.jpg", "wp-content/uploads/2022/09/1-1-2-1200x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1275", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/ab3-2-100x100.jpg", "wp-content/uploads/2022/09/ab3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1276", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/ab3-2-278x300.jpg", "wp-content/uploads/2022/09/ab3-2-278x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1277", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/ab3-2-150x150.jpg", "wp-content/uploads/2022/09/ab3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1278", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1024x1024.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1279", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-100x100.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1280", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-416x520.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1281", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-240x300.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1282", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-819x1024.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1283", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-150x150.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1284", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-768x960.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1285", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1229x1536.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1286", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1200x1500.jpg", "wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1287", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1288", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1289", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-416x277.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1290", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-300x200.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1291", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1024x682.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1292", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1293", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-768x512.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1294", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1536x1024.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1295", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1200x800.jpg", "wp-content/uploads/2022/09/pexels-roman-odintsov-4925863-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:04:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1296", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-100x100.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1297", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-416x197.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-416x197.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1298", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-300x142.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-300x142.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1299", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-150x150.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1300", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-768x363.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-3-768x363.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1301", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1024x906.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1024x906.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1302", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-100x100.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1303", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-416x196.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-416x196.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1304", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-300x142.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-300x142.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1305", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1024x483.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1024x483.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1306", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-150x150.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1307", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-768x363.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-768x363.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1308", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1536x725.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1536x725.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1309", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1200x567.png", "wp-content/uploads/2022/09/62a1f09ec862ce8047dd9ca4_Hero-Bg-1-2-1200x567.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1310", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1311", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1312", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-416x277.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1313", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-300x200.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1314", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-1024x683.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1315", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1316", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-768x512.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1317", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-1536x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1318", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-90764-2-1200x800.jpg", "wp-content/uploads/2022/09/pexels-pixabay-90764-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1319", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-700x1024.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-700x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1320", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1321", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-416x624.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1322", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-200x300.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1323", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-683x1024.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1324", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-rachel-claire-5490267-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1325", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-1024x1024.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1326", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-100x100.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1327", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-416x234.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1328", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-300x169.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1329", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-1024x575.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-1024x575.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1330", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-150x150.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1331", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-768x432.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1332", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-1536x863.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-1536x863.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1333", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/09/pexels-pixabay-356147-2-1200x674.jpg", "wp-content/uploads/2022/09/pexels-pixabay-356147-2-1200x674.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1334", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-1024x800.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-1024x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1335", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-100x100.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1336", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-416x277.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1337", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-300x200.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1338", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-1024x683.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1339", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-150x150.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1340", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-768x512.jpg", "wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1341", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-1024x1024.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1342", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-100x100.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1343", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-416x416.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1344", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-300x300.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1345", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-150x150.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1346", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-768x768.jpg", "wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1347", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1024x1024.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1348", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-100x100.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1349", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-416x278.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1350", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-300x200.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1351", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1024x684.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1352", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-150x150.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1353", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-768x513.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1354", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1536x1025.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1536x1025.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1355", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1200x801.jpg", "wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2-1200x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1356", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-1024x1024.jpg", "wp-content/uploads/2022/08/skills-2-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1357", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-100x100.jpg", "wp-content/uploads/2022/08/skills-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1358", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-416x277.jpg", "wp-content/uploads/2022/08/skills-2-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1359", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-300x200.jpg", "wp-content/uploads/2022/08/skills-2-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1360", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-1024x683.jpg", "wp-content/uploads/2022/08/skills-2-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1361", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-150x150.jpg", "wp-content/uploads/2022/08/skills-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1362", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-768x512.jpg", "wp-content/uploads/2022/08/skills-2-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1363", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-1536x1024.jpg", "wp-content/uploads/2022/08/skills-2-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1364", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/skills-2-2-1200x800.jpg", "wp-content/uploads/2022/08/skills-2-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1365", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-1024x801.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-1024x801.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1366", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-100x100.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1367", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-416x278.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1368", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-300x200.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1369", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-1024x684.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1370", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-150x150.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1371", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-768x513.jpg", "wp-content/uploads/2022/08/ctrl-a-meal-replacement-1aOrrb3bCZM-unsplash-2-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1372", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-100x54.png", "wp-content/uploads/2022/08/6-2-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1373", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-150x54.png", "wp-content/uploads/2022/08/6-2-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1374", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-100x54.png", "wp-content/uploads/2022/08/5-2-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1375", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-150x54.png", "wp-content/uploads/2022/08/5-2-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1376", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-100x54.png", "wp-content/uploads/2022/08/4-2-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1377", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-150x54.png", "wp-content/uploads/2022/08/4-2-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1378", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-100x54.png", "wp-content/uploads/2022/08/3-2-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1379", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-150x54.png", "wp-content/uploads/2022/08/3-2-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1380", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-100x54.png", "wp-content/uploads/2022/08/2-1-2-100x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1381", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-150x54.png", "wp-content/uploads/2022/08/2-1-2-150x54.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1382", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1024x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1383", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-100x100.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1384", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-416x624.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1385", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-200x300.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1386", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-683x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1387", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-150x150.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1388", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-768x1152.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1389", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1024x1536.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1390", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1366x2048.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1366x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1391", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1200x1800.jpg", "wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1392", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1024x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1393", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-100x100.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1394", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-416x277.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1395", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-300x200.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1396", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1024x683.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1397", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-150x150.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1398", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-768x512.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1399", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1536x1024.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1400", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1200x800.jpg", "wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1401", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-1024x802.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-1024x802.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1402", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-100x100.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1403", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-416x278.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1404", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-300x201.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-300x201.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1405", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-1024x684.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-1024x684.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1406", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-150x150.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1407", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-768x513.jpg", "wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2-768x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1408", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-2-100x100.jpg", "wp-content/uploads/2022/08/3-5-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1409", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-2-416x452.jpg", "wp-content/uploads/2022/08/3-5-2-416x452.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1410", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-2-276x300.jpg", "wp-content/uploads/2022/08/3-5-2-276x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1411", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-2-150x150.jpg", "wp-content/uploads/2022/08/3-5-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1412", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-5-2-768x835.jpg", "wp-content/uploads/2022/08/3-5-2-768x835.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1413", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-100x100.png", "wp-content/uploads/2022/08/2-3-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1414", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-416x406.png", "wp-content/uploads/2022/08/2-3-416x406.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1415", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-300x293.png", "wp-content/uploads/2022/08/2-3-300x293.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1416", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-150x150.png", "wp-content/uploads/2022/08/2-3-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1417", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-1024x983.jpg", "wp-content/uploads/2022/08/7-2-2-1024x983.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1418", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-100x100.jpg", "wp-content/uploads/2022/08/7-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1419", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-416x292.jpg", "wp-content/uploads/2022/08/7-2-2-416x292.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1420", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-300x211.jpg", "wp-content/uploads/2022/08/7-2-2-300x211.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1421", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-1024x719.jpg", "wp-content/uploads/2022/08/7-2-2-1024x719.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1422", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-150x150.jpg", "wp-content/uploads/2022/08/7-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1423", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-768x539.jpg", "wp-content/uploads/2022/08/7-2-2-768x539.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1424", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-2-2-1200x843.jpg", "wp-content/uploads/2022/08/7-2-2-1200x843.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1425", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-1024x983.jpg", "wp-content/uploads/2022/08/6-3-2-1024x983.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1426", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-100x100.jpg", "wp-content/uploads/2022/08/6-3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1427", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-416x292.jpg", "wp-content/uploads/2022/08/6-3-2-416x292.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:06:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1428", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-300x211.jpg", "wp-content/uploads/2022/08/6-3-2-300x211.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1429", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-1024x719.jpg", "wp-content/uploads/2022/08/6-3-2-1024x719.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1430", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-150x150.jpg", "wp-content/uploads/2022/08/6-3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1431", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-768x539.jpg", "wp-content/uploads/2022/08/6-3-2-768x539.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1432", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-3-2-1200x843.jpg", "wp-content/uploads/2022/08/6-3-2-1200x843.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1433", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-1024x1024.jpg", "wp-content/uploads/2022/08/5-3-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1434", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-100x100.jpg", "wp-content/uploads/2022/08/5-3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1435", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-416x231.jpg", "wp-content/uploads/2022/08/5-3-2-416x231.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1436", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-300x167.jpg", "wp-content/uploads/2022/08/5-3-2-300x167.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1437", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-1024x569.jpg", "wp-content/uploads/2022/08/5-3-2-1024x569.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1438", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-150x150.jpg", "wp-content/uploads/2022/08/5-3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1439", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-768x427.jpg", "wp-content/uploads/2022/08/5-3-2-768x427.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1440", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-1536x854.jpg", "wp-content/uploads/2022/08/5-3-2-1536x854.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1441", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-3-2-1200x667.jpg", "wp-content/uploads/2022/08/5-3-2-1200x667.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1442", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-1024x1024.jpg", "wp-content/uploads/2022/08/4-4-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1443", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-100x100.jpg", "wp-content/uploads/2022/08/4-4-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1444", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-416x312.jpg", "wp-content/uploads/2022/08/4-4-2-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1445", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-300x225.jpg", "wp-content/uploads/2022/08/4-4-2-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1446", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-1024x768.jpg", "wp-content/uploads/2022/08/4-4-2-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1447", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-150x150.jpg", "wp-content/uploads/2022/08/4-4-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1448", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-768x576.jpg", "wp-content/uploads/2022/08/4-4-2-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1449", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-4-2-1200x900.jpg", "wp-content/uploads/2022/08/4-4-2-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1450", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-1024x1024.jpg", "wp-content/uploads/2022/08/3-4-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1451", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-100x100.jpg", "wp-content/uploads/2022/08/3-4-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1452", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-416x312.jpg", "wp-content/uploads/2022/08/3-4-2-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1453", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-300x225.jpg", "wp-content/uploads/2022/08/3-4-2-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1454", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-1024x768.jpg", "wp-content/uploads/2022/08/3-4-2-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1455", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-150x150.jpg", "wp-content/uploads/2022/08/3-4-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1456", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-768x576.jpg", "wp-content/uploads/2022/08/3-4-2-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1457", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-4-2-1200x900.jpg", "wp-content/uploads/2022/08/3-4-2-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1458", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-1024x788.gif", "wp-content/uploads/2022/08/2-2-1024x788.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1459", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-100x100.gif", "wp-content/uploads/2022/08/2-2-100x100.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1460", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-416x234.gif", "wp-content/uploads/2022/08/2-2-416x234.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1461", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-300x169.gif", "wp-content/uploads/2022/08/2-2-300x169.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1462", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-1024x576.gif", "wp-content/uploads/2022/08/2-2-1024x576.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1463", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-150x150.gif", "wp-content/uploads/2022/08/2-2-150x150.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1464", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-768x432.gif", "wp-content/uploads/2022/08/2-2-768x432.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1465", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-1200x675.gif", "wp-content/uploads/2022/08/2-2-1200x675.gif", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1466", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-1024x1024.jpg", "wp-content/uploads/2022/08/1-5-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1467", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-100x100.jpg", "wp-content/uploads/2022/08/1-5-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1468", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-416x234.jpg", "wp-content/uploads/2022/08/1-5-2-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1469", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-300x169.jpg", "wp-content/uploads/2022/08/1-5-2-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1470", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-1024x576.jpg", "wp-content/uploads/2022/08/1-5-2-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1471", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-150x150.jpg", "wp-content/uploads/2022/08/1-5-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1472", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-768x432.jpg", "wp-content/uploads/2022/08/1-5-2-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1473", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-1536x864.jpg", "wp-content/uploads/2022/08/1-5-2-1536x864.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1474", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-5-2-1200x675.jpg", "wp-content/uploads/2022/08/1-5-2-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1475", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-1024x933.jpg", "wp-content/uploads/2022/08/5-2-2-1024x933.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1476", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-100x100.jpg", "wp-content/uploads/2022/08/5-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1477", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-416x277.jpg", "wp-content/uploads/2022/08/5-2-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1478", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-300x200.jpg", "wp-content/uploads/2022/08/5-2-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1479", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-1024x682.jpg", "wp-content/uploads/2022/08/5-2-2-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1480", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-150x150.jpg", "wp-content/uploads/2022/08/5-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1481", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-768x512.jpg", "wp-content/uploads/2022/08/5-2-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1482", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-2-2-1200x800.jpg", "wp-content/uploads/2022/08/5-2-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1483", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-1024x933.jpg", "wp-content/uploads/2022/08/4-3-2-1024x933.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1484", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-100x100.jpg", "wp-content/uploads/2022/08/4-3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1485", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-416x277.jpg", "wp-content/uploads/2022/08/4-3-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1486", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-300x200.jpg", "wp-content/uploads/2022/08/4-3-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1487", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-1024x682.jpg", "wp-content/uploads/2022/08/4-3-2-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1488", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-150x150.jpg", "wp-content/uploads/2022/08/4-3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1489", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-768x512.jpg", "wp-content/uploads/2022/08/4-3-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1490", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-3-2-1200x800.jpg", "wp-content/uploads/2022/08/4-3-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1491", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-1024x800.jpg", "wp-content/uploads/2022/08/3-3-2-1024x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1492", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-100x100.jpg", "wp-content/uploads/2022/08/3-3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1493", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-416x277.jpg", "wp-content/uploads/2022/08/3-3-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1494", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-300x200.jpg", "wp-content/uploads/2022/08/3-3-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1495", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-1024x683.jpg", "wp-content/uploads/2022/08/3-3-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1496", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-150x150.jpg", "wp-content/uploads/2022/08/3-3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1497", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-3-2-768x512.jpg", "wp-content/uploads/2022/08/3-3-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1498", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-1024x933.jpg", "wp-content/uploads/2022/08/2-4-2-1024x933.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1499", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-100x100.jpg", "wp-content/uploads/2022/08/2-4-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1500", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-416x277.jpg", "wp-content/uploads/2022/08/2-4-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1501", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-300x200.jpg", "wp-content/uploads/2022/08/2-4-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1502", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-1024x682.jpg", "wp-content/uploads/2022/08/2-4-2-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1503", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-150x150.jpg", "wp-content/uploads/2022/08/2-4-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1504", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-768x512.jpg", "wp-content/uploads/2022/08/2-4-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1505", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-4-2-1200x800.jpg", "wp-content/uploads/2022/08/2-4-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1506", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-1024x1024.jpg", "wp-content/uploads/2022/08/1-4-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1507", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-100x100.jpg", "wp-content/uploads/2022/08/1-4-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1508", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-416x277.jpg", "wp-content/uploads/2022/08/1-4-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1509", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-300x200.jpg", "wp-content/uploads/2022/08/1-4-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1510", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-1024x683.jpg", "wp-content/uploads/2022/08/1-4-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1511", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-150x150.jpg", "wp-content/uploads/2022/08/1-4-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1512", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-768x512.jpg", "wp-content/uploads/2022/08/1-4-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1513", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-1536x1024.jpg", "wp-content/uploads/2022/08/1-4-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1514", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-4-2-1200x800.jpg", "wp-content/uploads/2022/08/1-4-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1515", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-2-100x100.jpg", "wp-content/uploads/2022/08/10-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1516", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-2-416x305.jpg", "wp-content/uploads/2022/08/10-1-2-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1517", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-2-300x220.jpg", "wp-content/uploads/2022/08/10-1-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1518", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-2-150x150.jpg", "wp-content/uploads/2022/08/10-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1519", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-1-2-768x562.jpg", "wp-content/uploads/2022/08/10-1-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1520", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-2-100x100.jpg", "wp-content/uploads/2022/08/9-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1521", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-2-416x305.jpg", "wp-content/uploads/2022/08/9-2-2-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1522", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-2-300x220.jpg", "wp-content/uploads/2022/08/9-2-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1523", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-2-150x150.jpg", "wp-content/uploads/2022/08/9-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1524", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-2-2-768x562.jpg", "wp-content/uploads/2022/08/9-2-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1525", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-2-100x100.jpg", "wp-content/uploads/2022/08/8-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1526", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-2-416x305.jpg", "wp-content/uploads/2022/08/8-1-2-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1527", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-2-300x220.jpg", "wp-content/uploads/2022/08/8-1-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1528", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-2-150x150.jpg", "wp-content/uploads/2022/08/8-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1529", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-1-2-768x562.jpg", "wp-content/uploads/2022/08/8-1-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1530", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-2-100x100.jpg", "wp-content/uploads/2022/08/7-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1531", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-2-416x305.jpg", "wp-content/uploads/2022/08/7-1-2-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1532", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-2-300x220.jpg", "wp-content/uploads/2022/08/7-1-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1533", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-2-150x150.jpg", "wp-content/uploads/2022/08/7-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1534", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-1-2-768x562.jpg", "wp-content/uploads/2022/08/7-1-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1535", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-2-100x100.jpg", "wp-content/uploads/2022/08/6-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1536", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-2-416x305.jpg", "wp-content/uploads/2022/08/6-2-2-416x305.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1537", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-2-300x220.jpg", "wp-content/uploads/2022/08/6-2-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1538", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-2-150x150.jpg", "wp-content/uploads/2022/08/6-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1539", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-2-2-768x562.jpg", "wp-content/uploads/2022/08/6-2-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:07:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1540", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-1024x1024.jpg", "wp-content/uploads/2022/08/5-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1541", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-100x100.jpg", "wp-content/uploads/2022/08/5-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1542", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-416x304.jpg", "wp-content/uploads/2022/08/5-1-2-416x304.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1543", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-300x219.jpg", "wp-content/uploads/2022/08/5-1-2-300x219.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1544", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-1024x749.jpg", "wp-content/uploads/2022/08/5-1-2-1024x749.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1545", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-150x150.jpg", "wp-content/uploads/2022/08/5-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1546", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-768x562.jpg", "wp-content/uploads/2022/08/5-1-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1547", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-1-2-1200x878.jpg", "wp-content/uploads/2022/08/5-1-2-1200x878.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1548", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-2-100x100.jpg", "wp-content/uploads/2022/08/4-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1549", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-2-416x530.jpg", "wp-content/uploads/2022/08/4-2-2-416x530.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1550", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-2-236x300.jpg", "wp-content/uploads/2022/08/4-2-2-236x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1551", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-2-150x150.jpg", "wp-content/uploads/2022/08/4-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1552", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-2-2-768x978.jpg", "wp-content/uploads/2022/08/4-2-2-768x978.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1553", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-2-100x100.jpg", "wp-content/uploads/2022/08/3-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1554", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-2-416x530.jpg", "wp-content/uploads/2022/08/3-2-2-416x530.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1555", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-2-236x300.jpg", "wp-content/uploads/2022/08/3-2-2-236x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1556", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-2-150x150.jpg", "wp-content/uploads/2022/08/3-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1557", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-2-2-768x978.jpg", "wp-content/uploads/2022/08/3-2-2-768x978.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1558", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-1024x1024.jpg", "wp-content/uploads/2022/08/2-3-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1559", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-100x100.jpg", "wp-content/uploads/2022/08/2-3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1560", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-416x304.jpg", "wp-content/uploads/2022/08/2-3-2-416x304.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1561", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-300x220.jpg", "wp-content/uploads/2022/08/2-3-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1562", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-1024x749.jpg", "wp-content/uploads/2022/08/2-3-2-1024x749.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1563", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-150x150.jpg", "wp-content/uploads/2022/08/2-3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1564", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-768x562.jpg", "wp-content/uploads/2022/08/2-3-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1565", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-1536x1124.jpg", "wp-content/uploads/2022/08/2-3-2-1536x1124.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1566", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-3-2-1200x878.jpg", "wp-content/uploads/2022/08/2-3-2-1200x878.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1567", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-1024x1024.jpg", "wp-content/uploads/2022/08/1-3-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1568", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-100x100.jpg", "wp-content/uploads/2022/08/1-3-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1569", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-416x304.jpg", "wp-content/uploads/2022/08/1-3-2-416x304.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1570", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-300x220.jpg", "wp-content/uploads/2022/08/1-3-2-300x220.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1571", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-1024x749.jpg", "wp-content/uploads/2022/08/1-3-2-1024x749.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1572", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-150x150.jpg", "wp-content/uploads/2022/08/1-3-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1573", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-768x562.jpg", "wp-content/uploads/2022/08/1-3-2-768x562.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1574", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-1536x1124.jpg", "wp-content/uploads/2022/08/1-3-2-1536x1124.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1575", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-3-2-1200x878.jpg", "wp-content/uploads/2022/08/1-3-2-1200x878.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1576", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-1024x1000.jpg", "wp-content/uploads/2022/08/10-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1577", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-100x100.jpg", "wp-content/uploads/2022/08/10-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1578", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-416x277.jpg", "wp-content/uploads/2022/08/10-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1579", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-300x200.jpg", "wp-content/uploads/2022/08/10-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1580", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-1024x683.jpg", "wp-content/uploads/2022/08/10-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1581", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-150x150.jpg", "wp-content/uploads/2022/08/10-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1582", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-768x512.jpg", "wp-content/uploads/2022/08/10-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1583", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/10-3-1200x800.jpg", "wp-content/uploads/2022/08/10-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1584", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-1024x1000.jpg", "wp-content/uploads/2022/08/9-1-2-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1585", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-100x100.jpg", "wp-content/uploads/2022/08/9-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1586", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-416x277.jpg", "wp-content/uploads/2022/08/9-1-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1587", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-300x200.jpg", "wp-content/uploads/2022/08/9-1-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1588", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-1024x683.jpg", "wp-content/uploads/2022/08/9-1-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1589", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-150x150.jpg", "wp-content/uploads/2022/08/9-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1590", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-768x512.jpg", "wp-content/uploads/2022/08/9-1-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1591", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-1-2-1200x800.jpg", "wp-content/uploads/2022/08/9-1-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1592", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-1024x1000.jpg", "wp-content/uploads/2022/08/8-3-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1593", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-100x100.jpg", "wp-content/uploads/2022/08/8-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1594", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-416x277.jpg", "wp-content/uploads/2022/08/8-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1595", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-300x200.jpg", "wp-content/uploads/2022/08/8-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1596", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-1024x683.jpg", "wp-content/uploads/2022/08/8-3-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1597", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-150x150.jpg", "wp-content/uploads/2022/08/8-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1598", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-768x512.jpg", "wp-content/uploads/2022/08/8-3-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1599", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/8-3-1200x800.jpg", "wp-content/uploads/2022/08/8-3-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1600", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-1024x1000.jpg", "wp-content/uploads/2022/08/7-4-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1601", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-100x100.jpg", "wp-content/uploads/2022/08/7-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1602", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-416x277.jpg", "wp-content/uploads/2022/08/7-4-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1603", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-300x200.jpg", "wp-content/uploads/2022/08/7-4-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1604", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-1024x683.jpg", "wp-content/uploads/2022/08/7-4-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1605", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-150x150.jpg", "wp-content/uploads/2022/08/7-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1606", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-768x512.jpg", "wp-content/uploads/2022/08/7-4-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1607", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/7-4-1200x800.jpg", "wp-content/uploads/2022/08/7-4-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1608", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-1024x1000.jpg", "wp-content/uploads/2022/08/6-1-2-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1609", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-100x100.jpg", "wp-content/uploads/2022/08/6-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1610", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-416x277.jpg", "wp-content/uploads/2022/08/6-1-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1611", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-300x200.jpg", "wp-content/uploads/2022/08/6-1-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1612", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-1024x683.jpg", "wp-content/uploads/2022/08/6-1-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1613", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-150x150.jpg", "wp-content/uploads/2022/08/6-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1614", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-768x512.jpg", "wp-content/uploads/2022/08/6-1-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1615", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-1-2-1200x800.jpg", "wp-content/uploads/2022/08/6-1-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1616", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-1024x1000.jpg", "wp-content/uploads/2022/08/3-1-2-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1617", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-100x100.jpg", "wp-content/uploads/2022/08/3-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1618", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-416x277.jpg", "wp-content/uploads/2022/08/3-1-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1619", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-300x200.jpg", "wp-content/uploads/2022/08/3-1-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1620", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-1024x683.jpg", "wp-content/uploads/2022/08/3-1-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1621", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-150x150.jpg", "wp-content/uploads/2022/08/3-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1622", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-768x512.jpg", "wp-content/uploads/2022/08/3-1-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1623", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-1-2-1200x800.jpg", "wp-content/uploads/2022/08/3-1-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1624", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-1024x1000.jpg", "wp-content/uploads/2022/08/2-2-2-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1625", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-100x100.jpg", "wp-content/uploads/2022/08/2-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1626", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-416x277.jpg", "wp-content/uploads/2022/08/2-2-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1627", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-300x200.jpg", "wp-content/uploads/2022/08/2-2-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1628", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-1024x683.jpg", "wp-content/uploads/2022/08/2-2-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1629", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-150x150.jpg", "wp-content/uploads/2022/08/2-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1630", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-768x512.jpg", "wp-content/uploads/2022/08/2-2-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1631", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-2-2-1200x800.jpg", "wp-content/uploads/2022/08/2-2-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1632", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-1024x1000.jpg", "wp-content/uploads/2022/08/1-2-2-1024x1000.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1633", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-100x100.jpg", "wp-content/uploads/2022/08/1-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1634", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-416x277.jpg", "wp-content/uploads/2022/08/1-2-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1635", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-300x200.jpg", "wp-content/uploads/2022/08/1-2-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1636", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-1024x683.jpg", "wp-content/uploads/2022/08/1-2-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1637", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-150x150.jpg", "wp-content/uploads/2022/08/1-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1638", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-768x512.jpg", "wp-content/uploads/2022/08/1-2-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1639", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-2-2-1200x800.jpg", "wp-content/uploads/2022/08/1-2-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1640", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-light-1-2-100x60.png", "wp-content/uploads/2022/08/logo-light-1-2-100x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1641", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-light-1-2-150x60.png", "wp-content/uploads/2022/08/logo-light-1-2-150x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:08:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1642", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-1-2-100x60.png", "wp-content/uploads/2022/08/logo-1-2-100x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1643", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/logo-1-2-150x60.png", "wp-content/uploads/2022/08/logo-1-2-150x60.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1644", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-800x1024.jpg", "wp-content/uploads/2022/08/9-4-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1645", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-100x100.jpg", "wp-content/uploads/2022/08/9-4-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1646", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-416x545.jpg", "wp-content/uploads/2022/08/9-4-416x545.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1647", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-229x300.jpg", "wp-content/uploads/2022/08/9-4-229x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1648", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-782x1024.jpg", "wp-content/uploads/2022/08/9-4-782x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1649", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-150x150.jpg", "wp-content/uploads/2022/08/9-4-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1650", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9-4-768x1006.jpg", "wp-content/uploads/2022/08/9-4-768x1006.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1651", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-800x1024.jpg", "wp-content/uploads/2022/08/6-5-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1652", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-100x100.jpg", "wp-content/uploads/2022/08/6-5-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1653", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-416x543.jpg", "wp-content/uploads/2022/08/6-5-416x543.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1654", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-230x300.jpg", "wp-content/uploads/2022/08/6-5-230x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1655", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-784x1024.jpg", "wp-content/uploads/2022/08/6-5-784x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1656", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-150x150.jpg", "wp-content/uploads/2022/08/6-5-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1657", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/6-5-768x1003.jpg", "wp-content/uploads/2022/08/6-5-768x1003.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1658", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-800x1024.jpg", "wp-content/uploads/2022/08/5-5-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1659", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-100x100.jpg", "wp-content/uploads/2022/08/5-5-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1660", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-416x543.jpg", "wp-content/uploads/2022/08/5-5-416x543.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1661", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-230x300.jpg", "wp-content/uploads/2022/08/5-5-230x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1662", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-784x1024.jpg", "wp-content/uploads/2022/08/5-5-784x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1663", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-150x150.jpg", "wp-content/uploads/2022/08/5-5-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1664", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/5-5-768x1003.jpg", "wp-content/uploads/2022/08/5-5-768x1003.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1665", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-800x1024.jpg", "wp-content/uploads/2022/08/4-1-2-800x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1666", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-100x100.jpg", "wp-content/uploads/2022/08/4-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1667", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-416x553.jpg", "wp-content/uploads/2022/08/4-1-2-416x553.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1668", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-226x300.jpg", "wp-content/uploads/2022/08/4-1-2-226x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1669", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-771x1024.jpg", "wp-content/uploads/2022/08/4-1-2-771x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1670", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-150x150.jpg", "wp-content/uploads/2022/08/4-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1671", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-1-2-768x1020.jpg", "wp-content/uploads/2022/08/4-1-2-768x1020.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:09:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1672", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-1024x1024.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1673", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-100x100.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1674", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-416x527.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-416x527.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1675", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-237x300.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-237x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1676", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-808x1024.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-808x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1677", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-150x150.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1678", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-768x973.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-768x973.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1679", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-1212x1536.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-1212x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1680", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/f8706c146067617-2-1200x1521.jpg", "wp-content/uploads/2022/08/f8706c146067617-2-1200x1521.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1681", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-1024x1024.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1682", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-100x100.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1683", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-416x546.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-416x546.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1684", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-228x300.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-228x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1685", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-780x1024.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-780x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1686", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-150x150.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1687", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-768x1009.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-768x1009.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1688", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-1169x1536.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-1169x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1689", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-1200x1576.jpg", "wp-content/uploads/2022/08/9110f5146067617.62a9b2a9f3154-2-1200x1576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1690", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-1024x1024.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1691", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-100x100.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1692", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-416x513.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-416x513.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1693", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-243x300.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-243x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1694", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-831x1024.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-831x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1695", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-150x150.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1696", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-768x946.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-768x946.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1697", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-1247x1536.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-1247x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1698", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-1200x1479.jpg", "wp-content/uploads/2022/08/9d6c76146067617.62a9b2aa00784-2-1200x1479.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1699", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-1024x1024.jpg", "wp-content/uploads/2022/08/2-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1700", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-100x100.jpg", "wp-content/uploads/2022/08/2-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1701", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-416x550.jpg", "wp-content/uploads/2022/08/2-1-2-416x550.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1702", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-227x300.jpg", "wp-content/uploads/2022/08/2-1-2-227x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1703", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-775x1024.jpg", "wp-content/uploads/2022/08/2-1-2-775x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1704", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-150x150.jpg", "wp-content/uploads/2022/08/2-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1705", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-768x1015.jpg", "wp-content/uploads/2022/08/2-1-2-768x1015.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1706", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-1162x1536.jpg", "wp-content/uploads/2022/08/2-1-2-1162x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1707", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-1-2-1200x1587.jpg", "wp-content/uploads/2022/08/2-1-2-1200x1587.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1708", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-1024x1024.jpg", "wp-content/uploads/2022/08/1-1-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1709", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-100x100.jpg", "wp-content/uploads/2022/08/1-1-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1710", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-416x560.jpg", "wp-content/uploads/2022/08/1-1-2-416x560.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1711", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-223x300.jpg", "wp-content/uploads/2022/08/1-1-2-223x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1712", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-760x1024.jpg", "wp-content/uploads/2022/08/1-1-2-760x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1713", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-150x150.jpg", "wp-content/uploads/2022/08/1-1-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1714", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-768x1035.jpg", "wp-content/uploads/2022/08/1-1-2-768x1035.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1715", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-1140x1536.jpg", "wp-content/uploads/2022/08/1-1-2-1140x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1716", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-1-2-1200x1617.jpg", "wp-content/uploads/2022/08/1-1-2-1200x1617.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1717", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-1024x1024.jpg", "wp-content/uploads/2022/08/4-scaled-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1718", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-100x100.jpg", "wp-content/uploads/2022/08/4-scaled-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1719", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-416x234.jpg", "wp-content/uploads/2022/08/4-scaled-3-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1720", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-300x169.jpg", "wp-content/uploads/2022/08/4-scaled-3-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1721", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-1024x576.jpg", "wp-content/uploads/2022/08/4-scaled-3-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1722", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-150x150.jpg", "wp-content/uploads/2022/08/4-scaled-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1723", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-768x432.jpg", "wp-content/uploads/2022/08/4-scaled-3-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1724", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-1536x864.jpg", "wp-content/uploads/2022/08/4-scaled-3-1536x864.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1725", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-2048x1152.jpg", "wp-content/uploads/2022/08/4-scaled-3-2048x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1726", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/4-scaled-3-1200x675.jpg", "wp-content/uploads/2022/08/4-scaled-3-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1727", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-1024x788.jpg", "wp-content/uploads/2022/08/2-7-1024x788.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1728", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-100x100.jpg", "wp-content/uploads/2022/08/2-7-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1729", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-416x234.jpg", "wp-content/uploads/2022/08/2-7-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1730", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-300x169.jpg", "wp-content/uploads/2022/08/2-7-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1731", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-1024x576.jpg", "wp-content/uploads/2022/08/2-7-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1732", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-150x150.jpg", "wp-content/uploads/2022/08/2-7-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1733", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-768x432.jpg", "wp-content/uploads/2022/08/2-7-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1734", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/2-7-1200x675.jpg", "wp-content/uploads/2022/08/2-7-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1735", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-1024x788.jpg", "wp-content/uploads/2022/08/3-7-1024x788.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1736", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-100x100.jpg", "wp-content/uploads/2022/08/3-7-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1737", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-416x234.jpg", "wp-content/uploads/2022/08/3-7-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1738", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-300x169.jpg", "wp-content/uploads/2022/08/3-7-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1739", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-1024x576.jpg", "wp-content/uploads/2022/08/3-7-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1740", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-150x150.jpg", "wp-content/uploads/2022/08/3-7-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1741", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-768x432.jpg", "wp-content/uploads/2022/08/3-7-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1742", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/3-7-1200x675.jpg", "wp-content/uploads/2022/08/3-7-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1743", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2-100x100.jpg", "wp-content/uploads/2019/01/hoodie-2-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1744", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2-416x416.jpg", "wp-content/uploads/2019/01/hoodie-2-2-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1745", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2-300x300.jpg", "wp-content/uploads/2019/01/hoodie-2-2-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1746", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2-150x150.jpg", "wp-content/uploads/2019/01/hoodie-2-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1747", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2-768x768.jpg", "wp-content/uploads/2019/01/hoodie-2-2-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1748", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-1024x1024.jpg", "wp-content/uploads/2022/08/1-scaled-3-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1749", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-100x100.jpg", "wp-content/uploads/2022/08/1-scaled-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1750", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-416x234.jpg", "wp-content/uploads/2022/08/1-scaled-3-416x234.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1751", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-300x169.jpg", "wp-content/uploads/2022/08/1-scaled-3-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1752", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-1024x576.jpg", "wp-content/uploads/2022/08/1-scaled-3-1024x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1753", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-150x150.jpg", "wp-content/uploads/2022/08/1-scaled-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1754", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-768x432.jpg", "wp-content/uploads/2022/08/1-scaled-3-768x432.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1755", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-1536x864.jpg", "wp-content/uploads/2022/08/1-scaled-3-1536x864.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1756", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-2048x1152.jpg", "wp-content/uploads/2022/08/1-scaled-3-2048x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1757", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3-1200x675.jpg", "wp-content/uploads/2022/08/1-scaled-3-1200x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 11:10:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1758", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-300x157.png", "wp-content/uploads/2023/05/My-project-1-1-300x157.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1759", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-1024x537.png", "wp-content/uploads/2023/05/My-project-1-1-1024x537.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1760", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-150x150.png", "wp-content/uploads/2023/05/My-project-1-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1761", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-768x402.png", "wp-content/uploads/2023/05/My-project-1-1-768x402.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1762", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-1024x566.png", "wp-content/uploads/2023/05/My-project-1-1-1024x566.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1763", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-416x218.png", "wp-content/uploads/2023/05/My-project-1-1-416x218.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1764", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/My-project-1-1-100x100.png", "wp-content/uploads/2023/05/My-project-1-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:40:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1765", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-300x125.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-300x125.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1766", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1024x428.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1024x428.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1767", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-150x150.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1768", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-768x321.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-768x321.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1769", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1536x642.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1536x642.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1770", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-2048x856.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-2048x856.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1771", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1200x502.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1200x502.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1772", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1024x1024.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-1024x1024.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1773", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-416x174.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-416x174.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1774", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-100x100.png", "wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 11:42:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1775", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-scaled.jpg", "wp-content/uploads/2023/05/IMG_9580-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1776", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-300x300.jpg", "wp-content/uploads/2023/05/IMG_9580-1-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1777", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-1024x1024.jpg", "wp-content/uploads/2023/05/IMG_9580-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1778", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-150x150.jpg", "wp-content/uploads/2023/05/IMG_9580-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1779", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-768x768.jpg", "wp-content/uploads/2023/05/IMG_9580-1-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1780", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-1536x1536.jpg", "wp-content/uploads/2023/05/IMG_9580-1-1536x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1781", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-2048x2048.jpg", "wp-content/uploads/2023/05/IMG_9580-1-2048x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1782", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-1200x1200.jpg", "wp-content/uploads/2023/05/IMG_9580-1-1200x1200.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1783", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-416x416.jpg", "wp-content/uploads/2023/05/IMG_9580-1-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1784", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/IMG_9580-1-100x100.jpg", "wp-content/uploads/2023/05/IMG_9580-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:11:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1785", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/impronta_restaurant-1-1-300x300.jpg", "wp-content/uploads/2023/05/impronta_restaurant-1-1-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1786", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/impronta_restaurant-1-1-150x150.jpg", "wp-content/uploads/2023/05/impronta_restaurant-1-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1787", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/impronta_restaurant-1-1-768x768.jpg", "wp-content/uploads/2023/05/impronta_restaurant-1-1-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1788", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/impronta_restaurant-1-1-416x416.jpg", "wp-content/uploads/2023/05/impronta_restaurant-1-1-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1789", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/impronta_restaurant-1-1-100x100.jpg", "wp-content/uploads/2023/05/impronta_restaurant-1-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1790", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/thank-me_after-min-1-1-300x300.jpg", "wp-content/uploads/2023/05/thank-me_after-min-1-1-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1791", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/thank-me_after-min-1-1-150x150.jpg", "wp-content/uploads/2023/05/thank-me_after-min-1-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1792", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/thank-me_after-min-1-1-768x768.jpg", "wp-content/uploads/2023/05/thank-me_after-min-1-1-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1793", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/thank-me_after-min-1-1-416x416.jpg", "wp-content/uploads/2023/05/thank-me_after-min-1-1-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1794", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/thank-me_after-min-1-1-100x100.jpg", "wp-content/uploads/2023/05/thank-me_after-min-1-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:12:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1795", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-scaled.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1796", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-200x300.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1797", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-683x1024.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1798", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-150x150.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1799", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-768x1152.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1800", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1024x1536.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1801", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1365x2048.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1365x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1802", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1200x1800.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1803", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1024x1024.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1804", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-416x624.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1805", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-100x100.jpg", "wp-content/uploads/2023/05/Kook-Studio-2022-4-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-30 12:27:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1806", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/pongo-1-300x300.png", "wp-content/uploads/2023/05/pongo-1-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:46:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1807", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/pongo-1-150x150.png", "wp-content/uploads/2023/05/pongo-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:46:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1808", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/pongo-1-416x416.png", "wp-content/uploads/2023/05/pongo-1-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:46:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1809", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/pongo-1-100x100.png", "wp-content/uploads/2023/05/pongo-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:46:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1810", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-300x128.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-300x128.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1811", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-1024x437.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-1024x437.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1812", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-150x150.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1813", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-768x328.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-768x328.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1814", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-1536x655.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-1536x655.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1815", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-1200x512.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-1200x512.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1816", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-1024x853.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-1024x853.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1817", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-416x177.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-416x177.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1818", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/logo_primary_light-1-1-100x100.png", "wp-content/uploads/2023/05/logo_primary_light-1-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1819", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-300x93.png", "wp-content/uploads/2023/05/partoo_logo-1-300x93.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1820", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-1024x316.png", "wp-content/uploads/2023/05/partoo_logo-1-1024x316.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1821", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-150x150.png", "wp-content/uploads/2023/05/partoo_logo-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1822", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-768x237.png", "wp-content/uploads/2023/05/partoo_logo-1-768x237.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1823", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-1024x358.png", "wp-content/uploads/2023/05/partoo_logo-1-1024x358.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1824", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-416x128.png", "wp-content/uploads/2023/05/partoo_logo-1-416x128.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1825", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/partoo_logo-1-100x100.png", "wp-content/uploads/2023/05/partoo_logo-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:47:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1826", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-300x72.png", "wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-300x72.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1827", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-150x139.png", "wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-150x139.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1828", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-416x100.png", "wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-416x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1829", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-100x100.png", "wp-content/uploads/2023/05/61378a6aa73744d413238ebf_HEMBLEM-logo-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1830", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-300x75.png", "wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-300x75.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1831", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-150x150.png", "wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1832", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-768x192.png", "wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-768x192.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1833", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-416x104.png", "wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-416x104.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1834", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-100x100.png", "wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:48:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1835", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-300x169.png", "wp-content/uploads/2023/05/Meta-Logo-1-300x169.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1836", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-1024x576.png", "wp-content/uploads/2023/05/Meta-Logo-1-1024x576.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1837", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-150x150.png", "wp-content/uploads/2023/05/Meta-Logo-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1838", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-768x432.png", "wp-content/uploads/2023/05/Meta-Logo-1-768x432.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1839", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-1536x864.png", "wp-content/uploads/2023/05/Meta-Logo-1-1536x864.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1840", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-2048x1152.png", "wp-content/uploads/2023/05/Meta-Logo-1-2048x1152.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1841", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-1200x675.png", "wp-content/uploads/2023/05/Meta-Logo-1-1200x675.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1842", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-1024x1024.png", "wp-content/uploads/2023/05/Meta-Logo-1-1024x1024.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1843", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-416x234.png", "wp-content/uploads/2023/05/Meta-Logo-1-416x234.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1844", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Meta-Logo-1-100x100.png", "wp-content/uploads/2023/05/Meta-Logo-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-30 12:49:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1845", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1846", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-300x200.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-300x200.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1847", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-1024x683.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-1024x683.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1848", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-150x150.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1849", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-768x512.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-768x512.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1850", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-1536x1024.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-1536x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1851", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-2048x1365.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-2048x1365.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1852", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-1200x800.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-1200x800.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1853", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-1024x1024.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-1024x1024.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1854", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-416x277.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-416x277.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1855", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-100x100.jpeg", "wp-content/uploads/2022/08/xZ3rAYpY-1-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 09:15:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1856", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-scaled.jpg", "wp-content/uploads/2022/08/BAP_MR_015-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1857", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-200x300.jpg", "wp-content/uploads/2022/08/BAP_MR_015-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1858", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-683x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_015-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1859", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-150x150.jpg", "wp-content/uploads/2022/08/BAP_MR_015-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1860", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-768x1152.jpg", "wp-content/uploads/2022/08/BAP_MR_015-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1861", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-1024x1536.jpg", "wp-content/uploads/2022/08/BAP_MR_015-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1862", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-1365x2048.jpg", "wp-content/uploads/2022/08/BAP_MR_015-1365x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1863", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-1200x1800.jpg", "wp-content/uploads/2022/08/BAP_MR_015-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1864", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-1024x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_015-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1865", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-416x624.jpg", "wp-content/uploads/2022/08/BAP_MR_015-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1866", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_015-100x100.jpg", "wp-content/uploads/2022/08/BAP_MR_015-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:24:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1867", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-scaled.jpg", "wp-content/uploads/2022/08/BAP_MR_031-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1868", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-200x300.jpg", "wp-content/uploads/2022/08/BAP_MR_031-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1869", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-683x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_031-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1870", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-150x150.jpg", "wp-content/uploads/2022/08/BAP_MR_031-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1871", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-768x1152.jpg", "wp-content/uploads/2022/08/BAP_MR_031-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1872", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-1024x1536.jpg", "wp-content/uploads/2022/08/BAP_MR_031-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1873", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-1365x2048.jpg", "wp-content/uploads/2022/08/BAP_MR_031-1365x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1874", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-1200x1800.jpg", "wp-content/uploads/2022/08/BAP_MR_031-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1875", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-1024x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_031-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1876", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-416x624.jpg", "wp-content/uploads/2022/08/BAP_MR_031-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1877", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_031-100x100.jpg", "wp-content/uploads/2022/08/BAP_MR_031-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:25:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1878", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-scaled.jpg", "wp-content/uploads/2022/08/BAP_MR_008-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1879", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-200x300.jpg", "wp-content/uploads/2022/08/BAP_MR_008-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1880", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-683x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_008-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1881", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-150x150.jpg", "wp-content/uploads/2022/08/BAP_MR_008-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1882", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-768x1152.jpg", "wp-content/uploads/2022/08/BAP_MR_008-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1883", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-1024x1536.jpg", "wp-content/uploads/2022/08/BAP_MR_008-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1884", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-1365x2048.jpg", "wp-content/uploads/2022/08/BAP_MR_008-1365x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:30:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1885", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-1200x1800.jpg", "wp-content/uploads/2022/08/BAP_MR_008-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:31:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1886", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-1024x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_008-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:31:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1887", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-416x624.jpg", "wp-content/uploads/2022/08/BAP_MR_008-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:31:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1888", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_008-100x100.jpg", "wp-content/uploads/2022/08/BAP_MR_008-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:31:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1889", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-scaled.jpg", "wp-content/uploads/2022/08/BAP_MR_017-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1890", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-200x300.jpg", "wp-content/uploads/2022/08/BAP_MR_017-200x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1891", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-683x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_017-683x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1892", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-150x150.jpg", "wp-content/uploads/2022/08/BAP_MR_017-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1893", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-768x1152.jpg", "wp-content/uploads/2022/08/BAP_MR_017-768x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1894", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-1024x1536.jpg", "wp-content/uploads/2022/08/BAP_MR_017-1024x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1895", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-1365x2048.jpg", "wp-content/uploads/2022/08/BAP_MR_017-1365x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1896", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-1200x1800.jpg", "wp-content/uploads/2022/08/BAP_MR_017-1200x1800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1897", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-1024x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_017-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1898", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-416x624.jpg", "wp-content/uploads/2022/08/BAP_MR_017-416x624.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1899", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_017-100x100.jpg", "wp-content/uploads/2022/08/BAP_MR_017-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:32:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1900", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-scaled.jpg", "wp-content/uploads/2022/08/BAP_MR_028-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1901", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-300x200.jpg", "wp-content/uploads/2022/08/BAP_MR_028-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1902", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-1024x683.jpg", "wp-content/uploads/2022/08/BAP_MR_028-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1903", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-150x150.jpg", "wp-content/uploads/2022/08/BAP_MR_028-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1904", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-768x512.jpg", "wp-content/uploads/2022/08/BAP_MR_028-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1905", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-1536x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_028-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1906", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-2048x1365.jpg", "wp-content/uploads/2022/08/BAP_MR_028-2048x1365.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1907", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-1200x800.jpg", "wp-content/uploads/2022/08/BAP_MR_028-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1908", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-1024x1024.jpg", "wp-content/uploads/2022/08/BAP_MR_028-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1909", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-416x277.jpg", "wp-content/uploads/2022/08/BAP_MR_028-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1910", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/08/BAP_MR_028-100x100.jpg", "wp-content/uploads/2022/08/BAP_MR_028-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:33:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1911", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1912", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-300x225.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1913", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1024x768.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1914", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-150x150.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1915", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-768x576.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1916", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1536x1152.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-1536x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1917", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-2048x1536.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-2048x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1918", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1200x900.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1919", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-1024x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1920", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-416x312.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1921", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-100x100.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_006-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:45:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1922", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-scaled.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:46:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1923", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-225x300.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-225x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:46:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1924", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-768x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-768x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:46:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1925", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-150x150.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:46:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1926", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1152x1536.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-1152x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:46:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1927", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1536x2048.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-1536x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:47:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1928", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1200x1600.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-1200x1600.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:47:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1929", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-1024x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:47:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1930", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-416x555.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-416x555.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:47:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1931", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-100x100.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_004-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:47:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1932", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-scaled.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1933", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-225x300.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-225x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1934", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-768x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-768x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1935", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-150x150.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1936", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1152x1536.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-1152x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1937", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1536x2048.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-1536x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1938", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1200x1600.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-1200x1600.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1939", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-1024x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1940", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-416x555.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-416x555.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1941", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-100x100.jpg", "wp-content/uploads/2023/05/GABRIELA_A_MR_016-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:48:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1942", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-scaled.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1943", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-300x200.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1944", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1024x683.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1945", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-150x150.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1946", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-768x512.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1947", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1536x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1948", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-2048x1365.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-2048x1365.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:50:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1949", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1200x800.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:51:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1950", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-1024x1024.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:51:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1951", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-416x277.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:51:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1952", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-100x100.jpg", "wp-content/uploads/2023/05/GABRIELA_MR_006-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 09:51:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1953", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1954", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-300x240.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-300x240.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:00:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1955", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-1024x819.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-1024x819.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1956", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-150x150.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1957", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-768x614.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-768x614.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1958", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-1536x1229.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-1536x1229.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1959", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-2048x1638.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-2048x1638.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1960", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-1200x960.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-1200x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1961", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-1024x1024.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1962", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-416x333.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-416x333.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1963", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-100x100.jpg", "wp-content/uploads/2023/05/FUERO_MR_6-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1964", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-scaled.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1965", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-300x225.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1966", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-1024x768.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-1024x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1967", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-150x150.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1968", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-768x576.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-768x576.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1969", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-1536x1152.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-1536x1152.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1970", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-2048x1536.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-2048x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1971", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-1200x900.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-1200x900.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:01:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1972", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-1024x1024.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1973", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-416x312.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1974", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_43-100x100.jpg", "wp-content/uploads/2023/05/FUERO_MR_43-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1975", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-scaled.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1976", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-240x300.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1977", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-819x1024.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1978", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-150x150.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1979", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-768x960.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1980", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-1229x1536.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1981", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-1638x2048.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1982", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-1200x1500.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1983", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-1024x1024.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1984", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-416x520.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1985", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_26-100x100.jpg", "wp-content/uploads/2023/05/FUERO_MR_26-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:02:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1986", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-scaled.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1987", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-240x300.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1988", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-819x1024.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1989", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-150x150.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1990", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-768x960.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1991", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-1229x1536.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1992", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-1638x2048.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1993", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-1200x1500.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1994", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-1024x1024.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1995", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-416x520.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1996", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_29-100x100.jpg", "wp-content/uploads/2023/05/FUERO_MR_29-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:03:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1997", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-scaled.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1998", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-240x300.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("1999", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-819x1024.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2000", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-150x150.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2001", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-768x960.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2002", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-1229x1536.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2003", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-1638x2048.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2004", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-1200x1500.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2005", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-1024x1024.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2006", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-416x520.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:16:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2007", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_44-1-100x100.jpg", "wp-content/uploads/2023/05/BIA_MR_44-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:17:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2008", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/blackdsn-contact.xml_.txt", "wp-content/uploads/2023/05/blackdsn-contact.xml_.txt", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2009", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-scaled.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2010", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-240x300.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2011", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-819x1024.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2012", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-150x150.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2013", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-768x960.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2014", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-1229x1536.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2015", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-1638x2048.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2016", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-1200x1500.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2017", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-1024x1024.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2018", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-416x520.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2019", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_26-1-100x100.jpg", "wp-content/uploads/2023/05/BIA_MR_26-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:19:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2020", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-scaled.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2021", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-240x300.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2022", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-819x1024.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2023", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-150x150.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2024", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-768x960.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2025", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-1229x1536.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2026", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-1638x2048.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2027", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-1200x1500.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2028", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-1024x1024.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2029", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-416x520.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2030", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/BIA_MR_37-1-100x100.jpg", "wp-content/uploads/2023/05/BIA_MR_37-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:20:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2031", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-300x300.png", "wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-300x300.png", "3", "Clé d’autorisation vide.", "2023-05-31 10:24:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2032", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-150x150.png", "wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-31 10:24:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2033", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-768x768.png", "wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-768x768.png", "3", "Clé d’autorisation vide.", "2023-05-31 10:24:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2034", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-416x416.png", "wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-416x416.png", "3", "Clé d’autorisation vide.", "2023-05-31 10:24:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2035", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-100x100.png", "wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-31 10:24:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2036", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2037", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-240x300.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2038", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-819x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2039", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-150x150.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2040", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-768x960.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2041", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-1229x1536.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2042", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-1638x2048.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2043", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-1200x1500.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:30:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2044", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-1024x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:31:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2045", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-416x520.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:31:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2046", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-100x100.jpg", "wp-content/uploads/2023/05/DANDY_MR_129-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:31:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2047", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-scaled.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2048", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-240x300.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2049", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-819x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2050", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-150x150.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2051", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-768x960.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2052", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-1229x1536.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2053", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-1638x2048.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2054", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-1200x1500.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2055", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-1024x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2056", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-416x520.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2057", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_115-1-100x100.jpg", "wp-content/uploads/2023/05/DANDY_MR_115-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:34:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2058", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-scaled.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2059", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-240x300.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2060", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-819x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2061", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-150x150.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2062", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-768x960.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2063", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-1229x1536.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2064", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-1638x2048.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2065", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-1200x1500.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2066", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-1024x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2067", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-416x520.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2068", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_144-1-100x100.jpg", "wp-content/uploads/2023/05/DANDY_MR_144-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:36:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2069", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-scaled.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2070", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-300x240.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-300x240.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2071", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-1024x819.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-1024x819.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2072", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-150x150.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2073", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-768x614.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-768x614.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2074", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-1536x1229.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-1536x1229.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2075", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-2048x1638.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-2048x1638.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2076", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-1200x960.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-1200x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2077", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-1024x1024.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2078", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-416x333.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-416x333.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2079", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_19-1-100x100.jpg", "wp-content/uploads/2023/05/DANDY_MR_19-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:37:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2080", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg", "wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:45:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2081", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-240x300.jpg", "wp-content/uploads/2023/05/369_MR_8-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:45:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2082", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-819x1024.jpg", "wp-content/uploads/2023/05/369_MR_8-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:45:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2083", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-150x150.jpg", "wp-content/uploads/2023/05/369_MR_8-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:45:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2084", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-768x960.jpg", "wp-content/uploads/2023/05/369_MR_8-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:45:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2085", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-1229x1536.jpg", "wp-content/uploads/2023/05/369_MR_8-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:46:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2086", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-1638x2048.jpg", "wp-content/uploads/2023/05/369_MR_8-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:46:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2087", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-1200x1500.jpg", "wp-content/uploads/2023/05/369_MR_8-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:46:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2088", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-1024x1024.jpg", "wp-content/uploads/2023/05/369_MR_8-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:46:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2089", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-416x520.jpg", "wp-content/uploads/2023/05/369_MR_8-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:46:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2090", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-100x100.jpg", "wp-content/uploads/2023/05/369_MR_8-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:46:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2091", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-scaled.jpg", "wp-content/uploads/2023/05/369_MR_175-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2092", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-240x300.jpg", "wp-content/uploads/2023/05/369_MR_175-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2093", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-819x1024.jpg", "wp-content/uploads/2023/05/369_MR_175-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2094", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-150x150.jpg", "wp-content/uploads/2023/05/369_MR_175-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2095", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-768x960.jpg", "wp-content/uploads/2023/05/369_MR_175-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2096", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-1229x1536.jpg", "wp-content/uploads/2023/05/369_MR_175-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2097", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-1639x2048.jpg", "wp-content/uploads/2023/05/369_MR_175-1-1639x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2098", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-1200x1500.jpg", "wp-content/uploads/2023/05/369_MR_175-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2099", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-1024x1024.jpg", "wp-content/uploads/2023/05/369_MR_175-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2100", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-416x520.jpg", "wp-content/uploads/2023/05/369_MR_175-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2101", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-1-100x100.jpg", "wp-content/uploads/2023/05/369_MR_175-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2102", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-scaled.jpg", "wp-content/uploads/2023/05/369_MR_91-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2103", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-240x300.jpg", "wp-content/uploads/2023/05/369_MR_91-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2104", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-819x1024.jpg", "wp-content/uploads/2023/05/369_MR_91-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2105", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-150x150.jpg", "wp-content/uploads/2023/05/369_MR_91-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2106", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-768x960.jpg", "wp-content/uploads/2023/05/369_MR_91-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2107", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-1229x1536.jpg", "wp-content/uploads/2023/05/369_MR_91-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2108", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-1638x2048.jpg", "wp-content/uploads/2023/05/369_MR_91-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2109", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-1200x1500.jpg", "wp-content/uploads/2023/05/369_MR_91-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2110", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-1024x1024.jpg", "wp-content/uploads/2023/05/369_MR_91-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2111", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-416x520.jpg", "wp-content/uploads/2023/05/369_MR_91-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2112", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_91-1-100x100.jpg", "wp-content/uploads/2023/05/369_MR_91-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:47:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2113", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-scaled.jpg", "wp-content/uploads/2023/05/369_MR_9-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2114", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-240x300.jpg", "wp-content/uploads/2023/05/369_MR_9-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2115", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-819x1024.jpg", "wp-content/uploads/2023/05/369_MR_9-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2116", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-150x150.jpg", "wp-content/uploads/2023/05/369_MR_9-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2117", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-768x960.jpg", "wp-content/uploads/2023/05/369_MR_9-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2118", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-1229x1536.jpg", "wp-content/uploads/2023/05/369_MR_9-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2119", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-1638x2048.jpg", "wp-content/uploads/2023/05/369_MR_9-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2120", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-1200x1500.jpg", "wp-content/uploads/2023/05/369_MR_9-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2121", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-1024x1024.jpg", "wp-content/uploads/2023/05/369_MR_9-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2122", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-416x520.jpg", "wp-content/uploads/2023/05/369_MR_9-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2123", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_9-1-100x100.jpg", "wp-content/uploads/2023/05/369_MR_9-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:49:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2124", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-scaled.jpg", "wp-content/uploads/2023/05/369_MR_175-2-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2125", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-240x300.jpg", "wp-content/uploads/2023/05/369_MR_175-2-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2126", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-819x1024.jpg", "wp-content/uploads/2023/05/369_MR_175-2-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2127", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-150x150.jpg", "wp-content/uploads/2023/05/369_MR_175-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2128", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-768x960.jpg", "wp-content/uploads/2023/05/369_MR_175-2-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2129", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-1229x1536.jpg", "wp-content/uploads/2023/05/369_MR_175-2-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2130", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-1639x2048.jpg", "wp-content/uploads/2023/05/369_MR_175-2-1639x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2131", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-1200x1500.jpg", "wp-content/uploads/2023/05/369_MR_175-2-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2132", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-1024x1024.jpg", "wp-content/uploads/2023/05/369_MR_175-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2133", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-416x520.jpg", "wp-content/uploads/2023/05/369_MR_175-2-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:50:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2134", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/369_MR_175-2-100x100.jpg", "wp-content/uploads/2023/05/369_MR_175-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:51:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2135", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:56:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2136", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-240x300.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:56:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2137", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-819x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2138", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-150x150.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2139", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-768x960.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2140", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1229x1536.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2141", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1638x2048.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2142", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1200x1500.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2143", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-1024x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2144", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-416x520.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2145", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-100x100.jpg", "wp-content/uploads/2023/05/CODERACK_MR_17-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:57:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2146", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-scaled.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:58:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2147", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-240x300.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:58:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2148", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-819x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:58:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2149", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-150x150.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:58:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2150", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-768x960.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2151", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1229x1536.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2152", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1638x2048.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2153", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1200x1500.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2154", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-1024x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2155", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-416x520.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2156", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_10-1-100x100.jpg", "wp-content/uploads/2023/05/CODERACK_MR_10-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2157", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-scaled.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 10:59:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2158", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-240x300.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2159", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-819x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2160", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-150x150.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2161", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-768x960.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2162", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1229x1536.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2163", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1638x2048.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2164", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1200x1500.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2165", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-1024x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2166", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-416x520.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2167", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_63-1-100x100.jpg", "wp-content/uploads/2023/05/CODERACK_MR_63-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2168", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-scaled.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2169", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-240x300.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2170", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-819x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2171", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-150x150.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2172", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-768x960.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2173", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-1229x1536.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2174", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-1638x2048.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:00:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2175", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-1200x1500.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:01:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2176", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-1024x1024.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:01:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2177", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-416x520.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:01:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2178", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_1-100x100.jpg", "wp-content/uploads/2023/05/CODERACK_MR_1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:01:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2179", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2180", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-240x300.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2181", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-819x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2182", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-150x150.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2183", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-768x960.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2184", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1229x1536.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2185", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1638x2048.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2186", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1200x1500.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:28");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2187", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1024x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2188", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-416x520.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2189", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-100x100.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_6-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:05:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2190", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-scaled.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:06:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2191", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-240x300.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2192", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-819x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2193", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-150x150.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2194", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-768x960.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2195", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1229x1536.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2196", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1638x2048.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2197", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1200x1500.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2198", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1024x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2199", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-416x520.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2200", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-100x100.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_26-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2201", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-scaled.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:07:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2202", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-240x300.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2203", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-819x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2204", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-150x150.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2205", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-768x960.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2206", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1229x1536.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2207", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1638x2048.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2208", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1200x1500.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2209", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1024x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2210", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-416x520.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2211", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-100x100.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_13-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:08:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2212", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-scaled.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2213", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-240x300.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2214", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-819x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2215", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-150x150.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2216", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-768x960.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2217", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1229x1536.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2218", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1638x2048.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2219", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1200x1500.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2220", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1024x1024.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2221", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-416x520.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2222", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-100x100.jpg", "wp-content/uploads/2023/05/LOUGARDO_MR_96-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:09:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2223", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:27");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2224", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-300x240.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-300x240.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2225", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1024x819.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1024x819.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2226", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-150x150.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2227", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-768x614.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-768x614.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2228", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1536x1229.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1536x1229.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2229", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-2048x1638.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-2048x1638.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2230", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1200x960.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1200x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2231", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1024x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2232", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-416x333.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-416x333.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2233", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-100x100.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:15:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2234", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-scaled.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2235", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-240x300.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2236", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-819x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2237", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-150x150.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2238", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-768x960.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2239", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1229x1536.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2240", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1638x2048.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2241", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1200x1500.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2242", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1024x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2243", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-416x520.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2244", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-100x100.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:16:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2245", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-scaled.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2246", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-240x300.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2247", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-819x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2248", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-150x150.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2249", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-768x960.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2250", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1229x1536.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2251", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1638x2048.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:17:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2252", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1200x1500.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2253", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1024x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2254", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-416x520.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2255", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-100x100.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2256", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-scaled.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2257", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-240x300.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2258", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-819x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2259", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-150x150.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2260", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-768x960.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2261", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1229x1536.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2262", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1638x2048.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2263", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1200x1500.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2264", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1024x1024.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2265", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-416x520.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2266", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-100x100.jpg", "wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:18:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2267", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:24:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2268", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-240x300.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:24:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2269", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-819x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:24:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2270", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-150x150.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2271", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-768x960.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2272", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1229x1536.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2273", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1638x2048.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2274", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1200x1500.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2275", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-1024x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2276", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-416x520.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2277", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-100x100.jpg", "wp-content/uploads/2023/05/MOJITO_MR_86-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2278", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-scaled.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2279", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-240x300.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2280", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-819x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:25:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2281", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-150x150.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2282", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-768x960.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2283", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1229x1536.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2284", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1638x2048.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2285", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1200x1500.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2286", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-1024x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2287", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-416x520.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2288", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_15-1-100x100.jpg", "wp-content/uploads/2023/05/MOJITO_MR_15-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:26:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2289", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-scaled.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2290", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-240x300.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2291", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-819x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2292", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-150x150.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2293", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-768x960.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2294", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1229x1536.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2295", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1638x2048.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:19");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2296", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1200x1500.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2297", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-1024x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:22");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2298", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-416x520.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2299", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_50-1-100x100.jpg", "wp-content/uploads/2023/05/MOJITO_MR_50-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2300", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-scaled.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:27:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2301", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-240x300.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2302", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-819x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2303", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-150x150.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2304", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-768x960.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2305", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1229x1536.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2306", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1638x2048.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2307", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1200x1500.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2308", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-1024x1024.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2309", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-416x520.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2310", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_7-1-100x100.jpg", "wp-content/uploads/2023/05/MOJITO_MR_7-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:28:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2311", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2312", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-225x300.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-225x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2313", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-768x1024.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-768x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2314", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-150x150.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2315", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1152x1536.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-1152x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2316", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1536x2048.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-1536x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2317", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1200x1600.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-1200x1600.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2318", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-1024x1024.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2319", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-416x555.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-416x555.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2320", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-100x100.jpg", "wp-content/uploads/2023/05/CALICEV2_MR_031-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:35:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2321", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:36:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2322", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-240x300.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:36:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2323", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-819x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:36:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2324", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-150x150.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:36:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2325", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-768x960.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:36:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2326", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1229x1536.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:36:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2327", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1638x2048.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2328", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1200x1500.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2329", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1024x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2330", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-416x520.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2331", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-100x100.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2332", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2333", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-240x300.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2334", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-819x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2335", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-150x150.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2336", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-768x960.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2337", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1229x1536.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2338", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1638x2048.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2339", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1200x1500.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2340", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1024x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2341", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-416x520.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2342", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-100x100.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:37:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2343", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-scaled.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2344", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-240x300.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2345", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-819x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2346", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-150x150.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2347", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-768x960.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2348", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1229x1536.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2349", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1638x2048.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2350", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1200x1500.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:23");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2351", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1024x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:24");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2352", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-416x520.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:25");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2353", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-100x100.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_16-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:39:26");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2354", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:40:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2355", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-240x300.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:40:59");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2356", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-819x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2357", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-150x150.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2358", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-768x960.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2359", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1229x1536.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2360", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1639x2048.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1639x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2361", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1200x1500.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2362", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1024x1024.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2363", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-416x520.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2364", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-100x100.jpg", "wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:41:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2365", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2366", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-240x300.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2367", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-819x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2368", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-150x150.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2369", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-768x960.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2370", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1229x1536.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2371", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1638x2048.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2372", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1200x1500.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2373", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1024x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:47:58");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2374", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-416x520.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:48:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2375", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-100x100.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:48:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2376", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:01");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2377", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-225x300.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-225x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2378", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-768x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-768x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2379", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-150x150.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:05");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2380", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1152x1536.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1152x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2381", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1536x2048.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1536x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2382", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1200x1600.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1200x1600.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2383", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1024x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2384", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-416x555.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-416x555.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2385", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-100x100.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:49:18");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2386", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:50:51");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2387", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-240x300.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:50:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2388", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-819x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:50:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2389", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-150x150.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:50:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2390", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-768x960.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:50:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2391", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1229x1536.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:00");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2392", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1638x2048.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:02");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2393", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1200x1500.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:04");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2394", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1024x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:06");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2395", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-416x520.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2396", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-100x100.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2397", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2398", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-240x300.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-240x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2399", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-819x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-819x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2400", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-150x150.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2401", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-768x960.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-768x960.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2402", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1229x1536.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1229x1536.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2403", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1638x2048.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1638x2048.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:48");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2404", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1200x1500.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1200x1500.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2405", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1024x1024.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:52");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2406", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-416x520.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-416x520.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2407", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-100x100.jpg", "wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 11:51:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2408", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-300x169.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-300x169.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2409", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-1024x577.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-1024x577.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2410", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-150x150.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2411", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-768x433.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-768x433.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:14");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2412", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-1536x866.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-1536x866.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2413", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-1200x677.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-1200x677.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2414", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-1024x902.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-1024x902.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2415", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-416x235.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-416x235.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2416", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1-100x100.jpeg", "wp-content/uploads/2023/05/Google-Business-Profile-1-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 13:23:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2417", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-300x200.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2418", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1024x682.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1024x682.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2419", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-150x150.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2420", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-768x512.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2421", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1200x800.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2422", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1024x853.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-1024x853.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2423", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-416x277.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2424", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-100x100.jpg", "wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 13:37:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2425", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-300x225.png", "wp-content/uploads/2023/04/commentaire-300x225.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2426", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-1024x768.png", "wp-content/uploads/2023/04/commentaire-1024x768.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2427", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-150x150.png", "wp-content/uploads/2023/04/commentaire-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:09");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2428", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-768x576.png", "wp-content/uploads/2023/04/commentaire-768x576.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:10");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2429", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-1024x900.png", "wp-content/uploads/2023/04/commentaire-1024x900.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2430", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-416x312.png", "wp-content/uploads/2023/04/commentaire-416x312.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2431", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/04/commentaire-100x100.png", "wp-content/uploads/2023/04/commentaire-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:47:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2432", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-300x225.png", "wp-content/uploads/2023/01/restauratrice-300x225.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:30");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2433", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-1024x768.png", "wp-content/uploads/2023/01/restauratrice-1024x768.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2434", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-150x150.png", "wp-content/uploads/2023/01/restauratrice-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2435", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-768x576.png", "wp-content/uploads/2023/01/restauratrice-768x576.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2436", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-1024x900.png", "wp-content/uploads/2023/01/restauratrice-1024x900.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2437", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-416x312.png", "wp-content/uploads/2023/01/restauratrice-416x312.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2438", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/01/restauratrice-100x100.png", "wp-content/uploads/2023/01/restauratrice-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-31 13:53:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2439", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-300x200.jpg", "wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:03:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2440", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-150x150.jpg", "wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:03:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2441", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-416x277.jpg", "wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:03:07");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2442", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-100x100.jpg", "wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:03:08");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2443", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-300x200.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2444", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1024x683.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2445", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-150x150.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2446", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-768x512.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2447", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1536x1024.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:32");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2448", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1200x800.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2449", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1024x1024.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2450", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-416x277.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2451", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-100x100.jpg", "wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:10:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2452", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/food-porn-photo-300x200.jpg", "wp-content/uploads/2022/05/food-porn-photo-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:16:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2453", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/food-porn-photo-150x150.jpg", "wp-content/uploads/2022/05/food-porn-photo-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:16:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2454", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/food-porn-photo-416x278.jpg", "wp-content/uploads/2022/05/food-porn-photo-416x278.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:16:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2455", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/food-porn-photo-100x100.jpg", "wp-content/uploads/2022/05/food-porn-photo-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:16:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2456", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/hemblem-influence-3-300x200.jpg", "wp-content/uploads/2022/05/hemblem-influence-3-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:24:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2457", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/hemblem-influence-3-150x150.jpg", "wp-content/uploads/2022/05/hemblem-influence-3-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:24:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2458", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/hemblem-influence-3-416x277.jpg", "wp-content/uploads/2022/05/hemblem-influence-3-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:24:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2459", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/05/hemblem-influence-3-100x100.jpg", "wp-content/uploads/2022/05/hemblem-influence-3-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:24:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2460", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/concept-de-restaurant-300x225.jpg", "wp-content/uploads/2022/04/concept-de-restaurant-300x225.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2461", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/concept-de-restaurant-150x150.jpg", "wp-content/uploads/2022/04/concept-de-restaurant-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2462", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/concept-de-restaurant-416x312.jpg", "wp-content/uploads/2022/04/concept-de-restaurant-416x312.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2463", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/concept-de-restaurant-100x100.jpg", "wp-content/uploads/2022/04/concept-de-restaurant-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:32:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2464", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/hashtags-food-entete-300x180.jpg", "wp-content/uploads/2022/04/hashtags-food-entete-300x180.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:37:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2465", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/hashtags-food-entete-150x150.jpg", "wp-content/uploads/2022/04/hashtags-food-entete-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:37:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2466", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/hashtags-food-entete-416x249.jpg", "wp-content/uploads/2022/04/hashtags-food-entete-416x249.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:37:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2467", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/hashtags-food-entete-100x100.jpg", "wp-content/uploads/2022/04/hashtags-food-entete-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:37:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2468", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-300x200.jpg", "wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:43:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2469", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-150x150.jpg", "wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:43:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2470", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-416x277.jpg", "wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:43:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2471", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-100x100.jpg", "wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:43:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2472", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-300x160.jpg", "wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-300x160.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:55:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2473", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-150x150.jpg", "wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:55:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2474", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-768x410.jpg", "wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-768x410.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:55:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2475", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-416x222.jpg", "wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-416x222.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:55:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2476", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-100x100.jpg", "wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 14:55:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2477", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112-300x300.jpg", "wp-content/uploads/2021/06/pablopanini_1080x1080-117112-300x300.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:03:11");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2478", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112-1024x1024.jpg", "wp-content/uploads/2021/06/pablopanini_1080x1080-117112-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:03:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2479", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112-150x150.jpg", "wp-content/uploads/2021/06/pablopanini_1080x1080-117112-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:03:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2480", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112-768x768.jpg", "wp-content/uploads/2021/06/pablopanini_1080x1080-117112-768x768.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:03:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2481", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112-416x416.jpg", "wp-content/uploads/2021/06/pablopanini_1080x1080-117112-416x416.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:03:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2482", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112-100x100.jpg", "wp-content/uploads/2021/06/pablopanini_1080x1080-117112-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:03:13");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2483", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-300x200.jpg", "wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:10:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2484", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-150x150.jpg", "wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:10:54");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2485", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-416x277.jpg", "wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:10:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2486", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-100x100.jpg", "wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:10:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2487", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-300x210.png", "wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-300x210.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:17:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2488", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-150x150.png", "wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:17:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2489", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-768x538.png", "wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-768x538.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:17:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2490", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-416x291.png", "wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-416x291.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:17:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2491", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-100x100.png", "wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:17:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2492", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-300x169.jpg", "wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-300x169.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:27:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2493", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-150x150.jpg", "wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:27:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2494", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-768x434.jpg", "wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-768x434.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:27:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2495", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-416x235.jpg", "wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-416x235.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:27:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2496", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-100x100.jpg", "wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:27:53");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2497", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-300x203.png", "wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-300x203.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2498", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-150x150.png", "wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2499", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-768x518.png", "wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-768x518.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2500", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-416x281.png", "wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-416x281.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:37:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2501", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-100x100.png", "wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-05-31 15:37:47");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2502", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-300x168.jpeg", "wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-300x168.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 15:44:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2503", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-150x150.jpeg", "wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-150x150.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 15:44:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2504", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-416x233.jpeg", "wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-416x233.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 15:44:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2505", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-100x100.jpeg", "wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1-100x100.jpeg", "3", "Clé d’autorisation vide.", "2023-05-31 15:44:12");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2506", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/marketing-restaurant-300x195.jpg", "wp-content/uploads/2018/09/marketing-restaurant-300x195.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:53:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2507", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/marketing-restaurant-150x150.jpg", "wp-content/uploads/2018/09/marketing-restaurant-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:53:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2508", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/marketing-restaurant-416x271.jpg", "wp-content/uploads/2018/09/marketing-restaurant-416x271.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:53:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2509", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/marketing-restaurant-100x100.jpg", "wp-content/uploads/2018/09/marketing-restaurant-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:53:03");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2510", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-300x188.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-300x188.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2511", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-1024x640.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-1024x640.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2512", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-150x150.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2513", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-768x480.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-768x480.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2514", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-1024x675.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-1024x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2515", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-416x260.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-416x260.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2516", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-100x100.jpg", "wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 15:59:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2517", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-300x188.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-300x188.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2518", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-1024x640.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-1024x640.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2519", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-150x150.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2520", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-768x480.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-768x480.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2521", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-1024x675.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-1024x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2522", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-416x260.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-416x260.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2523", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1-100x100.jpg", "wp-content/uploads/2018/08/IMG_13881542-1080x675-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:05:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2524", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-300x188.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-300x188.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:15");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2525", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-1024x640.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-1024x640.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2526", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-150x150.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2527", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-768x480.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-768x480.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2528", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-1024x675.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-1024x675.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:16");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2529", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-416x260.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-416x260.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2530", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1-100x100.jpg", "wp-content/uploads/2018/08/slider-template-2-1080x675-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:14:17");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2531", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-300x133.jpg", "wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-300x133.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:18:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2532", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-150x150.jpg", "wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:18:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2533", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-768x341.jpg", "wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-768x341.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:18:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2534", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-416x185.jpg", "wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-416x185.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:18:49");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2535", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-100x100.jpg", "wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:18:50");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2536", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-300x161.jpg", "wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-300x161.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:26:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2537", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-150x150.jpg", "wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:26:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2538", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-416x223.jpg", "wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-416x223.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:26:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2539", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-100x100.jpg", "wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:26:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2540", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/02/avis-client-1-300x212.jpg", "wp-content/uploads/2018/02/avis-client-1-300x212.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:32:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2541", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/02/avis-client-1-150x150.jpg", "wp-content/uploads/2018/02/avis-client-1-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:32:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2542", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/02/avis-client-1-416x294.jpg", "wp-content/uploads/2018/02/avis-client-1-416x294.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:32:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2543", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2018/02/avis-client-1-100x100.jpg", "wp-content/uploads/2018/02/avis-client-1-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-05-31 16:32:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2544", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-scaled.jpg", "wp-content/uploads/2023/06/MR__4249-2-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:36");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2545", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-300x200.jpg", "wp-content/uploads/2023/06/MR__4249-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:37");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2546", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-1024x683.jpg", "wp-content/uploads/2023/06/MR__4249-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2547", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-150x150.jpg", "wp-content/uploads/2023/06/MR__4249-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2548", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-768x512.jpg", "wp-content/uploads/2023/06/MR__4249-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:39");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2549", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-1536x1024.jpg", "wp-content/uploads/2023/06/MR__4249-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:40");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2550", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-2048x1365.jpg", "wp-content/uploads/2023/06/MR__4249-2-2048x1365.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2551", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-1200x800.jpg", "wp-content/uploads/2023/06/MR__4249-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2552", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-1024x1024.jpg", "wp-content/uploads/2023/06/MR__4249-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:44");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2553", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-416x277.jpg", "wp-content/uploads/2023/06/MR__4249-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2554", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/MR__4249-2-100x100.jpg", "wp-content/uploads/2023/06/MR__4249-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 13:36:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2555", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-300x72.png", "wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-300x72.png", "3", "Clé d’autorisation vide.", "2023-06-01 13:47:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2556", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-150x139.png", "wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-150x139.png", "3", "Clé d’autorisation vide.", "2023-06-01 13:47:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2557", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-416x100.png", "wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-416x100.png", "3", "Clé d’autorisation vide.", "2023-06-01 13:47:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2558", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-100x100.png", "wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2-100x100.png", "3", "Clé d’autorisation vide.", "2023-06-01 13:47:42");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2559", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/K-LOGO-NOIR.png", "wp-content/uploads/2023/06/K-LOGO-NOIR.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:35:57");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2560", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/K-LOGO-NOIR-1-300x300.png", "wp-content/uploads/2023/06/K-LOGO-NOIR-1-300x300.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2561", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/K-LOGO-NOIR-1-150x150.png", "wp-content/uploads/2023/06/K-LOGO-NOIR-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2562", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/K-LOGO-NOIR-1-768x768.png", "wp-content/uploads/2023/06/K-LOGO-NOIR-1-768x768.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2563", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/K-LOGO-NOIR-1-416x416.png", "wp-content/uploads/2023/06/K-LOGO-NOIR-1-416x416.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:37:55");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2564", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/K-LOGO-NOIR-1-100x100.png", "wp-content/uploads/2023/06/K-LOGO-NOIR-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:37:56");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2565", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-300x300.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-300x300.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2566", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-150x150.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-150x150.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2567", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-416x416.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-416x416.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2568", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-100x100.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-100x100.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2569", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-270x270.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-270x270.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2570", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-192x192.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-192x192.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2571", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-180x180.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-180x180.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:20");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2572", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-32x32.png", "wp-content/uploads/2023/06/cropped-K-LOGO-NOIR-1-32x32.png", "3", "Clé d’autorisation vide.", "2023-06-01 14:39:21");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2573", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:29");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2574", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-300x200.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-300x200.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:31");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2575", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1024x683.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1024x683.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:33");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2576", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-150x150.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-150x150.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:34");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2577", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-768x512.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-768x512.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:35");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2578", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1536x1024.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1536x1024.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:38");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2579", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-2048x1365.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-2048x1365.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:41");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2580", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1200x800.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1200x800.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:43");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2581", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1024x1024.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-1024x1024.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:45");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2582", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-416x277.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-416x277.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:46");
INSERT INTO `wp_w3tc_cdn_queue` VALUES("2583", "C:\\wamp64\\www\\KOOKAgency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-100x100.jpg", "wp-content/uploads/2023/06/PORTRAITKOOK-15-2-100x100.jpg", "3", "Clé d’autorisation vide.", "2023-06-01 15:16:47");

/* INSERT TABLE DATA: wp_wc_admin_note_actions */
INSERT INTO `wp_wc_admin_note_actions` VALUES("1", "1", "connect", "Connecter", "?page=wc-addons&section=helper", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2018", "2", "browse_extensions", "Browse extensions", "http://kookagency/wp-admin/admin.php?page=wc-addons", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2019", "3", "wayflyer_bnpl_q4_2021", "Level up with funding", "https://woocommerce.com/products/wayflyer/?utm_source=inbox_note&utm_medium=product&utm_campaign=wayflyer_bnpl_q4_2021", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2020", "4", "wc_shipping_mobile_app_usps_q4_2021", "Get WooCommerce Shipping", "https://woocommerce.com/woocommerce-shipping/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc_shipping_mobile_app_usps_q4_2021", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2021", "5", "learn-more", "Learn more", "https://docs.woocommerce.com/document/woocommerce-shipping-and-tax/?utm_source=inbox", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2022", "6", "learn-more", "Learn more", "https://woocommerce.com/posts/ecommerce-shipping-solutions-guide/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2023", "7", "optimizing-the-checkout-flow", "Learn more", "https://woocommerce.com/posts/optimizing-woocommerce-checkout?utm_source=inbox_note&utm_medium=product&utm_campaign=optimizing-the-checkout-flow", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2024", "8", "qualitative-feedback-from-new-users", "Share feedback", "https://automattic.survey.fm/wc-pay-new", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2025", "9", "share-feedback", "Share feedback", "http://automattic.survey.fm/paypal-feedback", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2026", "10", "get-started", "Get started", "https://woocommerce.com/products/google-listings-and-ads?utm_source=inbox_note&utm_medium=product&utm_campaign=get-started", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2027", "11", "update-wc-subscriptions-3-0-15", "View latest version", "http://kookagency/wp-admin/&page=wc-addons&section=helper", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2028", "12", "update-wc-core-5-4-0", "How to update WooCommerce", "https://docs.woocommerce.com/document/how-to-update-woocommerce/", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2029", "15", "ppxo-pps-install-paypal-payments-1", "View upgrade guide", "https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2030", "16", "ppxo-pps-install-paypal-payments-2", "View upgrade guide", "https://docs.woocommerce.com/document/woocommerce-paypal-payments/paypal-payments-upgrade-guide/", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2032", "17", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2034", "18", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2036", "19", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2038", "20", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2039", "21", "share-feedback", "Share feedback", "https://automattic.survey.fm/store-management", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2040", "22", "learn-more", "Learn more", "https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2041", "22", "woocommerce-core-paypal-march-2022-dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2043", "23", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2044", "24", "pinterest_03_2022_update", "Update Instructions", "https://woocommerce.com/document/pinterest-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=pinterest_03_2022_update#section-3", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2045", "25", "store_setup_survey_survey_q2_2022_share_your_thoughts", "Tell us how it’s going", "https://automattic.survey.fm/store-setup-survey-2022", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2046", "26", "wc-admin-wisepad3", "Grow my business offline", "https://woocommerce.com/products/wisepad3-card-reader/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wisepad3", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2048", "27", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2050", "28", "dismiss", "Dismiss", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2051", "29", "google_listings_ads_custom_attribute_mapping_q4_2022", "Learn more", "https://woocommerce.com/document/google-listings-and-ads/?utm_source=inbox_note&utm_medium=product&utm_campaign=google_listings_ads_custom_attribute_mapping_q4_2022#attribute-mapping", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2052", "30", "needs-update-eway-payment-gateway-rin-action-button-2022-12-20", "See available updates", "http://kookagency/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2053", "30", "needs-update-eway-payment-gateway-rin-dismiss-button-2022-12-20", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2054", "31", "updated-eway-payment-gateway-rin-action-button-2022-12-20", "See all updates", "http://kookagency/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2055", "31", "updated-eway-payment-gateway-rin-dismiss-button-2022-12-20", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2056", "32", "share-navigation-survey-feedback", "Share feedback", "https://automattic.survey.fm/new-ecommerce-plan-navigation", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2057", "33", "woopay-beta-merchantrecruitment-activate-04MAY23", "Activate WooPay", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2059", "34", "woocommerce-wcpay-march-2023-update-needed-button", "See Blog Post", "https://developer.woocommerce.com/2023/03/23/critical-vulnerability-detected-in-woocommerce-payments-what-you-need-to-know", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2060", "34", "woocommerce-wcpay-march-2023-update-needed-dismiss-button", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2061", "35", "tap_to_pay_iphone_q2_2023_no_wcpay", "Simplify my payments", "https://woocommerce.com/products/woocommerce-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_no_wcpay", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2062", "36", "tap_to_pay_iphone_q2_2023_with_wcpay", "Set up Tap to Pay on iPhone", "https://woocommerce.com/document/woocommerce-payments/in-person-payments/woocommerce-in-person-payments-tap-to-pay-on-iphone-quick-start-guide/?utm_source=inbox_note&utm_medium=product&utm_campaign=tap_to_pay_iphone_q2_2023_with_wcpay", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2064", "37", "dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("870", "38", "wc-admin-wcpay-denmark-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/denmark/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-denmark-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("871", "39", "wc-admin-wcpay-greece-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/greece/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-greece-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("872", "40", "wc-admin-wcpay-norway-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/norway/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-norway-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("873", "41", "wc-admin-wcpay-slovakia-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/slovakia/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-slovakia-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("874", "42", "wc-admin-wcpay-finland-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/finland/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-finland-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("875", "43", "wc-admin-wcpay-estonia-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/estonia/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-estonia-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("876", "44", "wc-admin-wcpay-lithuania-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/lithuania/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-lithuania-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("877", "45", "wc-admin-wcpay-slovenia-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/slovenia/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-slovenia-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("878", "46", "wc-admin-wcpay-latvia-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/latvia/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-latvia-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("879", "47", "wc-admin-wcpay-cyprus-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/cyprus/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-cyprus-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("880", "48", "wc-admin-wcpay-malta-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/malta/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-malta-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("881", "49", "wc-admin-wcpay-luxembourg-Q2-2023", "Simplify my payments", "https://woocommerce.com/payments/luxembourg/?utm_source=inbox_note&utm_medium=product&utm_campaign=wc-admin-wcpay-luxembourg-Q2-2023", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2065", "50", "woopay-beta-merchantrecruitment-update-WCPay-04MAY23", "Update WooCommerce Payments", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2067", "51", "woopay-beta-existingmerchants-noaction-documentation-27APR23", "Documentation", "https://woocommerce.com/document/woopay-merchant-documentation/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-existingmerchants-noaction-documentation-27APR23", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2068", "52", "woopay-beta-existingmerchants-update-WCPay-27APR23", "Update WooCommerce Payments", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2069", "53", "woopay-beta-merchantrecruitment-short-activate-04MAY23", "Activate WooPay", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2071", "54", "woopay-beta-merchantrecruitment-short-update-WCPay-04MAY23", "Update WooCommerce Payments", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2073", "55", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTA", "Activate WooPay Test A", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2075", "56", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTB", "Activate WooPay Test B", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2077", "57", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTC", "Activate WooPay Test C", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("905", "65", "visit-the-theme-marketplace", "Consulter la bibliothèque de thèmes", "https://woocommerce.com/product-category/themes/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2079", "58", "woopay-beta-merchantrecruitment-short-activate-06MAY23-TESTD", "Activate WooPay Test D", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2081", "59", "woopay-beta-merchantrecruitment-short-activate-button-09MAY23", "Activate WooPay", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2082", "59", "woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-button2-09MAY23", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2083", "60", "woopay-beta-merchantrecruitment-short-update-WCPay-09MAY23", "Update WooCommerce Payments", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2084", "60", "woopay-beta-merchantrecruitment-short-update-activate-09MAY23", "Activate WooPay", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2085", "61", "ipp_refresh_q2_2023_us_inbox_notification", "Grow my business on the go", "https://woocommerce.com/in-person-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=ipp_refresh_q2_2023_us_inbox_notification", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2086", "62", "ipp_refresh_q2_2023_ca_inbox_notification", "Grow my business on the go", "https://woocommerce.com/in-person-payments/?utm_source=inbox_note&utm_medium=product&utm_campaign=ipp_refresh_q2_2023_ca_inbox_notification", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("904", "63", "product_management_card_sorting", "Get started", "https://t.maze.co/163892579", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2031", "17", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2033", "18", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2035", "19", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2037", "20", "learn-more", "Learn more", "https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/?utm_source=inbox_note&utm_medium=product&utm_campaign=learn-more", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2042", "23", "learn-more", "Learn more", "https://developer.woocommerce.com/2022/03/10/woocommerce-3-5-10-6-3-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2047", "27", "learn-more", "Find out more", "https://developer.woocommerce.com/2022/08/09/woocommerce-payments-3-9-4-4-5-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2049", "28", "learn-more", "Find out more", "https://developer.woocommerce.com/2022/08/09/woocommerce-payments-3-9-4-4-5-1-security-releases/", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("822", "64", "day-after-first-product", "En savoir plus", "https://woocommerce.com/document/woocommerce-customizer/?utm_source=inbox&utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2058", "33", "woopay-beta-merchantrecruitment-activate-learnmore-04MAY23", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-activate-learnmore-04MAY23", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2063", "37", "extension-settings", "See available updates", "http://kookagency/wp-admin/update-core.php", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2070", "53", "woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-04MAY23", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2074", "55", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2076", "56", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTA", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2078", "57", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTC", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2080", "58", "woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD", "Learn More", "https://woocommerce.com/woopay-businesses/?utm_source=inbox_note&utm_medium=product&utm_campaign=woopay-beta-merchantrecruitment-short-activate-learnmore-06MAY23-TESTD", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2072", "54", "woopay-beta-merchantrecruitment-short-update-activate-04MAY23", "Activate WooPay", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("906", "66", "learn-more", "En savoir plus", "https://woocommerce.com/mobile/?utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("1325", "68", "view-payment-gateways", "En savoir plus", "https://woocommerce.com/product-category/woocommerce-extensions/payment-gateways/?utm_medium=product", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2094", "69", "woocommerce-WCReturnsWarranty-June-2023-updated-needed", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2066", "50", "woopay-beta-merchantrecruitment-update-activate-04MAY23", "Activate WooPay", "http://kookagency/wp-admin/admin.php?page=wc-settings&tab=checkout&section=woocommerce_payments&method=platform_checkout", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2088", "67", "woocommerce-WCStripe-May-2023-updated-needed-Plugin-Settings-dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2087", "67", "woocommerce-WCStripe-May-2023-updated-needed-Plugin-Settings", "See available updates", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("1472", "70", "tracking-opt-in", "Activer le suivi de l’utilisation", "", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2093", "69", "woocommerce-WCReturnsWarranty-June-2023-updated-needed", "See available updates", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("1473", "71", "learn-more", "En savoir plus", "https://woocommerce.com/payments/?utm_medium=product", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("1474", "71", "get-started", "Premiers pas", "http://kookagency/wp-admin/admin.php?page=wc-admin&action=setup-woocommerce-payments", "actioned", "", "setup-woocommerce-payments", "");
INSERT INTO `wp_wc_admin_note_actions` VALUES("2090", "73", "woocommerce-WCPayments-June-2023-updated-needed-Dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2091", "72", "woocommerce-WCSubscriptions-June-2023-updated-needed-Plugin-Settings", "See available updates", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2092", "72", "woocommerce-WCSubscriptions-June-2023-updated-needed-dismiss", "Dismiss", "#", "actioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2089", "73", "woocommerce-WCPayments-June-2023-updated-needed-Plugin-Settings", "See available updates", "http://kookagency/wp-admin/plugins.php?plugin_status=all", "unactioned", "", NULL, NULL);
INSERT INTO `wp_wc_admin_note_actions` VALUES("2095", "74", "woocommerce_hpos_1st_notification_q2_2023", "Learn more about HPOS", "https://woocommerce.com/posts/platform-update-high-performance-order-storage-for-woocommerce/?utm_source=inbox_note&utm_medium=product&utm_campaign=woocommerce_hpos_1st_notification_q2_2023", "actioned", "", NULL, NULL);

/* INSERT TABLE DATA: wp_wc_admin_notes */
INSERT INTO `wp_wc_admin_notes` VALUES("1", "wc-admin-wc-helper-connection", "info", "en_US", "Se connecter à WooCommerce.com", "Connectez-vous pour obtenir des notifications et des mises à jour importantes sur les produits.", "{}", "unactioned", "woocommerce-admin", "2023-05-30 08:24:38", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("2", "new_in_app_marketplace_2021", "info", "en_US", "Customize your store with extensions", "Check out our NEW Extensions tab to see our favorite extensions for customizing your store, and discover the most popular extensions in the WooCommerce Marketplace.", "{}", "unactioned", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("3", "wayflyer_bnpl_q4_2021", "marketing", "en_US", "Grow your business with funding through Wayflyer", "Fast, flexible financing to boost cash flow and help your business grow – one fee, no interest rates, penalties, equity, or personal guarantees. Based on your store’s performance, Wayflyer provides funding and analytical insights to invest in your business.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("4", "wc_shipping_mobile_app_usps_q4_2021", "marketing", "en_US", "Print and manage your shipping labels with WooCommerce Shipping and the WooCommerce Mobile App", "Save time by printing, purchasing, refunding, and tracking shipping labels generated by <a href=\"https://woocommerce.com/woocommerce-shipping/\">WooCommerce Shipping</a> – all directly from your mobile device!", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("5", "woocommerce-services", "info", "en_US", "WooCommerce Shipping & Tax", "WooCommerce Shipping &amp; Tax helps get your store \"ready to sell\" as quickly as possible. You create your products. We take care of tax calculation, payment processing, and shipping label printing! Learn more about the extension that you just installed.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("6", "your-first-product", "info", "en_US", "Your first product", "That’s huge! You’re well on your way to building a successful online store — now it’s time to think about how you’ll fulfill your orders.<br /><br />Read our shipping guide to learn best practices and options for putting together your shipping strategy. And for WooCommerce stores in the United States, you can print discounted shipping labels via USPS with <a href=\"https://href.li/?https://woocommerce.com/shipping\" target=\"_blank\">WooCommerce Shipping</a>.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("7", "wc-admin-optimizing-the-checkout-flow", "info", "en_US", "Optimizing the checkout flow", "It’s crucial to get your store’s checkout as smooth as possible to avoid losing sales. Let’s take a look at how you can optimize the checkout experience for your shoppers.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("8", "wc-payments-qualitative-feedback", "info", "en_US", "WooCommerce Payments setup - let us know what you think", "Congrats on enabling WooCommerce Payments for your store. Please share your feedback in this 2 minute survey to help us improve the setup process.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("9", "share-your-feedback-on-paypal", "info", "en_US", "Share your feedback on PayPal", "Share your feedback in this 2 minute survey about how we can make the process of accepting payments more useful for your store.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("10", "google_listings_and_ads_install", "marketing", "en_US", "Drive traffic and sales with Google", "Reach online shoppers to drive traffic and sales for your store by showcasing products across Google, for free or with ads.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("11", "wc-subscriptions-security-update-3-0-15", "info", "en_US", "WooCommerce Subscriptions security update!", "We recently released an important security update to WooCommerce Subscriptions. To ensure your site’s data is protected, please upgrade <strong>WooCommerce Subscriptions to version 3.0.15</strong> or later.<br /><br />Click the button below to view and update to the latest Subscriptions version, or log in to <a href=\"https://woocommerce.com/my-dashboard\">WooCommerce.com Dashboard</a> and navigate to your <strong>Downloads</strong> page.<br /><br />We recommend always using the latest version of WooCommerce Subscriptions, and other software running on your site, to ensure maximum security.<br /><br />If you have any questions we are here to help — just <a href=\"https://woocommerce.com/my-account/create-a-ticket/\">open a ticket</a>.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("12", "woocommerce-core-update-5-4-0", "info", "en_US", "Update to WooCommerce 5.4.1 now", "WooCommerce 5.4.1 addresses a checkout issue discovered in WooCommerce 5.4. We recommend upgrading to WooCommerce 5.4.1 as soon as possible.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("13", "wcpay-promo-2020-11", "marketing", "en_US", "wcpay-promo-2020-11", "wcpay-promo-2020-11", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("14", "wcpay-promo-2020-12", "marketing", "en_US", "wcpay-promo-2020-12", "wcpay-promo-2020-12", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("15", "ppxo-pps-upgrade-paypal-payments-1", "info", "en_US", "Get the latest PayPal extension for WooCommerce", "Heads up! There’s a new PayPal on the block!<br /><br />Now is a great time to upgrade to our latest <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal extension</a> to continue to receive support and updates with PayPal.<br /><br />Get access to a full suite of PayPal payment methods, extensive currency and country coverage, and pay later options with the all-new PayPal extension for WooCommerce.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("16", "ppxo-pps-upgrade-paypal-payments-2", "info", "en_US", "Upgrade your PayPal experience!", "Get access to a full suite of PayPal payment methods, extensive currency and country coverage, offer subscription and recurring payments, and the new PayPal pay later options.<br /><br />Start using our <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">latest PayPal today</a> to continue to receive support and updates.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("17", "woocommerce-core-sqli-july-2021-need-to-update", "update", "en_US", "Action required: Critical vulnerabilities in WooCommerce", "In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br />Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br /><br />For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("18", "woocommerce-blocks-sqli-july-2021-need-to-update", "update", "en_US", "Action required: Critical vulnerabilities in WooCommerce Blocks", "In response to a critical vulnerability identified on July 13, 2021, we are working with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br />Our investigation into this vulnerability is ongoing, but <strong>we wanted to let you know now about the importance of updating immediately</strong>.<br /><br />For more information on which actions you should take, as well as answers to FAQs, please urgently review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("19", "woocommerce-core-sqli-july-2021-store-patched", "update", "en_US", "Solved: Critical vulnerabilities patched in WooCommerce", "In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br /><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("20", "woocommerce-blocks-sqli-july-2021-store-patched", "update", "en_US", "Solved: Critical vulnerabilities patched in WooCommerce Blocks", "In response to a critical vulnerability identified on July 13, 2021, we worked with the WordPress Plugins Team to deploy software updates to stores running WooCommerce (versions 3.3 to 5.5) and the WooCommerce Blocks feature plugin (versions 2.5 to 5.5).<br /><br /><strong>Your store has been updated to the latest secure version(s)</strong>. For more information and answers to FAQs, please review our blog post detailing this issue.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("21", "habit-moment-survey", "marketing", "en_US", "We’re all ears! Share your experience so far with WooCommerce", "We’d love your input to shape the future of WooCommerce together. Feel free to share any feedback, ideas or suggestions that you have.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("22", "woocommerce-core-paypal-march-2022-updated", "update", "en_US", "Security auto-update of WooCommerce", "<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy PayPal Standard security updates for stores running WooCommerce (version 3.5 to 6.3). It’s recommended to disable PayPal Standard, and use <a href=\"https://woocommerce.com/products/woocommerce-paypal-payments/\" target=\"_blank\">PayPal Payments</a> to accept PayPal.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("23", "woocommerce-core-paypal-march-2022-updated-nopp", "update", "en_US", "Security auto-update of WooCommerce", "<strong>Your store has been updated to the latest secure version of WooCommerce</strong>. We worked with WordPress to deploy security updates related to PayPal Standard payment gateway for stores running WooCommerce (version 3.5 to 6.3).", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("24", "pinterest_03_2022_update", "marketing", "en_US", "Your Pinterest for WooCommerce plugin is out of date!", "Update to the latest version of Pinterest for WooCommerce to continue using this plugin and keep your store connected with Pinterest. To update, visit <strong>Plugins &gt; Installed Plugins</strong>, and click on “update now” under Pinterest for WooCommerce.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("25", "store_setup_survey_survey_q2_2022", "survey", "en_US", "How is your store setup going?", "Our goal is to make sure you have all the right tools to start setting up your store in the smoothest way possible.\r\nWe’d love to know if we hit our mark and how we can improve. To collect your thoughts, we made a 2-minute survey.", "{}", "unactioned", "woocommerce.com", "2023-06-06 08:24:37", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("26", "wc-admin-wisepad3", "marketing", "en_US", "Take your business on the go in Canada with WooCommerce In-Person Payments", "Quickly create new orders, accept payment in person for orders placed online, and automatically sync your inventory – no matter where your business takes you. With WooCommerce In-Person Payments and the WisePad 3 card reader, you can bring the power of your store anywhere.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("27", "woocommerce-payments-august-2022-need-to-update", "update", "en_US", "Action required: Please update WooCommerce Payments", "An updated secure version of WooCommerce Payments is available – please ensure that you’re using the latest patch version. For more information on what action you need to take, please review the article below.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("28", "woocommerce-payments-august-2022-store-patched", "update", "en_US", "WooCommerce Payments has been automatically updated", "You’re now running the latest secure version of WooCommerce Payments. We’ve worked with the WordPress Plugins team to deploy a security update to stores running WooCommerce Payments (version 3.9 to 4.5). For further information, please review the article below.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("29", "google_listings_ads_custom_attribute_mapping_q4_2022", "marketing", "en_US", "Our latest improvement to the Google Listings & Ads extension: Attribute Mapping", "You spoke, we listened. This new feature enables you to easily upload your products, customize your product attributes in one place, and target shoppers with more relevant ads. Extend how far your ad dollars go with each campaign.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("30", "needs-update-eway-payment-gateway-rin-2022-12-20", "update", "en_US", "Security vulnerability patched in WooCommerce Eway Gateway", "In response to a potential vulnerability identified in WooCommerce Eway Gateway versions 3.1.0 to 3.5.0, we’ve worked to deploy security fixes and have released an updated version.\r\nNo external exploits have been detected, but we recommend you update to your latest supported version 3.1.26, 3.2.3, 3.3.1, 3.4.6, or 3.5.1", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("31", "updated-eway-payment-gateway-rin-2022-12-20", "update", "en_US", "WooCommerce Eway Gateway has been automatically updated", "Your store is now running the latest secure version of WooCommerce Eway Gateway. We worked with the WordPress Plugins team to deploy a software update to stores running WooCommerce Eway Gateway (versions 3.1.0 to 3.5.0) in response to a security vulnerability that was discovered.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("32", "ecomm-wc-navigation-survey-2023", "info", "en_US", "Navigating WooCommerce on WordPress.com", "We are improving the WooCommerce navigation on WordPress.com and would love your help to make it better! Please share your experience with us in this 2-minute survey.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("33", "woopay-beta-merchantrecruitment-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "WooPay, a new express checkout feature built into WooCommerce Payments, is now available —and we’re inviting you to be one of the first to try it. \r\n<br><br>\r\nBoost conversions by offering your customers a simple, secure way to pay with a single click.\r\n<br><br>\r\nGet started in seconds.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("34", "woocommerce-wcpay-march-2023-update-needed", "update", "en_US", "Action required: Security update for WooCommerce Payments", "<strong>Your store requires a security update for WooCommerce Payments</strong>. Please update to the latest version of WooCommerce Payments immediately to address a potential vulnerability discovered on March 22. For more information on how to update, visit this WooCommerce Developer Blog Post.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("35", "tap_to_pay_iphone_q2_2023_no_wcpay", "marketing", "en_US", "Accept in-person contactless payments on your iPhone", "Tap to Pay on iPhone and WooCommerce Payments is quick, secure, and simple to set up — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person.", "{}", "unactioned", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("36", "tap_to_pay_iphone_q2_2023_with_wcpay", "marketing", "en_US", "New: accept in-person contactless payments on your iPhone", "Tap to Pay on iPhone is quick, secure, and simple to set up in WooCommerce Payments — no extra terminals or card readers are needed. Accept contactless debit and credit cards, Apple Pay, and other NFC digital wallets in person in a few short steps!", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("37", "woocommerce-WCPreOrders-april-2023-update-needed", "update", "en_US", "Action required: Security update of WooCommerce Pre-Orders extension", "<strong>Your store requires a security update for the WooCommerce Pre-Orders extension</strong>. Please update the WooCommerce Pre-Orders extension immediately to address a potential vulnerability discovered on April 11.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("38", "wc-admin-wcpay-denmark-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Denmark!", "We’ve recently released WooCommerce Payments in Denmark. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("39", "wc-admin-wcpay-greece-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Greece!", "We’ve recently released WooCommerce Payments in Greece. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("40", "wc-admin-wcpay-norway-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Norway!", "We’ve recently released WooCommerce Payments in Norway. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("41", "wc-admin-wcpay-slovakia-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Slovakia!", "We’ve recently released WooCommerce Payments in Slovakia. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("42", "wc-admin-wcpay-finland-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Finland!", "We’ve recently released WooCommerce Payments in Finland. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("43", "wc-admin-wcpay-estonia-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Estonia!", "We’ve recently released WooCommerce Payments in Estonia. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("44", "wc-admin-wcpay-lithuania-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Lithuania!", "We’ve recently released WooCommerce Payments in Lithuania. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("45", "wc-admin-wcpay-slovenia-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Slovenia!", "We’ve recently released WooCommerce Payments in Slovenia. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("46", "wc-admin-wcpay-latvia-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Latvia!", "We’ve recently released WooCommerce Payments in Latvia. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("47", "wc-admin-wcpay-cyprus-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Cyprus!", "We’ve recently released WooCommerce Payments in Cyprus. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("48", "wc-admin-wcpay-malta-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Malta!", "We’ve recently released WooCommerce Payments in Malta. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("49", "wc-admin-wcpay-luxembourg-Q2-2023", "marketing", "en_US", "WooCommerce Payments is now available in Luxembourg!", "We’ve recently released WooCommerce Payments in Luxembourg. You can view and manage transactions right in your WordPress dashboard while securely accepting major cards, Apple Pay, and payments in over 100 currencies.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("50", "woopay-beta-merchantrecruitment-update-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "WooPay, a new express checkout feature built into WooCommerce Payments, is now available — and you’re invited to try it. \r\n<br /><br />\r\nBoost conversions by offering your customers a simple, secure way to pay with a single click.\r\n<br /><br />\r\nUpdate WooCommerce Payments to get started.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("51", "woopay-beta-existingmerchants-noaction-27APR23", "info", "en_US", "WooPay is back!", "Thanks for previously trying WooPay, the express checkout feature built into WooCommerce Payments. We’re excited to announce that WooPay availability has resumed. No action is required on your part.\r\n<br /><br />\r\nYou can now continue boosting conversions by offering your customers a simple, secure way to pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("52", "woopay-beta-existingmerchants-update-27APR23", "info", "en_US", "WooPay is back!", "Thanks for previously trying WooPay, the express checkout feature built into WooCommerce Payments. We’re excited to announce that WooPay availability has resumed.\r\n<br /><br />\r\n\r\nUpdate to the latest WooCommerce Payments version to continue boosting conversions by offering your customers a simple, secure way to pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("53", "woopay-beta-merchantrecruitment-short-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("54", "woopay-beta-merchantrecruitment-short-update-04MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, our new express checkout feature. <br>Boost conversions by letting customers pay with a single click. <br><br>Update to the latest version of WooCommerce Payments to get started.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("55", "woopay-beta-merchantrecruitment-short-06MAY23-TESTA", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("56", "woopay-beta-merchantrecruitment-short-06MAY23-TESTB", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("57", "woopay-beta-merchantrecruitment-short-06MAY23-TESTC", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("58", "woopay-beta-merchantrecruitment-short-06MAY23-TESTD", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("59", "woopay-beta-merchantrecruitment-short-09MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, a new express checkout feature for WooCommerce Payments. \r\n<br><br>\r\nBoost conversions by letting customers pay with a single click.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("60", "woopay-beta-merchantrecruitment-short-update-09MAY23", "info", "en_US", "Increase conversions with WooPay — our fastest checkout yet", "Be one of the first to try WooPay, our new express checkout feature. <br>Boost conversions by letting customers pay with a single click. <br><br>Update to the latest version of WooCommerce Payments to get started.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("61", "ipp_refresh_q2_2023_us_inbox_notification", "marketing", "en_US", "Grow on the go with in-person payments", "Sell your products or services on the go with the M2 card reader – a quick, synchronized, and secure way to take payments, no matter where you are. Create an order using the WooCommerce mobile app and connect your card reader to accept payments.", "{}", "unactioned", "woocommerce.com", "2023-05-31 08:24:09", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("62", "ipp_refresh_q2_2023_ca_inbox_notification", "marketing", "en_US", "Grow on the go with in-person payments", "Sell your products or services on the go with the WisePad 3 card reader – a quick, synchronized, and secure way to take payments, no matter where you are. Create an order using the WooCommerce mobile app and connect your card reader to accept payments.", "{}", "pending", "woocommerce.com", "2023-05-30 08:24:42", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("63", "product_management_card_sorting", "survey", "en_US", "How do you create and edit products?", "Have a say in the future of WooCommerce. Take part in a brief exercise and help us understand what information is important to you while editing products.", "{}", "unactioned", "woocommerce.com", "2023-05-30 08:53:45", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("64", "wc-admin-customizing-product-catalog", "info", "en_US", "Comment personnaliser votre catalogue de produits", "Vous souhaitez soigner l’apparence de vos images et de votre catalogue de produits tout en vous conformant à votre marque. Ce guide contient tous les conseils dont vous avez besoin pour mettre en valeur vos produits dans votre boutique.", "{}", "unactioned", "woocommerce-admin", "2023-05-31 08:24:07", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("65", "wc-admin-choosing-a-theme", "marketing", "en_US", "Vous cherchez un thème ?", "Découvrez les thèmes compatibles avec WooCommerce et choisissez celui qui correspond le mieux à l’image de votre marque et à vos besoins.", "{}", "unactioned", "woocommerce-admin", "2023-06-01 08:24:14", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("66", "wc-admin-mobile-app", "info", "en_US", "Installer l’application mobile Woo", "Installez l’application mobile WooCommerce pour gérer les commandes, recevoir des notifications de vente et afficher les statistiques principales où que vous soyez.", "{}", "unactioned", "woocommerce-admin", "2023-06-01 08:24:14", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("67", "woocommerce-WCstripe-May-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce Stripe plugin", "<strong>Your store requires a security update for the WooCommerce Stripe plugin</strong>. Please update the WooCommerce Stripe plugin immediately to address a potential vulnerability.", "{}", "pending", "woocommerce.com", "2023-06-02 08:24:10", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("68", "wc-admin-onboarding-payments-reminder", "info", "en_US", "Commencer à accepter les paiements sur votre boutique !", "Accepter les paiements avec le fournisseur qui vous convient, parmi plus de 100 passerelles de paiement pour WooCommerce.", "{}", "unactioned", "woocommerce-admin", "2023-06-05 07:12:43", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("69", "woocommerce-WCReturnsWarranty-June-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce Returns and Warranty Requests extension", "<strong>Your store requires a security update for the Returns and Warranty Requests extension</strong>.  Please update to the latest version of the WooCommerce Returns and Warranty Requests extension immediately to address a potential vulnerability discovered on May 31.", "{}", "pending", "woocommerce.com", "2023-06-05 07:12:46", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("70", "wc-admin-usage-tracking-opt-in", "info", "en_US", "Aider WooCommerce à améliorer ses services grâce au suivi de l’utilisation", "Récupérer les données d’utilisation nous permet d’améliorer WooCommerce. Votre boutique sera prise en compte lors de l’évaluation des nouvelles fonctionnalités et de la qualité d’une mise à jour, ou pour déterminer l’intérêt d’une amélioration. Vous pouvez toujours consulter les <a href=\"http://kookagency/wp-admin/admin.php?page=wc-settings&#038;tab=advanced&#038;section=woocommerce_com\" target=\"_blank\">Paramètres</a> et choisir d’interrompre le partage des données. <a href=\"https://woocommerce.com/usage-tracking?utm_medium=product\" target=\"_blank\">En savoir plus</a> sur les données que nous collectons.", "{}", "unactioned", "woocommerce-admin", "2023-06-06 08:24:36", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("71", "wc-admin-woocommerce-payments", "marketing", "en_US", "Découvrez la nouvelle façon de se faire payer", "Acceptez en toute sécurité les cartes de crédit et de débit sur votre site. Gérez vos transactions sans quitter votre tableau de bord WordPress. Uniquement avec <strong>WooCommerce Payments</strong>.<br><br>En cliquant sur ­« Bien démarrer », vous êtes d’accord avec nos <a href=\"https://wordpress.com/tos/\" target=\"_blank\">conditions d’utilisation</a>", "{}", "unactioned", "woocommerce-admin", "2023-06-06 08:24:36", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("72", "woocommerce-WCSubscriptions-June-2023-updated-needed", "marketing", "en_US", "Action required: Security update of WooCommerce Subscriptions", "<strong>Your store requires a security update for the WooCommerce Subscriptions plugin</strong>. Please update the WooCommerce Subscriptions plugin immediately to address a potential vulnerability.", "{}", "pending", "woocommerce.com", "2023-06-06 08:24:37", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("73", "woocommerce-WCPayments-June-2023-updated-needed", "update", "en_US", "Action required: Security update of WooCommerce Payments", "<strong>Your store requires a security update for the WooCommerce Payments plugin</strong>. Please update the WooCommerce Payments plugin immediately to address a potential vulnerability.", "{}", "pending", "woocommerce.com", "2023-06-07 08:24:22", NULL, "0", "plain", "", "0", "0", "info");
INSERT INTO `wp_wc_admin_notes` VALUES("74", "woocommerce_hpos_1st_notification_q2_2023", "marketing", "en_US", "High-Performance Order Storage (HPOS) is on its way", "Our team is targeting August 2023 to roll out a major database upgrade that can unlock faster checkout and order creation for your customers — and lightning-quick order lookup for you. Enablement is optional and you won’t be forced to update, but read on to see why this was our most requested new feature.", "{}", "unactioned", "woocommerce.com", "2023-06-07 08:24:22", NULL, "0", "plain", "", "0", "0", "info");

/* INSERT TABLE DATA: wp_wc_category_lookup */
INSERT INTO `wp_wc_category_lookup` VALUES("26", "26");
INSERT INTO `wp_wc_category_lookup` VALUES("27", "27");
INSERT INTO `wp_wc_category_lookup` VALUES("28", "28");
INSERT INTO `wp_wc_category_lookup` VALUES("30", "30");
INSERT INTO `wp_wc_category_lookup` VALUES("31", "31");
INSERT INTO `wp_wc_category_lookup` VALUES("32", "32");
INSERT INTO `wp_wc_category_lookup` VALUES("34", "34");
INSERT INTO `wp_wc_category_lookup` VALUES("39", "39");
INSERT INTO `wp_wc_category_lookup` VALUES("40", "40");
INSERT INTO `wp_wc_category_lookup` VALUES("41", "41");
INSERT INTO `wp_wc_category_lookup` VALUES("42", "42");

/* INSERT TABLE DATA: wp_wc_product_download_directories */
INSERT INTO `wp_wc_product_download_directories` VALUES("1", "file://C:/wamp64/www/KOOKAgency/wp-content/uploads/woocommerce_uploads/", "1");
INSERT INTO `wp_wc_product_download_directories` VALUES("2", "http://kookagency/wp-content/uploads/woocommerce_uploads/", "1");

/* INSERT TABLE DATA: wp_wc_tax_rate_classes */
INSERT INTO `wp_wc_tax_rate_classes` VALUES("1", "Taux réduit", "taux-reduit");
INSERT INTO `wp_wc_tax_rate_classes` VALUES("2", "Taux zéro", "taux-zero");

/* INSERT TABLE DATA: wp_woocommerce_sessions */
INSERT INTO `wp_woocommerce_sessions` VALUES("3", "1", "a:7:{s:4:\"cart\";s:6:\"a:0:{}\";s:11:\"cart_totals\";s:367:\"a:15:{s:8:\"subtotal\";i:0;s:12:\"subtotal_tax\";i:0;s:14:\"shipping_total\";i:0;s:12:\"shipping_tax\";i:0;s:14:\"shipping_taxes\";a:0:{}s:14:\"discount_total\";i:0;s:12:\"discount_tax\";i:0;s:19:\"cart_contents_total\";i:0;s:17:\"cart_contents_tax\";i:0;s:19:\"cart_contents_taxes\";a:0:{}s:9:\"fee_total\";i:0;s:7:\"fee_tax\";i:0;s:9:\"fee_taxes\";a:0:{}s:5:\"total\";i:0;s:9:\"total_tax\";i:0;}\";s:15:\"applied_coupons\";s:6:\"a:0:{}\";s:22:\"coupon_discount_totals\";s:6:\"a:0:{}\";s:26:\"coupon_discount_tax_totals\";s:6:\"a:0:{}\";s:21:\"removed_cart_contents\";s:6:\"a:0:{}\";s:8:\"customer\";s:773:\"a:27:{s:2:\"id\";s:1:\"1\";s:13:\"date_modified\";s:25:\"2023-05-31T13:20:10+02:00\";s:8:\"postcode\";s:0:\"\";s:4:\"city\";s:0:\"\";s:9:\"address_1\";s:0:\"\";s:7:\"address\";s:0:\"\";s:9:\"address_2\";s:0:\"\";s:5:\"state\";s:2:\"CA\";s:7:\"country\";s:2:\"US\";s:17:\"shipping_postcode\";s:0:\"\";s:13:\"shipping_city\";s:0:\"\";s:18:\"shipping_address_1\";s:0:\"\";s:16:\"shipping_address\";s:0:\"\";s:18:\"shipping_address_2\";s:0:\"\";s:14:\"shipping_state\";s:2:\"CA\";s:16:\"shipping_country\";s:2:\"US\";s:13:\"is_vat_exempt\";s:0:\"\";s:19:\"calculated_shipping\";s:0:\"\";s:10:\"first_name\";s:0:\"\";s:9:\"last_name\";s:0:\"\";s:7:\"company\";s:0:\"\";s:5:\"phone\";s:0:\"\";s:5:\"email\";s:26:\"kiliankookagency@gmail.com\";s:19:\"shipping_first_name\";s:0:\"\";s:18:\"shipping_last_name\";s:0:\"\";s:16:\"shipping_company\";s:0:\"\";s:14:\"shipping_phone\";s:0:\"\";}\";}", "1686295804");

/* INSERT TABLE DATA: wp_yoast_indexable */
INSERT INTO `wp_yoast_indexable` VALUES("1", "http://kookagency/", "18:2035dcddec7d75853d9cd8fb48c0550a", NULL, "home-page", NULL, NULL, NULL, "%%sitename%% %%page%% %%sep%% %%sitedesc%%", "L&#039;agence de communication des restaurateurs", "Accueil", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", "0", "0", "0", "0", "0", NULL, NULL, NULL, NULL, NULL, "%%sitename%%", "", "", "0", NULL, NULL, NULL, "23", NULL, "2023-05-30 08:25:27", "2023-06-08 08:52:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-06-08 10:52:00", "2018-02-22 11:26:02", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("2", "http://kookagency/", "18:2035dcddec7d75853d9cd8fb48c0550a", "10485", "post", "page", "1", "0", NULL, NULL, "Accueil", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg", NULL, "first-content-image", NULL, "93", NULL, NULL, "2023-06-01 13:43:08", "2023-06-07 14:31:49", "1", NULL, NULL, NULL, NULL, "0", "12", "2", "2023-06-07 14:31:47", "2022-09-21 09:05:33", "0");
INSERT INTO `wp_yoast_indexable` VALUES("3", "http://kookagency/author/kilian/", "32:d016c7d6dfdad60d21e072136fa8b842", "1", "user", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, NULL, NULL, NULL, NULL, "https://2.gravatar.com/avatar/2698ee5960985def0f991c1b2b842de6?s=500&d=mm&r=g", NULL, NULL, "gravatar-image", NULL, NULL, "https://2.gravatar.com/avatar/2698ee5960985def0f991c1b2b842de6?s=500&d=mm&r=g", NULL, "gravatar-image", NULL, NULL, NULL, NULL, "2023-06-01 13:43:08", "2023-06-07 14:31:49", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-06-07 14:31:47", "2018-02-22 11:26:02", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("4", "http://kookagency/reseaux-sociaux/", "34:1ea1d55753f733e7076f93cfcb060efa", "6180", "post", "page", "1", "0", NULL, NULL, "Réseaux sociaux", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-768x1024.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-768x1024.jpg", NULL, "first-content-image", NULL, "2", "7", NULL, "2023-06-01 13:43:42", "2023-06-07 15:59:23", "1", NULL, NULL, NULL, NULL, "0", "3", "2", "2023-06-06 11:28:05", "2022-09-09 16:57:42", "0");
INSERT INTO `wp_yoast_indexable` VALUES("5", "http://kookagency/creation-de-site-internet/", "44:8af6f47c933eaa90e026b51b429cc4ea", "11980", "post", "page", "1", "0", NULL, NULL, "Création de site internet", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-819x1024.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-819x1024.jpg", NULL, "first-content-image", NULL, "1", "3", NULL, "2023-06-01 13:44:21", "2023-06-07 15:59:23", "1", NULL, NULL, NULL, NULL, "0", "3", "2", "2023-06-06 11:48:52", "2023-05-30 09:31:03", "0");
INSERT INTO `wp_yoast_indexable` VALUES("6", "http://kookagency/referencement-naturel/", "40:aae41e9decd1790f2d357b5f574c1e33", "11981", "post", "page", "1", "0", NULL, NULL, "Référencement naturel", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, NULL, "first-content-image", NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, "first-content-image", NULL, "1", "3", NULL, "2023-06-01 14:02:37", "2023-06-07 15:59:23", "1", NULL, NULL, NULL, NULL, "0", "3", "2", "2023-06-06 11:56:31", "2023-05-30 09:31:03", "0");
INSERT INTO `wp_yoast_indexable` VALUES("7", "http://kookagency/nos-tarifs/", "29:c00bd482296f1f3e530b07abe0b3e3a0", "6206", "post", "page", "1", "0", NULL, NULL, "Nos tarifs", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg", NULL, "7221", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg", "7221", "featured-image", "{\n    \"width\": 1600,\n    \"height\": 2000,\n    \"filesize\": 335818,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/09/60a502785b1f17fddcebab14_Architecture-Grid-Image-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 7221,\n    \"alt\": \"\",\n    \"pixels\": 3200000,\n    \"type\": \"image/jpeg\"\n}", "0", "3", NULL, "2023-06-01 14:03:08", "2023-06-05 15:34:26", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:31:29", "2022-09-09 17:18:31", "0");
INSERT INTO `wp_yoast_indexable` VALUES("8", "http://kookagency/contact/", "26:945c7944efc32917bd46bcc9a46c9187", "3857", "post", "page", "1", "0", NULL, NULL, "Contact", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, NULL, "first-content-image", NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, "first-content-image", NULL, "1", "19", NULL, "2023-06-02 07:13:15", "2023-06-07 13:59:29", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-07 13:59:23", "2022-08-15 21:19:51", "0");
INSERT INTO `wp_yoast_indexable` VALUES("9", "http://kookagency/le-blog/", "26:7197eb86a852c4b0de1aa2087b958d05", "4242", "post", "page", "1", "0", NULL, NULL, "Le blog", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, NULL, "first-content-image", NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, "first-content-image", NULL, "17", "3", NULL, "2023-06-02 07:17:51", "2023-06-05 13:34:29", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:34:26", "2022-08-16 15:30:31", "0");
INSERT INTO `wp_yoast_indexable` VALUES("10", "http://kookagency/nos-clients/", "30:c2a3499f5972572b8431f342c6bbb15d", "11096", "post", "page", "1", "0", NULL, NULL, "Nos clients", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg", NULL, "first-content-image", NULL, "32", "3", NULL, "2023-06-02 07:17:51", "2023-06-05 15:34:26", "1", NULL, NULL, NULL, NULL, "0", "7", "2", "2023-06-05 07:32:16", "2022-09-27 15:32:20", "0");
INSERT INTO `wp_yoast_indexable` VALUES("11", "http://kookagency/politique-de-confidentialite/", "47:9e7a6332345a5973aebc5c79d989c1b4", "3", "post", "page", "1", "0", NULL, NULL, "Politique de confidentialité", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "30", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 07:17:51", "2023-06-05 12:16:23", "1", NULL, NULL, NULL, NULL, "0", "12", "2", "2023-06-05 12:16:20", "2023-05-30 08:11:54", "0");
INSERT INTO `wp_yoast_indexable` VALUES("12", "http://kookagency/refund_returns/", "33:7ffb6b2cfcf8d081f438efb0bfe0afc7", "11124", "post", "page", "1", "0", NULL, NULL, "Refund and Returns Policy", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 07:17:51", "2023-06-02 12:17:59", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:33:35", "2022-10-11 20:14:17", "0");
INSERT INTO `wp_yoast_indexable` VALUES("13", "http://kookagency/shooting-photo/", "33:f1a9932222335e3f7a07fab526d5847a", "11982", "post", "page", "1", "0", NULL, NULL, "Shooting photo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, NULL, "first-content-image", NULL, NULL, "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", NULL, "first-content-image", NULL, "1", "3", NULL, "2023-06-02 07:17:51", "2023-06-07 15:59:23", "1", NULL, NULL, NULL, NULL, "0", "3", "2", "2023-06-06 14:05:36", "2023-05-30 09:31:03", "0");
INSERT INTO `wp_yoast_indexable` VALUES("14", "http://kookagency/boutique__trashed/", "36:e4a4af0018a8b40e1a52faf1090a5452", NULL, "post-type-archive", "product", NULL, NULL, "%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%", "", "Produits", NULL, "1", "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", "0", "0", "0", "0", "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 07:18:10", "2023-06-02 07:18:10", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:30", "2019-01-16 13:01:52", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("15", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "90:364998b0723bf1be763f98a44f703ab3", "6148", "post", "post", "1", "0", NULL, NULL, "Google My Business : optimiser la visibilité de son restaurant", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg", NULL, "12252", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg", "12252", "featured-image", "{\n    \"width\": 1600,\n    \"height\": 902,\n    \"filesize\": 144003,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg\",\n    \"size\": \"full\",\n    \"id\": 12252,\n    \"alt\": \"\",\n    \"pixels\": 1443200,\n    \"type\": \"image/jpeg\"\n}", "0", "7", NULL, "2023-06-02 07:53:25", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 11:28:08", "2023-05-09 13:35:13", "0");
INSERT INTO `wp_yoast_indexable` VALUES("16", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "110:d186c57a413a9ca3d00f7c68df2a85a0", "6136", "post", "post", "1", "0", NULL, NULL, "Les messages Instagram : un outil marketing puissant pour votre restaurant en 2023 ", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg", NULL, "12257", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg", "12257", "featured-image", "{\n    \"width\": 1280,\n    \"height\": 853,\n    \"filesize\": 130502,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg\",\n    \"size\": \"full\",\n    \"id\": 12257,\n    \"alt\": \"\",\n    \"pixels\": 1091840,\n    \"type\": \"image/jpeg\"\n}", "0", "7", NULL, "2023-06-02 07:53:25", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 11:40:07", "2023-04-21 13:33:34", "0");
INSERT INTO `wp_yoast_indexable` VALUES("17", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "79:e71ec742a31c54cb074169675722df95", "6133", "post", "post", "1", "0", NULL, NULL, "Gérer les avis négatifs de son restaurant en 2023", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/04/commentaire.png", NULL, "12267", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/04/commentaire.png", "12267", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 900,\n    \"filesize\": 844051,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/04/commentaire.png\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/04/commentaire.png\",\n    \"size\": \"full\",\n    \"id\": 12267,\n    \"alt\": \"\",\n    \"pixels\": 1080000,\n    \"type\": \"image/png\"\n}", "0", "7", NULL, "2023-06-02 07:53:25", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 11:47:31", "2023-04-17 13:02:56", "0");
INSERT INTO `wp_yoast_indexable` VALUES("18", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "73:7f909f1f18684660bb4c4bcbe11b72e7", "11888", "post", "post", "1", "0", NULL, NULL, "Le guide pour ouvrir son restaurant en 2023", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/01/restauratrice.png", NULL, "12274", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/01/restauratrice.png", "12274", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 900,\n    \"filesize\": 1247495,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/01/restauratrice.png\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/01/restauratrice.png\",\n    \"size\": \"full\",\n    \"id\": 12274,\n    \"alt\": \"\",\n    \"pixels\": 1080000,\n    \"type\": \"image/png\"\n}", "0", "7", NULL, "2023-06-02 07:53:25", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 11:56:27", "2023-01-20 16:45:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("19", "http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/", "90:1b8ddf3fa8d837815b8e4aaee52b8dac", "5304", "post", "post", "1", "0", NULL, NULL, "Lutter contre le gaspillage alimentaire dans la restauration", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg", NULL, "12287", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg", "12287", "featured-image", "{\n    \"width\": 612,\n    \"height\": 408,\n    \"filesize\": 69194,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg\",\n    \"size\": \"full\",\n    \"id\": 12287,\n    \"alt\": \"\",\n    \"pixels\": 249696,\n    \"type\": \"image/jpeg\"\n}", "0", "4", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:04:36", "2022-06-29 07:30:10", "0");
INSERT INTO `wp_yoast_indexable` VALUES("20", "http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/", "107:a70cd023f905cf629078f0266a5ff2e5", "4967", "post", "post", "1", "0", NULL, NULL, "Le click and collect et la commande en ligne : les meilleures solutions en 2022", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg", NULL, "12297", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg", "12297", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 1365,\n    \"filesize\": 453270,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 12297,\n    \"alt\": \"\",\n    \"pixels\": 2795520,\n    \"type\": \"image/jpeg\"\n}", "0", "4", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:10:54", "2022-06-01 07:30:52", "0");
INSERT INTO `wp_yoast_indexable` VALUES("21", "http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/", "66:4e371a710a2ab25bbadd473707dd09a2", "4963", "post", "post", "1", "0", NULL, NULL, "Réussir ses photographies culinaires", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg", NULL, "12304", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg", "12304", "featured-image", "{\n    \"width\": 640,\n    \"height\": 427,\n    \"filesize\": 54082,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/05/food-porn-photo.jpg\",\n    \"size\": \"full\",\n    \"id\": 12304,\n    \"alt\": \"\",\n    \"pixels\": 273280,\n    \"type\": \"image/jpeg\"\n}", "0", "4", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:19:17", "2022-05-19 13:00:54", "0");
INSERT INTO `wp_yoast_indexable` VALUES("22", "http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/", "102:ed185b4bf9bd6da7ba6efd08ec15cec4", "5265", "post", "post", "1", "0", NULL, NULL, "Hemblem : l’appli qui met en relation les influenceurs et les restaurateurs", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg", NULL, "12317", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg", "12317", "featured-image", "{\n    \"width\": 612,\n    \"height\": 408,\n    \"filesize\": 73892,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/05/hemblem-influence-3.jpg\",\n    \"size\": \"full\",\n    \"id\": 12317,\n    \"alt\": \"\",\n    \"pixels\": 249696,\n    \"type\": \"image/jpeg\"\n}", "0", "4", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:27:24", "2022-05-02 12:00:07", "0");
INSERT INTO `wp_yoast_indexable` VALUES("23", "http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/", "82:f3842c4be2dff794b24ab176697a345a", "4956", "post", "post", "1", "0", NULL, NULL, "Conseils pour développer une franchise de restaurant", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg", NULL, "12333", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg", "12333", "featured-image", "{\n    \"width\": 640,\n    \"height\": 480,\n    \"filesize\": 90696,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/04/concept-de-restaurant.jpg\",\n    \"size\": \"full\",\n    \"id\": 12333,\n    \"alt\": \"\",\n    \"pixels\": 307200,\n    \"type\": \"image/jpeg\"\n}", "0", "4", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:32:56", "2022-04-26 09:00:46", "0");
INSERT INTO `wp_yoast_indexable` VALUES("24", "http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/", "79:4ef8266897d1fa50cb8716fa4f963166", "4946", "post", "post", "1", "0", NULL, NULL, "Les meilleurs hashtags food en 2022 sur Instagram", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg", NULL, "12340", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg", "12340", "featured-image", "{\n    \"width\": 612,\n    \"height\": 367,\n    \"filesize\": 70284,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/04/hashtags-food-entete.jpg\",\n    \"size\": \"full\",\n    \"id\": 12340,\n    \"alt\": \"\",\n    \"pixels\": 224604,\n    \"type\": \"image/jpeg\"\n}", "0", "4", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:38:12", "2022-04-20 08:00:46", "0");
INSERT INTO `wp_yoast_indexable` VALUES("25", "http://kookagency/2022/04/15/le-menu-qrcode-un-atout-pour-les-restaurateurs/", "76:f201a5e18121545b845b0c4709a13e27", "4888", "post", "post", "1", "0", NULL, NULL, "Le Menu QRCode, un atout pour les restaurateurs", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1.jpg", NULL, "12348", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1.jpg", "12348", "featured-image", "{\n    \"width\": 509,\n    \"height\": 339,\n    \"filesize\": 92537,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/04/menu-digital-avec-WhatisEAT-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12348,\n    \"alt\": \"\",\n    \"pixels\": 172551,\n    \"type\": \"image/jpeg\"\n}", "0", "1", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:46:00", "2022-04-15 15:15:07", "0");
INSERT INTO `wp_yoast_indexable` VALUES("26", "http://kookagency/2022/03/11/tiktok-le-reseau-social-au-service-des-restaurants-en-2022/", "88:b56e114037b8f4115a709343d185a407", "4445", "post", "post", "1", "0", NULL, NULL, "Tiktok : Le réseau social au service des restaurants en 2022", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg", NULL, "12359", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg", "12359", "featured-image", "{\n    \"width\": 980,\n    \"height\": 523,\n    \"filesize\": 72136,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/03/Tiktok-au-service-des-restaurants-en-2022-980x523-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12359,\n    \"alt\": \"\",\n    \"pixels\": 512540,\n    \"type\": \"image/jpeg\"\n}", "0", "1", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 12:56:22", "2022-03-11 09:00:27", "0");
INSERT INTO `wp_yoast_indexable` VALUES("27", "http://kookagency/2021/06/25/smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux/", "95:48b2fd316853692a04afc1908a9c7811", "4041", "post", "post", "1", "0", NULL, NULL, "Smiirl &#8211; un nouvel outil marketing pour booster vos réseaux sociaux", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112.jpg", NULL, "12366", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112.jpg", "12366", "featured-image", "{\n    \"width\": 1080,\n    \"height\": 1080,\n    \"filesize\": 235147,\n    \"url\": \"http://kookagency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2021/06/pablopanini_1080x1080-117112.jpg\",\n    \"size\": \"full\",\n    \"id\": 12366,\n    \"alt\": \"\",\n    \"pixels\": 1166400,\n    \"type\": \"image/jpeg\"\n}", "0", "1", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:03:42", "2021-06-25 10:09:19", "0");
INSERT INTO `wp_yoast_indexable` VALUES("28", "http://kookagency/2021/01/21/le-click-collect-dans-son-restaurant-une-solution-pour-2021/", "89:93fe20df3298ff065b23e2cda26345dc", "3492", "post", "post", "1", "0", "Le Click & Collect dans son restaurant, une solution pour 2021 ?", "Depuis quelques mois, le monde de la restauration vis une crise économique forte .Le click&collect est un service proposé aux consommateurs....", "Le Click &#038; Collect dans son restaurant, une solution pour 2021 ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg", NULL, "12374", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg", "12374", "featured-image", "{\n    \"width\": 550,\n    \"height\": 366,\n    \"filesize\": 21215,\n    \"url\": \"http://kookagency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2021/01/Click-Collect-comment-choisir-votre-solution-et-reussir-votre-projet_compressed_original.jpg\",\n    \"size\": \"full\",\n    \"id\": 12374,\n    \"alt\": \"\",\n    \"pixels\": 201300,\n    \"type\": \"image/jpeg\"\n}", "11", "1", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:11:28", "2021-01-21 15:09:19", "0");
INSERT INTO `wp_yoast_indexable` VALUES("29", "http://kookagency/2020/06/08/propulser-son-restaurant-grace-au-click-and-collect/", "81:135cff8d71cec999aa304b58a4a56d67", "3174", "post", "post", "1", "0", "propulser son restaurant grâce au click-and-collect.", "propulser son restaurant grâce au click-and-collect. ", "Comment propulser son restaurant grâce aux solutions de livraison et de click-and-collect.", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577.png", NULL, "12381", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577.png", "12381", "featured-image", "{\n    \"width\": 1000,\n    \"height\": 700,\n    \"filesize\": 1149029,\n    \"url\": \"http://kookagency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577.png\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577.png\",\n    \"size\": \"full\",\n    \"id\": 12381,\n    \"alt\": \"\",\n    \"pixels\": 700000,\n    \"type\": \"image/png\"\n}", "0", "1", NULL, "2023-06-02 08:02:57", "2023-06-05 15:13:37", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:18:05", "2020-06-08 09:08:41", "0");
INSERT INTO `wp_yoast_indexable` VALUES("30", "http://kookagency/2019/09/23/15-idees-de-posts-pour-animer-la-page-facebook-de-son-restaurant/", "94:92c76614db63af9753fdddd5f0116388", "3001", "post", "post", "1", "0", NULL, "15 idées de posts pour animer la page Facebook de son restaurant", "15 idées de posts pour animer la page Facebook de son restaurant", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg", NULL, "12389", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg", "12389", "featured-image", "{\n    \"width\": 1024,\n    \"height\": 578,\n    \"filesize\": 40464,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/09/2018-08-19t172325z_417693703_rc189d8ce160_rtrmadp_3_facebook-encryption.jpg\",\n    \"size\": \"full\",\n    \"id\": 12389,\n    \"alt\": \"\",\n    \"pixels\": 591872,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 08:02:57", "2023-06-02 12:18:11", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:28:16", "2019-09-23 16:37:35", "0");
INSERT INTO `wp_yoast_indexable` VALUES("31", "http://kookagency/2018/10/25/les-micro-influenceurs-sur-instagram-source-de-trafic-dans-les-restaurants/", "104:7003813de18ef631a3d4369b7bf333a0", "2634", "post", "post", "1", "0", "Micro-influenceurs Instagram source de trafic dans les restaurants ", "Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?", "Les micro-influenceurs sur Instagram source de trafic dans les restaurants ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png", NULL, "12396", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png", "12396", "featured-image", "{\n    \"width\": 1000,\n    \"height\": 675,\n    \"filesize\": 230419,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/10/Sans-titre-2022-03-30T162754.782-1000x675-1.png\",\n    \"size\": \"full\",\n    \"id\": 12396,\n    \"alt\": \"\",\n    \"pixels\": 675000,\n    \"type\": \"image/png\"\n}", "0", NULL, NULL, "2023-06-02 08:02:57", "2023-06-02 12:18:08", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:38:01", "2018-10-25 11:00:53", "0");
INSERT INTO `wp_yoast_indexable` VALUES("32", "http://kookagency/2018/10/24/sequiper-pour-la-vente-a-emporter-et-la-livraison/", "79:4ba4f645108df2ebc7a164616130d738", "2626", "post", "post", "1", "0", "S’équiper pour la vente à emporter et la livraison", "S’équiper pour la vente à emporter et la livraison", "S’équiper pour la vente à emporter et la livraison", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg", NULL, "12403", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg", "12403", "featured-image", "{\n    \"width\": 613,\n    \"height\": 344,\n    \"filesize\": 28238,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/10/coursier-velo-illustration-828622-0@1x-1.jpeg\",\n    \"size\": \"full\",\n    \"id\": 12403,\n    \"alt\": \"\",\n    \"pixels\": 210872,\n    \"type\": \"image/jpeg\"\n}", "11", NULL, NULL, "2023-06-02 08:02:57", "2023-06-02 12:18:08", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:44:34", "2018-10-24 11:34:44", "0");
INSERT INTO `wp_yoast_indexable` VALUES("33", "http://kookagency/2018/09/20/16-idees-marketing-pour-developper-votre-restaurant/", "81:affd351caaf20a8ad9673273caf833e9", "2481", "post", "post", "1", "0", "16 idées marketing pour développer votre restaurant via internet.", "16 idées marketing pour développer votre restaurant via internet.", "16 idées marketing pour développer votre restaurant ", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/09/marketing-restaurant.jpg", NULL, "12411", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/09/marketing-restaurant.jpg", "12411", "featured-image", "{\n    \"width\": 612,\n    \"height\": 398,\n    \"filesize\": 39756,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/09/marketing-restaurant.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/09/marketing-restaurant.jpg\",\n    \"size\": \"full\",\n    \"id\": 12411,\n    \"alt\": \"\",\n    \"pixels\": 243576,\n    \"type\": \"image/jpeg\"\n}", "0", "1", NULL, "2023-06-02 08:02:57", "2023-06-02 12:18:08", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 13:53:26", "2018-09-20 14:10:53", "0");
INSERT INTO `wp_yoast_indexable` VALUES("34", "http://kookagency/2018/09/04/la-visite-virtuelle-immersive-un-outil-marketing-pour-votre-restaurant/", "100:a094c453e1f85c1b6774e3e92ee35c4e", "2279", "post", "post", "1", "0", "La visite virtuelle immersive un outil marketing pour restaurant", "La visite virtuelle immersive : un outil marketing pour votre restaurant", "La visite virtuelle immersive : un outil marketing pour votre restaurant", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg", NULL, "12418", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg", "12418", "featured-image", "{\n    \"width\": 1080,\n    \"height\": 675,\n    \"filesize\": 113169,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/09/IBA-LE-Rouge-VErbier2092-1080x675-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12418,\n    \"alt\": \"\",\n    \"pixels\": 729000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 08:02:57", "2023-06-02 12:18:08", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:00:14", "2018-09-04 13:24:45", "0");
INSERT INTO `wp_yoast_indexable` VALUES("35", "http://kookagency/blackdsn-portfolio/369-restaurant/", "52:8745402fa0871893bef4ee517fef71e9", "12187", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "369 Restaurant", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg", NULL, "12189", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg", "12189", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 2560,\n    \"filesize\": 586403,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12189,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "3", NULL, "2023-06-02 08:03:09", "2023-06-05 13:52:36", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:52:36", "2023-05-31 08:42:36", "0");
INSERT INTO `wp_yoast_indexable` VALUES("36", "http://kookagency/blackdsn-portfolio/breakfast-in-america/", "58:eced91aa737af163e5920ff9044e23af", "12169", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Breakfast In America", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png", NULL, "12174", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png", "12174", "featured-image", "{\n    \"width\": 1000,\n    \"height\": 1000,\n    \"filesize\": 1749132,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png\",\n    \"size\": \"full\",\n    \"id\": 12174,\n    \"alt\": \"\",\n    \"pixels\": 1000000,\n    \"type\": \"image/png\"\n}", "0", "3", NULL, "2023-06-02 08:03:09", "2023-06-05 13:51:24", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:51:24", "2023-05-31 08:07:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("37", "http://kookagency/blackdsn-portfolio/coderak/", "45:422bff712a9533c158fe405aa3564f32", "12197", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "CODERAK", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg", NULL, "12199", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg", "12199", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 2560,\n    \"filesize\": 649349,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12199,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:03:09", "2023-06-05 13:53:13", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:53:03", "2023-05-31 08:52:54", "0");
INSERT INTO `wp_yoast_indexable` VALUES("38", "http://kookagency/blackdsn-portfolio/dandy-hotel/", "49:32edab44420b73aabd87c01f849acf6f", "12178", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Dandy Hotel", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg", NULL, "12180", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg", "12180", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 2560,\n    \"filesize\": 581042,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12180,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "3", NULL, "2023-06-02 08:03:09", "2023-06-05 13:53:41", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:53:32", "2023-05-31 08:28:04", "0");
INSERT INTO `wp_yoast_indexable` VALUES("39", "http://kookagency/blackdsn-portfolio/fuero/", "43:b144ca84e51d76042a82c0cf60fd33af", "12160", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Fuero", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg", NULL, "12162", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg", "12162", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 2048,\n    \"filesize\": 701832,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12162,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "3", NULL, "2023-06-02 08:03:09", "2023-06-05 13:54:21", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:54:17", "2023-05-31 07:53:32", "0");
INSERT INTO `wp_yoast_indexable` VALUES("40", "http://kookagency/blackdsn-portfolio/gabriela/", "46:4d4fdc4e61d677d0733806d08ec26e65", "12151", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Gabriela", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg", NULL, "12153", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg", "12153", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 1920,\n    \"filesize\": 889192,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12153,\n    \"alt\": \"\",\n    \"pixels\": 4915200,\n    \"type\": \"image/jpeg\"\n}", "0", "3", NULL, "2023-06-02 08:03:09", "2023-06-05 13:54:48", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:54:43", "2023-05-31 07:34:37", "0");
INSERT INTO `wp_yoast_indexable` VALUES("41", "http://kookagency/blackdsn-portfolio/la-boite-a-pates/", "54:1bf5b043596b73f56d3e7ff9d7a04d0c", "217", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "La Boîte à Pâtes", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg", NULL, "12142", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg", "12142", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 1707,\n    \"filesize\": 980357,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg\",\n    \"size\": \"full\",\n    \"id\": 12142,\n    \"alt\": \"\",\n    \"pixels\": 4369920,\n    \"type\": \"image/jpeg\"\n}", "0", "2", NULL, "2023-06-02 08:03:09", "2023-06-05 13:55:21", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:55:17", "2022-08-12 10:28:50", "0");
INSERT INTO `wp_yoast_indexable` VALUES("42", "http://kookagency/blackdsn-portfolio/la-sublime-porte/", "54:41b8e37d539f376022140f4ab81ec41a", "12243", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "La sublime porte", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg", NULL, "12245", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg", "12245", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 2560,\n    \"filesize\": 810695,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12245,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:03:09", "2023-06-05 13:55:38", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:55:34", "2023-05-31 09:43:36", "0");
INSERT INTO `wp_yoast_indexable` VALUES("43", "http://kookagency/blackdsn-portfolio/le-calice/", "47:0157b8beedb48ee382217267b2de24af", "12233", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Le Calice", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg", NULL, "12235", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg", "12235", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 2560,\n    \"filesize\": 691742,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12235,\n    \"alt\": \"\",\n    \"pixels\": 4915200,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:03:09", "2023-06-05 13:56:06", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:56:00", "2023-05-31 09:30:22", "0");
INSERT INTO `wp_yoast_indexable` VALUES("44", "http://kookagency/blackdsn-portfolio/lou-gardo/", "47:6166ebcebd53d9e69cc19b945b076483", "12206", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Lou Gardo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg", NULL, "12208", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg", "12208", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 2560,\n    \"filesize\": 856975,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12208,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:03:09", "2023-06-05 13:56:22", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:56:17", "2023-05-31 09:02:42", "0");
INSERT INTO `wp_yoast_indexable` VALUES("45", "http://kookagency/blackdsn-portfolio/mojito-cafe/", "49:f75c25b14459b03882578f67ab9022af", "12224", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Mojito Café", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg", NULL, "12226", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg", "12226", "featured-image", "{\n    \"width\": 2048,\n    \"height\": 2560,\n    \"filesize\": 532610,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12226,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:03:09", "2023-06-05 13:56:45", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:56:39", "2023-05-31 09:21:09", "0");
INSERT INTO `wp_yoast_indexable` VALUES("46", "http://kookagency/blackdsn-portfolio/restaurant-lhemingway/", "59:668b314e8cb3051f3f46a1c6422208fb", "12215", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Restaurant L&#8217;Hemingway", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg", NULL, "12217", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg", "12217", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 2048,\n    \"filesize\": 636857,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12217,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:03:09", "2023-06-05 13:57:03", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:56:59", "2023-05-31 09:11:44", "0");
INSERT INTO `wp_yoast_indexable` VALUES("47", "http://kookagency/blackdsn-portfolio/lo-beach/", "46:b9a80a8b286a637989842e4285c6492e", "12648", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "L&#8217;O Beach", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg", NULL, "12651", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg", "12651", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 2560,\n    \"filesize\": 394167,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12651,\n    \"alt\": \"\",\n    \"pixels\": 4915200,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:09:10", "2023-06-05 13:54:58", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:54:58", "2023-06-02 08:09:10", "0");
INSERT INTO `wp_yoast_indexable` VALUES("48", "http://kookagency/blackdsn-portfolio/ruby/", "42:a26945682150a1143d9b0f2515dee4b9", "12658", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Ruby", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg", NULL, "12660", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg", "12660", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 2560,\n    \"filesize\": 620525,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12660,\n    \"alt\": \"\",\n    \"pixels\": 4915200,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:26:10", "2023-06-05 13:57:25", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:57:25", "2023-06-02 08:26:10", "0");
INSERT INTO `wp_yoast_indexable` VALUES("49", "http://kookagency/blackdsn-portfolio/vita-ristorante/", "53:70979894065b4631c87f1f4f44a791e5", "12668", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Vita Ristorante", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg", NULL, "12671", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg", "12671", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 2048,\n    \"filesize\": 924765,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12671,\n    \"alt\": \"\",\n    \"pixels\": 5242880,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:33:43", "2023-06-05 13:57:48", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:57:48", "2023-06-02 08:33:43", "0");
INSERT INTO `wp_yoast_indexable` VALUES("50", "http://kookagency/blackdsn-portfolio/di-vino/", "45:56cc0f451d8fa3fb7eea7d2360f98a48", "12678", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "Di Vino", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg", NULL, "12680", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg", "12680", "featured-image", "{\n    \"width\": 1707,\n    \"height\": 2560,\n    \"filesize\": 687407,\n    \"url\": \"http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2023/06/P1460372-scaled.jpg\",\n    \"size\": \"full\",\n    \"id\": 12680,\n    \"alt\": \"\",\n    \"pixels\": 4369920,\n    \"type\": \"image/jpeg\"\n}", "0", "6", NULL, "2023-06-02 08:50:58", "2023-06-05 13:53:55", "1", NULL, NULL, NULL, NULL, "0", "2", "2", "2023-06-05 13:53:54", "2023-06-02 08:50:58", "0");
INSERT INTO `wp_yoast_indexable` VALUES("51", "http://kookagency/category/non-classe/", "38:5c28d362ef6b40f3d84125159ba21fdc", "1", "term", "category", NULL, NULL, NULL, NULL, "Non classé", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:48", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("52", "http://kookagency/tag/architecture/", "35:1a683d6ba06440694df2ba7d9a8f3b14", "6", "term", "post_tag", NULL, NULL, NULL, NULL, "architecture", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:48", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("53", "http://kookagency/tag/home/", "27:6febc1ac405c20d40e92932ed035ee9d", "7", "term", "post_tag", NULL, NULL, NULL, NULL, "home", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:51", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("54", "http://kookagency/tag/light-2/", "30:9fe3ecb554cb3b35c7c4bab97727f2bf", "8", "term", "post_tag", NULL, NULL, NULL, NULL, "light", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:51", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("55", "http://kookagency/categorie-produit/non-classe/", "47:cbf4bad3549de0447d89f3d17879037d", "26", "term", "product_cat", NULL, NULL, NULL, NULL, "Non classé", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:51", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("56", "http://kookagency/categorie-produit/accessories/", "48:12f3aa7a5b1ff65e673c16321a0edcf8", "27", "term", "product_cat", NULL, NULL, NULL, NULL, "Accessories", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:51", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:29", "2022-10-11 22:23:25", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("57", "http://kookagency/categorie-produit/clothing/", "45:22b71f9f489718eeb6b5d1b25728acc8", "28", "term", "product_cat", NULL, NULL, NULL, NULL, "Clothing", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:51", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2019-01-16 13:01:52", "2019-01-16 13:01:52", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("58", "http://kookagency/categorie-produit/decor/", "42:a7119cf7818d256f311f986ac962b8c6", "30", "term", "product_cat", NULL, NULL, NULL, NULL, "Decor", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:53", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:30", "2022-10-11 22:23:30", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("59", "http://kookagency/categorie-produit/hoodies/", "44:23cd7237f6d8fe7179755295be73c6e3", "31", "term", "product_cat", NULL, NULL, NULL, NULL, "Hoodies", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:53", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("60", "http://kookagency/categorie-produit/hoodies-clothing/", "53:83fa008e03d8b50589152aa27bfb2db3", "32", "term", "product_cat", NULL, NULL, NULL, NULL, "Hoodies", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:53", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:23", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("61", "http://kookagency/categorie-produit/music/", "42:b6b95eac62c029822b2038807b5f4b03", "34", "term", "product_cat", NULL, NULL, NULL, NULL, "Music", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:53", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:27", "2019-01-16 13:01:54", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("62", "http://kookagency/categorie-produit/tshirts-clothing/", "53:10e8e666a48d1db92bff6f3348e38d27", "39", "term", "product_cat", NULL, NULL, NULL, NULL, "Tshirts", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:50", "2023-06-02 12:18:53", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:23", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("63", "http://kookagency/categorie-produit/tshirts/", "44:229be232f4b74d3e7e3a4fb56f67965e", "40", "term", "product_cat", NULL, NULL, NULL, NULL, "Tshirts", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:51", "2023-06-02 12:18:56", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2019-01-16 13:01:55", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("64", "http://kookagency/categorie-produit/uncategorized/", "50:d03a21b3f291a6cbfb8370a5df1bc0d7", "41", "term", "product_cat", NULL, NULL, NULL, NULL, "Uncategorized", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:51", "2023-06-02 12:18:56", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("65", "http://kookagency/categorie-produit/accessories-clothing/", "57:8a0ae8bcec5935d5fb5050d3439499fd", "42", "term", "product_cat", NULL, NULL, NULL, NULL, "Accessories", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:51", "2023-06-02 12:18:56", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:29", "2019-01-16 13:01:52", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("66", "http://kookagency/dsn-blackdsn-categories/restaurant/", "53:e93cf0b7b9733510583fe28d56c6701f", "44", "term", "dsn-blackdsn-categories", NULL, NULL, NULL, NULL, "Restaurant", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", "10", NULL, "2023-06-02 12:16:51", "2023-06-05 13:57:48", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-06-05 13:57:48", "2022-08-12 10:28:50", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("67", "http://kookagency/dsn-blackdsn-categories/hotel/", "48:299ec4f03ed1083de61dea27d4614dbb", "45", "term", "dsn-blackdsn-categories", NULL, NULL, NULL, NULL, "Hôtel", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-02 12:16:51", "2023-06-05 13:53:41", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-06-05 13:53:32", "2023-05-31 08:28:04", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("68", "http://kookagency/category/blog/", "32:2c0ba6eb7d94c4c33f5c19768b5e4d7b", "46", "term", "category", NULL, NULL, NULL, NULL, "Blog", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", "10", NULL, "2023-06-02 12:16:51", "2023-06-02 12:18:48", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:35:01", "2018-02-22 11:26:02", NULL);
INSERT INTO `wp_yoast_indexable` VALUES("69", "http://kookagency/?post_type=blackdsn-portfolio&p=6", "51:05b4998aca95d985c8cf740618dd727c", "6", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "VISIONAID", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg", NULL, "8", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg", "8", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 1440,\n    \"filesize\": 109669,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3.jpg\",\n    \"size\": \"full\",\n    \"id\": 8,\n    \"alt\": \"\",\n    \"pixels\": 3686400,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:02:09", "2022-08-10 23:05:20", "0");
INSERT INTO `wp_yoast_indexable` VALUES("70", "http://kookagency/?post_type=blackdsn-portfolio&p=11833", "55:1b1fe66d06384ca0c0d7ebda5f0fc5db", "11833", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "VISIONAID", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg", NULL, "8", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg", "8", "featured-image", "{\n    \"width\": 2560,\n    \"height\": 1440,\n    \"filesize\": 109669,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-scaled-3.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-scaled-3.jpg\",\n    \"size\": \"full\",\n    \"id\": 8,\n    \"alt\": \"\",\n    \"pixels\": 3686400,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:56:23", "2022-08-10 23:05:20", "0");
INSERT INTO `wp_yoast_indexable` VALUES("71", "http://kookagency/?post_type=blackdsn-portfolio&p=85", "52:86b4e98947567ca222f2d265090adb69", "85", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "MEN FASHION", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg", NULL, "88", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg", "88", "featured-image", "{\n    \"width\": 1400,\n    \"height\": 1886,\n    \"filesize\": 397119,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 88,\n    \"alt\": \"\",\n    \"pixels\": 2640400,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:02:09", "2022-08-11 03:03:12", "0");
INSERT INTO `wp_yoast_indexable` VALUES("72", "http://kookagency/?post_type=blackdsn-portfolio&p=11834", "55:676ab71100925842b785e6ac48aa8e98", "11834", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "MEN FASHION", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg", NULL, "88", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg", "88", "featured-image", "{\n    \"width\": 1400,\n    \"height\": 1886,\n    \"filesize\": 397119,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 88,\n    \"alt\": \"\",\n    \"pixels\": 2640400,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:56:23", "2022-08-11 03:03:12", "0");
INSERT INTO `wp_yoast_indexable` VALUES("73", "http://kookagency/?post_type=blackdsn-portfolio&p=156", "53:c7ab7aa8f6803794383d119f2bbbe3d1", "156", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "AUDI RS", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg", NULL, "159", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg", "159", "featured-image", "{\n    \"width\": 1500,\n    \"height\": 1000,\n    \"filesize\": 386100,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/3-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 159,\n    \"alt\": \"\",\n    \"pixels\": 1500000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:00:26", "2022-08-12 11:37:02", "0");
INSERT INTO `wp_yoast_indexable` VALUES("74", "http://kookagency/?post_type=blackdsn-portfolio&p=11835", "55:f96b553863b07bd3cee02939d4d22f3c", "11835", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "AUDI RS", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg", NULL, "159", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg", "159", "featured-image", "{\n    \"width\": 1500,\n    \"height\": 1000,\n    \"filesize\": 386100,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/3-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/3-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 159,\n    \"alt\": \"\",\n    \"pixels\": 1500000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:56:22", "2022-08-12 11:37:02", "0");
INSERT INTO `wp_yoast_indexable` VALUES("75", "http://kookagency/?post_type=blackdsn-portfolio&p=11836", "55:c1de64a6afc273570da2050711f16dca", "11836", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "OPEN RUN", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg", NULL, "218", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg", "218", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 1405,\n    \"filesize\": 330042,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-3-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 218,\n    \"alt\": \"\",\n    \"pixels\": 2697600,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:56:23", "2022-08-12 12:28:50", "0");
INSERT INTO `wp_yoast_indexable` VALUES("76", "http://kookagency/?post_type=blackdsn-portfolio&p=304", "53:c6c4cfaf2ab37c54231c3885a86bb140", "304", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "DOG CHOW", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg", NULL, "305", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg", "305", "featured-image", "{\n    \"width\": 1800,\n    \"height\": 1200,\n    \"filesize\": 612759,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-4-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 305,\n    \"alt\": \"\",\n    \"pixels\": 2160000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:59:31", "2022-08-12 17:09:58", "0");
INSERT INTO `wp_yoast_indexable` VALUES("77", "http://kookagency/?post_type=blackdsn-portfolio&p=11837", "55:ca7a772fd0e7d96b1b42b1bb0abe5e0c", "11837", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "DOG CHOW", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg", NULL, "305", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg", "305", "featured-image", "{\n    \"width\": 1800,\n    \"height\": 1200,\n    \"filesize\": 612759,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-4-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-4-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 305,\n    \"alt\": \"\",\n    \"pixels\": 2160000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:56:23", "2022-08-12 17:09:58", "0");
INSERT INTO `wp_yoast_indexable` VALUES("78", "http://kookagency/?post_type=blackdsn-portfolio&p=333", "53:7855be695762981a91039521d90e1981", "333", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "HEADPHONES", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg", NULL, "335", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg", "335", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 1080,\n    \"filesize\": 78973,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-5-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 335,\n    \"alt\": \"\",\n    \"pixels\": 2073600,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:02:09", "2022-08-12 18:00:16", "0");
INSERT INTO `wp_yoast_indexable` VALUES("79", "http://kookagency/?post_type=blackdsn-portfolio&p=11838", "55:38f3d6782665c75d69a986dd5cdd514d", "11838", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "HEADPHONES", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg", NULL, "335", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg", "335", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 1080,\n    \"filesize\": 78973,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-5-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-5-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 335,\n    \"alt\": \"\",\n    \"pixels\": 2073600,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:56:23", "2022-08-12 18:00:16", "0");
INSERT INTO `wp_yoast_indexable` VALUES("80", "http://kookagency/?post_type=blackdsn-portfolio&p=11946", "55:a28db8349899106e3e3225fa349b40a5", "11946", "post", "blackdsn-portfolio", "1", "0", NULL, NULL, "OPEN RUN #2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg", NULL, "218", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg", "218", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 1405,\n    \"filesize\": 330042,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/08/1-3-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/08/1-3-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 218,\n    \"alt\": \"\",\n    \"pixels\": 2697600,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 07:10:10", "2023-05-30 09:17:49", "0");
INSERT INTO `wp_yoast_indexable` VALUES("81", "http://kookagency/?page_id=393", "30:529a55e2f042742825ddad990154c6a9", "393", "post", "page", "1", "0", NULL, NULL, "Home", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-12 20:38:36", "0");
INSERT INTO `wp_yoast_indexable` VALUES("82", "http://kookagency/?page_id=3398", "31:db106371daecc468b1437d406cd5af2a", "3398", "post", "page", "1", "0", NULL, NULL, "Demo 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-14 00:57:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("83", "http://kookagency/?page_id=3651", "31:295e34f5efe1206f11adadeb650db89b", "3651", "post", "page", "1", "0", NULL, NULL, "About Us", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:03:26", "2022-08-15 00:25:21", "0");
INSERT INTO `wp_yoast_indexable` VALUES("84", "http://kookagency/?page_id=3747", "31:bb5d11da492a39ccf30a59c3fa1b8704", "3747", "post", "page", "1", "0", NULL, NULL, "About Us 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:41", "2022-08-15 17:41:29", "0");
INSERT INTO `wp_yoast_indexable` VALUES("85", "http://kookagency/?page_id=11439", "32:3d74eb4d7d47ca77b447c6e8d03340ea", "11439", "post", "page", "1", "0", NULL, NULL, "About Us 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:41", "2022-08-15 17:41:29", "0");
INSERT INTO `wp_yoast_indexable` VALUES("86", "http://kookagency/?page_id=11440", "32:8e0bda9421e164a8859bed05ac842153", "11440", "post", "page", "1", "0", NULL, NULL, "Contact Us", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:06:50", "2022-08-15 23:19:51", "0");
INSERT INTO `wp_yoast_indexable` VALUES("87", "http://kookagency/?page_id=3988", "31:9603e53cba895dc946d9f91d16966f98", "3988", "post", "page", "1", "0", NULL, NULL, "Service", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-5-3-150x150.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-5-3-150x150.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-08-16 00:47:36", "0");
INSERT INTO `wp_yoast_indexable` VALUES("88", "http://kookagency/?page_id=11441", "32:d8437afb32199e902f9ce38028fe3202", "11441", "post", "page", "1", "0", NULL, NULL, "Service", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-5-3-150x150.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/3-5-3-150x150.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-08-16 00:47:36", "0");
INSERT INTO `wp_yoast_indexable` VALUES("89", "http://kookagency/?page_id=4054", "31:8f57d0f5f007f87039baf93ac7c39bab", "4054", "post", "page", "1", "0", NULL, NULL, "Service Corporate", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-08-16 01:26:50", "0");
INSERT INTO `wp_yoast_indexable` VALUES("90", "http://kookagency/?page_id=11442", "32:5fe45aeb8edd01a9373f2ecd511fc90a", "11442", "post", "page", "1", "0", NULL, NULL, "Service Corporate", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/ctrl-a-meal-replacement-t8I8L4JHCPE-unsplash-2-150x150.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-08-16 01:26:50", "0");
INSERT INTO `wp_yoast_indexable` VALUES("91", "http://kookagency/?page_id=4107", "31:996b1db0b2891ec95b6f8fafd5348f10", "4107", "post", "page", "1", "0", NULL, NULL, "Work Classic 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-08-16 16:32:49", "0");
INSERT INTO `wp_yoast_indexable` VALUES("92", "http://kookagency/?page_id=11443", "32:2f38cbc5f06e414b7b8304027375630e", "11443", "post", "page", "1", "0", NULL, NULL, "Work Classic 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:20", "2022-08-16 16:32:49", "0");
INSERT INTO `wp_yoast_indexable` VALUES("93", "http://kookagency/?page_id=4143", "31:494423ea612229b429b13c782a33b5a1", "4143", "post", "page", "1", "0", NULL, NULL, "Work Classic 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:54", "2023-06-02 12:16:54", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:20", "2022-08-16 16:41:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("94", "http://kookagency/?page_id=11444", "32:e67d0dcdcaadfaa33b2d511286576ba9", "11444", "post", "page", "1", "0", NULL, NULL, "Work Classic 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:20", "2022-08-16 16:41:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("95", "http://kookagency/?page_id=4174", "31:c124bb8a8c9a3855dc3b381ff3edfd5c", "4174", "post", "page", "1", "0", NULL, NULL, "Work Classic 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:20", "2022-08-16 17:05:18", "0");
INSERT INTO `wp_yoast_indexable` VALUES("96", "http://kookagency/?page_id=11445", "32:74b79941aef96de0d45322ce11030fc2", "11445", "post", "page", "1", "0", NULL, NULL, "Work Classic 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:20", "2022-08-16 17:05:18", "0");
INSERT INTO `wp_yoast_indexable` VALUES("97", "http://kookagency/?page_id=4198", "31:2850f15bccd75d019817c3fea0161612", "4198", "post", "page", "1", "0", NULL, NULL, "Work List 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:33", "2022-08-16 17:13:52", "0");
INSERT INTO `wp_yoast_indexable` VALUES("98", "http://kookagency/?page_id=11446", "32:6577a7a97583053932bfc8087161a2cd", "11446", "post", "page", "1", "0", NULL, NULL, "Work List 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:33", "2022-08-16 17:13:52", "0");
INSERT INTO `wp_yoast_indexable` VALUES("99", "http://kookagency/?page_id=4218", "31:f1ab3d61c68cdf46b8a8a818e3506a67", "4218", "post", "page", "1", "0", NULL, NULL, "Work List 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:34", "2022-08-16 17:25:15", "0");
INSERT INTO `wp_yoast_indexable` VALUES("100", "http://kookagency/?page_id=11447", "32:16650c482e5ac151a7c6c986fc22bab8", "11447", "post", "page", "1", "0", NULL, NULL, "Work List 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:34", "2022-08-16 17:25:15", "0");
INSERT INTO `wp_yoast_indexable` VALUES("101", "http://kookagency/?page_id=4262", "31:7001ad862cb14b34ce8ad496e58c4fd7", "4262", "post", "page", "1", "0", NULL, NULL, "Work Card 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-08-16 17:40:03", "0");
INSERT INTO `wp_yoast_indexable` VALUES("102", "http://kookagency/?page_id=4276", "31:a4bfa8e187dca034f146d854c75d0c22", "4276", "post", "page", "1", "0", NULL, NULL, "Work Card 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-08-16 17:44:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("103", "http://kookagency/?page_id=4293", "31:d54eebf791cc4fad42b11796574bff2a", "4293", "post", "page", "1", "0", NULL, NULL, "Work Card 4", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-08-16 17:48:48", "0");
INSERT INTO `wp_yoast_indexable` VALUES("104", "http://kookagency/?page_id=4313", "31:a8023bc6a67a699443c66ba9ebe50dc1", "4313", "post", "page", "1", "0", NULL, NULL, "Work Card 5", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-08-16 17:53:37", "0");
INSERT INTO `wp_yoast_indexable` VALUES("105", "http://kookagency/?page_id=11452", "32:5a685978f2232f03e7cdcc126f059d3d", "11452", "post", "page", "1", "0", NULL, NULL, "Work Card 5", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-08-16 17:53:37", "0");
INSERT INTO `wp_yoast_indexable` VALUES("106", "http://kookagency/?page_id=4321", "31:ca3fed754cd6011715555820cff1ffeb", "4321", "post", "page", "1", "0", NULL, NULL, "Work Scroll Horizontal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:34", "2022-08-16 18:00:28", "0");
INSERT INTO `wp_yoast_indexable` VALUES("107", "http://kookagency/?page_id=11453", "32:a50a28401684b658c41eaa666e2f8c47", "11453", "post", "page", "1", "0", NULL, NULL, "Work Scroll Horizontal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:34", "2022-08-16 18:00:28", "0");
INSERT INTO `wp_yoast_indexable` VALUES("108", "http://kookagency/?page_id=4355", "31:4892aaf2b55245b278dca749a10c563c", "4355", "post", "page", "1", "0", NULL, NULL, "Work Scroll Horizontal 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:34", "2022-08-16 18:07:39", "0");
INSERT INTO `wp_yoast_indexable` VALUES("109", "http://kookagency/?page_id=11454", "32:c4b16d55cf499fcd6095b5334280ca7a", "11454", "post", "page", "1", "0", NULL, NULL, "Work Scroll Horizontal 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:30:34", "2022-08-16 18:07:39", "0");
INSERT INTO `wp_yoast_indexable` VALUES("110", "http://kookagency/?page_id=4374", "31:56a22a065bd32ef0cadd6e072f6d88e8", "4374", "post", "page", "1", "0", NULL, NULL, "Stories", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:20:41", "2022-08-16 18:36:07", "0");
INSERT INTO `wp_yoast_indexable` VALUES("111", "http://kookagency/?page_id=11455", "32:aab8ef03a42f936266a809a4093ddeab", "11455", "post", "page", "1", "0", NULL, NULL, "Stories", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:20:41", "2022-08-16 18:36:07", "0");
INSERT INTO `wp_yoast_indexable` VALUES("112", "http://kookagency/?page_id=5500", "31:ce2fa49f756a87642eb4ea8e026fdca0", "5500", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-26 19:38:55", "0");
INSERT INTO `wp_yoast_indexable` VALUES("113", "http://kookagency/?page_id=11456", "32:75b303d41c16fdf9e5bac3da4e7e3d61", "11456", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-26 19:38:55", "0");
INSERT INTO `wp_yoast_indexable` VALUES("114", "http://kookagency/?page_id=5523", "31:596d00e1620c70211e7236ad7baab6fe", "5523", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-26 19:56:08", "0");
INSERT INTO `wp_yoast_indexable` VALUES("115", "http://kookagency/?page_id=11457", "32:112f6f79434a418b1c1b0e4217bbc651", "11457", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-26 19:56:08", "0");
INSERT INTO `wp_yoast_indexable` VALUES("116", "http://kookagency/?page_id=5549", "31:f9f510d361192c794ee646b360ea9a23", "5549", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-26 20:00:59", "0");
INSERT INTO `wp_yoast_indexable` VALUES("117", "http://kookagency/?page_id=11458", "32:28946c13170ac09f58e5df02d27c9f34", "11458", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-08-26 20:00:59", "0");
INSERT INTO `wp_yoast_indexable` VALUES("118", "http://kookagency/?page_id=6099", "31:ab3c93cac29481d9829abf007e1d1940", "6099", "post", "page", "1", "0", NULL, NULL, "Personal 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-356147-2.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-356147-2.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:16:57", "2023-06-02 12:16:57", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-09-09 17:57:37", "0");
INSERT INTO `wp_yoast_indexable` VALUES("119", "http://kookagency/?page_id=11459", "32:9f63eda0b0c083e6b48e928218d46aa7", "11459", "post", "page", "1", "0", NULL, NULL, "Personal 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-356147-2.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/09/pexels-pixabay-356147-2.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-09-09 17:57:37", "0");
INSERT INTO `wp_yoast_indexable` VALUES("120", "http://kookagency/?page_id=6150", "31:f51c9f9fdd4c975b49374bd959ee8e41", "6150", "post", "page", "1", "0", NULL, NULL, "personal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://images.unsplash.com/photo-1495216875107-c6c043eb703f?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80", NULL, NULL, "first-content-image", NULL, NULL, "https://images.unsplash.com/photo-1495216875107-c6c043eb703f?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:20", "2022-09-09 18:38:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("121", "http://kookagency/?page_id=11460", "32:b502549fb4e6e81b4f571a0fe837dc9f", "11460", "post", "page", "1", "0", NULL, NULL, "personal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://images.unsplash.com/photo-1495216875107-c6c043eb703f?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80", NULL, NULL, "first-content-image", NULL, NULL, "https://images.unsplash.com/photo-1495216875107-c6c043eb703f?ixlib=rb-1.2.1&amp;ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&amp;auto=format&amp;fit=crop&amp;w=1000&amp;q=80", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-09-09 18:38:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("122", "http://kookagency/?page_id=7784", "31:ddb4a18b6bda9e30230e61460b5282ad", "7784", "post", "page", "1", "0", NULL, NULL, "Preview", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png", NULL, NULL, "first-content-image", NULL, NULL, "https://dsngrid.com/blackdsn/wp-content/uploads/sites/11/2022/08/logo-light-1.png", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:21", "2022-09-12 18:34:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("123", "http://kookagency/?page_id=7871", "31:f3a04b7e5170ccf3e4bb7a7395ad4330", "7871", "post", "page", "1", "0", NULL, NULL, "Demo 3", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-09-13 00:36:47", "0");
INSERT INTO `wp_yoast_indexable` VALUES("124", "http://kookagency/?page_id=9205", "31:909b0158f05c80efc5a432465c7955f7", "9205", "post", "page", "1", "0", NULL, NULL, "Metro Portfolio 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-1024x576.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-1024x576.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:20", "2022-09-15 16:01:59", "0");
INSERT INTO `wp_yoast_indexable` VALUES("125", "http://kookagency/?page_id=11461", "32:c8b63bd9d112ecf6cb1bbf7cf5c8e413", "11461", "post", "page", "1", "0", NULL, NULL, "Metro Portfolio 1", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-1024x576.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-1024x576.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-09-15 16:01:59", "0");
INSERT INTO `wp_yoast_indexable` VALUES("126", "http://kookagency/?page_id=10437", "32:cf98882162600d656439bdfa3780e749", "10437", "post", "page", "1", "0", NULL, NULL, "Metro Portfolio 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:20", "2022-09-19 22:23:34", "0");
INSERT INTO `wp_yoast_indexable` VALUES("127", "http://kookagency/?page_id=11462", "32:570f7b97b5d3bedcf7c2efab432c6ce2", "11462", "post", "page", "1", "0", NULL, NULL, "Metro Portfolio 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:20", "2022-09-19 22:23:34", "0");
INSERT INTO `wp_yoast_indexable` VALUES("128", "http://kookagency/?page_id=10708", "32:0878dfb3aa14ed77b3ea4b14ccac3b6a", "10708", "post", "page", "1", "0", NULL, NULL, "Carousel Portfolio 4", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-09-21 23:13:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("129", "http://kookagency/?page_id=11055", "32:d1b99e668a5f882c4935fc6b6cc6ef72", "11055", "post", "page", "1", "0", NULL, NULL, "Slider padding horizontal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:22:16", "2022-09-27 17:05:27", "0");
INSERT INTO `wp_yoast_indexable` VALUES("130", "http://kookagency/?page_id=11463", "32:2ebb8c0b0ac1531ff7caa8101679b704", "11463", "post", "page", "1", "0", NULL, NULL, "Slider padding horizontal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:23:53", "2022-09-27 17:05:27", "0");
INSERT INTO `wp_yoast_indexable` VALUES("131", "http://kookagency/?page_id=11074", "32:69aa96c084aa4cf0f466eb1a4e92dba1", "11074", "post", "page", "1", "0", NULL, NULL, "Slider padding Vertical", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:23:53", "2022-09-27 17:17:47", "0");
INSERT INTO `wp_yoast_indexable` VALUES("132", "http://kookagency/?page_id=11470", "32:2c01af6d129426d76baddba6f9694dcb", "11470", "post", "page", "1", "0", NULL, NULL, "Slider padding Vertical", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:23:53", "2022-09-27 17:17:47", "0");
INSERT INTO `wp_yoast_indexable` VALUES("133", "http://kookagency/?page_id=11085", "32:14c9ca7ae71772e995fc4a238e9a674e", "11085", "post", "page", "1", "0", NULL, NULL, "Slider Full horizontal", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:23:53", "2022-09-27 17:25:56", "0");
INSERT INTO `wp_yoast_indexable` VALUES("134", "http://kookagency/?page_id=11471", "32:76502ed6aaebbdb7bcffc28aa53a1d62", "11471", "post", "page", "1", "0", NULL, NULL, "Slider Full Vertical", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:28:19", "2022-09-27 17:32:20", "0");
INSERT INTO `wp_yoast_indexable` VALUES("135", "http://kookagency/?page_id=11120", "32:e273ccaf16cf5bfe4a7c8560e234fe84", "11120", "post", "page", "1", "0", NULL, NULL, "Shop", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:17:19", "2022-10-11 22:14:16", "0");
INSERT INTO `wp_yoast_indexable` VALUES("136", "http://kookagency/?page_id=11472", "32:e3f0aef9b1202b4269c6dc6dfc20a168", "11472", "post", "page", "1", "0", NULL, NULL, "Shop", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:17:19", "2022-10-11 22:14:16", "0");
INSERT INTO `wp_yoast_indexable` VALUES("137", "http://kookagency/?page_id=11121", "32:39b9a355212097f160ec12b85fc2eabb", "11121", "post", "page", "1", "0", NULL, NULL, "Cart", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-10-11 22:14:17", "0");
INSERT INTO `wp_yoast_indexable` VALUES("138", "http://kookagency/?page_id=11122", "32:550010d33f0bbb859a7da2891f9a48f1", "11122", "post", "page", "1", "0", NULL, NULL, "Checkout", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-10-11 22:14:17", "0");
INSERT INTO `wp_yoast_indexable` VALUES("139", "http://kookagency/?page_id=11123", "32:1930a021572ca987745b3d692781f861", "11123", "post", "page", "1", "0", NULL, NULL, "My account", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:20", "2022-10-11 22:14:17", "0");
INSERT INTO `wp_yoast_indexable` VALUES("140", "http://kookagency/?page_id=11473", "32:a9bda8dcfb569ec8a49282f460c3a04f", "11473", "post", "page", "1", "0", NULL, NULL, "Cart", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-10-11 22:14:17", "0");
INSERT INTO `wp_yoast_indexable` VALUES("141", "http://kookagency/?page_id=11474", "32:061cff245debb0d98f25696af5b46d2d", "11474", "post", "page", "1", "0", NULL, NULL, "Checkout", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:42", "2022-10-11 22:14:17", "0");
INSERT INTO `wp_yoast_indexable` VALUES("142", "http://kookagency/?page_id=11475", "32:fc5345b9b31fda43dae6a4b59224352f", "11475", "post", "page", "1", "0", NULL, NULL, "Shop", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:17:19", "2022-10-11 22:27:10", "0");
INSERT INTO `wp_yoast_indexable` VALUES("143", "http://kookagency/?page_id=11476", "32:bc221f7767c80ff2cbe3ebb1666c825a", "11476", "post", "page", "1", "0", NULL, NULL, "Shop", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:00", "2023-06-02 12:17:00", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:17:19", "2022-10-11 22:27:10", "0");
INSERT INTO `wp_yoast_indexable` VALUES("144", "http://kookagency/?page_id=11279", "32:6a8b0e64d494eb979c64ca0d0e81c4d2", "11279", "post", "page", "1", "0", NULL, NULL, "Shop 2", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-150x150.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/c96a9b144890955.6294d44ef1e11-1-2-150x150.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:17:19", "2022-10-12 09:27:43", "0");
INSERT INTO `wp_yoast_indexable` VALUES("145", "http://kookagency/?page_id=11613", "32:14999a18d88b3b01cb266537f89d3f8a", "11613", "post", "page", "1", "0", NULL, NULL, "Slider Right Fade", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:20:41", "2022-10-15 18:59:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("146", "http://kookagency/?page_id=11614", "32:9838765a34370c73c04c6f8a22e98fe3", "11614", "post", "page", "1", "0", NULL, NULL, "Slider Right Fade", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:20:41", "2022-10-15 18:59:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("147", "http://kookagency/?page_id=11630", "32:7cd812f3668472e8a8d80f9ec4670277", "11630", "post", "page", "1", "0", NULL, NULL, "Slider Left", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, NULL, "first-content-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/08/1-2-5-150x84.jpg", NULL, "first-content-image", NULL, NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:20:40", "2022-10-15 19:04:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("148", "http://kookagency/?page_id=2", "28:afc37cab61333c3f17031198e9b0c91c", "2", "post", "page", "1", "0", NULL, NULL, "Page d’exemple", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:16:20", "2023-05-30 08:11:54", "0");
INSERT INTO `wp_yoast_indexable` VALUES("149", "http://kookagency/?page_id=11673", "32:cfffd1c6e80fd13805dd222c253d99fc", "11673", "post", "page", "1", "0", NULL, NULL, "Boutique", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 09:10:41", "2023-05-30 08:24:08", "0");
INSERT INTO `wp_yoast_indexable` VALUES("150", "http://kookagency/2018/02/22/supprimer-avis-tripadvisor/", "56:bffc28ef00f50e41a4c66734810c6c49", "188", "post", "post", "1", "0", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?", "Supprimer un avis ou une note sur TripAdvisor, c’est possible ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "60", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/02/avis-client-1.jpg", NULL, "12461", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/02/avis-client-1.jpg", "12461", "featured-image", "{\n    \"width\": 612,\n    \"height\": 433,\n    \"filesize\": 32766,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/02/avis-client-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/02/avis-client-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12461,\n    \"alt\": \"\",\n    \"pixels\": 264996,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:18:03", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:35:01", "2018-02-22 11:26:02", "0");
INSERT INTO `wp_yoast_indexable` VALUES("151", "http://kookagency/2018/04/24/comment-utiliser-le-qr-code-dans-votre-restaurant/", "79:d7d1e5e014bb3f119f4af30744add7fd", "191", "post", "post", "1", "0", "comment utiliser le QR code dans votre restaurant", "comment utiliser le QR code dans son restaurant", "Comment utiliser le QR code dans votre restaurant ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "90", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88.jpg", NULL, "12453", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88.jpg", "12453", "featured-image", "{\n    \"width\": 745,\n    \"height\": 400,\n    \"filesize\": 55604,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/04/b8177331c059737e7716c47e13112c88.jpg\",\n    \"size\": \"full\",\n    \"id\": 12453,\n    \"alt\": \"\",\n    \"pixels\": 298000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:18:03", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:26:56", "2018-04-24 10:29:29", "0");
INSERT INTO `wp_yoast_indexable` VALUES("152", "http://kookagency/2018/07/02/comment-lutter-contre-les-avis-negatifs/", "69:61ceaaef9e0356fbb8c46817e5d6d22b", "2084", "post", "post", "1", "0", "comment lutter contre les avis négatifs", "vous êtes restaurateurs, vous avez un restaurant, vous voulez lutter contre les avis négatifs", "Comment lutter contre les avis négatifs ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg", NULL, "12443", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg", "12443", "featured-image", "{\n    \"width\": 848,\n    \"height\": 377,\n    \"filesize\": 30463,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/07/Avis-negatif-Facebook-Journal-du-CM-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12443,\n    \"alt\": \"\",\n    \"pixels\": 319696,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:18:03", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:19:12", "2018-07-02 12:40:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("153", "http://kookagency/2018/08/03/le-materiel-indispensable-pour-ouvrir-son-restaurant/", "82:d14bbed405883e83a29b030338731fe1", "2245", "post", "post", "1", "0", "Le matériel indispensable pour ouvrir son restaurant", "Le matériel indispensable pour ouvrir son restaurant", "Le matériel indispensable pour ouvrir son restaurant", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/08/slider-template-2-1080x675-1.jpg", NULL, "12436", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/08/slider-template-2-1080x675-1.jpg", "12436", "featured-image", "{\n    \"width\": 1080,\n    \"height\": 675,\n    \"filesize\": 94392,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/08/slider-template-2-1080x675-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/08/slider-template-2-1080x675-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12436,\n    \"alt\": \"\",\n    \"pixels\": 729000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:18:03", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:14:41", "2018-08-03 07:33:31", "0");
INSERT INTO `wp_yoast_indexable` VALUES("154", "http://kookagency/2018/08/07/comment-augmenter-le-chiffre-daffaires-de-votre-restaurant-avec-votre-site-internet-et-votre-caisse-enregistreuse/", "143:5cd24c3d21174eafc283a849ea347ce3", "2259", "post", "post", "1", "0", "Comment augmenter le chiffre d’affaires avec votre site internet  ?", "Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?", "Comment augmenter le chiffre d’affaires de votre restaurant avec votre site internet et votre caisse enregistreuse ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1.jpg", NULL, "12425", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1.jpg", "12425", "featured-image", "{\n    \"width\": 1080,\n    \"height\": 675,\n    \"filesize\": 125723,\n    \"url\": \"http://kookagency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2018/08/IMG_13881542-1080x675-1.jpg\",\n    \"size\": \"full\",\n    \"id\": 12425,\n    \"alt\": \"\",\n    \"pixels\": 729000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:18:07", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-31 14:05:49", "2018-08-07 09:42:16", "0");
INSERT INTO `wp_yoast_indexable` VALUES("155", "http://kookagency/?p=1161", "25:47654afc7ec8b73ef4dda5f6a39e9e09", "1161", "post", "post", "1", "0", NULL, NULL, "Create the bestworkplace", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg", NULL, "11182", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg", "11182", "featured-image", "{\n    \"width\": 1707,\n    \"height\": 2560,\n    \"filesize\": 372656,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-3.jpg\",\n    \"size\": \"full\",\n    \"id\": 11182,\n    \"alt\": \"\",\n    \"pixels\": 4369920,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-11 23:14:40", "0");
INSERT INTO `wp_yoast_indexable` VALUES("156", "http://kookagency/?p=11464", "26:e671debe21e781913a871cb90fb19595", "11464", "post", "post", "1", "0", NULL, NULL, "Create the bestworkplace", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg", NULL, "3314", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg", "3314", "featured-image", "{\n    \"width\": 1707,\n    \"height\": 2560,\n    \"filesize\": 372656,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-RHlG-6tl8uQ-unsplash-scaled-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 3314,\n    \"alt\": \"\",\n    \"pixels\": 4369920,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-11 23:14:40", "0");
INSERT INTO `wp_yoast_indexable` VALUES("157", "http://kookagency/?p=1176", "25:7eaaae14c4ecdab319c504c89d31668e", "1176", "post", "post", "1", "0", NULL, NULL, "Soul Artwork fromLizzy", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg", NULL, "11181", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg", "11181", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 1280,\n    \"filesize\": 282453,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-3.jpg\",\n    \"size\": \"full\",\n    \"id\": 11181,\n    \"alt\": \"\",\n    \"pixels\": 2457600,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-11 23:30:39", "0");
INSERT INTO `wp_yoast_indexable` VALUES("158", "http://kookagency/?p=11465", "26:6cecd7ec1458db1eed18966478ba0b49", "11465", "post", "post", "1", "0", NULL, NULL, "Soul Artwork fromLizzy", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg", NULL, "3312", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg", "3312", "featured-image", "{\n    \"width\": 1920,\n    \"height\": 1280,\n    \"filesize\": 282453,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/moritz-spahn-sMJua-DB57Q-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 3312,\n    \"alt\": \"\",\n    \"pixels\": 2457600,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-11 23:30:39", "0");
INSERT INTO `wp_yoast_indexable` VALUES("159", "http://kookagency/?p=1186", "25:45c0c94b85948c56d830da68d9cabe04", "1186", "post", "post", "1", "0", NULL, NULL, "Soul Artwork from Lizzy", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg", NULL, "11180", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg", "11180", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 802,\n    \"filesize\": 280994,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-3.jpg\",\n    \"size\": \"full\",\n    \"id\": 11180,\n    \"alt\": \"\",\n    \"pixels\": 962400,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-11 23:40:52", "0");
INSERT INTO `wp_yoast_indexable` VALUES("160", "http://kookagency/?p=11466", "26:ba92140de464ae27336cee895681a9aa", "11466", "post", "post", "1", "0", NULL, NULL, "Soul Artwork from Lizzy", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg", NULL, "3310", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg", "3310", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 802,\n    \"filesize\": 280994,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/karsten-winegeart-sStahKEhT9w-unsplash-1200x802-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 3310,\n    \"alt\": \"\",\n    \"pixels\": 962400,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-11 23:40:52", "0");
INSERT INTO `wp_yoast_indexable` VALUES("161", "http://kookagency/?p=1308", "25:e3bbffc3ab05fca0551df58cc166a35b", "1308", "post", "post", "1", "0", NULL, NULL, "Wildlife could be amazing, see why.", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg", NULL, "4921", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg", "4921", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 1200,\n    \"filesize\": 147658,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 4921,\n    \"alt\": \"\",\n    \"pixels\": 1440000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-12 13:58:46", "0");
INSERT INTO `wp_yoast_indexable` VALUES("162", "http://kookagency/?p=11467", "26:d6eb5c1cf7fb6f317f2b2c10b37a414c", "11467", "post", "post", "1", "0", NULL, NULL, "Wildlife could be amazing, see why.", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg", NULL, "4921", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg", "4921", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 1200,\n    \"filesize\": 147658,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/alabaster-co-Sy1ohVoGciA-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 4921,\n    \"alt\": \"\",\n    \"pixels\": 1440000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:17:05", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-12 13:58:46", "0");
INSERT INTO `wp_yoast_indexable` VALUES("163", "http://kookagency/?p=1313", "25:1ae5aa9d5c2020ab5f9c3c5adbcc38db", "1313", "post", "post", "1", "0", NULL, NULL, "Quick tips for an effective styled wedding", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg", NULL, "4922", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg", "4922", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 800,\n    \"filesize\": 190049,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 4922,\n    \"alt\": \"\",\n    \"pixels\": 960000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:17:05", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-12 14:04:32", "0");
INSERT INTO `wp_yoast_indexable` VALUES("164", "http://kookagency/?p=11468", "26:76efaec3474d8b10e7540603144cc3f5", "11468", "post", "post", "1", "0", NULL, NULL, "Quick tips for an effective styled wedding", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg", NULL, "4922", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg", "4922", "featured-image", "{\n    \"width\": 1200,\n    \"height\": 800,\n    \"filesize\": 190049,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/content-pixie-VJX5imdELxo-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 4922,\n    \"alt\": \"\",\n    \"pixels\": 960000,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:17:05", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-12 14:04:32", "0");
INSERT INTO `wp_yoast_indexable` VALUES("165", "http://kookagency/?p=1317", "25:5a303bdf016408aa7232b9c88202dc5c", "1317", "post", "post", "1", "0", NULL, NULL, "Wildlife could be amazing, see why.", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg", NULL, "4920", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg", "4920", "featured-image", "{\n    \"width\": 1600,\n    \"height\": 1068,\n    \"filesize\": 116504,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 4920,\n    \"alt\": \"\",\n    \"pixels\": 1708800,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:17:05", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-12 14:37:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("166", "http://kookagency/?p=11469", "26:5cda3a8c6503af11ba70203f499ef8af", "11469", "post", "post", "1", "0", NULL, NULL, "Wildlife could be amazing, see why.", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg", NULL, "4920", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg", "4920", "featured-image", "{\n    \"width\": 1600,\n    \"height\": 1068,\n    \"filesize\": 116504,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/06/ctrl-a-meal-replacement-X9PHLK8ibyU-unsplash-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 4920,\n    \"alt\": \"\",\n    \"pixels\": 1708800,\n    \"type\": \"image/jpeg\"\n}", NULL, NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:17:05", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2022-06-12 14:37:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("167", "http://kookagency/?p=1", "22:455e0d7e6abc5ced1a2b2dabd2e492ae", "1", "post", "post", "1", "0", NULL, NULL, "Bonjour tout le monde !", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:17:05", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-05-30 08:53:19", "2023-05-30 08:11:54", "0");
INSERT INTO `wp_yoast_indexable` VALUES("168", "http://kookagency/produit/beanie/", "33:fd9c1ed72a324d84383b2e406a045ba6", "11130", "post", "product", "1", "0", NULL, NULL, "Beanie", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/pr1-pink-2-2.jpg", NULL, "11270", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/pr1-pink-2-2.jpg", "11270", "featured-image", "{\n    \"width\": 1128,\n    \"height\": 1440,\n    \"filesize\": 286795,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/pr1-pink-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11270,\n    \"alt\": \"\",\n    \"pixels\": 1624320,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:05", "2023-06-02 12:18:22", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2019-01-16 13:01:52", "2019-01-16 13:01:52", "0");
INSERT INTO `wp_yoast_indexable` VALUES("169", "http://kookagency/produit/album/", "32:3d00d6e56723990cf7bf49e0964d502e", "11138", "post", "product", "1", "0", NULL, NULL, "Diagonal Textured Cap", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/product-4-2.webp", NULL, "11259", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/product-4-2.webp", "11259", "featured-image", "{\n    \"width\": 260,\n    \"height\": 260,\n    \"filesize\": 3688,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/product-4-2.webp\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/product-4-2.webp\",\n    \"size\": \"full\",\n    \"id\": 11259,\n    \"alt\": \"\",\n    \"pixels\": 67600,\n    \"type\": \"image/webp\"\n}", "0", NULL, NULL, "2023-06-02 12:17:07", "2023-06-02 12:18:22", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2019-01-16 13:01:54", "2019-01-16 13:01:54", "0");
INSERT INTO `wp_yoast_indexable` VALUES("170", "http://kookagency/produit/t-shirt-with-logo/", "44:bb6ac628652bcb125360c81e0ac30684", "11146", "post", "product", "1", "0", NULL, NULL, "T-Shirt with Logo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2.jpg", NULL, "11167", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2.jpg", "11167", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 67833,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/t-shirt-with-logo-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11167,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:07", "2023-06-02 12:18:22", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2019-01-16 13:01:55", "2019-01-16 13:01:55", "0");
INSERT INTO `wp_yoast_indexable` VALUES("171", "http://kookagency/produit/v-neck-t-shirt-2/", "43:83d52e9a7c09b2c4c0546ed4daa9dbc6", "11794", "post", "product", "1", "0", NULL, NULL, "V-Neck T-Shirt", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg", NULL, "11151", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg", "11151", "featured-image", "{\n    \"width\": 801,\n    \"height\": 800,\n    \"filesize\": 49497,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11151,\n    \"alt\": \"\",\n    \"pixels\": 640800,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:07", "2023-06-02 12:18:22", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("172", "http://kookagency/produit/hoodie-2/", "35:27b99bd8dc1ba9e389558eae45964fc9", "11795", "post", "product", "1", "0", NULL, NULL, "Hoodie", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg", NULL, "34", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg", "34", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 46079,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 34,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:25", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("173", "http://kookagency/produit/hoodie-with-logo-2/", "45:5e9caf88981d333da861ec72fe134b52", "11796", "post", "product", "1", "0", NULL, NULL, "Hoodie with Logo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg", NULL, "11156", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg", "11156", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 46969,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11156,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:25", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("174", "http://kookagency/produit/v-neck-t-shirt-2-2/", "45:67662d5c92a3714359d7484a5d207c35", "11849", "post", "product", "1", "0", NULL, NULL, "V-Neck T-Shirt", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg", NULL, "11151", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg", "11151", "featured-image", "{\n    \"width\": 801,\n    \"height\": 800,\n    \"filesize\": 49497,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/vneck-tee-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11151,\n    \"alt\": \"\",\n    \"pixels\": 640800,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:25", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("175", "http://kookagency/produit/hoodie-2-2/", "37:a7f7f0ffa4b154b1935423e7822ad7f3", "11850", "post", "product", "1", "0", NULL, NULL, "Hoodie", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg", NULL, "34", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg", "34", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 46079,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 34,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:25", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("176", "http://kookagency/produit/hoodie-with-logo-2-2/", "47:ea05ede5fae41397343453bd8cbb71d3", "11851", "post", "product", "1", "0", NULL, NULL, "Hoodie with Logo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg", NULL, "11156", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg", "11156", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 46969,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-logo-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11156,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:25", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:23", "2022-10-11 22:23:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("177", "http://kookagency/produit/t-shirt-2/", "36:870084186b57ecbf63888ae6c6e1ddd3", "11797", "post", "product", "1", "0", NULL, NULL, "T-Shirt", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg", NULL, "11157", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg", "11157", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 41155,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11157,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:28", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("178", "http://kookagency/produit/beanie-2/", "35:72577a3a677ee649e3738e6c87052f90", "11798", "post", "product", "1", "0", NULL, NULL, "Basic Flowing Scarf", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg", NULL, "11272", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg", "11272", "featured-image", "{\n    \"width\": 1128,\n    \"height\": 1440,\n    \"filesize\": 120459,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11272,\n    \"alt\": \"\",\n    \"pixels\": 1624320,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:28", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("179", "http://kookagency/produit/belt-2/", "33:46d9c4b7c52395604264bd6799790ee3", "11799", "post", "product", "1", "0", NULL, NULL, "Belt", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg", NULL, "11159", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg", "11159", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 37339,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11159,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:28", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("180", "http://kookagency/produit/t-shirt-2-2/", "38:1ff3b555cb37234a3e15562db2892448", "11852", "post", "product", "1", "0", NULL, NULL, "T-Shirt", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg", NULL, "11157", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg", "11157", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 41155,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/tshirt-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/tshirt-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11157,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:28", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("181", "http://kookagency/produit/beanie-2-2/", "37:927483b028b680c7164d7b5eb5595da2", "11853", "post", "product", "1", "0", NULL, NULL, "Basic Flowing Scarf", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg", NULL, "11272", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg", "11272", "featured-image", "{\n    \"width\": 1128,\n    \"height\": 1440,\n    \"filesize\": 120459,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/pr1-pink_15a53f8c-d765-48c4-8376-0383ff737716-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11272,\n    \"alt\": \"\",\n    \"pixels\": 1624320,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:28", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("182", "http://kookagency/produit/belt-2-2/", "35:3485bdc3a4ad0e5eb892d6606ab1435e", "11854", "post", "product", "1", "0", NULL, NULL, "Belt", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg", NULL, "11159", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg", "11159", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 37339,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/belt-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/belt-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11159,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:32", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:24", "2022-10-11 22:23:24", "0");
INSERT INTO `wp_yoast_indexable` VALUES("183", "http://kookagency/produit/cap-2/", "32:8e7caf43bf59226411577fb1047bc722", "11800", "post", "product", "1", "0", NULL, NULL, "Cap", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg", NULL, "11160", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg", "11160", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 37675,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11160,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:32", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("184", "http://kookagency/produit/sunglasses-2/", "39:3b41640804966d303db4a1fb78768b10", "11801", "post", "product", "1", "0", NULL, NULL, "Sunglasses", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg", NULL, "11161", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg", "11161", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 24691,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11161,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:32", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("185", "http://kookagency/produit/hoodie-with-pocket-2/", "47:4cff1729695032f2a46270aeba358324", "11802", "post", "product", "1", "0", NULL, NULL, "Hoodie with Pocket", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg", NULL, "11162", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg", "11162", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 43268,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11162,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:32", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("186", "http://kookagency/produit/hoodie-with-zipper-2/", "47:9d3cb5a07c5fe0b0910d5b741a75625a", "11803", "post", "product", "1", "0", NULL, NULL, "Hoodie with Zipper", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg", NULL, "11163", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg", "11163", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 56609,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11163,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:32", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("187", "http://kookagency/produit/cap-2-2/", "34:dada92cfb116bf35d35874d7998f8efe", "11855", "post", "product", "1", "0", NULL, NULL, "Cap", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg", NULL, "11160", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg", "11160", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 37675,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/cap-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/cap-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11160,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:35", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("188", "http://kookagency/produit/sunglasses-2-2/", "41:f34d92688192048de456d5c0b5b4fa03", "11856", "post", "product", "1", "0", NULL, NULL, "Sunglasses", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg", NULL, "11161", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg", "11161", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 24691,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/sunglasses-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/sunglasses-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11161,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:35", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("189", "http://kookagency/produit/hoodie-with-pocket-2-2/", "49:a6a9dc31fd59e76af7edd2c9c68207c1", "11857", "post", "product", "1", "0", NULL, NULL, "Hoodie with Pocket", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg", NULL, "11162", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg", "11162", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 43268,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-pocket-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11162,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:36", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("190", "http://kookagency/produit/hoodie-with-zipper-2-2/", "49:e8bc04d8cf1256ed726063961a48f1eb", "11858", "post", "product", "1", "0", NULL, NULL, "Hoodie with Zipper", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg", NULL, "11163", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg", "11163", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 56609,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/hoodie-with-zipper-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11163,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:36", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:25", "2022-10-11 22:23:25", "0");
INSERT INTO `wp_yoast_indexable` VALUES("191", "http://kookagency/produit/long-sleeve-tee-2/", "44:5bfc219bdcf49616b877b16ad86c6850", "11804", "post", "product", "1", "0", NULL, NULL, "Long Sleeve Tee", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg", NULL, "11164", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg", "11164", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 51118,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11164,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:36", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("192", "http://kookagency/produit/polo-2/", "33:38ffdc453967c629e48237959dc389e3", "11805", "post", "product", "1", "0", NULL, NULL, "Polo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg", NULL, "11165", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg", "11165", "featured-image", "{\n    \"width\": 801,\n    \"height\": 800,\n    \"filesize\": 44409,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11165,\n    \"alt\": \"\",\n    \"pixels\": 640800,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:39", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("193", "http://kookagency/produit/album-2/", "34:dc1e95be6cfee002251b553261fa9a91", "11806", "post", "product", "1", "0", NULL, NULL, "Ankle Boots", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", NULL, "11266", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", "11266", "featured-image", "{\n    \"width\": 260,\n    \"height\": 260,\n    \"filesize\": 3602,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/10/product-6-2.webp\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/10/product-6-2.webp\",\n    \"size\": \"full\",\n    \"id\": 11266,\n    \"alt\": \"\",\n    \"pixels\": 67600,\n    \"type\": \"image/webp\"\n}", "0", NULL, NULL, "2023-06-02 12:17:08", "2023-06-02 12:18:39", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("194", "http://kookagency/produit/long-sleeve-tee-2-2/", "46:a000b792d986f3c968a0eb51b215d3d6", "11859", "post", "product", "1", "0", NULL, NULL, "Long Sleeve Tee", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg", NULL, "11164", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg", "11164", "featured-image", "{\n    \"width\": 801,\n    \"height\": 801,\n    \"filesize\": 51118,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/long-sleeve-tee-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11164,\n    \"alt\": \"\",\n    \"pixels\": 641601,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:39", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("195", "http://kookagency/produit/polo-2-2/", "35:e5bebe82d9b594e5e93783c69d2e1426", "11860", "post", "product", "1", "0", NULL, NULL, "Polo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg", NULL, "11165", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg", "11165", "featured-image", "{\n    \"width\": 801,\n    \"height\": 800,\n    \"filesize\": 44409,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/polo-2-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/polo-2-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11165,\n    \"alt\": \"\",\n    \"pixels\": 640800,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:39", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("196", "http://kookagency/produit/album-2-2/", "36:ce79db5f037ea85924dcd7e4a56fe290", "11861", "post", "product", "1", "0", NULL, NULL, "Ankle Boots", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", NULL, "11266", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-6-2.webp", "11266", "featured-image", "{\n    \"width\": 260,\n    \"height\": 260,\n    \"filesize\": 3602,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/10/product-6-2.webp\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/10/product-6-2.webp\",\n    \"size\": \"full\",\n    \"id\": 11266,\n    \"alt\": \"\",\n    \"pixels\": 67600,\n    \"type\": \"image/webp\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:39", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:26", "2022-10-11 22:23:26", "0");
INSERT INTO `wp_yoast_indexable` VALUES("197", "http://kookagency/produit/single-2/", "35:d12f432704b74a3573e8998c77f6cd51", "11807", "post", "product", "1", "0", NULL, NULL, "Single", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg", NULL, "11166", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg", "11166", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 124720,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/single-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11166,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:42", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "0");
INSERT INTO `wp_yoast_indexable` VALUES("198", "http://kookagency/produit/single-2-2/", "37:de270ce6af34f98c6d2b781a0ba0a02f", "11862", "post", "product", "1", "0", NULL, NULL, "Single", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg", NULL, "11166", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg", "11166", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 124720,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/single-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/single-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11166,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:42", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:27", "2022-10-11 22:23:27", "0");
INSERT INTO `wp_yoast_indexable` VALUES("199", "http://kookagency/produit/beanie-with-logo-2/", "45:45c8c317fae34d0120069801013f1246", "11812", "post", "product", "1", "0", NULL, NULL, "Beanie with Logo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg", NULL, "11168", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg", "11168", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 45371,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11168,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:42", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "0");
INSERT INTO `wp_yoast_indexable` VALUES("200", "http://kookagency/produit/beanie-with-logo-2-2/", "47:10d753b59aba105d61069fb3c93f186b", "11867", "post", "product", "1", "0", NULL, NULL, "Beanie with Logo", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg", NULL, "11168", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg", "11168", "featured-image", "{\n    \"width\": 800,\n    \"height\": 800,\n    \"filesize\": 45371,\n    \"url\": \"http://kookagency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2019/01/beanie-with-logo-1-2.jpg\",\n    \"size\": \"full\",\n    \"id\": 11168,\n    \"alt\": \"\",\n    \"pixels\": 640000,\n    \"type\": \"image/jpeg\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:42", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:29", "2022-10-11 22:23:29", "0");
INSERT INTO `wp_yoast_indexable` VALUES("201", "http://kookagency/produit/wordpress-pennant-2/", "46:89bb59ea2b18b05a268c84e6992d159a", "11813", "post", "product", "1", "0", NULL, NULL, "Biker Jacket", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-2-2.webp", NULL, "11257", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-2-2.webp", "11257", "featured-image", "{\n    \"width\": 260,\n    \"height\": 260,\n    \"filesize\": 2922,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/10/product-2-2.webp\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/10/product-2-2.webp\",\n    \"size\": \"full\",\n    \"id\": 11257,\n    \"alt\": \"\",\n    \"pixels\": 67600,\n    \"type\": \"image/webp\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:42", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("202", "http://kookagency/produit/wordpress-pennant-2-2/", "48:e7bb64714fb473bb6b232f5ef82dc9f1", "11868", "post", "product", "1", "0", NULL, NULL, "Biker Jacket", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-2-2.webp", NULL, "11257", "featured-image", NULL, NULL, "http://kookagency/wp-content/uploads/2022/10/product-2-2.webp", "11257", "featured-image", "{\n    \"width\": 260,\n    \"height\": 260,\n    \"filesize\": 2922,\n    \"url\": \"http://kookagency/wp-content/uploads/2022/10/product-2-2.webp\",\n    \"path\": \"C:\\\\wamp64\\\\www\\\\KOOKAgency/wp-content/uploads/2022/10/product-2-2.webp\",\n    \"size\": \"full\",\n    \"id\": 11257,\n    \"alt\": \"\",\n    \"pixels\": 67600,\n    \"type\": \"image/webp\"\n}", "0", NULL, NULL, "2023-06-02 12:17:11", "2023-06-02 12:18:45", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-10-11 22:23:30", "2022-10-11 22:23:30", "0");
INSERT INTO `wp_yoast_indexable` VALUES("203", NULL, NULL, NULL, "system-page", "404", NULL, NULL, "Page non trouvée %%sep%% %%sitename%%", NULL, "Erreur 404 : Page introuvable", NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", "1", "0", "0", "0", "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:17", "2023-06-02 12:17:17", "1", NULL, NULL, NULL, NULL, "0", NULL, "1", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("204", NULL, NULL, NULL, "system-page", "search-result", NULL, NULL, "Vous avez cherché %%searchphrase%% %%page%% %%sep%% %%sitename%%", NULL, NULL, NULL, NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", "1", "0", "0", "0", "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:17", "2023-06-02 12:17:17", "1", NULL, NULL, NULL, NULL, "0", NULL, "1", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("205", NULL, NULL, NULL, "date-archive", NULL, NULL, NULL, "%%date%% %%page%% %%sep%% %%sitename%%", "", NULL, NULL, "0", "0", NULL, NULL, NULL, NULL, NULL, NULL, "0", "1", "0", "0", "0", "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "2023-06-02 12:17:17", "2023-06-02 12:17:17", "1", NULL, NULL, NULL, NULL, "0", NULL, "1", NULL, NULL, NULL);
INSERT INTO `wp_yoast_indexable` VALUES("206", "http://kookagency/plan-du-site/", "31:1664859d8d9325e0c27f4996a8a60e0f", "62", "post", "page", "1", "0", "plan du site kook agency", "plan du site kook agency", "Plan du site", "publish", NULL, "0", NULL, NULL, NULL, "plan du site", "33", "90", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "39", NULL, NULL, "2023-06-05 11:24:42", "2023-06-05 13:16:51", "1", NULL, NULL, NULL, NULL, "0", "1", "2", "2023-06-05 13:16:50", "2018-02-06 23:39:40", "0");
INSERT INTO `wp_yoast_indexable` VALUES("207", "http://kookagency/tarifs-site-internet-reseaux-sociaux/", "55:80208d11aa2fd99f2337d290767afe71", "370", "post", "page", "1", "0", "Tarifs : Création site web click & collect pour restaurant", "Découvrez les tarifs pour la création d\'un site web pour votre restaurant, site web pour restaurant pas cher. Site internet pour restaurant click&collect", "Tarifs A MODIFIER (DIVI)", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "30", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-05 11:24:43", "2023-06-05 11:56:09", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-06-05 11:56:09", "2018-03-14 13:30:03", "0");
INSERT INTO `wp_yoast_indexable` VALUES("208", "http://kookagency/mentions-legales/", "35:43f905a68aa8e77614d4e08ce8ee516b", "1432", "post", "page", "1", "0", "mentions légales kook agency, agence web restaurant", "mentions légales kook agency, agence web restaurant", "Mentions légales", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "30", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-05 11:24:43", "2023-06-05 12:08:50", "1", NULL, NULL, NULL, NULL, "0", "10", "2", "2023-06-05 12:08:49", "2018-03-26 09:29:04", "0");
INSERT INTO `wp_yoast_indexable` VALUES("209", "http://kookagency/?page_id=1915", "31:2b4e525c30deee4021b41ad9f75fdab5", "1915", "post", "page", "1", "0", "politique de confidentialité kook agency agence web restaurant", "politique de confidentialité kook agency agence web restaurant", "Politique de confidentialité", "trash", "0", "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-05 11:24:43", "2023-06-05 11:54:50", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2023-06-05 11:54:50", "2018-05-31 07:35:23", "0");
INSERT INTO `wp_yoast_indexable` VALUES("210", "http://kookagency/collaborer-avec-nous/", "39:1fedcfcfb6e8070c484409a864ee8b0c", "4809", "post", "page", "1", "0", NULL, NULL, "Vous êtes influenceur(se) ou micro-influenceur(se) ?", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "0", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "0", NULL, NULL, "2023-06-05 11:24:43", "2023-06-05 11:24:43", "1", NULL, NULL, NULL, NULL, "0", NULL, "2", "2022-02-25 09:09:56", "2022-02-25 09:09:56", "0");
INSERT INTO `wp_yoast_indexable` VALUES("211", "http://kookagency/conditions-generales-de-services/", "51:32fa122c5a842a052c67346f0bc5959b", "5104", "post", "page", "1", "0", NULL, NULL, "Conditions générales de services", "publish", NULL, "0", NULL, NULL, NULL, NULL, NULL, "30", "0", NULL, "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, "20", NULL, NULL, "2023-06-05 11:24:43", "2023-06-05 12:55:59", "1", NULL, NULL, NULL, NULL, "0", "35", "2", "2023-06-05 12:55:58", "2022-04-12 12:05:40", "0");

/* INSERT TABLE DATA: wp_yoast_indexable_hierarchy */
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("1", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("2", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("4", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("5", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("6", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("7", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("8", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("9", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("10", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("11", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("12", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("13", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("14", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("3", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("15", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("16", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("17", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("18", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("19", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("20", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("21", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("22", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("23", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("24", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("25", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("26", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("27", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("28", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("29", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("30", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("31", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("32", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("33", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("34", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("35", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("36", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("37", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("38", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("39", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("40", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("41", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("42", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("43", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("44", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("45", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("46", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("47", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("48", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("49", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("50", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("51", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("52", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("53", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("54", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("55", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("56", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("57", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("58", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("59", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("60", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("61", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("62", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("63", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("64", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("65", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("66", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("67", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("68", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("69", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("70", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("71", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("72", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("73", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("74", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("75", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("76", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("77", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("78", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("79", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("80", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("81", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("82", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("83", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("84", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("85", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("86", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("87", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("88", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("89", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("90", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("91", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("92", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("93", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("94", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("95", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("96", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("97", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("98", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("99", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("100", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("101", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("102", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("103", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("104", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("105", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("106", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("107", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("108", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("109", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("110", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("111", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("112", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("113", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("114", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("115", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("116", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("117", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("118", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("119", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("120", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("121", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("122", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("123", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("124", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("125", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("126", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("127", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("128", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("129", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("130", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("131", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("132", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("133", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("134", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("135", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("136", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("137", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("138", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("139", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("140", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("141", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("142", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("143", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("144", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("145", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("146", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("147", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("148", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("149", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("150", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("151", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("152", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("153", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("154", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("155", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("156", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("157", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("158", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("159", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("160", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("161", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("162", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("163", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("164", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("165", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("166", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("167", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("168", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("169", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("170", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("171", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("172", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("173", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("174", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("175", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("176", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("177", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("178", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("179", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("180", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("181", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("182", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("183", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("184", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("185", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("186", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("187", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("188", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("189", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("190", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("191", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("192", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("193", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("194", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("195", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("196", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("197", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("198", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("199", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("200", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("201", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("202", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("206", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("207", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("208", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("209", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("210", "0", "0", "1");
INSERT INTO `wp_yoast_indexable_hierarchy` VALUES("211", "0", "0", "1");

/* INSERT TABLE DATA: wp_yoast_migrations */
INSERT INTO `wp_yoast_migrations` VALUES("1", "20171228151840");
INSERT INTO `wp_yoast_migrations` VALUES("2", "20171228151841");
INSERT INTO `wp_yoast_migrations` VALUES("3", "20190529075038");
INSERT INTO `wp_yoast_migrations` VALUES("4", "20191011111109");
INSERT INTO `wp_yoast_migrations` VALUES("5", "20200408101900");
INSERT INTO `wp_yoast_migrations` VALUES("6", "20200420073606");
INSERT INTO `wp_yoast_migrations` VALUES("7", "20200428123747");
INSERT INTO `wp_yoast_migrations` VALUES("8", "20200428194858");
INSERT INTO `wp_yoast_migrations` VALUES("9", "20200429105310");
INSERT INTO `wp_yoast_migrations` VALUES("10", "20200430075614");
INSERT INTO `wp_yoast_migrations` VALUES("11", "20200430150130");
INSERT INTO `wp_yoast_migrations` VALUES("12", "20200507054848");
INSERT INTO `wp_yoast_migrations` VALUES("13", "20200513133401");
INSERT INTO `wp_yoast_migrations` VALUES("14", "20200609154515");
INSERT INTO `wp_yoast_migrations` VALUES("15", "20200616130143");
INSERT INTO `wp_yoast_migrations` VALUES("16", "20200617122511");
INSERT INTO `wp_yoast_migrations` VALUES("17", "20200702141921");
INSERT INTO `wp_yoast_migrations` VALUES("18", "20200728095334");
INSERT INTO `wp_yoast_migrations` VALUES("19", "20201202144329");
INSERT INTO `wp_yoast_migrations` VALUES("20", "20201216124002");
INSERT INTO `wp_yoast_migrations` VALUES("21", "20201216141134");
INSERT INTO `wp_yoast_migrations` VALUES("22", "20210817092415");
INSERT INTO `wp_yoast_migrations` VALUES("23", "20211020091404");
INSERT INTO `wp_yoast_migrations` VALUES("24", "20230417083836");

/* INSERT TABLE DATA: wp_yoast_primary_term */
INSERT INTO `wp_yoast_primary_term` VALUES("1", "188", "5", "category", "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1");
INSERT INTO `wp_yoast_primary_term` VALUES("2", "191", "5", "category", "2023-06-02 12:17:04", "2023-06-02 12:17:04", "1");

/* INSERT TABLE DATA: wp_yoast_seo_links */
INSERT INTO `wp_yoast_seo_links` VALUES("1", "http://kookagency/contact/", "6180", "3857", "internal", "4", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("2", "http://kookagency/contact/", "6180", "3857", "internal", "4", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("3", "https://calendly.com/kook-agency/30min", "6180", NULL, "external", "4", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("4", "http://kookagency/contact/", "6180", "3857", "internal", "4", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("16", "http://kookagency/contact/", "6180", "3857", "internal", "4", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("644", "http://kookagency/wp-content/uploads/2023/06/AV_FUERO_10-1024x683.jpg", "6180", "12928", "image-in", "4", NULL, "1707", "2560", "400300", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("19", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "6180", NULL, "image-ex", "4", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("640", "http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-06-a-09.56.49-768x1024.jpg", "6180", "12920", "image-in", "4", NULL, "1600", "1200", "349819", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("643", "http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_045-1024x768.jpg", "6180", "12927", "image-in", "4", NULL, "1920", "2560", "462646", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("641", "http://kookagency/wp-content/uploads/2023/06/DIVINO_MR_046-768x1024.jpg", "6180", "12924", "image-in", "4", NULL, "2560", "1920", "436157", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("642", "http://kookagency/wp-content/uploads/2023/06/LABUCHERIE_MR_10-1024x819.jpg", "6180", "12926", "image-in", "4", NULL, "2048", "2560", "589566", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("23", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "6180", NULL, "image-ex", "4", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("26", "https://calendly.com/kook-agency/30min", "11980", NULL, "external", "5", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("27", "http://kookagency/contact/", "11980", "3857", "internal", "5", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("28", "http://kookagency/contact/", "11980", "3857", "internal", "5", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("41", "http://kookagency/contact/", "11980", "3857", "internal", "5", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("647", "http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_067-1024x683.jpg", "11980", "12942", "image-in", "5", NULL, "1707", "2560", "539667", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("44", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11980", NULL, "image-ex", "5", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("645", "http://kookagency/wp-content/uploads/2023/06/DANDY_MR_187-819x1024.jpg", "11980", "12939", "image-in", "5", NULL, "2560", "2048", "252668", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("646", "http://kookagency/wp-content/uploads/2023/06/LAPLACEVERTE_MR_013-1024x768.jpg", "11980", "12943", "image-in", "5", NULL, "1500", "2000", "1678015", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("46", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11980", NULL, "image-ex", "5", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("47", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11980", NULL, "image-ex", "5", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("50", "http://kookagency/contact/", "11981", "3857", "internal", "6", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("51", "https://calendly.com/kook-agency/30min", "11981", NULL, "external", "6", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("52", "http://kookagency/contact/", "11981", "3857", "internal", "6", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("65", "http://kookagency/contact/", "11981", "3857", "internal", "6", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("66", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11981", NULL, "image-ex", "6", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("650", "http://kookagency/wp-content/uploads/2023/06/FDR_MR_54-1024x768.jpg", "11981", "12950", "image-in", "6", NULL, "1920", "2560", "643951", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("69", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11981", NULL, "image-ex", "6", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("648", "http://kookagency/wp-content/uploads/2023/06/FDR_MR_31-768x1024.jpg", "11981", "12929", "image-in", "6", NULL, "2560", "1920", "454251", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("649", "http://kookagency/wp-content/uploads/2023/06/PASTICCIO_MR_018-1024x683.jpg", "11981", "12949", "image-in", "6", NULL, "1080", "1620", "1370471", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("71", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11981", NULL, "image-ex", "6", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("74", "http://kookagency/contact/", "11982", "3857", "internal", "13", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("75", "http://kookagency/contact/", "11982", "3857", "internal", "13", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("88", "http://kookagency/contact/", "11982", "3857", "internal", "13", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("89", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11982", NULL, "image-ex", "13", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("655", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-scaled.jpg", "11982", "12663", "image-in", "13", NULL, "2560", "1920", "401881", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("660", "http://kookagency/wp-content/uploads/2023/06/179473332_1435143870158576_578293220653616719_n-scaled.jpg", "11982", "12966", "image-in", "13", NULL, "1743", "2560", "409320", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("659", "http://kookagency/wp-content/uploads/2023/06/AV_Cafe-Capone_32-scaled.jpg", "11982", "12968", "image-in", "13", NULL, "1829", "2560", "848407", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("654", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-scaled.jpg", "11982", "12673", "image-in", "13", NULL, "2560", "2048", "659214", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("658", "http://kookagency/wp-content/uploads/2023/06/6EMESENS_MR_010-1-scaled.jpg", "11982", "12965", "image-in", "13", NULL, "1707", "2560", "608165", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("657", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_034-2-scaled.jpg", "11982", "12970", "image-in", "13", NULL, "1920", "2560", "764959", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("652", "http://kookagency/wp-content/uploads/2023/06/P1460489-scaled.jpg", "11982", "12682", "image-in", "13", NULL, "2560", "1808", "530487", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("653", "http://kookagency/wp-content/uploads/2023/06/DSC06618-scaled.jpg", "11982", "12941", "image-in", "13", NULL, "2560", "2048", "527710", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("651", "http://kookagency/wp-content/uploads/2023/06/DANDY_MR_194-scaled.jpg", "11982", "12954", "image-in", "13", NULL, "2560", "2048", "274463", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("656", "http://kookagency/wp-content/uploads/2023/06/AMOUR_FLO_MR_28-1-scaled.jpg", "11982", "12969", "image-in", "13", NULL, "2048", "2560", "930447", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("100", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "11982", NULL, "image-ex", "13", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("120", "http://kookagency/contact/", "4242", "3857", "internal", "9", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("121", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "4242", "6148", "internal", "9", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("122", "http://kookagency/category/blog/", "4242", NULL, "internal", "9", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("123", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "4242", "6148", "internal", "9", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("124", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "4242", "6148", "internal", "9", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("125", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "4242", "6136", "internal", "9", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("126", "http://kookagency/category/blog/", "4242", NULL, "internal", "9", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("127", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "4242", "6136", "internal", "9", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("128", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "4242", "6136", "internal", "9", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("129", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "4242", "6133", "internal", "9", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("130", "http://kookagency/category/blog/", "4242", NULL, "internal", "9", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("131", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "4242", "6133", "internal", "9", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("132", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "4242", "6133", "internal", "9", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("133", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "4242", "11888", "internal", "9", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("134", "http://kookagency/category/blog/", "4242", NULL, "internal", "9", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("135", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "4242", "11888", "internal", "9", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("136", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "4242", "11888", "internal", "9", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("150", "http://kookagency/contact/", "4242", "3857", "internal", "9", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("151", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "4242", NULL, "image-ex", "9", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("152", "http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg", "4242", "12252", "image-in", "9", NULL, "902", "1600", "144003", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("153", "http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg", "4242", "12257", "image-in", "9", NULL, "853", "1280", "130502", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("154", "http://kookagency/wp-content/uploads/2023/04/commentaire.png", "4242", "12267", "image-in", "9", NULL, "900", "1200", "844051", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("155", "http://kookagency/wp-content/uploads/2023/01/restauratrice.png", "4242", "12274", "image-in", "9", NULL, "900", "1200", "1247495", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("156", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "4242", NULL, "image-ex", "9", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("664", "http://kookagency/wp-content/uploads/2023/06/WhatsApp-Image-2023-06-07-a-11.11.05.jpg", "10485", "13018", "image-in", "2", NULL, "1001", "1067", "161503", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("529", "http://windows.microsoft.com/fr-fr/windows-vista/block-or-allow-cookies", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("530", "http://support.apple.com/kb/ht1677?viewlocale=fr_fr", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("173", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "3857", NULL, "image-ex", "8", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("174", "https://s3-us-west-2.amazonaws.com/s.cdpn.io/664131/underline.svg", "3857", NULL, "image-ex", "8", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("698", "http://kookagency/wp-admin/admin.php?page=forminator-cform-wizard&#038;id=12081", "3857", NULL, "internal", "8", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("183", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_29-scaled.jpg", "12648", "12654", "image-in", "47", NULL, "2560", "2048", "543670", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("182", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_40-scaled.jpg", "12648", "12653", "image-in", "47", NULL, "2560", "2048", "406342", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("181", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_169-scaled.jpg", "12648", "12652", "image-in", "47", NULL, "1920", "2560", "1080551", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("189", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_050-scaled.jpg", "12658", "12664", "image-in", "48", NULL, "2560", "1920", "370008", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("188", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_061-scaled.jpg", "12658", "12663", "image-in", "48", NULL, "2560", "1920", "401881", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("187", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_024-scaled.jpg", "12658", "12662", "image-in", "48", NULL, "2560", "1920", "627165", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("195", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_66-scaled.jpg", "12668", "12674", "image-in", "49", NULL, "2560", "2048", "408964", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("194", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_36-scaled.jpg", "12668", "12673", "image-in", "49", NULL, "2560", "2048", "659214", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("193", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_5-scaled.jpg", "12668", "12672", "image-in", "49", NULL, "2560", "2048", "702857", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("201", "http://kookagency/wp-content/uploads/2023/06/DIVINO-16-scaled.jpg", "12678", "12683", "image-in", "50", NULL, "2560", "1707", "431212", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("200", "http://kookagency/wp-content/uploads/2023/06/P1460489-scaled.jpg", "12678", "12682", "image-in", "50", NULL, "2560", "1808", "530487", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("199", "http://kookagency/wp-content/uploads/2023/06/DIVINO-52-1-scaled.jpg", "12678", "12681", "image-in", "50", NULL, "1707", "2560", "783880", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("202", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_028-scaled.jpg", "217", "12147", "image-in", "41", NULL, "1707", "2560", "272031", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("203", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_015-scaled.jpg", "217", "12143", "image-in", "41", NULL, "2560", "1707", "446193", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("204", "http://kookagency/wp-content/uploads/2022/08/BAP_MR_031-scaled.jpg", "217", "12144", "image-in", "41", NULL, "2560", "1707", "277448", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("205", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_MR_006-1-scaled.jpg", "12151", "12156", "image-in", "40", NULL, "1707", "2560", "1096492", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("206", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_004-scaled.jpg", "12151", "12154", "image-in", "40", NULL, "2560", "1920", "839544", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("207", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_016-scaled.jpg", "12151", "12155", "image-in", "40", NULL, "2560", "1920", "789453", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("208", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_43-scaled.jpg", "12160", "12163", "image-in", "39", NULL, "1920", "2560", "757159", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("209", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_26-scaled.jpg", "12160", "12164", "image-in", "39", NULL, "2560", "2048", "670566", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("210", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_29-scaled.jpg", "12160", "12165", "image-in", "39", NULL, "2560", "2048", "397119", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("211", "http://kookagency/wp-content/uploads/2023/05/BIA_MR_44-1-scaled.jpg", "12169", "12171", "image-in", "36", NULL, "2560", "2048", "463085", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("212", "http://kookagency/wp-content/uploads/2023/05/BIA_MR_26-1-scaled.jpg", "12169", "12172", "image-in", "36", NULL, "2560", "2048", "612539", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("213", "http://kookagency/wp-content/uploads/2023/05/BIA_MR_37-1-scaled.jpg", "12169", "12173", "image-in", "36", NULL, "2560", "2048", "364033", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("214", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_115-1-scaled.jpg", "12178", "12181", "image-in", "38", NULL, "2560", "2048", "774660", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("215", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_144-1-scaled.jpg", "12178", "12182", "image-in", "38", NULL, "2560", "2048", "574672", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("216", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_19-1-scaled.jpg", "12178", "12183", "image-in", "38", NULL, "2048", "2560", "495155", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("217", "http://kookagency/wp-content/uploads/2023/05/369_MR_9-1-scaled.jpg", "12187", "12192", "image-in", "35", NULL, "2560", "2048", "721565", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("218", "http://kookagency/wp-content/uploads/2023/05/369_MR_175-1-scaled.jpg", "12187", "12190", "image-in", "35", NULL, "2560", "2048", "410819", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("219", "http://kookagency/wp-content/uploads/2023/05/369_MR_91-1-scaled.jpg", "12187", "12191", "image-in", "35", NULL, "2560", "2048", "503934", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("220", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_10-1-scaled.jpg", "12197", "12200", "image-in", "37", NULL, "2560", "2048", "555801", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("221", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_63-1-scaled.jpg", "12197", "12201", "image-in", "37", NULL, "2560", "2048", "450822", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("222", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_1-scaled.jpg", "12197", "12202", "image-in", "37", NULL, "2560", "2048", "404472", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("223", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_13-1-scaled.jpg", "12206", "12210", "image-in", "44", NULL, "2560", "2048", "1146433", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("224", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_26-1-scaled.jpg", "12206", "12209", "image-in", "44", NULL, "2560", "2048", "543346", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("225", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_96-1-scaled.jpg", "12206", "12211", "image-in", "44", NULL, "2560", "2048", "406269", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("226", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_9-1-scaled.jpg", "12215", "12218", "image-in", "46", NULL, "2560", "2048", "535914", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("227", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_123-1-scaled.jpg", "12215", "12219", "image-in", "46", NULL, "2560", "2048", "436061", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("228", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_76-1-scaled.jpg", "12215", "12220", "image-in", "46", NULL, "2560", "2048", "405903", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("229", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_15-1-scaled.jpg", "12224", "12227", "image-in", "45", NULL, "2560", "2048", "533295", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("230", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_50-1-scaled.jpg", "12224", "12228", "image-in", "45", NULL, "2560", "2048", "442531", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("231", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_7-1-scaled.jpg", "12224", "12229", "image-in", "45", NULL, "2560", "2048", "617620", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("232", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_15-1-scaled.jpg", "12233", "12237", "image-in", "43", NULL, "2560", "2048", "493043", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("233", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_30-1-scaled.jpg", "12233", "12236", "image-in", "43", NULL, "2560", "2048", "448898", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("234", "http://kookagency/wp-content/uploads/2023/05/LECALICE_LADIESNIGHT_MR_36-1-scaled.jpg", "12233", "12239", "image-in", "43", NULL, "2560", "2048", "510386", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("235", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_74-1-scaled.jpg", "12243", "12246", "image-in", "42", NULL, "2560", "1920", "678032", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("236", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_23-scaled.jpg", "12243", "12247", "image-in", "42", NULL, "2560", "2048", "466853", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("237", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_61-1-scaled.jpg", "12243", "12248", "image-in", "42", NULL, "2560", "2048", "418233", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("238", "http://kookagency/contact/", "10485", "3857", "internal", "2", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("239", "https://calendly.com/kook-agency/30min", "10485", NULL, "external", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("240", "http://kookagency/reseaux-sociaux/", "10485", "6180", "internal", "2", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("241", "http://kookagency/2018/09/20/16-idees-marketing-pour-developper-votre-restaurant/", "10485", "2481", "internal", "2", "33", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("693", "http://kookagency/nos-clients/coderak/", "10485", "12197", "internal", "2", "37", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("243", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("692", "http://kookagency/nos-clients/coderak/", "10485", "12197", "internal", "2", "37", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("691", "http://kookagency/nos-clients/lou-gardo/", "10485", "12206", "internal", "2", "44", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("690", "http://kookagency/nos-clients/lou-gardo/", "10485", "12206", "internal", "2", "44", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("247", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("689", "http://kookagency/nos-clients/lou-gardo/", "10485", "12206", "internal", "2", "44", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("688", "http://kookagency/nos-clients/restaurant-lhemingway/", "10485", "12215", "internal", "2", "46", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("251", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("687", "http://kookagency/nos-clients/restaurant-lhemingway/", "10485", "12215", "internal", "2", "46", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("686", "http://kookagency/nos-clients/restaurant-lhemingway/", "10485", "12215", "internal", "2", "46", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("685", "http://kookagency/nos-clients/mojito-cafe/", "10485", "12224", "internal", "2", "45", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("255", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("684", "http://kookagency/nos-clients/mojito-cafe/", "10485", "12224", "internal", "2", "45", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("683", "http://kookagency/nos-clients/mojito-cafe/", "10485", "12224", "internal", "2", "45", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("682", "http://kookagency/nos-clients/le-calice/", "10485", "12233", "internal", "2", "43", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("259", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("681", "http://kookagency/nos-clients/le-calice/", "10485", "12233", "internal", "2", "43", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("680", "http://kookagency/nos-clients/le-calice/", "10485", "12233", "internal", "2", "43", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("679", "http://kookagency/nos-clients/la-sublime-porte/", "10485", "12243", "internal", "2", "42", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("263", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("678", "http://kookagency/nos-clients/la-sublime-porte/", "10485", "12243", "internal", "2", "42", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("677", "http://kookagency/nos-clients/la-sublime-porte/", "10485", "12243", "internal", "2", "42", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("676", "http://kookagency/nos-clients/lo-beach/", "10485", "12648", "internal", "2", "47", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("267", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("675", "http://kookagency/nos-clients/lo-beach/", "10485", "12648", "internal", "2", "47", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("674", "http://kookagency/nos-clients/lo-beach/", "10485", "12648", "internal", "2", "47", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("673", "http://kookagency/nos-clients/ruby/", "10485", "12658", "internal", "2", "48", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("271", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("672", "http://kookagency/nos-clients/ruby/", "10485", "12658", "internal", "2", "48", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("671", "http://kookagency/nos-clients/ruby/", "10485", "12658", "internal", "2", "48", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("670", "http://kookagency/nos-clients/vita-ristorante/", "10485", "12668", "internal", "2", "49", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("275", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("669", "http://kookagency/nos-clients/vita-ristorante/", "10485", "12668", "internal", "2", "49", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("668", "http://kookagency/nos-clients/vita-ristorante/", "10485", "12668", "internal", "2", "49", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("667", "http://kookagency/nos-clients/di-vino/", "10485", "12678", "internal", "2", "50", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("279", "http://kookagency/dsn-blackdsn-categories/restaurant/", "10485", NULL, "internal", "2", "66", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("666", "http://kookagency/nos-clients/di-vino/", "10485", "12678", "internal", "2", "50", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("665", "http://kookagency/nos-clients/di-vino/", "10485", "12678", "internal", "2", "50", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("282", "https://vimeo.com/832220285", "10485", NULL, "external", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("283", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "10485", "6148", "internal", "2", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("284", "http://kookagency/2023/05/09/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("285", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("286", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "10485", "6148", "internal", "2", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("287", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "10485", "6148", "internal", "2", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("288", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "10485", "6136", "internal", "2", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("289", "http://kookagency/2023/04/21/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("290", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("291", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "10485", "6136", "internal", "2", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("292", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "10485", "6136", "internal", "2", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("293", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "10485", "6133", "internal", "2", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("294", "http://kookagency/2023/04/17/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("295", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("296", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "10485", "6133", "internal", "2", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("297", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "10485", "6133", "internal", "2", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("298", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "10485", "11888", "internal", "2", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("299", "http://kookagency/2023/01/20/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("300", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("301", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "10485", "11888", "internal", "2", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("302", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "10485", "11888", "internal", "2", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("303", "http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/", "10485", "5304", "internal", "2", "19", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("304", "http://kookagency/2022/06/29/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("305", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("306", "http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/", "10485", "5304", "internal", "2", "19", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("307", "http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/", "10485", "5304", "internal", "2", "19", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("308", "http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/", "10485", "4967", "internal", "2", "20", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("309", "http://kookagency/2022/06/01/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("310", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("311", "http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/", "10485", "4967", "internal", "2", "20", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("312", "http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/", "10485", "4967", "internal", "2", "20", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("313", "http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/", "10485", "4963", "internal", "2", "21", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("314", "http://kookagency/2022/05/19/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("315", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("316", "http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/", "10485", "4963", "internal", "2", "21", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("317", "http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/", "10485", "4963", "internal", "2", "21", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("318", "http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/", "10485", "5265", "internal", "2", "22", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("319", "http://kookagency/2022/05/02/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("320", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("321", "http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/", "10485", "5265", "internal", "2", "22", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("322", "http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/", "10485", "5265", "internal", "2", "22", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("323", "http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/", "10485", "4956", "internal", "2", "23", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("324", "http://kookagency/2022/04/26/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("325", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("326", "http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/", "10485", "4956", "internal", "2", "23", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("327", "http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/", "10485", "4956", "internal", "2", "23", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("328", "http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/", "10485", "4946", "internal", "2", "24", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("329", "http://kookagency/2022/04/20/", "10485", NULL, "internal", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("330", "http://kookagency/category/blog/", "10485", NULL, "internal", "2", "68", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("331", "http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/", "10485", "4946", "internal", "2", "24", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("332", "http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/", "10485", "4946", "internal", "2", "24", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("333", "//dsngrid.com/images/wp/blackdsn/bg.jpg", "10485", NULL, "image-ex", "2", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("694", "http://kookagency/nos-clients/coderak/", "10485", "12197", "internal", "2", "37", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("335", "http://kookagency/wp-content/uploads/2023/06/PORTRAITKOOK-15-2-scaled.jpg", "10485", "12618", "image-in", "2", NULL, "1707", "2560", "456079", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("336", "http://kookagency/wp-content/uploads/2023/05/impronta_restaurant-1-1-300x300.jpg", "10485", "12004", "image-in", "2", NULL, "1000", "1000", "122381", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("337", "http://kookagency/wp-content/uploads/2023/05/thank-me_after-min-1-1-768x768.jpg", "10485", "12005", "image-in", "2", NULL, "1000", "1000", "111244", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("338", "http://kookagency/wp-content/uploads/2023/05/Kook-Studio-2022-4-1-scaled.jpg", "10485", "12009", "image-in", "2", NULL, "2560", "1707", "181282", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("339", "http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg", "10485", "12680", "image-in", "2", NULL, "2560", "1707", "687407", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("340", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg", "10485", "12671", "image-in", "2", NULL, "2048", "2560", "924765", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("341", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg", "10485", "12660", "image-in", "2", NULL, "2560", "1920", "620525", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("342", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg", "10485", "12651", "image-in", "2", NULL, "2560", "1920", "394167", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("343", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg", "10485", "12245", "image-in", "2", NULL, "2560", "2048", "810695", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("344", "http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg", "10485", "12235", "image-in", "2", NULL, "2560", "1920", "691742", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("345", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg", "10485", "12226", "image-in", "2", NULL, "2560", "2048", "532610", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("346", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg", "10485", "12217", "image-in", "2", NULL, "2048", "2560", "636857", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("347", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg", "10485", "12208", "image-in", "2", NULL, "2560", "2048", "856975", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("348", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg", "10485", "12199", "image-in", "2", NULL, "2560", "2048", "649349", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("349", "http://kookagency/wp-content/uploads/2023/06/MR__4249-2-scaled.jpg", "10485", "12566", "image-in", "2", NULL, "1707", "2560", "529018", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("350", "http://kookagency/wp-content/uploads/2023/05/Google-Business-Profile-1.jpeg", "10485", "12252", "image-in", "2", NULL, "902", "1600", "144003", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("351", "http://kookagency/wp-content/uploads/2023/04/messagerie_instagram_restaurant_2023.jpg", "10485", "12257", "image-in", "2", NULL, "853", "1280", "130502", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("352", "http://kookagency/wp-content/uploads/2023/04/commentaire.png", "10485", "12267", "image-in", "2", NULL, "900", "1200", "844051", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("353", "http://kookagency/wp-content/uploads/2023/01/restauratrice.png", "10485", "12274", "image-in", "2", NULL, "900", "1200", "1247495", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("354", "http://kookagency/wp-content/uploads/2022/06/gaspillage-alimentaire-restaurant.jpg", "10485", "12287", "image-in", "2", NULL, "408", "612", "69194", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("355", "http://kookagency/wp-content/uploads/2022/06/Franchise-e-sushi-scaled-2.jpg", "10485", "12297", "image-in", "2", NULL, "1365", "2048", "453270", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("356", "http://kookagency/wp-content/uploads/2022/05/food-porn-photo.jpg", "10485", "12304", "image-in", "2", NULL, "427", "640", "54082", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("357", "http://kookagency/wp-content/uploads/2022/05/hemblem-influence-3.jpg", "10485", "12317", "image-in", "2", NULL, "408", "612", "73892", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("358", "http://kookagency/wp-content/uploads/2022/04/concept-de-restaurant.jpg", "10485", "12333", "image-in", "2", NULL, "480", "640", "90696", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("359", "http://kookagency/wp-content/uploads/2022/04/hashtags-food-entete.jpg", "10485", "12340", "image-in", "2", NULL, "367", "612", "70284", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("360", "http://kookagency/wp-content/uploads/2023/05/pongo-1.png", "10485", "12015", "image-in", "2", NULL, "600", "600", "32874", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("361", "http://kookagency/wp-content/uploads/2023/05/logo_primary_light-1-1.png", "10485", "12016", "image-in", "2", NULL, "853", "2000", "43561", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("362", "http://kookagency/wp-content/uploads/2023/05/partoo_logo-1.png", "10485", "12017", "image-in", "2", NULL, "358", "1160", "11954", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("363", "http://kookagency/wp-content/uploads/2023/06/61378a6aa73744d413238ebf_HEMBLEM-logo2.png", "10485", "12571", "image-in", "2", NULL, "139", "576", "3644", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("364", "http://kookagency/wp-content/uploads/2023/05/Logo_WhatisEAT_2021_violet-1.png", "10485", "12019", "image-in", "2", NULL, "200", "800", "15792", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("365", "http://kookagency/wp-content/uploads/2023/05/Meta-Logo-1.png", "10485", "12020", "image-in", "2", NULL, "2160", "3840", "111916", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("366", "http://kookagency/blackdsn-portfolio/di-vino/", "11096", "12678", "internal", "10", "50", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("367", "http://kookagency/blackdsn-portfolio/di-vino/", "11096", "12678", "internal", "10", "50", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("368", "http://kookagency/blackdsn-portfolio/vita-ristorante/", "11096", "12668", "internal", "10", "49", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("369", "http://kookagency/blackdsn-portfolio/vita-ristorante/", "11096", "12668", "internal", "10", "49", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("370", "http://kookagency/blackdsn-portfolio/ruby/", "11096", "12658", "internal", "10", "48", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("371", "http://kookagency/blackdsn-portfolio/ruby/", "11096", "12658", "internal", "10", "48", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("372", "http://kookagency/blackdsn-portfolio/lo-beach/", "11096", "12648", "internal", "10", "47", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("373", "http://kookagency/blackdsn-portfolio/lo-beach/", "11096", "12648", "internal", "10", "47", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("374", "http://kookagency/blackdsn-portfolio/la-sublime-porte/", "11096", "12243", "internal", "10", "42", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("375", "http://kookagency/blackdsn-portfolio/la-sublime-porte/", "11096", "12243", "internal", "10", "42", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("376", "http://kookagency/blackdsn-portfolio/le-calice/", "11096", "12233", "internal", "10", "43", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("377", "http://kookagency/blackdsn-portfolio/le-calice/", "11096", "12233", "internal", "10", "43", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("378", "http://kookagency/blackdsn-portfolio/mojito-cafe/", "11096", "12224", "internal", "10", "45", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("379", "http://kookagency/blackdsn-portfolio/mojito-cafe/", "11096", "12224", "internal", "10", "45", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("380", "http://kookagency/blackdsn-portfolio/restaurant-lhemingway/", "11096", "12215", "internal", "10", "46", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("381", "http://kookagency/blackdsn-portfolio/restaurant-lhemingway/", "11096", "12215", "internal", "10", "46", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("382", "http://kookagency/blackdsn-portfolio/lou-gardo/", "11096", "12206", "internal", "10", "44", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("383", "http://kookagency/blackdsn-portfolio/lou-gardo/", "11096", "12206", "internal", "10", "44", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("384", "http://kookagency/blackdsn-portfolio/coderak/", "11096", "12197", "internal", "10", "37", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("385", "http://kookagency/blackdsn-portfolio/coderak/", "11096", "12197", "internal", "10", "37", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("386", "http://kookagency/blackdsn-portfolio/369-restaurant/", "11096", "12187", "internal", "10", "35", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("387", "http://kookagency/blackdsn-portfolio/369-restaurant/", "11096", "12187", "internal", "10", "35", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("388", "http://kookagency/blackdsn-portfolio/dandy-hotel/", "11096", "12178", "internal", "10", "38", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("389", "http://kookagency/blackdsn-portfolio/dandy-hotel/", "11096", "12178", "internal", "10", "38", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("390", "http://kookagency/blackdsn-portfolio/breakfast-in-america/", "11096", "12169", "internal", "10", "36", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("391", "http://kookagency/blackdsn-portfolio/breakfast-in-america/", "11096", "12169", "internal", "10", "36", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("392", "http://kookagency/blackdsn-portfolio/fuero/", "11096", "12160", "internal", "10", "39", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("393", "http://kookagency/blackdsn-portfolio/fuero/", "11096", "12160", "internal", "10", "39", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("394", "http://kookagency/blackdsn-portfolio/gabriela/", "11096", "12151", "internal", "10", "40", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("395", "http://kookagency/blackdsn-portfolio/gabriela/", "11096", "12151", "internal", "10", "40", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("396", "http://kookagency/blackdsn-portfolio/la-boite-a-pates/", "11096", "217", "internal", "10", "41", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("397", "http://kookagency/blackdsn-portfolio/la-boite-a-pates/", "11096", "217", "internal", "10", "41", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("398", "http://kookagency/wp-content/uploads/2023/06/P1460372-scaled.jpg", "11096", "12680", "image-in", "10", NULL, "2560", "1707", "687407", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("399", "http://kookagency/wp-content/uploads/2023/06/VITA_MR_23-scaled.jpg", "11096", "12671", "image-in", "10", NULL, "2048", "2560", "924765", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("400", "http://kookagency/wp-content/uploads/2023/06/RUBY_MR_026-scaled.jpg", "11096", "12660", "image-in", "10", NULL, "2560", "1920", "620525", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("401", "http://kookagency/wp-content/uploads/2023/06/LOBEACH_MR_44-scaled.jpg", "11096", "12651", "image-in", "10", NULL, "2560", "1920", "394167", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("402", "http://kookagency/wp-content/uploads/2023/05/LASUBLIMEPORTE_MR_21-1-scaled.jpg", "11096", "12245", "image-in", "10", NULL, "2560", "2048", "810695", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("403", "http://kookagency/wp-content/uploads/2023/05/CALICEV2_MR_031-1-scaled.jpg", "11096", "12235", "image-in", "10", NULL, "2560", "1920", "691742", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("404", "http://kookagency/wp-content/uploads/2023/05/MOJITO_MR_86-1-scaled.jpg", "11096", "12226", "image-in", "10", NULL, "2560", "2048", "532610", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("405", "http://kookagency/wp-content/uploads/2023/05/HEMINGWAY_MR_4-1-scaled.jpg", "11096", "12217", "image-in", "10", NULL, "2048", "2560", "636857", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("406", "http://kookagency/wp-content/uploads/2023/05/LOUGARDO_MR_6-1-scaled.jpg", "11096", "12208", "image-in", "10", NULL, "2560", "2048", "856975", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("407", "http://kookagency/wp-content/uploads/2023/05/CODERACK_MR_17-1-scaled.jpg", "11096", "12199", "image-in", "10", NULL, "2560", "2048", "649349", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("408", "http://kookagency/wp-content/uploads/2023/05/369_MR_8-1-scaled.jpg", "11096", "12189", "image-in", "10", NULL, "2560", "2048", "586403", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("409", "http://kookagency/wp-content/uploads/2023/05/DANDY_MR_129-1-scaled.jpg", "11096", "12180", "image-in", "10", NULL, "2560", "2048", "581042", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("410", "http://kookagency/wp-content/uploads/2023/05/Sans-titre-2022-12-23T161950.222-1.png", "11096", "12174", "image-in", "10", NULL, "1000", "1000", "1749132", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("411", "http://kookagency/wp-content/uploads/2023/05/FUERO_MR_6-scaled.jpg", "11096", "12162", "image-in", "10", NULL, "2048", "2560", "701832", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("412", "http://kookagency/wp-content/uploads/2023/05/GABRIELA_A_MR_006-scaled.jpg", "11096", "12153", "image-in", "10", NULL, "1920", "2560", "889192", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("413", "http://kookagency/wp-content/uploads/2022/08/xZ3rAYpY-1-scaled.jpeg", "11096", "12142", "image-in", "10", NULL, "1707", "2560", "980357", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("414", "https://www.kook-agency.fr/reseaux-sociaux", "188", NULL, "external", "150", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("415", "https://www.tripadvisorsupport.com/hc/fr/articles/200614487-Je-viens-d-acqu%C3%A9rir-un-h%C3%B4tel-un-restaurant-ou-une-activit%C3%A9-et-je-pr%C3%A9vois-d-en-am%C3%A9liorer-la-gestion-Puis-je-faire-table-rase-du-pass%C3%A9-", "188", NULL, "external", "150", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("416", "https://www.kook-agency.fr/referencement-naturel", "2084", NULL, "external", "152", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("417", "https://www.kook-agency.fr/reseaux-sociaux", "2084", NULL, "external", "152", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("418", "http://bit.ly/2KkjyKH", "2245", NULL, "external", "153", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("419", "http://bit.ly/2KpI79e", "2245", NULL, "external", "153", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("420", "http://bit.ly/2McqsU0", "2245", NULL, "external", "153", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("421", "https://www.ikentoo.com/fr/news-blog-fr/indicateurs-de-performance-pour-la-restauration-2-les-indicateurs-quantitatifs", "2259", NULL, "external", "154", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("422", "https://www.ikentoo.com/fr/news-blog-fr/comment-fideliser-client-restaurant", "2259", NULL, "external", "154", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("423", "mailto:olivier@kook-agency.fr", "2259", NULL, "external", "154", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("424", "http://ib-advantage.com/", "2279", NULL, "external", "34", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("425", "http://ib-advantage.com/visite-virtuelle", "2279", NULL, "external", "34", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("426", "https://www.kook-agency.fr/wp-content/uploads/2018/09/dinner-time-300x200.jpg", "2481", NULL, "image-ex", "33", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("427", "https://www.kook-agency.fr/wp-content/uploads/2018/09/TripAdvisor-Logo-Plain-297x300.png", "2481", NULL, "image-ex", "33", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("428", "https://www.kook-agency.fr/wp-content/uploads/2018/09/google--300x240.png", "2481", NULL, "image-ex", "33", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("429", "https://www.kook-agency.fr/wp-content/uploads/2018/09/repost-instagram-1-300x150.jpg", "2481", NULL, "image-ex", "33", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("430", "https://www.kook-agency.fr/wp-content/uploads/2018/09/257388-1610130Q34315-300x200.jpg", "2481", NULL, "image-ex", "33", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("431", "https://www.kook-agency.fr/wp-content/uploads/2018/07/poste-reseau-sociau-restaurant-300x200.jpg", "2481", NULL, "image-ex", "33", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("432", "http://bit.ly/2OJsH6G", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("433", "http://bit.ly/2OLBtRL", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("434", "http://bit.ly/2OGUzrX", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("435", "http://bit.ly/2OLBQf7", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("436", "http://kookagency/?page_id=4276", "2626", NULL, "internal", "32", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("437", "http://kookagency/", "2626", NULL, "internal", "32", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("438", "https://www.facebook.com/kookfoodagency/", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("439", "https://twitter.com/kook_agency", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("440", "https://www.linkedin.com/company/kook-food-agency/", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("441", "https://www.instagram.com/kook_agency/", "2626", NULL, "external", "32", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("442", "http://kookagency/reseaux-sociaux/", "2626", "6180", "internal", "32", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("443", "http://kookagency/reseaux-sociaux/", "2626", "6180", "internal", "32", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("444", "http://kookagency/creation-de-site-internet/", "2626", "11980", "internal", "32", "5", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("445", "http://kookagency/referencement-naturel/", "2626", "11981", "internal", "32", "6", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("446", "http://kookagency/shooting-photo/", "2626", "11982", "internal", "32", "13", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("447", "http://kookagency/nos-clients/", "2626", "11096", "internal", "32", "10", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("448", "http://kookagency/nos-tarifs/", "2626", "6206", "internal", "32", "7", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("449", "http://kookagency/le-blog/", "2626", "4242", "internal", "32", "9", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("450", "http://kookagency/contact/", "2626", "3857", "internal", "32", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("451", "http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png", "2626", "11994", "image-in", "32", NULL, "566", "1080", "67773", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("452", "http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png", "2626", "11995", "image-in", "32", NULL, "2503", "5989", "133963", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("453", "https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_11_58_10_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vid%C3%A9os_Instagram.png", "2634", NULL, "image-ex", "31", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("454", "https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_11_57_24_FOODEASE_FOOD_PARIS_foodeaseparis_Photos_et_vid%C3%A9os_Instagram.png", "2634", NULL, "image-ex", "31", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("455", "https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_12_02_30_thefoodparisian_Photos_et_vid%C3%A9os_Instagram.png", "2634", NULL, "image-ex", "31", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("456", "https://www.kook-agency.fr/wp-content/uploads/2018/10/2018_10_25_12_06_36_thefoodparisian_Photos_et_vid%C3%A9os_Instagram.png", "2634", NULL, "image-ex", "31", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("457", "https://www.kook-agency.fr/reseaux-sociaux", "3001", NULL, "external", "30", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("458", "https://www.kook-agency.fr/gamme-click-kook", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("459", "https://www.kook-agency.fr/gamme-click-kook", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("460", "mailto:contact@kook-agency.fr", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("461", "http://kookagency/?page_id=4276", "3492", NULL, "internal", "28", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("462", "http://kookagency/", "3492", NULL, "internal", "28", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("463", "https://www.facebook.com/kookfoodagency/", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("464", "https://twitter.com/kook_agency", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("465", "https://www.linkedin.com/company/kook-food-agency/", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("466", "https://www.instagram.com/kook_agency/", "3492", NULL, "external", "28", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("467", "http://kookagency/reseaux-sociaux/", "3492", "6180", "internal", "28", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("468", "http://kookagency/reseaux-sociaux/", "3492", "6180", "internal", "28", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("469", "http://kookagency/creation-de-site-internet/", "3492", "11980", "internal", "28", "5", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("470", "http://kookagency/referencement-naturel/", "3492", "11981", "internal", "28", "6", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("471", "http://kookagency/shooting-photo/", "3492", "11982", "internal", "28", "13", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("472", "http://kookagency/nos-clients/", "3492", "11096", "internal", "28", "10", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("473", "http://kookagency/nos-tarifs/", "3492", "6206", "internal", "28", "7", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("474", "http://kookagency/le-blog/", "3492", "4242", "internal", "28", "9", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("475", "http://kookagency/contact/", "3492", "3857", "internal", "28", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("476", "http://kookagency/wp-content/uploads/2023/05/My-project-1-1.png", "3492", "11994", "image-in", "28", NULL, "566", "1080", "67773", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("477", "http://kookagency/wp-content/uploads/2023/05/LOGO-BASELINE-NOIR-1.png", "3492", "11995", "image-in", "28", NULL, "2503", "5989", "133963", NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("478", "https://www.smiirl.com/fr/boutique?gclid=Cj0KCQjw_dWGBhDAARIsAMcYuJxAAqEVQ-DwHo7i1Wep0E67TCNGhKS3jptCMC6scJrNM7rkAZvvTfoaAstVEALw_wcB", "4041", NULL, "external", "27", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("479", "/wp-content/uploads/2022/02/Avantage-dun-restaurateur-300x200.jpg", "4445", NULL, "image-in", "26", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("480", "/wp-content/uploads/2022/02/Utilisation-des-hashtags.jpg", "4445", NULL, "image-in", "26", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("481", "https://www.kook-agency.fr/wp-content/uploads/2022/02/Ouverture-des-300-restaurants-tiktok-300x169.jpg", "4445", NULL, "image-ex", "26", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("482", "https://www.whatiseat.com/fr/", "4888", NULL, "external", "25", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("483", "https://www.kook-agency.fr/reseaux-sociaux", "4888", NULL, "external", "25", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("484", "https://www.whatiseat.com/fr/", "4888", NULL, "external", "25", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("485", "https://www.kook-agency.fr/wp-content/uploads/2022/03/Application-WhatisEAT-300x300.png", "4888", NULL, "image-ex", "25", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("486", "https://www.kook-agency.fr/wp-content/uploads/2022/03/Personnalisez-vos-menus-avec-WhatisEAT-300x300.png", "4888", NULL, "image-ex", "25", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("487", "https://www.kook-agency.fr/reseaux-sociaux", "4946", NULL, "external", "24", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("488", "https://www.instagram.com/pasticcio_paris/", "4946", NULL, "external", "24", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("489", "https://www.instagram.com/bolkiri/?hl=fr", "4946", NULL, "external", "24", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("490", "https://www.kook-agency.fr/wp-content/uploads/2022/04/hashtags-food-300x200.jpg", "4946", NULL, "image-ex", "24", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("491", "https://www.kook-agency.fr/wp-content/uploads/2022/04/Publication-Pasticcio-300x200.jpg", "4946", NULL, "image-ex", "24", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("492", "https://www.kook-agency.fr/wp-content/uploads/2022/04/Publication-instagram-Bolkiri-200x300.jpg", "4946", NULL, "image-ex", "24", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("493", "https://www.kook-agency.fr/reseaux-sociaux", "4956", NULL, "external", "23", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("494", "https://www.instagram.com/esushi_officiel/?hl=fr", "4956", NULL, "external", "23", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("495", "https://www.kook-agency.fr/wp-content/uploads/2022/04/Franchise-e-sushi-300x200.jpg", "4956", NULL, "image-ex", "23", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("496", "https://hemblem.app/fr", "5265", NULL, "external", "22", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("497", "https://www.kook-agency.fr/reseaux-sociaux", "5265", NULL, "external", "22", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("498", "https://www.kook-agency.fr/wp-content/uploads/2022/05/Capture-3-hemblem.jpg", "5265", NULL, "image-ex", "22", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("499", "https://www.kook-agency.fr/wp-content/uploads/2022/05/Capture-2-hemblem.jpg", "5265", NULL, "image-ex", "22", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("500", "https://www.kook-agency.fr/wp-content/uploads/2022/05/Capture-1-hemblem.jpg", "5265", NULL, "image-ex", "22", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("501", "https://www.kook-agency.fr/reseaux-sociaux#reportage-photo", "4963", NULL, "external", "21", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("502", "https://www.instagram.com/poketeafactory/?hl=fr", "4963", NULL, "external", "21", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("503", "https://www.instagram.com/hall_street_food/?hl=fr", "4963", NULL, "external", "21", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("504", "https://www.kook-agency.fr/referencement-naturel", "4963", NULL, "external", "21", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("505", "https://www.kook-agency.fr/wp-content/uploads/2022/04/Photo-culinaire-Poketea-300x200.jpg", "4963", NULL, "image-ex", "21", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("506", "https://www.kook-agency.fr/wp-content/uploads/2022/04/buerge-foodporn-240x300.jpg", "4963", NULL, "image-ex", "21", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("507", "https://www.kook-agency.fr/wp-content/uploads/2020/06/Sans-titre-2022-03-30T162439.577-300x210.png", "4967", NULL, "image-ex", "20", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("508", "https://www.kook-agency.fr/wp-content/uploads/2022/04/cc-recupere-300x200.jpg", "4967", NULL, "image-ex", "20", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("509", "https://www.kook-agency.fr/reseaux-sociaux", "5304", NULL, "external", "19", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("510", "https://toogoodtogo.fr/fr", "5304", NULL, "external", "19", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("511", "https://www.kook-agency.fr/blog/reussir-ses-photographies-culinaires", "5304", NULL, "external", "19", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("512", "https://www.kook-agency.fr/wp-content/uploads/2022/05/gaspillage-alimentaire-doggy-bag-200x300.jpg", "5304", NULL, "image-ex", "19", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("513", "https://www.kook-agency.fr/blog/tiktok-le-reseau-social-au-service-des-restaurants-en-2022", "11888", NULL, "external", "18", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("514", "https://www.kook-agency.fr/?gclid=Cj0KCQiAlKmeBhCkARIsAHy7WVsmH-CQP6LOg-wbElmJpLNwMuC5eVhVt8JQPl6dwld_zE-FnFq51S4aAlZ6EALw_wcB", "11888", NULL, "external", "18", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("515", "https://www.kook-agency.fr/wp-content/uploads/2023/01/img2.png", "11888", NULL, "image-ex", "18", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("516", "https://www.kook-agency.fr/wp-content/uploads/2018/06/creation-identite-visuel.jpg", "11888", NULL, "image-ex", "18", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("517", "https://www.kook-agency.fr/wp-content/uploads/2022/02/Les-videos-culinaires-242x300.jpg", "11888", NULL, "image-ex", "18", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("518", "https://www.kook-agency.fr/reseaux-sociaux", "6136", NULL, "external", "16", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("519", "https://hemblem.app/fr", "6136", NULL, "external", "16", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("520", "https://www.kook-agency.fr/nos-clients", "6136", NULL, "external", "16", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("521", "https://www.kook-agency.fr/wp-content/uploads/2023/04/Les-Fondus-de-la-Raclette-FR-@lesfondusdelaraclette_fr-Instagram-Google-Chrome.jpg", "6136", NULL, "image-ex", "16", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("522", "https://www.kook-agency.fr/reseaux-sociaux", "6148", NULL, "external", "15", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("523", "https://www.google.com/intl/fr_fr/business/", "6148", NULL, "external", "15", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("524", "https://www.kook-agency.fr/wp-content/uploads/2023/04/googleMyBusiness2.png", "6148", NULL, "image-ex", "15", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("525", "https://www.kook-agency.fr/wp-content/uploads/2023/04/googleMyBusiness3.png", "6148", NULL, "image-ex", "15", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("531", "http://support.google.com/chrome/bin/answer.py?hl=fr&amp;hlrm=en&amp;answer=95647", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("532", "https://support.mozilla.org/fr/kb/activer-desactiver-cookies-preferences", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("533", "https://support.microsoft.com/fr-fr/help/17288/windows-internet-explorer-11-use-do-not-track", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("534", "https://support.google.com/chrome/answer/114836?", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("535", "https://support.mozilla.org/fr/kb/comment-activer-option-ne-pas-pister", "1432", NULL, "external", "208", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("536", "http://windows.microsoft.com/fr-fr/windows-vista/block-or-allow-cookies", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("537", "http://support.apple.com/kb/ht1677?viewlocale=fr_fr", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("538", "http://support.google.com/chrome/bin/answer.py?hl=fr&amp;;hlrm=en&amp;answer=95647", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("539", "https://support.mozilla.org/fr/kb/activer-desactiver-cookies-preferences", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("540", "https://support.microsoft.com/fr-fr/help/17288/windows-internet-explorer-11-use-do-not-track", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("541", "https://support.google.com/chrome/answer/114836?", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("542", "https://support.mozilla.org/fr/kb/comment-activer-option-ne-pas-pister", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("543", "http://help.opera.com/Windows/12.10/en/notrack.html", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("544", "https://tools.google.com/dlpage/gaoptout?hl=fr", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("545", "https://www.cnil.fr/fr/respecter-les-droits-des-personnes", "1915", NULL, "external", "209", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("557", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("547", "http://windows.microsoft.com/fr-fr/windows-vista/block-or-allow-cookies", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("548", "http://support.apple.com/kb/ht1677?viewlocale=fr_fr", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("549", "http://support.google.com/chrome/bin/answer.py?hl=fr&amp;;hlrm=en&amp;answer=95647", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("550", "https://support.mozilla.org/fr/kb/activer-desactiver-cookies-preferences", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("551", "https://support.microsoft.com/fr-fr/help/17288/windows-internet-explorer-11-use-do-not-track", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("552", "https://support.google.com/chrome/answer/114836?", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("553", "https://support.mozilla.org/fr/kb/comment-activer-option-ne-pas-pister", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("554", "http://help.opera.com/Windows/12.10/en/notrack.html", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("555", "https://tools.google.com/dlpage/gaoptout?hl=fr", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("556", "https://www.cnil.fr/fr/respecter-les-droits-des-personnes", "3", NULL, "external", "11", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("558", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("559", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("560", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("561", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("562", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("563", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("564", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("565", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("566", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("567", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("568", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("569", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("570", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("571", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("572", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("573", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("574", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("575", "", "5104", NULL, "internal", "211", "1", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("576", "mailto:contact@synergyhashtag.fr", "5104", NULL, "external", "211", NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("577", "http://kookagency/blackdsn-portfolio/di-vino/", "62", "12678", "internal", "206", "50", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("578", "http://kookagency/blackdsn-portfolio/vita-ristorante/", "62", "12668", "internal", "206", "49", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("579", "http://kookagency/blackdsn-portfolio/ruby/", "62", "12658", "internal", "206", "48", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("580", "http://kookagency/blackdsn-portfolio/lo-beach/", "62", "12648", "internal", "206", "47", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("581", "http://kookagency/blackdsn-portfolio/la-sublime-porte/", "62", "12243", "internal", "206", "42", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("582", "http://kookagency/blackdsn-portfolio/le-calice/", "62", "12233", "internal", "206", "43", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("583", "http://kookagency/blackdsn-portfolio/mojito-cafe/", "62", "12224", "internal", "206", "45", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("584", "http://kookagency/blackdsn-portfolio/restaurant-lhemingway/", "62", "12215", "internal", "206", "46", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("585", "http://kookagency/blackdsn-portfolio/lou-gardo/", "62", "12206", "internal", "206", "44", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("586", "http://kookagency/blackdsn-portfolio/coderak/", "62", "12197", "internal", "206", "37", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("587", "http://kookagency/blackdsn-portfolio/369-restaurant/", "62", "12187", "internal", "206", "35", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("588", "http://kookagency/blackdsn-portfolio/dandy-hotel/", "62", "12178", "internal", "206", "38", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("589", "http://kookagency/blackdsn-portfolio/breakfast-in-america/", "62", "12169", "internal", "206", "36", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("590", "http://kookagency/blackdsn-portfolio/fuero/", "62", "12160", "internal", "206", "39", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("591", "http://kookagency/blackdsn-portfolio/gabriela/", "62", "12151", "internal", "206", "40", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("624", "http://kookagency/2022/05/19/reussir-ses-photographies-culinaires/", "62", "4963", "internal", "206", "21", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("623", "http://kookagency/2022/06/01/le-click-and-collect-et-la-commande-en-ligne-les-meilleures-solutions-en-2022/", "62", "4967", "internal", "206", "20", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("622", "http://kookagency/2022/06/29/lutter-contre-le-gaspillage-alimentaire-dans-la-restauration/", "62", "5304", "internal", "206", "19", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("621", "http://kookagency/2023/01/20/le-guide-pour-ouvrir-son-restaurant-en-2023/", "62", "11888", "internal", "206", "18", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("620", "http://kookagency/2023/04/17/gerer-les-avis-negatifs-de-son-restaurant-en-2023/", "62", "6133", "internal", "206", "17", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("619", "http://kookagency/2023/04/21/les-messages-instagram-un-outil-marketing-puissant-pour-votre-restaurant-en-2023/", "62", "6136", "internal", "206", "16", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("618", "http://kookagency/2023/05/09/google-my-business-optimiser-la-visibilite-de-son-restaurant/", "62", "6148", "internal", "206", "15", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("616", "http://kookagency/le-blog/", "62", "4242", "internal", "206", "9", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("617", "http://kookagency/contact/", "62", "3857", "internal", "206", "8", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("615", "http://kookagency/nos-tarifs/", "62", "6206", "internal", "206", "7", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("614", "http://kookagency/nos-clients/", "62", "11096", "internal", "206", "10", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("613", "http://kookagency/shooting-photo/", "62", "11982", "internal", "206", "13", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("612", "http://kookagency/referencement-naturel/", "62", "11981", "internal", "206", "6", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("610", "http://kookagency/reseaux-sociaux/", "62", "6180", "internal", "206", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("611", "http://kookagency/creation-de-site-internet/", "62", "11980", "internal", "206", "5", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("609", "http://kookagency/reseaux-sociaux/", "62", "6180", "internal", "206", "4", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("625", "http://kookagency/2022/05/02/hemblem-lappli-qui-met-en-relation-les-influenceurs-et-les-restaurateurs/", "62", "5265", "internal", "206", "22", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("626", "http://kookagency/2022/04/26/conseils-pour-developper-une-franchise-de-restaurant/", "62", "4956", "internal", "206", "23", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("627", "http://kookagency/2022/04/20/les-meilleurs-hashtags-food-en-2022-sur-instagram/", "62", "4946", "internal", "206", "24", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("628", "http://kookagency/2022/04/15/le-menu-qrcode-un-atout-pour-les-restaurateurs/", "62", "4888", "internal", "206", "25", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("629", "http://kookagency/2022/03/11/tiktok-le-reseau-social-au-service-des-restaurants-en-2022/", "62", "4445", "internal", "206", "26", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("630", "http://kookagency/2021/06/25/smiirl-un-nouvel-outil-marketing-pour-booster-vos-reseaux-sociaux/", "62", "4041", "internal", "206", "27", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("631", "http://kookagency/2021/01/21/le-click-collect-dans-son-restaurant-une-solution-pour-2021/", "62", "3492", "internal", "206", "28", NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_yoast_seo_links` VALUES("632", "http://kookagency/2020/06/08/propulser-son-restaurant-grace-au-click-and-collect/", "62", "3174", "internal", "206", "29", NULL, NULL, NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-06-08 12:40:43*/
/* DUPLICATOR_MYSQLDUMP_EOF */
